<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Debugbar;
use Illuminate\Support\Facades\DB;
use App\Pet;
use App\User;
use App\Post;
use App\Category;

class HomeController extends Controller
{
    //Mètode per mostrar la pàgina d'inici de la part administrativa
    public function index(){
        $pets = DB::table('pets')
            ->leftJoin('users', 'pets.user_id', '=', 'users.id')
            ->leftJoin('provinces', 'users.provinces_id', '=', 'provinces.id')
            ->leftJoin('cities', 'users.cities_id', '=', 'cities.id')
            ->leftJoin('type_pets', 'pets.typePet_id', '=', 'type_pets.id')
            ->leftJoin('status_pets', 'pets.statusPet_id', '=', 'status_pets.id')
            ->select('pets.id', 'pets.name', 'pets.breed', 'type_pets.type', 'pets.image', 'provinces.province', 'cities.city', 'status_pets.status')
            ->orderBy('id', 'desc')
            ->simplePaginate(5);

        $users = DB::table('users')
            ->leftJoin('provinces', 'users.provinces_id', '=', 'provinces.id')
            ->leftJoin('cities', 'users.cities_id', '=', 'cities.id')
            ->where('users.id', '!=', '1')
            ->where('users.id', '!=', '2')
            ->where('users.completeRegister', '=', '1')
            ->select('users.id', 'users.name', 'users.image', 'provinces.province', 'cities.city')
            ->orderBy('id', 'desc')
            ->simplePaginate(5);

        $posts = Post::paginate(5);
        $categories = Category::paginate(5);

        return view('admin.home', array(
            'pets' => $pets,
            'users' => $users,
            'posts' => $posts,
            'categories' => $categories
        ));
    }
}
