<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Debugbar;
use Illuminate\Support\Facades\DB;
use Notification;

class SiteController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('web');
    }

    //Mètode que mostra la pàgina de contacte
    public function getContactPage(Request $request){
        $postsSidebar = DB::table('posts')
            ->where('statusPost_id', '=', '1')
            ->orderBy('id', 'desc')
            ->take(3)
            ->get();

        return view('page.contact', array(
            'postsSidebar' => $postsSidebar,
        ));
    }

    //Mètode que envia un correu electrònic
    public function sendMail(Request $request){
        //Validar formulari
        $validateData = $this->validate($request, [
            'name' => 'required|string|max:255',
            'email' => 'required|string|email|max:255|unique:users',
            'phone' => 'min:8|required',
            'message' => 'required'
        ]);

        $name = $request->input('name');
        $email = $request->input('email');
        $phone = $request->input('phone');
        $subject = $request->input('subject');
        $missatge = $request->input('message');

        $data = array(
            'name' => $name,
            'email' => $email,
            'phone' => $phone,
            'subject' => $subject,
            'missatge' => $missatge,

        );
        \Mail::send('emails.contact', $data, function ($message) use ($name, $subject){
            $message->from('adopta.una.mascota.org@gmail.com', $name);
            $message->to('adopta.una.mascota.org@gmail.com')->subject($subject);
        });

        Notification::success('Correu electrònic enviat correctament.');

        return redirect()->route('home');
    }

    //Mètode que mostra la pàgina de qui som
    public function getAboutUsPage(Request $request){
        $postsSidebar = DB::table('posts')
            ->where('statusPost_id', '=', '1')
            ->orderBy('id', 'desc')
            ->take(3)
            ->get();

        return view('page.about-us', array(
            'postsSidebar' => $postsSidebar,
        ));
    }

    //Mètode que mostra la pàgina d'avís legal
    public function getLegalPage(Request $request){
        $postsSidebar = DB::table('posts')
            ->where('statusPost_id', '=', '1')
            ->orderBy('id', 'desc')
            ->take(3)
            ->get();

        return view('page.legal', array(
            'postsSidebar' => $postsSidebar,
        ));
    }

    //Mètode que mostra la pàgina d'ajuda
    public function getHelpPage(Request $request){
        $postsSidebar = DB::table('posts')
            ->where('statusPost_id', '=', '1')
            ->orderBy('id', 'desc')
            ->take(3)
            ->get();

        return view('page.help', array(
            'postsSidebar' => $postsSidebar,
        ));
    }

    //Mètode que mostra la pàgina de  política de privadesa
    public function getPrivacyPage(Request $request){
        $postsSidebar = DB::table('posts')
            ->where('statusPost_id', '=', '1')
            ->orderBy('id', 'desc')
            ->take(3)
            ->get();

        return view('page.privacy', array(
            'postsSidebar' => $postsSidebar,
        ));
    }

    //Mètode que mostra la pàgina de política de galetes
    public function getCookiesPage(Request $request){
        $postsSidebar = DB::table('posts')
            ->where('statusPost_id', '=', '1')
            ->orderBy('id', 'desc')
            ->take(3)
            ->get();

        return view('page.cookies', array(
            'postsSidebar' => $postsSidebar,
        ));
    }

    //Mètode que mostra la pàgina de  preguntes freqüents
    public function getFaqPage(Request $request){
        $postsSidebar = DB::table('posts')
            ->where('statusPost_id', '=', '1')
            ->orderBy('id', 'desc')
            ->take(3)
            ->get();

        return view('page.faq', array(
            'postsSidebar' => $postsSidebar,
        ));
    }


}
