<?php

use Faker\Generator as Faker;

$factory->define(App\Pet::class, function (Faker $faker, $i) {
    $name = $faker->firstName;
    $typePet = rand(1, 2);
    $color = ['Negre', 'Vermell', 'Taronja', 'Groc canari','Mermelada','Blau','Gris','Marró fosc','Canela','Plata'];
    if ($typePet == 1) {
        $breeds = ['Alano','Alaskan Malamute','American Staffordshire Terrier','American Water Spaniel','Antiguo Pastor Inglés','Basset Azul de Gaseogne','Basset Hound','Basset leonado de Bretaña','Beagle','Bearded Collie','Bichón Maltés','Bobtail','Border Collie','Boston Terrier','Boxer','Bull Terrier','Bulldog Americano','Bulldog Francés','Bulldog Inglés','Caniche','Carlino','Chihuahua','Cirneco del Etna','Chow Chow','Cocker Spaniel Americano','Cocker Spaniel Inglés','Dálmata','Dobermann','Dogo Alemán','Dogo Argentino','Dogo de Burdeos','Finlandés','Fox Terrier de pelo liso','Fox Terrier','Foxhound Americano','Foxhound Inglés','Galgo Afgano','Gigante de los Pirineos','Golden Retriever','Gos d&#39;Atura','Gran Danés','Husky Siberiano','Laika de Siberia Occidental','Laika Ruso-europeo','Labrador Retriever','Mastín del Pirineo','Mastin del Tibet','Mastín Español','Mastín Napolitano','Pastor Alemán','Pastor Australiano','Pastor Belga','Pastor de Brie','Pastor de los Pirineos de Cara Rosa','Pekinés','Perdiguero Chesapeake Bay','Perdiguero de Drentse','Perdiguero de Pelo lido','Perdiguero de pelo rizado','Perdiguero Portugués','Pitbull','Podenco Ibicenco','Podenco Portugués','Presa Canario','Presa Mallorquin','Rottweiler','Rough Collie','Sabueso Español','Sabueso Hélenico','Sabueso Italiano','Sabueso Suizo','Samoyedo','San Bernardo','Scottish Terrier','Setter Irlandés','Shar Pei','Shiba Inu','Siberian Husky','Staffordshire Bull Terrier','Teckel','Terranova','Terrier Australiano','Terrier Escocés','Terrier Irlandés','Terrier Japonés','Terrier Negro Ruso','Terrier Norfolk','Terrier Norwich','Yorkshire Terrier'];
    } else {
        $breeds = ['Abisinio',
            'Africano doméstico',
            'American Curl',
            'American shorthair',
            'American wirehair',
            'Angora turco',
            'Aphrodite-s Giants',
            'Australian Mist',
            'Azul ruso',
            'Bengala',
            'Bobtail japonés',
            'Bombay',
            'Bosque de Noruega',
            'Brazilian Shorthair',
            'British Shorthair',
            'Burmés',
            'Burmilla',
            'California Spangled',
            'Ceylon',
            'Chartreux',
            'Cornish rex',
            'Cymric',
            'Deutsch Langhaar',
            'Devon rex',
            'Don Sphynx',
            'Dorado africano',
            'Europeo común',
            'Gato exótico',
            'German Rex',
            'Habana brown',
            'Himalayo',
            'Khao Manee',
            'Korat',
            'Maine Coon',
            'Manx',
            'Mau egipcio',
            'Munchkin',
            'Ocicat',
            'Ojos azules',
            'Oriental',
            'Oriental de pelo largo',
            'Persa',
            'Peterbald',
            'Pixi Bob',
            'Ragdoll',
            'Sagrado de Birmania',
            'Scottish Fold',
            'Selkirk rex',
            'Serengeti',
            'Seychellois',
            'Siamés',
            'Siamés Moderno',
            'Siamés Tradicional',
            'Siberiano',
            'Snowshoe',
            'Sphynx',
            'Tonkinés',
            'Van Turco',];
    }
    return [
        'name' => $name,
        'slug' => str_slug($name),
        'typePet_id' => $typePet,
        'breed' => $faker->randomElement($breeds),
        'birthday' => $faker->date($format = 'Y-m-d', $max = 'now'),
        'gender' => $faker->randomElement(['Mascle', 'Femella']),
        'size' => $faker->randomElement(['Petit', 'Mitjà', 'Gran', 'Gegant']),
        'weight' => $faker->randomFloat($nbMaxDecimals = 2, $min = 1, $max = 12),
        'health' => $faker->randomElement(['Bona', 'Necessita cures','Regular','Mala']),
        'statusPet_id' => rand(1, 3),
        'color' => $faker->randomElement($color),
        'description' => $faker->text,
        'image' => 'cats' . rand(1, 10) . '.jpeg',
        'user_id' => rand(2, 253),
        'created_at' => date('Y-m-d H:m:s'),
        'updated_at' => date('Y-m-d H:m:s')
    ];

});