<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name',190);
            $table->string('slug',190)->nullable();
            $table->string('email', 190)->unique();
            $table->string('password');
            $table->rememberToken();
            $table->string('street')->nullable();
            $table->integer('buildingNumber')->nullable();
            $table->integer('postalCode')->nullable();
            $table->integer('cities_id')->unsigned()->nullable();
            $table->integer('provinces_id')->unsigned()->nullable();
            $table->string('web')->nullable();
            $table->string('facebook')->nullable();
            $table->string('twitter')->nullable();
            $table->string('instagram')->nullable();
            $table->string('teaming')->nullable();
            $table->text('description')->nullable();
            $table->text('conditions')->nullable();
            $table->string('image')->nullable();
            $table->boolean('allowsEmail')->nullable();
            $table->boolean('completeRegister')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
