<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pets', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name',190);
            $table->string('slug',190);
            $table->integer('typePet_id')->unsigned();
            $table->string('breed',100);
            $table->date('birthday');
            $table->string('gender',100);
            $table->string('size',100);
            $table->float('weight',100);
            $table->string('health',100)->nullable();
            $table->integer('statusPet_id')->unsigned();
            $table->string('color',100)->nullable();
            $table->text('description');
            $table->string('image');
            $table->integer('user_id')->unsigned();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pets');
    }
}
