<?php

use Illuminate\Database\Seeder;
use App\Province;

class ProvinceTableSeeder extends Seeder
{
    private $provinces = array(
        array('id' => '25', 'slug' => 'lleida', 'province' => 'Lleida', 'community_id' => '9', 'capital_id' => '3918'),
        array('id' => '26', 'slug' => 'la-rioja', 'province' => 'La Rioja', 'community_id' => '17', 'capital_id' => '4124'),
        array('id' => '27', 'slug' => 'lugo', 'province' => 'Lugo', 'community_id' => '12', 'capital_id' => '4238'),
        array('id' => '28', 'slug' => 'madrid', 'province' => 'Madrid', 'community_id' => '13', 'capital_id' => '4356'),
        array('id' => '29', 'slug' => 'malaga', 'province' => 'Málaga', 'community_id' => '1', 'capital_id' => '4523'),
        array('id' => '30', 'slug' => 'murcia', 'province' => 'Murcia', 'community_id' => '14', 'capital_id' => '4588'),
        array('id' => '31', 'slug' => 'navarra', 'province' => 'Navarra', 'community_id' => '15', 'capital_id' => '4815'),
        array('id' => '32', 'slug' => 'ourense', 'province' => 'Ourense', 'community_id' => '12', 'capital_id' => '4925'),
        array('id' => '33', 'slug' => 'asturias', 'province' => 'Asturias', 'community_id' => '3', 'capital_id' => '5009'),
        array('id' => '34', 'slug' => 'palencia', 'province' => 'Palencia', 'community_id' => '7', 'capital_id' => '5137'),
        array('id' => '35', 'slug' => 'las-palmas', 'province' => 'Las Palmas', 'community_id' => '5', 'capital_id' => '5252'),
        array('id' => '36', 'slug' => 'pontevedra', 'province' => 'Pontevedra', 'community_id' => '12', 'capital_id' => '5312'),
        array('id' => '37', 'slug' => 'salamanca', 'province' => 'Salamanca', 'community_id' => '7', 'capital_id' => '5588'),
        array('id' => '38', 'slug' => 'santa-cruz-de-tenerife', 'province' => 'Santa Cruz de Tenerife', 'community_id' => '5', 'capital_id' => '5732'),
        array('id' => '39', 'slug' => 'cantabria', 'province' => 'Cantabria', 'community_id' => '6', 'capital_id' => '5823'),
        array('id' => '40', 'slug' => 'segovia', 'province' => 'Segovia', 'community_id' => '7', 'capital_id' => '6024'),
        array('id' => '41', 'slug' => 'sevilla', 'province' => 'Sevilla', 'community_id' => '1', 'capital_id' => '6152'),
        array('id' => '19', 'slug' => 'guadalajara', 'province' => 'Guadalajara', 'community_id' => '8', 'capital_id' => '2947'),
        array('id' => '18', 'slug' => 'granada', 'province' => 'Granada', 'community_id' => '1', 'capital_id' => '2747'),
        array('id' => '17', 'slug' => 'girona', 'province' => 'Girona', 'community_id' => '9', 'capital_id' => '2526'),
        array('id' => '16', 'slug' => 'cuenca', 'province' => 'Cuenca', 'community_id' => '8', 'capital_id' => '2285'),
        array('id' => '15', 'slug' => 'a-coruna', 'province' => 'A Coruña', 'community_id' => '12', 'capital_id' => '2150'),
        array('id' => '14', 'slug' => 'cordoba', 'province' => 'Córdoba', 'community_id' => '1', 'capital_id' => '2065'),
        array('id' => '13', 'slug' => 'ciudad-real', 'province' => 'Ciudad Real', 'community_id' => '8', 'capital_id' => '1978'),
        array('id' => '12', 'slug' => 'castellon', 'province' => 'Castellón', 'community_id' => '10', 'capital_id' => '1844'),
        array('id' => '11', 'slug' => 'cadiz', 'province' => 'Cádiz', 'community_id' => '1', 'capital_id' => '1776'),
        array('id' => '10', 'slug' => 'caceres', 'province' => 'Cáceres', 'community_id' => '11', 'capital_id' => '1580'),
        array('id' => '9', 'slug' => 'burgos', 'province' => 'Burgos', 'community_id' => '7', 'capital_id' => '1220'),
        array('id' => '8', 'slug' => 'barcelona', 'province' => 'Barcelona', 'community_id' => '9', 'capital_id' => '881'),
        array('id' => '7', 'slug' => 'illes-balears', 'province' => 'Illes Balears', 'community_id' => '4', 'capital_id' => '836'),
        array('id' => '6', 'slug' => 'badajoz', 'province' => 'Badajoz', 'community_id' => '11', 'capital_id' => '644'),
        array('id' => '5', 'slug' => 'avila', 'province' => 'Ávila', 'community_id' => '7', 'capital_id' => '395'),
        array('id' => '4', 'slug' => 'almeria', 'province' => 'Almería', 'community_id' => '1', 'capital_id' => '292'),
        array('id' => '3', 'slug' => 'alicante', 'province' => 'Alicante', 'community_id' => '10', 'capital_id' => '152'),
        array('id' => '2', 'slug' => 'albacete', 'province' => 'Albacete', 'community_id' => '8', 'capital_id' => '54'),
        array('id' => '1', 'slug' => 'alava', 'province' => 'Álava', 'community_id' => '16', 'capital_id' => '46'),
        array('id' => '24', 'slug' => 'leon', 'province' => 'León', 'community_id' => '7', 'capital_id' => '3676'),
        array('id' => '23', 'slug' => 'jaen', 'province' => 'Jaén', 'community_id' => '1', 'capital_id' => '3545'),
        array('id' => '22', 'slug' => 'huesca', 'province' => 'Huesca', 'community_id' => '2', 'capital_id' => '3396'),
        array('id' => '21', 'slug' => 'huelva', 'province' => 'Huelva', 'community_id' => '1', 'capital_id' => '3257'),
        array('id' => '20', 'slug' => 'guipuzcoa', 'province' => 'Guipúzcoa', 'community_id' => '16', 'capital_id' => '3159'),
        array('id' => '42', 'slug' => 'soria', 'province' => 'Soria', 'community_id' => '7', 'capital_id' => '6307'),
        array('id' => '43', 'slug' => 'tarragona', 'province' => 'Tarragona', 'community_id' => '9', 'capital_id' => '6499'),
        array('id' => '44', 'slug' => 'teruel', 'province' => 'Teruel', 'community_id' => '2', 'capital_id' => '6721'),
        array('id' => '45', 'slug' => 'toledo', 'province' => 'Toledo', 'community_id' => '8', 'capital_id' => '6934'),
        array('id' => '46', 'slug' => 'valencia', 'province' => 'Valencia', 'community_id' => '10', 'capital_id' => '7219'),
        array('id' => '47', 'slug' => 'valladolid', 'province' => 'Valladolid', 'community_id' => '7', 'capital_id' => '7415'),
        array('id' => '48', 'slug' => 'vizcaya', 'province' => 'Vizcaya', 'community_id' => '16', 'capital_id' => '7489'),
        array('id' => '49', 'slug' => 'zamora', 'province' => 'Zamora', 'community_id' => '7', 'capital_id' => '7821'),
        array('id' => '50', 'slug' => 'zaragoza', 'province' => 'Zaragoza', 'community_id' => '2', 'capital_id' => '8113'),
        array('id' => '51', 'slug' => 'ceuta', 'province' => 'Ceuta', 'community_id' => '18', 'capital_id' => '8115'),
        array('id' => '52', 'slug' => 'melilla', 'province' => 'Melilla', 'community_id' => '19', 'capital_id' => '8116')
    );

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('provinces')->delete();
        foreach( $this->provinces as $province ) {
            $data = new Province;
            $data->id = $province['id'];
            $data->province = $province['province'];
            $data->slug = $province['slug'];
            $data->save();
        }
    }
}
