<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Faker\Factory as Faker;
use App\User;
use App\Role;
use App\City;

class UserTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $role_admin = Role::where('name', 'admin')->first();
        $user = new User();
        $user->name = 'Admin';
        $user->slug = 'admin';
        $user->email = 'admin@example.com';
        $user->password = bcrypt('secret');
        $user->save();
        $user->roles()->attach($role_admin);

        ////////////////////////////


        $faker = Faker::create();
        $role_user = Role::where('name', 'user')->first();
        $city = rand(1, 8116);
        $province = DB::table('cities')
            ->where('id', '=', $city)
            ->take(1)
            ->get();

        $user = new User();
        $name = 'User';

        $user->name = $name;
        $user->slug = str_slug($name);
        $user->email = 'user@example.com';
        $user->password = bcrypt('secret');
        $user->street = $faker->streetName;
        $user->buildingNumber = $faker->buildingNumber;
        $user->postalCode = rand(10000, 49000);
        $user->cities_id = $city;
        $user->provinces_id = $province[0]->provinces_id;
        $user->web = 'www.' . str_slug($name) . '.com';
        $user->facebook = 'facebook.com/' . str_slug($name);
        $user->twitter = 'twitter.com/' . str_slug($name);
        $user->instagram = 'instagram.com/' . str_slug($name);
        $user->teaming = 'teaming.com/' . str_slug($name);
        $user->description = $faker->text;
        $user->conditions = $faker->text;
        $user->image = 'user' . rand(1, 10) . '.jpeg';
        $user->allowsEmail = $faker->boolean($chanceOfGettingTrue = 75);
        $user->completeRegister = true;
        $user->created_at = date('Y-m-d H:m:s');
        $user->updated_at = date('Y-m-d H:m:s');
        $user->save();
        $user->roles()->attach($role_user);

        //factory(App\User::class, 1800)->create();

        $faker = Faker::create();
        for ($i = 0; $i <= 250; $i++) {
            $city = rand(1, 8116);
            $province = DB::table('cities')
                ->where('id', '=', $city)
                ->take(1)
                ->get();

            $user = new User();
            $name = $faker->firstName;

            $user->name = $name;
            $user->slug = str_slug($name);
            $user->email = $faker->unique()->safeEmail;
            $user->password = '$2y$10$TKh8H1.PfQx37YgCzwiKb.KjNyWgaHb9cbcoQgdIVFlYg7B77UdFm';
            $user->street = $faker->streetName;
            $user->buildingNumber = $faker->buildingNumber;
            $user->postalCode = rand(10000, 49000);
            $user->cities_id = $city;
            $user->provinces_id = $province[0]->provinces_id;
            $user->web = 'www.' . str_slug($name) . '.com';
            $user->facebook = 'facebook.com/' . str_slug($name);
            $user->twitter = 'twitter.com/' . str_slug($name);
            $user->instagram = 'instagram.com/' . str_slug($name);
            $user->teaming = 'teaming.com/' . str_slug($name);
            $user->description = $faker->text;
            $user->conditions = $faker->text;
            $user->image = 'user' . rand(1, 10) . '.jpeg';
            $user->allowsEmail = $faker->boolean($chanceOfGettingTrue = 75);
            $user->completeRegister = true;
            $user->created_at = date('Y-m-d H:m:s');
            $user->updated_at = date('Y-m-d H:m:s');
            $user->save();
            $user->roles()->attach($role_user);
        }
    }
}
