<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages.
    |
    */

    'accepted' => 'El camp :attribute ha de ser acceptat.',
    'active_url' => 'El camp :attribute no és un URL vàlid.',
    'after' => 'El camp :attribute ha de ser una data posterior a :date.',
    'after_or_equal' => 'El camp :attribute ha de ser una data posterior o igual a :date.',
    'alpha' => 'El camp :attribute només pot contenir lletres.',
    'alpha_dash' => 'El camp :attribute només pot contenir lletres, números i guions.',
    'alpha_num' => 'El camp :attribute només pot contenir lletres i números.',
    'array' => 'El camp :attribute ha de ser una matriu.',
    'before' => 'El camp :attribute ha de ser una data anterior a :date.',
    'before_or_equal' => 'El camp :attribute ha de ser una data anterior o igual a :date.',
    'between' => [
        'numeric' => "El camp :attribute ha d'estar entre :min - :max.",
        'file' => 'El camp :attribute ha de pesar entre :min - :max kilobytes.',
        'string' => 'El camp :attribute ha de tenir entre :min - :max caràcters.',
        'array' => 'El camp :attribute ha de tenir entre :min - :max ítems.',
    ],
    'boolean' => 'El camp :attribute ha de ser verdader o fals',
    'confirmed' => 'La confirmació de :attribute no coincideix.',
    'date' => 'El camp :attribute no és una data vàlida.',
    'date_format' => 'El camp :attribute no concorda amb el format :format.',
    'different' => 'El camp :attribute i :other han de ser diferents.',
    'digits' => 'El camp :attribute ha de tenir :digits dígits.',
    'digits_between' => 'El camp :attribute ha de tenir entre :min i :max dígits.',
    'dimensions' => 'Les dimensions de la imatge :attribute no són vàlides.',
    'distinct' => 'El camp :attribute té un valor duplicat.',
    'email' => 'El camp :attribute no és un e-mail vàlid',
    'exists' => 'El camp :attribute és invàlid.',
    'file' => 'El camp :attribute ha de ser un arxiu.',
    'filled' => 'El camp :attribute és obligatori.',
    'image' => 'El camp :attribute ha de ser una imatge.',
    'in' => 'El camp :attribute és invàlid',
    'in_array' => 'El camp :attribute no existeix dintre de :other.',
    'integer' => 'El camp :attribute ha de ser un nombre enter.',
    'ip' => 'El camp :attribute ha de ser una adreça IP vàlida.',
    'ipv4' => 'El camp :attribute ha de ser una adreça IPv4 vàlida.',
    'ipv6' => 'El camp :attribute ha de ser una adreça IPv6 vàlida.',
    'json' => 'El camp :attribute ha de ser una cadena JSON vàlida.',
    'max' => [
        'numeric' => 'El camp :attribute no pot ser més gran que :max.',
        'file' => 'El camp :attribute no pot ser més gran que :max kilobytes.',
        'string' => 'El camp :attribute no pot ser més gran que :max caràcters.',
        'array' => 'El camp :attribute no pot tenir més de :max ítems.',
    ],
    'mimes' => 'El camp :attribute ha de ser un arxiu amb format: :values.',
    'mimetypes' => 'El camp :attribute ha de ser un arxiu amb format: :values.',
    'min' => [
        'numeric' => "El tamany de :attribute ha de ser d'almenys :min.",
        'file' => "El tamany de :attribute ha de ser d'almenys :min kilobytes.",
        'string' => 'El camp :attribute ha de contenir almenys :min caràcters.',
        'array' => 'El camp :attribute ha de tenir almenys :min ítems.',
    ],
    'not_in' => 'El camp :attribute és invàlid.',
    'not_regex' => 'The :attribute format is invalid.',
    'numeric' => 'El camp :attribute ha de ser numèric.',
    'present' => 'El camp :attribute ha d\'existir.',
    'regex' => 'El format de :attribute és invàlid.',
    'required' => 'El camp :attribute és obligatori.',
    'required_if' => 'El camp :attribute és obligatori quan :other és :value.',
    'required_unless' => 'El camp :attribute és obligatori a no ser que :other sigui a :values.',
    'required_with' => 'El camp :attribute és obligatori quan hi ha :values.',
    'required_with_all' => 'El camp :attribute és obligatori quan hi ha :values.',
    'required_without' => 'El camp :attribute és obligatori quan no hi ha :values.',
    'required_without_all' => 'El camp :attribute és obligatori quan no hi ha cap valor dels següents: :values.',
    'same' => 'El camp :attribute i :other han de coincidir.',
    'size' => [
        'numeric' => 'El tamany de :attribute ha de ser :size.',
        'file' => 'El tamany de :attribute ha de ser :size kilobytes.',
        'string' => 'El camp :attribute ha de contenir :size caràcters.',
        'array' => 'El camp :attribute ha de contenir :size ítems.',
    ],
    'string' => 'El camp :attribute ha de ser una cadena.',
    'timezone' => 'El camp :attribute ha de ser una zona vàlida.',
    'unique' => 'El camp :attribute ja està registrat i no es pot repetir.',
    'uploaded' => 'El camp :attribute ha fallat al pujar.',
    'url' => 'El camp :attribute no és una adreça web vàlida.',

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap attribute place-holders
    | with something more reader friendly such as E-Mail Address instead
    | of "email". This simply helps us make messages a little cleaner.
    |
    */

    'attributes' => [
        'name' => 'Nom',
        'username' => 'Usuari',
        'email' => 'Adreça electrònica',
        'first_name' => 'Nom',
        'last_name' => 'Cognom',
        'password' => 'Contrasenya',
        'password_confirmation' => 'Xonfirmació de la contrasenya',
        'city' => 'Ciutat',
        'buildingNumber' => 'Numero',
        'postalCode' => 'Codi Postal',
        'street' => 'Carrer',
        'country' => 'País',
        'province' => 'Província',
        'phone1' => 'Telèfon 1',
        'phone2' => 'Telèfon 2',
        'phone3' => 'Telèfon 3',
        'phone4' => 'Telèfon 4',
        'phone5' => 'Telèfon 5',
        'address' => 'Adreça',
        'phone' => 'Telèfon',
        'mobile' => 'Mòbil',
        'age' => 'Edat',
        'sex' => 'Sexe',
        'gender' => 'Gènere',
        'year' => 'Any',
        'month' => 'Mes',
        'day' => 'Dia',
        'hour' => 'Hora',
        'minute' => 'Minut',
        'second' => 'Segon',
        'title' => 'Títol',
        'body' => 'Contingut',
        'description' => 'Descripció',
        'excerpt' => 'Extracte',
        'date' => 'Data',
        'time' => 'Hora',
        'subject' => 'Assumpte',
        'message' => 'Missatge',
        'image' => 'Imatge',
        'editordata' => 'Descripció',
        'editordata-description' => 'Descripció',
        'editordata-conditions' => 'Condicions',
        'editordata-excerpt' => 'Resum',
        'editordata-body' => 'Cos',
        'breed' => 'Raça'

    ],
];
