@extends('admin.layouts.backend')

@section('title', 'Administrador · Adopta una mascota')

@section('content')
    <!-- Counts Section -->
    <section class="dashboard-counts section-padding">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-6 admin-home-pets mb-5 mt-5">
                    <h1>Últimes mascotes</h1>
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Nom</th>
                                <th>Espècie</th>
                                <th>Raça</th>
                                <th>Estat</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($pets as $pet)
                                <tr>
                                    <td>{{ $pet->id }}</td>
                                    <td>{{ $pet->name }}</td>
                                    <td>{{ $pet->type }}</td>
                                    <td>{{ $pet->breed }}</td>
                                    <td>{{ $pet->status }}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <a href="{{ route('getPets') }}" class="button-secondary">Totes les mascotes</a>
                    </div>
                </div>
                <div class="col-md-6 admin-home-users mb-5 mt-5">
                    <h1>Últimes protectores</h1>
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                            <tr>
                                <th>Nom</th>
                                <th>Ciutat</th>
                                <th>Província</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($users as $user)
                                <tr>
                                    <td>{{ $user->name }}</td>
                                    <td>{{ $user->city }}</td>
                                    <td>{{ $user->province }}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <a href="{{ route('getUsers') }}" class="button-secondary">Totes les protectores</a>
                    </div>
                </div>
                <div class="col-md-6 admin-home-posts mb-5 mt-5">
                    <h1>Últimes entrades</h1>
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                            <tr>
                                <th>Nom</th>
                                <th>Categoria</th>
                                <th>Estat</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($posts as $post)
                                <tr>
                                    <td>{{ $post->title }}</td>
                                    <td>{{ $post->category->name }}</td>
                                    <td>@if($post->statusPost_id == 1) Publicada @else Borrador @endif</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <a href="{{ route('getPosts') }}" class="button-secondary">Totes les entrades</a>
                    </div>
                </div>
                <div class="col-md-6 admin-home-categories mb-5 mt-5">
                    <h1>Últimes categories</h1>
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                            <tr>
                                <th>Nom</th>
                                <th>Descripció</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($categories as $category)
                                <tr>
                                    <td>{{ $category->name }}</td>
                                    <td>{{ $category->description }}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <a href="{{ route('getCategories') }}" class="button-secondary">Totes les categories</a>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
