<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>@yield('title')</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="all,follow">
    <!-- Bootstrap CSS-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css">
    <!-- Font Awesome CSS-->
    <link href="{{ asset('vendor/fontawesome/css/fontawesome-all.css') }}" rel="stylesheet">
    <!-- Google fonts - Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,500,700">
    <!-- Custom Scrollbar-->
    <link rel="stylesheet" href="{{ asset('vendor/malihu-custom-scrollbar-plugin/jquery.mCustomScrollbar.css') }}">
    <!-- theme stylesheet-->
    <link rel="stylesheet" href="{{ asset('css/admin.css')}}">
    <!-- Custom stylesheet - for your changes-->
    <link rel="stylesheet" href="{{ asset('css/custom-admin.css') }}">
    <!-- Favicon-->
    <link rel="shortcut icon" href="{{ asset('favicon.ico') }}">
    <!-- Summernote -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote-bs4.css" rel="stylesheet">
    <!-- Tweaks for older IEs--><!--[if lt IE 9]>
    <script src="{{ asset('https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js') }}"></script>
    <script src="{{ asset('https://oss.maxcdn.com/respond/1.4.2/respond.min.js') }}"></script><![endif]-->
</head>
<body>
<!-- Side Navbar -->
<nav class="side-navbar">
    <div class="side-navbar-wrapper">
        <!-- Sidebar Header    -->
        <div class="sidenav-header d-flex align-items-center justify-content-center">
            <!-- Branding Image -->
            <div class="sidenav-header-inner text-center">
                <a class="navbar-brand " href="{{ url('/admin') }}">
                    <img src="{{ URL::asset('img/logo-inverse.png') }}" width="140">
                </a>
            </div>
            <!-- Small Brand information, appears on minimized sidebar-->
            <div class="sidenav-header-logo"><a href="{{ url('/admin') }}" class="brand-small text-center"> <img src="{{ URL::asset('img/imagotip.png') }}" width="40"></a></div>
        </div>
        <!-- Sidebar Navigation Menus-->
        <div class="main-menu">
            <ul id="side-main-menu" class="side-menu list-unstyled">
                <li><a href="{{ url('/admin') }}" class="{{ Request::is('admin') ? 'active' : '' }}"> <i class="fa fa-home"></i>Inici</a></li>
                <li><a href={{ route('getPets') }} class="{{ Request::is('admin/mascotes') ? 'active' : '' }}"> <i class="fas fa-paw"></i>Mascotes</a></li>
                <li><a href="#userDropdown" aria-expanded="false" data-toggle="collapse" class="{{ Request::is('admin/protectores*', 'admin/crear-protectora*', 'admin/editar-protectora*', 'admin/crear-mascota*') ? 'active' : '' }}"> <i class="fa fa-user"></i>Protectores</a>
                    <ul id="userDropdown" class="collapse list-unstyled ">
                        <li><a href="{{ route('getUsers') }}" class="{{ Request::is('admin/protectores*') ? 'active' : '' }}">Totes les protectores</a></li>
                        <li><a href="{{ route('createUser') }}" class="{{ Request::is('admin/crear-protectora*') ? 'active' : '' }}">Crear protectora</a></li>
                    </ul>
                </li>
                <h5 class="sidenav-heading">Blog</h5>
                <li><a href="#postsDropdown" aria-expanded="false" data-toggle="collapse" class="{{ Request::is('admin/entrades', 'admin/crear-entrada', 'admin/editar-entrada*') ? 'active' : '' }}"> <i class="fa fa-sticky-note"></i>Entrades</a>
                    <ul id="postsDropdown" class="collapse list-unstyled ">
                        <li><a href="{{route('getPosts')}}" class="{{ Request::is('admin/entrades') ? 'active' : '' }}">Totes les entrades</a></li>
                        <li><a href="{{route('createPost')}}" class="{{ Request::is('admin/crear-entrada') ? 'active' : '' }}">Crear entrada</a></li>
                    </ul>
                </li>
                <li><a href="#categoriesDropdown" aria-expanded="false" data-toggle="collapse" class="{{ Request::is('admin/categories', 'admin/crear-categoria', 'admin/editar-categoria*') ? 'active' : '' }}"> <i class="fa fa-tag"></i>Categories</a>
                    <ul id="categoriesDropdown" class="collapse list-unstyled ">
                        <li><a href="{{route('getCategories')}}" class="{{ Request::is('admin/categories') ? 'active' : '' }}">Totes les categories</a></li>
                        <li><a href="{{route('createCategory')}}" class="{{ Request::is('admin/crear-categoria') ? 'active' : '' }}">Crear categoria</a></li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</nav>
<div class="page">
    <!-- navbar-->
    <header class="header">
        <nav class="navbar">
            <div class="container-fluid">
                <div class="navbar-holder d-flex align-items-center justify-content-between">
                    <div class="navbar-header"><a id="toggle-btn" href="#" class="menu-btn"><i class="fa fa-bars"> </i></a><a href="index.html" class="navbar-brand">
                            <div class="brand-text d-none d-md-inline-block"></div></a></div>
                    <ul class="nav-menu list-unstyled d-flex flex-md-row align-items-md-center">
                        <a href="{{ url('/') }}"><i class="fas fa-desktop mr-1"></i>  Visitar lloc</a>
                        <!-- Log out-->
                        <li class="nav-item">
                        <a class="dropdown-item" href="{{ route('logout') }}"
                           onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                            <i class="fas fa-power-off mr-1"></i>Tancar sessió
                        </a>

                        <form id="logout-form" action="{{ route('logout') }}" method="POST"
                              style="display: none;">
                            {{ csrf_field() }}
                        </form>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    @yield('breadcrumbs')
    @if(Notification::showAll())
        <div class="container">
            <div class="row mt-5">
                <div class="col-12">
                    <div class="notification">
                        {!! Notification::showAll() !!}
                    </div>
                </div>
            </div>
        </div>
        @endif
        </header>
    @yield('content')
    <footer class="main-footer">
        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-6">
                    <p>&copy; 2018 Adopta una mascota</p>
                </div>
            </div>
        </div>
    </footer>
</div>
<!-- JavaScript files-->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<!-- Popper JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"></script>
<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js"></script>
<script src="{{ asset('vendor/malihu-custom-scrollbar-plugin/jquery.mCustomScrollbar.concat.min.js') }}"></script>
<!-- Summernote -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote-bs4.js"></script>
<!-- Main File-->
<script src="{{ asset('js/front.js') }}"></script>
@yield('scripts')

</body>
</html>