@extends('admin.layouts.backend')

@section('title', 'Categories · Adopta una mascota')

@section('breadcrumbs')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('categories') }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row mt-5">
            <div class="col-12">
                <h1>Categories</h1>
                <a href="{{ route('createCategory') }}" class="button-create"><i class="fas fa-plus"></i> Crear categoria</a>
                <div class="table-responsive mt-5">
                    <table class="table">
                        <thead>
                        <tr>
                            <th>Nom</th>
                            <th>Descripció</th>
                            <th>Accions</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($categories as $category)
                            <tr>
                                <td>{{ $category->name }}</td>
                                <td>{{ $category->description }}</td>
                                <td class="actions-categories">
                                    <a href="{{ url('/admin/editar-categoria/'.$category->id) }}"
                                       class="button-table-edit"><i class="fas fa-edit"></i> Editar</a>

                                    <!-- Botón en HTML (lanza el modal en Bootstrap) -->
                                    <a href="#victorModal{{$category->id}}" role="button"
                                       class="button-table-delete"
                                       data-toggle="modal"><i class="fas fa-trash"></i> Eliminar</a>


                                    <!-- Modal / Ventana / Overlay en HTML -->
                                    <div id="victorModal{{$category->id}}" class="modal fade">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="">
                                                    <h4 class="">Estàs segur?</h4>
                                                </div>
                                                <div class="modal-body">
                                                    <p>Segur que volas eliminar aquesta categoria?</p>
                                                    <p class="">
                                                        <small>Si l'esborres, mai podràs recuperar-la.
                                                        </small>
                                                    </p>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="button-close"
                                                            data-dismiss="modal">
                                                        <i class="fas fa-times-circle"></i> Tancar
                                                    </button>
                                                    <a href=" {{ url('/admin/borrar-categoria/'.$category->id) }}"
                                                       type="button"
                                                       class="button-delete"><i class="fas fa-trash"></i>
                                                        Eliminar</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="clearfix"></div>
                <div class="row justify-content-center">{{ $categories->appends(request()->input())->links() }}</div>
            </div>
        </div>
    </div>
@endsection