@extends('admin.layouts.backend')

@section('title', 'Crear categoria · Adopta una mascota')

@section('breadcrumbs')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('createCategory') }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row mt-5">
            <div class="col-12">
                <h1>Crear categoria</h1>
                <form action="{{ route('saveCategory') }}" method="post" enctype="multipart/form-data">
                    {!! csrf_field() !!}
                    @if($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach($errors->all() as $error)
                                    <li>{{$error}}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                        <label for="name" class="control-label">Nom *</label>

                            <input id="name" type="text" class="form-control" name="name" value="{{ old('name') }}"
                                   required autofocus>

                            @if ($errors->has('name'))
                                <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                            @endif
                    </div>
                    <div class="form-group{{ $errors->has('description') ? ' has-error' : '' }}">
                        <label for="description" class="control-label">Descripció</label>

                            <textarea id="description" class="form-control"
                                      name="description">{{ old('description') }}</textarea>

                            @if ($errors->has('description'))
                                <span class="help-block">
                                        <strong>{{ $errors->first('description') }}</strong>
                                    </span>
                            @endif
                    </div>
                    <button type="submit" class="button-primary">Crear categoria</button>
                </form>
            </div>
        </div>
    </div>
@endsection