@extends('admin.layouts.backend')

@section('title', 'Entrades · Adopta una mascota')

@section('breadcrumbs')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('posts') }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row mt-5">
            <div class="col-12">
                <h1>Entrades</h1>
                <div class="col-md-12 d-flex justify-content-between mb-5">
                    <a href="{{ route('createPost') }}" class="button-create"><i class="fas fa-plus"></i> Crear entrada</a>
                    <form class="" role="search" method="GET" action="{{ url('/admin/entrades/cerca/') }}">
                        <div class="form-group d-flex justify-content-between">

                        <div class="form-group d-flex justify-content-between">
                            <input type="text" class="form-control input-search" placeholder="Cercar" name="search">
                        </div>
                        <button class="icon-search" type="submit">
                            <i class="fas fa-search"></i>
                        </button>
                        </div>
                    </form>
                </div>
                <div class="table-responsive mt-5">
                    <table class="table">
                        <thead>
                        <tr>
                            <th>Títol</th>
                            <th>Categoria</th>
                            <th>Estat</th>
                            <th>Accions</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($posts as $post)
                            <tr>
                                <td>{{ $post->title }}</td>
                                <td>{{ $post->category->name }}</td>
                                <td>@if($post->statusPost_id == 1) Publicada @else Borrador @endif</td>
                                <td class="actions-posts">
                                    <a href="{{ route('detailPost', ['post_id' => $post->id]) }}"
                                       class="button-table-view"><i class="fas fa-eye"></i> Veure</a>

                                    <a href="{{ url('/admin/editar-entrada/'.$post->id) }}"
                                       class="button-table-edit"><i class="fas fa-edit"></i> Editar</a>

                                    <!-- Botón en HTML (lanza el modal en Bootstrap) -->
                                    <a href="#victorModal{{$post->id}}" role="button"
                                       class="button-table-delete"
                                       data-toggle="modal"><i class="fas fa-trash"></i> Eliminar</a>


                                    <!-- Modal / Ventana / Overlay en HTML -->
                                    <div id="victorModal{{$post->id}}" class="modal fade">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="">
                                                    <h4 class="">Estàs segur?</h4>
                                                </div>
                                                <div class="modal-body">
                                                    <p>Segur que volas eliminar aquesta entrada?</p>
                                                    <p class="">
                                                        <small>Si l'esborres, mai podràs recuperar-la.
                                                        </small>
                                                    </p>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="button-close"
                                                            data-dismiss="modal">
                                                        <i class="fas fa-times-circle"></i> Tancar
                                                    </button>
                                                    <a href=" {{ url('/admin/borrar-entrada/'.$post->id) }}"
                                                       type="button"
                                                       class="button-delete"><i class="fas fa-trash"></i>
                                                        Eliminar</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="clearfix"></div>
                <div class="row justify-content-center">{{ $posts->appends(request()->input())->links() }}</div>
            </div>
        </div>
    </div>
@endsection