@extends('admin.layouts.backend')

@section('title', 'Protectores · Adopta una mascota')

@section('breadcrumbs')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('users') }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row mt-5">
            <div class="col-12">
                <h1>Protectores</h1>
                <a href="{{ route('createUser') }}" class="button-create"><i class="fas fa-plus"></i> Crear protectora</a>
                <form class="filter" action="{{ route('getUsers') }}" method="get" enctype="multipart/form-data">
                    <div class="row">
                        <div class="col-md-4 col-lg-3">
                            <div class="form-group">
                                <label for="provincia">Província</label>
                                <select class="custom-select form-control" name="provincia">
                                    <option value="totes">Totes</option>
                                    @foreach($provincesSelect as $provinceSelect)
                                        @if(isset($provinceFilter))
                                            <option value="{{$provinceSelect->slug}}"
                                                    @if($provinceFilter[0]->province == $provinceSelect->province)  selected @endif>{{$provinceSelect->province}}</option>
                                        @else
                                            <option value="{{$provinceSelect->slug}}">{{$provinceSelect->province}}</option>
                                        @endif

                                    @endforeach
                                </select>
                            </div>

                        </div>
                        <div class="col-md-4 col-lg-3">
                            <label for="ordenar">Ordenar</label>
                            <select class="custom-select form-control" name="ordenar">
                                <option value="mes-recents" @if($order=='mes-recents')selected @endif>Recents</option>
                                <option value="mes-antigues" @if($order=='mes-antigues')selected @endif>Antigues</option>
                                <option value="a-z" @if($order=='a-z')selected @endif>De la A a la Z</option>
                                <option value="z-a" @if($order=='z-a')selected @endif>De la Z a la A</option>
                            </select>
                        </div>
                        <div class="col-md-4  col-lg-3 col-md-offset-3">
                            <div class="form-group">
                                <button type="submit" class="button-filter">Aplicar</button>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="table-responsive mt-5">
                    <table class="table">
                        <thead>
                        <tr>
                            <th>Nom</th>
                            <th>Ciutat</th>
                            <th>Província</th>
                            <th>Accions</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($users as $user)
                            <tr>
                                <td>{{ $user->name }}</td>
                                <td>{{ $user->city }}</td>
                                <td>{{ $user->province }}</td>
                                <td class="actions-users">
                                    <a href="{{ route('createAdminPet', ['user_id' => $user->id]) }}"
                                       class="button-table-create"><i class="fas fa-plus"></i> Crear mascota</a>

                                    <a href="{{ route('detailUser', ['user_id' => $user->id]) }}"
                                       class="button-table-view"><i class="fas fa-eye"></i> Veure</a>

                                    <a href="{{ url('/admin/editar-protectora/'.$user->id) }}"
                                       class="button-table-edit"><i class="fas fa-edit"></i> Editar</a>

                                    <!-- Botón en HTML (lanza el modal en Bootstrap) -->
                                    <a href="#victorModal{{$user->id}}" role="button"
                                       class="button-table-delete"
                                       data-toggle="modal"><i class="fas fa-trash"></i> Eliminar</a>


                                    <!-- Modal / Ventana / Overlay en HTML -->
                                    <div id="victorModal{{$user->id}}" class="modal fade">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="">
                                                    <h4 class="">Estàs segur?</h4>
                                                </div>
                                                <div class="modal-body">
                                                    <p>Segur que volas eliminar aquesta protectora?</p>
                                                    <p class="">
                                                        <small>Si l'esborres, mai podràs recuperar-la.
                                                        </small>
                                                    </p>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="button-close"
                                                            data-dismiss="modal">
                                                        <i class="fas fa-times-circle"></i> Tancar
                                                    </button>
                                                    <a href=" {{ url('/admin/borrar-protectora/'.$user->id) }}"
                                                       type="button"
                                                       class="button-delete"><i class="fas fa-trash"></i>
                                                        Eliminar</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="clearfix"></div>
                <div class="row justify-content-center">{{ $users->appends(request()->input())->links() }}</div>
            </div>
        </div>
    </div>
@endsection