@extends('layouts.app')

@section('title', 'Iniciar sessió · Adopta una mascota')

@section('breadcrumbs')
    <div class="container">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('login') }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row page justify-content-center login">
            <div class="col-md-8 col-lg-6">
                <h1>Iniciar sessió</h1>
                <form class="mb-5" method="POST" action="{{ route('login') }}">
                    {{ csrf_field() }}
                    <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                        <label for="email" class="control-label">Adreça electrònica</label>

                        <input id="email" type="email" class="form-control" name="email"
                               value="{{ old('email') }}" required autofocus>

                        @if ($errors->has('email'))
                            <span class="help-block">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                        @endif
                    </div>
                    <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
                        <label for="password" class="control-label">Contrasenya</label>

                        <input id="password" type="password" class="form-control" name="password" required>

                        @if ($errors->has('password'))
                            <span class="help-block">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                        @endif
                    </div>
                    <div class="form-check">
                        <input type="checkbox" id="defaultCheck1" class="form-check-input"
                               name="remember" {{ old('remember') ? 'checked' : '' }}>
                        <label class="form-check-label" for="remember">Recorda'm</label>
                    </div>
                    <div class="form-group">
                        <div>
                            <button type="submit" class="button-primary">Iniciar sessió</button>
                            <a class="btn btn-link underline" href="{{ route('password.request') }}">Has oblidat la
                                contrasenya?</a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
