@extends('layouts.app')

@section('title', 'Adopta una mascota')

@section('content')
    <div class="hero-image">
        <div class="hero-text">
            <h1>SALVA UNA VIDA</h1>
            <h2>Trobar la mascota dels teus somnis és molt fàcil!</h2>
            <form class="form-inline justify-content-center" method="get" action="{{ route('indexPet') }}">
                <label for="especie" class="d-none">Espècie</label>
                <select class="custom-select form-control mb-2 mr-sm-2" name="especie" id="especie">
                    <option value="totes">Espècie</option>
                    @foreach($typesPet as $typePet)
                        <option value="{{$typePet->slug}}">{{$typePet->type}}</option>
                    @endforeach
                </select>
                <label for="provincia" class="d-none">Província</label>
                <select class="custom-select form-control mb-2 mr-sm-2" name="provincia" id="provincia">
                    <option value="totes">Província</option>
                    @foreach($provinces as $province)
                        <option value="{{$province->slug}}">{{$province->province}}</option>
                    @endforeach
                </select>
                <button type="submit" class="mb-2">Cercar</button>
            </form>
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-lg-9">
                <section>
                    <h2>Últimes mascotes</h2>
                    <div class="row">
                        <div class="pets-list">
                            @foreach($pets as $pet)
                                <div class="pet-item col-sm-6 col-md-6 col-lg-4 pull-left">
                                    @if(Storage::disk('images')->has($pet->image))
                                        <div class="pet-image-thumb">
                                            <div class="pet-image-mask">
                                                <a href="{{ route('detailPet', ['pet_id' => $pet->id]) }}">
                                                    <img class="img-responsive" src="{{ url('/imatge/'.$pet->image)}}" alt="Imatge de {{ $pet->name }}">
                                                    <h3>{{ $pet->name }}</h3>
                                                </a>
                                            </div>
                                        </div>
                                    @endif
                                    <div class="data">
                                        <h4><strong>{{ $pet->protector_name }}</strong> · {{ $pet->city }} ({{ $pet->province }})</h4>
                                        <h5>{{ $pet->type }} · {{ $pet->breed }}</h5>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="suggerencies">
                        <div class="suggerencies-text">
                            <h2>Suggerències</h2>
                            <p>Tens alguna suggerència
                                i vols col·laborar amb nosaltres?</p>
                                <a href="{{route('getContactPage')}}" class="button-secondary">Contactar</a>
                        </div>
                    </div>
                    <h2>Últimes protectores</h2>
                    <div class="row">
                        <div class="row users-list">
                            @foreach($users as $user)
                                <div class="user-item col-sm-6 col-md-6 col-lg-4 pull-left">
                                    @if(Storage::disk('images')->has($user->image))
                                        <div class="user-image-thumb">
                                            <div class="user-image-mask">
                                                <a href="{{ route('detailUser', ['user_id' => $user->id]) }}">
                                                    <img class="img-responsive" src="{{ url('/imatge/'.$user->image)}}" alt="Imatge de {{ $user->name }}">
                                                    <h3>{{ $user->name }}</h3>
                                                </a>
                                            </div>
                                        </div>
                                    @endif
                                    <div class="data">
                                        <h4>{{ $user->city }} ({{ $user->province }})</h4>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </div>
                </section>
            </div>
            @include('layouts.sidebar')
        </div>
    </div>
@endsection
