<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Favicon -->
    <link rel="shortcut icon" type="image/x-icon" href="{{ URL::asset('favicon.ico') }}">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>@yield('title')</title>

    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('css/bootstrap.min.css') }}">
    <!-- Google fonts - Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,500,700">
    <!-- My styles -->
    <link rel="stylesheet" href="{{ URL::asset('css/style.css') }}">
    <!-- Styles -->
    <link href="{{ URL::asset('vendor/fontawesome/css/fontawesome-all.css') }}" rel="stylesheet">
    <!-- Summernote -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote-bs4.css" rel="stylesheet">
    <!-- Begin Cookie Consent plugin by Silktide - http://silktide.com/cookieconsent -->
    <script>window.cookieconsent_options = {"message":"Aquest lloc web utilitza galetes per assegurar-vos que obtingueu la millor experiència al nostre lloc web","dismiss":"Accepto!","learnMore":"Més informació","link":"/politica-de-galetes","theme":"dark-bottom"};</script>
</head>
<body>
<header>
    <nav class="navbar navbar-expand-md navbar-light bg-light">
        <div class="container">
            <!-- Branding Image -->
            <a class="navbar-brand " href="{{ url('/') }}">
                <img src="{{ URL::asset('img/logo.png') }}" width="164" alt="Adopta una mascota">
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-collapse">☰
            </button>
            <div class="collapse navbar-collapse" id="navbar-collapse">
                <ul class="nav navbar-nav ml-auto">
                    <li class="nav-item"><a
                                class="nav-link normal-link {{ Request::is('mascotes*') ? 'active' : '' }}{{ Request::is('mascota*') ? 'active' : '' }}"
                                href="{{ url('/mascotes') }}">Mascotes</a></li>
                    <li class="nav-item"><a
                                class="nav-link normal-link {{ Request::is('protectores*') ? 'active' : '' }}{{ Request::is('protectora*') ? 'active' : '' }}"
                                href="{{ url('/protectores') }}">Protectores</a></li>
                    <li class="nav-item"><a class="nav-link normal-link {{ Request::is('blog*') ? 'active' : '' }}"
                                            href="{{ url('/blog') }}">Blog</a></li>

                    <!-- Authentication Links -->
                    @guest
                    <li class="nav-item"><a class="nav-link authentication-login" href="{{ route('login') }}">Iniciar
                            sessió</a></li>
                    <li class="nav-item"><a class="nav-link authentication-register" href="{{ route('register') }}">Registre</a>
                    </li>
                    @else
                        <li class="nav-item dropdown">
                            <a class="nav-link normal-link dropdown-toggle" data-toggle="dropdown" href="#"
                               role="button"
                               aria-haspopup="true" aria-expanded="false">{{ Auth::user()->name }}</a>
                            <div class="dropdown-menu menu-auth ropdown-menu-right">
                                @if(Auth::check() && Auth::user()->hasRole('user'))
                                    <a class="dropdown-item menu-item "
                                       href="{{ route('detailUser', ['user_id' => Auth::user()->id]) }}"><i class="fas fa-user"></i> El meu
                                        perfil</a>
                                    <a class="dropdown-item menu-item "
                                       href="{{ route('getAllPetsUser', ['user_id' => Auth::user()->id]) }}"><i class="fas fa-paw"></i> Les
                                        meves mascotes</a>
                                    <div class="dropdown-divider"></div>
                                @endif
                                    @if(Auth::check() && Auth::user()->hasRole('admin'))
                                        <a class="dropdown-item menu-item "
                                           href="{{ route('admin') }}"><i class="fas fa-tachometer-alt"></i> Dashboard</a>

                                        <div class="dropdown-divider"></div>
                                    @endif
                                <a class="menu-item " href="{{ route('logout') }}"
                                   onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                    <i class="fas fa-sign-out-alt"></i> Tancar sessió
                                </a>

                                <form id="logout-form" action="{{ route('logout') }}" method="POST"
                                      style="display: none;">
                                    {{ csrf_field() }}
                                </form>
                            </div>
                        </li>
                        @endguest
                </ul>
            </div>
        </div>
    </nav>
    @yield('breadcrumbs')
@if(Notification::showAll())
        <div class="container">
            <div class="row mt-5">
                <div class="col-12">
                    <div class="notification">
                        {!! Notification::showAll() !!}
                    </div>
                </div>
            </div>
        </div>
    @endif
</header>
@yield('content')
<footer>
    <div class="container">
        <div class="row">
            <div class="col-lg-3 col-md-4 col-xs-12">
                <h2>Informació</h2>
                <ul>
                    <li><a href="{{ url('/qui-som') }}">Qui som</a></li>
                    <li><a href="{{ url('/avis-legal') }}">Avís legal</a></li>
                    <li><a href="{{ url('/ajuda') }}">Ajuda</a></li>
                    <li><a href="{{ url('/preguntes-frequents') }}">Preguntes freqüents</a></li>
                    <li><a href="{{ url('/politica-de-privadesa') }}">Política de privadesa</a></li>
                    <li><a href="{{ url('/politica-de-galetes') }}">Política de galetes</a></li>
                </ul>
            </div>
            <hr>
            <div class="col-lg-3 col-md-4 col-xs-12">
                <h2>Contacta'ns</h2>
                <ul>
                    <li><a href="{{ url('/contacte') }}">Contacte</a></li>
                    <li><a href="mailto:hola@adoptaunamascota.com"><span class="fas fa-envelope"></span>Adreça electrònica</a></li>
                    <li><a href="https://www.facebook.com/adoptaunamascota" target="_blank"><span class="fab fa-facebook"></span>Facebook</a></li>
                    <li><a href="https://www.twitter.com/adoptaunamascota" target="_blank"><span class="fab fa-twitter-square"></span>Twitter</a></li>
                    <li><a href="https://www.instagram.com/adoptaunamascota" target="_blank"> <span class="fab fa-instagram"></span>Instagram</a></li>
                </ul>
            </div>
            <hr>
            <div class="col-lg-3 col-md-offset-3 col-md-4 col-xs-12 ">
                <h2>Subscriu-te al nostre butlletí</h2>
                <form method="post" enctype="multipart/form-data" action="{{ route('saveSubscriber') }}">
                    {!! csrf_field() !!}
                    <div class="form-group">
                        <label for="email-subscriber" class="d-none">Email</label>
                        <input type="email" name="email" class="form-control" id="email-subscriber" placeholder="Adreça electrònica" required="required"/>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="w-100">Enviar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</footer>
<div class="container-fluid copyright">
    <div class="row">
        <div class="col-12">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <p>© 2018 Adopta una mascota</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Scripts -->
<script src="{{ asset('js/app.js') }}"></script>
<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<!-- Popper JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"></script>
<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js"></script>
<!-- Summernote -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote-bs4.js"></script>
<!-- Cookies -->
<script src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/1.0.10/cookieconsent.min.js"></script>
@yield('scripts')
</body>
</html>
