@extends('layouts.app')

@section('title', 'Contacte · Adopta una mascota')

@section('breadcrumbs')
    <div class="container">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('contact') }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row page mt-5">
            <div class="col-md-8 col-lg-9">
                <h1>Contacte</h1>
                <img class="img-fluid" src="{{ URL::asset('img/about-us.png') }}" alt="Qui som">
                <form class="" method="POST" action="{{ route('sendMail') }}" enctype="multipart/form-data">
                    {{ csrf_field() }}
                    @if($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach($errors->all() as $error)
                                    <li>{{$error}}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                        <label for="name" class="">Nom *</label>

                        <input id="name" type="text" class="form-control" name="name" value="{{ old('name') }}" required
                               autofocus>

                        @if ($errors->has('name'))
                            <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                        @endif
                    </div>

                    <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                        <label for="email" class="control-label">Adreça electrònica *</label>

                        <input id="email" type="email" class="form-control" name="email" value="{{ old('email') }}"
                               required>

                        @if ($errors->has('email'))
                            <span class="help-block">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                        @endif
                    </div>
                    <div class="form-group{{ $errors->has('phone') ? ' has-error' : '' }}">
                        <label for="phone" class="control-label">Telèfon *</label>

                        <input id="phone" type="text" class="form-control" name="phone" value="{{ old('phone') }}"
                               minlength="8">

                        @if ($errors->has('phone'))
                            <span class="help-block">
                                        <strong>{{ $errors->first('phone') }}</strong>
                                    </span>
                        @endif
                    </div>

                    <div class="form-group{{ $errors->has('subject') ? ' has-error' : '' }}">
                        <label for="subject" class="control-label">Assumpte</label>

                        <input id="subject" type="text" class="form-control" name="subject"
                               value="{{ old('subject') }}">

                        @if ($errors->has('subject'))
                            <span class="help-block">
                                        <strong>{{ $errors->first('subject') }}</strong>
                                    </span>
                        @endif
                    </div>
                    <div class="form-group{{ $errors->has('message') ? ' has-error' : '' }}">
                        <label for="message" class="control-label">Missatge *</label>

                        <textarea id="message" rows="8" class="form-control" name="message"
                                  required>{{ old('message') }}</textarea>

                        @if ($errors->has('message'))
                            <span class="help-block">
                                        <strong>{{ $errors->first('message') }}</strong>
                                    </span>
                        @endif
                    </div>
                    <div class="form-check">
                        <input type="checkbox" id="privacy" class="form-check-input" name="privacy"
                               value="{{ old('privacy') }}" required>
                        <label class="form-check-label">He llegit i accepto la <a class="underline"
                                    href="{{ url('/politica-de-privadesa') }}">política de privadesa</a>.</label>
                    </div>
                    <div class="form-group mt-4">
                        <div>
                            <button type="submit" class="button-primary">
                                Enviar missatge
                            </button>
                        </div>
                    </div>
                </form>
            </div>
            @include('layouts.sidebar')
        </div>
    </div>
@endsection
