@extends('layouts.app')

@section('title', $pet->name.' · Adopta una mascota')

@section('breadcrumbs')
    <div class="container">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('pet', $pet) }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container detail-pet">
        <div class="row mt-5 mb-5">
            <div class="col-md-8 col-lg-9">
                <div class="row">
                    <div class="col-md-12 col-lg-6">
                        <img class="img-responsive" src="{{ url('/imatge/'.$pet->image)}}" alt="{{ $pet->name }}">
                        <div class="mb-5">
                            <div>
                                <p class="d-inline">Compartir a</p>
                                <ul class="share d-inline">
                                    <li><a target="_blank"
                                           href="http://www.facebook.com/sharer.php?u={{ Request::url() }}"><span
                                                    class="fab fa-facebook"></span><p class="d-none">Facebook</p></a></li>
                                    <li><a target="_blank" href="http://twitter.com/home?status={{ Request::url() }}"><span
                                                    class="fab fa-twitter-square"></span><p class="d-none">Twitter</p></a></li>
                                    <li><a target="_blank"
                                           href="https://plus.google.com/share?url={{ Request::url() }}"><span
                                                    class="fab fa-google-plus-square"></span><p class="d-none">Google+</p></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12 col-lg-6">
                        <div class="row">
                            <div class="col-md-12">
                                <h1>{{$pet->name}}</h1>
                                <p>ID: {{$pet->id}}</p>
                            </div>
                            <div class="col-md-6">
                                <p>Espècie: <span class="strong">{{$typePet->type}}</span></p>
                                <p>Raça: <span class="strong">{{$pet->breed}}</span></p>
                                <p>Data naixement: <span class="strong">{{$pet->birthday}}</span></p>
                                <p>Sexe: <span class="strong">{{$pet->gender}}</span></p>
                                <p>Tamany: <span class="strong">{{$pet->size}}</span></p>
                            </div>
                            <div class="col-md-6">
                                <p>Pes: <span class="strong">{{$pet->weight}}</span></p>
                                <p>Salut: <span class="strong">{{$pet->health}}</span></p>
                                <p>Color del pelatge: <span class="strong">{{$pet->color}}</span></p>
                            </div>
                            @if(Auth::check())
                                @if(Auth::user()->hasRole('admin') || Auth::user()->id == $user->id)
                                    <div class="col-md-6  mt-3 mb-3">
                                        <a href="{{ url('/mascota/editar/'.$pet->id) }}" class="button-edit"><i
                                                    class="fas fa-edit"></i> Editar</a>
                                        <!-- Botón en HTML (lanza el modal en Bootstrap) -->
                                    </div>
                                    <div class="col-md-6  mt-3 mb-3">

                                        <a href="#victorModal{{$pet->id}}" role="button" class="button-delete"
                                           data-toggle="modal"><i class="fas fa-trash"></i> Eliminar</a>

                                        <!-- Modal / Ventana / Overlay en HTML -->
                                        <div id="victorModal{{$pet->id}}" class="modal fade">
                                            <div class="modal-dialog">
                                                <div class="modal-content">
                                                    <div class="">
                                                        <h4 class="">Estàs segur?</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <p>Segur que volas eliminar aquesta mascota?</p>
                                                        <p class="">
                                                            <small>Si l'esborres, mai podràs recuperar-la.</small>
                                                        </p>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="button-close" data-dismiss="modal">
                                                            <i class="fas fa-times-circle"></i> Tancar
                                                        </button>
                                                        <a href=" {{ url('/mascota/eliminar/'.$pet->id) }}"
                                                           type="button"
                                                           class="button-delete"><i class="fas fa-trash"></i>
                                                            Eliminar</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                            @endif
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 mb-5 mt-5">
                        @if(isset($pet->description) && !empty($pet->description))
                            <h2 class="d-none">Descripció</h2>
                            <h3>Descripció</h3>
                            {!! $pet->description !!}
                        @endif
                    </div>
                    <div class="col-md-12 mb-5">
                        <h3>Protectora</h3>
                        <div class="row mt-6">
                            <div class="col-md-12 mt-3 mb-3">
                                <h4>{{$user->name}}</h4>
                            </div>
                            <div class="col-sm-6 col-md-6">
                                <p>{{$user->street}}, {{$user->buildingNumber}}<br>
                                {{$user->postalCode}} {{$city->city}} ({{$province->province}})</p>

                                @if(isset($phones) && !empty($phones))
                                    <div class="mt-3 mb-3">
                                        @foreach($phones as $phone)
                                            <p><span class="fas fa-phone-square"></span> {{$phone->number}}
                                                @if(isset($phone->description) && !empty($phone->description))
                                                    ({{$phone->description}})
                                                @endif</p>
                                        @endforeach
                                    </div>
                                @endif
                            </div>
                            <div class="col-sm-6 col-md-6">
                                <p><span class="fas fa-phone-square"></span> <a href="">{{$user->web}}</a></p>
                                <p><span class="fas fa-envelope"></span> <a href="">{{$user->email}}</a></p>
                                <p><span class="fab fa-facebook-square"></span> <a href="">{{$user->facebook}}</a></p>
                                <p><span class="fab fa-twitter-square"></span> <a href="">{{$user->twitter}}</a></p>
                                <p><span class="fab fa-instagram"></span> <a href="">{{$user->instagram}}</a></p>
                                <p><img class="teaming" src="{{ URL::asset('img/teaming.png') }}" alt="Teaming"> <a
                                            href="">{{$user->teaming}}</a></p>
                            </div>
                            <div class="col-md-6  mt-4 mb-3">
                                <a href="{{ route('detailUser', ['user_id' => $user->id]) }}"
                                   class="button-edit"><span class="text-white fas fa-search"></span> Veure
                                    perfil</a>
                            </div>
                        </div>
                    </div>
                    <form method="POST" action="{{ route('sendMailUser') }}" enctype="multipart/form-data">
                        {{ csrf_field() }}
                        @if($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach($errors->all() as $error)
                                        <li>{{$error}}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        <div class="col-md-12">
                            <h3>Contacta amb la protectora</h3>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                                <label for="name" class="control-label">Nom</label>

                                <input id="name" type="text" class="form-control" name="name"
                                       value="{{ old('name') }}"
                                       required="required">

                                @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                            </div>

                            <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                                <label for="email" class="control-label">Adreça electrònica</label>

                                <input id="email" type="email" class="form-control" name="email"
                                       value="{{ old('email') }}"
                                       required="required"/>

                                @if ($errors->has('email'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                            </div>
                            <div class="form-group{{ $errors->has('phone') ? ' has-error' : '' }}">
                                <label for="phone" class="control-label">Telèfon</label>

                                <input id="phone" type="text" class="form-control" name="phone"
                                       value="{{ old('phone') }}">

                                @if ($errors->has('phone'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('phone') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group{{ $errors->has('subject') ? ' has-error' : '' }}">
                                <label for="subject" class="control-label">Assumpte</label>

                                <input id="subject" type="text" class="form-control" name="subject"
                                       value="Informació sobre {{$pet->name}}" required="required"/>

                                @if ($errors->has('subject'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('subject') }}</strong>
                                    </span>
                                @endif
                            </div>
                            <div class="form-group{{ $errors->has('message') ? ' has-error' : '' }}">
                                <label for="message" class="control-label">Missatge</label>

                                <textarea id="message" class="form-control" name="message"
                                          required="required">{{ old('message') }}</textarea>

                                @if ($errors->has('message'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('message') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-check">
                                <input type="checkbox" class="form-check-input mb-4" id="privacidad"
                                       name="privacy" value="{{ old('privacy') }}" required="required"/>
                                <label class="form-check-label mb-4" for="privacidad">He llegit i accepto la <a
                                            class="underline"
                                            href="{{ url('/politica-de-privadesa') }}">política de
                                        privadesa</a>.</label>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="submit" class="button-primary">
                                    Enviar missatge
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            @include('layouts.sidebar')
        </div>
    </div>
@endsection
