@extends('layouts.app')

@section('title')
    {{-- Si hi ha provincia seleccionada i no hi ha tipus de mascota seleccionada...--}}
    @if(isset($provinceFilter) && !empty($provinceFilter) && !isset($especieFilter) && empty($especieFilter))
        {{$provinceFilter[0]->province}} · Mascotes · Adopta una mascota
        {{-- Si no hi ha provincia seleccionada i hi ha tipus de mascota seleccionada...--}}
    @elseif(!isset($provinceFilter) && empty($provinceFilter) && isset($especieFilter) && !empty($especieFilter))
        @if($especieFilter[0]->type == 'Gos') Gossos @else Gats @endif  · Adopta una mascota
        {{-- Si hi ha provincia seleccionada i hi ha tipus de mascota seleccionada...--}}
    @elseif(isset($provinceFilter) && !empty($provinceFilter) && isset($especieFilter) && !empty($especieFilter))
        {{$provinceFilter[0]->province}} · @if($especieFilter[0]->type == 'Gos') Gossos @else Gats @endif · Adopta una mascota
        {{-- Si no hi ha cap dels dos filtres seleccionats...--}}
    @else
        Mascotes · Adopta una mascota
    @endif
@endsection

@section('breadcrumbs')
    <div class="container">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('indexPet') }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row mt-5">
            <div class="col-md-8 col-lg-9">
                {{-- Si hi ha provincia seleccionada i no hi ha tipus de mascota seleccionada...--}}
                @if(isset($provinceFilter) && !empty($provinceFilter) && !isset($especieFilter) && empty($especieFilter))
                    <h1>Mascotes a {{$provinceFilter[0]->province}}</h1>
                    {{-- Si no hi ha provincia seleccionada i hi ha tipus de mascota seleccionada...--}}
                @elseif(!isset($provinceFilter) && empty($provinceFilter) && isset($especieFilter) && !empty($especieFilter))
                    <h1>@if($especieFilter[0]->type == 'Gos') Gossos @else Gats @endif</h1>
                    {{-- Si hi ha provincia seleccionada i hi ha tipus de mascota seleccionada...--}}
                @elseif(isset($provinceFilter) && !empty($provinceFilter) && isset($especieFilter) && !empty($especieFilter))
                    <h1>@if($especieFilter[0]->type == 'Gos') Gossos @else Gats @endif
                        a {{$provinceFilter[0]->province}}</h1>
                    {{-- Si no hi ha cap dels dos filtres seleccionats...--}}
                @else
                    <h1>Mascotes</h1>
                    <h2 class="d-none">Mascotes</h2>
                @endif
                <form class="filter" action="{{ route('indexPet') }}" method="get" enctype="multipart/form-data">
                    <div class="row">
                        <div class="col-sm-6 col-md-6 col-lg-3">
                            <div class="form-group">
                                <label for="provincia">Província</label>
                                <select class="custom-select form-control" name="provincia" id="provincia">
                                    <option value="totes">Totes</option>
                                    @foreach($provincesSelect as $provinceSelect)
                                        @if(isset($provinceFilter))
                                            <option value="{{$provinceSelect->slug}}"
                                                    @if($provinceFilter[0]->province == $provinceSelect->province)  selected="selected" @endif>{{$provinceSelect->province}}</option>
                                        @else
                                            <option value="{{$provinceSelect->slug}}">{{$provinceSelect->province}}</option>
                                        @endif

                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-6 col-md-6 col-lg-3">
                            <label for="especie">Espècie</label>
                            <select class="custom-select form-control" name="especie" id="especie">
                                <option value="totes">Totes</option>
                                @foreach($typePets as $typePet)
                                    @if(isset($especie))
                                        <option value="{{$typePet->slug}}"
                                                @if($typePet->slug == $especie)  selected="selected" @endif>{{$typePet->type}}</option>
                                    @else
                                        <option value="{{$typePet->slug}}">{{$typePet->type}}</option>
                                    @endif
                                @endforeach
                            </select>
                        </div>
                        <div class="col-sm-6 col-md-6 col-lg-3">
                            <label for="ordenar">Ordenar</label>
                            <select class="custom-select form-control" name="ordenar" id="ordenar">
                                <option value="mes-recents" @if($order=='mes-recents')selected="selected" @endif>Recents</option>
                                <option value="mes-antigues" @if($order=='mes-antigues')selected="selected" @endif>Antigues</option>
                                <option value="a-z" @if($order=='a-z')selected="selected" @endif>A-Z</option>
                                <option value="z-a" @if($order=='z-a')selected="selected" @endif>Z-A</option>
                            </select>
                        </div>
                        <div class="col-sm-6 col-md-6 col-lg-3">
                            <div class="form-group">
                                <button type="submit" class="button-filter">Aplicar</button>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="row">
                    <div class="pets-list">
                        @foreach($pets as $pet)

                            <div class="pet-item col-sm-6 col-md-6 col-lg-4 pull-left">
                                @if(Storage::disk('images')->has($pet->image))
                                    <div class="pet-image-thumb">
                                        <div class="pet-image-mask">
                                            <a href="{{ route('detailPet', ['pet_id' => $pet->id]) }}">
                                                <img class="img-responsive" src="{{ url('/imatge/'.$pet->image)}}" alt="Imatge de {{ $pet->name }}">
                                                <h3>{{ $pet->name }}</h3>
                                            </a>
                                        </div>
                                    </div>
                                @endif
                                <div class="data">
                                    <h4><strong>{{ $pet->protector_name }}</strong> · {{ $pet->city }} ({{ $pet->province }})</h4>
                                    <h5>{{ $pet->type }} · {{ $pet->breed }}</h5>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="row justify-content-center">{{ $pets->appends(request()->input())->links() }}</div>
            </div>
            @include('layouts.sidebar')
        </div>
    </div>
@endsection
