@extends('layouts.app')

@section('title', $category->name.' · Adopta una mascota')

@section('breadcrumbs')
    <div class="container">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('category', $category) }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row mt-5">
            <div class="col-md-8 col-lg-9">
                <h1>Resultats de {{$category->name}}</h1>
                <div class="row">
                    <div class="posts-list">
                        @foreach($posts as $post)
                            <div class="post-item col-md-6 col-lg-4 pull-left">
                                @if(Storage::disk('images')->has($post->image))
                                    <div class="post-image-thumb">
                                        <div class="post-image-mask">
                                            <a href="{{ route('detailPost', ['post_id' => $post->id]) }}">
                                                <img class="img-responsive" src="{{ url('/imatge/'.$post->image)}}">
                                            </a>
                                        </div>
                                    </div>
                                @endif
                                <div class="data">
                                    <a href="{{ route('detailPost', ['post_id' => $post->id]) }}">
                                        <h3>{{ $post->title }}</h3>
                                    </a>
                                    <p>{{ $post->excerpt }}</p>
                                    <div>
                                        <div class="float-left">
                                            <i class="fas fa-tag"></i>
                                            <a href="{{ route('categoryPost', ['category_id' => $category->id]) }}">
                                            <h6>{{$post->name}}</h6></a>
                                        </div>
                                        <div>
                                            <i class="fas fa-clock"></i>
                                            <h6>{{date('d-m-Y', strtotime($post->created_at))}}</h6>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="row justify-content-center">{{ $posts->links() }}</div>
            </div>
            @include('layouts.sidebar')
        </div>
    </div>
@endsection
