@extends('layouts.app')

@section('title', $post->title.' · Adopta una mascota')

@section('breadcrumbs')
    <div class="container">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('post', $post) }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row mt-5">
            <div class="col-md-8 col-lg-9 post-detail mb-4">
                <h1>{{$post->title}}</h1>
                <h5>{{$post->excerpt}}</h5>
                <img class="img-fluid" src="{{ url('/imatge/'.$post->image)}}" alt="{{ $post->title }}">
                <div class="row data">
                    <div class="col-6 col-sm-3 col-md-3 col-lg-3">
                        <i class="fas fa-tag"></i>
                        <a href="{{ route('categoryPost', ['category_id' => $post->category_id]) }}">
                            <h6>{{$category->name}}</h6></a>
                    </div>
                    <div class="col-6 col-sm-3 col-md-3 col-lg-3">
                        <i class="fas fa-clock"></i>
                        <h6>{{date('d-m-Y', strtotime($post->created_at))}}</h6>
                    </div>
                    <div class="col-12 col-sm-6 col-md-6 col-md-offset-2 col-lg-4 justify-content-right share-group">
                        <div class="float-sm-right">
                            <h6>Compartir a</h6>
                            <ul class="share">
                                <li><a target="_blank" href="http://www.facebook.com/sharer.php?u={{ Request::url() }}"><i class="fab fa-facebook"></i></a></li>
                                <li><a target="_blank" href="http://twitter.com/home?status={{ Request::url() }}"><i class="fab fa-twitter-square"></i></a></li>
                                <li><a target="_blank" href="https://plus.google.com/share?url={{ Request::url() }}"><i class="fab fa-google-plus-square"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut venenatis odio urna, vel sodales tortor
                    interdum sed. Sed rutrum massa quis metus aliquet vehicula. Praesent viverra neque a odio ultrices,
                    non volutpat augue varius. In erat lorem, ullamcorper et turpis in, semper molestie ligula. Praesent
                    nec lacus mauris. Nullam non ultrices nulla. Mauris ultrices eleifend felis hendrerit porta. Mauris
                    nisl lectus, commodo in aliquet in, congue id purus. Sed pellentesque ipsum nisl, in dignissim
                    sapien pulvinar ac. Sed ultrices eget elit ac aliquam. Donec id ultricies velit. Nullam sit amet
                    porttitor metus.</p>
                <p> Maecenas enim velit, laoreet sit amet velit ac, interdum dignissim ipsum. Fusce ut nunc tellus. Cras
                    ut euismod nibh. Duis rhoncus arcu et eros mollis dapibus. Nullam eu vehicula nunc. Pellentesque
                    semper pulvinar turpis ut pretium. Fusce dapibus rhoncus tortor, commodo fermentum est pellentesque
                    sit amet. Sed cursus maximus enim, eget rutrum nisl imperdiet sed. Etiam in pellentesque magna. Duis
                    lectus quam, congue eu urna ut, iaculis porta ex. Aliquam tempor purus varius purus imperdiet, in
                    ultricies tellus fringilla. Aenean sit amet pulvinar lectus.</p>
                <p> Maecenas tincidunt fermentum eros, id tincidunt diam interdum non. Cras lacus felis, imperdiet non
                    hendrerit vitae, bibendum id massa. Sed hendrerit quam nisi, sit amet congue est dapibus venenatis.
                    Mauris dapibus eget leo vel tristique. Quisque luctus id urna non finibus. Donec ut elementum massa.
                    Curabitur et malesuada quam. Ut ullamcorper odio sed arcu blandit, quis commodo lectus condimentum.
                    Nulla dictum condimentum nibh, ac porta orci aliquam vel. Aliquam erat volutpat. Donec dapibus
                    lectus nulla, at consectetur magna pretium ut.</p>
                <p> Integer aliquet vulputate eros quis mollis. Suspendisse ac est id lectus rutrum eleifend. Vivamus
                    vulputate massa quis ultrices laoreet. Pellentesque ut varius ex, sed molestie orci. Vestibulum
                    condimentum scelerisque ex, id euismod metus tincidunt vitae. Donec a turpis non neque mollis
                    tempor. Sed nec sollicitudin mi. Mauris efficitur scelerisque nisl, nec congue sem finibus id.
                    Nullam ultricies, lectus vel euismod rutrum, mi nulla accumsan mauris, sit amet lobortis lectus nibh
                    nec massa. Fusce et sapien libero. Donec auctor sapien bibendum ultrices sagittis. Cras viverra
                    libero lectus, quis bibendum ex gravida eu. Nulla commodo non lectus cursus posuere. Pellentesque
                    nec blandit libero. Praesent ac bibendum libero. Aliquam ullamcorper ullamcorper facilisis.</p>
                <p> Praesent et dolor ac nisi tristique pretium. Donec faucibus id est non venenatis. Etiam ut
                    scelerisque justo, quis fringilla ante. Quisque laoreet orci sed leo pulvinar elementum. Nullam at
                    vulputate mauris. Mauris pulvinar mauris nisi, sit amet faucibus nibh consequat at. Phasellus id
                    commodo felis. Phasellus eu iaculis dui. Proin imperdiet pellentesque velit sit amet scelerisque.
                    Proin non arcu a felis euismod vestibulum vitae eget elit.</p>
                <img class="img-fluid" src="https://storage.googleapis.com/support-kms-prod/SNP_3094702_en_v0" alt="Banner adwords">
                <p>Sed varius tellus at odio mattis, a consectetur justo tempus. Vivamus non lacus mattis, blandit
                    ligula eget, dapibus turpis. Fusce ut pretium nunc. Fusce pulvinar facilisis neque. Proin id enim id
                    velit consequat condimentum id eu ligula. Aenean tempus, leo et hendrerit pellentesque, tortor lorem
                    auctor felis, vitae lacinia dui velit eget orci. Nam purus velit, maximus vitae imperdiet sed,
                    scelerisque sit amet nibh. In ornare sit amet turpis vel imperdiet. Aenean vel diam posuere lectus
                    malesuada semper molestie et neque. Praesent interdum velit in massa suscipit semper.</p>
                <p> Nulla eu arcu id metus consectetur fermentum. Maecenas ultricies est fermentum purus auctor aliquam.
                    Vivamus cursus pulvinar tortor, nec malesuada risus posuere quis. Orci varius natoque penatibus et
                    magnis dis parturient montes, nascetur ridiculus mus. Fusce aliquam orci in dui accumsan, in
                    imperdiet nunc tempor. Aenean gravida gravida ante, in semper tellus feugiat quis. Praesent vitae
                    luctus augue. Phasellus nec diam sed arcu pulvinar molestie. Nullam facilisis volutpat lacus id
                    sollicitudin. Etiam elit metus, ornare ut ipsum id, hendrerit imperdiet turpis. Mauris ullamcorper
                    iaculis leo ut fringilla. Praesent mi dolor, dapibus sed erat eget, commodo iaculis nunc. Etiam
                    dapibus posuere porta. Vivamus tristique arcu quis placerat placerat. Curabitur accumsan, mauris nec
                    suscipit interdum, nulla diam vulputate odio, non gravida lorem est efficitur leo. Duis velit
                    ligula, facilisis quis hendrerit non, ultrices dignissim eros.</p>
                <p> Praesent non placerat sem. Maecenas lacinia euismod augue, congue gravida augue venenatis eget. Sed
                    posuere, nisi ut pretium efficitur, tellus nibh suscipit metus, nec convallis sem felis porta ipsum.
                    Proin sed finibus sem. Curabitur ultrices ligula eu facilisis ornare. Fusce ac lectus eros. Nulla
                    eros ex, viverra non lacus sed, interdum mattis risus. Nulla ac volutpat ipsum, eu viverra urna.
                    Vestibulum at posuere turpis. Vivamus aliquam suscipit augue non sollicitudin. Class aptent taciti
                    sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque hendrerit leo ut
                    eros molestie sollicitudin. Praesent ac nulla turpis. Aliquam tortor odio, vestibulum sit amet nibh
                    id, facilisis eleifend justo. Quisque sed orci ac massa hendrerit tempus. Nullam in mi sit amet mi
                    dictum faucibus.</p>
                <p> Nunc euismod enim quis arcu semper, et hendrerit sapien tristique. Quisque sagittis nisl sed arcu
                    suscipit condimentum. Nam consectetur odio est, malesuada elementum ligula consectetur eget. Ut
                    vitae elementum tellus. Etiam in libero ac lectus porttitor aliquam. Integer ultrices sagittis
                    lacus, et lobortis enim euismod at. Fusce neque risus, ultrices vitae ullamcorper eu, euismod vel
                    enim. Quisque sed metus ante. Phasellus auctor posuere ex, ac pellentesque diam porta at. Ut
                    vehicula felis vel elit scelerisque, eget maximus augue eleifend. Nam vel porttitor risus, et
                    sodales magna. Donec vulputate tincidunt purus, quis euismod felis tincidunt lobortis. Donec vitae
                    elementum purus. Morbi eget dignissim libero.</p>
            </div>
            @include('layouts.sidebar')
        </div>
    </div>
@endsection
