@extends('layouts.app')

@section('title', 'Cercar · Adopta una mascota')

@section('breadcrumbs')
    <div class="container">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('searchBlog') }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row mt-5">
            <div class="col-md-8 col-lg-9">
                @if(isset($search) && !empty($search))
                    <h1>{{count($posts)}} @if(count($posts)==1) resultat @else resultats @endif per a "{{$search}}"</h1>
                @else
                    <h1>Blog</h1>
                @endif
                <div class="row">
                    <div class="posts-list">
                        @if(count($posts) >= 1 )
                            @foreach($posts as $post)
                                <div class="post-item col-md-6 col-lg-4 pull-left">
                                    @if(Storage::disk('images')->has($post->image))
                                        <div class="post-image-thumb">
                                            <div class="post-image-mask">
                                                <a href="{{ route('detailPost', ['post_id' => $post->id]) }}">
                                                    <img class="img-responsive" src="{{ url('/imatge/'.$post->image)}}">
                                                </a>
                                            </div>
                                        </div>
                                    @endif
                                    <div class="data">
                                        <a href="{{ route('detailPost', ['post_id' => $post->id]) }}">
                                            <h3>{{ $post->title }}</h3>
                                        </a>
                                        <p>{{ $post->excerpt }}</p>
                                        <div>
                                            <div class="float-left">
                                                <i class="fas fa-tag"></i>
                                                <a href="{{ route('categoryPost', ['category_id' => $post->category_id]) }}">
                                                    <h6>{{$post->name}}</h6></a>
                                            </div>
                                            <div>
                                                <i class="fas fa-clock"></i>
                                                <h6>{{date('d-m-Y', strtotime($post->created_at))}}</h6>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endforeach
                        @else
                            No s'han trobat resultats.
                        @endif
                    </div>
                </div>
                    <div class="clearfix"></div>

                    <div class="row justify-content-center">{{ $posts->appends(request()->input())->links() }}</div>
                </div>
                @include('layouts.sidebar')
            </div>
        </div>
¡@endsection
