@extends('layouts.app')

@section('title', 'Modificar contrasenya · Adopta una mascota')

@section('breadcrumbs')
    <div class="container">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('changePassword', $user) }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row page justify-content-center mt-5">
            <div class="col-md-8 col-lg-6">
                <h1>Modificar contrasenya</h1>
                <form class="mb-5" method="POST" action="{{ route('updatePassword', ['user_id' => $user->id]) }}">
                    {{ csrf_field() }}
                    <div class="form-group{{ $errors->has('current_password') ? ' has-error' : '' }}">
                        <label for="current_password" class="control-label">Contrasenya actual</label>
                        <input id="current_password" type="password" class="form-control" name="current_password"
                               value="{{ old('email') }}" required autofocus>

                        @if ($errors->has('current_password'))
                            <span class="help-block">
                                        <strong>{{ $errors->first('current_password') }}</strong>
                                    </span>
                        @endif
                    </div>
                    <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
                        <label for="password" class="control-label">Contrasenya nova</label>

                        <input id="password" type="password" class="form-control" name="password" required>

                        @if ($errors->has('password'))
                            <span class="help-block">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                        @endif
                    </div>
                    <div class="form-group">
                        <label for="password-confirm" class="control-label">Repetir contrasenya</label>
                        <input id="password-confirm" type="password" class="form-control" name="password_confirmation"
                               required>
                    </div>
                    <div class="form-group">
                        <div>
                            <button type="submit" class="button-primary">Modificar contrasenya</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
