@extends('layouts.app')

@section('title', $user[0]->name.' · Adopta una mascota')

@section('breadcrumbs')
    <div class="container">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('user', $users) }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container detail-user">
        <div class="row mt-5 mb-5">
            <div class="col-md-8 col-lg-9">
                <div class="row">
                    <div class="col-md-12">
                        <img class="img-responsive mb-5" src="{{ url('/imatge/'.$user[0]->image)}}"
                             alt="{{ $user[0]->name }}">
                        <h1>{{$user[0]->name}}</h1>
                    </div>
                    <div class="col-md-6">
                        <p>{{$user[0]->street}}, {{$user[0]->buildingNumber}}</br>
                        {{$user[0]->postalCode}} {{$user[0]->city}} ({{$user[0]->province}})</p>
                        @if(isset($phones) && !empty($phones))
                            <div class="mt-3">
                                @foreach($phones as $phone)
                                    <h5><i class="fas fa-phone-square"></i> {{$phone->number}}
                                        @if(isset($phone->description) && !empty($phone->description))
                                            ({{$phone->description}})
                                        @endif</h5>

                                @endforeach
                            </div>
                        @endif
                    </div>
                    <div class="col-md-6">
                        <h5><i class="fas fa-globe"></i> <a href="">{{$user[0]->web}}</a></h5>
                        <h5><i class="fas fa-envelope"></i> <a href="">{{$user[0]->email}}</a></h5>
                        <h5><i class="fab fa-facebook-square"></i> <a href="">{{$user[0]->facebook}}</a></h5>
                        <h5><i class="fab fa-twitter-square"></i> <a href="">{{$user[0]->twitter}}</a></h5>
                        <h5><i class="fab fa-instagram"></i> <a href="">{{$user[0]->instagram}}</a></h5>
                        <h5><img class="teaming" src="{{ URL::asset('img/teaming.png') }}" alt="Teaming"> <a
                                    href="">{{$user[0]->teaming}}</a></h5>
                    </div>
                    <div class="col-md-12 mt-4 mb-5">
                        @if(Auth::check())
                            @if(Auth::user()->id == $user[0]->id)
                                <div class="row">
                                    <div class="col-sm-6 col-md-6 col-lg-4 col-xl-3">
                                        <a href=" {{ url('/protectora/editar/'.$user[0]->id) }}" class="button-edit"><i
                                                    class="fas fa-edit"></i> Editar
                                            perfil</a>
                                    </div>
                                    <div class="col-sm-6 col-md-6 col-lg-4 col-xl-3">

                                        <!-- Botón en HTML (lanza el modal en Bootstrap) -->
                                        <a href="#victorModal{{$user[0]->id}}" role="button"
                                           class="button-delete"
                                           data-toggle="modal"><i class="fas fa-trash"></i> Eliminar perfil</a>

                                        <!-- Modal / Ventana / Overlay en HTML -->
                                        <div id="victorModal{{$user[0]->id}}" class="modal fade">
                                            <div class="modal-dialog">
                                                <div class="modal-content">
                                                    <div>
                                                        <h4 class="">Estàs segur?</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <p>Segur que volas eliminar el perfil?</p>
                                                        <p class="">
                                                            <small>Si l'esborres, mai podràs el recuperar.</small>
                                                        </p>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="button-close"
                                                                data-dismiss="modal">
                                                            <i class="fas fa-times-circle"></i> Tancar
                                                        </button>
                                                        <a href=" {{ url('/protectora/eliminar/'.$user[0]->id) }}"
                                                           type="button"
                                                           class="button-delete"><i class="fas fa-trash"></i> Eliminar
                                                            perfil</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endif
                            @if(Auth::user()->hasRole('admin'))
                                <div class="row">
                                    <div class="col-sm-6 col-md-6 col-lg-4 col-xl-3">
                                        <a href="{{ url('/protectora/editar/'.$user[0]->id) }}"
                                           class="button-edit"><i
                                                    class="fas fa-edit"></i> Editar</a>
                                    </div>
                                    <div class="col-sm-6 col-md-6 col-lg-4 col-xl-3">

                                        <!-- Botón en HTML (lanza el modal en Bootstrap) -->
                                        <a href="#victorModal{{$user[0]->id}}" role="button"
                                           class="button-delete"
                                           data-toggle="modal"><i class="fas fa-trash"></i> Eliminar</a>

                                        <!-- Modal / Ventana / Overlay en HTML -->
                                        <div id="victorModal{{$user[0]->id}}" class="modal fade">
                                            <div class="modal-dialog">
                                                <div class="modal-content">
                                                    <div class="">
                                                        <h4 class="">Estàs segur?</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <p>Segur que volas eliminar aquesta protectora?</p>
                                                        <p class="">
                                                            <small>Si l'esborres, mai podràs recuperar-la.</small>
                                                        </p>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="button-close"
                                                                data-dismiss="modal">
                                                            <i class="fas fa-times-circle"></i> Tancar
                                                        </button>
                                                        <a href=" {{ url('/protectora/eliminar/'.$user[0]->id) }}"
                                                           type="button"
                                                           class="button-delete"><i class="fas fa-trash"></i>
                                                            Eliminar</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        @endif
                    </div>
                    @if(isset($user[0]->description) && !empty($user[0]->description))
                        <div class="col-md-12 mb-5">
                            <h3>Descripció</h3>
                            <p>{{$user[0]->description}}</p>
                        </div>
                    @endif
                    @if(isset($user[0]->conditions) && !empty($user[0]->conditions))
                        <div class="col-md-12 mb-5">
                            <h3>Condicions</h3>
                            <p>{{$user[0]->conditions}}</p>
                        </div>
                    @endif
                    <form method="POST" action="{{ route('sendMailUser') }}" enctype="multipart/form-data">
                        {{ csrf_field() }}
                        @if($errors->any())
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach($errors->all() as $error)
                                        <li>{{$error}}</li>
                                    @endforeach
                                </ul>
                            </div>
                        @endif
                        <div class="col-md-12">
                            <h3>Contacta amb la protectora</h3>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                                <label for="name" class="control-label">Nom</label>

                                <input id="name" type="text" class="form-control" name="name"
                                       value="{{ old('name') }}"
                                       required>

                                @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                            </div>

                            <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                                <label for="email" class="control-label">Adreça electrònica</label>

                                <input id="email" type="email" class="form-control" name="email"
                                       value="{{ old('email') }}"
                                       required>

                                @if ($errors->has('email'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                            </div>
                            <div class="form-group{{ $errors->has('phone') ? ' has-error' : '' }}">
                                <label for="phone" class="control-label">Telèfon</label>

                                <input id="phone" type="text" class="form-control" name="phone"
                                       value="{{ old('phone') }}">

                                @if ($errors->has('phone'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('phone') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group{{ $errors->has('subject') ? ' has-error' : '' }}">
                                <label for="subject" class="control-label">Assumpte</label>

                                <input id="subject" type="text" class="form-control" name="subject"
                                       value="" required>

                                @if ($errors->has('subject'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('subject') }}</strong>
                                    </span>
                                @endif
                            </div>
                            <div class="form-group{{ $errors->has('message') ? ' has-error' : '' }}">
                                <label for="message" class="control-label">Missatge</label>

                                <textarea id="message" class="form-control" name="message"
                                          required>{{ old('message') }}</textarea>

                                @if ($errors->has('message'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('message') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-check">
                                <input type="checkbox" class="form-check-input mb-4"
                                       id="privacy"
                                       name="privacy" value="{{ old('privacy') }}" required>
                                <label class="form-check-label mb-4">He llegit i accepto la <a
                                            class="underline"
                                            href="{{ url('/politica-de-privadesa') }}">política de
                                        privadesa</a>.</label>
                            </div>
                        </div>
                        <div class="col-md-12">

                            <div class="form-group">
                                <button type="submit" class="button-primary">
                                    Enviar missatge
                                </button>
                            </div>
                        </div>
                    </form>
                    <div class="col-md-12 mb-2 mt-5">
                        <h3 class="mb-4">Últimes mascotes</h3>
                        <div class="row">
                            <div class="pets-list">
                                @foreach($pets as $pet)
                                    <div class="pet-item col-md-6 col-lg-4 pull-left">
                                        @if(Storage::disk('images')->has($pet->image))
                                            <div class="pet-image-thumb">
                                                <div class="pet-image-mask">
                                                    <a href="{{ route('detailPet', ['pet_id' => $pet->id]) }}">
                                                        <img class="img-responsive"
                                                             src="{{ url('/imatge/'.$pet->image)}}"
                                                             alt="{{ $pet->name }}">
                                                    </a>
                                                </div>
                                            </div>
                                        @endif
                                        <div class="data">
                                            <a href="{{ route('detailPet', ['pet_id' => $pet->id]) }}">
                                                <h3>{{ $pet->name }}</h3>
                                            </a>
                                            <h5>{{ $pet->city }} · {{ $pet->province }}</h5>
                                            <h6>{{ $pet->type }} · {{ $pet->breed }}</h6>
                                        </div>
                                    </div>
                                @endforeach
                                @if(count($pets_total) > 6)
                                    <div class="col-md-12 mes-mascotes">
                                        <a href="{{ route('getPetsUser', ['user_id' => $user[0]->id]) }}"
                                           class="button-secondary">Veure més mascotes</a>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            @include('layouts.sidebar')
        </div>
    </div>
@endsection
