@extends('layouts.app')

@section('title')
    @if(isset($provinceFilter) && !empty($provinceFilter))
        {{$provinceFilter[0]->province}} · Protectores · Adopta una mascota
    @else
        Protectores · Adopta una mascota
    @endif
@endsection

@section('breadcrumbs')
    <div class="container">
        <div class="row">
            <div class="col-12">
                {{ Breadcrumbs::render('indexUser') }}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row mt-5">
            <div class="col-md-8 col-lg-9">
                @if(isset($provinceFilter) && !empty($provinceFilter))
                    <h1>Protectores a {{$provinceFilter[0]->province}}</h1>
                @else
                    <h1>Protectores</h1>
                @endif
                <form class="filter" action="{{ route('indexUser') }}" method="get" enctype="multipart/form-data">
                    <div class="row">
                        <div class="col-md-4 col-lg-3">
                            <div class="form-group">
                                <label>Província</label>
                                <select class="custom-select form-control" name="provincia">
                                    <option value="totes">Totes</option>
                                    @foreach($provincesSelect as $provinceSelect)
                                        @if(isset($provinceFilter))
                                            <option value="{{$provinceSelect->slug}}"
                                                    @if($provinceFilter[0]->province == $provinceSelect->province)  selected @endif>{{$provinceSelect->province}}</option>
                                        @else
                                            <option value="{{$provinceSelect->slug}}">{{$provinceSelect->province}}</option>
                                        @endif
                                    @endforeach
                                </select>
                            </div>

                        </div>
                        <div class="col-md-4 col-lg-3">
                            <label>Ordenar</label>
                            <select class="custom-select form-control" name="ordenar">
                                <option value="mes-recents" @if($order=='mes-recents')selected @endif>Recents</option>
                                <option value="mes-antigues" @if($order=='mes-antigues')selected @endif>Antigues</option>
                                <option value="a-z" @if($order=='a-z')selected @endif>De la A a la Z</option>
                                <option value="z-a" @if($order=='z-a')selected @endif>De la Z a la A</option>
                            </select>
                        </div>
                        <div class="col-md-4  col-lg-3 col-md-offset-3">
                            <div class="form-group">
                                <button type="submit" class="button-filter">Aplicar</button>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="row">
                    <div class="users-list">
                        @foreach($users as $user)
                            <div class="user-item col-md-6 col-lg-4 pull-left">
                                @if(Storage::disk('images')->has($user->image))
                                    <div class="user-image-thumb">
                                        <div class="user-image-mask">
                                            <a href="{{ route('detailUser', ['user_id' => $user->id]) }}">
                                                <img class="img-responsive" src="{{ url('/imatge/'.$user->image)}}" alt="{{ $user->name }}">
                                            </a>
                                        </div>
                                    </div>
                                @endif
                                <div class="data">
                                    <a href="{{ route('detailUser', ['user_id' => $user->id]) }}">
                                        <h3>{{ $user->name }}</h3>
                                    </a>
                                    <h5>{{ $user->city }} ({{ $user->province }})</h5>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="row justify-content-center">{{ $users->appends(request()->input())->links() }}</div>
            </div>
            @include('layouts.sidebar')
        </div>
    </div>
@endsection
