<?php

// Inici
Breadcrumbs::register('home', function ($breadcrumbs) {
    $breadcrumbs->push('<span class="fas fa-home"></span>', route('home'));
});

// Inici > Contacte
Breadcrumbs::register('contact', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Contacte', route('getContactPage'));
});

// Inici > Qui som
Breadcrumbs::register('about-us', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Qui som', route('getAboutUsPage'));
});

// Inici > Avís legal
Breadcrumbs::register('legal', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Avís legal', route('getLegalPage'));
});

// Inici > Preguntes freqüents
Breadcrumbs::register('faq', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Preguntes freqüents', route('getFaqPage'));
});

// Inici > Ajuda
Breadcrumbs::register('help', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Ajuda', route('getHelpPage'));
});

// Inici > Política de privadesa
Breadcrumbs::register('privacy', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Política de privadesa', route('getPrivacyPage'));
});

// Inici > Política de galetes
Breadcrumbs::register('cookies', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Política de galetes', route('getCookiesPage'));
});
// Inici > Iniciar sessió
Breadcrumbs::register('login', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Iniciar sessió', route('login'));
});

// Inici > Registre
Breadcrumbs::register('register', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Registrar', route('register'));
});

// Inici > Reiniciar contrasenya
Breadcrumbs::register('reset', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Reiniciar contrasenya', route('password.request'));
});

// Inici > Canviar contrasenya
Breadcrumbs::register('changePassword', function ($breadcrumbs, $user) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Modificar contrasenya', route('changePassword', $user->id));
});

// Inici > Iniciar sessió
Breadcrumbs::register('completeRegister', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Completar registre', route('completeUser'));
});

// Inici > Blog
Breadcrumbs::register('blog', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Blog', route('indexBlog'));
});

// Inici > Blog > [Categoria]
Breadcrumbs::register('category', function ($breadcrumbs, $category) {
    $breadcrumbs->parent('blog');
    $breadcrumbs->push($category->name, route('categoryPost', $category->id));
});

// Inici > Blog > [Categoria] > [Entrada]
Breadcrumbs::register('post', function ($breadcrumbs, $post) {
    $breadcrumbs->parent('category', $post->category);
    $breadcrumbs->push($post->title, route('detailPost', $post));
});

// Inici > Blog > Cerca
Breadcrumbs::register('searchBlog', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Resultats de la cerca', route('searchPost'));
});

// Inici > Mascotes
Breadcrumbs::register('indexPet', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Mascotes', route('indexPet'));
});

// Inici > Mascotes > [Mascota]
Breadcrumbs::register('pet', function ($breadcrumbs, $pet) {
    $breadcrumbs->parent('indexPet');
    $breadcrumbs->push($pet->name, route('detailPet', $pet->id));
});

// Inici > Mascotes > [Mascota] > Editar mascota
Breadcrumbs::register('editPet', function ($breadcrumbs, $pet) {
    $breadcrumbs->parent('pet', $pet);
    $breadcrumbs->push('Editar mascota', route('editPet', $pet));
});

// Inici > Mascotes > [Mascota] > Crear mascota
Breadcrumbs::register('createPet', function ($breadcrumbs, $user) {
    $breadcrumbs->parent('user', $user);
    $breadcrumbs->push('Crear mascota', route('editPet', $user));
});

// Inici > Protectores
Breadcrumbs::register('indexUser', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Protectores', route('indexUser'));
});

// Inici > Protectores > [Usuari]
Breadcrumbs::register('user', function ($breadcrumbs, $user) {
    $breadcrumbs->parent('indexUser');
    $breadcrumbs->push($user->name, route('detailUser', $user->id));
});

// Inici > Protectores > [Usuari] > Mascotes
Breadcrumbs::register('petsUser', function ($breadcrumbs, $user) {
    $breadcrumbs->parent('user', $user);
    $breadcrumbs->push('Mascotes', route('getPetsUser', $user));
});


// Inici > Editar perfil
Breadcrumbs::register('editUser', function ($breadcrumbs, $user) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Editar perfil', route('editUser', $user->id));
});

// Inici > Les meves mascotes
Breadcrumbs::register('getAllPetsUser', function ($breadcrumbs, $user) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Les meves mascotes', route('getAllPetsUser', $user));
});

// Inici > Les meves mascotes
Breadcrumbs::register('error', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Error', url('/error'));
});

// Admin
Breadcrumbs::register('admin', function ($breadcrumbs) {
    $breadcrumbs->push('<i class="fas fa-home"></i>', route('admin'));
});

// Admin > Crear entrada
Breadcrumbs::register('createPost', function ($breadcrumbs) {
    $breadcrumbs->parent('admin');
    $breadcrumbs->push('Crear entrada', route('createPost'));
});

// Admin > Entrades
Breadcrumbs::register('posts', function ($breadcrumbs) {
    $breadcrumbs->parent('admin');
    $breadcrumbs->push('Entrades', route('getPosts'));
});

// Admin > Entrades > [Entrada] > Editar entrada
Breadcrumbs::register('editPost', function ($breadcrumbs, $post) {
    $breadcrumbs->parent('posts', $post);
    $breadcrumbs->push('Editar entrada', route('editPost', $post->id));
});

// Admin > Crear categoria
Breadcrumbs::register('createCategory', function ($breadcrumbs) {
    $breadcrumbs->parent('admin');
    $breadcrumbs->push('Crear categoria', route('createCategory'));
});

// Admin > Categories
Breadcrumbs::register('categories', function ($breadcrumbs) {
    $breadcrumbs->parent('admin');
    $breadcrumbs->push('Categories', route('getCategories'));
});

// Admin > Categories > [Categoria]
Breadcrumbs::register('editCategory', function ($breadcrumbs, $category) {
    $breadcrumbs->parent('categories', $category);
    $breadcrumbs->push($category->name, route('editCategory', $category->id));
});

// Admin > Mascotes
Breadcrumbs::register('pets', function ($breadcrumbs) {
    $breadcrumbs->parent('admin');
    $breadcrumbs->push('Mascotes', route('getPets'));
});

// Admin > Crear mascota
Breadcrumbs::register('createAdminPet', function ($breadcrumbs, $user) {
    $breadcrumbs->parent('admin');
    $breadcrumbs->push('Crear mascota', route('createAdminPet', $user));
});

// Admin > Mascotes > [Mascota] > Editar mascota
Breadcrumbs::register('editAdminPet', function ($breadcrumbs, $pet) {
    $breadcrumbs->parent('pets', $pet);
    $breadcrumbs->push('Editar mascota', route('editPost', $pet->id));
});

// Admin > Crear protectora
Breadcrumbs::register('createUser', function ($breadcrumbs) {
    $breadcrumbs->parent('admin');
    $breadcrumbs->push('Crear protectora', route('createUser'));
});

// Admin > Editar protectora
Breadcrumbs::register('editAdminUser', function ($breadcrumbs, $user) {
    $breadcrumbs->parent('admin');
    $breadcrumbs->push('Editar protectora', route('editAdminUser', $user));
});

// Admin > Protectores
Breadcrumbs::register('users', function ($breadcrumbs) {
    $breadcrumbs->parent('home');
    $breadcrumbs->push('Protectores', route('indexUser'));
});