<?php $__env->startSection('title', 'Protectores · Adopta una mascota'); ?>

<?php $__env->startSection('breadcrumbs'); ?>
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <?php echo e(Breadcrumbs::render('users')); ?>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="row mt-5">
            <div class="col-12">
                <h1>Protectores</h1>
                <a href="<?php echo e(route('createUser')); ?>" class="button-create"><i class="fas fa-plus"></i> Crear protectora</a>
                <form class="filter" action="<?php echo e(route('getUsers')); ?>" method="get" enctype="multipart/form-data">
                    <div class="row">
                        <div class="col-md-4 col-lg-3">
                            <div class="form-group">
                                <label for="provincia">Província</label>
                                <select class="custom-select form-control" name="provincia">
                                    <option value="totes">Totes</option>
                                    <?php $__currentLoopData = $provincesSelect; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $provinceSelect): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if(isset($provinceFilter)): ?>
                                            <option value="<?php echo e($provinceSelect->slug); ?>"
                                                    <?php if($provinceFilter[0]->province == $provinceSelect->province): ?>  selected <?php endif; ?>><?php echo e($provinceSelect->province); ?></option>
                                        <?php else: ?>
                                            <option value="<?php echo e($provinceSelect->slug); ?>"><?php echo e($provinceSelect->province); ?></option>
                                        <?php endif; ?>

                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>

                        </div>
                        <div class="col-md-4 col-lg-3">
                            <label for="ordenar">Ordenar</label>
                            <select class="custom-select form-control" name="ordenar">
                                <option value="mes-recents" <?php if($order=='mes-recents'): ?>selected <?php endif; ?>>Recents</option>
                                <option value="mes-antigues" <?php if($order=='mes-antigues'): ?>selected <?php endif; ?>>Antigues</option>
                                <option value="a-z" <?php if($order=='a-z'): ?>selected <?php endif; ?>>De la A a la Z</option>
                                <option value="z-a" <?php if($order=='z-a'): ?>selected <?php endif; ?>>De la Z a la A</option>
                            </select>
                        </div>
                        <div class="col-md-4  col-lg-3 col-md-offset-3">
                            <div class="form-group">
                                <button type="submit" class="button-filter">Aplicar</button>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="table-responsive mt-5">
                    <table class="table">
                        <thead>
                        <tr>
                            <th>Nom</th>
                            <th>Ciutat</th>
                            <th>Província</th>
                            <th>Accions</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($user->name); ?></td>
                                <td><?php echo e($user->city); ?></td>
                                <td><?php echo e($user->province); ?></td>
                                <td class="actions-users">
                                    <a href="<?php echo e(route('createAdminPet', ['user_id' => $user->id])); ?>"
                                       class="button-table-create"><i class="fas fa-plus"></i> Crear mascota</a>

                                    <a href="<?php echo e(route('detailUser', ['user_id' => $user->id])); ?>"
                                       class="button-table-view"><i class="fas fa-eye"></i> Veure</a>

                                    <a href="<?php echo e(url('/admin/editar-protectora/'.$user->id)); ?>"
                                       class="button-table-edit"><i class="fas fa-edit"></i> Editar</a>

                                    <!-- Botón en HTML (lanza el modal en Bootstrap) -->
                                    <a href="#victorModal<?php echo e($user->id); ?>" role="button"
                                       class="button-table-delete"
                                       data-toggle="modal"><i class="fas fa-trash"></i> Eliminar</a>


                                    <!-- Modal / Ventana / Overlay en HTML -->
                                    <div id="victorModal<?php echo e($user->id); ?>" class="modal fade">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="">
                                                    <h4 class="">Estàs segur?</h4>
                                                </div>
                                                <div class="modal-body">
                                                    <p>Segur que volas eliminar aquesta protectora?</p>
                                                    <p class="">
                                                        <small>Si l'esborres, mai podràs recuperar-la.
                                                        </small>
                                                    </p>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="button-close"
                                                            data-dismiss="modal">
                                                        <i class="fas fa-times-circle"></i> Tancar
                                                    </button>
                                                    <a href=" <?php echo e(url('/admin/borrar-protectora/'.$user->id)); ?>"
                                                       type="button"
                                                       class="button-delete"><i class="fas fa-trash"></i>
                                                        Eliminar</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
                <div class="clearfix"></div>
                <div class="row justify-content-center"><?php echo e($users->appends(request()->input())->links()); ?></div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.backend', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>