<?php $__env->startSection('title', 'Contacte · Adopta una mascota'); ?>

<?php $__env->startSection('breadcrumbs'); ?>
    <div class="container">
        <div class="row">
            <div class="col-12">
                <?php echo e(Breadcrumbs::render('contact')); ?>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row page mt-5">
            <div class="col-md-8 col-lg-9">
                <h1>Contacte</h1>
                <img class="img-fluid" src="<?php echo e(URL::asset('img/about-us.png')); ?>" alt="Qui som">
                <form class="" method="POST" action="<?php echo e(route('sendMail')); ?>" enctype="multipart/form-data">
                    <?php echo e(csrf_field()); ?>

                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <div class="form-group<?php echo e($errors->has('name') ? ' has-error' : ''); ?>">
                        <label for="name" class="">Nom *</label>

                        <input id="name" type="text" class="form-control" name="name" value="<?php echo e(old('name')); ?>" required
                               autofocus>

                        <?php if($errors->has('name')): ?>
                            <span class="help-block">
                                        <strong><?php echo e($errors->first('name')); ?></strong>
                                    </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group<?php echo e($errors->has('email') ? ' has-error' : ''); ?>">
                        <label for="email" class="control-label">Adreça electrònica *</label>

                        <input id="email" type="email" class="form-control" name="email" value="<?php echo e(old('email')); ?>"
                               required>

                        <?php if($errors->has('email')): ?>
                            <span class="help-block">
                                        <strong><?php echo e($errors->first('email')); ?></strong>
                                    </span>
                        <?php endif; ?>
                    </div>
                    <div class="form-group<?php echo e($errors->has('phone') ? ' has-error' : ''); ?>">
                        <label for="phone" class="control-label">Telèfon *</label>

                        <input id="phone" type="text" class="form-control" name="phone" value="<?php echo e(old('phone')); ?>"
                               minlength="8">

                        <?php if($errors->has('phone')): ?>
                            <span class="help-block">
                                        <strong><?php echo e($errors->first('phone')); ?></strong>
                                    </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group<?php echo e($errors->has('subject') ? ' has-error' : ''); ?>">
                        <label for="subject" class="control-label">Assumpte</label>

                        <input id="subject" type="text" class="form-control" name="subject"
                               value="<?php echo e(old('subject')); ?>">

                        <?php if($errors->has('subject')): ?>
                            <span class="help-block">
                                        <strong><?php echo e($errors->first('subject')); ?></strong>
                                    </span>
                        <?php endif; ?>
                    </div>
                    <div class="form-group<?php echo e($errors->has('message') ? ' has-error' : ''); ?>">
                        <label for="message" class="control-label">Missatge *</label>

                        <textarea id="message" rows="8" class="form-control" name="message"
                                  required><?php echo e(old('message')); ?></textarea>

                        <?php if($errors->has('message')): ?>
                            <span class="help-block">
                                        <strong><?php echo e($errors->first('message')); ?></strong>
                                    </span>
                        <?php endif; ?>
                    </div>
                    <div class="form-check">
                        <input type="checkbox" id="privacy" class="form-check-input" name="privacy"
                               value="<?php echo e(old('privacy')); ?>" required>
                        <label class="form-check-label">He llegit i accepto la <a class="underline"
                                    href="<?php echo e(url('/politica-de-privadesa')); ?>">política de privadesa</a>.</label>
                    </div>
                    <div class="form-group mt-4">
                        <div>
                            <button type="submit" class="button-primary">
                                Enviar missatge
                            </button>
                        </div>
                    </div>
                </form>
            </div>
            <?php echo $__env->make('layouts.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>