<?php $__env->startSection('title', 'Crear entrada · Adopta una mascota'); ?>

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row">
            <div class="col">
                <h1>Crear entrada</h1>
                <form action="<?php echo e(route('savePost')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>

                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <div class="form-group<?php echo e($errors->has('title') ? ' has-error' : ''); ?>">
                        <label for="title" class="col-md-4 control-label">Títol *</label>

                        <div class="col-md-6">
                            <input id="title" type="text" class="form-control" name="title" value="<?php echo e(old('title')); ?>"
                                   required autofocus>

                            <?php if($errors->has('title')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('title')); ?></strong>
                                    </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="form-group<?php echo e($errors->has('category') ? ' has-error' : ''); ?>">
                        <label for="category" class="col-md-4 control-label">Categoria *</label>

                        <div class="col-md-6">
                            <select class="form-control" name="category" required>
                                <option value="null">Selecciona la categoria de l'entrada</option>
                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->slug); ?>"><?php echo e($category->name); ?></option>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php if($errors->has('category')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('category')); ?></strong>
                                    </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="form-group<?php echo e($errors->has('status') ? ' has-error' : ''); ?>">
                        <label for="status" class="col-md-4 control-label">Estat *</label>

                        <div class="col-md-6">
                            <select required class="form-control" name="status" >
                                <option value="null">Selecciona l'estat de l'entrada</option>
                                <?php $__currentLoopData = $statusPosts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statusPost): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($statusPost->slug); ?>"><?php echo e($statusPost->name); ?></option>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php if($errors->has('status')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('status')); ?></strong>
                                    </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="form-group<?php echo e($errors->has('editordata-excerpt') ? ' has-error' : ''); ?>">
                        <label for="editordata-excerpt" class="col-md-4 control-label">Resum</label>

                        <div class="col-md-6">
                            <textarea id="summernote-excerpt" type="text" class="form-control"
                                      name="editordata-excerpt"><?php echo e(old('editordata-excerpt')); ?></textarea>

                            <?php if($errors->has('editordata-excerpt')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('editordata-excerpt')); ?></strong>
                                    </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="form-group<?php echo e($errors->has('editordata-body') ? ' has-error' : ''); ?>" required>
                        <label for="editordata-body" class="col-md-4 control-label">Cos *</label>

                        <div class="col-md-6">
                            <textarea id="summernote-body" type="text" class="form-control"
                                      name="editordata-body"><?php echo e(old('editordata-body')); ?></textarea>

                            <?php if($errors->has('editordata-body')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('editordata-body')); ?></strong>
                                    </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="form-group<?php echo e($errors->has('image') ? ' has-error' : ''); ?>">
                        <label for="image" class="col-md-4 control-label">Imatge *</label>

                        <div class="col-md-6">
                            <input type="file" class="form-control" id="image" name="image"
                                   value="<?php echo e(old('image')); ?>" required>

                            <?php if($errors->has('image')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('image')); ?></strong>
                                    </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <button type="submit" class="btn btn-success">Crear entrada</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        $(document).ready(function () {
            $('#summernote-excerpt').summernote({
                lang: 'ca-ES' // default: 'en-US'
            });
            $('#summernote-body').summernote({
                lang: 'ca-ES' // default: 'en-US'
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>