<?php $__env->startSection('title', $user->name.' · Adopta una mascota'); ?>

<?php $__env->startSection('breadcrumbs'); ?>
    <div class="container">
        <div class="row">
            <div class="col-12">
                <?php echo e(Breadcrumbs::render('editAdminUser', $user)); ?>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row mb-5 mt-5">
            <div class="col-md-12">
                <h1>Editar protectora</h1>
                <form action="<?php echo e(route('updateUser', ['user_id' => $user->id])); ?>" method="post"
                      enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>

                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group<?php echo e($errors->has('name') ? ' has-error' : ''); ?>">
                                <label for="name" class="control-label">Nom *</label>

                                <input id="name" type="text" class="form-control" name="name"
                                       value="<?php echo e($user->name); ?>"
                                       maxlength="255" required>

                                <?php if($errors->has('name')): ?>
                                    <span class="help-block"><strong><?php echo e($errors->first('name')); ?></strong></span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('email') ? ' has-error' : ''); ?>">
                                <label for="email" class="control-label">Adreça electrònica *</label>


                                <input id="email" type="email" class="form-control" name="email"
                                       value="<?php echo e($user->email); ?>"
                                       required disabled>

                                <?php if($errors->has('email')): ?>
                                    <span class="help-block"><strong><?php echo e($errors->first('email')); ?></strong></span>
                                <?php endif; ?>
                            </div>
                            <div class="row">
                                <div class="col-md-8">
                                    <div class="form-group<?php echo e($errors->has('street') ? ' has-error' : ''); ?>">
                                        <label for="street" class="control-label">Carrer *</label>

                                        <input id="street" type="text" class="form-control" name="street"
                                               minlength="3"
                                               maxlength="255"
                                               value="<?php echo e($user->street); ?>"
                                               required>

                                        <?php if($errors->has('street')): ?>
                                            <span class="help-block"><strong><?php echo e($errors->first('street')); ?></strong></span>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group<?php echo e($errors->has('buildingNumber') ? ' has-error' : ''); ?>">
                                        <label for="buildingNumber" class="control-label">Numero *</label>

                                        <input id="buildingNumber" type="text" class="form-control"
                                               name="buildingNumber"
                                               value="<?php echo e($user->buildingNumber); ?>" pattern="[0-9]*" minlength="1"
                                               required>

                                        <?php if($errors->has('buildingNumber')): ?>
                                            <span class="help-block"><strong><?php echo e($errors->first('buildingNumber')); ?></strong></span>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group<?php echo e($errors->has('province') ? ' has-error' : ''); ?>">
                                        <label for="province" class="control-label">Província *</label>

                                        <select class="custom-select form-control" name="province" id="province"
                                                required>
                                            <option value="">Selecciona una província</option>
                                            <?php $__currentLoopData = $provinces; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $province): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($province->slug); ?>"
                                                        <?php if($province->id == $province_id): ?> selected <?php endif; ?>><?php echo e($province->province); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <?php if($errors->has('province')): ?>
                                            <span class="help-block"><strong><?php echo e($errors->first('province')); ?></strong></span>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group<?php echo e($errors->has('city') ? ' has-error' : ''); ?>">
                                        <label for="city" class="control-label">Localitat *</label>

                                        <select name="city" id="city" class="custom-select form-control" required>
                                            <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($city->slug); ?>"
                                                        <?php if($city->id == $city_id): ?> selected <?php endif; ?>><?php echo e($city->city); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <?php if($errors->has('city')): ?>
                                            <span class="help-block"><strong><?php echo e($errors->first('city')); ?></strong></span>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group<?php echo e($errors->has('postalCode') ? ' has-error' : ''); ?>">
                                <label for="postalCode" class="control-label">Codi Postal *</label>

                                <input id="postalCode" type="text" class="form-control" name="postalCode"
                                       value="<?php echo e($user->postalCode); ?>" pattern="[0-9]*" minlength="1" required>

                                <?php if($errors->has('postalCode')): ?><span class="help-block">
                                    <strong><?php echo e($errors->first('postalCode')); ?></strong></span>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <?php $__currentLoopData = $phones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $phone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone'.$loop->iteration.'') ? ' has-error' : ''); ?>">
                                            <label for="phone<?php echo e($loop->iteration); ?>"
                                                   class="control-label">Telèfon <?php echo e($loop->iteration); ?> *</label>

                                            <input id="phone<?php echo e($loop->iteration); ?>" type="text" class="form-control"
                                                   name="phone<?php echo e($loop->iteration); ?>" value="<?php echo e($phone->number); ?>"
                                                   minlength="8"
                                                   <?php if($loop->iteration==1): ?> required <?php endif; ?>>

                                            <?php if($errors->has('phone'.$loop->iteration.'')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone'.$loop->iteration.'')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone'.$loop->iteration.'-description') ? ' has-error' : ''); ?>">
                                            <label for="phone<?php echo e($loop->iteration); ?>-description" class="control-label">Descripció</label>

                                            <input id="phone<?php echo e($loop->iteration); ?>-description" type="text"
                                                   class="form-control" name="phone<?php echo e($loop->iteration); ?>-description"
                                                   minlength="3" maxlength="255" value="<?php echo e($phone->description); ?>"
                                                   <?php if($loop->iteration==1): ?> required <?php endif; ?>>

                                            <?php if($errors->has('phone'.$loop->iteration.'-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone'.$loop->iteration.'-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php if(count($phones)==0): ?>
                                <div class="row">
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone1') ? ' has-error' : ''); ?>">
                                            <label for="phone1" class="control-label">Telèfon 1</label>

                                            <input id="phone1" type="text" class="form-control" name="phone1"
                                                   value="<?php echo e(old('phone1')); ?>" minlength="8">

                                            <?php if($errors->has('phone1')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone1')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone3-description') ? ' has-error' : ''); ?>">
                                            <label for="phone3-description" class="control-label">Descripció</label>

                                            <input id="phone3-description" type="text" class="form-control"
                                                   name="phone3-description" value="<?php echo e(old('phone3-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone3-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone3-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone2') ? ' has-error' : ''); ?>">
                                            <label for="phone2" class="control-label">Telèfon 2</label>

                                            <input id="phone2" type="text" class="form-control" name="phone2"
                                                   value="<?php echo e(old('phone2')); ?>" minlength="8">

                                            <?php if($errors->has('phone2')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone2')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone3-description') ? ' has-error' : ''); ?>">
                                            <label for="phone3-description" class="control-label">Descripció</label>

                                            <input id="phone3-description" type="text" class="form-control"
                                                   name="phone3-description" value="<?php echo e(old('phone3-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone3-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone3-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone3') ? ' has-error' : ''); ?>">
                                            <label for="phone3" class="control-label">Telèfon 3</label>

                                            <input id="phone3" type="text" class="form-control" name="phone3"
                                                   value="<?php echo e(old('phone3')); ?>" minlength="8">

                                            <?php if($errors->has('phone3')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone3')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone3-description') ? ' has-error' : ''); ?>">
                                            <label for="phone3-description" class="control-label">Descripció</label>

                                            <input id="phone3-description" type="text" class="form-control"
                                                   name="phone3-description" value="<?php echo e(old('phone3-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone3-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone3-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone4') ? ' has-error' : ''); ?>">
                                            <label for="phone4" class="control-label">Telèfon 4</label>

                                            <input id="phone4" type="text" class="form-control" name="phone4"
                                                   value="<?php echo e(old('phone4')); ?>" minlength="8">

                                            <?php if($errors->has('phone4')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone4')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone4-description') ? ' has-error' : ''); ?>">
                                            <label for="phone4-description" class="control-label">Descripció</label>

                                            <input id="phone4-description" type="text" class="form-control"
                                                   name="phone4-description" value="<?php echo e(old('phone4-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone4-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone4-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone5') ? ' has-error' : ''); ?>">
                                            <label for="phone5" class="control-label">Telèfon 5</label>

                                            <input id="phone5" type="text" class="form-control" name="phone5"
                                                   value="<?php echo e(old('phone5')); ?>" minlength="8">

                                            <?php if($errors->has('phone5')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone5')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone5-description') ? ' has-error' : ''); ?>">
                                            <label for="phone5-description" class="control-label">Descripció</label>

                                            <input id="phone5-description" type="text" class="form-control"
                                                   name="phone5-description" value="<?php echo e(old('phone5-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone5-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone5-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <?php if(count($phones)==1): ?>
                                <div class="row">
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone2') ? ' has-error' : ''); ?>">
                                            <label for="phone2" class="control-label">Telèfon 2</label>

                                            <input id="phone2" type="text" class="form-control" name="phone2"
                                                   value="<?php echo e(old('phone2')); ?>" minlength="8">

                                            <?php if($errors->has('phone2')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone2')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone3-description') ? ' has-error' : ''); ?>">
                                            <label for="phone3-description" class="control-label">Descripció</label>

                                            <input id="phone3-description" type="text" class="form-control"
                                                   name="phone3-description" value="<?php echo e(old('phone3-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone3-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone3-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone3') ? ' has-error' : ''); ?>">
                                            <label for="phone3" class="control-label">Telèfon 3</label>

                                            <input id="phone3" type="text" class="form-control" name="phone3"
                                                   value="<?php echo e(old('phone3')); ?>" minlength="8">

                                            <?php if($errors->has('phone3')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone3')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone3-description') ? ' has-error' : ''); ?>">
                                            <label for="phone3-description" class="control-label">Descripció</label>

                                            <input id="phone3-description" type="text" class="form-control"
                                                   name="phone3-description" value="<?php echo e(old('phone3-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone3-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone3-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone4') ? ' has-error' : ''); ?>">
                                            <label for="phone4" class="control-label">Telèfon 4</label>

                                            <input id="phone4" type="text" class="form-control" name="phone4"
                                                   value="<?php echo e(old('phone4')); ?>" minlength="8">

                                            <?php if($errors->has('phone4')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone4')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone4-description') ? ' has-error' : ''); ?>">
                                            <label for="phone4-description" class="control-label">Descripció</label>

                                            <input id="phone4-description" type="text" class="form-control"
                                                   name="phone4-description" value="<?php echo e(old('phone4-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone4-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone4-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone5') ? ' has-error' : ''); ?>">
                                            <label for="phone5" class="control-label">Telèfon 5</label>

                                            <input id="phone5" type="text" class="form-control" name="phone5"
                                                   value="<?php echo e(old('phone5')); ?>" minlength="8">

                                            <?php if($errors->has('phone5')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone5')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">

                                        <div class="form-group<?php echo e($errors->has('phone5-description') ? ' has-error' : ''); ?>">
                                            <label for="phone5-description" class="control-label">Descripció</label>

                                            <input id="phone5-description" type="text" class="form-control"
                                                   name="phone5-description" value="<?php echo e(old('phone5-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone5-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone5-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <?php if(count($phones)==2): ?>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone3') ? ' has-error' : ''); ?>">
                                            <label for="phone3" class="control-label">Telèfon 3</label>

                                            <input id="phone3" type="text" class="form-control" name="phone3"
                                                   value="<?php echo e(old('phone3')); ?>" minlength="8">

                                            <?php if($errors->has('phone3')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone3')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone3-description') ? ' has-error' : ''); ?>">
                                            <label for="phone3-description" class="control-label">Descripció</label>

                                            <input id="phone3-description" type="text" class="form-control"
                                                   name="phone3-description" value="<?php echo e(old('phone3-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone3-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone3-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone4') ? ' has-error' : ''); ?>">
                                            <label for="phone4" class="control-label">Telèfon4</label>

                                            <input id="phone4" type="text" class="form-control" name="phone4"
                                                   value="<?php echo e(old('phone4')); ?>" minlength="8">

                                            <?php if($errors->has('phone4')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone4')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone4-description') ? ' has-error' : ''); ?>">
                                            <label for="phone4-description" class="control-label">Descripció</label>

                                            <input id="phone4-description" type="text" class="form-control"
                                                   name="phone4-description" value="<?php echo e(old('phone4-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone4-description')): ?><span
                                                    class="help-block"><strong><?php echo e($errors->first('phone4-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone5') ? ' has-error' : ''); ?>">
                                            <label for="phone5" class="control-label">Telèfon 5</label>

                                            <input id="phone5" type="text" class="form-control" name="phone5"
                                                   value="<?php echo e(old('phone5')); ?>" minlength="8">

                                            <?php if($errors->has('phone5')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone5')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone5-description') ? ' has-error' : ''); ?>">
                                            <label for="phone5-description" class="control-label">Descripció</label>

                                            <input id="phone5-description" type="text" class="form-control"
                                                   name="phone5-description" value="<?php echo e(old('phone5-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone5-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone5-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <?php if(count($phones)==3): ?>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone4') ? ' has-error' : ''); ?>">
                                            <label for="phone4" class="control-label">Telèfon 4</label>

                                            <input id="phone4" type="text" class="form-control" name="phone4"
                                                   value="<?php echo e(old('phone4')); ?>" minlength="8">

                                            <?php if($errors->has('phone4')): ?><span
                                                    class="help-block"><strong><?php echo e($errors->first('phone4')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone4-description') ? ' has-error' : ''); ?>">
                                            <label for="phone4-description" class="control-label">Descripció</label>

                                            <input id="phone4-description" type="text" class="form-control"
                                                   name="phone4-description" value="<?php echo e(old('phone4-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone4-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone4-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone5') ? ' has-error' : ''); ?>">
                                            <label for="phone5" class="control-label">Telèfon 5</label>

                                            <input id="phone5" type="text" class="form-control" name="phone5"
                                                   value="<?php echo e(old('phone5')); ?>" minlength="8">

                                            <?php if($errors->has('phone5')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone5')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone5-description') ? ' has-error' : ''); ?>">
                                            <label for="phone5-description" class="control-label">Descripció</label>

                                            <input id="phone5-description" type="text" class="form-control"
                                                   name="phone5-description" value="<?php echo e(old('phone5-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone5-description')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone5-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <?php if(count($phones)==4): ?>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone5') ? ' has-error' : ''); ?>">
                                            <label for="phone5" class="control-label">Telèfon 5</label>

                                            <input id="phone5" type="text" class="form-control" name="phone5"
                                                   value="<?php echo e(old('phone5')); ?>" minlength="8">

                                            <?php if($errors->has('phone5')): ?>
                                                <span class="help-block"><strong><?php echo e($errors->first('phone5')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group<?php echo e($errors->has('phone5-description') ? ' has-error' : ''); ?>">
                                            <label for="phone5-description" class="control-label">Descripció</label>

                                            <input id="phone5-description" type="text" class="form-control"
                                                   name="phone5-description" value="<?php echo e(old('phone5-description')); ?>"
                                                   minlength="3" maxlength="255">

                                            <?php if($errors->has('phone5-description')): ?><span
                                                    class="help-block"><strong><?php echo e($errors->first('phone5-description')); ?></strong></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group<?php echo e($errors->has('web') ? ' has-error' : ''); ?>">
                                <label for="web" class="control-label">Pàgina web</label>

                                <input id="web" type="text" class="form-control" name="web" value="<?php echo e($user->web); ?>">

                                <?php if($errors->has('web')): ?>
                                    <span class="help-block"><strong><?php echo e($errors->first('web')); ?></strong></span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('facebook') ? ' has-error' : ''); ?>">
                                <label for="facebook" class="control-label">Facebook</label>

                                <input id="facebook" type="text" class="form-control" name="facebook"
                                       value="<?php echo e($user->facebook); ?>">

                                <?php if($errors->has('facebook')): ?>
                                    <span class="help-block"><strong><?php echo e($errors->first('facebook')); ?></strong></span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('twitter') ? ' has-error' : ''); ?>">
                                <label for="twitter" class="control-label">Twitter</label>

                                <input id="twitter" type="text" class="form-control" name="twitter"
                                       value="<?php echo e($user->twitter); ?>">

                                <?php if($errors->has('twitter')): ?>
                                    <span class="help-block"><strong><?php echo e($errors->first('twitter')); ?></strong></span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('instagram') ? ' has-error' : ''); ?>">
                                <label for="instagram" class="control-label">Instagram</label>

                                <input id="instagram" type="text" class="form-control" name="instagram"
                                       value="<?php echo e($user->instagram); ?>">

                                <?php if($errors->has('instagram')): ?>
                                    <span class="help-block"><strong><?php echo e($errors->first('instagram')); ?></strong></span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('teaming') ? ' has-error' : ''); ?>">
                                <label for="teaming" class="control-label">Teaming</label>

                                <input id="teaming" type="text" class="form-control" name="teaming"
                                       value="<?php echo e($user->teaming); ?>">

                                <?php if($errors->has('teaming')): ?>
                                    <span class="help-block"><strong><?php echo e($errors->first('teaming')); ?></strong>
                                </span>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group<?php echo e($errors->has('editordata-description') ? ' has-error' : ''); ?>">
                                <label for="editordata-description" class="control-label">Descripció</label>

                                <textarea id="summernote-description" type="text" class="form-control"
                                          name="editordata-description"><?php echo e($user->description); ?></textarea>

                                <?php if($errors->has('editordata-description')): ?>
                                    <span class="help-block"><strong><?php echo e($errors->first('editordata-description')); ?></strong></span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('editordata-conditions') ? ' has-error' : ''); ?>">
                                <label for="editordata-conditions" class="control-label">Condicions</label>

                                <textarea id="summernote-conditions" type="text" class="form-control"
                                          name="editordata-conditions"><?php echo e($user->conditions); ?></textarea>

                                <?php if($errors->has('editordata-conditions')): ?>
                                    <span class="help-block"><strong><?php echo e($errors->first('editordata-conditions')); ?></strong></span>
                                <?php endif; ?>
                            </div>

                            <div class="form-group  upload-file">
                                <label for="image" class="control-label">Imatge *</label>
                                <div class="row">
                                    <div class="col-md-4"><img class="img-fluid"
                                                               src="<?php echo e(url('/imatge/'.$user->image)); ?>">

                                    </div>

                                    <div class="col-md-8">
                                        <input type="file" class="form-control" id="image" name="image"
                                               value="<?php echo e(old('image')); ?>">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <input type="checkbox" class="form-check-input" id="allowsEmail" name="allowsEmail" value="1"
                               <?php if($user->allowsEmail == 1): ?> checked <?php endif; ?>>
                        <label class="form-check-label" for="allowsEmail">M’agradaria rebre comunicacions publicitàries
                            per correu electrònic. Puc donar-me de baixa quan vulgui.</label>
                    </div>
                    <button type="submit" class="button-primary">Guardar perfil</button>

                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script type="text/javascript">
        $('#province').on('change', function () {
            var provinceSlug = $(this).val();
            console.log(provinceSlug);
            if (provinceSlug) {
                $.ajax({
                    type: "GET",
                    url: "<?php echo e(url('/llista-ciutats')); ?>?province_slug=" + provinceSlug,
                    success: function (res) {
                        if (res) {
                            $("#city").empty();
                            $("#city").append('<option value="">Selecciona una localitat</option>');
                            $.each(res, function (key, value) {
                                $("#city").append('<option value="' + res[key].id + '">' + res[key].city + '</option>');
                            });

                        } else {
                            $("#city").empty();
                        }
                    }
                });
            } else {
                $("#city").empty();
            }
        });
    </script>
    <script>
        $(document).ready(function () {
            $('#summernote-description').summernote({
                lang: 'ca-ES' // default: 'en-US'
            });
        });
        $(document).ready(function () {
            $('#summernote-conditions').summernote({
                toolbar: [
                    // [groupName, [list of button]]
                    ['style', ['bold', 'italic', 'underline', 'clear']],
                    ['font', ['strikethrough', 'superscript', 'subscript']],
                    ['fontsize', ['fontsize']],
                    ['color', ['color']],
                    ['para', ['ul', 'ol', 'paragraph']],
                    ['height', ['height']]
                ]
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.backend', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>