<?php $__env->startSection('title', $pet->name.' · Adopta una mascota'); ?>

<?php $__env->startSection('breadcrumbs'); ?>
    <div class="container">
        <div class="row">
            <div class="col-12">
                <?php echo e(Breadcrumbs::render('pet', $pet)); ?>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container detail-pet">
        <div class="row mt-5 mb-5">
            <div class="col-md-8 col-lg-9">
                <div class="row">
                    <div class="col-md-12 col-lg-6">
                        <img class="img-responsive" src="<?php echo e(url('/imatge/'.$pet->image)); ?>" alt="<?php echo e($pet->name); ?>">
                        <div class="mb-5">
                            <div>
                                <p class="d-inline">Compartir a</p>
                                <ul class="share d-inline">
                                    <li><a target="_blank"
                                           href="http://www.facebook.com/sharer.php?u=<?php echo e(Request::url()); ?>"><span
                                                    class="fab fa-facebook"></span><p class="d-none">Facebook</p></a></li>
                                    <li><a target="_blank" href="http://twitter.com/home?status=<?php echo e(Request::url()); ?>"><span
                                                    class="fab fa-twitter-square"></span><p class="d-none">Twitter</p></a></li>
                                    <li><a target="_blank"
                                           href="https://plus.google.com/share?url=<?php echo e(Request::url()); ?>"><span
                                                    class="fab fa-google-plus-square"></span><p class="d-none">Google+</p></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12 col-lg-6">
                        <div class="row">
                            <div class="col-md-12">
                                <h1><?php echo e($pet->name); ?></h1>
                                <p>ID: <?php echo e($pet->id); ?></p>
                            </div>
                            <div class="col-md-6">
                                <p>Espècie: <span class="strong"><?php echo e($typePet->type); ?></span></p>
                                <p>Raça: <span class="strong"><?php echo e($pet->breed); ?></span></p>
                                <p>Data naixement: <span class="strong"><?php echo e($pet->birthday); ?></span></p>
                                <p>Sexe: <span class="strong"><?php echo e($pet->gender); ?></span></p>
                                <p>Tamany: <span class="strong"><?php echo e($pet->size); ?></span></p>
                            </div>
                            <div class="col-md-6">
                                <p>Pes: <span class="strong"><?php echo e($pet->weight); ?></span></p>
                                <p>Salut: <span class="strong"><?php echo e($pet->health); ?></span></p>
                                <p>Color del pelatge: <span class="strong"><?php echo e($pet->color); ?></span></p>
                            </div>
                            <?php if(Auth::check()): ?>
                                <?php if(Auth::user()->hasRole('admin') || Auth::user()->id == $user->id): ?>
                                    <div class="col-md-6  mt-3 mb-3">
                                        <a href="<?php echo e(url('/mascota/editar/'.$pet->id)); ?>" class="button-edit"><i
                                                    class="fas fa-edit"></i> Editar</a>
                                        <!-- Botón en HTML (lanza el modal en Bootstrap) -->
                                    </div>
                                    <div class="col-md-6  mt-3 mb-3">

                                        <a href="#victorModal<?php echo e($pet->id); ?>" role="button" class="button-delete"
                                           data-toggle="modal"><i class="fas fa-trash"></i> Eliminar</a>

                                        <!-- Modal / Ventana / Overlay en HTML -->
                                        <div id="victorModal<?php echo e($pet->id); ?>" class="modal fade">
                                            <div class="modal-dialog">
                                                <div class="modal-content">
                                                    <div class="">
                                                        <h4 class="">Estàs segur?</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <p>Segur que volas eliminar aquesta mascota?</p>
                                                        <p class="">
                                                            <small>Si l'esborres, mai podràs recuperar-la.</small>
                                                        </p>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="button-close" data-dismiss="modal">
                                                            <i class="fas fa-times-circle"></i> Tancar
                                                        </button>
                                                        <a href=" <?php echo e(url('/mascota/eliminar/'.$pet->id)); ?>"
                                                           type="button"
                                                           class="button-delete"><i class="fas fa-trash"></i>
                                                            Eliminar</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 mb-5 mt-5">
                        <?php if(isset($pet->description) && !empty($pet->description)): ?>
                            <h2 class="d-none">Descripció</h2>
                            <h3>Descripció</h3>
                            <?php echo $pet->description; ?>

                        <?php endif; ?>
                    </div>
                    <div class="col-md-12 mb-5">
                        <h3>Protectora</h3>
                        <div class="row mt-6">
                            <div class="col-md-12 mt-3 mb-3">
                                <h4><?php echo e($user->name); ?></h4>
                            </div>
                            <div class="col-sm-6 col-md-6">
                                <p><?php echo e($user->street); ?>, <?php echo e($user->buildingNumber); ?><br>
                                <?php echo e($user->postalCode); ?> <?php echo e($city->city); ?> (<?php echo e($province->province); ?>)</p>

                                <?php if(isset($phones) && !empty($phones)): ?>
                                    <div class="mt-3 mb-3">
                                        <?php $__currentLoopData = $phones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $phone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <p><span class="fas fa-phone-square"></span> <?php echo e($phone->number); ?>

                                                <?php if(isset($phone->description) && !empty($phone->description)): ?>
                                                    (<?php echo e($phone->description); ?>)
                                                <?php endif; ?></p>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                            <div class="col-sm-6 col-md-6">
                                <p><span class="fas fa-phone-square"></span> <a href=""><?php echo e($user->web); ?></a></p>
                                <p><span class="fas fa-envelope"></span> <a href=""><?php echo e($user->email); ?></a></p>
                                <p><span class="fab fa-facebook-square"></span> <a href=""><?php echo e($user->facebook); ?></a></p>
                                <p><span class="fab fa-twitter-square"></span> <a href=""><?php echo e($user->twitter); ?></a></p>
                                <p><span class="fab fa-instagram"></span> <a href=""><?php echo e($user->instagram); ?></a></p>
                                <p><img class="teaming" src="<?php echo e(URL::asset('img/teaming.png')); ?>" alt="Teaming"> <a
                                            href=""><?php echo e($user->teaming); ?></a></p>
                            </div>
                            <div class="col-md-6  mt-4 mb-3">
                                <a href="<?php echo e(route('detailUser', ['user_id' => $user->id])); ?>"
                                   class="button-edit"><span class="text-white fas fa-search"></span> Veure
                                    perfil</a>
                            </div>
                        </div>
                    </div>
                    <form method="POST" action="<?php echo e(route('sendMailUser')); ?>" enctype="multipart/form-data">
                        <?php echo e(csrf_field()); ?>

                        <?php if($errors->any()): ?>
                            <div class="alert alert-danger">
                                <ul>
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><?php echo e($error); ?></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        <?php endif; ?>
                        <div class="col-md-12">
                            <h3>Contacta amb la protectora</h3>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group<?php echo e($errors->has('name') ? ' has-error' : ''); ?>">
                                <label for="name" class="control-label">Nom</label>

                                <input id="name" type="text" class="form-control" name="name"
                                       value="<?php echo e(old('name')); ?>"
                                       required="required">

                                <?php if($errors->has('name')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('name')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>

                            <div class="form-group<?php echo e($errors->has('email') ? ' has-error' : ''); ?>">
                                <label for="email" class="control-label">Adreça electrònica</label>

                                <input id="email" type="email" class="form-control" name="email"
                                       value="<?php echo e(old('email')); ?>"
                                       required="required"/>

                                <?php if($errors->has('email')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('email')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('phone') ? ' has-error' : ''); ?>">
                                <label for="phone" class="control-label">Telèfon</label>

                                <input id="phone" type="text" class="form-control" name="phone"
                                       value="<?php echo e(old('phone')); ?>">

                                <?php if($errors->has('phone')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('phone')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group<?php echo e($errors->has('subject') ? ' has-error' : ''); ?>">
                                <label for="subject" class="control-label">Assumpte</label>

                                <input id="subject" type="text" class="form-control" name="subject"
                                       value="Informació sobre <?php echo e($pet->name); ?>" required="required"/>

                                <?php if($errors->has('subject')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('subject')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('message') ? ' has-error' : ''); ?>">
                                <label for="message" class="control-label">Missatge</label>

                                <textarea id="message" class="form-control" name="message"
                                          required="required"><?php echo e(old('message')); ?></textarea>

                                <?php if($errors->has('message')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('message')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-check">
                                <input type="checkbox" class="form-check-input mb-4" id="privacidad"
                                       name="privacy" value="<?php echo e(old('privacy')); ?>" required="required"/>
                                <label class="form-check-label mb-4" for="privacidad">He llegit i accepto la <a
                                            class="underline"
                                            href="<?php echo e(url('/politica-de-privadesa')); ?>">política de
                                        privadesa</a>.</label>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="submit" class="button-primary">
                                    Enviar missatge
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <?php echo $__env->make('layouts.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>