<?php $__env->startSection('title', $pet->name.' · Adopta una mascota'); ?>

<?php $__env->startSection('breadcrumbs'); ?>
    <div class="container">
        <div class="row">
            <div class="col-12">
                <?php echo e(Breadcrumbs::render('singlePet', $pet)); ?>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container detail-pet">
        <div class="row mt-5 mb-5">
            <div class="col-md-8 col-lg-12">
                <div class="row">
                    <div class="col-md-12 col-lg-6">
                        <img class="img-fluid" src="<?php echo e(url('/imatge/'.$pet->image)); ?>">
                        <div class="mb-3">
                            <div class="mt-4">
                                <h6 class="d-inline">Compartir a</h6>
                                <ul class="share d-inline">
                                    <li><a target="_blank" href="http://www.facebook.com/sharer.php?u=<?php echo e(Request::url()); ?>"><i class="fab fa-facebook"></i></a></li>
                                    <li><a target="_blank" href="http://twitter.com/home?status=<?php echo e(Request::url()); ?>"><i class="fab fa-twitter-square"></i></a></li>
                                    <li><a target="_blank" href="https://plus.google.com/share?url=<?php echo e(Request::url()); ?>"><i class="fab fa-google-plus-square"></i></a></li>
                                </ul>
                            </div>
                        </div>

                    </div>
                    <div class="col-md-12 col-lg-6">
                        <div class="row">
                            <div class="col-md-12">
                                <h1><?php echo e($pet->name); ?></h1>
                                <h6>ID: <?php echo e($pet->id); ?></h6>
                            </div>
                            <div class="col-md-6">
                                <h5>Espècie: <span class="strong"><?php echo e($typePet->type); ?></span></h5>
                                <h5>Raça: <span class="strong"><?php echo e($pet->breed); ?></span></h5>
                                <h5>Data de naixement: <span class="strong"><?php echo e($pet->birthday); ?></span></h5>
                                <h5>Sexe: <span class="strong"><?php echo e($pet->gender); ?></span></h5>
                                <h5>Tamany: <span class="strong"><?php echo e($pet->size); ?></span></h5>
                            </div>
                            <div class="col-md-6">
                                <h5>Pes: <span class="strong"><?php echo e($pet->weight); ?></span></h5>
                                <h5>Salut: <span class="strong"><?php echo e($pet->health); ?></span></h5>
                                <h5>Color del pelatge: <span class="strong"><?php echo e($pet->color); ?></span></h5>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 mb-5 mt-5">

                        <?php if(isset($pet->description) && !empty($pet->description)): ?>
                            <h3>Descripció</h3>
                            <?php echo $pet->description; ?>

                        <?php endif; ?>
                    </div>
                    <div class="col-md-12 mb-5">
                        <h3>Protectora</h3>
                        <div class="row">
                            <div class="col-md-12">
                                <h1><?php echo e($user->name); ?></h1>
                            </div>
                            <div class="col-sm-6 col-md-6">
                                <h5><?php echo e($user->street); ?>, <?php echo e($user->buildingNumber); ?></h5>
                                <h5><?php echo e($user->postalCode); ?> <?php echo e($city->city); ?> (<?php echo e($province->province); ?>)</h5>

                                <?php if(isset($phones) && !empty($phones)): ?>
                                    <div class="mt-3 mb-3">
                                        <?php $__currentLoopData = $phones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $phone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <h5><i class="fas fa-phone-square"></i> <?php echo e($phone->number); ?>

                                                <?php if(isset($phone->description) && !empty($phone->description)): ?>
                                                    (<?php echo e($phone->description); ?>)
                                                <?php endif; ?></h5>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                <?php endif; ?>

                            </div>
                            <div class="col-sm-6 col-md-6">
                                <h5><i class="fas fa-phone-square"></i> <a href=""><?php echo e($user->web); ?></a></h5>
                                <h5><i class="fas fa-envelope"></i> <a href=""><?php echo e($user->email); ?></a></h5>
                                <h5><i class="fab fa-facebook-square"></i> <a href=""><?php echo e($user->facebook); ?></a></h5>
                                <h5><i class="fab fa-twitter-square"></i> <a href=""><?php echo e($user->twitter); ?></a></h5>
                                <h5><i class="fab fa-instagram"></i> <a href=""><?php echo e($user->instagram); ?></a></h5>
                                <h5><img class="teaming" src="<?php echo e(URL::asset('img/teaming.png')); ?>"> <a
                                            href=""><?php echo e($user->teaming); ?></a></h5>
                            </div>
                            <div class="col-md-6  mt-4 mb-3">
                                <a href="<?php echo e(route('detailUser', ['user_id' => $user->id])); ?>"
                                   class="button-edit"><i class="fas fa-search"></i> Veure
                                    perfil</a>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-12">
                        <h3>Contacta amb la protectora</h3>
                        <form class="" method="POST" action="<?php echo e(route('sendMailUser')); ?>" enctype="multipart/form-data">
                            <?php echo e(csrf_field()); ?>

                            <?php if($errors->any()): ?>
                                <div class="alert alert-danger">
                                    <ul>
                                        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li><?php echo e($error); ?></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group<?php echo e($errors->has('name') ? ' has-error' : ''); ?>">
                            <label for="name" class="control-label">Nom</label>

                            <input id="name" type="text" class="form-control" name="name"
                                   value="<?php echo e(old('name')); ?>"
                                   required>

                            <?php if($errors->has('name')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('name')); ?></strong>
                                    </span>
                            <?php endif; ?>
                        </div>

                        <div class="form-group<?php echo e($errors->has('email') ? ' has-error' : ''); ?>">
                            <label for="email" class="control-label">Adreça electrònica</label>

                            <input id="email" type="email" class="form-control" name="email"
                                   value="<?php echo e(old('email')); ?>"
                                   required>

                            <?php if($errors->has('email')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('email')); ?></strong>
                                    </span>
                            <?php endif; ?>
                        </div>
                        <div class="form-group<?php echo e($errors->has('phone') ? ' has-error' : ''); ?>">
                            <label for="phone" class="control-label">Telèfon</label>

                            <input id="phone" type="text" class="form-control" name="phone"
                                   value="<?php echo e(old('phone')); ?>">

                            <?php if($errors->has('phone')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('phone')); ?></strong>
                                    </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group<?php echo e($errors->has('subject') ? ' has-error' : ''); ?>">
                            <label for="subject" class="control-label">Assumpte</label>

                            <input id="subject" type="text" class="form-control" name="subject"
                                   value="Informació sobre <?php echo e($pet->name); ?>" required>

                            <?php if($errors->has('subject')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('subject')); ?></strong>
                                    </span>
                            <?php endif; ?>
                        </div>
                        <div class="form-group<?php echo e($errors->has('message') ? ' has-error' : ''); ?>">
                            <label for="message" class="control-label">Missatge</label>

                            <textarea id="message" type="text" class="form-control" name="message"
                                      required><?php echo e(old('message')); ?></textarea>

                            <?php if($errors->has('message')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('message')); ?></strong>
                                    </span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-check">
                            <input type="checkbox" id="defaultCheck1" class="form-check-input mb-4"
                                   id="privacy"
                                   name="privacy" value="<?php echo e(old('privacy')); ?>" required>
                            <label class="form-check-label mb-4" for="privacy">He llegit i accepto la <a
                                        href="<?php echo e(url('/politica-de-privadesa')); ?>">política de
                                    privadesa</a>.</label>
                        </div>
                    </div>
                    <div class="col-md-12">

                        <div class="form-group">
                            <button type="submit" class="button-primary">
                                Enviar
                            </button>
                        </div>
                    </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.backend', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>