<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Favicon -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(URL::asset('favicon.ico')); ?>">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo $__env->yieldContent('title'); ?></title>

    <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(asset('css/bootstrap.min.css')); ?>">
    <!-- Google fonts - Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,500,700">
    <!-- My styles -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('css/style.css')); ?>">
    <!-- Styles -->
    <link href="<?php echo e(URL::asset('vendor/fontawesome/css/fontawesome-all.css')); ?>" rel="stylesheet">
    <!-- Summernote -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote-bs4.css" rel="stylesheet">
    <!-- Begin Cookie Consent plugin by Silktide - http://silktide.com/cookieconsent -->
    <script>window.cookieconsent_options = {"message":"Aquest lloc web utilitza galetes per assegurar-vos que obtingueu la millor experiència al nostre lloc web","dismiss":"Accepto!","learnMore":"Més informació","link":"/politica-de-galetes","theme":"dark-bottom"};</script>
</head>
<body>
<header>
    <nav class="navbar navbar-expand-md navbar-light bg-light">
        <div class="container">
            <!-- Branding Image -->
            <a class="navbar-brand " href="<?php echo e(url('/')); ?>">
                <img src="<?php echo e(URL::asset('img/logo.png')); ?>" width="164" alt="Adopta una mascota">
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-collapse">☰
            </button>
            <div class="collapse navbar-collapse" id="navbar-collapse">
                <ul class="nav navbar-nav ml-auto">
                    <li class="nav-item"><a
                                class="nav-link normal-link <?php echo e(Request::is('mascotes*') ? 'active' : ''); ?><?php echo e(Request::is('mascota*') ? 'active' : ''); ?>"
                                href="<?php echo e(url('/mascotes')); ?>">Mascotes</a></li>
                    <li class="nav-item"><a
                                class="nav-link normal-link <?php echo e(Request::is('protectores*') ? 'active' : ''); ?><?php echo e(Request::is('protectora*') ? 'active' : ''); ?>"
                                href="<?php echo e(url('/protectores')); ?>">Protectores</a></li>
                    <li class="nav-item"><a class="nav-link normal-link <?php echo e(Request::is('blog*') ? 'active' : ''); ?>"
                                            href="<?php echo e(url('/blog')); ?>">Blog</a></li>

                    <!-- Authentication Links -->
                    <?php if(auth()->guard()->guest()): ?>
                    <li class="nav-item"><a class="nav-link authentication-login" href="<?php echo e(route('login')); ?>">Iniciar
                            sessió</a></li>
                    <li class="nav-item"><a class="nav-link authentication-register" href="<?php echo e(route('register')); ?>">Registre</a>
                    </li>
                    <?php else: ?>
                        <li class="nav-item dropdown">
                            <a class="nav-link normal-link dropdown-toggle" data-toggle="dropdown" href="#"
                               role="button"
                               aria-haspopup="true" aria-expanded="false"><?php echo e(Auth::user()->name); ?></a>
                            <div class="dropdown-menu menu-auth ropdown-menu-right">
                                <?php if(Auth::check() && Auth::user()->hasRole('user')): ?>
                                    <a class="dropdown-item menu-item "
                                       href="<?php echo e(route('detailUser', ['user_id' => Auth::user()->id])); ?>"><i class="fas fa-user"></i> El meu
                                        perfil</a>
                                    <a class="dropdown-item menu-item "
                                       href="<?php echo e(route('getAllPetsUser', ['user_id' => Auth::user()->id])); ?>"><i class="fas fa-paw"></i> Les
                                        meves mascotes</a>
                                    <div class="dropdown-divider"></div>
                                <?php endif; ?>
                                    <?php if(Auth::check() && Auth::user()->hasRole('admin')): ?>
                                        <a class="dropdown-item menu-item "
                                           href="<?php echo e(route('admin')); ?>"><i class="fas fa-tachometer-alt"></i> Dashboard</a>

                                        <div class="dropdown-divider"></div>
                                    <?php endif; ?>
                                <a class="menu-item " href="<?php echo e(route('logout')); ?>"
                                   onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                    <i class="fas fa-sign-out-alt"></i> Tancar sessió
                                </a>

                                <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST"
                                      style="display: none;">
                                    <?php echo e(csrf_field()); ?>

                                </form>
                            </div>
                        </li>
                        <?php endif; ?>
                </ul>
            </div>
        </div>
    </nav>
    <?php echo $__env->yieldContent('breadcrumbs'); ?>
<?php if(Notification::showAll()): ?>
        <div class="container">
            <div class="row mt-5">
                <div class="col-12">
                    <div class="notification">
                        <?php echo Notification::showAll(); ?>

                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
</header>
<?php echo $__env->yieldContent('content'); ?>
<footer>
    <div class="container">
        <div class="row">
            <div class="col-lg-3 col-md-4 col-xs-12">
                <h2>Informació</h2>
                <ul>
                    <li><a href="<?php echo e(url('/qui-som')); ?>">Qui som</a></li>
                    <li><a href="<?php echo e(url('/avis-legal')); ?>">Avís legal</a></li>
                    <li><a href="<?php echo e(url('/ajuda')); ?>">Ajuda</a></li>
                    <li><a href="<?php echo e(url('/preguntes-frequents')); ?>">Preguntes freqüents</a></li>
                    <li><a href="<?php echo e(url('/politica-de-privadesa')); ?>">Política de privadesa</a></li>
                    <li><a href="<?php echo e(url('/politica-de-galetes')); ?>">Política de galetes</a></li>
                </ul>
            </div>
            <hr>
            <div class="col-lg-3 col-md-4 col-xs-12">
                <h2>Contacta'ns</h2>
                <ul>
                    <li><a href="<?php echo e(url('/contacte')); ?>">Contacte</a></li>
                    <li><a href="mailto:hola@adoptaunamascota.com"><span class="fas fa-envelope"></span>Adreça electrònica</a></li>
                    <li><a href="https://www.facebook.com/adoptaunamascota" target="_blank"><span class="fab fa-facebook"></span>Facebook</a></li>
                    <li><a href="https://www.twitter.com/adoptaunamascota" target="_blank"><span class="fab fa-twitter-square"></span>Twitter</a></li>
                    <li><a href="https://www.instagram.com/adoptaunamascota" target="_blank"> <span class="fab fa-instagram"></span>Instagram</a></li>
                </ul>
            </div>
            <hr>
            <div class="col-lg-3 col-md-offset-3 col-md-4 col-xs-12 ">
                <h2>Subscriu-te al nostre butlletí</h2>
                <form method="post" enctype="multipart/form-data" action="<?php echo e(route('saveSubscriber')); ?>">
                    <?php echo csrf_field(); ?>

                    <div class="form-group">
                        <label for="email-subscriber" class="d-none">Email</label>
                        <input type="email" name="email" class="form-control" id="email-subscriber" placeholder="Adreça electrònica" required="required"/>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="w-100">Enviar</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</footer>
<div class="container-fluid copyright">
    <div class="row">
        <div class="col-12">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <p>© 2018 Adopta una mascota</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Scripts -->
<script src="<?php echo e(asset('js/app.js')); ?>"></script>
<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<!-- Popper JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"></script>
<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js"></script>
<!-- Summernote -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote-bs4.js"></script>
<!-- Cookies -->
<script src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/1.0.10/cookieconsent.min.js"></script>
<?php echo $__env->yieldContent('scripts'); ?>
</body>
</html>
