<?php $__env->startSection('title', 'Crear entrada · Adopta una mascota'); ?>

<?php $__env->startSection('breadcrumbs'); ?>
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <?php echo e(Breadcrumbs::render('createPost')); ?>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="row mt-5 mb-5">
            <div class="col">
                <h1>Crear entrada</h1>
                <form action="<?php echo e(route('savePost')); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>

                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <div class="form-group<?php echo e($errors->has('title') ? ' has-error' : ''); ?>">
                        <label for="title" class="control-label">Títol *</label>

                            <input id="title" type="text" class="form-control" name="title" value="<?php echo e(old('title')); ?>"
                                   required autofocus>

                            <?php if($errors->has('title')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('title')); ?></strong>
                                    </span>
                            <?php endif; ?>
                    </div>
                    <div class="form-group<?php echo e($errors->has('category') ? ' has-error' : ''); ?>">
                        <label for="category" class="control-label">Categoria *</label>

                            <select class="custom-select form-control" name="category" required>
                                <option value="null">Selecciona la categoria de l'entrada</option>
                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->slug); ?>"><?php echo e($category->name); ?></option>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php if($errors->has('category')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('category')); ?></strong>
                                    </span>
                            <?php endif; ?>
                    </div>
                    <div class="form-group<?php echo e($errors->has('status') ? ' has-error' : ''); ?>">
                        <label for="status" class="control-label">Estat *</label>

                            <select required class="custom-select form-control" name="status" >
                                <option value="null">Selecciona l'estat de l'entrada</option>
                                <?php $__currentLoopData = $statusPosts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statusPost): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($statusPost->slug); ?>"><?php echo e($statusPost->name); ?></option>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php if($errors->has('status')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('status')); ?></strong>
                                    </span>
                            <?php endif; ?>
                    </div>
                    <div class="form-group<?php echo e($errors->has('editordata-excerpt') ? ' has-error' : ''); ?>">
                        <label for="editordata-excerpt" class="control-label">Resum</label>

                            <textarea id="editordata-excerpt" type="text" class="form-control"
                                      name="editordata-excerpt"><?php echo e(old('editordata-excerpt')); ?></textarea>

                            <?php if($errors->has('editordata-excerpt')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('editordata-excerpt')); ?></strong>
                                    </span>
                            <?php endif; ?>
                    </div>
                    <div class="form-group<?php echo e($errors->has('editordata-body') ? ' has-error' : ''); ?>" required>
                        <label for="editordata-body" class="control-label">Cos *</label>

                            <textarea id="summernote" type="text" class="form-control"
                                      name="editordata-body"><?php echo e(old('editordata-body')); ?></textarea>

                            <?php if($errors->has('editordata-body')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('editordata-body')); ?></strong>
                                    </span>
                            <?php endif; ?>
                    </div>
                    <div class="form-group<?php echo e($errors->has('image') ? ' has-error' : ''); ?>">
                        <label for="image" class="control-label">Imatge *</label>

                            <input type="file" class="form-control" id="image" name="image"
                                   value="<?php echo e(old('image')); ?>" required>

                            <?php if($errors->has('image')): ?>
                                <span class="help-block">
                                        <strong><?php echo e($errors->first('image')); ?></strong>
                                    </span>
                            <?php endif; ?>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="button-primary">Crear entrada</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script>
        $(document).ready(function () {
            $('#summernote').summernote({
                height:200,
                toolbar: [
                    // [groupName, [list of button]]
                    ['style', ['bold', 'italic', 'underline', 'clear']],
                    ['font', ['strikethrough', 'superscript', 'subscript']],
                    ['fontsize', ['fontsize']],
                    ['color', ['color']],
                    ['para', ['ul', 'ol', 'paragraph']],
                    ['height', ['height']]
                ]
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.backend', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>