<?php $__env->startSection('title', $user->name.' · Mascotes · Adopta una mascota'); ?>

<?php $__env->startSection('breadcrumbs'); ?>
    <div class="container">
        <div class="row">
            <div class="col-12">
                <?php echo e(Breadcrumbs::render('getAllPetsUser', $user)); ?>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row mt-5">
            <div class="col-md-8 col-lg-9">
                <h1>Les meves mascotes</h1>
                <form class="filter" action="<?php echo e(route('getAllPetsUser', ['user_id' => $user->id])); ?>" method="get"
                      id="filter"
                      enctype="multipart/form-data">
                    <div class="row">
                        <div class="col-md-12 d-flex justify-content-between mb-5">
                            <div class="form-group">
                                <a href="<?php echo e(route('createPet', ['user_id' => $user->id])); ?>" class="button-create"><i
                                            class="fas fa-plus"></i> Crear mascota</a>
                            </div>
                            <div class="form-group d-flex justify-content-between">
                                <input type="text" class="form-control input-search" placeholder="Cercar"
                                       name="search"
                                       value="<?php echo e($search); ?>">

                                <button class="icon-search" type="submit">
                                    <i class="fas fa-search"></i>
                                </button>
                            </div>
                        </div>
                        <div class="col-md-4 col-lg-2">
                            <div class="form-group">
                                <label for="especie">Espècie</label>
                                <select class="custom-select form-control" name="especie" id="especie">
                                    <option value="totes">Totes</option>
                                    <?php $__currentLoopData = $typesPets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $typePet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if(isset($especie)): ?>
                                            <option value="<?php echo e($typePet->slug); ?>"
                                                    <?php if($typePet->slug == $especie): ?>  selected <?php endif; ?>><?php echo e($typePet->type); ?></option>
                                        <?php else: ?>
                                            <option value="<?php echo e($typePet->slug); ?>"><?php echo e($typePet->type); ?></option>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4 col-lg-3">
                            <label for="especie">Estat</label>
                            <select class="custom-select form-control" name="estat">
                                <option value="tots">Tots</option>
                                <?php $__currentLoopData = $statusPets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statusPet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(isset($status_slug)): ?>
                                        <option value="<?php echo e($statusPet->slug); ?>"
                                                <?php if($statusPet->slug == $status_slug): ?>  selected <?php endif; ?>><?php echo e($statusPet->status); ?></option>
                                    <?php else: ?>
                                        <option value="<?php echo e($statusPet->slug); ?>"><?php echo e($statusPet->status); ?></option>

                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="col-md-4 col-lg-3">
                            <label for="ordenar">Ordenar</label>
                            <select class="custom-select form-control" name="ordenar">
                                <option value="mes-recents" <?php if($order=='mes-recents'): ?>selected <?php endif; ?>>Recents</option>
                                <option value="mes-antigues" <?php if($order=='mes-antigues'): ?>selected <?php endif; ?>>Antigues</option>
                                <option value="a-z" <?php if($order=='a-z'): ?>selected <?php endif; ?>>A-Z</option>
                                <option value="z-a" <?php if($order=='z-a'): ?>selected <?php endif; ?>>Z-A</option>
                            </select>
                        </div>
                        <div class="col-md-6 col-lg-2">
                            <a href="<?php echo e(route('getAllPetsUser', ['user_id' => $user->id])); ?>"
                               class="button-reset">Reiniciar</a>
                        </div>
                        <div class="col-md-6 col-lg-2">
                            <div class="form-group">
                                <button type="submit" class="button-filter">Aplicar</button>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="table-responsive">
                    <table class="table">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>Name</th>
                            <th class="breed-type">Espècie · Raça</th>
                            <th class="status">Estat</th>
                            <th>Accions</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $pets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($pet->id); ?></td>
                                <td><?php echo e($pet->name); ?></td>
                                <td class="breed-type"><?php echo e($pet->type); ?> · <?php echo e($pet->breed); ?></td>
                                <td class="status"><?php echo e($pet->status); ?></td>
                                <td>
                                    <a href="<?php echo e(route('detailPet', ['pet_id' => $pet->id])); ?>"
                                       class="button-table-view"><i class="fas fa-eye"></i> Veure</a>


                                    <a href="<?php echo e(url('/mascota/editar/'.$pet->id)); ?>"
                                       class="button-table-edit"><i class="fas fa-edit"></i> Editar</a>

                                    <!-- Botón en HTML (lanza el modal en Bootstrap) -->
                                    <a href="#victorModal<?php echo e($pet->id); ?>" role="button"
                                       class="button-table-delete"
                                       data-toggle="modal"><i class="fas fa-trash"></i> Eliminar</a>


                                    <!-- Modal / Ventana / Overlay en HTML -->
                                    <div id="victorModal<?php echo e($pet->id); ?>" class="modal fade">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="">
                                                    <h4 class="">Estàs segur?</h4>
                                                </div>
                                                <div class="modal-body">
                                                    <p>Segur que volas eliminar aquesta mascota?</p>
                                                    <p class="">
                                                        <small>Si l'esborres, mai podràs recuperar-la.
                                                        </small>
                                                    </p>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="button-close"
                                                            data-dismiss="modal">
                                                        <i class="fas fa-times-circle"></i> Tancar
                                                    </button>
                                                    <a href=" <?php echo e(url('/mascota/eliminar/'.$pet->id)); ?>"
                                                       type="button"
                                                       class="button-delete"><i class="fas fa-trash"></i>
                                                        Eliminar</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
                <div class="clearfix"></div>
                <div class="row justify-content-center"><?php echo e($pets->appends(request()->input())->links()); ?></div>
            </div>
            <?php echo $__env->make('layouts.sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>