<?php $__env->startSection('title', 'Editar mascota · Adopta una mascota'); ?>
    s
<?php $__env->startSection('breadcrumbs'); ?>
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <?php echo e(Breadcrumbs::render('editAdminPet', $pet)); ?>

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="row mt-5 mb-5">
            <div class="col">
                <h1>Editar mascota</h1>
                <form action="<?php echo e(route('updateAdminPet', ['pet_id' => $pet->id])); ?>" method="post"
                      enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>

                    <?php if($errors->any()): ?>
                        <div class="alert alert-danger">
                            <ul>
                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group<?php echo e($errors->has('name') ? ' has-error' : ''); ?>">
                                <label for="name" class="control-label">Nom *</label>

                                <input id="name" type="text" class="form-control" name="name" value="<?php echo e($pet->name); ?>"
                                       maxlength="20" required autofocus>

                                <?php if($errors->has('name')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('name')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('typePet') ? ' has-error' : ''); ?>">
                                <label for="typePet" class="control-label">Espècie *</label>

                                <select class="custom-select form-control" name="typePet">
                                    <option value="null">Selecciona l'espècie de la mascota</option>
                                    <?php $__currentLoopData = $typesPet; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $typePet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($typePet->slug); ?>"
                                                <?php if($pet->typePet_id == $typePet->id): ?> selected <?php endif; ?> ><?php echo e($typePet->type); ?></option>

                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('typePet')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('typePet')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('breed') ? ' has-error' : ''); ?>">
                                <label for="breed" class="control-label">Raça *</label>

                                <input id="breed" type="text" class="form-control" name="breed"
                                       value="<?php echo e($pet->breed); ?>"
                                       maxlength="20" required>

                                <?php if($errors->has('breed')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('breed')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('gender') ? ' has-error' : ''); ?>">
                                <label for="gender" class="control-label">Gènere *</label>

                                <select class="custom-select form-control" name="gender">
                                    <option value="null">Selecciona el genère de la mascota</option>
                                    <option value="mascle" <?php if($pet->gender == 'Mascle'): ?> selected <?php endif; ?> >Mascle
                                    </option>
                                    <option value="femella" <?php if($pet->gender == 'Femella'): ?> selected <?php endif; ?> >Femella
                                    </option>
                                </select>

                                <?php if($errors->has('gender')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('gender')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('statusPet') ? ' has-error' : ''); ?>">
                                <label for="statusPet" class="control-label">Estat *</label>

                                <select class="custom-select form-control" name="statusPet">
                                    <option value="null">Selecciona l'estat de la mascota</option>
                                    <?php $__currentLoopData = $statusPets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $statusPet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($statusPet->slug); ?>"
                                                <?php if($pet->statusPet_id == $statusPet->id): ?> selected <?php endif; ?> ><?php echo e($statusPet->status); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('statusPet')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('statusPet')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group upload-file">
                                <label for="image" class="control-label">Imatge *</label>
                                <div class="row">
                                    <div class="col-md-12 col-lg-4"><img class="img-fluid"
                                                                         src="<?php echo e(url('/imatge/'.$pet->image)); ?>">

                                    </div>

                                    <div class="col-md-12 col-lg-8">
                                        <input type="file" class="form-control" id="image" name="image"
                                               value="<?php echo e(old('image')); ?>">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group<?php echo e($errors->has('birthday') ? ' has-error' : ''); ?>">
                                <label for="birthday" class="control-label">Data de naixement *</label>

                                <input id="birthday" type="date" class="form-control" name="birthday"
                                       value="<?php echo e($pet->birthday); ?>"
                                       required>

                                <?php if($errors->has('birthday')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('birthday')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('size') ? ' has-error' : ''); ?>">
                                <label for="size" class="control-label">Tamany *</label>

                                <input id="size" type="text" class="form-control" name="size" value="<?php echo e($pet->size); ?>"
                                       maxlength="20" required>

                                <?php if($errors->has('size')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('size')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('weight') ? ' has-error' : ''); ?>">
                                <label for="weight" class="control-label">Pes *</label>

                                <input id="weight" type="text" class="form-control" name="weight"
                                       value="<?php echo e($pet->weight); ?>"
                                       required>

                                <?php if($errors->has('weight')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('weight')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('health') ? ' has-error' : ''); ?>">
                                <label for="health" class="control-label">Salut</label>

                                <input id="health" type="text" class="form-control" name="health"
                                       value="<?php echo e($pet->health); ?>"
                                       maxlength="20" required>

                                <?php if($errors->has('health')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('health')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>

                            <div class="form-group<?php echo e($errors->has('color') ? ' has-error' : ''); ?>">
                                <label for="color" class="control-label">Color</label>

                                <input id="color" type="text" class="form-control" name="color"
                                       value="<?php echo e($pet->color); ?>"
                                       maxlength="20" required>

                                <?php if($errors->has('color')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('color')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group<?php echo e($errors->has('editordata') ? ' has-error' : ''); ?>">
                                <label for="editordata" class="control-label">Descripció</label>

                                <textarea id="summernote" type="text" class="form-control"
                                          name="editordata"><?php echo e($pet->description); ?></textarea>

                                <?php if($errors->has('editordata')): ?>
                                    <span class="help-block">
                                        <strong><?php echo e($errors->first('editordata')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group col-md-6">
                            <button type="submit" class="button-primary">Guardar</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.backend', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>