<?php

use Illuminate\Database\Seeder;
use App\City;

class CityTableSeeder extends Seeder
{
    private $cities = array(
        array('province_id' => '1','town' => 'Alegría-Dulantzi','id' => '1','slug' => 'alegra-dulantzi','latitude' => '42.841492','longitude' => '-2.5135074'),
        array('province_id' => '1','town' => 'Amurrio','id' => '2','slug' => 'amurrio','latitude' => '43.0526489','longitude' => '-3.0010217'),
        array('province_id' => '1','town' => 'Añana','id' => '3','slug' => 'aana','latitude' => '42.802352','longitude' => '-2.982607'),
        array('province_id' => '1','town' => 'Aramaio','id' => '4','slug' => 'aramaio','latitude' => '43.054','longitude' => '-2.566'),
        array('province_id' => '1','town' => 'Armiñón','id' => '5','slug' => 'armin','latitude' => '42.7230453','longitude' => '-2.872574'),
        array('province_id' => '1','town' => 'Arraia-Maeztu','id' => '6','slug' => 'arraia-maeztu','latitude' => '42.7398149','longitude' => '-2.4459801'),
        array('province_id' => '1','town' => 'Arrazua-Ubarrundia','id' => '7','slug' => 'arrazua-ubarrundia','latitude' => '42.8902778','longitude' => '-2.6391667'),
        array('province_id' => '1','town' => 'Artziniega','id' => '8','slug' => 'artziniega','latitude' => '43.1222011','longitude' => '-3.1282091'),
        array('province_id' => '1','town' => 'Asparrena','id' => '9','slug' => 'asparrena','latitude' => '42.8956667','longitude' => '-2.321'),
        array('province_id' => '1','town' => 'Ayala/Aiara','id' => '10','slug' => 'ayalaaiara','latitude' => '43.0833333','longitude' => '-3.0630556'),
        array('province_id' => '1','town' => 'Baños de Ebro/Mañueta','id' => '11','slug' => 'baos-de-ebromaueta','latitude' => '42.5302903','longitude' => '-2.6791438'),
        array('province_id' => '1','town' => 'Barrundia','id' => '12','slug' => 'barrundia','latitude' => '42.9167','longitude' => '-2.49182'),
        array('province_id' => '1','town' => 'Berantevilla','id' => '13','slug' => 'berantevilla','latitude' => '42.6824495','longitude' => '-2.8604015'),
        array('province_id' => '1','town' => 'Bernedo','id' => '14','slug' => 'bernedo','latitude' => '42.6266842','longitude' => '-2.4975323'),
        array('province_id' => '1','town' => 'Campezo/Kanpezu','id' => '15','slug' => 'campezokanpezu','latitude' => '42.6919','longitude' => '-2.37'),
        array('province_id' => '1','town' => 'Elburgo/Burgelu','id' => '16','slug' => 'elburgoburgelu','latitude' => '42.849564','longitude' => '-2.5447617'),
        array('province_id' => '1','town' => 'Elciego','id' => '17','slug' => 'elciego','latitude' => '42.5150725','longitude' => '-2.618277'),
        array('province_id' => '1','town' => 'Elvillar/Bilar','id' => '18','slug' => 'elvillarbilar','latitude' => '42.5704973','longitude' => '-2.5449153'),
        array('province_id' => '1','town' => 'Erriberagoitia/Ribera Alta','id' => '19','slug' => 'erriberagoitiaribera-alta','latitude' => '42.8072222','longitude' => '-2.9175'),
        array('province_id' => '1','town' => 'Harana/Valle de Arana','id' => '20','slug' => 'haranavalle-de-arana','latitude' => '42.7595704','longitude' => '-2.3194022'),
        array('province_id' => '1','town' => 'Iruña Oka/Iruña de Oca','id' => '21','slug' => 'irua-okairua-de-oca','latitude' => '42.8191667','longitude' => '-2.8077778'),
        array('province_id' => '1','town' => 'Iruraiz-Gauna','id' => '22','slug' => 'iruraiz-gauna','latitude' => '42.8220723','longitude' => '-2.4950428'),
        array('province_id' => '1','town' => 'Kripan','id' => '23','slug' => 'kripan','latitude' => '42.5916664','longitude' => '-2.5160786'),
        array('province_id' => '1','town' => 'Kuartango','id' => '24','slug' => 'kuartango','latitude' => '42.8713889','longitude' => '-2.8855556'),
        array('province_id' => '1','town' => 'Labastida/Bastida','id' => '25','slug' => 'labastidabastida','latitude' => '42.5904214','longitude' => '-2.7931662'),
        array('province_id' => '1','town' => 'Lagrán','id' => '26','slug' => 'lagrn','latitude' => '42.6263954','longitude' => '-2.5838202'),
        array('province_id' => '1','town' => 'Laguardia','id' => '27','slug' => 'laguardia','latitude' => '42.5542775','longitude' => '-2.5842371'),
        array('province_id' => '1','town' => 'Lanciego/Lantziego','id' => '28','slug' => 'lanciegolantziego','latitude' => '42.5626187','longitude' => '-2.5132036'),
        array('province_id' => '1','town' => 'Lantarón','id' => '29','slug' => 'lantarn','latitude' => '42.7566733','longitude' => '-2.9875565'),
        array('province_id' => '1','town' => 'Lapuebla de Labarca','id' => '30','slug' => 'lapuebla-de-labarca','latitude' => '42.4946667','longitude' => '-2.5751667'),
        array('province_id' => '1','town' => 'Laudio/Llodio','id' => '31','slug' => 'laudiollodio','latitude' => '43.1433325','longitude' => '-2.9629846'),
        array('province_id' => '1','town' => 'Legutio','id' => '32','slug' => 'legutio','latitude' => '42.977822','longitude' => '-2.642724'),
        array('province_id' => '1','town' => 'Leza','id' => '33','slug' => 'leza','latitude' => '42.5660684','longitude' => '-2.633635'),
        array('province_id' => '1','town' => 'Moreda de Álava','id' => '34','slug' => 'moreda-de-lava','latitude' => '42.528016','longitude' => '-2.40767'),
        array('province_id' => '1','town' => 'Navaridas','id' => '35','slug' => 'navaridas','latitude' => '42.5451708','longitude' => '-2.6245322'),
        array('province_id' => '1','town' => 'Okondo','id' => '36','slug' => 'okondo','latitude' => '43.1544','longitude' => '-3.02861'),
        array('province_id' => '1','town' => 'Oyón-Oion','id' => '37','slug' => 'oyn-oion','latitude' => '42.5061366','longitude' => '-2.4369653'),
        array('province_id' => '1','town' => 'Peñacerrada-Urizaharra','id' => '38','slug' => 'peacerrada-urizaharra','latitude' => '42.6440952','longitude' => '-2.7133745'),
        array('province_id' => '1','town' => 'Ribera Baja/Erribera Beitia','id' => '39','slug' => 'ribera-bajaerribera-beitia','latitude' => '42.7120124','longitude' => '-2.9183001'),
        array('province_id' => '1','town' => 'Salvatierra/Agurain','id' => '40','slug' => 'salvatierraagurain','latitude' => '42.8524418','longitude' => '-2.389455'),
        array('province_id' => '1','town' => 'Samaniego','id' => '41','slug' => 'samaniego','latitude' => '42.5698324','longitude' => '-2.6801848'),
        array('province_id' => '1','town' => 'San Millán/Donemiliaga','id' => '42','slug' => 'san-millndonemiliaga','latitude' => '42.8747222','longitude' => '-2.3761111'),
        array('province_id' => '1','town' => 'Urkabustaiz','id' => '43','slug' => 'urkabustaiz','latitude' => '42.9719444','longitude' => '-2.9222222'),
        array('province_id' => '1','town' => 'Valdegovía/Gaubea','id' => '44','slug' => 'valdegovagaubea','latitude' => '42.85','longitude' => '-3.1'),
        array('province_id' => '1','town' => 'Villabuena de Álava/Eskuernaga','id' => '45','slug' => 'villabuena-de-lavaeskuernaga','latitude' => '42.5487171','longitude' => '-2.6654556'),
        array('province_id' => '1','town' => 'Vitoria-Gasteiz','id' => '46','slug' => 'vitoria-gasteiz','latitude' => '42.8467181','longitude' => '-2.6716351'),
        array('province_id' => '1','town' => 'Yécora/Iekora','id' => '47','slug' => 'ycoraiekora','latitude' => '42.569303','longitude' => '-2.4700643'),
        array('province_id' => '1','town' => 'Zalduondo','id' => '48','slug' => 'zalduondo','latitude' => '42.8856262','longitude' => '-2.3472538'),
        array('province_id' => '1','town' => 'Zambrana','id' => '49','slug' => 'zambrana','latitude' => '42.6599812','longitude' => '-2.8793531'),
        array('province_id' => '1','town' => 'Zigoitia','id' => '50','slug' => 'zigoitia','latitude' => '42.9682','longitude' => '-2.7183'),
        array('province_id' => '1','town' => 'Zuia','id' => '51','slug' => 'zuia','latitude' => '42.9816667','longitude' => '-2.844'),
        array('province_id' => '2','town' => 'Abengibre','id' => '52','slug' => 'abengibre','latitude' => '39.2099913','longitude' => '-1.544182'),
        array('province_id' => '2','town' => 'Alatoz','id' => '53','slug' => 'alatoz','latitude' => '39.0946413','longitude' => '-1.3611546'),
        array('province_id' => '2','town' => 'Albacete','id' => '54','slug' => 'albacete','latitude' => '38.9976516','longitude' => '-1.8600701'),
        array('province_id' => '2','town' => 'Albatana','id' => '55','slug' => 'albatana','latitude' => '38.5697705','longitude' => '-1.5242065'),
        array('province_id' => '2','town' => 'Alborea','id' => '56','slug' => 'alborea','latitude' => '39.2795152','longitude' => '-1.3958704'),
        array('province_id' => '2','town' => 'Alcadozo','id' => '57','slug' => 'alcadozo','latitude' => '38.6487736','longitude' => '-1.9814642'),
        array('province_id' => '2','town' => 'Alcalá del Júcar','id' => '58','slug' => 'alcal-del-jcar','latitude' => '39.1934585','longitude' => '-1.4296707'),
        array('province_id' => '2','town' => 'Alcaraz','id' => '59','slug' => 'alcaraz','latitude' => '38.6696592','longitude' => '-2.4926469'),
        array('province_id' => '2','town' => 'Almansa','id' => '60','slug' => 'almansa','latitude' => '38.86941','longitude' => '-1.0975167'),
        array('province_id' => '2','town' => 'Alpera','id' => '61','slug' => 'alpera','latitude' => '38.9593941','longitude' => '-1.2312473'),
        array('province_id' => '2','town' => 'Ayna','id' => '62','slug' => 'ayna','latitude' => '38.5531808','longitude' => '-2.0708457'),
        array('province_id' => '2','town' => 'Balazote','id' => '63','slug' => 'balazote','latitude' => '38.884078','longitude' => '-2.1508256'),
        array('province_id' => '2','town' => 'Ballestero, El','id' => '64','slug' => 'ballestero-el','latitude' => '38.9894532','longitude' => '-1.8749602'),
        array('province_id' => '2','town' => 'Balsa de Ves','id' => '65','slug' => 'balsa-de-ves','latitude' => '39.2644196','longitude' => '-1.1953436'),
        array('province_id' => '2','town' => 'Barrax','id' => '66','slug' => 'barrax','latitude' => '39.0457273','longitude' => '-2.2001694'),
        array('province_id' => '2','town' => 'Bienservida','id' => '67','slug' => 'bienservida','latitude' => '38.5151679','longitude' => '-2.6115255'),
        array('province_id' => '2','town' => 'Bogarra','id' => '68','slug' => 'bogarra','latitude' => '38.5813761','longitude' => '-2.2142213'),
        array('province_id' => '2','town' => 'Bonete','id' => '69','slug' => 'bonete','latitude' => '38.8693019','longitude' => '-1.3485166'),
        array('province_id' => '2','town' => 'Bonillo, El','id' => '70','slug' => 'bonillo-el','latitude' => '38.9880175','longitude' => '-1.859889'),
        array('province_id' => '2','town' => 'Carcelén','id' => '71','slug' => 'carceln','latitude' => '39.1018859','longitude' => '-1.3088914'),
        array('province_id' => '2','town' => 'Casas de Juan Núñez','id' => '72','slug' => 'casas-de-juan-nez','latitude' => '39.1018729','longitude' => '-1.5575711'),
        array('province_id' => '2','town' => 'Casas de Lázaro','id' => '73','slug' => 'casas-de-lzaro','latitude' => '38.771054','longitude' => '-2.2418615'),
        array('province_id' => '2','town' => 'Casas de Ves','id' => '74','slug' => 'casas-de-ves','latitude' => '39.2583945','longitude' => '-1.3351033'),
        array('province_id' => '2','town' => 'Casas-Ibáñez','id' => '75','slug' => 'casas-ibez','latitude' => '39.2851751','longitude' => '-1.47113'),
        array('province_id' => '2','town' => 'Caudete','id' => '76','slug' => 'caudete','latitude' => '38.7027381','longitude' => '-0.9915481'),
        array('province_id' => '2','town' => 'Cenizate','id' => '77','slug' => 'cenizate','latitude' => '39.3043016','longitude' => '-1.6614565'),
        array('province_id' => '2','town' => 'Chinchilla de Monte-Aragón','id' => '78','slug' => 'chinchilla-de-monte-aragn','latitude' => '38.9186214','longitude' => '-1.7227581'),
        array('province_id' => '2','town' => 'Corral-Rubio','id' => '79','slug' => 'corral-rubio','latitude' => '38.8350894','longitude' => '-1.4609878'),
        array('province_id' => '2','town' => 'Cotillas','id' => '80','slug' => 'cotillas','latitude' => '38.4310936','longitude' => '-2.5068761'),
        array('province_id' => '2','town' => 'Elche de la Sierra','id' => '81','slug' => 'elche-de-la-sierra','latitude' => '38.4475948','longitude' => '-2.0483426'),
        array('province_id' => '2','town' => 'Férez','id' => '82','slug' => 'frez','latitude' => '38.3560358','longitude' => '-2.0101681'),
        array('province_id' => '2','town' => 'Fuensanta','id' => '83','slug' => 'fuensanta','latitude' => '39.246416','longitude' => '-2.0651422'),
        array('province_id' => '2','town' => 'Fuente-Álamo','id' => '84','slug' => 'fuente-lamo','latitude' => '38.6932207','longitude' => '-1.4317726'),
        array('province_id' => '2','town' => 'Fuentealbilla','id' => '85','slug' => 'fuentealbilla','latitude' => '39.266863','longitude' => '-1.5491862'),
        array('province_id' => '2','town' => 'Gineta, La','id' => '86','slug' => 'gineta-la','latitude' => '39.1128681','longitude' => '-1.9960033'),
        array('province_id' => '2','town' => 'Golosalvo','id' => '87','slug' => 'golosalvo','latitude' => '39.2399395','longitude' => '-1.6366264'),
        array('province_id' => '2','town' => 'Hellín','id' => '88','slug' => 'helln','latitude' => '38.5121622','longitude' => '-1.7033099'),
        array('province_id' => '2','town' => 'Herrera, La','id' => '89','slug' => 'herrera-la','latitude' => '39.0026706','longitude' => '-1.8596519'),
        array('province_id' => '2','town' => 'Higueruela','id' => '90','slug' => 'higueruela','latitude' => '38.9642449','longitude' => '-1.4451014'),
        array('province_id' => '2','town' => 'Hoya-Gonzalo','id' => '91','slug' => 'hoya-gonzalo','latitude' => '38.9601743','longitude' => '-1.5543483'),
        array('province_id' => '2','town' => 'Jorquera','id' => '92','slug' => 'jorquera','latitude' => '39.174751','longitude' => '-1.5210445'),
        array('province_id' => '2','town' => 'Letur','id' => '93','slug' => 'letur','latitude' => '38.3655539','longitude' => '-2.1019639'),
        array('province_id' => '2','town' => 'Lezuza','id' => '94','slug' => 'lezuza','latitude' => '38.9490194','longitude' => '-2.3537745'),
        array('province_id' => '2','town' => 'Liétor','id' => '95','slug' => 'litor','latitude' => '38.5429029','longitude' => '-1.9528781'),
        array('province_id' => '2','town' => 'Madrigueras','id' => '96','slug' => 'madrigueras','latitude' => '39.2370442','longitude' => '-1.8001672'),
        array('province_id' => '2','town' => 'Mahora','id' => '97','slug' => 'mahora','latitude' => '39.2128293','longitude' => '-1.7253316'),
        array('province_id' => '2','town' => 'Masegoso','id' => '98','slug' => 'masegoso','latitude' => '38.7184053','longitude' => '-2.3158986'),
        array('province_id' => '2','town' => 'Minaya','id' => '99','slug' => 'minaya','latitude' => '39.2714931','longitude' => '-2.3199467'),
        array('province_id' => '2','town' => 'Molinicos','id' => '100','slug' => 'molinicos','latitude' => '38.4679384','longitude' => '-2.2378696'),
        array('province_id' => '2','town' => 'Montalvos','id' => '101','slug' => 'montalvos','latitude' => '39.1668941','longitude' => '-2.0276942'),
        array('province_id' => '2','town' => 'Montealegre del Castillo','id' => '102','slug' => 'montealegre-del-castillo','latitude' => '38.7869696','longitude' => '-1.3253028'),
        array('province_id' => '2','town' => 'Motilleja','id' => '103','slug' => 'motilleja','latitude' => '39.1805987','longitude' => '-1.7918744'),
        array('province_id' => '2','town' => 'Munera','id' => '104','slug' => 'munera','latitude' => '39.0398423','longitude' => '-2.4825282'),
        array('province_id' => '2','town' => 'Navas de Jorquera','id' => '105','slug' => 'navas-de-jorquera','latitude' => '39.2807361','longitude' => '-1.7190404'),
        array('province_id' => '2','town' => 'Nerpio','id' => '106','slug' => 'nerpio','latitude' => '38.148006','longitude' => '-2.3024965'),
        array('province_id' => '2','town' => 'Ontur','id' => '107','slug' => 'ontur','latitude' => '38.6146972','longitude' => '-1.4984908'),
        array('province_id' => '2','town' => 'Ossa de Montiel','id' => '108','slug' => 'ossa-de-montiel','latitude' => '38.9633466','longitude' => '-2.7454057'),
        array('province_id' => '2','town' => 'Paterna del Madera','id' => '109','slug' => 'paterna-del-madera','latitude' => '38.5972247','longitude' => '-2.3461098'),
        array('province_id' => '2','town' => 'Peñas de San Pedro','id' => '110','slug' => 'peas-de-san-pedro','latitude' => '38.7272195','longitude' => '-2.0041893'),
        array('province_id' => '2','town' => 'Peñascosa','id' => '111','slug' => 'peascosa','latitude' => '38.6711758','longitude' => '-2.4107079'),
        array('province_id' => '2','town' => 'Pétrola','id' => '112','slug' => 'ptrola','latitude' => '38.8257199','longitude' => '-1.5576046'),
        array('province_id' => '2','town' => 'Povedilla','id' => '113','slug' => 'povedilla','latitude' => '38.7016938','longitude' => '-2.6038732'),
        array('province_id' => '2','town' => 'Pozo Cañada','id' => '114','slug' => 'pozo-caada','latitude' => '38.8012821','longitude' => '-1.736837'),
        array('province_id' => '2','town' => 'Pozohondo','id' => '115','slug' => 'pozohondo','latitude' => '38.7211386','longitude' => '-1.9118049'),
        array('province_id' => '2','town' => 'Pozo-Lorente','id' => '116','slug' => 'pozo-lorente','latitude' => '39.0768181','longitude' => '-1.506532'),
        array('province_id' => '2','town' => 'Pozuelo','id' => '117','slug' => 'pozuelo','latitude' => '38.8092295','longitude' => '-2.1007066'),
        array('province_id' => '2','town' => 'Recueja, La','id' => '118','slug' => 'recueja-la','latitude' => '39.175581','longitude' => '-1.4904511'),
        array('province_id' => '2','town' => 'Riópar','id' => '119','slug' => 'ripar','latitude' => '38.4990018','longitude' => '-2.4171952'),
        array('province_id' => '2','town' => 'Robledo','id' => '120','slug' => 'robledo','latitude' => '38.7591176','longitude' => '-2.4488788'),
        array('province_id' => '2','town' => 'Roda, La','id' => '121','slug' => 'roda-la','latitude' => '39.0013031','longitude' => '-1.8686044'),
        array('province_id' => '2','town' => 'Salobre','id' => '122','slug' => 'salobre','latitude' => '38.591575','longitude' => '-2.5512665'),
        array('province_id' => '2','town' => 'San Pedro','id' => '123','slug' => 'san-pedro','latitude' => '38.8264238','longitude' => '-2.1861416'),
        array('province_id' => '2','town' => 'Socovos','id' => '124','slug' => 'socovos','latitude' => '38.3334769','longitude' => '-1.9834319'),
        array('province_id' => '2','town' => 'Tarazona de la Mancha','id' => '125','slug' => 'tarazona-de-la-mancha','latitude' => '39.2653066','longitude' => '-1.9128362'),
        array('province_id' => '2','town' => 'Tobarra','id' => '126','slug' => 'tobarra','latitude' => '38.5884392','longitude' => '-1.6937826'),
        array('province_id' => '2','town' => 'Valdeganga','id' => '127','slug' => 'valdeganga','latitude' => '39.1352349','longitude' => '-1.6770038'),
        array('province_id' => '2','town' => 'Vianos','id' => '128','slug' => 'vianos','latitude' => '38.6321836','longitude' => '-2.5015594'),
        array('province_id' => '2','town' => 'Villa de Ves','id' => '129','slug' => 'villa-de-ves','latitude' => '39.2232751','longitude' => '-1.2601604'),
        array('province_id' => '2','town' => 'Villalgordo del Júcar','id' => '130','slug' => 'villalgordo-del-jcar','latitude' => '39.296262','longitude' => '-2.0634101'),
        array('province_id' => '2','town' => 'Villamalea','id' => '131','slug' => 'villamalea','latitude' => '39.361892','longitude' => '-1.5992963'),
        array('province_id' => '2','town' => 'Villapalacios','id' => '132','slug' => 'villapalacios','latitude' => '38.5746031','longitude' => '-2.6355316'),
        array('province_id' => '2','town' => 'Villarrobledo','id' => '133','slug' => 'villarrobledo','latitude' => '39.2672561','longitude' => '-2.6076427'),
        array('province_id' => '2','town' => 'Villatoya','id' => '134','slug' => 'villatoya','latitude' => '39.3332641','longitude' => '-1.3402235'),
        array('province_id' => '2','town' => 'Villavaliente','id' => '135','slug' => 'villavaliente','latitude' => '39.1259577','longitude' => '-1.4586057'),
        array('province_id' => '2','town' => 'Villaverde de Guadalimar','id' => '136','slug' => 'villaverde-de-guadalimar','latitude' => '38.4554959','longitude' => '-2.5178695'),
        array('province_id' => '2','town' => 'Viveros','id' => '137','slug' => 'viveros','latitude' => '38.7733017','longitude' => '-2.5760138'),
        array('province_id' => '2','town' => 'Yeste','id' => '138','slug' => 'yeste','latitude' => '38.3658253','longitude' => '-2.3187105'),
        array('province_id' => '3','town' => 'Adsubia','id' => '139','slug' => 'adsubia','latitude' => '38.8478315','longitude' => '-0.1499264'),
        array('province_id' => '3','town' => 'Agost','id' => '140','slug' => 'agost','latitude' => '38.4411686','longitude' => '-0.6395459'),
        array('province_id' => '3','town' => 'Agres','id' => '141','slug' => 'agres','latitude' => '38.7798764','longitude' => '-0.5156772'),
        array('province_id' => '3','town' => 'Aigües','id' => '142','slug' => 'aiges','latitude' => '38.4993242','longitude' => '-0.3627366'),
        array('province_id' => '3','town' => 'Albatera','id' => '143','slug' => 'albatera','latitude' => '38.1805987','longitude' => '-0.8696246'),
        array('province_id' => '3','town' => 'Alcalalí','id' => '144','slug' => 'alcalal','latitude' => '38.7556793','longitude' => '-0.046652'),
        array('province_id' => '3','town' => 'Alcocer de Planes','id' => '145','slug' => 'alcocer-de-planes','latitude' => '38.7949332','longitude' => '-0.4027004'),
        array('province_id' => '3','town' => 'Alcoleja','id' => '146','slug' => 'alcoleja','latitude' => '38.6754168','longitude' => '-0.3323183'),
        array('province_id' => '3','town' => 'Alcoy/Alcoi','id' => '147','slug' => 'alcoyalcoi','latitude' => '38.6976276','longitude' => '-0.4730959'),
        array('province_id' => '3','town' => 'Alfafara','id' => '148','slug' => 'alfafara','latitude' => '38.772663','longitude' => '-0.5552129'),
        array('province_id' => '3','town' => 'Alfàs del Pi, l\'','id' => '149','slug' => 'alfs-del-pi-l','latitude' => '38.5805544','longitude' => '-0.1032094'),
        array('province_id' => '3','town' => 'Algorfa','id' => '150','slug' => 'algorfa','latitude' => '38.0858671','longitude' => '-0.7957607'),
        array('province_id' => '3','town' => 'Algueña','id' => '151','slug' => 'alguea','latitude' => '38.3388551','longitude' => '-1.0032342'),
        array('province_id' => '3','town' => 'Alicante/Alacant','id' => '152','slug' => 'alicantealacant','latitude' => '38.34521','longitude' => '-0.4809945'),
        array('province_id' => '3','town' => 'Almoradí','id' => '153','slug' => 'almorad','latitude' => '38.109625','longitude' => '-0.7920032'),
        array('province_id' => '3','town' => 'Almudaina','id' => '154','slug' => 'almudaina','latitude' => '38.7611459','longitude' => '-0.35386'),
        array('province_id' => '3','town' => 'Alqueria d\'Asnar, l\'','id' => '155','slug' => 'alqueria-dasnar-l','latitude' => '38.7723463','longitude' => '-0.4256638'),
        array('province_id' => '3','town' => 'Altea','id' => '156','slug' => 'altea','latitude' => '38.6003162','longitude' => '-0.0491708'),
        array('province_id' => '3','town' => 'Aspe','id' => '157','slug' => 'aspe','latitude' => '38.3485684','longitude' => '-0.7694142'),
        array('province_id' => '3','town' => 'Balones','id' => '158','slug' => 'balones','latitude' => '38.7368262','longitude' => '-0.3420584'),
        array('province_id' => '3','town' => 'Banyeres de Mariola','id' => '159','slug' => 'banyeres-de-mariola','latitude' => '38.7168534','longitude' => '-0.6558753'),
        array('province_id' => '3','town' => 'Benasau','id' => '160','slug' => 'benasau','latitude' => '38.6911434','longitude' => '-0.3437617'),
        array('province_id' => '3','town' => 'Beneixama','id' => '161','slug' => 'beneixama','latitude' => '38.6999523','longitude' => '-0.7661394'),
        array('province_id' => '3','town' => 'Benejúzar','id' => '162','slug' => 'benejzar','latitude' => '38.0783908','longitude' => '-0.8384452'),
        array('province_id' => '3','town' => 'Benferri','id' => '163','slug' => 'benferri','latitude' => '38.1406299','longitude' => '-0.9632033'),
        array('province_id' => '3','town' => 'Beniarbeig','id' => '164','slug' => 'beniarbeig','latitude' => '38.8231197','longitude' => '-0.0020653'),
        array('province_id' => '3','town' => 'Beniardá','id' => '165','slug' => 'beniard','latitude' => '38.6837253','longitude' => '-0.2160712'),
        array('province_id' => '3','town' => 'Beniarrés','id' => '166','slug' => 'beniarrs','latitude' => '38.8195195','longitude' => '-0.3782794'),
        array('province_id' => '3','town' => 'Benidoleig','id' => '167','slug' => 'benidoleig','latitude' => '38.7938643','longitude' => '-0.0281963'),
        array('province_id' => '3','town' => 'Benidorm','id' => '168','slug' => 'benidorm','latitude' => '38.5370431','longitude' => '-0.1290771'),
        array('province_id' => '3','town' => 'Benifallim','id' => '169','slug' => 'benifallim','latitude' => '38.662793','longitude' => '-0.4003207'),
        array('province_id' => '3','town' => 'Benifato','id' => '170','slug' => 'benifato','latitude' => '38.6740558','longitude' => '-0.2300378'),
        array('province_id' => '3','town' => 'Benigembla','id' => '171','slug' => 'benigembla','latitude' => '38.7560615','longitude' => '-0.1102239'),
        array('province_id' => '3','town' => 'Benijófar','id' => '172','slug' => 'benijfar','latitude' => '38.0781042','longitude' => '-0.73795'),
        array('province_id' => '3','town' => 'Benilloba','id' => '173','slug' => 'benilloba','latitude' => '38.7002343','longitude' => '-0.3904273'),
        array('province_id' => '3','town' => 'Benillup','id' => '174','slug' => 'benillup','latitude' => '38.7534784','longitude' => '-0.3789057'),
        array('province_id' => '3','town' => 'Benimantell','id' => '175','slug' => 'benimantell','latitude' => '38.6744328','longitude' => '-0.207443'),
        array('province_id' => '3','town' => 'Benimarfull','id' => '176','slug' => 'benimarfull','latitude' => '38.7751037','longitude' => '-0.3934855'),
        array('province_id' => '3','town' => 'Benimassot','id' => '177','slug' => 'benimassot','latitude' => '38.7490657','longitude' => '-0.2923697'),
        array('province_id' => '3','town' => 'Benimeli','id' => '178','slug' => 'benimeli','latitude' => '38.822946','longitude' => '-0.0417273'),
        array('province_id' => '3','town' => 'Benissa','id' => '179','slug' => 'benissa','latitude' => '38.7162314','longitude' => '0.0533722'),
        array('province_id' => '3','town' => 'Benitachell/Poble Nou de Benitatxell, el','id' => '180','slug' => 'benitachellpoble-nou-de-benitatxell-el','latitude' => '38.732251','longitude' => '0.1447876'),
        array('province_id' => '3','town' => 'Biar','id' => '181','slug' => 'biar','latitude' => '38.6296976','longitude' => '-0.7654974'),
        array('province_id' => '3','town' => 'Bigastro','id' => '182','slug' => 'bigastro','latitude' => '38.0630388','longitude' => '-0.8955043'),
        array('province_id' => '3','town' => 'Bolulla','id' => '183','slug' => 'bolulla','latitude' => '38.6762156','longitude' => '-0.1117929'),
        array('province_id' => '3','town' => 'Busot','id' => '184','slug' => 'busot','latitude' => '38.4848258','longitude' => '-0.4172711'),
        array('province_id' => '3','town' => 'Callosa de Segura','id' => '185','slug' => 'callosa-de-segura','latitude' => '38.1241325','longitude' => '-0.8784829'),
        array('province_id' => '3','town' => 'Callosa d\'En Sarrià','id' => '186','slug' => 'callosa-den-sarri','latitude' => '38.6513245','longitude' => '-0.1225342'),
        array('province_id' => '3','town' => 'Calp','id' => '187','slug' => 'calp','latitude' => '38.6465999','longitude' => '0.0455365'),
        array('province_id' => '3','town' => 'Campello, el','id' => '188','slug' => 'campello-el','latitude' => '38.4289188','longitude' => '-0.3978871'),
        array('province_id' => '3','town' => 'Campo de Mirra','id' => '189','slug' => 'campo-de-mirra','latitude' => '38.686709','longitude' => '-0.7770379'),
        array('province_id' => '3','town' => 'Cañada','id' => '190','slug' => 'caada','latitude' => '38.6752382','longitude' => '-0.8098581'),
        array('province_id' => '3','town' => 'Castalla','id' => '191','slug' => 'castalla','latitude' => '38.5951885','longitude' => '-0.6722506'),
        array('province_id' => '3','town' => 'Castell de Castells','id' => '192','slug' => 'castell-de-castells','latitude' => '38.7524176','longitude' => '-0.1748384'),
        array('province_id' => '3','town' => 'Castell de Guadalest, el','id' => '193','slug' => 'castell-de-guadalest-el','latitude' => '38.6764386','longitude' => '-0.198618'),
        array('province_id' => '3','town' => 'Catral','id' => '194','slug' => 'catral','latitude' => '38.160948','longitude' => '-0.8014995'),
        array('province_id' => '3','town' => 'Cocentaina','id' => '195','slug' => 'cocentaina','latitude' => '38.742277','longitude' => '-0.4384323'),
        array('province_id' => '3','town' => 'Confrides','id' => '196','slug' => 'confrides','latitude' => '38.6832934','longitude' => '-0.2685593'),
        array('province_id' => '3','town' => 'Cox','id' => '197','slug' => 'cox','latitude' => '38.141603','longitude' => '-0.8870501'),
        array('province_id' => '3','town' => 'Crevillent','id' => '198','slug' => 'crevillent','latitude' => '38.2470323','longitude' => '-0.803492'),
        array('province_id' => '3','town' => 'Daya Nueva','id' => '199','slug' => 'daya-nueva','latitude' => '38.1131562','longitude' => '-0.7592378'),
        array('province_id' => '3','town' => 'Daya Vieja','id' => '200','slug' => 'daya-vieja','latitude' => '38.1048416','longitude' => '-0.7387287'),
        array('province_id' => '3','town' => 'Dénia','id' => '201','slug' => 'dnia','latitude' => '38.8403875','longitude' => '0.1086093'),
        array('province_id' => '3','town' => 'Dolores','id' => '202','slug' => 'dolores','latitude' => '38.1405786','longitude' => '-0.7692993'),
        array('province_id' => '3','town' => 'Elche/Elx','id' => '203','slug' => 'elcheelx','latitude' => '38.2654997','longitude' => '-0.6984587'),
        array('province_id' => '3','town' => 'Elda','id' => '204','slug' => 'elda','latitude' => '38.4780341','longitude' => '-0.7904639'),
        array('province_id' => '3','town' => 'Facheca','id' => '205','slug' => 'facheca','latitude' => '38.7350158','longitude' => '-0.2678879'),
        array('province_id' => '3','town' => 'Famorca','id' => '206','slug' => 'famorca','latitude' => '38.7320605','longitude' => '-0.2463927'),
        array('province_id' => '3','town' => 'Finestrat','id' => '207','slug' => 'finestrat','latitude' => '38.5690925','longitude' => '-0.2107335'),
        array('province_id' => '3','town' => 'Fondó de les Neus, el/Hondón de las Nieves','id' => '208','slug' => 'fond-de-les-neus-elhondn-de-las-nieves','latitude' => '38.3091041','longitude' => '-0.8521601'),
        array('province_id' => '3','town' => 'Formentera del Segura','id' => '209','slug' => 'formentera-del-segura','latitude' => '38.0856159','longitude' => '-0.7453506'),
        array('province_id' => '3','town' => 'Gaianes','id' => '210','slug' => 'gaianes','latitude' => '38.8115541','longitude' => '-0.4103162'),
        array('province_id' => '3','town' => 'Gata de Gorgos','id' => '211','slug' => 'gata-de-gorgos','latitude' => '38.7742513','longitude' => '0.0812124'),
        array('province_id' => '3','town' => 'Gorga','id' => '212','slug' => 'gorga','latitude' => '38.7205624','longitude' => '-0.3560984'),
        array('province_id' => '3','town' => 'Granja de Rocamora','id' => '213','slug' => 'granja-de-rocamora','latitude' => '38.1525306','longitude' => '-0.8909073'),
        array('province_id' => '3','town' => 'Guardamar del Segura','id' => '214','slug' => 'guardamar-del-segura','latitude' => '38.0861533','longitude' => '-0.651254'),
        array('province_id' => '3','town' => 'Hondón de los Frailes','id' => '215','slug' => 'hondn-de-los-frailes','latitude' => '38.2731894','longitude' => '-0.9276314'),
        array('province_id' => '3','town' => 'Ibi','id' => '216','slug' => 'ibi','latitude' => '38.6255108','longitude' => '-0.5713521'),
        array('province_id' => '3','town' => 'Jacarilla','id' => '217','slug' => 'jacarilla','latitude' => '38.0613256','longitude' => '-0.8686115'),
        array('province_id' => '3','town' => 'Jávea/Xàbia','id' => '218','slug' => 'jveaxbia','latitude' => '38.7954617','longitude' => '0.1166293'),
        array('province_id' => '3','town' => 'Jijona/Xixona','id' => '219','slug' => 'jijonaxixona','latitude' => '38.5400636','longitude' => '-0.5077739'),
        array('province_id' => '3','town' => 'Llíber','id' => '220','slug' => 'llber','latitude' => '38.7427253','longitude' => '0.0063282'),
        array('province_id' => '3','town' => 'Lorcha/Orxa, l\'','id' => '221','slug' => 'lorchaorxa-l','latitude' => '38.8430542','longitude' => '-0.309963'),
        array('province_id' => '3','town' => 'Millena','id' => '222','slug' => 'millena','latitude' => '38.7305784','longitude' => '-0.3638289'),
        array('province_id' => '3','town' => 'Monforte del Cid','id' => '223','slug' => 'monforte-del-cid','latitude' => '38.3792316','longitude' => '-0.7292369'),
        array('province_id' => '3','town' => 'Monóvar/Monòver','id' => '224','slug' => 'monvarmonver','latitude' => '38.4372058','longitude' => '-0.8393462'),
        array('province_id' => '3','town' => 'Montesinos, Los','id' => '225','slug' => 'montesinos-los','latitude' => '38.0273224','longitude' => '-0.743438'),
        array('province_id' => '3','town' => 'Murla','id' => '226','slug' => 'murla','latitude' => '38.7603102','longitude' => '-0.0829431'),
        array('province_id' => '3','town' => 'Muro de Alcoy','id' => '227','slug' => 'muro-de-alcoy','latitude' => '38.7817939','longitude' => '-0.4312265'),
        array('province_id' => '3','town' => 'Mutxamel','id' => '228','slug' => 'mutxamel','latitude' => '38.4123496','longitude' => '-0.4432408'),
        array('province_id' => '3','town' => 'Novelda','id' => '229','slug' => 'novelda','latitude' => '38.3853016','longitude' => '-0.7653857'),
        array('province_id' => '3','town' => 'Nucia, la','id' => '230','slug' => 'nucia-la','latitude' => '38.6143443','longitude' => '-0.1259185'),
        array('province_id' => '3','town' => 'Ondara','id' => '231','slug' => 'ondara','latitude' => '38.8260713','longitude' => '0.0159034'),
        array('province_id' => '3','town' => 'Onil','id' => '232','slug' => 'onil','latitude' => '38.6260554','longitude' => '-0.6731591'),
        array('province_id' => '3','town' => 'Orba','id' => '233','slug' => 'orba','latitude' => '38.7803327','longitude' => '-0.0637978'),
        array('province_id' => '3','town' => 'Orihuela','id' => '234','slug' => 'orihuela','latitude' => '38.0839494','longitude' => '-0.9447829'),
        array('province_id' => '3','town' => 'Orxeta','id' => '235','slug' => 'orxeta','latitude' => '38.5635976','longitude' => '-0.2619973'),
        array('province_id' => '3','town' => 'Parcent','id' => '236','slug' => 'parcent','latitude' => '38.7455263','longitude' => '-0.0661097'),
        array('province_id' => '3','town' => 'Pedreguer','id' => '237','slug' => 'pedreguer','latitude' => '38.7938861','longitude' => '0.0345502'),
        array('province_id' => '3','town' => 'Pego','id' => '238','slug' => 'pego','latitude' => '38.8432355','longitude' => '-0.1175528'),
        array('province_id' => '3','town' => 'Penàguila','id' => '239','slug' => 'penguila','latitude' => '38.6794161','longitude' => '-0.3590004'),
        array('province_id' => '3','town' => 'Petrer','id' => '240','slug' => 'petrer','latitude' => '38.4774394','longitude' => '-0.7742523'),
        array('province_id' => '3','town' => 'Pilar de la Horadada','id' => '241','slug' => 'pilar-de-la-horadada','latitude' => '37.8653829','longitude' => '-0.7925081'),
        array('province_id' => '3','town' => 'Pinós, el/Pinoso','id' => '242','slug' => 'pins-elpinoso','latitude' => '38.4035711','longitude' => '-1.0413002'),
        array('province_id' => '3','town' => 'Planes','id' => '243','slug' => 'planes','latitude' => '38.7855014','longitude' => '-0.344533'),
        array('province_id' => '3','town' => 'Poblets, els','id' => '244','slug' => 'poblets-els','latitude' => '38.8539','longitude' => '0.0180556'),
        array('province_id' => '3','town' => 'Polop','id' => '245','slug' => 'polop','latitude' => '38.6226302','longitude' => '-0.1259112'),
        array('province_id' => '3','town' => 'Quatretondeta','id' => '246','slug' => 'quatretondeta','latitude' => '38.7236501','longitude' => '-0.3159135'),
        array('province_id' => '3','town' => 'Rafal','id' => '247','slug' => 'rafal','latitude' => '38.1040219','longitude' => '-0.8499723'),
        array('province_id' => '3','town' => 'Ràfol d\'Almúnia, El','id' => '248','slug' => 'rfol-dalmnia-el','latitude' => '38.8200563','longitude' => '-0.0532798'),
        array('province_id' => '3','town' => 'Redován','id' => '249','slug' => 'redovn','latitude' => '38.1161641','longitude' => '-0.9107296'),
        array('province_id' => '3','town' => 'Relleu','id' => '250','slug' => 'relleu','latitude' => '38.5873322','longitude' => '-0.3110441'),
        array('province_id' => '3','town' => 'Rojales','id' => '251','slug' => 'rojales','latitude' => '38.0883261','longitude' => '-0.7242546'),
        array('province_id' => '3','town' => 'Romana, la','id' => '252','slug' => 'romana-la','latitude' => '38.3662235','longitude' => '-0.4391307'),
        array('province_id' => '3','town' => 'Sagra','id' => '253','slug' => 'sagra','latitude' => '38.8113436','longitude' => '-0.0657266'),
        array('province_id' => '3','town' => 'Salinas','id' => '254','slug' => 'salinas','latitude' => '38.5189123','longitude' => '-0.9121291'),
        array('province_id' => '3','town' => 'San Fulgencio','id' => '255','slug' => 'san-fulgencio','latitude' => '38.1142186','longitude' => '-0.7179557'),
        array('province_id' => '3','town' => 'San Isidro','id' => '256','slug' => 'san-isidro','latitude' => '38.1701963','longitude' => '-0.8401969'),
        array('province_id' => '3','town' => 'San Miguel de Salinas','id' => '257','slug' => 'san-miguel-de-salinas','latitude' => '37.9799343','longitude' => '-0.7892857'),
        array('province_id' => '3','town' => 'San Vicente del Raspeig/Sant Vicent del Raspeig','id' => '258','slug' => 'san-vicente-del-raspeigsant-vicent-del-raspeig','latitude' => '38.396093','longitude' => '-0.5249284'),
        array('province_id' => '3','town' => 'Sanet y Negrals','id' => '259','slug' => 'sanet-y-negrals','latitude' => '38.8199117','longitude' => '-0.0345811'),
        array('province_id' => '3','town' => 'Sant Joan d\'Alacant','id' => '260','slug' => 'sant-joan-dalacant','latitude' => '38.3981693','longitude' => '-0.4345329'),
        array('province_id' => '3','town' => 'Santa Pola','id' => '261','slug' => 'santa-pola','latitude' => '38.1922952','longitude' => '-0.5552066'),
        array('province_id' => '3','town' => 'Sax','id' => '262','slug' => 'sax','latitude' => '38.5375665','longitude' => '-0.8180652'),
        array('province_id' => '3','town' => 'Sella','id' => '263','slug' => 'sella','latitude' => '38.6086174','longitude' => '-0.2730576'),
        array('province_id' => '3','town' => 'Senija','id' => '264','slug' => 'senija','latitude' => '38.7278572','longitude' => '0.0405763'),
        array('province_id' => '3','town' => 'Tàrbena','id' => '265','slug' => 'trbena','latitude' => '38.6957168','longitude' => '-0.1037597'),
        array('province_id' => '3','town' => 'Teulada','id' => '266','slug' => 'teulada','latitude' => '38.7288087','longitude' => '0.1035751'),
        array('province_id' => '3','town' => 'Tibi','id' => '267','slug' => 'tibi','latitude' => '38.5293839','longitude' => '-0.5830948'),
        array('province_id' => '3','town' => 'Tollos','id' => '268','slug' => 'tollos','latitude' => '38.7566382','longitude' => '-0.2747656'),
        array('province_id' => '3','town' => 'Tormos','id' => '269','slug' => 'tormos','latitude' => '38.8019487','longitude' => '-0.0721342'),
        array('province_id' => '3','town' => 'Torremanzanas/Torre de les Maçanes, la','id' => '270','slug' => 'torremanzanastorre-de-les-maanes-la','latitude' => '38.6133511','longitude' => '-0.4199761'),
        array('province_id' => '3','town' => 'Torrevieja','id' => '271','slug' => 'torrevieja','latitude' => '37.9774712','longitude' => '-0.6832271'),
        array('province_id' => '3','town' => 'Vall d\'Alcalà, la','id' => '272','slug' => 'vall-dalcal-la','latitude' => '38.7944444','longitude' => '-0.2527778'),
        array('province_id' => '3','town' => 'Vall de Gallinera','id' => '273','slug' => 'vall-de-gallinera','latitude' => '38.8222222','longitude' => '-0.2222222'),
        array('province_id' => '3','town' => 'Vall de Laguar, la','id' => '274','slug' => 'vall-de-laguar-la','latitude' => '38.3464283','longitude' => '-0.5128954'),
        array('province_id' => '3','town' => 'Vall d\'Ebo, la','id' => '275','slug' => 'vall-debo-la','latitude' => '38.3638517','longitude' => '-0.4806877'),
        array('province_id' => '3','town' => 'Verger, el','id' => '276','slug' => 'verger-el','latitude' => '38.3310916','longitude' => '-0.5109846'),
        array('province_id' => '3','town' => 'Villajoyosa/Vila Joiosa, la','id' => '277','slug' => 'villajoyosavila-joiosa-la','latitude' => '38.5261833','longitude' => '-0.1981858'),
        array('province_id' => '3','town' => 'Villena','id' => '278','slug' => 'villena','latitude' => '38.6363457','longitude' => '-0.8661389'),
        array('province_id' => '3','town' => 'Xaló','id' => '279','slug' => 'xal','latitude' => '38.7263419','longitude' => '-0.0279867'),
        array('province_id' => '4','town' => 'Abla','id' => '280','slug' => 'abla','latitude' => '37.1411446','longitude' => '-2.7801036'),
        array('province_id' => '4','town' => 'Abrucena','id' => '281','slug' => 'abrucena','latitude' => '37.1330481','longitude' => '-2.7970982'),
        array('province_id' => '4','town' => 'Adra','id' => '282','slug' => 'adra','latitude' => '36.7480711','longitude' => '-3.0225224'),
        array('province_id' => '4','town' => 'Albánchez','id' => '283','slug' => 'albnchez','latitude' => '37.2871024','longitude' => '-2.1811632'),
        array('province_id' => '4','town' => 'Alboloduy','id' => '284','slug' => 'alboloduy','latitude' => '37.0331869','longitude' => '-2.6217497'),
        array('province_id' => '4','town' => 'Albox','id' => '285','slug' => 'albox','latitude' => '37.3897879','longitude' => '-2.147483'),
        array('province_id' => '4','town' => 'Alcolea','id' => '286','slug' => 'alcolea','latitude' => '36.9744883','longitude' => '-2.9610382'),
        array('province_id' => '4','town' => 'Alcóntar','id' => '287','slug' => 'alcntar','latitude' => '37.3358524','longitude' => '-2.5969435'),
        array('province_id' => '4','town' => 'Alcudia de Monteagud','id' => '288','slug' => 'alcudia-de-monteagud','latitude' => '37.2359862','longitude' => '-2.2661735'),
        array('province_id' => '4','town' => 'Alhabia','id' => '289','slug' => 'alhabia','latitude' => '36.9893054','longitude' => '-2.587667'),
        array('province_id' => '4','town' => 'Alhama de Almería','id' => '290','slug' => 'alhama-de-almera','latitude' => '36.957424','longitude' => '-2.5700746'),
        array('province_id' => '4','town' => 'Alicún','id' => '291','slug' => 'alicn','latitude' => '36.9662998','longitude' => '-2.6019941'),
        array('province_id' => '4','town' => 'Almería','id' => '292','slug' => 'almera','latitude' => '36.8401638','longitude' => '-2.4679217'),
        array('province_id' => '4','town' => 'Almócita','id' => '293','slug' => 'almcita','latitude' => '37.0023578','longitude' => '-2.7900709'),
        array('province_id' => '4','town' => 'Alsodux','id' => '294','slug' => 'alsodux','latitude' => '37.0019951','longitude' => '-2.5945791'),
        array('province_id' => '4','town' => 'Antas','id' => '295','slug' => 'antas','latitude' => '37.2451615','longitude' => '-1.9175428'),
        array('province_id' => '4','town' => 'Arboleas','id' => '296','slug' => 'arboleas','latitude' => '37.3502469','longitude' => '-2.0748669'),
        array('province_id' => '4','town' => 'Armuña de Almanzora','id' => '297','slug' => 'armua-de-almanzora','latitude' => '37.34969','longitude' => '-2.4113959'),
        array('province_id' => '4','town' => 'Bacares','id' => '298','slug' => 'bacares','latitude' => '37.2608284','longitude' => '-2.4547612'),
        array('province_id' => '4','town' => 'Bayárcal','id' => '299','slug' => 'bayrcal','latitude' => '37.0311629','longitude' => '-2.9964688'),
        array('province_id' => '4','town' => 'Bayarque','id' => '300','slug' => 'bayarque','latitude' => '37.3309071','longitude' => '-2.4356596'),
        array('province_id' => '4','town' => 'Bédar','id' => '301','slug' => 'bdar','latitude' => '37.1896398','longitude' => '-1.9818983'),
        array('province_id' => '4','town' => 'Beires','id' => '302','slug' => 'beires','latitude' => '37.0120025','longitude' => '-2.7909276'),
        array('province_id' => '4','town' => 'Benahadux','id' => '303','slug' => 'benahadux','latitude' => '36.9258636','longitude' => '-2.4556826'),
        array('province_id' => '4','town' => 'Benitagla','id' => '304','slug' => 'benitagla','latitude' => '37.2312432','longitude' => '-2.2391067'),
        array('province_id' => '4','town' => 'Benizalón','id' => '305','slug' => 'benizaln','latitude' => '37.2117466','longitude' => '-2.2416847'),
        array('province_id' => '4','town' => 'Bentarique','id' => '306','slug' => 'bentarique','latitude' => '36.9865206','longitude' => '-2.6194202'),
        array('province_id' => '4','town' => 'Berja','id' => '307','slug' => 'berja','latitude' => '36.8464402','longitude' => '-2.9494252'),
        array('province_id' => '4','town' => 'Canjáyar','id' => '308','slug' => 'canjyar','latitude' => '37.0097322','longitude' => '-2.7396811'),
        array('province_id' => '4','town' => 'Cantoria','id' => '309','slug' => 'cantoria','latitude' => '37.3525943','longitude' => '-2.1936263'),
        array('province_id' => '4','town' => 'Carboneras','id' => '310','slug' => 'carboneras','latitude' => '36.996586','longitude' => '-1.8950117'),
        array('province_id' => '4','town' => 'Castro de Filabres','id' => '311','slug' => 'castro-de-filabres','latitude' => '37.1846349','longitude' => '-2.4395242'),
        array('province_id' => '4','town' => 'Chercos','id' => '312','slug' => 'chercos','latitude' => '37.2663328','longitude' => '-2.2578972'),
        array('province_id' => '4','town' => 'Chirivel','id' => '313','slug' => 'chirivel','latitude' => '37.5956045','longitude' => '-2.2648388'),
        array('province_id' => '4','town' => 'Cóbdar','id' => '314','slug' => 'cbdar','latitude' => '37.2619895','longitude' => '-2.2102232'),
        array('province_id' => '4','town' => 'Cuevas del Almanzora','id' => '315','slug' => 'cuevas-del-almanzora','latitude' => '37.2970929','longitude' => '-1.8814762'),
        array('province_id' => '4','town' => 'Dalías','id' => '316','slug' => 'dalas','latitude' => '36.8212091','longitude' => '-2.8706965'),
        array('province_id' => '4','town' => 'Ejido, El','id' => '317','slug' => 'ejido-el','latitude' => '36.7750616','longitude' => '-2.8127379'),
        array('province_id' => '4','town' => 'Enix','id' => '318','slug' => 'enix','latitude' => '36.8770413','longitude' => '-2.6021068'),
        array('province_id' => '4','town' => 'Felix','id' => '319','slug' => 'felix','latitude' => '36.8689235','longitude' => '-2.6579207'),
        array('province_id' => '4','town' => 'Fines','id' => '320','slug' => 'fines','latitude' => '37.358875','longitude' => '-2.262964'),
        array('province_id' => '4','town' => 'Fiñana','id' => '321','slug' => 'fiana','latitude' => '37.1710128','longitude' => '-2.8406783'),
        array('province_id' => '4','town' => 'Fondón','id' => '322','slug' => 'fondn','latitude' => '36.979417','longitude' => '-2.8583558'),
        array('province_id' => '4','town' => 'Gádor','id' => '323','slug' => 'gdor','latitude' => '36.9539283','longitude' => '-2.4929356'),
        array('province_id' => '4','town' => 'Gallardos, Los','id' => '324','slug' => 'gallardos-los','latitude' => '36.8400838','longitude' => '-2.4102092'),
        array('province_id' => '4','town' => 'Garrucha','id' => '325','slug' => 'garrucha','latitude' => '37.17925','longitude' => '-1.8219007'),
        array('province_id' => '4','town' => 'Gérgal','id' => '326','slug' => 'grgal','latitude' => '37.120699','longitude' => '-2.5383052'),
        array('province_id' => '4','town' => 'Huécija','id' => '327','slug' => 'hucija','latitude' => '36.9678769','longitude' => '-2.6114357'),
        array('province_id' => '4','town' => 'Huércal de Almería','id' => '328','slug' => 'hurcal-de-almera','latitude' => '36.8841517','longitude' => '-2.4359781'),
        array('province_id' => '4','town' => 'Huércal-Overa','id' => '329','slug' => 'hurcal-overa','latitude' => '37.3906231','longitude' => '-1.9436843'),
        array('province_id' => '4','town' => 'Illar','id' => '330','slug' => 'illar','latitude' => '36.9850372','longitude' => '-2.6393024'),
        array('province_id' => '4','town' => 'Instinción','id' => '331','slug' => 'instincin','latitude' => '36.9931577','longitude' => '-2.6599447'),
        array('province_id' => '4','town' => 'Laroya','id' => '332','slug' => 'laroya','latitude' => '37.2966726','longitude' => '-2.3296012'),
        array('province_id' => '4','town' => 'Láujar de Andarax','id' => '333','slug' => 'lujar-de-andarax','latitude' => '36.9938363','longitude' => '-2.8892198'),
        array('province_id' => '4','town' => 'Líjar','id' => '334','slug' => 'ljar','latitude' => '37.2952694','longitude' => '-2.2199277'),
        array('province_id' => '4','town' => 'Lubrín','id' => '335','slug' => 'lubrn','latitude' => '37.2158556','longitude' => '-2.067055'),
        array('province_id' => '4','town' => 'Lucainena de las Torres','id' => '336','slug' => 'lucainena-de-las-torres','latitude' => '37.0417883','longitude' => '-2.2007056'),
        array('province_id' => '4','town' => 'Lúcar','id' => '337','slug' => 'lcar','latitude' => '37.3996503','longitude' => '-2.4270743'),
        array('province_id' => '4','town' => 'Macael','id' => '338','slug' => 'macael','latitude' => '37.3322913','longitude' => '-2.3048916'),
        array('province_id' => '4','town' => 'María','id' => '339','slug' => 'mara','latitude' => '37.7111023','longitude' => '-2.1657949'),
        array('province_id' => '4','town' => 'Mojácar','id' => '340','slug' => 'mojcar','latitude' => '37.1399459','longitude' => '-1.851328'),
        array('province_id' => '4','town' => 'Mojonera, La','id' => '341','slug' => 'mojonera-la','latitude' => '37.0917379','longitude' => '-2.2468319'),
        array('province_id' => '4','town' => 'Nacimiento','id' => '342','slug' => 'nacimiento','latitude' => '37.1049744','longitude' => '-2.64774'),
        array('province_id' => '4','town' => 'Níjar','id' => '343','slug' => 'njar','latitude' => '36.9657612','longitude' => '-2.2065096'),
        array('province_id' => '4','town' => 'Ohanes','id' => '344','slug' => 'ohanes','latitude' => '37.0372332','longitude' => '-2.7451682'),
        array('province_id' => '4','town' => 'Olula de Castro','id' => '345','slug' => 'olula-de-castro','latitude' => '37.176107','longitude' => '-2.4762967'),
        array('province_id' => '4','town' => 'Olula del Río','id' => '346','slug' => 'olula-del-ro','latitude' => '37.3521187','longitude' => '-2.2981211'),
        array('province_id' => '4','town' => 'Oria','id' => '347','slug' => 'oria','latitude' => '37.4850307','longitude' => '-2.2950183'),
        array('province_id' => '4','town' => 'Padules','id' => '348','slug' => 'padules','latitude' => '36.9988404','longitude' => '-2.773482'),
        array('province_id' => '4','town' => 'Partaloa','id' => '349','slug' => 'partaloa','latitude' => '37.4060417','longitude' => '-2.2264336'),
        array('province_id' => '4','town' => 'Paterna del Río','id' => '350','slug' => 'paterna-del-ro','latitude' => '37.0208808','longitude' => '-2.9530868'),
        array('province_id' => '4','town' => 'Pechina','id' => '351','slug' => 'pechina','latitude' => '36.9166694','longitude' => '-2.4406249'),
        array('province_id' => '4','town' => 'Pulpí','id' => '352','slug' => 'pulp','latitude' => '37.4118301','longitude' => '-1.7455017'),
        array('province_id' => '4','town' => 'Purchena','id' => '353','slug' => 'purchena','latitude' => '37.3485471','longitude' => '-2.36155'),
        array('province_id' => '4','town' => 'Rágol','id' => '354','slug' => 'rgol','latitude' => '36.9956448','longitude' => '-2.6809891'),
        array('province_id' => '4','town' => 'Rioja','id' => '355','slug' => 'rioja','latitude' => '36.9440586','longitude' => '-2.4624238'),
        array('province_id' => '4','town' => 'Roquetas de Mar','id' => '356','slug' => 'roquetas-de-mar','latitude' => '36.7642742','longitude' => '-2.6149347'),
        array('province_id' => '4','town' => 'Santa Cruz de Marchena','id' => '357','slug' => 'santa-cruz-de-marchena','latitude' => '37.0172028','longitude' => '-2.6037676'),
        array('province_id' => '4','town' => 'Santa Fe de Mondújar','id' => '358','slug' => 'santa-fe-de-mondjar','latitude' => '36.9750609','longitude' => '-2.5302795'),
        array('province_id' => '4','town' => 'Senés','id' => '359','slug' => 'sens','latitude' => '37.2045712','longitude' => '-2.3475437'),
        array('province_id' => '4','town' => 'Serón','id' => '360','slug' => 'sern','latitude' => '37.3436139','longitude' => '-2.5080771'),
        array('province_id' => '4','town' => 'Sierro','id' => '361','slug' => 'sierro','latitude' => '37.3234824','longitude' => '-2.3985258'),
        array('province_id' => '4','town' => 'Somontín','id' => '362','slug' => 'somontn','latitude' => '37.3913919','longitude' => '-2.3891269'),
        array('province_id' => '4','town' => 'Sorbas','id' => '363','slug' => 'sorbas','latitude' => '37.0984074','longitude' => '-2.1263514'),
        array('province_id' => '4','town' => 'Suflí','id' => '364','slug' => 'sufl','latitude' => '37.3382011','longitude' => '-2.3895228'),
        array('province_id' => '4','town' => 'Tabernas','id' => '365','slug' => 'tabernas','latitude' => '37.0494467','longitude' => '-2.3926811'),
        array('province_id' => '4','town' => 'Taberno','id' => '366','slug' => 'taberno','latitude' => '37.4672901','longitude' => '-2.076205'),
        array('province_id' => '4','town' => 'Tahal','id' => '367','slug' => 'tahal','latitude' => '37.2280361','longitude' => '-2.2849704'),
        array('province_id' => '4','town' => 'Terque','id' => '368','slug' => 'terque','latitude' => '36.9835848','longitude' => '-2.5972332'),
        array('province_id' => '4','town' => 'Tíjola','id' => '369','slug' => 'tjola','latitude' => '37.3455072','longitude' => '-2.4394337'),
        array('province_id' => '4','town' => 'Tres Villas, Las','id' => '370','slug' => 'tres-villas-las','latitude' => '36.8400897','longitude' => '-2.3025253'),
        array('province_id' => '4','town' => 'Turre','id' => '371','slug' => 'turre','latitude' => '37.1522494','longitude' => '-1.8948989'),
        array('province_id' => '4','town' => 'Turrillas','id' => '372','slug' => 'turrillas','latitude' => '37.030185','longitude' => '-2.2640956'),
        array('province_id' => '4','town' => 'Uleila del Campo','id' => '373','slug' => 'uleila-del-campo','latitude' => '37.1854838','longitude' => '-2.2038011'),
        array('province_id' => '4','town' => 'Urrácal','id' => '374','slug' => 'urrcal','latitude' => '37.3973231','longitude' => '-2.3650704'),
        array('province_id' => '4','town' => 'Velefique','id' => '375','slug' => 'velefique','latitude' => '37.1937509','longitude' => '-2.4036872'),
        array('province_id' => '4','town' => 'Vélez-Blanco','id' => '376','slug' => 'vlez-blanco','latitude' => '37.6909521','longitude' => '-2.0956818'),
        array('province_id' => '4','town' => 'Vélez-Rubio','id' => '377','slug' => 'vlez-rubio','latitude' => '37.6480201','longitude' => '-2.0742319'),
        array('province_id' => '4','town' => 'Vera','id' => '378','slug' => 'vera','latitude' => '37.2468629','longitude' => '-1.8682384'),
        array('province_id' => '4','town' => 'Viator','id' => '379','slug' => 'viator','latitude' => '36.8896345','longitude' => '-2.4265414'),
        array('province_id' => '4','town' => 'Vícar','id' => '380','slug' => 'vcar','latitude' => '36.8314525','longitude' => '-2.6425154'),
        array('province_id' => '4','town' => 'Zurgena','id' => '381','slug' => 'zurgena','latitude' => '37.3426519','longitude' => '-2.0396074'),
        array('province_id' => '5','town' => 'Adanero','id' => '382','slug' => 'adanero','latitude' => '40.9459131','longitude' => '-4.6066595'),
        array('province_id' => '5','town' => 'Adrada, La','id' => '383','slug' => 'adrada-la','latitude' => '40.2993458','longitude' => '-4.6348565'),
        array('province_id' => '5','town' => 'Albornos','id' => '384','slug' => 'albornos','latitude' => '40.8384262','longitude' => '-4.8813555'),
        array('province_id' => '5','town' => 'Aldeanueva de Santa Cruz','id' => '385','slug' => 'aldeanueva-de-santa-cruz','latitude' => '40.381755','longitude' => '-5.4194347'),
        array('province_id' => '5','town' => 'Aldeaseca','id' => '386','slug' => 'aldeaseca','latitude' => '41.0495243','longitude' => '-4.8174333'),
        array('province_id' => '5','town' => 'Aldehuela, La','id' => '387','slug' => 'aldehuela-la','latitude' => '40.7945807','longitude' => '-4.7639387'),
        array('province_id' => '5','town' => 'Amavida','id' => '388','slug' => 'amavida','latitude' => '40.5733307','longitude' => '-5.0668538'),
        array('province_id' => '5','town' => 'Arenal, El','id' => '389','slug' => 'arenal-el','latitude' => '40.7057217','longitude' => '-4.7665865'),
        array('province_id' => '5','town' => 'Arenas de San Pedro','id' => '390','slug' => 'arenas-de-san-pedro','latitude' => '40.2087167','longitude' => '-5.0911407'),
        array('province_id' => '5','town' => 'Arevalillo','id' => '391','slug' => 'arevalillo','latitude' => '40.587307','longitude' => '-5.3705759'),
        array('province_id' => '5','town' => 'Arévalo','id' => '392','slug' => 'arvalo','latitude' => '41.0644278','longitude' => '-4.7216813'),
        array('province_id' => '5','town' => 'Aveinte','id' => '393','slug' => 'aveinte','latitude' => '40.7823694','longitude' => '-4.8373433'),
        array('province_id' => '5','town' => 'Avellaneda','id' => '394','slug' => 'avellaneda','latitude' => '40.3885628','longitude' => '-5.3880139'),
        array('province_id' => '5','town' => 'Ávila','id' => '395','slug' => 'vila','latitude' => '40.6564225','longitude' => '-4.7003224'),
        array('province_id' => '5','town' => 'Barco de Ávila, El','id' => '396','slug' => 'barco-de-vila-el','latitude' => '40.3571128','longitude' => '-5.5235212'),
        array('province_id' => '5','town' => 'Barraco, El','id' => '397','slug' => 'barraco-el','latitude' => '40.47881','longitude' => '-4.638284'),
        array('province_id' => '5','town' => 'Barromán','id' => '398','slug' => 'barromn','latitude' => '41.0650893','longitude' => '-4.9313915'),
        array('province_id' => '5','town' => 'Becedas','id' => '399','slug' => 'becedas','latitude' => '40.405034','longitude' => '-5.6348707'),
        array('province_id' => '5','town' => 'Becedillas','id' => '400','slug' => 'becedillas','latitude' => '40.5373428','longitude' => '-5.3249238'),
        array('province_id' => '5','town' => 'Bercial de Zapardiel','id' => '401','slug' => 'bercial-de-zapardiel','latitude' => '41.0464252','longitude' => '-4.9693014'),
        array('province_id' => '5','town' => 'Berlanas, Las','id' => '402','slug' => 'berlanas-las','latitude' => '40.8029874','longitude' => '-4.7606859'),
        array('province_id' => '5','town' => 'Bernuy-Zapardiel','id' => '403','slug' => 'bernuy-zapardiel','latitude' => '40.9759833','longitude' => '-4.9439452'),
        array('province_id' => '5','town' => 'Berrocalejo de Aragona','id' => '404','slug' => 'berrocalejo-de-aragona','latitude' => '40.6941571','longitude' => '-4.5943441'),
        array('province_id' => '5','town' => 'Blascomillán','id' => '405','slug' => 'blascomilln','latitude' => '40.8013844','longitude' => '-5.0886906'),
        array('province_id' => '5','town' => 'Blasconuño de Matacabras','id' => '406','slug' => 'blasconuo-de-matacabras','latitude' => '41.1233557','longitude' => '-4.9901951'),
        array('province_id' => '5','town' => 'Blascosancho','id' => '407','slug' => 'blascosancho','latitude' => '40.8778133','longitude' => '-4.6358792'),
        array('province_id' => '5','town' => 'Bohodón, El','id' => '408','slug' => 'bohodn-el','latitude' => '40.9163281','longitude' => '-4.7300675'),
        array('province_id' => '5','town' => 'Bohoyo','id' => '409','slug' => 'bohoyo','latitude' => '40.3149588','longitude' => '-5.4411855'),
        array('province_id' => '5','town' => 'Bonilla de la Sierra','id' => '410','slug' => 'bonilla-de-la-sierra','latitude' => '40.530886','longitude' => '-5.264956'),
        array('province_id' => '5','town' => 'Brabos','id' => '411','slug' => 'brabos','latitude' => '40.778471','longitude' => '-4.9378968'),
        array('province_id' => '5','town' => 'Bularros','id' => '412','slug' => 'bularros','latitude' => '40.724492','longitude' => '-4.8650468'),
        array('province_id' => '5','town' => 'Burgohondo','id' => '413','slug' => 'burgohondo','latitude' => '40.4136827','longitude' => '-4.7862151'),
        array('province_id' => '5','town' => 'Cabezas de Alambre','id' => '414','slug' => 'cabezas-de-alambre','latitude' => '40.9403531','longitude' => '-4.842426'),
        array('province_id' => '5','town' => 'Cabezas del Pozo','id' => '415','slug' => 'cabezas-del-pozo','latitude' => '41.0015348','longitude' => '-4.9557343'),
        array('province_id' => '5','town' => 'Cabezas del Villar','id' => '416','slug' => 'cabezas-del-villar','latitude' => '40.7152718','longitude' => '-5.2097552'),
        array('province_id' => '5','town' => 'Cabizuela','id' => '417','slug' => 'cabizuela','latitude' => '40.9010356','longitude' => '-4.800335'),
        array('province_id' => '5','town' => 'Canales','id' => '418','slug' => 'canales','latitude' => '41.0032767','longitude' => '-4.9003492'),
        array('province_id' => '5','town' => 'Candeleda','id' => '419','slug' => 'candeleda','latitude' => '40.1550945','longitude' => '-5.2397837'),
        array('province_id' => '5','town' => 'Cantiveros','id' => '420','slug' => 'cantiveros','latitude' => '40.952696','longitude' => '-4.954445'),
        array('province_id' => '5','town' => 'Cardeñosa','id' => '421','slug' => 'cardeosa','latitude' => '40.7417732','longitude' => '-4.7452625'),
        array('province_id' => '5','town' => 'Carrera, La','id' => '422','slug' => 'carrera-la','latitude' => '40.3476842','longitude' => '-5.5546241'),
        array('province_id' => '5','town' => 'Casas del Puerto','id' => '423','slug' => 'casas-del-puerto','latitude' => '40.5290601','longitude' => '-5.1981615'),
        array('province_id' => '5','town' => 'Casasola','id' => '424','slug' => 'casasola','latitude' => '40.6687364','longitude' => '-4.8267261'),
        array('province_id' => '5','town' => 'Casavieja','id' => '425','slug' => 'casavieja','latitude' => '40.281053','longitude' => '-4.7667787'),
        array('province_id' => '5','town' => 'Casillas','id' => '426','slug' => 'casillas','latitude' => '40.324284','longitude' => '-4.5723697'),
        array('province_id' => '5','town' => 'Castellanos de Zapardiel','id' => '427','slug' => 'castellanos-de-zapardiel','latitude' => '41.0852445','longitude' => '-4.9098036'),
        array('province_id' => '5','town' => 'Cebreros','id' => '428','slug' => 'cebreros','latitude' => '40.4550675','longitude' => '-4.4647141'),
        array('province_id' => '5','town' => 'Cepeda la Mora','id' => '429','slug' => 'cepeda-la-mora','latitude' => '40.4576065','longitude' => '-5.0481166'),
        array('province_id' => '5','town' => 'Chamartín','id' => '430','slug' => 'chamartn','latitude' => '40.7015581','longitude' => '-4.9581189'),
        array('province_id' => '5','town' => 'Cillán','id' => '431','slug' => 'cilln','latitude' => '40.7049781','longitude' => '-4.9782281'),
        array('province_id' => '5','town' => 'Cisla','id' => '432','slug' => 'cisla','latitude' => '40.9648471','longitude' => '-5.0121896'),
        array('province_id' => '5','town' => 'Colilla, La','id' => '433','slug' => 'colilla-la','latitude' => '40.6472985','longitude' => '-4.766521'),
        array('province_id' => '5','town' => 'Collado de Contreras','id' => '434','slug' => 'collado-de-contreras','latitude' => '40.8866537','longitude' => '-4.9278628'),
        array('province_id' => '5','town' => 'Collado del Mirón','id' => '435','slug' => 'collado-del-mirn','latitude' => '40.5527944','longitude' => '-5.353886'),
        array('province_id' => '5','town' => 'Constanzana','id' => '436','slug' => 'constanzana','latitude' => '40.9385372','longitude' => '-4.8743985'),
        array('province_id' => '5','town' => 'Crespos','id' => '437','slug' => 'crespos','latitude' => '40.873409','longitude' => '-4.9697282'),
        array('province_id' => '5','town' => 'Cuevas del Valle','id' => '438','slug' => 'cuevas-del-valle','latitude' => '40.2924377','longitude' => '-5.0105461'),
        array('province_id' => '5','town' => 'Diego del Carpio','id' => '439','slug' => 'diego-del-carpio','latitude' => '40.6625','longitude' => '-5.3408333'),
        array('province_id' => '5','town' => 'Donjimeno','id' => '440','slug' => 'donjimeno','latitude' => '40.9596609','longitude' => '-4.8450667'),
        array('province_id' => '5','town' => 'Donvidas','id' => '441','slug' => 'donvidas','latitude' => '41.0892166','longitude' => '-4.8079414'),
        array('province_id' => '5','town' => 'Espinosa de los Caballeros','id' => '442','slug' => 'espinosa-de-los-caballeros','latitude' => '41.0093476','longitude' => '-4.650817'),
        array('province_id' => '5','town' => 'Flores de Ávila','id' => '443','slug' => 'flores-de-vila','latitude' => '40.9346195','longitude' => '-5.0781518'),
        array('province_id' => '5','town' => 'Fontiveros','id' => '444','slug' => 'fontiveros','latitude' => '40.9305962','longitude' => '-4.9678856'),
        array('province_id' => '5','town' => 'Fresnedilla','id' => '445','slug' => 'fresnedilla','latitude' => '40.2315665','longitude' => '-4.6216873'),
        array('province_id' => '5','town' => 'Fresno, El','id' => '446','slug' => 'fresno-el','latitude' => '40.6514582','longitude' => '-4.6993967'),
        array('province_id' => '5','town' => 'Fuente el Saúz','id' => '447','slug' => 'fuente-el-saz','latitude' => '40.9790669','longitude' => '-4.9104583'),
        array('province_id' => '5','town' => 'Fuentes de Año','id' => '448','slug' => 'fuentes-de-ao','latitude' => '41.0174787','longitude' => '-4.8976138'),
        array('province_id' => '5','town' => 'Gallegos de Altamiros','id' => '449','slug' => 'gallegos-de-altamiros','latitude' => '40.7092919','longitude' => '-4.8991438'),
        array('province_id' => '5','town' => 'Gallegos de Sobrinos','id' => '450','slug' => 'gallegos-de-sobrinos','latitude' => '40.7163944','longitude' => '-5.1119024'),
        array('province_id' => '5','town' => 'Garganta del Villar','id' => '451','slug' => 'garganta-del-villar','latitude' => '40.4500698','longitude' => '-5.1055283'),
        array('province_id' => '5','town' => 'Gavilanes','id' => '452','slug' => 'gavilanes','latitude' => '40.2775146','longitude' => '-4.8511134'),
        array('province_id' => '5','town' => 'Gemuño','id' => '453','slug' => 'gemuo','latitude' => '40.5929068','longitude' => '-4.7820986'),
        array('province_id' => '5','town' => 'Gil García','id' => '454','slug' => 'gil-garca','latitude' => '40.2981686','longitude' => '-5.5933036'),
        array('province_id' => '5','town' => 'Gilbuena','id' => '455','slug' => 'gilbuena','latitude' => '40.4152216','longitude' => '-5.6053054'),
        array('province_id' => '5','town' => 'Gimialcón','id' => '456','slug' => 'gimialcn','latitude' => '40.8773117','longitude' => '-5.1223536'),
        array('province_id' => '5','town' => 'Gotarrendura','id' => '457','slug' => 'gotarrendura','latitude' => '40.8267449','longitude' => '-4.7392146'),
        array('province_id' => '5','town' => 'Grandes y San Martín','id' => '458','slug' => 'grandes-y-san-martn','latitude' => '40.7549762','longitude' => '-4.9578509'),
        array('province_id' => '5','town' => 'Guisando','id' => '459','slug' => 'guisando','latitude' => '40.2216662','longitude' => '-5.1397022'),
        array('province_id' => '5','town' => 'Gutierre-Muñoz','id' => '460','slug' => 'gutierre-muoz','latitude' => '40.9832521','longitude' => '-4.6385785'),
        array('province_id' => '5','town' => 'Hernansancho','id' => '461','slug' => 'hernansancho','latitude' => '40.857524','longitude' => '-4.7294242'),
        array('province_id' => '5','town' => 'Herradón de Pinares','id' => '462','slug' => 'herradn-de-pinares','latitude' => '40.5763889','longitude' => '-4.5313889'),
        array('province_id' => '5','town' => 'Herreros de Suso','id' => '463','slug' => 'herreros-de-suso','latitude' => '40.8019888','longitude' => '-5.0383018'),
        array('province_id' => '5','town' => 'Higuera de las Dueñas','id' => '464','slug' => 'higuera-de-las-dueas','latitude' => '40.2377491','longitude' => '-4.6012352'),
        array('province_id' => '5','town' => 'Hija de Dios, La','id' => '465','slug' => 'hija-de-dios-la','latitude' => '40.5314374','longitude' => '-4.9657493'),
        array('province_id' => '5','town' => 'Horcajada, La','id' => '466','slug' => 'horcajada-la','latitude' => '40.4374546','longitude' => '-5.4665825'),
        array('province_id' => '5','town' => 'Horcajo de las Torres','id' => '467','slug' => 'horcajo-de-las-torres','latitude' => '41.0650976','longitude' => '-5.0908047'),
        array('province_id' => '5','town' => 'Hornillo, El','id' => '468','slug' => 'hornillo-el','latitude' => '40.2496657','longitude' => '-5.1041749'),
        array('province_id' => '5','town' => 'Hoyo de Pinares, El','id' => '469','slug' => 'hoyo-de-pinares-el','latitude' => '40.5017555','longitude' => '-4.422359'),
        array('province_id' => '5','town' => 'Hoyocasero','id' => '470','slug' => 'hoyocasero','latitude' => '40.3988587','longitude' => '-4.9759033'),
        array('province_id' => '5','town' => 'Hoyorredondo','id' => '471','slug' => 'hoyorredondo','latitude' => '40.4621928','longitude' => '-5.4099755'),
        array('province_id' => '5','town' => 'Hoyos de Miguel Muñoz','id' => '472','slug' => 'hoyos-de-miguel-muoz','latitude' => '40.3928596','longitude' => '-5.0671201'),
        array('province_id' => '5','town' => 'Hoyos del Collado','id' => '473','slug' => 'hoyos-del-collado','latitude' => '40.3594154','longitude' => '-5.2011736'),
        array('province_id' => '5','town' => 'Hoyos del Espino','id' => '474','slug' => 'hoyos-del-espino','latitude' => '40.3572584','longitude' => '-5.1735251'),
        array('province_id' => '5','town' => 'Hurtumpascual','id' => '475','slug' => 'hurtumpascual','latitude' => '40.6920905','longitude' => '-5.1125074'),
        array('province_id' => '5','town' => 'Junciana','id' => '476','slug' => 'junciana','latitude' => '40.4101396','longitude' => '-5.5576742'),
        array('province_id' => '5','town' => 'Langa','id' => '477','slug' => 'langa','latitude' => '41.0077094','longitude' => '-4.8595196'),
        array('province_id' => '5','town' => 'Lanzahíta','id' => '478','slug' => 'lanzahta','latitude' => '40.2039831','longitude' => '-4.9371425'),
        array('province_id' => '5','town' => 'Llanos de Tormes, Los','id' => '479','slug' => 'llanos-de-tormes-los','latitude' => '40.8062137','longitude' => '-5.8092551'),
        array('province_id' => '5','town' => 'Losar del Barco, El','id' => '480','slug' => 'losar-del-barco-el','latitude' => '40.3923825','longitude' => '-5.5393155'),
        array('province_id' => '5','town' => 'Madrigal de las Altas Torres','id' => '481','slug' => 'madrigal-de-las-altas-torres','latitude' => '41.0894364','longitude' => '-4.9987674'),
        array('province_id' => '5','town' => 'Maello','id' => '482','slug' => 'maello','latitude' => '40.8111854','longitude' => '-4.5087995'),
        array('province_id' => '5','town' => 'Malpartida de Corneja','id' => '483','slug' => 'malpartida-de-corneja','latitude' => '40.5211315','longitude' => '-5.3512121'),
        array('province_id' => '5','town' => 'Mamblas','id' => '484','slug' => 'mamblas','latitude' => '41.0195331','longitude' => '-5.0112083'),
        array('province_id' => '5','town' => 'Mancera de Arriba','id' => '485','slug' => 'mancera-de-arriba','latitude' => '40.7910195','longitude' => '-5.1472076'),
        array('province_id' => '5','town' => 'Manjabálago','id' => '486','slug' => 'manjablago','latitude' => '40.664297','longitude' => '-5.0761665'),
        array('province_id' => '5','town' => 'Marlín','id' => '487','slug' => 'marln','latitude' => '40.7113709','longitude' => '-4.829782'),
        array('province_id' => '5','town' => 'Martiherrero','id' => '488','slug' => 'martiherrero','latitude' => '40.674123','longitude' => '-4.7817778'),
        array('province_id' => '5','town' => 'Martínez','id' => '489','slug' => 'martnez','latitude' => '40.6308589','longitude' => '-5.348361'),
        array('province_id' => '5','town' => 'Mediana de Voltoya','id' => '490','slug' => 'mediana-de-voltoya','latitude' => '40.700698','longitude' => '-4.5639188'),
        array('province_id' => '5','town' => 'Medinilla','id' => '491','slug' => 'medinilla','latitude' => '40.4393516','longitude' => '-5.6176247'),
        array('province_id' => '5','town' => 'Mengamuñoz','id' => '492','slug' => 'mengamuoz','latitude' => '40.5086314','longitude' => '-5.0053746'),
        array('province_id' => '5','town' => 'Mesegar de Corneja','id' => '493','slug' => 'mesegar-de-corneja','latitude' => '40.502713','longitude' => '-5.3014999'),
        array('province_id' => '5','town' => 'Mijares','id' => '494','slug' => 'mijares','latitude' => '40.2974689','longitude' => '-4.8366767'),
        array('province_id' => '5','town' => 'Mingorría','id' => '495','slug' => 'mingorra','latitude' => '40.7507177','longitude' => '-4.6654224'),
        array('province_id' => '5','town' => 'Mirón, El','id' => '496','slug' => 'mirn-el','latitude' => '40.5317895','longitude' => '-5.4052053'),
        array('province_id' => '5','town' => 'Mironcillo','id' => '497','slug' => 'mironcillo','latitude' => '40.5549742','longitude' => '-4.8255756'),
        array('province_id' => '5','town' => 'Mirueña de los Infanzones','id' => '498','slug' => 'miruea-de-los-infanzones','latitude' => '40.7374931','longitude' => '-5.0907128'),
        array('province_id' => '5','town' => 'Mombeltrán','id' => '499','slug' => 'mombeltrn','latitude' => '40.2599187','longitude' => '-5.0177696'),
        array('province_id' => '5','town' => 'Monsalupe','id' => '500','slug' => 'monsalupe','latitude' => '40.7686336','longitude' => '-4.7810259'),
        array('province_id' => '5','town' => 'Moraleja de Matacabras','id' => '501','slug' => 'moraleja-de-matacabras','latitude' => '41.1072136','longitude' => '-4.9573257'),
        array('province_id' => '5','town' => 'Muñana','id' => '502','slug' => 'muana','latitude' => '40.5905109','longitude' => '-5.0149779'),
        array('province_id' => '5','town' => 'Muñico','id' => '503','slug' => 'muico','latitude' => '40.7065677','longitude' => '-5.0266584'),
        array('province_id' => '5','town' => 'Muñogalindo','id' => '504','slug' => 'muogalindo','latitude' => '40.6027977','longitude' => '-4.9005464'),
        array('province_id' => '5','town' => 'Muñogrande','id' => '505','slug' => 'muogrande','latitude' => '40.821271','longitude' => '-4.9220522'),
        array('province_id' => '5','town' => 'Muñomer del Peco','id' => '506','slug' => 'muomer-del-peco','latitude' => '40.8585114','longitude' => '-4.8803849'),
        array('province_id' => '5','town' => 'Muñopepe','id' => '507','slug' => 'muopepe','latitude' => '40.6354643','longitude' => '-4.8182281'),
        array('province_id' => '5','town' => 'Muñosancho','id' => '508','slug' => 'muosancho','latitude' => '40.9218437','longitude' => '-5.0358934'),
        array('province_id' => '5','town' => 'Muñotello','id' => '509','slug' => 'muotello','latitude' => '40.5430204','longitude' => '-5.0407771'),
        array('province_id' => '5','town' => 'Narrillos del Álamo','id' => '510','slug' => 'narrillos-del-lamo','latitude' => '40.5669745','longitude' => '-5.4668619'),
        array('province_id' => '5','town' => 'Narrillos del Rebollar','id' => '511','slug' => 'narrillos-del-rebollar','latitude' => '40.6643339','longitude' => '-4.9647592'),
        array('province_id' => '5','town' => 'Narros de Saldueña','id' => '512','slug' => 'narros-de-salduea','latitude' => '40.8752387','longitude' => '-4.8695338'),
        array('province_id' => '5','town' => 'Narros del Castillo','id' => '513','slug' => 'narros-del-castillo','latitude' => '40.8588643','longitude' => '-5.0595973'),
        array('province_id' => '5','town' => 'Narros del Puerto','id' => '514','slug' => 'narros-del-puerto','latitude' => '40.5415764','longitude' => '-4.9919026'),
        array('province_id' => '5','town' => 'Nava de Arévalo','id' => '515','slug' => 'nava-de-arvalo','latitude' => '40.9784315','longitude' => '-4.7759881'),
        array('province_id' => '5','town' => 'Nava del Barco','id' => '516','slug' => 'nava-del-barco','latitude' => '40.2925187','longitude' => '-5.5402132'),
        array('province_id' => '5','town' => 'Navacepedilla de Corneja','id' => '517','slug' => 'navacepedilla-de-corneja','latitude' => '40.4859344','longitude' => '-5.1845127'),
        array('province_id' => '5','town' => 'Navadijos','id' => '518','slug' => 'navadijos','latitude' => '40.4256554','longitude' => '-5.0835603'),
        array('province_id' => '5','town' => 'Navaescurial','id' => '519','slug' => 'navaescurial','latitude' => '40.4719899','longitude' => '-5.2778378'),
        array('province_id' => '5','town' => 'Navahondilla','id' => '520','slug' => 'navahondilla','latitude' => '40.3264211','longitude' => '-4.4959552'),
        array('province_id' => '5','town' => 'Navalacruz','id' => '521','slug' => 'navalacruz','latitude' => '40.4401545','longitude' => '-4.9325148'),
        array('province_id' => '5','town' => 'Navalmoral','id' => '522','slug' => 'navalmoral','latitude' => '40.4596521','longitude' => '-4.7685993'),
        array('province_id' => '5','town' => 'Navalonguilla','id' => '523','slug' => 'navalonguilla','latitude' => '40.2782179','longitude' => '-5.501814'),
        array('province_id' => '5','town' => 'Navalosa','id' => '524','slug' => 'navalosa','latitude' => '40.4013439','longitude' => '-4.9314553'),
        array('province_id' => '5','town' => 'Navalperal de Pinares','id' => '525','slug' => 'navalperal-de-pinares','latitude' => '40.594535','longitude' => '-4.4108426'),
        array('province_id' => '5','town' => 'Navalperal de Tormes','id' => '526','slug' => 'navalperal-de-tormes','latitude' => '40.3528808','longitude' => '-5.3005562'),
        array('province_id' => '5','town' => 'Navaluenga','id' => '527','slug' => 'navaluenga','latitude' => '40.4109556','longitude' => '-4.7076855'),
        array('province_id' => '5','town' => 'Navaquesera','id' => '528','slug' => 'navaquesera','latitude' => '40.4250354','longitude' => '-4.908706'),
        array('province_id' => '5','town' => 'Navarredonda de Gredos','id' => '529','slug' => 'navarredonda-de-gredos','latitude' => '40.3623877','longitude' => '-5.1335201'),
        array('province_id' => '5','town' => 'Navarredondilla','id' => '530','slug' => 'navarredondilla','latitude' => '40.4534904','longitude' => '-4.821207'),
        array('province_id' => '5','town' => 'Navarrevisca','id' => '531','slug' => 'navarrevisca','latitude' => '40.3642581','longitude' => '-4.89544'),
        array('province_id' => '5','town' => 'Navas del Marqués, Las','id' => '532','slug' => 'navas-del-marqus-las','latitude' => '40.6031553','longitude' => '-4.3263365'),
        array('province_id' => '5','town' => 'Navatalgordo','id' => '533','slug' => 'navatalgordo','latitude' => '40.4155775','longitude' => '-4.872152'),
        array('province_id' => '5','town' => 'Navatejares','id' => '534','slug' => 'navatejares','latitude' => '40.3357086','longitude' => '-5.530873'),
        array('province_id' => '5','town' => 'Neila de San Miguel','id' => '535','slug' => 'neila-de-san-miguel','latitude' => '40.4236333','longitude' => '-5.6517337'),
        array('province_id' => '5','town' => 'Niharra','id' => '536','slug' => 'niharra','latitude' => '40.5893977','longitude' => '-4.8396909'),
        array('province_id' => '5','town' => 'Ojos-Albos','id' => '537','slug' => 'ojos-albos','latitude' => '40.7064803','longitude' => '-4.5164952'),
        array('province_id' => '5','town' => 'Orbita','id' => '538','slug' => 'orbita','latitude' => '40.998514','longitude' => '-4.6475003'),
        array('province_id' => '5','town' => 'Oso, El','id' => '539','slug' => 'oso-el','latitude' => '40.8416898','longitude' => '-4.770429'),
        array('province_id' => '5','town' => 'Padiernos','id' => '540','slug' => 'padiernos','latitude' => '40.621102','longitude' => '-4.8451234'),
        array('province_id' => '5','town' => 'Pajares de Adaja','id' => '541','slug' => 'pajares-de-adaja','latitude' => '40.9236506','longitude' => '-4.6404496'),
        array('province_id' => '5','town' => 'Palacios de Goda','id' => '542','slug' => 'palacios-de-goda','latitude' => '41.1171009','longitude' => '-4.7838605'),
        array('province_id' => '5','town' => 'Papatrigo','id' => '543','slug' => 'papatrigo','latitude' => '40.8678197','longitude' => '-4.8346766'),
        array('province_id' => '5','town' => 'Parral, El','id' => '544','slug' => 'parral-el','latitude' => '40.7972967','longitude' => '-4.9904408'),
        array('province_id' => '5','town' => 'Pascualcobo','id' => '545','slug' => 'pascualcobo','latitude' => '40.6569751','longitude' => '-5.2768843'),
        array('province_id' => '5','town' => 'Pedro Bernardo','id' => '546','slug' => 'pedro-bernardo','latitude' => '40.2428691','longitude' => '-4.9147649'),
        array('province_id' => '5','town' => 'Pedro-Rodríguez','id' => '547','slug' => 'pedro-rodrguez','latitude' => '40.9368388','longitude' => '-4.7848447'),
        array('province_id' => '5','town' => 'Peguerinos','id' => '548','slug' => 'peguerinos','latitude' => '40.6272848','longitude' => '-4.2327275'),
        array('province_id' => '5','town' => 'Peñalba de Ávila','id' => '549','slug' => 'pealba-de-vila','latitude' => '40.7717636','longitude' => '-4.7473592'),
        array('province_id' => '5','town' => 'Piedrahíta','id' => '550','slug' => 'piedrahta','latitude' => '40.4633952','longitude' => '-5.3281937'),
        array('province_id' => '5','town' => 'Piedralaves','id' => '551','slug' => 'piedralaves','latitude' => '40.3173548','longitude' => '-4.6980902'),
        array('province_id' => '5','town' => 'Poveda','id' => '552','slug' => 'poveda','latitude' => '40.5668978','longitude' => '-5.0796982'),
        array('province_id' => '5','town' => 'Poyales del Hoyo','id' => '553','slug' => 'poyales-del-hoyo','latitude' => '40.172895','longitude' => '-5.1662788'),
        array('province_id' => '5','town' => 'Pozanco','id' => '554','slug' => 'pozanco','latitude' => '40.8013955','longitude' => '-4.6671104'),
        array('province_id' => '5','town' => 'Pradosegar','id' => '555','slug' => 'pradosegar','latitude' => '40.5508284','longitude' => '-5.0712127'),
        array('province_id' => '5','town' => 'Puerto Castilla','id' => '556','slug' => 'puerto-castilla','latitude' => '40.2895346','longitude' => '-5.6299943'),
        array('province_id' => '5','town' => 'Rasueros','id' => '557','slug' => 'rasueros','latitude' => '41.0232059','longitude' => '-5.0743309'),
        array('province_id' => '5','town' => 'Riocabado','id' => '558','slug' => 'riocabado','latitude' => '40.8304426','longitude' => '-4.8036859'),
        array('province_id' => '5','town' => 'Riofrío','id' => '559','slug' => 'riofro','latitude' => '40.5472153','longitude' => '-4.7771517'),
        array('province_id' => '5','town' => 'Rivilla de Barajas','id' => '560','slug' => 'rivilla-de-barajas','latitude' => '40.9013015','longitude' => '-4.9879291'),
        array('province_id' => '5','town' => 'Salobral','id' => '561','slug' => 'salobral','latitude' => '40.6116521','longitude' => '-4.8110438'),
        array('province_id' => '5','town' => 'Salvadiós','id' => '562','slug' => 'salvadis','latitude' => '40.8769971','longitude' => '-5.0963653'),
        array('province_id' => '5','town' => 'San Bartolomé de Béjar','id' => '563','slug' => 'san-bartolom-de-bjar','latitude' => '40.4080804','longitude' => '-5.6628754'),
        array('province_id' => '5','town' => 'San Bartolomé de Corneja','id' => '564','slug' => 'san-bartolom-de-corneja','latitude' => '40.4929335','longitude' => '-5.3852339'),
        array('province_id' => '5','town' => 'San Bartolomé de Pinares','id' => '565','slug' => 'san-bartolom-de-pinares','latitude' => '40.5425107','longitude' => '-4.5396124'),
        array('province_id' => '5','town' => 'San Esteban de los Patos','id' => '566','slug' => 'san-esteban-de-los-patos','latitude' => '40.7458351','longitude' => '-4.6248893'),
        array('province_id' => '5','town' => 'San Esteban de Zapardiel','id' => '567','slug' => 'san-esteban-de-zapardiel','latitude' => '41.0929992','longitude' => '-4.9009509'),
        array('province_id' => '5','town' => 'San Esteban del Valle','id' => '568','slug' => 'san-esteban-del-valle','latitude' => '40.2753642','longitude' => '-4.9800856'),
        array('province_id' => '5','town' => 'San García de Ingelmos','id' => '569','slug' => 'san-garca-de-ingelmos','latitude' => '40.7696411','longitude' => '-5.1163219'),
        array('province_id' => '5','town' => 'San Juan de Gredos','id' => '570','slug' => 'san-juan-de-gredos','latitude' => '40.3638666','longitude' => '-5.2371087'),
        array('province_id' => '5','town' => 'San Juan de la Encinilla','id' => '571','slug' => 'san-juan-de-la-encinilla','latitude' => '40.8299731','longitude' => '-4.8384977'),
        array('province_id' => '5','town' => 'San Juan de la Nava','id' => '572','slug' => 'san-juan-de-la-nava','latitude' => '40.479026','longitude' => '-4.6821407'),
        array('province_id' => '5','town' => 'San Juan del Molinillo','id' => '573','slug' => 'san-juan-del-molinillo','latitude' => '40.4593764','longitude' => '-4.8182353'),
        array('province_id' => '5','town' => 'San Juan del Olmo','id' => '574','slug' => 'san-juan-del-olmo','latitude' => '40.6526975','longitude' => '-5.0497663'),
        array('province_id' => '5','town' => 'San Lorenzo de Tormes','id' => '575','slug' => 'san-lorenzo-de-tormes','latitude' => '40.3702492','longitude' => '-5.4881497'),
        array('province_id' => '5','town' => 'San Martín de la Vega del Alberche','id' => '576','slug' => 'san-martn-de-la-vega-del-alberche','latitude' => '40.4306216','longitude' => '-5.1567457'),
        array('province_id' => '5','town' => 'San Martín del Pimpollar','id' => '577','slug' => 'san-martn-del-pimpollar','latitude' => '40.3684842','longitude' => '-5.0556039'),
        array('province_id' => '5','town' => 'San Miguel de Corneja','id' => '578','slug' => 'san-miguel-de-corneja','latitude' => '40.4867968','longitude' => '-5.2874477'),
        array('province_id' => '5','town' => 'San Miguel de Serrezuela','id' => '579','slug' => 'san-miguel-de-serrezuela','latitude' => '40.6703835','longitude' => '-5.2874571'),
        array('province_id' => '5','town' => 'San Pascual','id' => '580','slug' => 'san-pascual','latitude' => '40.8822718','longitude' => '-4.756086'),
        array('province_id' => '5','town' => 'San Pedro del Arroyo','id' => '581','slug' => 'san-pedro-del-arroyo','latitude' => '40.8006895','longitude' => '-4.8708964'),
        array('province_id' => '5','town' => 'San Vicente de Arévalo','id' => '582','slug' => 'san-vicente-de-arvalo','latitude' => '40.9677042','longitude' => '-4.7999791'),
        array('province_id' => '5','town' => 'Sanchidrián','id' => '583','slug' => 'sanchidrin','latitude' => '40.8933782','longitude' => '-4.5812568'),
        array('province_id' => '5','town' => 'Sanchorreja','id' => '584','slug' => 'sanchorreja','latitude' => '40.6647919','longitude' => '-4.9153722'),
        array('province_id' => '5','town' => 'Santa Cruz de Pinares','id' => '585','slug' => 'santa-cruz-de-pinares','latitude' => '40.5418307','longitude' => '-4.5796298'),
        array('province_id' => '5','town' => 'Santa Cruz del Valle','id' => '586','slug' => 'santa-cruz-del-valle','latitude' => '40.2507822','longitude' => '-5.0036722'),
        array('province_id' => '5','town' => 'Santa María de los Caballeros','id' => '587','slug' => 'santa-mara-de-los-caballeros','latitude' => '40.3887763','longitude' => '-5.4516958'),
        array('province_id' => '5','town' => 'Santa María del Arroyo','id' => '588','slug' => 'santa-mara-del-arroyo','latitude' => '40.599442','longitude' => '-4.9222579'),
        array('province_id' => '5','town' => 'Santa María del Berrocal','id' => '589','slug' => 'santa-mara-del-berrocal','latitude' => '40.5095404','longitude' => '-5.4062225'),
        array('province_id' => '5','town' => 'Santa María del Cubillo','id' => '590','slug' => 'santa-mara-del-cubillo','latitude' => '40.7425','longitude' => '-4.4722222'),
        array('province_id' => '5','town' => 'Santa María del Tiétar','id' => '591','slug' => 'santa-mara-del-titar','latitude' => '40.3038881','longitude' => '-4.5555256'),
        array('province_id' => '5','town' => 'Santiago del Collado','id' => '592','slug' => 'santiago-del-collado','latitude' => '40.4335637','longitude' => '-5.3565582'),
        array('province_id' => '5','town' => 'Santiago del Tormes','id' => '593','slug' => 'santiago-del-tormes','latitude' => '40.3666667','longitude' => '-5.3666667'),
        array('province_id' => '5','town' => 'Santo Domingo de las Posadas','id' => '594','slug' => 'santo-domingo-de-las-posadas','latitude' => '40.8121818','longitude' => '-4.6334214'),
        array('province_id' => '5','town' => 'Santo Tomé de Zabarcos','id' => '595','slug' => 'santo-tom-de-zabarcos','latitude' => '40.7866372','longitude' => '-4.9102153'),
        array('province_id' => '5','town' => 'Serrada, La','id' => '596','slug' => 'serrada-la','latitude' => '40.6313229','longitude' => '-4.7922976'),
        array('province_id' => '5','town' => 'Serranillos','id' => '597','slug' => 'serranillos','latitude' => '40.3359367','longitude' => '-4.9114972'),
        array('province_id' => '5','town' => 'Sigeres','id' => '598','slug' => 'sigeres','latitude' => '40.7993911','longitude' => '-4.9325758'),
        array('province_id' => '5','town' => 'Sinlabajos','id' => '599','slug' => 'sinlabajos','latitude' => '41.077269','longitude' => '-4.831933'),
        array('province_id' => '5','town' => 'Solana de Ávila','id' => '600','slug' => 'solana-de-vila','latitude' => '40.314649','longitude' => '-5.6157009'),
        array('province_id' => '5','town' => 'Solana de Rioalmar','id' => '601','slug' => 'solana-de-rioalmar','latitude' => '40.737243','longitude' => '-5.0106776'),
        array('province_id' => '5','town' => 'Solosancho','id' => '602','slug' => 'solosancho','latitude' => '40.5536258','longitude' => '-4.9061353'),
        array('province_id' => '5','town' => 'Sotalbo','id' => '603','slug' => 'sotalbo','latitude' => '40.5415063','longitude' => '-4.8492289'),
        array('province_id' => '5','town' => 'Sotillo de la Adrada','id' => '604','slug' => 'sotillo-de-la-adrada','latitude' => '40.2940433','longitude' => '-4.5856471'),
        array('province_id' => '5','town' => 'Tiemblo, El','id' => '605','slug' => 'tiemblo-el','latitude' => '40.6511298','longitude' => '-4.6987782'),
        array('province_id' => '5','town' => 'Tiñosillos','id' => '606','slug' => 'tiosillos','latitude' => '40.9340765','longitude' => '-4.7274805'),
        array('province_id' => '5','town' => 'Tolbaños','id' => '607','slug' => 'tolbaos','latitude' => '40.7509859','longitude' => '-4.5813737'),
        array('province_id' => '5','town' => 'Tormellas','id' => '608','slug' => 'tormellas','latitude' => '40.3043183','longitude' => '-5.5115476'),
        array('province_id' => '5','town' => 'Tornadizos de Ávila','id' => '609','slug' => 'tornadizos-de-vila','latitude' => '40.6261396','longitude' => '-4.615232'),
        array('province_id' => '5','town' => 'Torre, La','id' => '610','slug' => 'torre-la','latitude' => '40.652218','longitude' => '-4.6851168'),
        array('province_id' => '5','town' => 'Tórtoles','id' => '611','slug' => 'trtoles','latitude' => '40.5609003','longitude' => '-5.261655'),
        array('province_id' => '5','town' => 'Umbrías','id' => '612','slug' => 'umbras','latitude' => '40.312979','longitude' => '-5.5780327'),
        array('province_id' => '5','town' => 'Vadillo de la Sierra','id' => '613','slug' => 'vadillo-de-la-sierra','latitude' => '40.6050586','longitude' => '-5.1220066'),
        array('province_id' => '5','town' => 'Valdecasa','id' => '614','slug' => 'valdecasa','latitude' => '40.6595483','longitude' => '-5.0126681'),
        array('province_id' => '5','town' => 'Vega de Santa María','id' => '615','slug' => 'vega-de-santa-mara','latitude' => '40.8359374','longitude' => '-4.6418303'),
        array('province_id' => '5','town' => 'Velayos','id' => '616','slug' => 'velayos','latitude' => '40.8409371','longitude' => '-4.6222404'),
        array('province_id' => '5','town' => 'Villaflor','id' => '617','slug' => 'villaflor','latitude' => '40.7583992','longitude' => '-4.8741159'),
        array('province_id' => '5','town' => 'Villafranca de la Sierra','id' => '618','slug' => 'villafranca-de-la-sierra','latitude' => '40.4977296','longitude' => '-5.2307292'),
        array('province_id' => '5','town' => 'Villanueva de Ávila','id' => '619','slug' => 'villanueva-de-vila','latitude' => '40.3795926','longitude' => '-4.8219849'),
        array('province_id' => '5','town' => 'Villanueva de Gómez','id' => '620','slug' => 'villanueva-de-gmez','latitude' => '40.8837884','longitude' => '-4.7152013'),
        array('province_id' => '5','town' => 'Villanueva del Aceral','id' => '621','slug' => 'villanueva-del-aceral','latitude' => '41.0413185','longitude' => '-4.8523521'),
        array('province_id' => '5','town' => 'Villanueva del Campillo','id' => '622','slug' => 'villanueva-del-campillo','latitude' => '40.5782522','longitude' => '-5.1798637'),
        array('province_id' => '5','town' => 'Villar de Corneja','id' => '623','slug' => 'villar-de-corneja','latitude' => '40.4747804','longitude' => '-5.4325097'),
        array('province_id' => '5','town' => 'Villarejo del Valle','id' => '624','slug' => 'villarejo-del-valle','latitude' => '40.2859389','longitude' => '-4.9976647'),
        array('province_id' => '5','town' => 'Villatoro','id' => '625','slug' => 'villatoro','latitude' => '40.5561563','longitude' => '-5.1112816'),
        array('province_id' => '5','town' => 'Viñegra de Moraña','id' => '626','slug' => 'viegra-de-moraa','latitude' => '40.8493106','longitude' => '-4.9221536'),
        array('province_id' => '5','town' => 'Vita','id' => '627','slug' => 'vita','latitude' => '40.8117864','longitude' => '-5.0051406'),
        array('province_id' => '5','town' => 'Zapardiel de la Cañada','id' => '628','slug' => 'zapardiel-de-la-caada','latitude' => '40.6059264','longitude' => '-5.3400814'),
        array('province_id' => '5','town' => 'Zapardiel de la Ribera','id' => '629','slug' => 'zapardiel-de-la-ribera','latitude' => '40.3557508','longitude' => '-5.3286418'),
        array('province_id' => '6','town' => 'Acedera','id' => '630','slug' => 'acedera','latitude' => '39.0766048','longitude' => '-5.5722789'),
        array('province_id' => '6','town' => 'Aceuchal','id' => '631','slug' => 'aceuchal','latitude' => '38.6470601','longitude' => '-6.4871794'),
        array('province_id' => '6','town' => 'Ahillones','id' => '632','slug' => 'ahillones','latitude' => '38.2623483','longitude' => '-5.8619717'),
        array('province_id' => '6','town' => 'Alange','id' => '633','slug' => 'alange','latitude' => '38.7870782','longitude' => '-6.2434929'),
        array('province_id' => '6','town' => 'Albuera, La','id' => '634','slug' => 'albuera-la','latitude' => '38.7161206','longitude' => '-6.8222613'),
        array('province_id' => '6','town' => 'Alburquerque','id' => '635','slug' => 'alburquerque','latitude' => '39.2193551','longitude' => '-7.0013168'),
        array('province_id' => '6','town' => 'Alconchel','id' => '636','slug' => 'alconchel','latitude' => '38.5166814','longitude' => '-7.0708715'),
        array('province_id' => '6','town' => 'Alconera','id' => '637','slug' => 'alconera','latitude' => '38.3964686','longitude' => '-6.4768811'),
        array('province_id' => '6','town' => 'Aljucén','id' => '638','slug' => 'aljucn','latitude' => '39.0459123','longitude' => '-6.3316604'),
        array('province_id' => '6','town' => 'Almendral','id' => '639','slug' => 'almendral','latitude' => '38.6132728','longitude' => '-6.8222945'),
        array('province_id' => '6','town' => 'Almendralejo','id' => '640','slug' => 'almendralejo','latitude' => '38.6898248','longitude' => '-6.405679'),
        array('province_id' => '6','town' => 'Arroyo de San Serván','id' => '641','slug' => 'arroyo-de-san-servn','latitude' => '38.8528605','longitude' => '-6.4552079'),
        array('province_id' => '6','town' => 'Atalaya','id' => '642','slug' => 'atalaya','latitude' => '38.3358988','longitude' => '-6.4727728'),
        array('province_id' => '6','town' => 'Azuaga','id' => '643','slug' => 'azuaga','latitude' => '38.2596239','longitude' => '-5.6779162'),
        array('province_id' => '6','town' => 'Badajoz','id' => '644','slug' => 'badajoz','latitude' => '38.8785967','longitude' => '-6.9702834'),
        array('province_id' => '6','town' => 'Barcarrota','id' => '645','slug' => 'barcarrota','latitude' => '38.5144132','longitude' => '-6.8490417'),
        array('province_id' => '6','town' => 'Baterno','id' => '646','slug' => 'baterno','latitude' => '38.9563262','longitude' => '-4.9114554'),
        array('province_id' => '6','town' => 'Benquerencia de la Serena','id' => '647','slug' => 'benquerencia-de-la-serena','latitude' => '38.6991684','longitude' => '-5.4944199'),
        array('province_id' => '6','town' => 'Berlanga','id' => '648','slug' => 'berlanga','latitude' => '38.2827241','longitude' => '-5.8291814'),
        array('province_id' => '6','town' => 'Bienvenida','id' => '649','slug' => 'bienvenida','latitude' => '38.2982794','longitude' => '-6.2105504'),
        array('province_id' => '6','town' => 'Bodonal de la Sierra','id' => '650','slug' => 'bodonal-de-la-sierra','latitude' => '38.1478986','longitude' => '-6.5600874'),
        array('province_id' => '6','town' => 'Burguillos del Cerro','id' => '651','slug' => 'burguillos-del-cerro','latitude' => '38.3784834','longitude' => '-6.5893019'),
        array('province_id' => '6','town' => 'Cabeza del Buey','id' => '652','slug' => 'cabeza-del-buey','latitude' => '38.7212337','longitude' => '-5.2194649'),
        array('province_id' => '6','town' => 'Cabeza la Vaca','id' => '653','slug' => 'cabeza-la-vaca','latitude' => '38.0868716','longitude' => '-6.4225674'),
        array('province_id' => '6','town' => 'Calamonte','id' => '654','slug' => 'calamonte','latitude' => '38.8899846','longitude' => '-6.3850288'),
        array('province_id' => '6','town' => 'Calera de León','id' => '655','slug' => 'calera-de-len','latitude' => '38.1071173','longitude' => '-6.3367936'),
        array('province_id' => '6','town' => 'Calzadilla de los Barros','id' => '656','slug' => 'calzadilla-de-los-barros','latitude' => '38.3000225','longitude' => '-6.3167634'),
        array('province_id' => '6','town' => 'Campanario','id' => '657','slug' => 'campanario','latitude' => '38.8633456','longitude' => '-5.6177943'),
        array('province_id' => '6','town' => 'Campillo de Llerena','id' => '658','slug' => 'campillo-de-llerena','latitude' => '38.5002303','longitude' => '-5.8311326'),
        array('province_id' => '6','town' => 'Capilla','id' => '659','slug' => 'capilla','latitude' => '38.8204551','longitude' => '-5.0842799'),
        array('province_id' => '6','town' => 'Carmonita','id' => '660','slug' => 'carmonita','latitude' => '39.153891','longitude' => '-6.3385205'),
        array('province_id' => '6','town' => 'Carrascalejo, El','id' => '661','slug' => 'carrascalejo-el','latitude' => '39.0225948','longitude' => '-6.3371113'),
        array('province_id' => '6','town' => 'Casas de Don Pedro','id' => '662','slug' => 'casas-de-don-pedro','latitude' => '39.1056343','longitude' => '-5.3286347'),
        array('province_id' => '6','town' => 'Casas de Reina','id' => '663','slug' => 'casas-de-reina','latitude' => '38.2017293','longitude' => '-5.9697791'),
        array('province_id' => '6','town' => 'Castilblanco','id' => '664','slug' => 'castilblanco','latitude' => '39.2822901','longitude' => '-5.0909996'),
        array('province_id' => '6','town' => 'Castuera','id' => '665','slug' => 'castuera','latitude' => '38.7225721','longitude' => '-5.5455168'),
        array('province_id' => '6','town' => 'Cheles','id' => '666','slug' => 'cheles','latitude' => '38.5124723','longitude' => '-7.2811781'),
        array('province_id' => '6','town' => 'Codosera, La','id' => '667','slug' => 'codosera-la','latitude' => '39.2066701','longitude' => '-7.1690031'),
        array('province_id' => '6','town' => 'Cordobilla de Lácara','id' => '668','slug' => 'cordobilla-de-lcara','latitude' => '39.1481312','longitude' => '-6.4364372'),
        array('province_id' => '6','town' => 'Coronada, La','id' => '669','slug' => 'coronada-la','latitude' => '38.8880097','longitude' => '-6.9820456'),
        array('province_id' => '6','town' => 'Corte de Peleas','id' => '670','slug' => 'corte-de-peleas','latitude' => '38.7250393','longitude' => '-6.6709206'),
        array('province_id' => '6','town' => 'Cristina','id' => '671','slug' => 'cristina','latitude' => '38.8370295','longitude' => '-6.1003076'),
        array('province_id' => '6','town' => 'Don Álvaro','id' => '672','slug' => 'don-lvaro','latitude' => '38.8488707','longitude' => '-6.2751458'),
        array('province_id' => '6','town' => 'Don Benito','id' => '673','slug' => 'don-benito','latitude' => '38.9543028','longitude' => '-5.8617516'),
        array('province_id' => '6','town' => 'Entrín Bajo','id' => '674','slug' => 'entrn-bajo','latitude' => '38.7184494','longitude' => '-6.7133963'),
        array('province_id' => '6','town' => 'Esparragalejo','id' => '675','slug' => 'esparragalejo','latitude' => '38.9422503','longitude' => '-6.439241'),
        array('province_id' => '6','town' => 'Esparragosa de la Serena','id' => '676','slug' => 'esparragosa-de-la-serena','latitude' => '38.6494962','longitude' => '-5.6070085'),
        array('province_id' => '6','town' => 'Esparragosa de Lares','id' => '677','slug' => 'esparragosa-de-lares','latitude' => '38.975082','longitude' => '-5.270102'),
        array('province_id' => '6','town' => 'Feria','id' => '678','slug' => 'feria','latitude' => '38.5119681','longitude' => '-6.5643404'),
        array('province_id' => '6','town' => 'Fregenal de la Sierra','id' => '679','slug' => 'fregenal-de-la-sierra','latitude' => '38.1647577','longitude' => '-6.651353'),
        array('province_id' => '6','town' => 'Fuenlabrada de los Montes','id' => '680','slug' => 'fuenlabrada-de-los-montes','latitude' => '39.1312824','longitude' => '-4.9355971'),
        array('province_id' => '6','town' => 'Fuente de Cantos','id' => '681','slug' => 'fuente-de-cantos','latitude' => '38.246614','longitude' => '-6.3092314'),
        array('province_id' => '6','town' => 'Fuente del Arco','id' => '682','slug' => 'fuente-del-arco','latitude' => '38.152025','longitude' => '-5.8965643'),
        array('province_id' => '6','town' => 'Fuente del Maestre','id' => '683','slug' => 'fuente-del-maestre','latitude' => '38.528628','longitude' => '-6.4498483'),
        array('province_id' => '6','town' => 'Fuentes de León','id' => '684','slug' => 'fuentes-de-len','latitude' => '38.0680884','longitude' => '-6.5386145'),
        array('province_id' => '6','town' => 'Garbayuela','id' => '685','slug' => 'garbayuela','latitude' => '39.04953','longitude' => '-5.0005642'),
        array('province_id' => '6','town' => 'Garlitos','id' => '686','slug' => 'garlitos','latitude' => '38.879666','longitude' => '-5.0480501'),
        array('province_id' => '6','town' => 'Garrovilla, La','id' => '687','slug' => 'garrovilla-la','latitude' => '38.9212229','longitude' => '-6.4759528'),
        array('province_id' => '6','town' => 'Granja de Torrehermosa','id' => '688','slug' => 'granja-de-torrehermosa','latitude' => '38.3106662','longitude' => '-5.5976057'),
        array('province_id' => '6','town' => 'Guareña','id' => '689','slug' => 'guarea','latitude' => '38.8604734','longitude' => '-6.1046373'),
        array('province_id' => '6','town' => 'Haba, La','id' => '690','slug' => 'haba-la','latitude' => '38.9176339','longitude' => '-5.8011095'),
        array('province_id' => '6','town' => 'Helechosa de los Montes','id' => '691','slug' => 'helechosa-de-los-montes','latitude' => '39.3113755','longitude' => '-4.9092134'),
        array('province_id' => '6','town' => 'Herrera del Duque','id' => '692','slug' => 'herrera-del-duque','latitude' => '39.1689163','longitude' => '-5.0513127'),
        array('province_id' => '6','town' => 'Higuera de la Serena','id' => '693','slug' => 'higuera-de-la-serena','latitude' => '38.6463424','longitude' => '-5.7410745'),
        array('province_id' => '6','town' => 'Higuera de Llerena','id' => '694','slug' => 'higuera-de-llerena','latitude' => '38.3767516','longitude' => '-5.9995524'),
        array('province_id' => '6','town' => 'Higuera de Vargas','id' => '695','slug' => 'higuera-de-vargas','latitude' => '38.4458725','longitude' => '-6.9738975'),
        array('province_id' => '6','town' => 'Higuera la Real','id' => '696','slug' => 'higuera-la-real','latitude' => '38.1410792','longitude' => '-6.6897433'),
        array('province_id' => '6','town' => 'Hinojosa del Valle','id' => '697','slug' => 'hinojosa-del-valle','latitude' => '38.4833777','longitude' => '-6.1845575'),
        array('province_id' => '6','town' => 'Hornachos','id' => '698','slug' => 'hornachos','latitude' => '38.5551062','longitude' => '-6.0696693'),
        array('province_id' => '6','town' => 'Jerez de los Caballeros','id' => '699','slug' => 'jerez-de-los-caballeros','latitude' => '38.3193456','longitude' => '-6.7710066'),
        array('province_id' => '6','town' => 'Lapa, La','id' => '700','slug' => 'lapa-la','latitude' => '38.4534834','longitude' => '-6.5221623'),
        array('province_id' => '6','town' => 'Llera','id' => '701','slug' => 'llera','latitude' => '38.4481431','longitude' => '-6.0571961'),
        array('province_id' => '6','town' => 'Llerena','id' => '702','slug' => 'llerena','latitude' => '38.2376876','longitude' => '-6.0153293'),
        array('province_id' => '6','town' => 'Lobón','id' => '703','slug' => 'lobn','latitude' => '38.8475232','longitude' => '-6.625467'),
        array('province_id' => '6','town' => 'Magacela','id' => '704','slug' => 'magacela','latitude' => '38.895865','longitude' => '-5.7341097'),
        array('province_id' => '6','town' => 'Maguilla','id' => '705','slug' => 'maguilla','latitude' => '38.3665812','longitude' => '-5.8370147'),
        array('province_id' => '6','town' => 'Malcocinado','id' => '706','slug' => 'malcocinado','latitude' => '38.1218652','longitude' => '-5.6931443'),
        array('province_id' => '6','town' => 'Malpartida de la Serena','id' => '707','slug' => 'malpartida-de-la-serena','latitude' => '38.6744182','longitude' => '-5.6408068'),
        array('province_id' => '6','town' => 'Manchita','id' => '708','slug' => 'manchita','latitude' => '38.8149884','longitude' => '-6.022654'),
        array('province_id' => '6','town' => 'Medellín','id' => '709','slug' => 'medelln','latitude' => '38.9630227','longitude' => '-5.9577065'),
        array('province_id' => '6','town' => 'Medina de las Torres','id' => '710','slug' => 'medina-de-las-torres','latitude' => '38.3433883','longitude' => '-6.411753'),
        array('province_id' => '6','town' => 'Mengabril','id' => '711','slug' => 'mengabril','latitude' => '38.936165','longitude' => '-5.9330551'),
        array('province_id' => '6','town' => 'Mérida','id' => '712','slug' => 'mrida','latitude' => '38.9158586','longitude' => '-6.3456061'),
        array('province_id' => '6','town' => 'Mirandilla','id' => '713','slug' => 'mirandilla','latitude' => '39.0017015','longitude' => '-6.2898641'),
        array('province_id' => '6','town' => 'Monesterio','id' => '714','slug' => 'monesterio','latitude' => '38.0867796','longitude' => '-6.2742936'),
        array('province_id' => '6','town' => 'Montemolín','id' => '715','slug' => 'montemoln','latitude' => '38.1551228','longitude' => '-6.214543'),
        array('province_id' => '6','town' => 'Monterrubio de la Serena','id' => '716','slug' => 'monterrubio-de-la-serena','latitude' => '38.5892014','longitude' => '-5.4434852'),
        array('province_id' => '6','town' => 'Montijo','id' => '717','slug' => 'montijo','latitude' => '38.9099477','longitude' => '-6.6173331'),
        array('province_id' => '6','town' => 'Morera, La','id' => '718','slug' => 'morera-la','latitude' => '38.8823309','longitude' => '-6.9839922'),
        array('province_id' => '6','town' => 'Nava de Santiago, La','id' => '719','slug' => 'nava-de-santiago-la','latitude' => '39.0627727','longitude' => '-6.50497'),
        array('province_id' => '6','town' => 'Navalvillar de Pela','id' => '720','slug' => 'navalvillar-de-pela','latitude' => '39.0906445','longitude' => '-5.4691711'),
        array('province_id' => '6','town' => 'Nogales','id' => '721','slug' => 'nogales','latitude' => '38.5865782','longitude' => '-6.7490227'),
        array('province_id' => '6','town' => 'Oliva de la Frontera','id' => '722','slug' => 'oliva-de-la-frontera','latitude' => '38.2760613','longitude' => '-6.9199202'),
        array('province_id' => '6','town' => 'Oliva de Mérida','id' => '723','slug' => 'oliva-de-mrida','latitude' => '38.791734','longitude' => '-6.1267228'),
        array('province_id' => '6','town' => 'Olivenza','id' => '724','slug' => 'olivenza','latitude' => '38.6816461','longitude' => '-7.1015159'),
        array('province_id' => '6','town' => 'Orellana de la Sierra','id' => '725','slug' => 'orellana-de-la-sierra','latitude' => '39.0304845','longitude' => '-5.4975433'),
        array('province_id' => '6','town' => 'Orellana la Vieja','id' => '726','slug' => 'orellana-la-vieja','latitude' => '39.0050506','longitude' => '-5.5342736'),
        array('province_id' => '6','town' => 'Palomas','id' => '727','slug' => 'palomas','latitude' => '38.6921602','longitude' => '-6.1341561'),
        array('province_id' => '6','town' => 'Parra, La','id' => '728','slug' => 'parra-la','latitude' => '38.5214975','longitude' => '-6.6244'),
        array('province_id' => '6','town' => 'Peñalsordo','id' => '729','slug' => 'pealsordo','latitude' => '38.8191795','longitude' => '-5.1141062'),
        array('province_id' => '6','town' => 'Peraleda del Zaucejo','id' => '730','slug' => 'peraleda-del-zaucejo','latitude' => '38.4741584','longitude' => '-5.5656808'),
        array('province_id' => '6','town' => 'Puebla de Alcocer','id' => '731','slug' => 'puebla-de-alcocer','latitude' => '38.9852092','longitude' => '-5.2579386'),
        array('province_id' => '6','town' => 'Puebla de la Calzada','id' => '732','slug' => 'puebla-de-la-calzada','latitude' => '38.8942923','longitude' => '-6.6245582'),
        array('province_id' => '6','town' => 'Puebla de la Reina','id' => '733','slug' => 'puebla-de-la-reina','latitude' => '38.6639434','longitude' => '-6.1038109'),
        array('province_id' => '6','town' => 'Puebla de Obando','id' => '734','slug' => 'puebla-de-obando','latitude' => '39.1771679','longitude' => '-6.6286193'),
        array('province_id' => '6','town' => 'Puebla de Sancho Pérez','id' => '735','slug' => 'puebla-de-sancho-prez','latitude' => '38.397648','longitude' => '-6.3999275'),
        array('province_id' => '6','town' => 'Puebla del Maestre','id' => '736','slug' => 'puebla-del-maestre','latitude' => '38.0845572','longitude' => '-6.0795701'),
        array('province_id' => '6','town' => 'Puebla del Prior','id' => '737','slug' => 'puebla-del-prior','latitude' => '38.5708952','longitude' => '-6.1973523'),
        array('province_id' => '6','town' => 'Pueblonuevo del Guadiana','id' => '738','slug' => 'pueblonuevo-del-guadiana','latitude' => '38.923089','longitude' => '-6.7556043'),
        array('province_id' => '6','town' => 'Quintana de la Serena','id' => '739','slug' => 'quintana-de-la-serena','latitude' => '38.7416301','longitude' => '-5.6723155'),
        array('province_id' => '6','town' => 'Reina','id' => '740','slug' => 'reina','latitude' => '38.187457','longitude' => '-5.9495326'),
        array('province_id' => '6','town' => 'Rena','id' => '741','slug' => 'rena','latitude' => '39.0531783','longitude' => '-5.8085525'),
        array('province_id' => '6','town' => 'Retamal de Llerena','id' => '742','slug' => 'retamal-de-llerena','latitude' => '38.5778785','longitude' => '-5.8381773'),
        array('province_id' => '6','town' => 'Ribera del Fresno','id' => '743','slug' => 'ribera-del-fresno','latitude' => '38.5523599','longitude' => '-6.2415873'),
        array('province_id' => '6','town' => 'Risco','id' => '744','slug' => 'risco','latitude' => '38.9104099','longitude' => '-5.1230305'),
        array('province_id' => '6','town' => 'Roca de la Sierra, La','id' => '745','slug' => 'roca-de-la-sierra-la','latitude' => '39.1099706','longitude' => '-6.6899355'),
        array('province_id' => '6','town' => 'Salvaleón','id' => '746','slug' => 'salvalen','latitude' => '38.5098578','longitude' => '-6.7863555'),
        array('province_id' => '6','town' => 'Salvatierra de los Barros','id' => '747','slug' => 'salvatierra-de-los-barros','latitude' => '38.4907779','longitude' => '-6.685156'),
        array('province_id' => '6','town' => 'San Pedro de Mérida','id' => '748','slug' => 'san-pedro-de-mrida','latitude' => '38.9479795','longitude' => '-6.1863016'),
        array('province_id' => '6','town' => 'San Vicente de Alcántara','id' => '749','slug' => 'san-vicente-de-alcntara','latitude' => '39.3604563','longitude' => '-7.1369506'),
        array('province_id' => '6','town' => 'Sancti-Spíritus','id' => '750','slug' => 'sancti-spritus','latitude' => '38.9246666','longitude' => '-5.1459501'),
        array('province_id' => '6','town' => 'Santa Amalia','id' => '751','slug' => 'santa-amalia','latitude' => '39.0120907','longitude' => '-6.0115499'),
        array('province_id' => '6','town' => 'Santa Marta','id' => '752','slug' => 'santa-marta','latitude' => '38.6123742','longitude' => '-6.629105'),
        array('province_id' => '6','town' => 'Santos de Maimona, Los','id' => '753','slug' => 'santos-de-maimona-los','latitude' => '38.4489756','longitude' => '-6.3839595'),
        array('province_id' => '6','town' => 'Segura de León','id' => '754','slug' => 'segura-de-len','latitude' => '38.1210382','longitude' => '-6.5285322'),
        array('province_id' => '6','town' => 'Siruela','id' => '755','slug' => 'siruela','latitude' => '38.9776711','longitude' => '-5.0517023'),
        array('province_id' => '6','town' => 'Solana de los Barros','id' => '756','slug' => 'solana-de-los-barros','latitude' => '38.7262897','longitude' => '-6.538014'),
        array('province_id' => '6','town' => 'Talarrubias','id' => '757','slug' => 'talarrubias','latitude' => '39.0332798','longitude' => '-5.2360561'),
        array('province_id' => '6','town' => 'Talavera la Real','id' => '758','slug' => 'talavera-la-real','latitude' => '38.8785967','longitude' => '-6.9702834'),
        array('province_id' => '6','town' => 'Táliga','id' => '759','slug' => 'tliga','latitude' => '38.5270919','longitude' => '-7.0146422'),
        array('province_id' => '6','town' => 'Tamurejo','id' => '760','slug' => 'tamurejo','latitude' => '38.9911454','longitude' => '-4.9477596'),
        array('province_id' => '6','town' => 'Torre de Miguel Sesmero','id' => '761','slug' => 'torre-de-miguel-sesmero','latitude' => '38.6189557','longitude' => '-6.7960331'),
        array('province_id' => '6','town' => 'Torremayor','id' => '762','slug' => 'torremayor','latitude' => '38.9037194','longitude' => '-6.5363319'),
        array('province_id' => '6','town' => 'Torremejía','id' => '763','slug' => 'torremeja','latitude' => '38.7896505','longitude' => '-6.3816717'),
        array('province_id' => '6','town' => 'Trasierra','id' => '764','slug' => 'trasierra','latitude' => '38.1910651','longitude' => '-5.9954803'),
        array('province_id' => '6','town' => 'Trujillanos','id' => '765','slug' => 'trujillanos','latitude' => '38.9515946','longitude' => '-6.2596391'),
        array('province_id' => '6','town' => 'Usagre','id' => '766','slug' => 'usagre','latitude' => '38.3571858','longitude' => '-6.1643739'),
        array('province_id' => '6','town' => 'Valdecaballeros','id' => '767','slug' => 'valdecaballeros','latitude' => '39.2457859','longitude' => '-5.1919574'),
        array('province_id' => '6','town' => 'Valdelacalzada','id' => '768','slug' => 'valdelacalzada','latitude' => '38.8898456','longitude' => '-6.7013886'),
        array('province_id' => '6','town' => 'Valdetorres','id' => '769','slug' => 'valdetorres','latitude' => '38.9156801','longitude' => '-6.0686815'),
        array('province_id' => '6','town' => 'Valencia de las Torres','id' => '770','slug' => 'valencia-de-las-torres','latitude' => '38.4050033','longitude' => '-6.0037822'),
        array('province_id' => '6','town' => 'Valencia del Mombuey','id' => '771','slug' => 'valencia-del-mombuey','latitude' => '38.2425598','longitude' => '-7.1196434'),
        array('province_id' => '6','town' => 'Valencia del Ventoso','id' => '772','slug' => 'valencia-del-ventoso','latitude' => '38.2649979','longitude' => '-6.4746133'),
        array('province_id' => '6','town' => 'Valle de la Serena','id' => '773','slug' => 'valle-de-la-serena','latitude' => '38.7006211','longitude' => '-5.7996493'),
        array('province_id' => '6','town' => 'Valle de Matamoros','id' => '774','slug' => 'valle-de-matamoros','latitude' => '38.3795991','longitude' => '-6.8028886'),
        array('province_id' => '6','town' => 'Valle de Santa Ana','id' => '775','slug' => 'valle-de-santa-ana','latitude' => '38.3652777','longitude' => '-6.7880026'),
        array('province_id' => '6','town' => 'Valverde de Burguillos','id' => '776','slug' => 'valverde-de-burguillos','latitude' => '38.327128','longitude' => '-6.537829'),
        array('province_id' => '6','town' => 'Valverde de Leganés','id' => '777','slug' => 'valverde-de-legans','latitude' => '38.6724072','longitude' => '-6.9819105'),
        array('province_id' => '6','town' => 'Valverde de Llerena','id' => '778','slug' => 'valverde-de-llerena','latitude' => '38.2137564','longitude' => '-5.8220835'),
        array('province_id' => '6','town' => 'Valverde de Mérida','id' => '779','slug' => 'valverde-de-mrida','latitude' => '38.9117614','longitude' => '-6.2216049'),
        array('province_id' => '6','town' => 'Villafranca de los Barros','id' => '780','slug' => 'villafranca-de-los-barros','latitude' => '38.5623014','longitude' => '-6.3378315'),
        array('province_id' => '6','town' => 'Villagarcía de la Torre','id' => '781','slug' => 'villagarca-de-la-torre','latitude' => '38.2938724','longitude' => '-6.0805687'),
        array('province_id' => '6','town' => 'Villagonzalo','id' => '782','slug' => 'villagonzalo','latitude' => '38.8630855','longitude' => '-6.1969412'),
        array('province_id' => '6','town' => 'Villalba de los Barros','id' => '783','slug' => 'villalba-de-los-barros','latitude' => '38.6129134','longitude' => '-6.509777'),
        array('province_id' => '6','town' => 'Villanueva de la Serena','id' => '784','slug' => 'villanueva-de-la-serena','latitude' => '38.9739883','longitude' => '-5.8003017'),
        array('province_id' => '6','town' => 'Villanueva del Fresno','id' => '785','slug' => 'villanueva-del-fresno','latitude' => '38.3759716','longitude' => '-7.1689925'),
        array('province_id' => '6','town' => 'Villar de Rena','id' => '786','slug' => 'villar-de-rena','latitude' => '39.0766913','longitude' => '-5.8117789'),
        array('province_id' => '6','town' => 'Villar del Rey','id' => '787','slug' => 'villar-del-rey','latitude' => '39.1323927','longitude' => '-6.8477959'),
        array('province_id' => '6','town' => 'Villarta de los Montes','id' => '788','slug' => 'villarta-de-los-montes','latitude' => '39.2138418','longitude' => '-4.7921944'),
        array('province_id' => '6','town' => 'Zafra','id' => '789','slug' => 'zafra','latitude' => '38.4257962','longitude' => '-6.4164459'),
        array('province_id' => '6','town' => 'Zahínos','id' => '790','slug' => 'zahnos','latitude' => '38.3301661','longitude' => '-6.9550324'),
        array('province_id' => '6','town' => 'Zalamea de la Serena','id' => '791','slug' => 'zalamea-de-la-serena','latitude' => '38.64977','longitude' => '-5.6569669'),
        array('province_id' => '6','town' => 'Zarza, La','id' => '792','slug' => 'zarza-la','latitude' => '38.8180648','longitude' => '-6.2179135'),
        array('province_id' => '6','town' => 'Zarza-Capilla','id' => '793','slug' => 'zarza-capilla','latitude' => '38.8004688','longitude' => '-5.1694436'),
        array('province_id' => '7','town' => 'Alaior','id' => '794','slug' => 'alaior','latitude' => '39.9306395','longitude' => '4.1399868'),
        array('province_id' => '7','town' => 'Alaró','id' => '795','slug' => 'alar','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Alcúdia','id' => '796','slug' => 'alcdia','latitude' => '39.8406038','longitude' => '3.1385657'),
        array('province_id' => '7','town' => 'Algaida','id' => '797','slug' => 'algaida','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Andratx','id' => '798','slug' => 'andratx','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Ariany','id' => '799','slug' => 'ariany','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Artà','id' => '800','slug' => 'art','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Banyalbufar','id' => '801','slug' => 'banyalbufar','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Binissalem','id' => '802','slug' => 'binissalem','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Búger','id' => '803','slug' => 'bger','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Bunyola','id' => '804','slug' => 'bunyola','latitude' => '39.6353004','longitude' => '2.6507938'),
        array('province_id' => '7','town' => 'Calvià','id' => '805','slug' => 'calvi','latitude' => '39.5273277','longitude' => '2.5078768'),
        array('province_id' => '7','town' => 'Campanet','id' => '806','slug' => 'campanet','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Campos','id' => '807','slug' => 'campos','latitude' => '39.4345718','longitude' => '3.0134139'),
        array('province_id' => '7','town' => 'Capdepera','id' => '808','slug' => 'capdepera','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Castell, Es','id' => '809','slug' => 'castell-es','latitude' => '40.6607183','longitude' => '0.0428758'),
        array('province_id' => '7','town' => 'Ciutadella de Menorca','id' => '810','slug' => 'ciutadella-de-menorca','latitude' => '39.9929705','longitude' => '3.8374849'),
        array('province_id' => '7','town' => 'Consell','id' => '811','slug' => 'consell','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Costitx','id' => '812','slug' => 'costitx','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Deyá','id' => '813','slug' => 'dey','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Eivissa','id' => '814','slug' => 'eivissa','latitude' => '38.908967','longitude' => '1.4246295'),
        array('province_id' => '7','town' => 'Escorca','id' => '815','slug' => 'escorca','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Esporles','id' => '816','slug' => 'esporles','latitude' => '39.6353004','longitude' => '2.6507938'),
        array('province_id' => '7','town' => 'Estellencs','id' => '817','slug' => 'estellencs','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Felanitx','id' => '818','slug' => 'felanitx','latitude' => '39.417014','longitude' => '3.2588559'),
        array('province_id' => '7','town' => 'Ferreries','id' => '819','slug' => 'ferreries','latitude' => '39.9829394','longitude' => '4.0093704'),
        array('province_id' => '7','town' => 'Formentera','id' => '820','slug' => 'formentera','latitude' => '38.7287759','longitude' => '1.4192438'),
        array('province_id' => '7','town' => 'Fornalutx','id' => '821','slug' => 'fornalutx','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Inca','id' => '822','slug' => 'inca','latitude' => '39.7222978','longitude' => '2.9132192'),
        array('province_id' => '7','town' => 'Lloret de Vistalegre','id' => '823','slug' => 'lloret-de-vistalegre','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Lloseta','id' => '824','slug' => 'lloseta','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Llubí','id' => '825','slug' => 'llub','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Llucmajor','id' => '826','slug' => 'llucmajor','latitude' => '39.5002959','longitude' => '2.7543332'),
        array('province_id' => '7','town' => 'Manacor','id' => '827','slug' => 'manacor','latitude' => '39.4570235','longitude' => '3.26165'),
        array('province_id' => '7','town' => 'Mancor de la Vall','id' => '828','slug' => 'mancor-de-la-vall','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Maó','id' => '829','slug' => 'ma','latitude' => '40.016822','longitude' => '4.2105918'),
        array('province_id' => '7','town' => 'Maria de la Salut','id' => '830','slug' => 'maria-de-la-salut','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Marratxí','id' => '831','slug' => 'marratx','latitude' => '39.6074936','longitude' => '2.7078269'),
        array('province_id' => '7','town' => 'Mercadal, Es','id' => '832','slug' => 'mercadal-es','latitude' => '40.0159987','longitude' => '4.1885807'),
        array('province_id' => '7','town' => 'Migjorn Gran, Es','id' => '833','slug' => 'migjorn-gran-es','latitude' => '39.9829394','longitude' => '4.0093704'),
        array('province_id' => '7','town' => 'Montuïri','id' => '834','slug' => 'monturi','latitude' => '39.5164365','longitude' => '3.0190872'),
        array('province_id' => '7','town' => 'Muro','id' => '835','slug' => 'muro','latitude' => '39.7657707','longitude' => '3.153515'),
        array('province_id' => '7','town' => 'Palma','id' => '836','slug' => 'palma','latitude' => '39.5719201','longitude' => '2.6165625'),
        array('province_id' => '7','town' => 'Petra','id' => '837','slug' => 'petra','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Pobla, Sa','id' => '838','slug' => 'pobla-sa','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Pollença','id' => '839','slug' => 'pollena','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Porreres','id' => '840','slug' => 'porreres','latitude' => '39.5164365','longitude' => '3.0190872'),
        array('province_id' => '7','town' => 'Puigpunyent','id' => '841','slug' => 'puigpunyent','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Salines, Ses','id' => '842','slug' => 'salines-ses','latitude' => '38.9415369','longitude' => '1.2928587'),
        array('province_id' => '7','town' => 'Sant Antoni de Portmany','id' => '843','slug' => 'sant-antoni-de-portmany','latitude' => '38.9415369','longitude' => '1.2928587'),
        array('province_id' => '7','town' => 'Sant Joan','id' => '844','slug' => 'sant-joan','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Sant Joan de Labritja','id' => '845','slug' => 'sant-joan-de-labritja','latitude' => '39.0778475','longitude' => '1.5122696'),
        array('province_id' => '7','town' => 'Sant Josep de sa Talaia','id' => '846','slug' => 'sant-josep-de-sa-talaia','latitude' => '38.9415369','longitude' => '1.2928587'),
        array('province_id' => '7','town' => 'Sant Llorenç des Cardassar','id' => '847','slug' => 'sant-lloren-des-cardassar','latitude' => '39.6097024','longitude' => '3.284272'),
        array('province_id' => '7','town' => 'Sant Lluís','id' => '848','slug' => 'sant-llus','latitude' => '39.8526647','longitude' => '4.2593942'),
        array('province_id' => '7','town' => 'Santa Eugènia','id' => '849','slug' => 'santa-eugnia','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Santa Eulalia del Río','id' => '850','slug' => 'santa-eulalia-del-ro','latitude' => '38.908967','longitude' => '1.4246295'),
        array('province_id' => '7','town' => 'Santa Margalida','id' => '851','slug' => 'santa-margalida','latitude' => '39.7657707','longitude' => '3.153515'),
        array('province_id' => '7','town' => 'Santa María del Camí','id' => '852','slug' => 'santa-mara-del-cam','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Santanyí','id' => '853','slug' => 'santany','latitude' => '39.3292032','longitude' => '3.169684'),
        array('province_id' => '7','town' => 'Selva','id' => '854','slug' => 'selva','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Sencelles','id' => '855','slug' => 'sencelles','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Sineu','id' => '856','slug' => 'sineu','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Sóller','id' => '857','slug' => 'sller','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Son Servera','id' => '858','slug' => 'son-servera','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '7','town' => 'Valldemossa','id' => '859','slug' => 'valldemossa','latitude' => '39.6353004','longitude' => '2.6507938'),
        array('province_id' => '7','town' => 'Vilafranca de Bonany','id' => '860','slug' => 'vilafranca-de-bonany','latitude' => '39.6952629','longitude' => '3.0175712'),
        array('province_id' => '8','town' => 'Abrera','id' => '861','slug' => 'abrera','latitude' => '41.5160856','longitude' => '1.9021424'),
        array('province_id' => '8','town' => 'Aguilar de Segarra','id' => '862','slug' => 'aguilar-de-segarra','latitude' => '41.7397615','longitude' => '1.6293852'),
        array('province_id' => '8','town' => 'Aiguafreda','id' => '863','slug' => 'aiguafreda','latitude' => '41.7688352','longitude' => '2.2502611'),
        array('province_id' => '8','town' => 'Alella','id' => '864','slug' => 'alella','latitude' => '41.4939555','longitude' => '2.295461'),
        array('province_id' => '8','town' => 'Alpens','id' => '865','slug' => 'alpens','latitude' => '42.1201015','longitude' => '2.1013627'),
        array('province_id' => '8','town' => 'Ametlla del Vallès, L\'','id' => '866','slug' => 'ametlla-del-valls-l','latitude' => '41.6697592','longitude' => '2.261185'),
        array('province_id' => '8','town' => 'Arenys de Mar','id' => '867','slug' => 'arenys-de-mar','latitude' => '41.579445','longitude' => '2.5514795'),
        array('province_id' => '8','town' => 'Arenys de Munt','id' => '868','slug' => 'arenys-de-munt','latitude' => '41.6102603','longitude' => '2.5413762'),
        array('province_id' => '8','town' => 'Argençola','id' => '869','slug' => 'argenola','latitude' => '41.5996648','longitude' => '1.4434103'),
        array('province_id' => '8','town' => 'Argentona','id' => '870','slug' => 'argentona','latitude' => '41.5555506','longitude' => '2.4005645'),
        array('province_id' => '8','town' => 'Artés','id' => '871','slug' => 'arts','latitude' => '41.798389','longitude' => '1.9547259'),
        array('province_id' => '8','town' => 'Avià','id' => '872','slug' => 'avi','latitude' => '42.0774121','longitude' => '1.8253078'),
        array('province_id' => '8','town' => 'Avinyó','id' => '873','slug' => 'aviny','latitude' => '41.8620966','longitude' => '1.9719407'),
        array('province_id' => '8','town' => 'Avinyonet del Penedès','id' => '874','slug' => 'avinyonet-del-peneds','latitude' => '41.360604','longitude' => '1.776485'),
        array('province_id' => '8','town' => 'Badalona','id' => '875','slug' => 'badalona','latitude' => '41.450137','longitude' => '2.2474195'),
        array('province_id' => '8','town' => 'Badia del Vallès','id' => '876','slug' => 'badia-del-valls','latitude' => '41.5087033','longitude' => '2.1148642'),
        array('province_id' => '8','town' => 'Bagà','id' => '877','slug' => 'bag','latitude' => '42.2518827','longitude' => '1.8633638'),
        array('province_id' => '8','town' => 'Balenyà','id' => '878','slug' => 'baleny','latitude' => '41.8163889','longitude' => '2.2363889'),
        array('province_id' => '8','town' => 'Balsareny','id' => '879','slug' => 'balsareny','latitude' => '41.86267','longitude' => '1.8733858'),
        array('province_id' => '8','town' => 'Barberà del Vallès','id' => '880','slug' => 'barber-del-valls','latitude' => '41.5159611','longitude' => '2.1247233'),
        array('province_id' => '8','town' => 'Barcelona','id' => '881','slug' => 'barcelona','latitude' => '41.387917','longitude' => '2.1699187'),
        array('province_id' => '8','town' => 'Begues','id' => '882','slug' => 'begues','latitude' => '41.3310099','longitude' => '1.9219869'),
        array('province_id' => '8','town' => 'Bellprat','id' => '883','slug' => 'bellprat','latitude' => '41.5172494','longitude' => '1.4334585'),
        array('province_id' => '8','town' => 'Berga','id' => '884','slug' => 'berga','latitude' => '42.1014409','longitude' => '1.8437996'),
        array('province_id' => '8','town' => 'Bigues i Riells','id' => '885','slug' => 'bigues-i-riells','latitude' => '41.6773292','longitude' => '2.2235273'),
        array('province_id' => '8','town' => 'Borredà','id' => '886','slug' => 'borred','latitude' => '42.1354085','longitude' => '1.9937535'),
        array('province_id' => '8','town' => 'Bruc, El','id' => '887','slug' => 'bruc-el','latitude' => '41.3941612','longitude' => '2.1697712'),
        array('province_id' => '8','town' => 'Brull, El','id' => '888','slug' => 'brull-el','latitude' => '41.8167689','longitude' => '2.305493'),
        array('province_id' => '8','town' => 'Cabanyes, Les','id' => '889','slug' => 'cabanyes-les','latitude' => '41.3728896','longitude' => '2.164754'),
        array('province_id' => '8','town' => 'Cabrera d\'Anoia','id' => '890','slug' => 'cabrera-danoia','latitude' => '41.4794444','longitude' => '1.7047222'),
        array('province_id' => '8','town' => 'Cabrera de Mar','id' => '891','slug' => 'cabrera-de-mar','latitude' => '41.5262336','longitude' => '2.3935324'),
        array('province_id' => '8','town' => 'Cabrils','id' => '892','slug' => 'cabrils','latitude' => '41.5255257','longitude' => '2.3686452'),
        array('province_id' => '8','town' => 'Calaf','id' => '893','slug' => 'calaf','latitude' => '41.7334187','longitude' => '1.5134983'),
        array('province_id' => '8','town' => 'Calders','id' => '894','slug' => 'calders','latitude' => '41.7922652','longitude' => '1.996567'),
        array('province_id' => '8','town' => 'Caldes de Montbui','id' => '895','slug' => 'caldes-de-montbui','latitude' => '41.6297554','longitude' => '2.1659222'),
        array('province_id' => '8','town' => 'Caldes d\'Estrac','id' => '896','slug' => 'caldes-destrac','latitude' => '41.569457','longitude' => '2.5263181'),
        array('province_id' => '8','town' => 'Calella','id' => '897','slug' => 'calella','latitude' => '41.613405','longitude' => '2.6573645'),
        array('province_id' => '8','town' => 'Calldetenes','id' => '898','slug' => 'calldetenes','latitude' => '41.9252254','longitude' => '2.2837921'),
        array('province_id' => '8','town' => 'Callús','id' => '899','slug' => 'calls','latitude' => '41.7810889','longitude' => '1.7840075'),
        array('province_id' => '8','town' => 'Calonge de Segarra','id' => '900','slug' => 'calonge-de-segarra','latitude' => '41.7636269','longitude' => '1.4822492'),
        array('province_id' => '8','town' => 'Campins','id' => '901','slug' => 'campins','latitude' => '41.7253797','longitude' => '2.4641721'),
        array('province_id' => '8','town' => 'Canet de Mar','id' => '902','slug' => 'canet-de-mar','latitude' => '41.5889651','longitude' => '2.5819239'),
        array('province_id' => '8','town' => 'Canovelles','id' => '903','slug' => 'canovelles','latitude' => '41.6158215','longitude' => '2.2834556'),
        array('province_id' => '8','town' => 'Cànoves i Samalús','id' => '904','slug' => 'cnoves-i-samals','latitude' => '41.6938443','longitude' => '2.3538418'),
        array('province_id' => '8','town' => 'Canyelles','id' => '905','slug' => 'canyelles','latitude' => '41.287075','longitude' => '1.7215691'),
        array('province_id' => '8','town' => 'Capellades','id' => '906','slug' => 'capellades','latitude' => '41.5307542','longitude' => '1.6796126'),
        array('province_id' => '8','town' => 'Capolat','id' => '907','slug' => 'capolat','latitude' => '42.0771325','longitude' => '1.7525649'),
        array('province_id' => '8','town' => 'Cardedeu','id' => '908','slug' => 'cardedeu','latitude' => '41.6381571','longitude' => '2.3544922'),
        array('province_id' => '8','town' => 'Cardona','id' => '909','slug' => 'cardona','latitude' => '41.9139171','longitude' => '1.6813476'),
        array('province_id' => '8','town' => 'Carme','id' => '910','slug' => 'carme','latitude' => '41.5312599','longitude' => '1.6234864'),
        array('province_id' => '8','town' => 'Casserres','id' => '911','slug' => 'casserres','latitude' => '42.012335','longitude' => '1.8458337'),
        array('province_id' => '8','town' => 'Castell de l\'Areny','id' => '912','slug' => 'castell-de-lareny','latitude' => '42.1731838','longitude' => '1.9457532'),
        array('province_id' => '8','town' => 'Castellar de n\'Hug','id' => '913','slug' => 'castellar-de-nhug','latitude' => '42.2832573','longitude' => '2.016574'),
        array('province_id' => '8','town' => 'Castellar del Riu','id' => '914','slug' => 'castellar-del-riu','latitude' => '42.122838','longitude' => '1.772439'),
        array('province_id' => '8','town' => 'Castellar del Vallès','id' => '915','slug' => 'castellar-del-valls','latitude' => '41.6161765','longitude' => '2.0856496'),
        array('province_id' => '8','town' => 'Castellbell i el Vilar','id' => '916','slug' => 'castellbell-i-el-vilar','latitude' => '41.6338889','longitude' => '1.8638889'),
        array('province_id' => '8','town' => 'Castellbisbal','id' => '917','slug' => 'castellbisbal','latitude' => '41.4746738','longitude' => '1.9814068'),
        array('province_id' => '8','town' => 'Castellcir','id' => '918','slug' => 'castellcir','latitude' => '41.7604333','longitude' => '2.1486782'),
        array('province_id' => '8','town' => 'Castelldefels','id' => '919','slug' => 'castelldefels','latitude' => '41.2803885','longitude' => '1.9767745'),
        array('province_id' => '8','town' => 'Castellet i la Gornal','id' => '920','slug' => 'castellet-i-la-gornal','latitude' => '41.2539133','longitude' => '1.5924776'),
        array('province_id' => '8','town' => 'Castellfollit de Riubregós','id' => '921','slug' => 'castellfollit-de-riubregs','latitude' => '41.7759477','longitude' => '1.4378334'),
        array('province_id' => '8','town' => 'Castellfollit del Boix','id' => '922','slug' => 'castellfollit-del-boix','latitude' => '41.6657884','longitude' => '1.6847265'),
        array('province_id' => '8','town' => 'Castellgalí','id' => '923','slug' => 'castellgal','latitude' => '41.6745067','longitude' => '1.8395978'),
        array('province_id' => '8','town' => 'Castellnou de Bages','id' => '924','slug' => 'castellnou-de-bages','latitude' => '41.8353271','longitude' => '1.8373825'),
        array('province_id' => '8','town' => 'Castellolí','id' => '925','slug' => 'castellol','latitude' => '41.5989631','longitude' => '1.7007737'),
        array('province_id' => '8','town' => 'Castellterçol','id' => '926','slug' => 'castellterol','latitude' => '41.7478739','longitude' => '2.1230902'),
        array('province_id' => '8','town' => 'Castellví de la Marca','id' => '927','slug' => 'castellv-de-la-marca','latitude' => '41.332422','longitude' => '1.594271'),
        array('province_id' => '8','town' => 'Castellví de Rosanes','id' => '928','slug' => 'castellv-de-rosanes','latitude' => '41.4503685','longitude' => '1.899479'),
        array('province_id' => '8','town' => 'Centelles','id' => '929','slug' => 'centelles','latitude' => '41.7965934','longitude' => '2.221327'),
        array('province_id' => '8','town' => 'Cercs','id' => '930','slug' => 'cercs','latitude' => '42.1516832','longitude' => '1.856175'),
        array('province_id' => '8','town' => 'Cerdanyola del Vallès','id' => '931','slug' => 'cerdanyola-del-valls','latitude' => '41.4913697','longitude' => '2.1407688'),
        array('province_id' => '8','town' => 'Cervelló','id' => '932','slug' => 'cervell','latitude' => '41.3961517','longitude' => '1.9576207'),
        array('province_id' => '8','town' => 'Collbató','id' => '933','slug' => 'collbat','latitude' => '41.566387','longitude' => '1.8301359'),
        array('province_id' => '8','town' => 'Collsuspina','id' => '934','slug' => 'collsuspina','latitude' => '41.8278737','longitude' => '2.1754785'),
        array('province_id' => '8','town' => 'Copons','id' => '935','slug' => 'copons','latitude' => '41.6366609','longitude' => '1.5176419'),
        array('province_id' => '8','town' => 'Corbera de Llobregat','id' => '936','slug' => 'corbera-de-llobregat','latitude' => '41.4176412','longitude' => '1.9328273'),
        array('province_id' => '8','town' => 'Cornellà de Llobregat','id' => '937','slug' => 'cornell-de-llobregat','latitude' => '41.3556129','longitude' => '2.0704325'),
        array('province_id' => '8','town' => 'Cubelles','id' => '938','slug' => 'cubelles','latitude' => '41.2083457','longitude' => '1.6728252'),
        array('province_id' => '8','town' => 'Dosrius','id' => '939','slug' => 'dosrius','latitude' => '41.5948187','longitude' => '2.4053859'),
        array('province_id' => '8','town' => 'Esparreguera','id' => '940','slug' => 'esparreguera','latitude' => '41.5388887','longitude' => '1.8706916'),
        array('province_id' => '8','town' => 'Esplugues de Llobregat','id' => '941','slug' => 'esplugues-de-llobregat','latitude' => '41.3775143','longitude' => '2.0880846'),
        array('province_id' => '8','town' => 'Espunyola, L\'','id' => '942','slug' => 'espunyola-l','latitude' => '42.0522182','longitude' => '1.7732401'),
        array('province_id' => '8','town' => 'Estany, L\'','id' => '943','slug' => 'estany-l','latitude' => '41.868577','longitude' => '2.1134993'),
        array('province_id' => '8','town' => 'Figaró-Montmany','id' => '944','slug' => 'figar-montmany','latitude' => '41.7216907','longitude' => '2.2731136'),
        array('province_id' => '8','town' => 'Fígols','id' => '945','slug' => 'fgols','latitude' => '42.180901','longitude' => '1.8360817'),
        array('province_id' => '8','town' => 'Fogars de la Selva','id' => '946','slug' => 'fogars-de-la-selva','latitude' => '41.7253879','longitude' => '2.6735662'),
        array('province_id' => '8','town' => 'Fogars de Montclús','id' => '947','slug' => 'fogars-de-montcls','latitude' => '41.728611','longitude' => '2.444444'),
        array('province_id' => '8','town' => 'Folgueroles','id' => '948','slug' => 'folgueroles','latitude' => '41.9381307','longitude' => '2.3179602'),
        array('province_id' => '8','town' => 'Fonollosa','id' => '949','slug' => 'fonollosa','latitude' => '41.7656564','longitude' => '1.6690174'),
        array('province_id' => '8','town' => 'Font-rubí','id' => '950','slug' => 'font-rub','latitude' => '41.4342282','longitude' => '1.5914083'),
        array('province_id' => '8','town' => 'Franqueses del Vallès, Les','id' => '951','slug' => 'franqueses-del-valls-les','latitude' => '41.6188889','longitude' => '2.2980556'),
        array('province_id' => '8','town' => 'Gaià','id' => '952','slug' => 'gai','latitude' => '41.9172265','longitude' => '1.9248899'),
        array('province_id' => '8','town' => 'Gallifa','id' => '953','slug' => 'gallifa','latitude' => '41.6932453','longitude' => '2.1152685'),
        array('province_id' => '8','town' => 'Garriga, La','id' => '954','slug' => 'garriga-la','latitude' => '41.683199','longitude' => '2.2859957'),
        array('province_id' => '8','town' => 'Gavà','id' => '955','slug' => 'gav','latitude' => '41.3031677','longitude' => '2.0032133'),
        array('province_id' => '8','town' => 'Gelida','id' => '956','slug' => 'gelida','latitude' => '41.4404736','longitude' => '1.862745'),
        array('province_id' => '8','town' => 'Gironella','id' => '957','slug' => 'gironella','latitude' => '42.0336341','longitude' => '1.8824998'),
        array('province_id' => '8','town' => 'Gisclareny','id' => '958','slug' => 'gisclareny','latitude' => '42.2501535','longitude' => '1.7865609'),
        array('province_id' => '8','town' => 'Granada, La','id' => '959','slug' => 'granada-la','latitude' => '41.4002762','longitude' => '2.1956198'),
        array('province_id' => '8','town' => 'Granera','id' => '960','slug' => 'granera','latitude' => '41.72563','longitude' => '2.0615813'),
        array('province_id' => '8','town' => 'Granollers','id' => '961','slug' => 'granollers','latitude' => '41.6082128','longitude' => '2.2877888'),
        array('province_id' => '8','town' => 'Gualba','id' => '962','slug' => 'gualba','latitude' => '41.7314517','longitude' => '2.5027259'),
        array('province_id' => '8','town' => 'Guardiola de Berguedà','id' => '963','slug' => 'guardiola-de-bergued','latitude' => '42.233446','longitude' => '1.8791111'),
        array('province_id' => '8','town' => 'Gurb','id' => '964','slug' => 'gurb','latitude' => '41.9539412','longitude' => '2.2355453'),
        array('province_id' => '8','town' => 'Hospitalet de Llobregat, L\'','id' => '965','slug' => 'hospitalet-de-llobregat-l','latitude' => '41.3595829','longitude' => '2.0997037'),
        array('province_id' => '8','town' => 'Hostalets de Pierola, Els','id' => '966','slug' => 'hostalets-de-pierola-els','latitude' => '41.5341644','longitude' => '1.7659521'),
        array('province_id' => '8','town' => 'Igualada','id' => '967','slug' => 'igualada','latitude' => '41.5787648','longitude' => '1.6171926'),
        array('province_id' => '8','town' => 'Jorba','id' => '968','slug' => 'jorba','latitude' => '41.6004892','longitude' => '1.5461948'),
        array('province_id' => '8','town' => 'Llacuna, La','id' => '969','slug' => 'llacuna-la','latitude' => '41.3991277','longitude' => '2.1975859'),
        array('province_id' => '8','town' => 'Llagosta, La','id' => '970','slug' => 'llagosta-la','latitude' => '41.5132133','longitude' => '2.1932462'),
        array('province_id' => '8','town' => 'Lliçà d\'Amunt','id' => '971','slug' => 'lli-damunt','latitude' => '41.6086446','longitude' => '2.2394426'),
        array('province_id' => '8','town' => 'Lliçà de Vall','id' => '972','slug' => 'lli-de-vall','latitude' => '41.5908073','longitude' => '2.2427331'),
        array('province_id' => '8','town' => 'Llinars del Vallès','id' => '973','slug' => 'llinars-del-valls','latitude' => '41.6393529','longitude' => '2.404427'),
        array('province_id' => '8','town' => 'Lluçà','id' => '974','slug' => 'llu','latitude' => '42.0504846','longitude' => '2.0350426'),
        array('province_id' => '8','town' => 'Malgrat de Mar','id' => '975','slug' => 'malgrat-de-mar','latitude' => '41.6465481','longitude' => '2.7416344'),
        array('province_id' => '8','town' => 'Malla','id' => '976','slug' => 'malla','latitude' => '41.8873422','longitude' => '2.2351186'),
        array('province_id' => '8','town' => 'Manlleu','id' => '977','slug' => 'manlleu','latitude' => '41.9999479','longitude' => '2.284165'),
        array('province_id' => '8','town' => 'Manresa','id' => '978','slug' => 'manresa','latitude' => '41.7251751','longitude' => '1.8233527'),
        array('province_id' => '8','town' => 'Marganell','id' => '979','slug' => 'marganell','latitude' => '41.6403912','longitude' => '1.7922566'),
        array('province_id' => '8','town' => 'Martorell','id' => '980','slug' => 'martorell','latitude' => '41.4735514','longitude' => '1.9276824'),
        array('province_id' => '8','town' => 'Martorelles','id' => '981','slug' => 'martorelles','latitude' => '41.525773','longitude' => '2.2428823'),
        array('province_id' => '8','town' => 'Masies de Roda, Les','id' => '982','slug' => 'masies-de-roda-les','latitude' => '41.9895578','longitude' => '2.3178529'),
        array('province_id' => '8','town' => 'Masies de Voltregà, Les','id' => '983','slug' => 'masies-de-voltreg-les','latitude' => '42.0211383','longitude' => '2.2340929'),
        array('province_id' => '8','town' => 'Masnou, El','id' => '984','slug' => 'masnou-el','latitude' => '41.4793117','longitude' => '2.3192438'),
        array('province_id' => '8','town' => 'Masquefa','id' => '985','slug' => 'masquefa','latitude' => '41.5030659','longitude' => '1.8119265'),
        array('province_id' => '8','town' => 'Matadepera','id' => '986','slug' => 'matadepera','latitude' => '41.5967037','longitude' => '2.0267465'),
        array('province_id' => '8','town' => 'Mataró','id' => '987','slug' => 'matar','latitude' => '41.5375002','longitude' => '2.4452776'),
        array('province_id' => '8','town' => 'Mediona','id' => '988','slug' => 'mediona','latitude' => '41.4833333','longitude' => '1.6166667'),
        array('province_id' => '8','town' => 'Moià','id' => '989','slug' => 'moi','latitude' => '41.8127743','longitude' => '2.0974277'),
        array('province_id' => '8','town' => 'Molins de Rei','id' => '990','slug' => 'molins-de-rei','latitude' => '41.4139169','longitude' => '2.0158358'),
        array('province_id' => '8','town' => 'Mollet del Vallès','id' => '991','slug' => 'mollet-del-valls','latitude' => '41.5405218','longitude' => '2.2135289'),
        array('province_id' => '8','town' => 'Monistrol de Calders','id' => '992','slug' => 'monistrol-de-calders','latitude' => '41.7605952','longitude' => '2.0142332'),
        array('province_id' => '8','town' => 'Monistrol de Montserrat','id' => '993','slug' => 'monistrol-de-montserrat','latitude' => '41.6098604','longitude' => '1.8431536'),
        array('province_id' => '8','town' => 'Montcada i Reixac','id' => '994','slug' => 'montcada-i-reixac','latitude' => '41.4823096','longitude' => '2.1885045'),
        array('province_id' => '8','town' => 'Montclar','id' => '995','slug' => 'montclar','latitude' => '42.0180571','longitude' => '1.7640808'),
        array('province_id' => '8','town' => 'Montesquiu','id' => '996','slug' => 'montesquiu','latitude' => '42.1100069','longitude' => '2.2101737'),
        array('province_id' => '8','town' => 'Montgat','id' => '997','slug' => 'montgat','latitude' => '41.4664522','longitude' => '2.2790882'),
        array('province_id' => '8','town' => 'Montmajor','id' => '998','slug' => 'montmajor','latitude' => '42.0177634','longitude' => '1.7351233'),
        array('province_id' => '8','town' => 'Montmaneu','id' => '999','slug' => 'montmaneu','latitude' => '41.625739','longitude' => '1.4146762'),
        array('province_id' => '8','town' => 'Montmeló','id' => '1000','slug' => 'montmel','latitude' => '41.5514602','longitude' => '2.2484649'),
        array('province_id' => '8','town' => 'Montornès del Vallès','id' => '1001','slug' => 'montorns-del-valls','latitude' => '41.5425435','longitude' => '2.2637794'),
        array('province_id' => '8','town' => 'Montseny','id' => '1002','slug' => 'montseny','latitude' => '41.7600129','longitude' => '2.3949185'),
        array('province_id' => '8','town' => 'Muntanyola','id' => '1003','slug' => 'muntanyola','latitude' => '41.8783641','longitude' => '2.1773014'),
        array('province_id' => '8','town' => 'Mura','id' => '1004','slug' => 'mura','latitude' => '41.69948','longitude' => '1.976545'),
        array('province_id' => '8','town' => 'Navarcles','id' => '1005','slug' => 'navarcles','latitude' => '41.7515841','longitude' => '1.9032571'),
        array('province_id' => '8','town' => 'Navàs','id' => '1006','slug' => 'navs','latitude' => '41.9000691','longitude' => '1.8793632'),
        array('province_id' => '8','town' => 'Nou de Berguedà, La','id' => '1007','slug' => 'nou-de-bergued-la','latitude' => '42.1659917','longitude' => '1.8847645'),
        array('province_id' => '8','town' => 'Òdena','id' => '1008','slug' => 'dena','latitude' => '41.6067262','longitude' => '1.6409088'),
        array('province_id' => '8','town' => 'Olèrdola','id' => '1009','slug' => 'olrdola','latitude' => '41.3219444','longitude' => '1.7230556'),
        array('province_id' => '8','town' => 'Olesa de Bonesvalls','id' => '1010','slug' => 'olesa-de-bonesvalls','latitude' => '41.353009','longitude' => '1.8498871'),
        array('province_id' => '8','town' => 'Olesa de Montserrat','id' => '1011','slug' => 'olesa-de-montserrat','latitude' => '41.5434007','longitude' => '1.8881533'),
        array('province_id' => '8','town' => 'Olivella','id' => '1012','slug' => 'olivella','latitude' => '41.3103368','longitude' => '1.8122788'),
        array('province_id' => '8','town' => 'Olost','id' => '1013','slug' => 'olost','latitude' => '41.9858222','longitude' => '2.095717'),
        array('province_id' => '8','town' => 'Olvan','id' => '1014','slug' => 'olvan','latitude' => '42.0573222','longitude' => '1.9056367'),
        array('province_id' => '8','town' => 'Orís','id' => '1015','slug' => 'ors','latitude' => '42.06','longitude' => '2.2402778'),
        array('province_id' => '8','town' => 'Oristà','id' => '1016','slug' => 'orist','latitude' => '41.9324271','longitude' => '2.0603133'),
        array('province_id' => '8','town' => 'Orpí','id' => '1017','slug' => 'orp','latitude' => '41.5186744','longitude' => '1.5752934'),
        array('province_id' => '8','town' => 'Òrrius','id' => '1018','slug' => 'rrius','latitude' => '41.5549879','longitude' => '2.3551128'),
        array('province_id' => '8','town' => 'Pacs del Penedès','id' => '1019','slug' => 'pacs-del-peneds','latitude' => '41.3615645','longitude' => '1.6694174'),
        array('province_id' => '8','town' => 'Palafolls','id' => '1020','slug' => 'palafolls','latitude' => '41.6649756','longitude' => '2.7497678'),
        array('province_id' => '8','town' => 'Palau-solità i Plegamans','id' => '1021','slug' => 'palau-solit-i-plegamans','latitude' => '41.5886211','longitude' => '2.1792329'),
        array('province_id' => '8','town' => 'Pallejà','id' => '1022','slug' => 'pallej','latitude' => '41.4237214','longitude' => '1.9967008'),
        array('province_id' => '8','town' => 'Palma de Cervelló, La','id' => '1023','slug' => 'palma-de-cervell-la','latitude' => '41.4133069','longitude' => '1.9671543'),
        array('province_id' => '8','town' => 'Papiol, El','id' => '1024','slug' => 'papiol-el','latitude' => '41.4389532','longitude' => '2.0106862'),
        array('province_id' => '8','town' => 'Parets del Vallès','id' => '1025','slug' => 'parets-del-valls','latitude' => '41.5735512','longitude' => '2.2337939'),
        array('province_id' => '8','town' => 'Perafita','id' => '1026','slug' => 'perafita','latitude' => '42.0415946','longitude' => '2.1071576'),
        array('province_id' => '8','town' => 'Piera','id' => '1027','slug' => 'piera','latitude' => '41.5179711','longitude' => '1.7432683'),
        array('province_id' => '8','town' => 'Pineda de Mar','id' => '1028','slug' => 'pineda-de-mar','latitude' => '41.6275068','longitude' => '2.6894543'),
        array('province_id' => '8','town' => 'Pla del Penedès, El','id' => '1029','slug' => 'pla-del-peneds-el','latitude' => '41.4179764','longitude' => '1.7103197'),
        array('province_id' => '8','town' => 'Pobla de Claramunt, La','id' => '1030','slug' => 'pobla-de-claramunt-la','latitude' => '41.5529839','longitude' => '1.6759363'),
        array('province_id' => '8','town' => 'Pobla de Lillet, La','id' => '1031','slug' => 'pobla-de-lillet-la','latitude' => '42.2434426','longitude' => '1.9747299'),
        array('province_id' => '8','town' => 'Polinyà','id' => '1032','slug' => 'poliny','latitude' => '41.5575011','longitude' => '2.1562432'),
        array('province_id' => '8','town' => 'Pont de Vilomara i Rocafort, El','id' => '1033','slug' => 'pont-de-vilomara-i-rocafort-el','latitude' => '41.6998688','longitude' => '1.8708547'),
        array('province_id' => '8','town' => 'Pontons','id' => '1034','slug' => 'pontons','latitude' => '41.4159878','longitude' => '1.5166998'),
        array('province_id' => '8','town' => 'Prat de Llobregat, El','id' => '1035','slug' => 'prat-de-llobregat-el','latitude' => '41.296944','longitude' => '2.078333'),
        array('province_id' => '8','town' => 'Prats de Lluçanès','id' => '1036','slug' => 'prats-de-lluans','latitude' => '42.0087426','longitude' => '2.0285782'),
        array('province_id' => '8','town' => 'Prats de Rei, Els','id' => '1037','slug' => 'prats-de-rei-els','latitude' => '41.7055015','longitude' => '1.5415308'),
        array('province_id' => '8','town' => 'Premià de Dalt','id' => '1038','slug' => 'premi-de-dalt','latitude' => '41.5065541','longitude' => '2.3430584'),
        array('province_id' => '8','town' => 'Premià de Mar','id' => '1039','slug' => 'premi-de-mar','latitude' => '41.4895789','longitude' => '2.3565363'),
        array('province_id' => '8','town' => 'Puigdàlber','id' => '1040','slug' => 'puigdlber','latitude' => '41.4044145','longitude' => '1.701116'),
        array('province_id' => '8','town' => 'Puig-reig','id' => '1041','slug' => 'puig-reig','latitude' => '41.9744578','longitude' => '1.8788555'),
        array('province_id' => '8','town' => 'Pujalt','id' => '1042','slug' => 'pujalt','latitude' => '41.7172289','longitude' => '1.4221136'),
        array('province_id' => '8','town' => 'Quar, La','id' => '1043','slug' => 'quar-la','latitude' => '42.0808496','longitude' => '1.9616303'),
        array('province_id' => '8','town' => 'Rajadell','id' => '1044','slug' => 'rajadell','latitude' => '41.729723','longitude' => '1.7062632'),
        array('province_id' => '8','town' => 'Rellinars','id' => '1045','slug' => 'rellinars','latitude' => '41.6374671','longitude' => '1.9104959'),
        array('province_id' => '8','town' => 'Ripollet','id' => '1046','slug' => 'ripollet','latitude' => '41.4973555','longitude' => '2.1556739'),
        array('province_id' => '8','town' => 'Roca del Vallès, La','id' => '1047','slug' => 'roca-del-valls-la','latitude' => '41.5905265','longitude' => '2.3262583'),
        array('province_id' => '8','town' => 'Roda de Ter','id' => '1048','slug' => 'roda-de-ter','latitude' => '41.9859679','longitude' => '2.3112118'),
        array('province_id' => '8','town' => 'Rubí','id' => '1049','slug' => 'rub','latitude' => '41.4923325','longitude' => '2.0312617'),
        array('province_id' => '8','town' => 'Rubió','id' => '1050','slug' => 'rubi','latitude' => '41.6432753','longitude' => '1.5690872'),
        array('province_id' => '8','town' => 'Rupit i Pruit','id' => '1051','slug' => 'rupit-i-pruit','latitude' => '42.0240566','longitude' => '2.4650656'),
        array('province_id' => '8','town' => 'Sabadell','id' => '1052','slug' => 'sabadell','latitude' => '41.5486198','longitude' => '2.1074206'),
        array('province_id' => '8','town' => 'Sagàs','id' => '1053','slug' => 'sags','latitude' => '42.0506592','longitude' => '1.9616692'),
        array('province_id' => '8','town' => 'Saldes','id' => '1054','slug' => 'saldes','latitude' => '42.2289265','longitude' => '1.7355966'),
        array('province_id' => '8','town' => 'Sallent','id' => '1055','slug' => 'sallent','latitude' => '41.8241997','longitude' => '1.8949298'),
        array('province_id' => '8','town' => 'Sant Adrià de Besòs','id' => '1056','slug' => 'sant-adri-de-bess','latitude' => '41.4305965','longitude' => '2.2182393'),
        array('province_id' => '8','town' => 'Sant Agustí de Lluçanès','id' => '1057','slug' => 'sant-agust-de-lluans','latitude' => '42.0854592','longitude' => '2.1278249'),
        array('province_id' => '8','town' => 'Sant Andreu de la Barca','id' => '1058','slug' => 'sant-andreu-de-la-barca','latitude' => '41.4471833','longitude' => '1.9759353'),
        array('province_id' => '8','town' => 'Sant Andreu de Llavaneres','id' => '1059','slug' => 'sant-andreu-de-llavaneres','latitude' => '41.5723677','longitude' => '2.4823666'),
        array('province_id' => '8','town' => 'Sant Antoni de Vilamajor','id' => '1060','slug' => 'sant-antoni-de-vilamajor','latitude' => '41.6737032','longitude' => '2.4008589'),
        array('province_id' => '8','town' => 'Sant Bartomeu del Grau','id' => '1061','slug' => 'sant-bartomeu-del-grau','latitude' => '41.9807601','longitude' => '2.1755984'),
        array('province_id' => '8','town' => 'Sant Boi de Llobregat','id' => '1062','slug' => 'sant-boi-de-llobregat','latitude' => '41.3473838','longitude' => '2.0431027'),
        array('province_id' => '8','town' => 'Sant Boi de Lluçanès','id' => '1063','slug' => 'sant-boi-de-lluans','latitude' => '42.0588819','longitude' => '2.1516628'),
        array('province_id' => '8','town' => 'Sant Cebrià de Vallalta','id' => '1064','slug' => 'sant-cebri-de-vallalta','latitude' => '41.6197756','longitude' => '2.6003067'),
        array('province_id' => '8','town' => 'Sant Celoni','id' => '1065','slug' => 'sant-celoni','latitude' => '41.6901851','longitude' => '2.49167'),
        array('province_id' => '8','town' => 'Sant Climent de Llobregat','id' => '1066','slug' => 'sant-climent-de-llobregat','latitude' => '41.3373149','longitude' => '1.9957805'),
        array('province_id' => '8','town' => 'Sant Cugat del Vallès','id' => '1067','slug' => 'sant-cugat-del-valls','latitude' => '41.4718638','longitude' => '2.0821392'),
        array('province_id' => '8','town' => 'Sant Cugat Sesgarrigues','id' => '1068','slug' => 'sant-cugat-sesgarrigues','latitude' => '41.3644139','longitude' => '1.7536126'),
        array('province_id' => '8','town' => 'Sant Esteve de Palautordera','id' => '1069','slug' => 'sant-esteve-de-palautordera','latitude' => '41.7034676','longitude' => '2.4353863'),
        array('province_id' => '8','town' => 'Sant Esteve Sesrovires','id' => '1070','slug' => 'sant-esteve-sesrovires','latitude' => '41.4945501','longitude' => '1.8727991'),
        array('province_id' => '8','town' => 'Sant Feliu de Codines','id' => '1071','slug' => 'sant-feliu-de-codines','latitude' => '41.688928','longitude' => '2.1648036'),
        array('province_id' => '8','town' => 'Sant Feliu de Llobregat','id' => '1072','slug' => 'sant-feliu-de-llobregat','latitude' => '41.3809381','longitude' => '2.0451716'),
        array('province_id' => '8','town' => 'Sant Feliu Sasserra','id' => '1073','slug' => 'sant-feliu-sasserra','latitude' => '41.9447659','longitude' => '2.0224696'),
        array('province_id' => '8','town' => 'Sant Fost de Campsentelles','id' => '1074','slug' => 'sant-fost-de-campsentelles','latitude' => '41.5145208','longitude' => '2.2347905'),
        array('province_id' => '8','town' => 'Sant Fruitós de Bages','id' => '1075','slug' => 'sant-fruits-de-bages','latitude' => '41.74952','longitude' => '1.8728848'),
        array('province_id' => '8','town' => 'Sant Hipòlit de Voltregà','id' => '1076','slug' => 'sant-hiplit-de-voltreg','latitude' => '42.0155429','longitude' => '2.2362545'),
        array('province_id' => '8','town' => 'Sant Iscle de Vallalta','id' => '1077','slug' => 'sant-iscle-de-vallalta','latitude' => '41.6237699','longitude' => '2.5691272'),
        array('province_id' => '8','town' => 'Sant Jaume de Frontanyà','id' => '1078','slug' => 'sant-jaume-de-frontany','latitude' => '42.1871748','longitude' => '2.0239398'),
        array('province_id' => '8','town' => 'Sant Joan de Vilatorrada','id' => '1079','slug' => 'sant-joan-de-vilatorrada','latitude' => '41.7454941','longitude' => '1.8055433'),
        array('province_id' => '8','town' => 'Sant Joan Despí','id' => '1080','slug' => 'sant-joan-desp','latitude' => '41.3676893','longitude' => '2.0560645'),
        array('province_id' => '8','town' => 'Sant Julià de Cerdanyola','id' => '1081','slug' => 'sant-juli-de-cerdanyola','latitude' => '42.2230555','longitude' => '1.8911192'),
        array('province_id' => '8','town' => 'Sant Julià de Vilatorta','id' => '1082','slug' => 'sant-juli-de-vilatorta','latitude' => '41.9223129','longitude' => '2.3243507'),
        array('province_id' => '8','town' => 'Sant Just Desvern','id' => '1083','slug' => 'sant-just-desvern','latitude' => '41.3857565','longitude' => '2.0755444'),
        array('province_id' => '8','town' => 'Sant Llorenç d\'Hortons','id' => '1084','slug' => 'sant-lloren-dhortons','latitude' => '41.4648528','longitude' => '1.8243985'),
        array('province_id' => '8','town' => 'Sant Llorenç Savall','id' => '1085','slug' => 'sant-lloren-savall','latitude' => '41.6798221','longitude' => '2.0593104'),
        array('province_id' => '8','town' => 'Sant Martí d\'Albars','id' => '1086','slug' => 'sant-mart-dalbars','latitude' => '42.0282428','longitude' => '2.0737587'),
        array('province_id' => '8','town' => 'Sant Martí de Centelles','id' => '1087','slug' => 'sant-mart-de-centelles','latitude' => '41.7663251','longitude' => '2.2048198'),
        array('province_id' => '8','town' => 'Sant Martí de Tous','id' => '1088','slug' => 'sant-mart-de-tous','latitude' => '41.5621392','longitude' => '1.5229336'),
        array('province_id' => '8','town' => 'Sant Martí Sarroca','id' => '1089','slug' => 'sant-mart-sarroca','latitude' => '41.3857783','longitude' => '1.6114233'),
        array('province_id' => '8','town' => 'Sant Martí Sesgueioles','id' => '1090','slug' => 'sant-mart-sesgueioles','latitude' => '41.7020985','longitude' => '1.4879199'),
        array('province_id' => '8','town' => 'Sant Mateu de Bages','id' => '1091','slug' => 'sant-mateu-de-bages','latitude' => '41.7968891','longitude' => '1.7327371'),
        array('province_id' => '8','town' => 'Sant Pere de Ribes','id' => '1092','slug' => 'sant-pere-de-ribes','latitude' => '41.2590969','longitude' => '1.7754176'),
        array('province_id' => '8','town' => 'Sant Pere de Riudebitlles','id' => '1093','slug' => 'sant-pere-de-riudebitlles','latitude' => '41.4534718','longitude' => '1.7016283'),
        array('province_id' => '8','town' => 'Sant Pere de Torelló','id' => '1094','slug' => 'sant-pere-de-torell','latitude' => '42.0756371','longitude' => '2.296003'),
        array('province_id' => '8','town' => 'Sant Pere de Vilamajor','id' => '1095','slug' => 'sant-pere-de-vilamajor','latitude' => '41.6849949','longitude' => '2.3904977'),
        array('province_id' => '8','town' => 'Sant Pere Sallavinera','id' => '1096','slug' => 'sant-pere-sallavinera','latitude' => '41.7365713','longitude' => '1.5731762'),
        array('province_id' => '8','town' => 'Sant Pol de Mar','id' => '1097','slug' => 'sant-pol-de-mar','latitude' => '41.5994452','longitude' => '2.6158716'),
        array('province_id' => '8','town' => 'Sant Quintí de Mediona','id' => '1098','slug' => 'sant-quint-de-mediona','latitude' => '41.4638322','longitude' => '1.6664617'),
        array('province_id' => '8','town' => 'Sant Quirze de Besora','id' => '1099','slug' => 'sant-quirze-de-besora','latitude' => '42.1009408','longitude' => '2.2166109'),
        array('province_id' => '8','town' => 'Sant Quirze del Vallès','id' => '1100','slug' => 'sant-quirze-del-valls','latitude' => '41.5308004','longitude' => '2.086581'),
        array('province_id' => '8','town' => 'Sant Quirze Safaja','id' => '1101','slug' => 'sant-quirze-safaja','latitude' => '41.7273232','longitude' => '2.1530632'),
        array('province_id' => '8','town' => 'Sant Sadurní d\'Anoia','id' => '1102','slug' => 'sant-sadurn-danoia','latitude' => '41.4253476','longitude' => '1.7856727'),
        array('province_id' => '8','town' => 'Sant Sadurní d\'Osormort','id' => '1103','slug' => 'sant-sadurn-dosormort','latitude' => '41.9032055','longitude' => '2.3814482'),
        array('province_id' => '8','town' => 'Sant Salvador de Guardiola','id' => '1104','slug' => 'sant-salvador-de-guardiola','latitude' => '41.6805976','longitude' => '1.7671247'),
        array('province_id' => '8','town' => 'Sant Vicenç de Castellet','id' => '1105','slug' => 'sant-vicen-de-castellet','latitude' => '41.6658042','longitude' => '1.8638493'),
        array('province_id' => '8','town' => 'Sant Vicenç de Montalt','id' => '1106','slug' => 'sant-vicen-de-montalt','latitude' => '41.5826242','longitude' => '2.5099261'),
        array('province_id' => '8','town' => 'Sant Vicenç de Torelló','id' => '1107','slug' => 'sant-vicen-de-torell','latitude' => '42.0623418','longitude' => '2.2727568'),
        array('province_id' => '8','town' => 'Sant Vicenç dels Horts','id' => '1108','slug' => 'sant-vicen-dels-horts','latitude' => '41.3936202','longitude' => '2.0098697'),
        array('province_id' => '8','town' => 'Santa Cecília de Voltregà','id' => '1109','slug' => 'santa-ceclia-de-voltreg','latitude' => '41.9930612','longitude' => '2.2199023'),
        array('province_id' => '8','town' => 'Santa Coloma de Cervelló','id' => '1110','slug' => 'santa-coloma-de-cervell','latitude' => '41.3668404','longitude' => '2.0150828'),
        array('province_id' => '8','town' => 'Santa Coloma de Gramenet','id' => '1111','slug' => 'santa-coloma-de-gramenet','latitude' => '41.4510746','longitude' => '2.208978'),
        array('province_id' => '8','town' => 'Santa Eugènia de Berga','id' => '1112','slug' => 'santa-eugnia-de-berga','latitude' => '41.9002962','longitude' => '2.2826972'),
        array('province_id' => '8','town' => 'Santa Eulàlia de Riuprimer','id' => '1113','slug' => 'santa-eullia-de-riuprimer','latitude' => '41.9108','longitude' => '2.1888521'),
        array('province_id' => '8','town' => 'Santa Eulàlia de Ronçana','id' => '1114','slug' => 'santa-eullia-de-ronana','latitude' => '41.653056','longitude' => '2.226111'),
        array('province_id' => '8','town' => 'Santa Fe del Penedès','id' => '1115','slug' => 'santa-fe-del-peneds','latitude' => '41.3843786','longitude' => '1.721198'),
        array('province_id' => '8','town' => 'Santa Margarida de Montbui','id' => '1116','slug' => 'santa-margarida-de-montbui','latitude' => '41.5586028','longitude' => '1.6058988'),
        array('province_id' => '8','town' => 'Santa Margarida i els Monjos','id' => '1117','slug' => 'santa-margarida-i-els-monjos','latitude' => '41.3208719','longitude' => '1.6628384'),
        array('province_id' => '8','town' => 'Santa Maria de Besora','id' => '1118','slug' => 'santa-maria-de-besora','latitude' => '42.1269561','longitude' => '2.258088'),
        array('province_id' => '8','town' => 'Santa Maria de Corcó','id' => '1119','slug' => 'santa-maria-de-corc','latitude' => '42.035596','longitude' => '2.3689234'),
        array('province_id' => '8','town' => 'Santa Maria de Martorelles','id' => '1120','slug' => 'santa-maria-de-martorelles','latitude' => '41.5195469','longitude' => '2.25424'),
        array('province_id' => '8','town' => 'Santa Maria de Merlès','id' => '1121','slug' => 'santa-maria-de-merls','latitude' => '42.0010993','longitude' => '1.9777909'),
        array('province_id' => '8','town' => 'Santa Maria de Miralles','id' => '1122','slug' => 'santa-maria-de-miralles','latitude' => '41.5181315','longitude' => '1.5251288'),
        array('province_id' => '8','town' => 'Santa Maria de Palautordera','id' => '1123','slug' => 'santa-maria-de-palautordera','latitude' => '41.693195','longitude' => '2.4462271'),
        array('province_id' => '8','town' => 'Santa Maria d\'Oló','id' => '1124','slug' => 'santa-maria-dol','latitude' => '41.8720736','longitude' => '2.0352909'),
        array('province_id' => '8','town' => 'Santa Perpètua de Mogoda','id' => '1125','slug' => 'santa-perptua-de-mogoda','latitude' => '41.5348637','longitude' => '2.1789883'),
        array('province_id' => '8','town' => 'Santa Susanna','id' => '1126','slug' => 'santa-susanna','latitude' => '41.6406938','longitude' => '2.7168714'),
        array('province_id' => '8','town' => 'Santpedor','id' => '1127','slug' => 'santpedor','latitude' => '41.7835681','longitude' => '1.8391293'),
        array('province_id' => '8','town' => 'Sentmenat','id' => '1128','slug' => 'sentmenat','latitude' => '41.6116329','longitude' => '2.134932'),
        array('province_id' => '8','town' => 'Seva','id' => '1129','slug' => 'seva','latitude' => '41.8373289','longitude' => '2.2810628'),
        array('province_id' => '8','town' => 'Sitges','id' => '1130','slug' => 'sitges','latitude' => '41.2347823','longitude' => '1.8112222'),
        array('province_id' => '8','town' => 'Sobremunt','id' => '1131','slug' => 'sobremunt','latitude' => '42.034611','longitude' => '2.1683734'),
        array('province_id' => '8','town' => 'Sora','id' => '1132','slug' => 'sora','latitude' => '42.1107218','longitude' => '2.1598511'),
        array('province_id' => '8','town' => 'Subirats','id' => '1133','slug' => 'subirats','latitude' => '41.3847222','longitude' => '1.7980556'),
        array('province_id' => '8','town' => 'Súria','id' => '1134','slug' => 'sria','latitude' => '41.8317965','longitude' => '1.750768'),
        array('province_id' => '8','town' => 'Tagamanent','id' => '1135','slug' => 'tagamanent','latitude' => '41.7396244','longitude' => '2.2657591'),
        array('province_id' => '8','town' => 'Talamanca','id' => '1136','slug' => 'talamanca','latitude' => '41.7354434','longitude' => '1.9779209'),
        array('province_id' => '8','town' => 'Taradell','id' => '1137','slug' => 'taradell','latitude' => '41.8736336','longitude' => '2.287192'),
        array('province_id' => '8','town' => 'Tavèrnoles','id' => '1138','slug' => 'tavrnoles','latitude' => '41.9522693','longitude' => '2.3260513'),
        array('province_id' => '8','town' => 'Tavertet','id' => '1139','slug' => 'tavertet','latitude' => '41.9960548','longitude' => '2.4193226'),
        array('province_id' => '8','town' => 'Teià','id' => '1140','slug' => 'tei','latitude' => '41.499689','longitude' => '2.3206162'),
        array('province_id' => '8','town' => 'Terrassa','id' => '1141','slug' => 'terrassa','latitude' => '41.560953','longitude' => '2.0104398'),
        array('province_id' => '8','town' => 'Tiana','id' => '1142','slug' => 'tiana','latitude' => '41.4832432','longitude' => '2.2689802'),
        array('province_id' => '8','town' => 'Tona','id' => '1143','slug' => 'tona','latitude' => '41.8478458','longitude' => '2.2277553'),
        array('province_id' => '8','town' => 'Tordera','id' => '1144','slug' => 'tordera','latitude' => '41.7020627','longitude' => '2.71902'),
        array('province_id' => '8','town' => 'Torelló','id' => '1145','slug' => 'torell','latitude' => '42.0482431','longitude' => '2.2627203'),
        array('province_id' => '8','town' => 'Torre de Claramunt, La','id' => '1146','slug' => 'torre-de-claramunt-la','latitude' => '41.5358935','longitude' => '1.6616571'),
        array('province_id' => '8','town' => 'Torrelavit','id' => '1147','slug' => 'torrelavit','latitude' => '41.446348','longitude' => '1.7298737'),
        array('province_id' => '8','town' => 'Torrelles de Foix','id' => '1148','slug' => 'torrelles-de-foix','latitude' => '41.389097','longitude' => '1.5676632'),
        array('province_id' => '8','town' => 'Torrelles de Llobregat','id' => '1149','slug' => 'torrelles-de-llobregat','latitude' => '41.3538882','longitude' => '1.9766603'),
        array('province_id' => '8','town' => 'Ullastrell','id' => '1150','slug' => 'ullastrell','latitude' => '41.5270691','longitude' => '1.9569313'),
        array('province_id' => '8','town' => 'Vacarisses','id' => '1151','slug' => 'vacarisses','latitude' => '41.6062684','longitude' => '1.9191586'),
        array('province_id' => '8','town' => 'Vallbona d\'Anoia','id' => '1152','slug' => 'vallbona-danoia','latitude' => '41.519616','longitude' => '1.7089358'),
        array('province_id' => '8','town' => 'Vallcebre','id' => '1153','slug' => 'vallcebre','latitude' => '42.2039401','longitude' => '1.8182345'),
        array('province_id' => '8','town' => 'Vallgorguina','id' => '1154','slug' => 'vallgorguina','latitude' => '41.6483215','longitude' => '2.509912'),
        array('province_id' => '8','town' => 'Vallirana','id' => '1155','slug' => 'vallirana','latitude' => '41.3887185','longitude' => '1.932255'),
        array('province_id' => '8','town' => 'Vallromanes','id' => '1156','slug' => 'vallromanes','latitude' => '41.5317953','longitude' => '2.2980651'),
        array('province_id' => '8','town' => 'Veciana','id' => '1157','slug' => 'veciana','latitude' => '41.6565145','longitude' => '1.4879735'),
        array('province_id' => '8','town' => 'Vic','id' => '1158','slug' => 'vic','latitude' => '41.930291','longitude' => '2.2543496'),
        array('province_id' => '8','town' => 'Vilada','id' => '1159','slug' => 'vilada','latitude' => '42.1367662','longitude' => '1.931635'),
        array('province_id' => '8','town' => 'Viladecans','id' => '1160','slug' => 'viladecans','latitude' => '41.316006','longitude' => '2.0201987'),
        array('province_id' => '8','town' => 'Viladecavalls','id' => '1161','slug' => 'viladecavalls','latitude' => '41.5554722','longitude' => '1.9545258'),
        array('province_id' => '8','town' => 'Vilafranca del Penedès','id' => '1162','slug' => 'vilafranca-del-peneds','latitude' => '41.3450901','longitude' => '1.6998495'),
        array('province_id' => '8','town' => 'Vilalba Sasserra','id' => '1163','slug' => 'vilalba-sasserra','latitude' => '41.6527207','longitude' => '2.4410716'),
        array('province_id' => '8','town' => 'Vilanova de Sau','id' => '1164','slug' => 'vilanova-de-sau','latitude' => '41.947535','longitude' => '2.3848981'),
        array('province_id' => '8','town' => 'Vilanova del Camí','id' => '1165','slug' => 'vilanova-del-cam','latitude' => '41.5737341','longitude' => '1.6429819'),
        array('province_id' => '8','town' => 'Vilanova del Vallès','id' => '1166','slug' => 'vilanova-del-valls','latitude' => '41.5540661','longitude' => '2.2888948'),
        array('province_id' => '8','town' => 'Vilanova i la Geltrú','id' => '1167','slug' => 'vilanova-i-la-geltr','latitude' => '41.224151','longitude' => '1.7255678'),
        array('province_id' => '8','town' => 'Vilassar de Dalt','id' => '1168','slug' => 'vilassar-de-dalt','latitude' => '41.516684','longitude' => '2.3585519'),
        array('province_id' => '8','town' => 'Vilassar de Mar','id' => '1169','slug' => 'vilassar-de-mar','latitude' => '41.5018072','longitude' => '2.3908726'),
        array('province_id' => '8','town' => 'Vilobí del Penedès','id' => '1170','slug' => 'vilob-del-peneds','latitude' => '41.388351','longitude' => '1.6620883'),
        array('province_id' => '8','town' => 'Viver i Serrateix','id' => '1171','slug' => 'viver-i-serrateix','latitude' => '41.9458296','longitude' => '1.7759283'),
        array('province_id' => '9','town' => 'Abajas','id' => '1172','slug' => 'abajas','latitude' => '42.623469','longitude' => '-3.5802271'),
        array('province_id' => '9','town' => 'Adrada de Haza','id' => '1173','slug' => 'adrada-de-haza','latitude' => '41.5942559','longitude' => '-3.8217936'),
        array('province_id' => '9','town' => 'Aguas Cándidas','id' => '1174','slug' => 'aguas-cndidas','latitude' => '42.7160883','longitude' => '-3.5018157'),
        array('province_id' => '9','town' => 'Aguilar de Bureba','id' => '1175','slug' => 'aguilar-de-bureba','latitude' => '42.590136','longitude' => '-3.328738'),
        array('province_id' => '9','town' => 'Albillos','id' => '1176','slug' => 'albillos','latitude' => '42.2764209','longitude' => '-3.7906067'),
        array('province_id' => '9','town' => 'Alcocero de Mola','id' => '1177','slug' => 'alcocero-de-mola','latitude' => '42.473142','longitude' => '-3.3574223'),
        array('province_id' => '9','town' => 'Alfoz de Bricia','id' => '1178','slug' => 'alfoz-de-bricia','latitude' => '42.8966667','longitude' => '-3.8791667'),
        array('province_id' => '9','town' => 'Alfoz de Quintanadueñas','id' => '1179','slug' => 'alfoz-de-quintanadueas','latitude' => '42.3850307','longitude' => '-3.7349418'),
        array('province_id' => '9','town' => 'Alfoz de Santa Gadea','id' => '1180','slug' => 'alfoz-de-santa-gadea','latitude' => '42.9555556','longitude' => '-3.9505556'),
        array('province_id' => '9','town' => 'Altable','id' => '1181','slug' => 'altable','latitude' => '42.6033486','longitude' => '-3.0771595'),
        array('province_id' => '9','town' => 'Altos, Los','id' => '1182','slug' => 'altos-los','latitude' => '42.8086111','longitude' => '-3.6316667'),
        array('province_id' => '9','town' => 'Ameyugo','id' => '1183','slug' => 'ameyugo','latitude' => '42.6560571','longitude' => '-3.0615459'),
        array('province_id' => '9','town' => 'Anguix','id' => '1184','slug' => 'anguix','latitude' => '41.7533763','longitude' => '-3.9319547'),
        array('province_id' => '9','town' => 'Aranda de Duero','id' => '1185','slug' => 'aranda-de-duero','latitude' => '41.6717131','longitude' => '-3.6865695'),
        array('province_id' => '9','town' => 'Arandilla','id' => '1186','slug' => 'arandilla','latitude' => '41.7377568','longitude' => '-3.4287532'),
        array('province_id' => '9','town' => 'Arauzo de Miel','id' => '1187','slug' => 'arauzo-de-miel','latitude' => '41.8601209','longitude' => '-3.3877901'),
        array('province_id' => '9','town' => 'Arauzo de Salce','id' => '1188','slug' => 'arauzo-de-salce','latitude' => '41.8197348','longitude' => '-3.4122582'),
        array('province_id' => '9','town' => 'Arauzo de Torre','id' => '1189','slug' => 'arauzo-de-torre','latitude' => '41.7985259','longitude' => '-3.4227227'),
        array('province_id' => '9','town' => 'Arcos','id' => '1190','slug' => 'arcos','latitude' => '42.2645263','longitude' => '-3.7554649'),
        array('province_id' => '9','town' => 'Arenillas de Riopisuerga','id' => '1191','slug' => 'arenillas-de-riopisuerga','latitude' => '42.3567319','longitude' => '-4.2332347'),
        array('province_id' => '9','town' => 'Arija','id' => '1192','slug' => 'arija','latitude' => '42.9942347','longitude' => '-3.9446955'),
        array('province_id' => '9','town' => 'Arlanzón','id' => '1193','slug' => 'arlanzn','latitude' => '42.3227986','longitude' => '-3.4582429'),
        array('province_id' => '9','town' => 'Arraya de Oca','id' => '1194','slug' => 'arraya-de-oca','latitude' => '42.415357','longitude' => '-3.3978414'),
        array('province_id' => '9','town' => 'Atapuerca','id' => '1195','slug' => 'atapuerca','latitude' => '42.3770075','longitude' => '-3.5077724'),
        array('province_id' => '9','town' => 'Ausines, Los','id' => '1196','slug' => 'ausines-los','latitude' => '42.2255797','longitude' => '-3.5976021'),
        array('province_id' => '9','town' => 'Avellanosa de Muñó','id' => '1197','slug' => 'avellanosa-de-mu','latitude' => '41.9837289','longitude' => '-3.8247009'),
        array('province_id' => '9','town' => 'Bahabón de Esgueva','id' => '1198','slug' => 'bahabn-de-esgueva','latitude' => '41.8619883','longitude' => '-3.7292335'),
        array('province_id' => '9','town' => 'Balbases, Los','id' => '1199','slug' => 'balbases-los','latitude' => '42.2149969','longitude' => '-4.062593'),
        array('province_id' => '9','town' => 'Baños de Valdearados','id' => '1200','slug' => 'baos-de-valdearados','latitude' => '41.7698732','longitude' => '-3.5563132'),
        array('province_id' => '9','town' => 'Bañuelos de Bureba','id' => '1201','slug' => 'bauelos-de-bureba','latitude' => '42.5011062','longitude' => '-3.2807961'),
        array('province_id' => '9','town' => 'Barbadillo de Herreros','id' => '1202','slug' => 'barbadillo-de-herreros','latitude' => '42.2148857','longitude' => '-3.1500547'),
        array('province_id' => '9','town' => 'Barbadillo del Mercado','id' => '1203','slug' => 'barbadillo-del-mercado','latitude' => '42.0393095','longitude' => '-3.358344'),
        array('province_id' => '9','town' => 'Barbadillo del Pez','id' => '1204','slug' => 'barbadillo-del-pez','latitude' => '42.119637','longitude' => '-3.2285374'),
        array('province_id' => '9','town' => 'Barrio de Muñó','id' => '1205','slug' => 'barrio-de-mu','latitude' => '42.1750227','longitude' => '-4.0072085'),
        array('province_id' => '9','town' => 'Barrios de Bureba, Los','id' => '1206','slug' => 'barrios-de-bureba-los','latitude' => '42.6456529','longitude' => '-3.3915593'),
        array('province_id' => '9','town' => 'Barrios de Colina','id' => '1207','slug' => 'barrios-de-colina','latitude' => '42.3961112','longitude' => '-3.4597878'),
        array('province_id' => '9','town' => 'Basconcillos del Tozo','id' => '1208','slug' => 'basconcillos-del-tozo','latitude' => '42.7026763','longitude' => '-3.9895521'),
        array('province_id' => '9','town' => 'Bascuñana','id' => '1209','slug' => 'bascuana','latitude' => '42.4254387','longitude' => '-3.0820173'),
        array('province_id' => '9','town' => 'Belbimbre','id' => '1210','slug' => 'belbimbre','latitude' => '42.168708','longitude' => '-4.0123692'),
        array('province_id' => '9','town' => 'Belorado','id' => '1211','slug' => 'belorado','latitude' => '42.4204081','longitude' => '-3.1897961'),
        array('province_id' => '9','town' => 'Berberana','id' => '1212','slug' => 'berberana','latitude' => '42.9198823','longitude' => '-3.0600726'),
        array('province_id' => '9','town' => 'Berlangas de Roa','id' => '1213','slug' => 'berlangas-de-roa','latitude' => '41.6894033','longitude' => '-3.8741701'),
        array('province_id' => '9','town' => 'Berzosa de Bureba','id' => '1214','slug' => 'berzosa-de-bureba','latitude' => '42.6269359','longitude' => '-3.266128'),
        array('province_id' => '9','town' => 'Bozoó','id' => '1215','slug' => 'bozo','latitude' => '42.7265667','longitude' => '-3.0853698'),
        array('province_id' => '9','town' => 'Brazacorta','id' => '1216','slug' => 'brazacorta','latitude' => '41.7171597','longitude' => '-3.3671528'),
        array('province_id' => '9','town' => 'Briviesca','id' => '1217','slug' => 'briviesca','latitude' => '42.5502929','longitude' => '-3.3233687'),
        array('province_id' => '9','town' => 'Bugedo','id' => '1218','slug' => 'bugedo','latitude' => '42.6493225','longitude' => '-3.017947'),
        array('province_id' => '9','town' => 'Buniel','id' => '1219','slug' => 'buniel','latitude' => '42.3097097','longitude' => '-3.8237381'),
        array('province_id' => '9','town' => 'Burgos','id' => '1220','slug' => 'burgos','latitude' => '42.3408923','longitude' => '-3.6997623'),
        array('province_id' => '9','town' => 'Busto de Bureba','id' => '1221','slug' => 'busto-de-bureba','latitude' => '42.6594071','longitude' => '-3.2647149'),
        array('province_id' => '9','town' => 'Cabañes de Esgueva','id' => '1222','slug' => 'cabaes-de-esgueva','latitude' => '41.8313005','longitude' => '-3.7853928'),
        array('province_id' => '9','town' => 'Cabezón de la Sierra','id' => '1223','slug' => 'cabezn-de-la-sierra','latitude' => '41.9345479','longitude' => '-3.2421587'),
        array('province_id' => '9','town' => 'Caleruega','id' => '1224','slug' => 'caleruega','latitude' => '41.8250319','longitude' => '-3.4867179'),
        array('province_id' => '9','town' => 'Campillo de Aranda','id' => '1225','slug' => 'campillo-de-aranda','latitude' => '41.6102629','longitude' => '-3.7302958'),
        array('province_id' => '9','town' => 'Campolara','id' => '1226','slug' => 'campolara','latitude' => '42.1195089','longitude' => '-3.4272254'),
        array('province_id' => '9','town' => 'Canicosa de la Sierra','id' => '1227','slug' => 'canicosa-de-la-sierra','latitude' => '41.9360608','longitude' => '-3.0420481'),
        array('province_id' => '9','town' => 'Cantabrana','id' => '1228','slug' => 'cantabrana','latitude' => '42.7346544','longitude' => '-3.4671999'),
        array('province_id' => '9','town' => 'Carazo','id' => '1229','slug' => 'carazo','latitude' => '41.9695165','longitude' => '-3.3539247'),
        array('province_id' => '9','town' => 'Carcedo de Bureba','id' => '1230','slug' => 'carcedo-de-bureba','latitude' => '42.5783017','longitude' => '-3.4983987'),
        array('province_id' => '9','town' => 'Carcedo de Burgos','id' => '1231','slug' => 'carcedo-de-burgos','latitude' => '42.2860998','longitude' => '-3.6230262'),
        array('province_id' => '9','town' => 'Cardeñadijo','id' => '1232','slug' => 'cardeadijo','latitude' => '42.2996998','longitude' => '-3.6652614'),
        array('province_id' => '9','town' => 'Cardeñajimeno','id' => '1233','slug' => 'cardeajimeno','latitude' => '42.3310198','longitude' => '-3.6218465'),
        array('province_id' => '9','town' => 'Cardeñuela Riopico','id' => '1234','slug' => 'cardeuela-riopico','latitude' => '42.3599754','longitude' => '-3.5577799'),
        array('province_id' => '9','town' => 'Carrias','id' => '1235','slug' => 'carrias','latitude' => '42.4816979','longitude' => '-3.2832078'),
        array('province_id' => '9','town' => 'Cascajares de Bureba','id' => '1236','slug' => 'cascajares-de-bureba','latitude' => '42.6790352','longitude' => '-3.2373953'),
        array('province_id' => '9','town' => 'Cascajares de la Sierra','id' => '1237','slug' => 'cascajares-de-la-sierra','latitude' => '42.0618692','longitude' => '-3.39957'),
        array('province_id' => '9','town' => 'Castellanos de Castro','id' => '1238','slug' => 'castellanos-de-castro','latitude' => '42.3285697','longitude' => '-4.0337201'),
        array('province_id' => '9','town' => 'Castil de Peones','id' => '1239','slug' => 'castil-de-peones','latitude' => '42.4830663','longitude' => '-3.3845897'),
        array('province_id' => '9','town' => 'Castildelgado','id' => '1240','slug' => 'castildelgado','latitude' => '42.4372362','longitude' => '-3.0845109'),
        array('province_id' => '9','town' => 'Castrillo de la Reina','id' => '1241','slug' => 'castrillo-de-la-reina','latitude' => '41.9873092','longitude' => '-3.2371183'),
        array('province_id' => '9','town' => 'Castrillo de la Vega','id' => '1242','slug' => 'castrillo-de-la-vega','latitude' => '41.6507246','longitude' => '-3.7816466'),
        array('province_id' => '9','town' => 'Castrillo de Riopisuerga','id' => '1243','slug' => 'castrillo-de-riopisuerga','latitude' => '42.5149339','longitude' => '-4.2522921'),
        array('province_id' => '9','town' => 'Castrillo del Val','id' => '1244','slug' => 'castrillo-del-val','latitude' => '42.3142061','longitude' => '-3.5848721'),
        array('province_id' => '9','town' => 'Castrillo Matajudíos','id' => '1245','slug' => 'castrillo-matajudos','latitude' => '42.3105336','longitude' => '-4.1738816'),
        array('province_id' => '9','town' => 'Castrojeriz','id' => '1246','slug' => 'castrojeriz','latitude' => '42.2882823','longitude' => '-4.1388362'),
        array('province_id' => '9','town' => 'Cavia','id' => '1247','slug' => 'cavia','latitude' => '42.283852','longitude' => '-3.8452568'),
        array('province_id' => '9','town' => 'Cayuela','id' => '1248','slug' => 'cayuela','latitude' => '42.272558','longitude' => '-3.8195276'),
        array('province_id' => '9','town' => 'Cebrecos','id' => '1249','slug' => 'cebrecos','latitude' => '41.9831995','longitude' => '-3.5966336'),
        array('province_id' => '9','town' => 'Celada del Camino','id' => '1250','slug' => 'celada-del-camino','latitude' => '42.2626472','longitude' => '-3.9338452'),
        array('province_id' => '9','town' => 'Cerezo de Río Tirón','id' => '1251','slug' => 'cerezo-de-ro-tirn','latitude' => '42.4912533','longitude' => '-3.135633'),
        array('province_id' => '9','town' => 'Cerratón de Juarros','id' => '1252','slug' => 'cerratn-de-juarros','latitude' => '42.4221844','longitude' => '-3.3739473'),
        array('province_id' => '9','town' => 'Ciadoncha','id' => '1253','slug' => 'ciadoncha','latitude' => '42.1605975','longitude' => '-3.9348004'),
        array('province_id' => '9','town' => 'Cillaperlata','id' => '1254','slug' => 'cillaperlata','latitude' => '42.7826813','longitude' => '-3.3584833'),
        array('province_id' => '9','town' => 'Cilleruelo de Abajo','id' => '1255','slug' => 'cilleruelo-de-abajo','latitude' => '41.8842212','longitude' => '-3.7955978'),
        array('province_id' => '9','town' => 'Cilleruelo de Arriba','id' => '1256','slug' => 'cilleruelo-de-arriba','latitude' => '41.9047402','longitude' => '-3.6605187'),
        array('province_id' => '9','town' => 'Ciruelos de Cervera','id' => '1257','slug' => 'ciruelos-de-cervera','latitude' => '41.9055681','longitude' => '-3.5300572'),
        array('province_id' => '9','town' => 'Cogollos','id' => '1258','slug' => 'cogollos','latitude' => '42.2007227','longitude' => '-3.6993862'),
        array('province_id' => '9','town' => 'Condado de Treviño','id' => '1259','slug' => 'condado-de-trevio','latitude' => '42.7348963','longitude' => '-2.7469103'),
        array('province_id' => '9','town' => 'Contreras','id' => '1260','slug' => 'contreras','latitude' => '42.021493','longitude' => '-3.4101474'),
        array('province_id' => '9','town' => 'Coruña del Conde','id' => '1261','slug' => 'corua-del-conde','latitude' => '41.7658747','longitude' => '-3.391761'),
        array('province_id' => '9','town' => 'Covarrubias','id' => '1262','slug' => 'covarrubias','latitude' => '42.059192','longitude' => '-3.5202373'),
        array('province_id' => '9','town' => 'Cubillo del Campo','id' => '1263','slug' => 'cubillo-del-campo','latitude' => '42.1685681','longitude' => '-3.6103478'),
        array('province_id' => '9','town' => 'Cubo de Bureba','id' => '1264','slug' => 'cubo-de-bureba','latitude' => '42.6404166','longitude' => '-3.2067347'),
        array('province_id' => '9','town' => 'Cueva de Roa, La','id' => '1265','slug' => 'cueva-de-roa-la','latitude' => '41.6898549','longitude' => '-3.9257827'),
        array('province_id' => '9','town' => 'Cuevas de San Clemente','id' => '1266','slug' => 'cuevas-de-san-clemente','latitude' => '42.129919','longitude' => '-3.5685814'),
        array('province_id' => '9','town' => 'Encío','id' => '1267','slug' => 'enco','latitude' => '42.6677666','longitude' => '-3.0845541'),
        array('province_id' => '9','town' => 'Espinosa de Cervera','id' => '1268','slug' => 'espinosa-de-cervera','latitude' => '41.8963253','longitude' => '-3.4683928'),
        array('province_id' => '9','town' => 'Espinosa de los Monteros','id' => '1269','slug' => 'espinosa-de-los-monteros','latitude' => '43.0768693','longitude' => '-3.5523008'),
        array('province_id' => '9','town' => 'Espinosa del Camino','id' => '1270','slug' => 'espinosa-del-camino','latitude' => '42.4064378','longitude' => '-3.2811494'),
        array('province_id' => '9','town' => 'Estépar','id' => '1271','slug' => 'estpar','latitude' => '42.276696','longitude' => '-3.8984896'),
        array('province_id' => '9','town' => 'Fontioso','id' => '1272','slug' => 'fontioso','latitude' => '41.9426127','longitude' => '-3.7390491'),
        array('province_id' => '9','town' => 'Frandovínez','id' => '1273','slug' => 'frandovnez','latitude' => '42.3093717','longitude' => '-3.8382412'),
        array('province_id' => '9','town' => 'Fresneda de la Sierra Tirón','id' => '1274','slug' => 'fresneda-de-la-sierra-tirn','latitude' => '42.3150331','longitude' => '-3.1350697'),
        array('province_id' => '9','town' => 'Fresneña','id' => '1275','slug' => 'fresnea','latitude' => '42.4142547','longitude' => '-3.1348034'),
        array('province_id' => '9','town' => 'Fresnillo de las Dueñas','id' => '1276','slug' => 'fresnillo-de-las-dueas','latitude' => '41.6469197','longitude' => '-3.6445594'),
        array('province_id' => '9','town' => 'Fresno de Río Tirón','id' => '1277','slug' => 'fresno-de-ro-tirn','latitude' => '42.4601987','longitude' => '-3.1749601'),
        array('province_id' => '9','town' => 'Fresno de Rodilla','id' => '1278','slug' => 'fresno-de-rodilla','latitude' => '42.4201086','longitude' => '-3.4851784'),
        array('province_id' => '9','town' => 'Frías','id' => '1279','slug' => 'fras','latitude' => '42.761479','longitude' => '-3.2943525'),
        array('province_id' => '9','town' => 'Fuentebureba','id' => '1280','slug' => 'fuentebureba','latitude' => '42.6340321','longitude' => '-3.2349025'),
        array('province_id' => '9','town' => 'Fuentecén','id' => '1281','slug' => 'fuentecn','latitude' => '41.6285941','longitude' => '-3.8696208'),
        array('province_id' => '9','town' => 'Fuentelcésped','id' => '1282','slug' => 'fuentelcsped','latitude' => '41.5912225','longitude' => '-3.6407368'),
        array('province_id' => '9','town' => 'Fuentelisendo','id' => '1283','slug' => 'fuentelisendo','latitude' => '41.6224012','longitude' => '-3.9019746'),
        array('province_id' => '9','town' => 'Fuentemolinos','id' => '1284','slug' => 'fuentemolinos','latitude' => '41.6055108','longitude' => '-3.849833'),
        array('province_id' => '9','town' => 'Fuentenebro','id' => '1285','slug' => 'fuentenebro','latitude' => '41.5253292','longitude' => '-3.75369'),
        array('province_id' => '9','town' => 'Fuentespina','id' => '1286','slug' => 'fuentespina','latitude' => '41.6316763','longitude' => '-3.686191'),
        array('province_id' => '9','town' => 'Galbarros','id' => '1287','slug' => 'galbarros','latitude' => '42.5278954','longitude' => '-3.4379258'),
        array('province_id' => '9','town' => 'Gallega, La','id' => '1288','slug' => 'gallega-la','latitude' => '41.8986558','longitude' => '-3.2640396'),
        array('province_id' => '9','town' => 'Grijalba','id' => '1289','slug' => 'grijalba','latitude' => '42.429951','longitude' => '-4.1189973'),
        array('province_id' => '9','town' => 'Grisaleña','id' => '1290','slug' => 'grisalea','latitude' => '42.5909213','longitude' => '-3.26404'),
        array('province_id' => '9','town' => 'Gumiel de Izán','id' => '1291','slug' => 'gumiel-de-izn','latitude' => '41.7733942','longitude' => '-3.6882417'),
        array('province_id' => '9','town' => 'Gumiel de Mercado','id' => '1292','slug' => 'gumiel-de-mercado','latitude' => '41.7560836','longitude' => '-3.8021075'),
        array('province_id' => '9','town' => 'Hacinas','id' => '1293','slug' => 'hacinas','latitude' => '41.9851955','longitude' => '-3.2870495'),
        array('province_id' => '9','town' => 'Haza','id' => '1294','slug' => 'haza','latitude' => '41.6214198','longitude' => '-3.8294523'),
        array('province_id' => '9','town' => 'Hontanas','id' => '1295','slug' => 'hontanas','latitude' => '42.3130262','longitude' => '-4.045938'),
        array('province_id' => '9','town' => 'Hontangas','id' => '1296','slug' => 'hontangas','latitude' => '41.5826871','longitude' => '-3.7963038'),
        array('province_id' => '9','town' => 'Hontoria de la Cantera','id' => '1297','slug' => 'hontoria-de-la-cantera','latitude' => '42.189129','longitude' => '-3.6435856'),
        array('province_id' => '9','town' => 'Hontoria de Valdearados','id' => '1298','slug' => 'hontoria-de-valdearados','latitude' => '41.7444465','longitude' => '-3.5202284'),
        array('province_id' => '9','town' => 'Hontoria del Pinar','id' => '1299','slug' => 'hontoria-del-pinar','latitude' => '41.8485986','longitude' => '-3.1623019'),
        array('province_id' => '9','town' => 'Hormazas, Las','id' => '1300','slug' => 'hormazas-las','latitude' => '42.515','longitude' => '-3.8961111'),
        array('province_id' => '9','town' => 'Hornillos del Camino','id' => '1301','slug' => 'hornillos-del-camino','latitude' => '42.3383047','longitude' => '-3.9253569'),
        array('province_id' => '9','town' => 'Horra, La','id' => '1302','slug' => 'horra-la','latitude' => '41.740883','longitude' => '-3.8752664'),
        array('province_id' => '9','town' => 'Hortigüela','id' => '1303','slug' => 'hortigela','latitude' => '42.0680988','longitude' => '-3.4255036'),
        array('province_id' => '9','town' => 'Hoyales de Roa','id' => '1304','slug' => 'hoyales-de-roa','latitude' => '41.6589124','longitude' => '-3.8629952'),
        array('province_id' => '9','town' => 'Huérmeces','id' => '1305','slug' => 'hurmeces','latitude' => '42.5216959','longitude' => '-3.7716404'),
        array('province_id' => '9','town' => 'Huerta de Arriba','id' => '1306','slug' => 'huerta-de-arriba','latitude' => '42.1163453','longitude' => '-3.0821389'),
        array('province_id' => '9','town' => 'Huerta de Rey','id' => '1307','slug' => 'huerta-de-rey','latitude' => '41.8398782','longitude' => '-3.3491267'),
        array('province_id' => '9','town' => 'Humada','id' => '1308','slug' => 'humada','latitude' => '42.6682246','longitude' => '-4.0834437'),
        array('province_id' => '9','town' => 'Hurones','id' => '1309','slug' => 'hurones','latitude' => '42.4061452','longitude' => '-3.6139217'),
        array('province_id' => '9','town' => 'Ibeas de Juarros','id' => '1310','slug' => 'ibeas-de-juarros','latitude' => '42.3312399','longitude' => '-3.5354948'),
        array('province_id' => '9','town' => 'Ibrillos','id' => '1311','slug' => 'ibrillos','latitude' => '42.4540682','longitude' => '-3.0830996'),
        array('province_id' => '9','town' => 'Iglesiarrubia','id' => '1312','slug' => 'iglesiarrubia','latitude' => '41.9743148','longitude' => '-3.8467593'),
        array('province_id' => '9','town' => 'Iglesias','id' => '1313','slug' => 'iglesias','latitude' => '42.2979547','longitude' => '-3.9900409'),
        array('province_id' => '9','town' => 'Isar','id' => '1314','slug' => 'isar','latitude' => '42.3618453','longitude' => '-3.9302881'),
        array('province_id' => '9','town' => 'Itero del Castillo','id' => '1315','slug' => 'itero-del-castillo','latitude' => '42.2894043','longitude' => '-4.2444138'),
        array('province_id' => '9','town' => 'Jaramillo de la Fuente','id' => '1316','slug' => 'jaramillo-de-la-fuente','latitude' => '42.1148691','longitude' => '-3.3127341'),
        array('province_id' => '9','town' => 'Jaramillo Quemado','id' => '1317','slug' => 'jaramillo-quemado','latitude' => '42.0848304','longitude' => '-3.3609127'),
        array('province_id' => '9','town' => 'Junta de Traslaloma','id' => '1318','slug' => 'junta-de-traslaloma','latitude' => '43.0369445','longitude' => '-3.3894445'),
        array('province_id' => '9','town' => 'Junta de Villalba de Losa','id' => '1319','slug' => 'junta-de-villalba-de-losa','latitude' => '42.9353657','longitude' => '-3.0871309'),
        array('province_id' => '9','town' => 'Jurisdicción de Lara','id' => '1320','slug' => 'jurisdiccin-de-lara','latitude' => '42.1347222','longitude' => '-3.4497222'),
        array('province_id' => '9','town' => 'Jurisdicción de San Zadornil','id' => '1321','slug' => 'jurisdiccin-de-san-zadornil','latitude' => '42.841426','longitude' => '-3.1577427'),
        array('province_id' => '9','town' => 'Lerma','id' => '1322','slug' => 'lerma','latitude' => '42.0258243','longitude' => '-3.7559596'),
        array('province_id' => '9','town' => 'Llano de Bureba','id' => '1323','slug' => 'llano-de-bureba','latitude' => '42.6243646','longitude' => '-3.4590926'),
        array('province_id' => '9','town' => 'Madrigal del Monte','id' => '1324','slug' => 'madrigal-del-monte','latitude' => '42.1444935','longitude' => '-3.6755121'),
        array('province_id' => '9','town' => 'Madrigalejo del Monte','id' => '1325','slug' => 'madrigalejo-del-monte','latitude' => '42.1245842','longitude' => '-3.7254591'),
        array('province_id' => '9','town' => 'Mahamud','id' => '1326','slug' => 'mahamud','latitude' => '42.1198821','longitude' => '-3.9408404'),
        array('province_id' => '9','town' => 'Mambrilla de Castrejón','id' => '1327','slug' => 'mambrilla-de-castrejn','latitude' => '41.6670838','longitude' => '-3.9847269'),
        array('province_id' => '9','town' => 'Mambrillas de Lara','id' => '1328','slug' => 'mambrillas-de-lara','latitude' => '42.0943716','longitude' => '-3.4617269'),
        array('province_id' => '9','town' => 'Mamolar','id' => '1329','slug' => 'mamolar','latitude' => '41.9268865','longitude' => '-3.361871'),
        array('province_id' => '9','town' => 'Manciles','id' => '1330','slug' => 'manciles','latitude' => '42.4558028','longitude' => '-3.9442778'),
        array('province_id' => '9','town' => 'Mazuela','id' => '1331','slug' => 'mazuela','latitude' => '42.206723','longitude' => '-3.9182133'),
        array('province_id' => '9','town' => 'Mecerreyes','id' => '1332','slug' => 'mecerreyes','latitude' => '42.0954014','longitude' => '-3.5737412'),
        array('province_id' => '9','town' => 'Medina de Pomar','id' => '1333','slug' => 'medina-de-pomar','latitude' => '42.928368','longitude' => '-3.4872235'),
        array('province_id' => '9','town' => 'Melgar de Fernamental','id' => '1334','slug' => 'melgar-de-fernamental','latitude' => '42.4035238','longitude' => '-4.2445189'),
        array('province_id' => '9','town' => 'Merindad de Cuesta-Urria','id' => '1335','slug' => 'merindad-de-cuesta-urria','latitude' => '42.9','longitude' => '-3.3916667'),
        array('province_id' => '9','town' => 'Merindad de Montija','id' => '1336','slug' => 'merindad-de-montija','latitude' => '43.0920716','longitude' => '-3.4340203'),
        array('province_id' => '9','town' => 'Merindad de Río Ubierna','id' => '1337','slug' => 'merindad-de-ro-ubierna','latitude' => '42.6166667','longitude' => '-3.65'),
        array('province_id' => '9','town' => 'Merindad de Sotoscueva','id' => '1338','slug' => 'merindad-de-sotoscueva','latitude' => '43.0587747','longitude' => '-3.642048'),
        array('province_id' => '9','town' => 'Merindad de Valdeporres','id' => '1339','slug' => 'merindad-de-valdeporres','latitude' => '43.0205556','longitude' => '-3.7686111'),
        array('province_id' => '9','town' => 'Merindad de Valdivielso','id' => '1340','slug' => 'merindad-de-valdivielso','latitude' => '42.82','longitude' => '-3.536'),
        array('province_id' => '9','town' => 'Milagros','id' => '1341','slug' => 'milagros','latitude' => '41.5755473','longitude' => '-3.6991675'),
        array('province_id' => '9','town' => 'Miranda de Ebro','id' => '1342','slug' => 'miranda-de-ebro','latitude' => '42.6873453','longitude' => '-2.9475934'),
        array('province_id' => '9','town' => 'Miraveche','id' => '1343','slug' => 'miraveche','latitude' => '42.6747132','longitude' => '-3.1996097'),
        array('province_id' => '9','town' => 'Modúbar de la Emparedada','id' => '1344','slug' => 'modbar-de-la-emparedada','latitude' => '42.2601198','longitude' => '-3.6599111'),
        array('province_id' => '9','town' => 'Monasterio de la Sierra','id' => '1345','slug' => 'monasterio-de-la-sierra','latitude' => '42.0513104','longitude' => '-3.193589'),
        array('province_id' => '9','town' => 'Monasterio de Rodilla','id' => '1346','slug' => 'monasterio-de-rodilla','latitude' => '42.4577076','longitude' => '-3.4688877'),
        array('province_id' => '9','town' => 'Moncalvillo','id' => '1347','slug' => 'moncalvillo','latitude' => '41.9551948','longitude' => '-3.199341'),
        array('province_id' => '9','town' => 'Monterrubio de la Demanda','id' => '1348','slug' => 'monterrubio-de-la-demanda','latitude' => '42.1481033','longitude' => '-3.1126345'),
        array('province_id' => '9','town' => 'Montorio','id' => '1349','slug' => 'montorio','latitude' => '42.5846751','longitude' => '-3.7765807'),
        array('province_id' => '9','town' => 'Moradillo de Roa','id' => '1350','slug' => 'moradillo-de-roa','latitude' => '41.5519628','longitude' => '-3.7918711'),
        array('province_id' => '9','town' => 'Nava de Roa','id' => '1351','slug' => 'nava-de-roa','latitude' => '41.6138325','longitude' => '-3.9652312'),
        array('province_id' => '9','town' => 'Navas de Bureba','id' => '1352','slug' => 'navas-de-bureba','latitude' => '42.6823723','longitude' => '-3.3267696'),
        array('province_id' => '9','town' => 'Nebreda','id' => '1353','slug' => 'nebreda','latitude' => '41.968591','longitude' => '-3.6339198'),
        array('province_id' => '9','town' => 'Neila','id' => '1354','slug' => 'neila','latitude' => '42.0598435','longitude' => '-2.9971842'),
        array('province_id' => '9','town' => 'Olmedillo de Roa','id' => '1355','slug' => 'olmedillo-de-roa','latitude' => '41.7831914','longitude' => '-3.934045'),
        array('province_id' => '9','town' => 'Olmillos de Muñó','id' => '1356','slug' => 'olmillos-de-mu','latitude' => '42.20261','longitude' => '-3.9403434'),
        array('province_id' => '9','town' => 'Oña','id' => '1357','slug' => 'oa','latitude' => '42.734782','longitude' => '-3.4140717'),
        array('province_id' => '9','town' => 'Oquillas','id' => '1358','slug' => 'oquillas','latitude' => '41.8316951','longitude' => '-3.7036522'),
        array('province_id' => '9','town' => 'Orbaneja Riopico','id' => '1359','slug' => 'orbaneja-riopico','latitude' => '42.3602291','longitude' => '-3.5835816'),
        array('province_id' => '9','town' => 'Padilla de Abajo','id' => '1360','slug' => 'padilla-de-abajo','latitude' => '42.4078089','longitude' => '-4.1767306'),
        array('province_id' => '9','town' => 'Padilla de Arriba','id' => '1361','slug' => 'padilla-de-arriba','latitude' => '42.4382054','longitude' => '-4.1947772'),
        array('province_id' => '9','town' => 'Padrones de Bureba','id' => '1362','slug' => 'padrones-de-bureba','latitude' => '42.7048975','longitude' => '-3.532114'),
        array('province_id' => '9','town' => 'Palacios de la Sierra','id' => '1363','slug' => 'palacios-de-la-sierra','latitude' => '41.9635936','longitude' => '-3.1262631'),
        array('province_id' => '9','town' => 'Palacios de Riopisuerga','id' => '1364','slug' => 'palacios-de-riopisuerga','latitude' => '42.343756','longitude' => '-4.2569884'),
        array('province_id' => '9','town' => 'Palazuelos de la Sierra','id' => '1365','slug' => 'palazuelos-de-la-sierra','latitude' => '42.2118139','longitude' => '-3.4599251'),
        array('province_id' => '9','town' => 'Palazuelos de Muñó','id' => '1366','slug' => 'palazuelos-de-mu','latitude' => '42.1964711','longitude' => '-3.9883741'),
        array('province_id' => '9','town' => 'Pampliega','id' => '1367','slug' => 'pampliega','latitude' => '42.2059076','longitude' => '-3.9875874'),
        array('province_id' => '9','town' => 'Pancorbo','id' => '1368','slug' => 'pancorbo','latitude' => '42.635244','longitude' => '-3.1105863'),
        array('province_id' => '9','town' => 'Pardilla','id' => '1369','slug' => 'pardilla','latitude' => '41.5506325','longitude' => '-3.7102327'),
        array('province_id' => '9','town' => 'Partido de la Sierra en Tobalina','id' => '1370','slug' => 'partido-de-la-sierra-en-tobalina','latitude' => '42.7166667','longitude' => '-3.2333333'),
        array('province_id' => '9','town' => 'Pedrosa de Duero','id' => '1371','slug' => 'pedrosa-de-duero','latitude' => '41.7118409','longitude' => '-3.9870981'),
        array('province_id' => '9','town' => 'Pedrosa de Río Úrbel','id' => '1372','slug' => 'pedrosa-de-ro-rbel','latitude' => '42.4097091','longitude' => '-3.8213243'),
        array('province_id' => '9','town' => 'Pedrosa del Páramo','id' => '1373','slug' => 'pedrosa-del-pramo','latitude' => '42.4422374','longitude' => '-3.9727686'),
        array('province_id' => '9','town' => 'Pedrosa del Príncipe','id' => '1374','slug' => 'pedrosa-del-prncipe','latitude' => '42.2492444','longitude' => '-4.198915'),
        array('province_id' => '9','town' => 'Peñaranda de Duero','id' => '1375','slug' => 'pearanda-de-duero','latitude' => '41.6887618','longitude' => '-3.4802972'),
        array('province_id' => '9','town' => 'Peral de Arlanza','id' => '1376','slug' => 'peral-de-arlanza','latitude' => '42.0760305','longitude' => '-4.0775123'),
        array('province_id' => '9','town' => 'Piérnigas','id' => '1377','slug' => 'pirnigas','latitude' => '42.5900764','longitude' => '-3.4128036'),
        array('province_id' => '9','town' => 'Pineda de la Sierra','id' => '1378','slug' => 'pineda-de-la-sierra','latitude' => '42.2159591','longitude' => '-3.2973703'),
        array('province_id' => '9','town' => 'Pineda Trasmonte','id' => '1379','slug' => 'pineda-trasmonte','latitude' => '41.9088065','longitude' => '-3.6956279'),
        array('province_id' => '9','town' => 'Pinilla de los Barruecos','id' => '1380','slug' => 'pinilla-de-los-barruecos','latitude' => '41.9189056','longitude' => '-3.305166'),
        array('province_id' => '9','town' => 'Pinilla de los Moros','id' => '1381','slug' => 'pinilla-de-los-moros','latitude' => '42.0680186','longitude' => '-3.3273114'),
        array('province_id' => '9','town' => 'Pinilla Trasmonte','id' => '1382','slug' => 'pinilla-trasmonte','latitude' => '41.8734799','longitude' => '-3.6200328'),
        array('province_id' => '9','town' => 'Poza de la Sal','id' => '1383','slug' => 'poza-de-la-sal','latitude' => '42.6654205','longitude' => '-3.5011624'),
        array('province_id' => '9','town' => 'Prádanos de Bureba','id' => '1384','slug' => 'prdanos-de-bureba','latitude' => '42.5023005','longitude' => '-3.3476422'),
        array('province_id' => '9','town' => 'Pradoluengo','id' => '1385','slug' => 'pradoluengo','latitude' => '42.3237003','longitude' => '-3.200787'),
        array('province_id' => '9','town' => 'Presencio','id' => '1386','slug' => 'presencio','latitude' => '42.1867536','longitude' => '-3.9019663'),
        array('province_id' => '9','town' => 'Puebla de Arganzón, La','id' => '1387','slug' => 'puebla-de-arganzn-la','latitude' => '42.7662772','longitude' => '-2.8315376'),
        array('province_id' => '9','town' => 'Puentedura','id' => '1388','slug' => 'puentedura','latitude' => '42.0416681','longitude' => '-3.5829517'),
        array('province_id' => '9','town' => 'Quemada','id' => '1389','slug' => 'quemada','latitude' => '41.7004467','longitude' => '-3.5749278'),
        array('province_id' => '9','town' => 'Quintana del Pidio','id' => '1390','slug' => 'quintana-del-pidio','latitude' => '41.7596015','longitude' => '-3.7515692'),
        array('province_id' => '9','town' => 'Quintanabureba','id' => '1391','slug' => 'quintanabureba','latitude' => '42.5869184','longitude' => '-3.3666659'),
        array('province_id' => '9','town' => 'Quintanaélez','id' => '1392','slug' => 'quintanalez','latitude' => '42.6687017','longitude' => '-3.2991888'),
        array('province_id' => '9','town' => 'Quintanaortuño','id' => '1393','slug' => 'quintanaortuo','latitude' => '42.4499374','longitude' => '-3.6837783'),
        array('province_id' => '9','town' => 'Quintanapalla','id' => '1394','slug' => 'quintanapalla','latitude' => '42.4083484','longitude' => '-3.5342446'),
        array('province_id' => '9','town' => 'Quintanar de la Sierra','id' => '1395','slug' => 'quintanar-de-la-sierra','latitude' => '41.9813289','longitude' => '-3.0407018'),
        array('province_id' => '9','town' => 'Quintanavides','id' => '1396','slug' => 'quintanavides','latitude' => '42.4814234','longitude' => '-3.4249775'),
        array('province_id' => '9','town' => 'Quintanilla de la Mata','id' => '1397','slug' => 'quintanilla-de-la-mata','latitude' => '41.9886182','longitude' => '-3.7677901'),
        array('province_id' => '9','town' => 'Quintanilla del Agua y Tordueles','id' => '1398','slug' => 'quintanilla-del-agua-y-tordueles','latitude' => '42.0411037','longitude' => '-3.6520409'),
        array('province_id' => '9','town' => 'Quintanilla del Coco','id' => '1399','slug' => 'quintanilla-del-coco','latitude' => '41.9792315','longitude' => '-3.5167226'),
        array('province_id' => '9','town' => 'Quintanilla San García','id' => '1400','slug' => 'quintanilla-san-garca','latitude' => '42.5491871','longitude' => '-3.193922'),
        array('province_id' => '9','town' => 'Quintanilla Vivar','id' => '1401','slug' => 'quintanilla-vivar','latitude' => '42.4234136','longitude' => '-3.6781221'),
        array('province_id' => '9','town' => 'Quintanillas, Las','id' => '1402','slug' => 'quintanillas-las','latitude' => '42.3612525','longitude' => '-3.7731289'),
        array('province_id' => '9','town' => 'Rabanera del Pinar','id' => '1403','slug' => 'rabanera-del-pinar','latitude' => '41.8926692','longitude' => '-3.1942499'),
        array('province_id' => '9','town' => 'Rábanos','id' => '1404','slug' => 'rbanos','latitude' => '42.3197994','longitude' => '-3.2701145'),
        array('province_id' => '9','town' => 'Rabé de las Calzadas','id' => '1405','slug' => 'rab-de-las-calzadas','latitude' => '42.3401725','longitude' => '-3.8342204'),
        array('province_id' => '9','town' => 'Rebolledo de la Torre','id' => '1406','slug' => 'rebolledo-de-la-torre','latitude' => '42.6871967','longitude' => '-4.2273461'),
        array('province_id' => '9','town' => 'Redecilla del Camino','id' => '1407','slug' => 'redecilla-del-camino','latitude' => '42.438156','longitude' => '-3.0650575'),
        array('province_id' => '9','town' => 'Redecilla del Campo','id' => '1408','slug' => 'redecilla-del-campo','latitude' => '42.4667855','longitude' => '-3.1151672'),
        array('province_id' => '9','town' => 'Regumiel de la Sierra','id' => '1409','slug' => 'regumiel-de-la-sierra','latitude' => '41.955929','longitude' => '-2.9878156'),
        array('province_id' => '9','town' => 'Reinoso','id' => '1410','slug' => 'reinoso','latitude' => '42.511334','longitude' => '-3.381955'),
        array('province_id' => '9','town' => 'Retuerta','id' => '1411','slug' => 'retuerta','latitude' => '42.0299544','longitude' => '-3.5077481'),
        array('province_id' => '9','town' => 'Revilla del Campo','id' => '1412','slug' => 'revilla-del-campo','latitude' => '42.2115436','longitude' => '-3.5373997'),
        array('province_id' => '9','town' => 'Revilla Vallejera','id' => '1413','slug' => 'revilla-vallejera','latitude' => '42.1472197','longitude' => '-4.1342376'),
        array('province_id' => '9','town' => 'Revilla y Ahedo, La','id' => '1414','slug' => 'revilla-y-ahedo-la','latitude' => '41.9982686','longitude' => '-3.3519266'),
        array('province_id' => '9','town' => 'Revillarruz','id' => '1415','slug' => 'revillarruz','latitude' => '42.230751','longitude' => '-3.6537996'),
        array('province_id' => '9','town' => 'Rezmondo','id' => '1416','slug' => 'rezmondo','latitude' => '42.5159574','longitude' => '-4.2386186'),
        array('province_id' => '9','town' => 'Riocavado de la Sierra','id' => '1417','slug' => 'riocavado-de-la-sierra','latitude' => '42.1521778','longitude' => '-3.1981716'),
        array('province_id' => '9','town' => 'Roa','id' => '1418','slug' => 'roa','latitude' => '41.6971042','longitude' => '-3.9280052'),
        array('province_id' => '9','town' => 'Rojas','id' => '1419','slug' => 'rojas','latitude' => '42.5776939','longitude' => '-3.4408997'),
        array('province_id' => '9','town' => 'Royuela de Río Franco','id' => '1420','slug' => 'royuela-de-ro-franco','latitude' => '41.9968091','longitude' => '-3.9568689'),
        array('province_id' => '9','town' => 'Rubena','id' => '1421','slug' => 'rubena','latitude' => '42.3878102','longitude' => '-3.5742964'),
        array('province_id' => '9','town' => 'Rublacedo de Abajo','id' => '1422','slug' => 'rublacedo-de-abajo','latitude' => '42.5532246','longitude' => '-3.5022272'),
        array('province_id' => '9','town' => 'Rucandio','id' => '1423','slug' => 'rucandio','latitude' => '42.7517209','longitude' => '-3.5424798'),
        array('province_id' => '9','town' => 'Salas de Bureba','id' => '1424','slug' => 'salas-de-bureba','latitude' => '42.6919364','longitude' => '-3.4739879'),
        array('province_id' => '9','town' => 'Salas de los Infantes','id' => '1425','slug' => 'salas-de-los-infantes','latitude' => '42.0232709','longitude' => '-3.2864378'),
        array('province_id' => '9','town' => 'Saldaña de Burgos','id' => '1426','slug' => 'saldaa-de-burgos','latitude' => '42.2592489','longitude' => '-3.6977335'),
        array('province_id' => '9','town' => 'Salinillas de Bureba','id' => '1427','slug' => 'salinillas-de-bureba','latitude' => '42.5531486','longitude' => '-3.386741'),
        array('province_id' => '9','town' => 'San Adrián de Juarros','id' => '1428','slug' => 'san-adrin-de-juarros','latitude' => '42.2742051','longitude' => '-3.4751248'),
        array('province_id' => '9','town' => 'San Juan del Monte','id' => '1429','slug' => 'san-juan-del-monte','latitude' => '41.6843997','longitude' => '-3.521135'),
        array('province_id' => '9','town' => 'San Mamés de Burgos','id' => '1430','slug' => 'san-mams-de-burgos','latitude' => '42.3374458','longitude' => '-3.7941073'),
        array('province_id' => '9','town' => 'San Martín de Rubiales','id' => '1431','slug' => 'san-martn-de-rubiales','latitude' => '41.6425588','longitude' => '-3.9934531'),
        array('province_id' => '9','town' => 'San Millán de Lara','id' => '1432','slug' => 'san-milln-de-lara','latitude' => '42.1365291','longitude' => '-3.3457954'),
        array('province_id' => '9','town' => 'San Vicente del Valle','id' => '1433','slug' => 'san-vicente-del-valle','latitude' => '42.3372036','longitude' => '-3.1621951'),
        array('province_id' => '9','town' => 'Santa Cecilia','id' => '1434','slug' => 'santa-cecilia','latitude' => '42.0521893','longitude' => '-3.8031757'),
        array('province_id' => '9','town' => 'Santa Cruz de la Salceda','id' => '1435','slug' => 'santa-cruz-de-la-salceda','latitude' => '41.5947854','longitude' => '-3.5947563'),
        array('province_id' => '9','town' => 'Santa Cruz del Valle Urbión','id' => '1436','slug' => 'santa-cruz-del-valle-urbin','latitude' => '42.3028579','longitude' => '-3.2219204'),
        array('province_id' => '9','town' => 'Santa Gadea del Cid','id' => '1437','slug' => 'santa-gadea-del-cid','latitude' => '42.7154259','longitude' => '-3.059203'),
        array('province_id' => '9','town' => 'Santa Inés','id' => '1438','slug' => 'santa-ins','latitude' => '42.0394535','longitude' => '-3.7026858'),
        array('province_id' => '9','town' => 'Santa María del Campo','id' => '1439','slug' => 'santa-mara-del-campo','latitude' => '42.132174','longitude' => '-3.9744212'),
        array('province_id' => '9','town' => 'Santa María del Invierno','id' => '1440','slug' => 'santa-mara-del-invierno','latitude' => '42.4427834','longitude' => '-3.4377319'),
        array('province_id' => '9','town' => 'Santa María del Mercadillo','id' => '1441','slug' => 'santa-mara-del-mercadillo','latitude' => '41.8599553','longitude' => '-3.5590216'),
        array('province_id' => '9','town' => 'Santa María Rivarredonda','id' => '1442','slug' => 'santa-mara-rivarredonda','latitude' => '42.6401041','longitude' => '-3.1800486'),
        array('province_id' => '9','town' => 'Santa Olalla de Bureba','id' => '1443','slug' => 'santa-olalla-de-bureba','latitude' => '42.4762216','longitude' => '-3.4408821'),
        array('province_id' => '9','town' => 'Santibáñez de Esgueva','id' => '1444','slug' => 'santibez-de-esgueva','latitude' => '41.8335325','longitude' => '-3.7588698'),
        array('province_id' => '9','town' => 'Santibáñez del Val','id' => '1445','slug' => 'santibez-del-val','latitude' => '41.9740758','longitude' => '-3.4805644'),
        array('province_id' => '9','town' => 'Santo Domingo de Silos','id' => '1446','slug' => 'santo-domingo-de-silos','latitude' => '41.9623798','longitude' => '-3.4197335'),
        array('province_id' => '9','town' => 'Sargentes de la Lora','id' => '1447','slug' => 'sargentes-de-la-lora','latitude' => '42.7692261','longitude' => '-3.8728262'),
        array('province_id' => '9','town' => 'Sarracín','id' => '1448','slug' => 'sarracn','latitude' => '42.2574605','longitude' => '-3.6853544'),
        array('province_id' => '9','town' => 'Sasamón','id' => '1449','slug' => 'sasamn','latitude' => '42.4178424','longitude' => '-4.043491'),
        array('province_id' => '9','town' => 'Sequera de Haza, La','id' => '1450','slug' => 'sequera-de-haza-la','latitude' => '41.5636389','longitude' => '-3.8171778'),
        array('province_id' => '9','town' => 'Solarana','id' => '1451','slug' => 'solarana','latitude' => '41.9700222','longitude' => '-3.6601416'),
        array('province_id' => '9','town' => 'Sordillos','id' => '1452','slug' => 'sordillos','latitude' => '42.4618107','longitude' => '-4.1070787'),
        array('province_id' => '9','town' => 'Sotillo de la Ribera','id' => '1453','slug' => 'sotillo-de-la-ribera','latitude' => '41.7768622','longitude' => '-3.8261218'),
        array('province_id' => '9','town' => 'Sotragero','id' => '1454','slug' => 'sotragero','latitude' => '42.4099534','longitude' => '-3.7131813'),
        array('province_id' => '9','town' => 'Sotresgudo','id' => '1455','slug' => 'sotresgudo','latitude' => '42.5783297','longitude' => '-4.177177'),
        array('province_id' => '9','town' => 'Susinos del Páramo','id' => '1456','slug' => 'susinos-del-pramo','latitude' => '42.471242','longitude' => '-3.925125'),
        array('province_id' => '9','town' => 'Tamarón','id' => '1457','slug' => 'tamarn','latitude' => '42.2727189','longitude' => '-3.9909914'),
        array('province_id' => '9','town' => 'Tardajos','id' => '1458','slug' => 'tardajos','latitude' => '42.3473488','longitude' => '-3.8194106'),
        array('province_id' => '9','town' => 'Tejada','id' => '1459','slug' => 'tejada','latitude' => '41.9524122','longitude' => '-3.5361478'),
        array('province_id' => '9','town' => 'Terradillos de Esgueva','id' => '1460','slug' => 'terradillos-de-esgueva','latitude' => '41.819189','longitude' => '-3.8428881'),
        array('province_id' => '9','town' => 'Tinieblas de la Sierra','id' => '1461','slug' => 'tinieblas-de-la-sierra','latitude' => '42.1725593','longitude' => '-3.3633171'),
        array('province_id' => '9','town' => 'Tobar','id' => '1462','slug' => 'tobar','latitude' => '42.4838674','longitude' => '-3.9386031'),
        array('province_id' => '9','town' => 'Tordómar','id' => '1463','slug' => 'tordmar','latitude' => '42.0458703','longitude' => '-3.8647273'),
        array('province_id' => '9','town' => 'Torrecilla del Monte','id' => '1464','slug' => 'torrecilla-del-monte','latitude' => '42.0938552','longitude' => '-3.6942693'),
        array('province_id' => '9','town' => 'Torregalindo','id' => '1465','slug' => 'torregalindo','latitude' => '41.5822385','longitude' => '-3.7535721'),
        array('province_id' => '9','town' => 'Torrelara','id' => '1466','slug' => 'torrelara','latitude' => '42.1660757','longitude' => '-3.5165333'),
        array('province_id' => '9','town' => 'Torrepadre','id' => '1467','slug' => 'torrepadre','latitude' => '42.0436185','longitude' => '-3.936996'),
        array('province_id' => '9','town' => 'Torresandino','id' => '1468','slug' => 'torresandino','latitude' => '41.8294548','longitude' => '-3.9100119'),
        array('province_id' => '9','town' => 'Tórtoles de Esgueva','id' => '1469','slug' => 'trtoles-de-esgueva','latitude' => '41.816521','longitude' => '-4.0209426'),
        array('province_id' => '9','town' => 'Tosantos','id' => '1470','slug' => 'tosantos','latitude' => '42.4138627','longitude' => '-3.2435475'),
        array('province_id' => '9','town' => 'Trespaderne','id' => '1471','slug' => 'trespaderne','latitude' => '42.8019033','longitude' => '-3.3914551'),
        array('province_id' => '9','town' => 'Tubilla del Agua','id' => '1472','slug' => 'tubilla-del-agua','latitude' => '42.7091295','longitude' => '-3.8036445'),
        array('province_id' => '9','town' => 'Tubilla del Lago','id' => '1473','slug' => 'tubilla-del-lago','latitude' => '41.8014601','longitude' => '-3.586656'),
        array('province_id' => '9','town' => 'Úrbel del Castillo','id' => '1474','slug' => 'rbel-del-castillo','latitude' => '42.6200233','longitude' => '-3.8437108'),
        array('province_id' => '9','town' => 'Vadocondes','id' => '1475','slug' => 'vadocondes','latitude' => '41.6394475','longitude' => '-3.5737071'),
        array('province_id' => '9','town' => 'Valdeande','id' => '1476','slug' => 'valdeande','latitude' => '41.8343386','longitude' => '-3.5277927'),
        array('province_id' => '9','town' => 'Valdezate','id' => '1477','slug' => 'valdezate','latitude' => '41.6015502','longitude' => '-3.9305778'),
        array('province_id' => '9','town' => 'Valdorros','id' => '1478','slug' => 'valdorros','latitude' => '42.1722188','longitude' => '-3.7089138'),
        array('province_id' => '9','town' => 'Vallarta de Bureba','id' => '1479','slug' => 'vallarta-de-bureba','latitude' => '42.5882617','longitude' => '-3.2049017'),
        array('province_id' => '9','town' => 'Valle de las Navas','id' => '1480','slug' => 'valle-de-las-navas','latitude' => '42.454798','longitude' => '-3.636721'),
        array('province_id' => '9','town' => 'Valle de Losa','id' => '1481','slug' => 'valle-de-losa','latitude' => '42.9866667','longitude' => '-3.2191667'),
        array('province_id' => '9','town' => 'Valle de Manzanedo','id' => '1482','slug' => 'valle-de-manzanedo','latitude' => '42.8989494','longitude' => '-3.6906771'),
        array('province_id' => '9','town' => 'Valle de Mena','id' => '1483','slug' => 'valle-de-mena','latitude' => '43.1','longitude' => '-3.2833333'),
        array('province_id' => '9','town' => 'Valle de Oca','id' => '1484','slug' => 'valle-de-oca','latitude' => '42.4333','longitude' => '-3.31667'),
        array('province_id' => '9','town' => 'Valle de Santibáñez','id' => '1485','slug' => 'valle-de-santibez','latitude' => '42.4827222','longitude' => '-3.8224722'),
        array('province_id' => '9','town' => 'Valle de Sedano','id' => '1486','slug' => 'valle-de-sedano','latitude' => '42.7154406','longitude' => '-3.7496111'),
        array('province_id' => '9','town' => 'Valle de Tobalina','id' => '1487','slug' => 'valle-de-tobalina','latitude' => '42.792','longitude' => '-3.271'),
        array('province_id' => '9','town' => 'Valle de Valdebezana','id' => '1488','slug' => 'valle-de-valdebezana','latitude' => '42.97','longitude' => '-3.81657'),
        array('province_id' => '9','town' => 'Valle de Valdelaguna','id' => '1489','slug' => 'valle-de-valdelaguna','latitude' => '42.0925972','longitude' => '-3.1325417'),
        array('province_id' => '9','town' => 'Valle de Valdelucio','id' => '1490','slug' => 'valle-de-valdelucio','latitude' => '42.718225','longitude' => '-4.0923333'),
        array('province_id' => '9','town' => 'Valle de Zamanzas','id' => '1491','slug' => 'valle-de-zamanzas','latitude' => '42.8533333','longitude' => '-3.7497222'),
        array('province_id' => '9','town' => 'Vallejera','id' => '1492','slug' => 'vallejera','latitude' => '42.1822376','longitude' => '-4.1514475'),
        array('province_id' => '9','town' => 'Valles de Palenzuela','id' => '1493','slug' => 'valles-de-palenzuela','latitude' => '42.119489','longitude' => '-4.0765565'),
        array('province_id' => '9','town' => 'Valluércanes','id' => '1494','slug' => 'vallurcanes','latitude' => '42.5730374','longitude' => '-3.1190169'),
        array('province_id' => '9','town' => 'Valmala','id' => '1495','slug' => 'valmala','latitude' => '42.3053489','longitude' => '-3.2550899'),
        array('province_id' => '9','town' => 'Vid de Bureba, La','id' => '1496','slug' => 'vid-de-bureba-la','latitude' => '42.6309051','longitude' => '-3.3006764'),
        array('province_id' => '9','town' => 'Vid y Barrios, La','id' => '1497','slug' => 'vid-y-barrios-la','latitude' => '41.629664','longitude' => '-3.490485'),
        array('province_id' => '9','town' => 'Vileña','id' => '1498','slug' => 'vilea','latitude' => '42.6220547','longitude' => '-3.3235206'),
        array('province_id' => '9','town' => 'Villadiego','id' => '1499','slug' => 'villadiego','latitude' => '42.5157478','longitude' => '-4.0100963'),
        array('province_id' => '9','town' => 'Villaescusa de Roa','id' => '1500','slug' => 'villaescusa-de-roa','latitude' => '41.7277577','longitude' => '-4.0169853'),
        array('province_id' => '9','town' => 'Villaescusa la Sombría','id' => '1501','slug' => 'villaescusa-la-sombra','latitude' => '42.4151787','longitude' => '-3.4189524'),
        array('province_id' => '9','town' => 'Villaespasa','id' => '1502','slug' => 'villaespasa','latitude' => '42.0989459','longitude' => '-3.4022586'),
        array('province_id' => '9','town' => 'Villafranca Montes de Oca','id' => '1503','slug' => 'villafranca-montes-de-oca','latitude' => '42.3865073','longitude' => '-3.3093468'),
        array('province_id' => '9','town' => 'Villafruela','id' => '1504','slug' => 'villafruela','latitude' => '41.916511','longitude' => '-3.9132883'),
        array('province_id' => '9','town' => 'Villagalijo','id' => '1505','slug' => 'villagalijo','latitude' => '42.3486273','longitude' => '-3.1919158'),
        array('province_id' => '9','town' => 'Villagonzalo Pedernales','id' => '1506','slug' => 'villagonzalo-pedernales','latitude' => '42.3013521','longitude' => '-3.7364245'),
        array('province_id' => '9','town' => 'Villahoz','id' => '1507','slug' => 'villahoz','latitude' => '42.0769295','longitude' => '-3.9125241'),
        array('province_id' => '9','town' => 'Villalba de Duero','id' => '1508','slug' => 'villalba-de-duero','latitude' => '41.6824026','longitude' => '-3.7452522'),
        array('province_id' => '9','town' => 'Villalbilla de Burgos','id' => '1509','slug' => 'villalbilla-de-burgos','latitude' => '42.3470823','longitude' => '-3.7793432'),
        array('province_id' => '9','town' => 'Villalbilla de Gumiel','id' => '1510','slug' => 'villalbilla-de-gumiel','latitude' => '41.8064236','longitude' => '-3.6262739'),
        array('province_id' => '9','town' => 'Villaldemiro','id' => '1511','slug' => 'villaldemiro','latitude' => '42.2471039','longitude' => '-3.9847376'),
        array('province_id' => '9','town' => 'Villalmanzo','id' => '1512','slug' => 'villalmanzo','latitude' => '42.0484094','longitude' => '-3.7416447'),
        array('province_id' => '9','town' => 'Villamayor de los Montes','id' => '1513','slug' => 'villamayor-de-los-montes','latitude' => '42.1057626','longitude' => '-3.7662671'),
        array('province_id' => '9','town' => 'Villamayor de Treviño','id' => '1514','slug' => 'villamayor-de-trevio','latitude' => '42.4595034','longitude' => '-4.119967'),
        array('province_id' => '9','town' => 'Villambistia','id' => '1515','slug' => 'villambistia','latitude' => '42.4063123','longitude' => '-3.2621684'),
        array('province_id' => '9','town' => 'Villamedianilla','id' => '1516','slug' => 'villamedianilla','latitude' => '42.1606322','longitude' => '-4.1463624'),
        array('province_id' => '9','town' => 'Villamiel de la Sierra','id' => '1517','slug' => 'villamiel-de-la-sierra','latitude' => '42.1916422','longitude' => '-3.4175903'),
        array('province_id' => '9','town' => 'Villangómez','id' => '1518','slug' => 'villangmez','latitude' => '42.1788155','longitude' => '-3.7762082'),
        array('province_id' => '9','town' => 'Villanueva de Argaño','id' => '1519','slug' => 'villanueva-de-argao','latitude' => '42.3798981','longitude' => '-3.9329704'),
        array('province_id' => '9','town' => 'Villanueva de Carazo','id' => '1520','slug' => 'villanueva-de-carazo','latitude' => '41.9832316','longitude' => '-3.3244807'),
        array('province_id' => '9','town' => 'Villanueva de Gumiel','id' => '1521','slug' => 'villanueva-de-gumiel','latitude' => '41.7372353','longitude' => '-3.6263476'),
        array('province_id' => '9','town' => 'Villanueva de Teba','id' => '1522','slug' => 'villanueva-de-teba','latitude' => '42.6491308','longitude' => '-3.162595'),
        array('province_id' => '9','town' => 'Villaquirán de la Puebla','id' => '1523','slug' => 'villaquirn-de-la-puebla','latitude' => '42.2832011','longitude' => '-4.1015573'),
        array('province_id' => '9','town' => 'Villaquirán de los Infantes','id' => '1524','slug' => 'villaquirn-de-los-infantes','latitude' => '42.2271495','longitude' => '-4.0084589'),
        array('province_id' => '9','town' => 'Villarcayo de Merindad de Castilla la Vieja','id' => '1525','slug' => 'villarcayo-de-merindad-de-castilla-la-vieja','latitude' => '42.9383037','longitude' => '-3.5729847'),
        array('province_id' => '9','town' => 'Villariezo','id' => '1526','slug' => 'villariezo','latitude' => '42.2695807','longitude' => '-3.733035'),
        array('province_id' => '9','town' => 'Villasandino','id' => '1527','slug' => 'villasandino','latitude' => '42.3722642','longitude' => '-4.1090773'),
        array('province_id' => '9','town' => 'Villasur de Herreros','id' => '1528','slug' => 'villasur-de-herreros','latitude' => '42.3082139','longitude' => '-3.3950268'),
        array('province_id' => '9','town' => 'Villatuelda','id' => '1529','slug' => 'villatuelda','latitude' => '41.8151198','longitude' => '-3.8821873'),
        array('province_id' => '9','town' => 'Villaverde del Monte','id' => '1530','slug' => 'villaverde-del-monte','latitude' => '42.1606895','longitude' => '-3.8145371'),
        array('province_id' => '9','town' => 'Villaverde-Mogina','id' => '1531','slug' => 'villaverde-mogina','latitude' => '42.1600982','longitude' => '-4.0507918'),
        array('province_id' => '9','town' => 'Villayerno Morquillas','id' => '1532','slug' => 'villayerno-morquillas','latitude' => '42.3954678','longitude' => '-3.6396124'),
        array('province_id' => '9','town' => 'Villazopeque','id' => '1533','slug' => 'villazopeque','latitude' => '42.1988469','longitude' => '-4.0164257'),
        array('province_id' => '9','town' => 'Villegas','id' => '1534','slug' => 'villegas','latitude' => '42.4675231','longitude' => '-4.0171886'),
        array('province_id' => '9','town' => 'Villoruebo','id' => '1535','slug' => 'villoruebo','latitude' => '42.1684846','longitude' => '-3.441567'),
        array('province_id' => '9','town' => 'Viloria de Rioja','id' => '1536','slug' => 'viloria-de-rioja','latitude' => '42.4257685','longitude' => '-3.100409'),
        array('province_id' => '9','town' => 'Vilviestre del Pinar','id' => '1537','slug' => 'vilviestre-del-pinar','latitude' => '41.9521754','longitude' => '-3.0781114'),
        array('province_id' => '9','town' => 'Vizcaínos','id' => '1538','slug' => 'vizcanos','latitude' => '42.101587','longitude' => '-3.267122'),
        array('province_id' => '9','town' => 'Zael','id' => '1539','slug' => 'zael','latitude' => '42.1096761','longitude' => '-3.8239256'),
        array('province_id' => '9','town' => 'Zarzosa de Río Pisuerga','id' => '1540','slug' => 'zarzosa-de-ro-pisuerga','latitude' => '42.5361678','longitude' => '-4.2688313'),
        array('province_id' => '9','town' => 'Zazuar','id' => '1541','slug' => 'zazuar','latitude' => '41.6959093','longitude' => '-3.555112'),
        array('province_id' => '9','town' => 'Zuñeda','id' => '1542','slug' => 'zueda','latitude' => '42.6044928','longitude' => '-3.2263783'),
        array('province_id' => '10','town' => 'Abadía','id' => '1543','slug' => 'abada','latitude' => '40.2600065','longitude' => '-5.9771471'),
        array('province_id' => '10','town' => 'Abertura','id' => '1544','slug' => 'abertura','latitude' => '39.2439478','longitude' => '-5.814705'),
        array('province_id' => '10','town' => 'Acebo','id' => '1545','slug' => 'acebo','latitude' => '40.2027969','longitude' => '-6.7163419'),
        array('province_id' => '10','town' => 'Acehúche','id' => '1546','slug' => 'acehche','latitude' => '39.8025665','longitude' => '-6.633866'),
        array('province_id' => '10','town' => 'Aceituna','id' => '1547','slug' => 'aceituna','latitude' => '40.1496671','longitude' => '-6.3324448'),
        array('province_id' => '10','town' => 'Ahigal','id' => '1548','slug' => 'ahigal','latitude' => '40.1902043','longitude' => '-6.1851961'),
        array('province_id' => '10','town' => 'Alagón del Río','id' => '1549','slug' => 'alagn-del-ro','latitude' => '39.9750038','longitude' => '-6.3153031'),
        array('province_id' => '10','town' => 'Albalá','id' => '1550','slug' => 'albal','latitude' => '39.2565245','longitude' => '-6.1847898'),
        array('province_id' => '10','town' => 'Alcántara','id' => '1551','slug' => 'alcntara','latitude' => '39.7191857','longitude' => '-6.8865072'),
        array('province_id' => '10','town' => 'Alcollarín','id' => '1552','slug' => 'alcollarn','latitude' => '39.2447618','longitude' => '-5.7389908'),
        array('province_id' => '10','town' => 'Alcuéscar','id' => '1553','slug' => 'alcuscar','latitude' => '39.1824648','longitude' => '-6.2289582'),
        array('province_id' => '10','town' => 'Aldea del Cano','id' => '1554','slug' => 'aldea-del-cano','latitude' => '39.2889934','longitude' => '-6.3188224'),
        array('province_id' => '10','town' => 'Aldea del Obispo, La','id' => '1555','slug' => 'aldea-del-obispo-la','latitude' => '39.566667','longitude' => '-5.916667'),
        array('province_id' => '10','town' => 'Aldeacentenera','id' => '1556','slug' => 'aldeacentenera','latitude' => '39.5273616','longitude' => '-5.6289804'),
        array('province_id' => '10','town' => 'Aldeanueva de la Vera','id' => '1557','slug' => 'aldeanueva-de-la-vera','latitude' => '40.1274024','longitude' => '-5.7016729'),
        array('province_id' => '10','town' => 'Aldeanueva del Camino','id' => '1558','slug' => 'aldeanueva-del-camino','latitude' => '40.2599756','longitude' => '-5.9280726'),
        array('province_id' => '10','town' => 'Aldehuela de Jerte','id' => '1559','slug' => 'aldehuela-de-jerte','latitude' => '40.009644','longitude' => '-6.2393112'),
        array('province_id' => '10','town' => 'Alía','id' => '1560','slug' => 'ala','latitude' => '39.448834','longitude' => '-5.2176541'),
        array('province_id' => '10','town' => 'Aliseda','id' => '1561','slug' => 'aliseda','latitude' => '39.4241231','longitude' => '-6.6913982'),
        array('province_id' => '10','town' => 'Almaraz','id' => '1562','slug' => 'almaraz','latitude' => '39.8144157','longitude' => '-5.6763817'),
        array('province_id' => '10','town' => 'Almoharín','id' => '1563','slug' => 'almoharn','latitude' => '39.1765075','longitude' => '-6.0450314'),
        array('province_id' => '10','town' => 'Arroyo de la Luz','id' => '1564','slug' => 'arroyo-de-la-luz','latitude' => '39.4863085','longitude' => '-6.5817845'),
        array('province_id' => '10','town' => 'Arroyomolinos','id' => '1565','slug' => 'arroyomolinos','latitude' => '39.1856103','longitude' => '-6.161489'),
        array('province_id' => '10','town' => 'Arroyomolinos de la Vera','id' => '1566','slug' => 'arroyomolinos-de-la-vera','latitude' => '40.0534057','longitude' => '-5.8520018'),
        array('province_id' => '10','town' => 'Baños de Montemayor','id' => '1567','slug' => 'baos-de-montemayor','latitude' => '40.3158257','longitude' => '-5.8593048'),
        array('province_id' => '10','town' => 'Barrado','id' => '1568','slug' => 'barrado','latitude' => '40.0849013','longitude' => '-5.8819548'),
        array('province_id' => '10','town' => 'Belvís de Monroy','id' => '1569','slug' => 'belvs-de-monroy','latitude' => '39.8175921','longitude' => '-5.6072209'),
        array('province_id' => '10','town' => 'Benquerencia','id' => '1570','slug' => 'benquerencia','latitude' => '39.3101255','longitude' => '-6.0843497'),
        array('province_id' => '10','town' => 'Berrocalejo','id' => '1571','slug' => 'berrocalejo','latitude' => '39.8195496','longitude' => '-5.3501972'),
        array('province_id' => '10','town' => 'Berzocana','id' => '1572','slug' => 'berzocana','latitude' => '39.4372354','longitude' => '-5.462021'),
        array('province_id' => '10','town' => 'Bohonal de Ibor','id' => '1573','slug' => 'bohonal-de-ibor','latitude' => '39.7843195','longitude' => '-5.4841801'),
        array('province_id' => '10','town' => 'Botija','id' => '1574','slug' => 'botija','latitude' => '39.3463058','longitude' => '-6.0719907'),
        array('province_id' => '10','town' => 'Brozas','id' => '1575','slug' => 'brozas','latitude' => '39.6120781','longitude' => '-6.7779352'),
        array('province_id' => '10','town' => 'Cabañas del Castillo','id' => '1576','slug' => 'cabaas-del-castillo','latitude' => '39.5475648','longitude' => '-5.5116456'),
        array('province_id' => '10','town' => 'Cabezabellosa','id' => '1577','slug' => 'cabezabellosa','latitude' => '40.1378906','longitude' => '-6.0012632'),
        array('province_id' => '10','town' => 'Cabezuela del Valle','id' => '1578','slug' => 'cabezuela-del-valle','latitude' => '40.1946221','longitude' => '-5.8071039'),
        array('province_id' => '10','town' => 'Cabrero','id' => '1579','slug' => 'cabrero','latitude' => '40.1153692','longitude' => '-5.893142'),
        array('province_id' => '10','town' => 'Cáceres','id' => '1580','slug' => 'cceres','latitude' => '39.4761789','longitude' => '-6.3707604'),
        array('province_id' => '10','town' => 'Cachorrilla','id' => '1581','slug' => 'cachorrilla','latitude' => '39.9156922','longitude' => '-6.6687566'),
        array('province_id' => '10','town' => 'Cadalso','id' => '1582','slug' => 'cadalso','latitude' => '40.2377478','longitude' => '-6.5417485'),
        array('province_id' => '10','town' => 'Calzadilla','id' => '1583','slug' => 'calzadilla','latitude' => '40.0612122','longitude' => '-6.5318476'),
        array('province_id' => '10','town' => 'Caminomorisco','id' => '1584','slug' => 'caminomorisco','latitude' => '40.3234759','longitude' => '-6.2904662'),
        array('province_id' => '10','town' => 'Campillo de Deleitosa','id' => '1585','slug' => 'campillo-de-deleitosa','latitude' => '39.7035908','longitude' => '-5.5725122'),
        array('province_id' => '10','town' => 'Campo Lugar','id' => '1586','slug' => 'campo-lugar','latitude' => '39.1956601','longitude' => '-5.7709791'),
        array('province_id' => '10','town' => 'Cañamero','id' => '1587','slug' => 'caamero','latitude' => '39.380104','longitude' => '-5.3889955'),
        array('province_id' => '10','town' => 'Cañaveral','id' => '1588','slug' => 'caaveral','latitude' => '39.7891625','longitude' => '-6.3944115'),
        array('province_id' => '10','town' => 'Carbajo','id' => '1589','slug' => 'carbajo','latitude' => '39.603108','longitude' => '-7.195372'),
        array('province_id' => '10','town' => 'Carcaboso','id' => '1590','slug' => 'carcaboso','latitude' => '40.0492335','longitude' => '-6.2138666'),
        array('province_id' => '10','town' => 'Carrascalejo','id' => '1591','slug' => 'carrascalejo','latitude' => '39.6469802','longitude' => '-5.2159792'),
        array('province_id' => '10','town' => 'Casar de Cáceres','id' => '1592','slug' => 'casar-de-cceres','latitude' => '39.5615594','longitude' => '-6.4168114'),
        array('province_id' => '10','town' => 'Casar de Palomero','id' => '1593','slug' => 'casar-de-palomero','latitude' => '40.2946411','longitude' => '-6.2569248'),
        array('province_id' => '10','town' => 'Casares de las Hurdes','id' => '1594','slug' => 'casares-de-las-hurdes','latitude' => '40.4400908','longitude' => '-6.2878645'),
        array('province_id' => '10','town' => 'Casas de Don Antonio','id' => '1595','slug' => 'casas-de-don-antonio','latitude' => '39.2344915','longitude' => '-6.2909275'),
        array('province_id' => '10','town' => 'Casas de Don Gómez','id' => '1596','slug' => 'casas-de-don-gmez','latitude' => '40.0090049','longitude' => '-6.6020177'),
        array('province_id' => '10','town' => 'Casas de Millán','id' => '1597','slug' => 'casas-de-milln','latitude' => '39.8155861','longitude' => '-6.3308756'),
        array('province_id' => '10','town' => 'Casas de Miravete','id' => '1598','slug' => 'casas-de-miravete','latitude' => '39.7262746','longitude' => '-5.745224'),
        array('province_id' => '10','town' => 'Casas del Castañar','id' => '1599','slug' => 'casas-del-castaar','latitude' => '40.1081531','longitude' => '-5.9064275'),
        array('province_id' => '10','town' => 'Casas del Monte','id' => '1600','slug' => 'casas-del-monte','latitude' => '40.2038436','longitude' => '-5.9611039'),
        array('province_id' => '10','town' => 'Casatejada','id' => '1601','slug' => 'casatejada','latitude' => '39.8876118','longitude' => '-5.6834908'),
        array('province_id' => '10','town' => 'Casillas de Coria','id' => '1602','slug' => 'casillas-de-coria','latitude' => '39.9658364','longitude' => '-6.6358321'),
        array('province_id' => '10','town' => 'Castañar de Ibor','id' => '1603','slug' => 'castaar-de-ibor','latitude' => '39.6278048','longitude' => '-5.4165431'),
        array('province_id' => '10','town' => 'Ceclavín','id' => '1604','slug' => 'ceclavn','latitude' => '39.8222863','longitude' => '-6.7702112'),
        array('province_id' => '10','town' => 'Cedillo','id' => '1605','slug' => 'cedillo','latitude' => '39.6495508','longitude' => '-7.4992354'),
        array('province_id' => '10','town' => 'Cerezo','id' => '1606','slug' => 'cerezo','latitude' => '40.2371772','longitude' => '-6.2253461'),
        array('province_id' => '10','town' => 'Cilleros','id' => '1607','slug' => 'cilleros','latitude' => '40.1136238','longitude' => '-6.7921563'),
        array('province_id' => '10','town' => 'Collado','id' => '1608','slug' => 'collado','latitude' => '40.0575552','longitude' => '-5.7203102'),
        array('province_id' => '10','town' => 'Conquista de la Sierra','id' => '1609','slug' => 'conquista-de-la-sierra','latitude' => '39.3509575','longitude' => '-5.7344966'),
        array('province_id' => '10','town' => 'Coria','id' => '1610','slug' => 'coria','latitude' => '39.983582','longitude' => '-6.5397271'),
        array('province_id' => '10','town' => 'Cuacos de Yuste','id' => '1611','slug' => 'cuacos-de-yuste','latitude' => '40.106122','longitude' => '-5.7229652'),
        array('province_id' => '10','town' => 'Cumbre, La','id' => '1612','slug' => 'cumbre-la','latitude' => '39.4049046','longitude' => '-5.9773191'),
        array('province_id' => '10','town' => 'Deleitosa','id' => '1613','slug' => 'deleitosa','latitude' => '39.6431018','longitude' => '-5.6457434'),
        array('province_id' => '10','town' => 'Descargamaría','id' => '1614','slug' => 'descargamara','latitude' => '40.3039771','longitude' => '-6.4870169'),
        array('province_id' => '10','town' => 'Eljas','id' => '1615','slug' => 'eljas','latitude' => '40.2155382','longitude' => '-6.8460396'),
        array('province_id' => '10','town' => 'Escurial','id' => '1616','slug' => 'escurial','latitude' => '39.1691403','longitude' => '-5.8856268'),
        array('province_id' => '10','town' => 'Fresnedoso de Ibor','id' => '1617','slug' => 'fresnedoso-de-ibor','latitude' => '39.6838765','longitude' => '-5.5063711'),
        array('province_id' => '10','town' => 'Galisteo','id' => '1618','slug' => 'galisteo','latitude' => '39.9734437','longitude' => '-6.2658999'),
        array('province_id' => '10','town' => 'Garciaz','id' => '1619','slug' => 'garciaz','latitude' => '39.4132886','longitude' => '-5.6272863'),
        array('province_id' => '10','town' => 'Garganta, La','id' => '1620','slug' => 'garganta-la','latitude' => '40.1121064','longitude' => '-5.5715136'),
        array('province_id' => '10','town' => 'Garganta la Olla','id' => '1621','slug' => 'garganta-la-olla','latitude' => '40.1118084','longitude' => '-5.7756494'),
        array('province_id' => '10','town' => 'Gargantilla','id' => '1622','slug' => 'gargantilla','latitude' => '40.2480262','longitude' => '-5.920274'),
        array('province_id' => '10','town' => 'Gargüera','id' => '1623','slug' => 'gargera','latitude' => '40.0615582','longitude' => '-5.9285242'),
        array('province_id' => '10','town' => 'Garrovillas de Alconétar','id' => '1624','slug' => 'garrovillas-de-alcontar','latitude' => '39.7097537','longitude' => '-6.5490597'),
        array('province_id' => '10','town' => 'Garvín','id' => '1625','slug' => 'garvn','latitude' => '39.7198163','longitude' => '-5.3456332'),
        array('province_id' => '10','town' => 'Gata','id' => '1626','slug' => 'gata','latitude' => '40.2388235','longitude' => '-6.5958381'),
        array('province_id' => '10','town' => 'Gordo, El','id' => '1627','slug' => 'gordo-el','latitude' => '39.8662102','longitude' => '-5.3436269'),
        array('province_id' => '10','town' => 'Granja, La','id' => '1628','slug' => 'granja-la','latitude' => '40.2390139','longitude' => '-5.9941805'),
        array('province_id' => '10','town' => 'Guadalupe','id' => '1629','slug' => 'guadalupe','latitude' => '39.4521656','longitude' => '-5.3300241'),
        array('province_id' => '10','town' => 'Guijo de Coria','id' => '1630','slug' => 'guijo-de-coria','latitude' => '40.1011057','longitude' => '-6.463475'),
        array('province_id' => '10','town' => 'Guijo de Galisteo','id' => '1631','slug' => 'guijo-de-galisteo','latitude' => '40.0939697','longitude' => '-6.4099655'),
        array('province_id' => '10','town' => 'Guijo de Granadilla','id' => '1632','slug' => 'guijo-de-granadilla','latitude' => '40.1938045','longitude' => '-6.1632474'),
        array('province_id' => '10','town' => 'Guijo de Santa Bárbara','id' => '1633','slug' => 'guijo-de-santa-brbara','latitude' => '40.1546996','longitude' => '-5.6548116'),
        array('province_id' => '10','town' => 'Herguijuela','id' => '1634','slug' => 'herguijuela','latitude' => '39.3751635','longitude' => '-5.7598019'),
        array('province_id' => '10','town' => 'Hernán-Pérez','id' => '1635','slug' => 'hernn-prez','latitude' => '40.2126665','longitude' => '-6.4645121'),
        array('province_id' => '10','town' => 'Herrera de Alcántara','id' => '1636','slug' => 'herrera-de-alcntara','latitude' => '39.6379624','longitude' => '-7.4057903'),
        array('province_id' => '10','town' => 'Herreruela','id' => '1637','slug' => 'herreruela','latitude' => '39.4633484','longitude' => '-6.9065523'),
        array('province_id' => '10','town' => 'Hervás','id' => '1638','slug' => 'hervs','latitude' => '40.2738981','longitude' => '-5.8660443'),
        array('province_id' => '10','town' => 'Higuera','id' => '1639','slug' => 'higuera','latitude' => '39.7269846','longitude' => '-5.6668385'),
        array('province_id' => '10','town' => 'Hinojal','id' => '1640','slug' => 'hinojal','latitude' => '39.7081198','longitude' => '-6.3578645'),
        array('province_id' => '10','town' => 'Holguera','id' => '1641','slug' => 'holguera','latitude' => '39.8996931','longitude' => '-6.3490804'),
        array('province_id' => '10','town' => 'Hoyos','id' => '1642','slug' => 'hoyos','latitude' => '40.1718532','longitude' => '-6.7218823'),
        array('province_id' => '10','town' => 'Huélaga','id' => '1643','slug' => 'hulaga','latitude' => '40.0558145','longitude' => '-6.6150039'),
        array('province_id' => '10','town' => 'Ibahernando','id' => '1644','slug' => 'ibahernando','latitude' => '39.3256131','longitude' => '-5.9179091'),
        array('province_id' => '10','town' => 'Jaraicejo','id' => '1645','slug' => 'jaraicejo','latitude' => '39.6670399','longitude' => '-5.812926'),
        array('province_id' => '10','town' => 'Jaraíz de la Vera','id' => '1646','slug' => 'jaraz-de-la-vera','latitude' => '40.0599584','longitude' => '-5.7557529'),
        array('province_id' => '10','town' => 'Jarandilla de la Vera','id' => '1647','slug' => 'jarandilla-de-la-vera','latitude' => '40.1264324','longitude' => '-5.6583908'),
        array('province_id' => '10','town' => 'Jarilla','id' => '1648','slug' => 'jarilla','latitude' => '40.1730752','longitude' => '-6.0025332'),
        array('province_id' => '10','town' => 'Jerte','id' => '1649','slug' => 'jerte','latitude' => '40.2198246','longitude' => '-5.755953'),
        array('province_id' => '10','town' => 'Ladrillar','id' => '1650','slug' => 'ladrillar','latitude' => '40.4656845','longitude' => '-6.2241111'),
        array('province_id' => '10','town' => 'Logrosán','id' => '1651','slug' => 'logrosn','latitude' => '39.3370371','longitude' => '-5.4869334'),
        array('province_id' => '10','town' => 'Losar de la Vera','id' => '1652','slug' => 'losar-de-la-vera','latitude' => '40.123323','longitude' => '-5.605157'),
        array('province_id' => '10','town' => 'Madrigal de la Vera','id' => '1653','slug' => 'madrigal-de-la-vera','latitude' => '40.1482577','longitude' => '-5.3690923'),
        array('province_id' => '10','town' => 'Madrigalejo','id' => '1654','slug' => 'madrigalejo','latitude' => '39.138361','longitude' => '-5.6287032'),
        array('province_id' => '10','town' => 'Madroñera','id' => '1655','slug' => 'madroera','latitude' => '39.4263889','longitude' => '-5.7542451'),
        array('province_id' => '10','town' => 'Majadas','id' => '1656','slug' => 'majadas','latitude' => '39.9425807','longitude' => '-5.7480759'),
        array('province_id' => '10','town' => 'Malpartida de Cáceres','id' => '1657','slug' => 'malpartida-de-cceres','latitude' => '39.446168','longitude' => '-6.5057431'),
        array('province_id' => '10','town' => 'Malpartida de Plasencia','id' => '1658','slug' => 'malpartida-de-plasencia','latitude' => '39.9792923','longitude' => '-6.0485309'),
        array('province_id' => '10','town' => 'Marchagaz','id' => '1659','slug' => 'marchagaz','latitude' => '40.2673187','longitude' => '-6.2750442'),
        array('province_id' => '10','town' => 'Mata de Alcántara','id' => '1660','slug' => 'mata-de-alcntara','latitude' => '39.7169228','longitude' => '-6.8173406'),
        array('province_id' => '10','town' => 'Membrío','id' => '1661','slug' => 'membro','latitude' => '39.5270892','longitude' => '-7.0564177'),
        array('province_id' => '10','town' => 'Mesas de Ibor','id' => '1662','slug' => 'mesas-de-ibor','latitude' => '39.756251','longitude' => '-5.5438906'),
        array('province_id' => '10','town' => 'Miajadas','id' => '1663','slug' => 'miajadas','latitude' => '39.1512184','longitude' => '-5.9072612'),
        array('province_id' => '10','town' => 'Millanes','id' => '1664','slug' => 'millanes','latitude' => '39.8503421','longitude' => '-5.5803759'),
        array('province_id' => '10','town' => 'Mirabel','id' => '1665','slug' => 'mirabel','latitude' => '39.8622541','longitude' => '-6.2319901'),
        array('province_id' => '10','town' => 'Mohedas de Granadilla','id' => '1666','slug' => 'mohedas-de-granadilla','latitude' => '40.2681527','longitude' => '-6.2027938'),
        array('province_id' => '10','town' => 'Monroy','id' => '1667','slug' => 'monroy','latitude' => '39.6381378','longitude' => '-6.2131875'),
        array('province_id' => '10','town' => 'Montánchez','id' => '1668','slug' => 'montnchez','latitude' => '39.2269768','longitude' => '-6.1467513'),
        array('province_id' => '10','town' => 'Montehermoso','id' => '1669','slug' => 'montehermoso','latitude' => '40.0885104','longitude' => '-6.3487591'),
        array('province_id' => '10','town' => 'Moraleja','id' => '1670','slug' => 'moraleja','latitude' => '40.0675447','longitude' => '-6.6573987'),
        array('province_id' => '10','town' => 'Morcillo','id' => '1671','slug' => 'morcillo','latitude' => '40.0187922','longitude' => '-6.3977714'),
        array('province_id' => '10','town' => 'Navaconcejo','id' => '1672','slug' => 'navaconcejo','latitude' => '40.1763352','longitude' => '-5.8292021'),
        array('province_id' => '10','town' => 'Navalmoral de la Mata','id' => '1673','slug' => 'navalmoral-de-la-mata','latitude' => '39.8875651','longitude' => '-5.560554'),
        array('province_id' => '10','town' => 'Navalvillar de Ibor','id' => '1674','slug' => 'navalvillar-de-ibor','latitude' => '39.584432','longitude' => '-5.4140594'),
        array('province_id' => '10','town' => 'Navas del Madroño','id' => '1675','slug' => 'navas-del-madroo','latitude' => '39.623024','longitude' => '-6.6510732'),
        array('province_id' => '10','town' => 'Navezuelas','id' => '1676','slug' => 'navezuelas','latitude' => '39.511236','longitude' => '-5.4386062'),
        array('province_id' => '10','town' => 'Nuñomoral','id' => '1677','slug' => 'nuomoral','latitude' => '40.4071316','longitude' => '-6.2461519'),
        array('province_id' => '10','town' => 'Oliva de Plasencia','id' => '1678','slug' => 'oliva-de-plasencia','latitude' => '40.1118681','longitude' => '-6.0868823'),
        array('province_id' => '10','town' => 'Palomero','id' => '1679','slug' => 'palomero','latitude' => '40.2459815','longitude' => '-6.2764458'),
        array('province_id' => '10','town' => 'Pasarón de la Vera','id' => '1680','slug' => 'pasarn-de-la-vera','latitude' => '40.0524272','longitude' => '-5.8202423'),
        array('province_id' => '10','town' => 'Pedroso de Acim','id' => '1681','slug' => 'pedroso-de-acim','latitude' => '39.8239964','longitude' => '-6.4130598'),
        array('province_id' => '10','town' => 'Peraleda de la Mata','id' => '1682','slug' => 'peraleda-de-la-mata','latitude' => '39.8539484','longitude' => '-5.4613553'),
        array('province_id' => '10','town' => 'Peraleda de San Román','id' => '1683','slug' => 'peraleda-de-san-romn','latitude' => '39.7410317','longitude' => '-5.3864277'),
        array('province_id' => '10','town' => 'Perales del Puerto','id' => '1684','slug' => 'perales-del-puerto','latitude' => '40.1544769','longitude' => '-6.6813197'),
        array('province_id' => '10','town' => 'Pescueza','id' => '1685','slug' => 'pescueza','latitude' => '39.9183187','longitude' => '-6.6463701'),
        array('province_id' => '10','town' => 'Pesga, La','id' => '1686','slug' => 'pesga-la','latitude' => '40.326424','longitude' => '-6.1761098'),
        array('province_id' => '10','town' => 'Piedras Albas','id' => '1687','slug' => 'piedras-albas','latitude' => '39.785056','longitude' => '-6.9268071'),
        array('province_id' => '10','town' => 'Pinofranqueado','id' => '1688','slug' => 'pinofranqueado','latitude' => '40.3034874','longitude' => '-6.3327128'),
        array('province_id' => '10','town' => 'Piornal','id' => '1689','slug' => 'piornal','latitude' => '40.117037','longitude' => '-5.8506208'),
        array('province_id' => '10','town' => 'Plasencia','id' => '1690','slug' => 'plasencia','latitude' => '40.0305019','longitude' => '-6.0882512'),
        array('province_id' => '10','town' => 'Plasenzuela','id' => '1691','slug' => 'plasenzuela','latitude' => '39.3816933','longitude' => '-6.0472506'),
        array('province_id' => '10','town' => 'Portaje','id' => '1692','slug' => 'portaje','latitude' => '39.9179961','longitude' => '-6.5615477'),
        array('province_id' => '10','town' => 'Portezuelo','id' => '1693','slug' => 'portezuelo','latitude' => '39.811637','longitude' => '-6.475103'),
        array('province_id' => '10','town' => 'Pozuelo de Zarzón','id' => '1694','slug' => 'pozuelo-de-zarzn','latitude' => '40.1491435','longitude' => '-6.415245'),
        array('province_id' => '10','town' => 'Puerto de Santa Cruz','id' => '1695','slug' => 'puerto-de-santa-cruz','latitude' => '39.3154864','longitude' => '-5.8595325'),
        array('province_id' => '10','town' => 'Rebollar','id' => '1696','slug' => 'rebollar','latitude' => '40.1533754','longitude' => '-5.8988764'),
        array('province_id' => '10','town' => 'Riolobos','id' => '1697','slug' => 'riolobos','latitude' => '39.9209517','longitude' => '-6.3048948'),
        array('province_id' => '10','town' => 'Robledillo de Gata','id' => '1698','slug' => 'robledillo-de-gata','latitude' => '40.3227133','longitude' => '-6.4700168'),
        array('province_id' => '10','town' => 'Robledillo de la Vera','id' => '1699','slug' => 'robledillo-de-la-vera','latitude' => '40.1010794','longitude' => '-5.589018'),
        array('province_id' => '10','town' => 'Robledillo de Trujillo','id' => '1700','slug' => 'robledillo-de-trujillo','latitude' => '39.2690741','longitude' => '-5.9812362'),
        array('province_id' => '10','town' => 'Robledollano','id' => '1701','slug' => 'robledollano','latitude' => '39.6111327','longitude' => '-5.5101369'),
        array('province_id' => '10','town' => 'Romangordo','id' => '1702','slug' => 'romangordo','latitude' => '39.7413175','longitude' => '-5.6996173'),
        array('province_id' => '10','town' => 'Rosalejo','id' => '1703','slug' => 'rosalejo','latitude' => '39.9951137','longitude' => '-5.4582558'),
        array('province_id' => '10','town' => 'Ruanes','id' => '1704','slug' => 'ruanes','latitude' => '39.3280364','longitude' => '-6.0141728'),
        array('province_id' => '10','town' => 'Salorino','id' => '1705','slug' => 'salorino','latitude' => '39.47884','longitude' => '-7.0088596'),
        array('province_id' => '10','town' => 'Salvatierra de Santiago','id' => '1706','slug' => 'salvatierra-de-santiago','latitude' => '39.3037287','longitude' => '-6.0326017'),
        array('province_id' => '10','town' => 'San Martín de Trevejo','id' => '1707','slug' => 'san-martn-de-trevejo','latitude' => '40.213552','longitude' => '-6.7958996'),
        array('province_id' => '10','town' => 'Santa Ana','id' => '1708','slug' => 'santa-ana','latitude' => '39.3083586','longitude' => '-5.991424'),
        array('province_id' => '10','town' => 'Santa Cruz de la Sierra','id' => '1709','slug' => 'santa-cruz-de-la-sierra','latitude' => '39.3363198','longitude' => '-5.8465254'),
        array('province_id' => '10','town' => 'Santa Cruz de Paniagua','id' => '1710','slug' => 'santa-cruz-de-paniagua','latitude' => '40.1915558','longitude' => '-6.3412146'),
        array('province_id' => '10','town' => 'Santa Marta de Magasca','id' => '1711','slug' => 'santa-marta-de-magasca','latitude' => '39.5119869','longitude' => '-6.0993215'),
        array('province_id' => '10','town' => 'Santiago de Alcántara','id' => '1712','slug' => 'santiago-de-alcntara','latitude' => '39.6057937','longitude' => '-7.244205'),
        array('province_id' => '10','town' => 'Santiago del Campo','id' => '1713','slug' => 'santiago-del-campo','latitude' => '39.6286802','longitude' => '-6.3625839'),
        array('province_id' => '10','town' => 'Santibáñez el Alto','id' => '1714','slug' => 'santibez-el-alto','latitude' => '40.1859695','longitude' => '-6.5466088'),
        array('province_id' => '10','town' => 'Santibáñez el Bajo','id' => '1715','slug' => 'santibez-el-bajo','latitude' => '40.176275','longitude' => '-6.2236053'),
        array('province_id' => '10','town' => 'Saucedilla','id' => '1716','slug' => 'saucedilla','latitude' => '39.8528316','longitude' => '-5.6770873'),
        array('province_id' => '10','town' => 'Segura de Toro','id' => '1717','slug' => 'segura-de-toro','latitude' => '40.2235258','longitude' => '-5.9483839'),
        array('province_id' => '10','town' => 'Serradilla','id' => '1718','slug' => 'serradilla','latitude' => '39.8305453','longitude' => '-6.1380854'),
        array('province_id' => '10','town' => 'Serrejón','id' => '1719','slug' => 'serrejn','latitude' => '39.8180146','longitude' => '-5.8020531'),
        array('province_id' => '10','town' => 'Sierra de Fuentes','id' => '1720','slug' => 'sierra-de-fuentes','latitude' => '39.4376217','longitude' => '-6.2757406'),
        array('province_id' => '10','town' => 'Talaván','id' => '1721','slug' => 'talavn','latitude' => '39.7132736','longitude' => '-6.2835581'),
        array('province_id' => '10','town' => 'Talaveruela de la Vera','id' => '1722','slug' => 'talaveruela-de-la-vera','latitude' => '40.1217193','longitude' => '-5.5193718'),
        array('province_id' => '10','town' => 'Talayuela','id' => '1723','slug' => 'talayuela','latitude' => '39.9857899','longitude' => '-5.6097665'),
        array('province_id' => '10','town' => 'Tejeda de Tiétar','id' => '1724','slug' => 'tejeda-de-titar','latitude' => '40.0201555','longitude' => '-5.8685388'),
        array('province_id' => '10','town' => 'Toril','id' => '1725','slug' => 'toril','latitude' => '39.8974689','longitude' => '-5.7791372'),
        array('province_id' => '10','town' => 'Tornavacas','id' => '1726','slug' => 'tornavacas','latitude' => '40.2529711','longitude' => '-5.69185'),
        array('province_id' => '10','town' => 'Torno, El','id' => '1727','slug' => 'torno-el','latitude' => '40.1355236','longitude' => '-5.9452898'),
        array('province_id' => '10','town' => 'Torre de Don Miguel','id' => '1728','slug' => 'torre-de-don-miguel','latitude' => '40.2245158','longitude' => '-6.576208'),
        array('province_id' => '10','town' => 'Torre de Santa María','id' => '1729','slug' => 'torre-de-santa-mara','latitude' => '39.2540407','longitude' => '-6.1157385'),
        array('province_id' => '10','town' => 'Torrecilla de los Ángeles','id' => '1730','slug' => 'torrecilla-de-los-ngeles','latitude' => '40.2480647','longitude' => '-6.4183261'),
        array('province_id' => '10','town' => 'Torrecillas de la Tiesa','id' => '1731','slug' => 'torrecillas-de-la-tiesa','latitude' => '39.56844','longitude' => '-5.742724'),
        array('province_id' => '10','town' => 'Torrejón el Rubio','id' => '1732','slug' => 'torrejn-el-rubio','latitude' => '39.7716874','longitude' => '-6.0142567'),
        array('province_id' => '10','town' => 'Torrejoncillo','id' => '1733','slug' => 'torrejoncillo','latitude' => '39.895636','longitude' => '-6.4663787'),
        array('province_id' => '10','town' => 'Torremenga','id' => '1734','slug' => 'torremenga','latitude' => '40.0473729','longitude' => '-5.773284'),
        array('province_id' => '10','town' => 'Torremocha','id' => '1735','slug' => 'torremocha','latitude' => '39.3470739','longitude' => '-6.1708622'),
        array('province_id' => '10','town' => 'Torreorgaz','id' => '1736','slug' => 'torreorgaz','latitude' => '39.3826284','longitude' => '-6.2478571'),
        array('province_id' => '10','town' => 'Torrequemada','id' => '1737','slug' => 'torrequemada','latitude' => '39.3664146','longitude' => '-6.220093'),
        array('province_id' => '10','town' => 'Trujillo','id' => '1738','slug' => 'trujillo','latitude' => '39.4584171','longitude' => '-5.8814276'),
        array('province_id' => '10','town' => 'Valdastillas','id' => '1739','slug' => 'valdastillas','latitude' => '40.1324756','longitude' => '-5.8794831'),
        array('province_id' => '10','town' => 'Valdecañas de Tajo','id' => '1740','slug' => 'valdecaas-de-tajo','latitude' => '39.7589543','longitude' => '-5.6196204'),
        array('province_id' => '10','town' => 'Valdefuentes','id' => '1741','slug' => 'valdefuentes','latitude' => '39.2753879','longitude' => '-6.1226597'),
        array('province_id' => '10','town' => 'Valdehúncar','id' => '1742','slug' => 'valdehncar','latitude' => '39.8371365','longitude' => '-5.5228823'),
        array('province_id' => '10','town' => 'Valdelacasa de Tajo','id' => '1743','slug' => 'valdelacasa-de-tajo','latitude' => '39.7263107','longitude' => '-5.281958'),
        array('province_id' => '10','town' => 'Valdemorales','id' => '1744','slug' => 'valdemorales','latitude' => '39.2061481','longitude' => '-6.0678523'),
        array('province_id' => '10','town' => 'Valdeobispo','id' => '1745','slug' => 'valdeobispo','latitude' => '40.0820267','longitude' => '-6.2475417'),
        array('province_id' => '10','town' => 'Valencia de Alcántara','id' => '1746','slug' => 'valencia-de-alcntara','latitude' => '39.411347','longitude' => '-7.2468988'),
        array('province_id' => '10','town' => 'Valverde de la Vera','id' => '1747','slug' => 'valverde-de-la-vera','latitude' => '40.123304','longitude' => '-5.4942206'),
        array('province_id' => '10','town' => 'Valverde del Fresno','id' => '1748','slug' => 'valverde-del-fresno','latitude' => '40.2251176','longitude' => '-6.8778042'),
        array('province_id' => '10','town' => 'Vegaviana','id' => '1749','slug' => 'vegaviana','latitude' => '40.0408376','longitude' => '-6.7181715'),
        array('province_id' => '10','town' => 'Viandar de la Vera','id' => '1750','slug' => 'viandar-de-la-vera','latitude' => '40.121928','longitude' => '-5.5373317'),
        array('province_id' => '10','town' => 'Villa del Campo','id' => '1751','slug' => 'villa-del-campo','latitude' => '40.140238','longitude' => '-6.4269963'),
        array('province_id' => '10','town' => 'Villa del Rey','id' => '1752','slug' => 'villa-del-rey','latitude' => '39.6600099','longitude' => '-6.8205292'),
        array('province_id' => '10','town' => 'Villamesías','id' => '1753','slug' => 'villamesas','latitude' => '39.2447906','longitude' => '-5.872935'),
        array('province_id' => '10','town' => 'Villamiel','id' => '1754','slug' => 'villamiel','latitude' => '40.1864938','longitude' => '-6.785113'),
        array('province_id' => '10','town' => 'Villanueva de la Sierra','id' => '1755','slug' => 'villanueva-de-la-sierra','latitude' => '40.2016895','longitude' => '-6.4067746'),
        array('province_id' => '10','town' => 'Villanueva de la Vera','id' => '1756','slug' => 'villanueva-de-la-vera','latitude' => '40.1296333','longitude' => '-5.4642004'),
        array('province_id' => '10','town' => 'Villar de Plasencia','id' => '1757','slug' => 'villar-de-plasencia','latitude' => '40.1383441','longitude' => '-6.0293762'),
        array('province_id' => '10','town' => 'Villar del Pedroso','id' => '1758','slug' => 'villar-del-pedroso','latitude' => '39.7063189','longitude' => '-5.1962592'),
        array('province_id' => '10','town' => 'Villasbuenas de Gata','id' => '1759','slug' => 'villasbuenas-de-gata','latitude' => '40.1793992','longitude' => '-6.6256795'),
        array('province_id' => '10','town' => 'Zarza de Granadilla','id' => '1760','slug' => 'zarza-de-granadilla','latitude' => '40.2376372','longitude' => '-6.0474203'),
        array('province_id' => '10','town' => 'Zarza de Montánchez','id' => '1761','slug' => 'zarza-de-montnchez','latitude' => '39.2569336','longitude' => '-6.0336678'),
        array('province_id' => '10','town' => 'Zarza la Mayor','id' => '1762','slug' => 'zarza-la-mayor','latitude' => '39.8759673','longitude' => '-6.8647782'),
        array('province_id' => '10','town' => 'Zorita','id' => '1763','slug' => 'zorita','latitude' => '39.2850504','longitude' => '-5.700322'),
        array('province_id' => '11','town' => 'Alcalá de los Gazules','id' => '1764','slug' => 'alcal-de-los-gazules','latitude' => '36.4604548','longitude' => '-5.7237178'),
        array('province_id' => '11','town' => 'Alcalá del Valle','id' => '1765','slug' => 'alcal-del-valle','latitude' => '36.9049152','longitude' => '-5.1732367'),
        array('province_id' => '11','town' => 'Algar','id' => '1766','slug' => 'algar','latitude' => '36.6553251','longitude' => '-5.657418'),
        array('province_id' => '11','town' => 'Algeciras','id' => '1767','slug' => 'algeciras','latitude' => '36.1297803','longitude' => '-5.4476981'),
        array('province_id' => '11','town' => 'Algodonales','id' => '1768','slug' => 'algodonales','latitude' => '36.8809228','longitude' => '-5.4057729'),
        array('province_id' => '11','town' => 'Arcos de la Frontera','id' => '1769','slug' => 'arcos-de-la-frontera','latitude' => '36.750779','longitude' => '-5.8123948'),
        array('province_id' => '11','town' => 'Barbate','id' => '1770','slug' => 'barbate','latitude' => '36.192816','longitude' => '-5.918903'),
        array('province_id' => '11','town' => 'Barrios, Los','id' => '1771','slug' => 'barrios-los','latitude' => '36.1853857','longitude' => '-5.4927475'),
        array('province_id' => '11','town' => 'Benalup-Casas Viejas','id' => '1772','slug' => 'benalup-casas-viejas','latitude' => '36.3428388','longitude' => '-5.8094'),
        array('province_id' => '11','town' => 'Benaocaz','id' => '1773','slug' => 'benaocaz','latitude' => '36.6995191','longitude' => '-5.4212627'),
        array('province_id' => '11','town' => 'Bornos','id' => '1774','slug' => 'bornos','latitude' => '36.8145887','longitude' => '-5.7433626'),
        array('province_id' => '11','town' => 'Bosque, El','id' => '1775','slug' => 'bosque-el','latitude' => '36.7575169','longitude' => '-5.5069874'),
        array('province_id' => '11','town' => 'Cádiz','id' => '1776','slug' => 'cdiz','latitude' => '36.5296879','longitude' => '-6.2926569'),
        array('province_id' => '11','town' => 'Castellar de la Frontera','id' => '1777','slug' => 'castellar-de-la-frontera','latitude' => '36.2862098','longitude' => '-5.4199373'),
        array('province_id' => '11','town' => 'Chiclana de la Frontera','id' => '1778','slug' => 'chiclana-de-la-frontera','latitude' => '36.4191532','longitude' => '-6.149412'),
        array('province_id' => '11','town' => 'Chipiona','id' => '1779','slug' => 'chipiona','latitude' => '36.7408046','longitude' => '-6.4358696'),
        array('province_id' => '11','town' => 'Conil de la Frontera','id' => '1780','slug' => 'conil-de-la-frontera','latitude' => '36.2767507','longitude' => '-6.0884356'),
        array('province_id' => '11','town' => 'Espera','id' => '1781','slug' => 'espera','latitude' => '36.8731903','longitude' => '-5.8062129'),
        array('province_id' => '11','town' => 'Gastor, El','id' => '1782','slug' => 'gastor-el','latitude' => '36.8550873','longitude' => '-5.3236225'),
        array('province_id' => '11','town' => 'Grazalema','id' => '1783','slug' => 'grazalema','latitude' => '36.7583638','longitude' => '-5.3660708'),
        array('province_id' => '11','town' => 'Jerez de la Frontera','id' => '1784','slug' => 'jerez-de-la-frontera','latitude' => '36.6865618','longitude' => '-6.1371725'),
        array('province_id' => '11','town' => 'Jimena de la Frontera','id' => '1785','slug' => 'jimena-de-la-frontera','latitude' => '36.4340437','longitude' => '-5.4534795'),
        array('province_id' => '11','town' => 'Línea de la Concepción, La','id' => '1786','slug' => 'lnea-de-la-concepcin-la','latitude' => '36.1611788','longitude' => '-5.3482559'),
        array('province_id' => '11','town' => 'Medina-Sidonia','id' => '1787','slug' => 'medina-sidonia','latitude' => '36.4676809','longitude' => '-5.9278941'),
        array('province_id' => '11','town' => 'Olvera','id' => '1788','slug' => 'olvera','latitude' => '36.9352514','longitude' => '-5.267688'),
        array('province_id' => '11','town' => 'Paterna de Rivera','id' => '1789','slug' => 'paterna-de-rivera','latitude' => '36.5233289','longitude' => '-5.8660532'),
        array('province_id' => '11','town' => 'Prado del Rey','id' => '1790','slug' => 'prado-del-rey','latitude' => '36.789685','longitude' => '-5.5555448'),
        array('province_id' => '11','town' => 'Puerto de Santa María, El','id' => '1791','slug' => 'puerto-de-santa-mara-el','latitude' => '36.596953','longitude' => '-6.2275256'),
        array('province_id' => '11','town' => 'Puerto Real','id' => '1792','slug' => 'puerto-real','latitude' => '36.5291221','longitude' => '-6.1918955'),
        array('province_id' => '11','town' => 'Puerto Serrano','id' => '1793','slug' => 'puerto-serrano','latitude' => '36.9215923','longitude' => '-5.5456216'),
        array('province_id' => '11','town' => 'Rota','id' => '1794','slug' => 'rota','latitude' => '36.6169844','longitude' => '-6.3582016'),
        array('province_id' => '11','town' => 'San Fernando','id' => '1795','slug' => 'san-fernando','latitude' => '36.4656902','longitude' => '-6.1966757'),
        array('province_id' => '11','town' => 'San José del Valle','id' => '1796','slug' => 'san-jos-del-valle','latitude' => '36.6055407','longitude' => '-5.7989522'),
        array('province_id' => '11','town' => 'San Roque','id' => '1797','slug' => 'san-roque','latitude' => '36.2097481','longitude' => '-5.3845717'),
        array('province_id' => '11','town' => 'Sanlúcar de Barrameda','id' => '1798','slug' => 'sanlcar-de-barrameda','latitude' => '36.7788211','longitude' => '-6.3541978'),
        array('province_id' => '11','town' => 'Setenil de las Bodegas','id' => '1799','slug' => 'setenil-de-las-bodegas','latitude' => '36.8640602','longitude' => '-5.1814132'),
        array('province_id' => '11','town' => 'Tarifa','id' => '1800','slug' => 'tarifa','latitude' => '36.0127143','longitude' => '-5.6029544'),
        array('province_id' => '11','town' => 'Torre Alháquime','id' => '1801','slug' => 'torre-alhquime','latitude' => '36.9155351','longitude' => '-5.2347358'),
        array('province_id' => '11','town' => 'Trebujena','id' => '1802','slug' => 'trebujena','latitude' => '36.869515','longitude' => '-6.1766952'),
        array('province_id' => '11','town' => 'Ubrique','id' => '1803','slug' => 'ubrique','latitude' => '36.6777102','longitude' => '-5.4465568'),
        array('province_id' => '11','town' => 'Vejer de la Frontera','id' => '1804','slug' => 'vejer-de-la-frontera','latitude' => '36.2533139','longitude' => '-5.9628564'),
        array('province_id' => '11','town' => 'Villaluenga del Rosario','id' => '1805','slug' => 'villaluenga-del-rosario','latitude' => '36.6958673','longitude' => '-5.3881374'),
        array('province_id' => '11','town' => 'Villamartín','id' => '1806','slug' => 'villamartn','latitude' => '36.8613237','longitude' => '-5.641834'),
        array('province_id' => '11','town' => 'Zahara','id' => '1807','slug' => 'zahara','latitude' => '36.8405269','longitude' => '-5.3905469'),
        array('province_id' => '12','town' => 'Aín','id' => '1808','slug' => 'an','latitude' => '39.9008615','longitude' => '-0.3407996'),
        array('province_id' => '12','town' => 'Albocàsser','id' => '1809','slug' => 'albocsser','latitude' => '40.3562617','longitude' => '0.0253618'),
        array('province_id' => '12','town' => 'Alcalà de Xivert','id' => '1810','slug' => 'alcal-de-xivert','latitude' => '40.3045872','longitude' => '0.2263053'),
        array('province_id' => '12','town' => 'Alcora, l\'','id' => '1811','slug' => 'alcora-l','latitude' => '40.0727808','longitude' => '-0.2130235'),
        array('province_id' => '12','town' => 'Alcudia de Veo','id' => '1812','slug' => 'alcudia-de-veo','latitude' => '39.9171286','longitude' => '-0.3556332'),
        array('province_id' => '12','town' => 'Alfondeguilla','id' => '1813','slug' => 'alfondeguilla','latitude' => '39.8372449','longitude' => '-0.26879'),
        array('province_id' => '12','town' => 'Algimia de Almonacid','id' => '1814','slug' => 'algimia-de-almonacid','latitude' => '39.9143303','longitude' => '-0.4434568'),
        array('province_id' => '12','town' => 'Almazora/Almassora','id' => '1815','slug' => 'almazoraalmassora','latitude' => '39.9453882','longitude' => '-0.0631609'),
        array('province_id' => '12','town' => 'Almedíjar','id' => '1816','slug' => 'almedjar','latitude' => '39.8708498','longitude' => '-0.4104057'),
        array('province_id' => '12','town' => 'Almenara','id' => '1817','slug' => 'almenara','latitude' => '39.7544019','longitude' => '-0.222755'),
        array('province_id' => '12','town' => 'Alquerías del Niño Perdido','id' => '1818','slug' => 'alqueras-del-nio-perdido','latitude' => '39.8965245','longitude' => '-0.1134461'),
        array('province_id' => '12','town' => 'Altura','id' => '1819','slug' => 'altura','latitude' => '39.8529983','longitude' => '-0.5135517'),
        array('province_id' => '12','town' => 'Arañuel','id' => '1820','slug' => 'arauel','latitude' => '40.0710976','longitude' => '-0.4817952'),
        array('province_id' => '12','town' => 'Ares del Maestrat','id' => '1821','slug' => 'ares-del-maestrat','latitude' => '40.4569853','longitude' => '-0.1334072'),
        array('province_id' => '12','town' => 'Argelita','id' => '1822','slug' => 'argelita','latitude' => '40.0552425','longitude' => '-0.3498509'),
        array('province_id' => '12','town' => 'Artana','id' => '1823','slug' => 'artana','latitude' => '39.8900181','longitude' => '-0.2576374'),
        array('province_id' => '12','town' => 'Atzeneta del Maestrat','id' => '1824','slug' => 'atzeneta-del-maestrat','latitude' => '40.2166153','longitude' => '-0.1706612'),
        array('province_id' => '12','town' => 'Ayódar','id' => '1825','slug' => 'aydar','latitude' => '39.9997674','longitude' => '-0.3760511'),
        array('province_id' => '12','town' => 'Azuébar','id' => '1826','slug' => 'azubar','latitude' => '39.8341951','longitude' => '-0.3704957'),
        array('province_id' => '12','town' => 'Barracas','id' => '1827','slug' => 'barracas','latitude' => '40.0157755','longitude' => '-0.6967063'),
        array('province_id' => '12','town' => 'Bejís','id' => '1828','slug' => 'bejs','latitude' => '39.9108661','longitude' => '-0.7038683'),
        array('province_id' => '12','town' => 'Benafer','id' => '1829','slug' => 'benafer','latitude' => '39.9355447','longitude' => '-0.5767506'),
        array('province_id' => '12','town' => 'Benafigos','id' => '1830','slug' => 'benafigos','latitude' => '40.2772125','longitude' => '-0.209237'),
        array('province_id' => '12','town' => 'Benasal','id' => '1831','slug' => 'benasal','latitude' => '40.3782842','longitude' => '-0.1371356'),
        array('province_id' => '12','town' => 'Benicarló','id' => '1832','slug' => 'benicarl','latitude' => '40.4187046','longitude' => '0.4231017'),
        array('province_id' => '12','town' => 'Benicasim/Benicàssim','id' => '1833','slug' => 'benicasimbenicssim','latitude' => '40.0563175','longitude' => '0.0656539'),
        array('province_id' => '12','town' => 'Benlloch','id' => '1834','slug' => 'benlloch','latitude' => '40.2107383','longitude' => '0.0270846'),
        array('province_id' => '12','town' => 'Betxí','id' => '1835','slug' => 'betx','latitude' => '39.9262315','longitude' => '-0.198169'),
        array('province_id' => '12','town' => 'Borriana/Burriana','id' => '1836','slug' => 'borrianaburriana','latitude' => '39.8898705','longitude' => '-0.0836936'),
        array('province_id' => '12','town' => 'Borriol','id' => '1837','slug' => 'borriol','latitude' => '40.0416858','longitude' => '-0.0664211'),
        array('province_id' => '12','town' => 'Cabanes','id' => '1838','slug' => 'cabanes','latitude' => '40.1547658','longitude' => '0.0454299'),
        array('province_id' => '12','town' => 'Càlig','id' => '1839','slug' => 'clig','latitude' => '40.4612881','longitude' => '0.356657'),
        array('province_id' => '12','town' => 'Canet lo Roig','id' => '1840','slug' => 'canet-lo-roig','latitude' => '40.5522575','longitude' => '0.2444581'),
        array('province_id' => '12','town' => 'Castell de Cabres','id' => '1841','slug' => 'castell-de-cabres','latitude' => '40.6607183','longitude' => '0.0428758'),
        array('province_id' => '12','town' => 'Castellfort','id' => '1842','slug' => 'castellfort','latitude' => '40.5009172','longitude' => '-0.1906994'),
        array('province_id' => '12','town' => 'Castellnovo','id' => '1843','slug' => 'castellnovo','latitude' => '39.8625578','longitude' => '-0.4583924'),
        array('province_id' => '12','town' => 'Castellón de la Plana/Castelló de la Plana','id' => '1844','slug' => 'castelln-de-la-planacastell-de-la-plana','latitude' => '39.999199','longitude' => '0.0258'),
        array('province_id' => '12','town' => 'Castillo de Villamalefa','id' => '1845','slug' => 'castillo-de-villamalefa','latitude' => '40.1303108','longitude' => '-0.3785351'),
        array('province_id' => '12','town' => 'Catí','id' => '1846','slug' => 'cat','latitude' => '40.4709933','longitude' => '0.0222751'),
        array('province_id' => '12','town' => 'Caudiel','id' => '1847','slug' => 'caudiel','latitude' => '39.9476061','longitude' => '-0.5679407'),
        array('province_id' => '12','town' => 'Cervera del Maestre','id' => '1848','slug' => 'cervera-del-maestre','latitude' => '40.4545581','longitude' => '0.2796835'),
        array('province_id' => '12','town' => 'Chert/Xert','id' => '1849','slug' => 'chertxert','latitude' => '40.5316667','longitude' => '0.1519444'),
        array('province_id' => '12','town' => 'Chilches/Xilxes','id' => '1850','slug' => 'chilchesxilxes','latitude' => '39.7681816','longitude' => '-0.1568302'),
        array('province_id' => '12','town' => 'Chodos/Xodos','id' => '1851','slug' => 'chodosxodos','latitude' => '40.2456111','longitude' => '-0.2875069'),
        array('province_id' => '12','town' => 'Chóvar','id' => '1852','slug' => 'chvar','latitude' => '39.8512371','longitude' => '-0.3206392'),
        array('province_id' => '12','town' => 'Cinctorres','id' => '1853','slug' => 'cinctorres','latitude' => '40.5836904','longitude' => '-0.2165387'),
        array('province_id' => '12','town' => 'Cirat','id' => '1854','slug' => 'cirat','latitude' => '40.0553317','longitude' => '-0.4632015'),
        array('province_id' => '12','town' => 'Cortes de Arenoso','id' => '1855','slug' => 'cortes-de-arenoso','latitude' => '40.1855189','longitude' => '-0.5426167'),
        array('province_id' => '12','town' => 'Costur','id' => '1856','slug' => 'costur','latitude' => '40.1200578','longitude' => '-0.1728863'),
        array('province_id' => '12','town' => 'Coves de Vinromà, les','id' => '1857','slug' => 'coves-de-vinrom-les','latitude' => '40.3080438','longitude' => '0.1225409'),
        array('province_id' => '12','town' => 'Culla','id' => '1858','slug' => 'culla','latitude' => '40.3377197','longitude' => '-0.1657969'),
        array('province_id' => '12','town' => 'Eslida','id' => '1859','slug' => 'eslida','latitude' => '39.8811601','longitude' => '-0.3068462'),
        array('province_id' => '12','town' => 'Espadilla','id' => '1860','slug' => 'espadilla','latitude' => '40.0280921','longitude' => '-0.3554911'),
        array('province_id' => '12','town' => 'Fanzara','id' => '1861','slug' => 'fanzara','latitude' => '40.0179702','longitude' => '-0.3169175'),
        array('province_id' => '12','town' => 'Figueroles','id' => '1862','slug' => 'figueroles','latitude' => '40.1176204','longitude' => '-0.2375725'),
        array('province_id' => '12','town' => 'Forcall','id' => '1863','slug' => 'forcall','latitude' => '40.6462523','longitude' => '-0.2024678'),
        array('province_id' => '12','town' => 'Fuente la Reina','id' => '1864','slug' => 'fuente-la-reina','latitude' => '40.0631694','longitude' => '-0.609128'),
        array('province_id' => '12','town' => 'Fuentes de Ayódar','id' => '1865','slug' => 'fuentes-de-aydar','latitude' => '40.0205985','longitude' => '-0.4207844'),
        array('province_id' => '12','town' => 'Gaibiel','id' => '1866','slug' => 'gaibiel','latitude' => '39.9239769','longitude' => '-0.4977681'),
        array('province_id' => '12','town' => 'Geldo','id' => '1867','slug' => 'geldo','latitude' => '39.8367087','longitude' => '-0.4669072'),
        array('province_id' => '12','town' => 'Herbés','id' => '1868','slug' => 'herbs','latitude' => '40.7201219','longitude' => '-0.0031003'),
        array('province_id' => '12','town' => 'Higueras','id' => '1869','slug' => 'higueras','latitude' => '39.983755','longitude' => '-0.5030097'),
        array('province_id' => '12','town' => 'Jana, la','id' => '1870','slug' => 'jana-la','latitude' => '39.9974666','longitude' => '-0.0525198'),
        array('province_id' => '12','town' => 'Jérica','id' => '1871','slug' => 'jrica','latitude' => '39.9134006','longitude' => '-0.5725689'),
        array('province_id' => '12','town' => 'Llosa, la','id' => '1872','slug' => 'llosa-la','latitude' => '39.980218','longitude' => '-0.0289915'),
        array('province_id' => '12','town' => 'Lucena del Cid','id' => '1873','slug' => 'lucena-del-cid','latitude' => '40.1384954','longitude' => '-0.279997'),
        array('province_id' => '12','town' => 'Ludiente','id' => '1874','slug' => 'ludiente','latitude' => '40.0873261','longitude' => '-0.3722982'),
        array('province_id' => '12','town' => 'Mata de Morella, la','id' => '1875','slug' => 'mata-de-morella-la','latitude' => '40.6156083','longitude' => '-0.2790673'),
        array('province_id' => '12','town' => 'Matet','id' => '1876','slug' => 'matet','latitude' => '39.9371606','longitude' => '-0.4694385'),
        array('province_id' => '12','town' => 'Moncofa','id' => '1877','slug' => 'moncofa','latitude' => '39.808619','longitude' => '-0.145778'),
        array('province_id' => '12','town' => 'Montán','id' => '1878','slug' => 'montn','latitude' => '40.0350859','longitude' => '-0.5527538'),
        array('province_id' => '12','town' => 'Montanejos','id' => '1879','slug' => 'montanejos','latitude' => '40.067959','longitude' => '-0.5227369'),
        array('province_id' => '12','town' => 'Morella','id' => '1880','slug' => 'morella','latitude' => '40.6189979','longitude' => '-0.0977334'),
        array('province_id' => '12','town' => 'Navajas','id' => '1881','slug' => 'navajas','latitude' => '39.8772685','longitude' => '-0.505991'),
        array('province_id' => '12','town' => 'Nules','id' => '1882','slug' => 'nules','latitude' => '39.8525906','longitude' => '-0.1585052'),
        array('province_id' => '12','town' => 'Olocau del Rey','id' => '1883','slug' => 'olocau-del-rey','latitude' => '40.6372961','longitude' => '-0.3402403'),
        array('province_id' => '12','town' => 'Onda','id' => '1884','slug' => 'onda','latitude' => '39.9653003','longitude' => '-0.2626455'),
        array('province_id' => '12','town' => 'Oropesa del Mar/Orpesa','id' => '1885','slug' => 'oropesa-del-marorpesa','latitude' => '40.092246','longitude' => '0.1339877'),
        array('province_id' => '12','town' => 'Palanques','id' => '1886','slug' => 'palanques','latitude' => '40.7181193','longitude' => '-0.18057'),
        array('province_id' => '12','town' => 'Pavías','id' => '1887','slug' => 'pavas','latitude' => '39.9737537','longitude' => '-0.4824016'),
        array('province_id' => '12','town' => 'Peníscola/Peñíscola','id' => '1888','slug' => 'penscolapescola','latitude' => '40.3602859','longitude' => '0.4028515'),
        array('province_id' => '12','town' => 'Pina de Montalgrao','id' => '1889','slug' => 'pina-de-montalgrao','latitude' => '40.0206702','longitude' => '-0.6548302'),
        array('province_id' => '12','town' => 'Pobla de Benifassà, la','id' => '1890','slug' => 'pobla-de-benifass-la','latitude' => '40.6566884','longitude' => '0.1574618'),
        array('province_id' => '12','town' => 'Pobla Tornesa, la','id' => '1891','slug' => 'pobla-tornesa-la','latitude' => '40.1010829','longitude' => '-0.0009881'),
        array('province_id' => '12','town' => 'Portell de Morella','id' => '1892','slug' => 'portell-de-morella','latitude' => '40.5326852','longitude' => '-0.2620546'),
        array('province_id' => '12','town' => 'Puebla de Arenoso','id' => '1893','slug' => 'puebla-de-arenoso','latitude' => '40.1038431','longitude' => '-0.5927256'),
        array('province_id' => '12','town' => 'Ribesalbes','id' => '1894','slug' => 'ribesalbes','latitude' => '40.0224555','longitude' => '-0.2749309'),
        array('province_id' => '12','town' => 'Rossell','id' => '1895','slug' => 'rossell','latitude' => '40.6163626','longitude' => '0.2205459'),
        array('province_id' => '12','town' => 'Sacañet','id' => '1896','slug' => 'sacaet','latitude' => '39.8528261','longitude' => '-0.7144783'),
        array('province_id' => '12','town' => 'Salzadella, la','id' => '1897','slug' => 'salzadella-la','latitude' => '40.4193267','longitude' => '0.1752126'),
        array('province_id' => '12','town' => 'San Rafael del Río','id' => '1898','slug' => 'san-rafael-del-ro','latitude' => '40.6063016','longitude' => '0.3498944'),
        array('province_id' => '12','town' => 'Sant Joan de Moró','id' => '1899','slug' => 'sant-joan-de-mor','latitude' => '40.0608065','longitude' => '-0.1371611'),
        array('province_id' => '12','town' => 'Sant Jordi/San Jorge','id' => '1900','slug' => 'sant-jordisan-jorge','latitude' => '40.4641725','longitude' => '0.3547123'),
        array('province_id' => '12','town' => 'Sant Mateu','id' => '1901','slug' => 'sant-mateu','latitude' => '40.4639123','longitude' => '0.1782633'),
        array('province_id' => '12','town' => 'Santa Magdalena de Pulpis','id' => '1902','slug' => 'santa-magdalena-de-pulpis','latitude' => '40.3558956','longitude' => '0.3024276'),
        array('province_id' => '12','town' => 'Sarratella','id' => '1903','slug' => 'sarratella','latitude' => '40.3127685','longitude' => '0.0300289'),
        array('province_id' => '12','town' => 'Segorbe','id' => '1904','slug' => 'segorbe','latitude' => '39.8532762','longitude' => '-0.4849939'),
        array('province_id' => '12','town' => 'Sierra Engarcerán','id' => '1905','slug' => 'sierra-engarcern','latitude' => '40.2694634','longitude' => '-0.0191436'),
        array('province_id' => '12','town' => 'Soneja','id' => '1906','slug' => 'soneja','latitude' => '39.8168144','longitude' => '-0.4289563'),
        array('province_id' => '12','town' => 'Sot de Ferrer','id' => '1907','slug' => 'sot-de-ferrer','latitude' => '39.8049367','longitude' => '-0.4102245'),
        array('province_id' => '12','town' => 'Sueras/Suera','id' => '1908','slug' => 'suerassuera','latitude' => '39.9524087','longitude' => '-0.3298838'),
        array('province_id' => '12','town' => 'Tales','id' => '1909','slug' => 'tales','latitude' => '39.9482899','longitude' => '-0.3073579'),
        array('province_id' => '12','town' => 'Teresa','id' => '1910','slug' => 'teresa','latitude' => '39.8999987','longitude' => '-0.6592473'),
        array('province_id' => '12','town' => 'Tírig','id' => '1911','slug' => 'trig','latitude' => '40.4236384','longitude' => '0.0774624'),
        array('province_id' => '12','town' => 'Todolella','id' => '1912','slug' => 'todolella','latitude' => '40.6465794','longitude' => '-0.2479222'),
        array('province_id' => '12','town' => 'Toga','id' => '1913','slug' => 'toga','latitude' => '40.0416055','longitude' => '-0.3677155'),
        array('province_id' => '12','town' => 'Torás','id' => '1914','slug' => 'tors','latitude' => '39.9196212','longitude' => '-0.6867329'),
        array('province_id' => '12','town' => 'Toro, El','id' => '1915','slug' => 'toro-el','latitude' => '39.9671987','longitude' => '-0.0537832'),
        array('province_id' => '12','town' => 'Torralba del Pinar','id' => '1916','slug' => 'torralba-del-pinar','latitude' => '39.9884637','longitude' => '-0.4384301'),
        array('province_id' => '12','town' => 'Torre d\'En Besora, la','id' => '1917','slug' => 'torre-den-besora-la','latitude' => '39.9818553','longitude' => '-0.0720973'),
        array('province_id' => '12','town' => 'Torre d\'en Doménec, la','id' => '1918','slug' => 'torre-den-domnec-la','latitude' => '40.263887','longitude' => '0.069759'),
        array('province_id' => '12','town' => 'Torreblanca','id' => '1919','slug' => 'torreblanca','latitude' => '40.2202416','longitude' => '0.1955926'),
        array('province_id' => '12','town' => 'Torrechiva','id' => '1920','slug' => 'torrechiva','latitude' => '40.0498','longitude' => '-0.3971934'),
        array('province_id' => '12','town' => 'Traiguera','id' => '1921','slug' => 'traiguera','latitude' => '40.5250187','longitude' => '0.2937722'),
        array('province_id' => '12','town' => 'Useras/Useres, les','id' => '1922','slug' => 'userasuseres-les','latitude' => '40.2273505','longitude' => '-0.080291'),
        array('province_id' => '12','town' => 'Vall d\'Alba','id' => '1923','slug' => 'vall-dalba','latitude' => '40.1751225','longitude' => '-0.0346116'),
        array('province_id' => '12','town' => 'Vall de Almonacid','id' => '1924','slug' => 'vall-de-almonacid','latitude' => '39.9032296','longitude' => '-0.4562645'),
        array('province_id' => '12','town' => 'Vall d\'Uixó, la','id' => '1925','slug' => 'vall-duix-la','latitude' => '39.8233311','longitude' => '-0.2325619'),
        array('province_id' => '12','town' => 'Vallat','id' => '1926','slug' => 'vallat','latitude' => '40.0296366','longitude' => '-0.3364323'),
        array('province_id' => '12','town' => 'Vallibona','id' => '1927','slug' => 'vallibona','latitude' => '40.6029483','longitude' => '0.0462348'),
        array('province_id' => '12','town' => 'Vilafamés','id' => '1928','slug' => 'vilafams','latitude' => '40.1140237','longitude' => '-0.0529811'),
        array('province_id' => '12','town' => 'Vilanova d\'Alcolea','id' => '1929','slug' => 'vilanova-dalcolea','latitude' => '40.2316931','longitude' => '0.0736209'),
        array('province_id' => '12','town' => 'Vilar de Canes','id' => '1930','slug' => 'vilar-de-canes','latitude' => '40.3588518','longitude' => '-0.06521'),
        array('province_id' => '12','town' => 'Vila-real','id' => '1931','slug' => 'vila-real','latitude' => '39.9383537','longitude' => '-0.1018287'),
        array('province_id' => '12','town' => 'Vilavella, la','id' => '1932','slug' => 'vilavella-la','latitude' => '39.989765','longitude' => '-0.0298084'),
        array('province_id' => '12','town' => 'Villafranca del Cid/Vilafranca','id' => '1933','slug' => 'villafranca-del-cidvilafranca','latitude' => '40.4270992','longitude' => '-0.2577482'),
        array('province_id' => '12','town' => 'Villahermosa del Río','id' => '1934','slug' => 'villahermosa-del-ro','latitude' => '40.201065','longitude' => '-0.4185984'),
        array('province_id' => '12','town' => 'Villamalur','id' => '1935','slug' => 'villamalur','latitude' => '39.9640422','longitude' => '-0.3945935'),
        array('province_id' => '12','town' => 'Villanueva de Viver','id' => '1936','slug' => 'villanueva-de-viver','latitude' => '40.059043','longitude' => '-0.6467667'),
        array('province_id' => '12','town' => 'Villores','id' => '1937','slug' => 'villores','latitude' => '40.6753037','longitude' => '-0.2001235'),
        array('province_id' => '12','town' => 'Vinaròs','id' => '1938','slug' => 'vinars','latitude' => '40.4709997','longitude' => '0.4747435'),
        array('province_id' => '12','town' => 'Vistabella del Maestrazgo','id' => '1939','slug' => 'vistabella-del-maestrazgo','latitude' => '40.2938817','longitude' => '-0.2940306'),
        array('province_id' => '12','town' => 'Viver','id' => '1940','slug' => 'viver','latitude' => '39.9213506','longitude' => '-0.5944216'),
        array('province_id' => '12','town' => 'Zorita del Maestrazgo','id' => '1941','slug' => 'zorita-del-maestrazgo','latitude' => '40.7286641','longitude' => '-0.1646943'),
        array('province_id' => '12','town' => 'Zucaina','id' => '1942','slug' => 'zucaina','latitude' => '40.1316453','longitude' => '-0.4206683'),
        array('province_id' => '13','town' => 'Abenójar','id' => '1943','slug' => 'abenjar','latitude' => '38.8793473','longitude' => '-4.3577781'),
        array('province_id' => '13','town' => 'Agudo','id' => '1944','slug' => 'agudo','latitude' => '38.9789683','longitude' => '-4.8731516'),
        array('province_id' => '13','town' => 'Alamillo','id' => '1945','slug' => 'alamillo','latitude' => '38.6769448','longitude' => '-4.7895922'),
        array('province_id' => '13','town' => 'Albaladejo','id' => '1946','slug' => 'albaladejo','latitude' => '38.6180528','longitude' => '-2.8062605'),
        array('province_id' => '13','town' => 'Alcázar de San Juan','id' => '1947','slug' => 'alczar-de-san-juan','latitude' => '39.3899254','longitude' => '-3.2101372'),
        array('province_id' => '13','town' => 'Alcoba','id' => '1948','slug' => 'alcoba','latitude' => '39.2608553','longitude' => '-4.4768357'),
        array('province_id' => '13','town' => 'Alcolea de Calatrava','id' => '1949','slug' => 'alcolea-de-calatrava','latitude' => '38.9866069','longitude' => '-4.1154908'),
        array('province_id' => '13','town' => 'Alcubillas','id' => '1950','slug' => 'alcubillas','latitude' => '38.7520171','longitude' => '-3.1346316'),
        array('province_id' => '13','town' => 'Aldea del Rey','id' => '1951','slug' => 'aldea-del-rey','latitude' => '38.7382271','longitude' => '-3.8394617'),
        array('province_id' => '13','town' => 'Alhambra','id' => '1952','slug' => 'alhambra','latitude' => '38.8994522','longitude' => '-3.0534459'),
        array('province_id' => '13','town' => 'Almadén','id' => '1953','slug' => 'almadn','latitude' => '38.7753722','longitude' => '-4.8399187'),
        array('province_id' => '13','town' => 'Almadenejos','id' => '1954','slug' => 'almadenejos','latitude' => '38.7386685','longitude' => '-4.7119332'),
        array('province_id' => '13','town' => 'Almagro','id' => '1955','slug' => 'almagro','latitude' => '38.8908966','longitude' => '-3.7064158'),
        array('province_id' => '13','town' => 'Almedina','id' => '1956','slug' => 'almedina','latitude' => '38.6236999','longitude' => '-2.9561986'),
        array('province_id' => '13','town' => 'Almodóvar del Campo','id' => '1957','slug' => 'almodvar-del-campo','latitude' => '38.7089241','longitude' => '-4.17864'),
        array('province_id' => '13','town' => 'Almuradiel','id' => '1958','slug' => 'almuradiel','latitude' => '38.5126365','longitude' => '-3.4948502'),
        array('province_id' => '13','town' => 'Anchuras','id' => '1959','slug' => 'anchuras','latitude' => '39.4802446','longitude' => '-4.835894'),
        array('province_id' => '13','town' => 'Arenales de San Gregorio','id' => '1960','slug' => 'arenales-de-san-gregorio','latitude' => '39.3103695','longitude' => '-3.0268007'),
        array('province_id' => '13','town' => 'Arenas de San Juan','id' => '1961','slug' => 'arenas-de-san-juan','latitude' => '39.2176893','longitude' => '-3.5029342'),
        array('province_id' => '13','town' => 'Argamasilla de Alba','id' => '1962','slug' => 'argamasilla-de-alba','latitude' => '39.128713','longitude' => '-3.0884716'),
        array('province_id' => '13','town' => 'Argamasilla de Calatrava','id' => '1963','slug' => 'argamasilla-de-calatrava','latitude' => '38.7268804','longitude' => '-4.0800761'),
        array('province_id' => '13','town' => 'Arroba de los Montes','id' => '1964','slug' => 'arroba-de-los-montes','latitude' => '39.1537601','longitude' => '-4.5439567'),
        array('province_id' => '13','town' => 'Ballesteros de Calatrava','id' => '1965','slug' => 'ballesteros-de-calatrava','latitude' => '38.837348','longitude' => '-3.9432725'),
        array('province_id' => '13','town' => 'Bolaños de Calatrava','id' => '1966','slug' => 'bolaos-de-calatrava','latitude' => '38.9056484','longitude' => '-3.6663543'),
        array('province_id' => '13','town' => 'Brazatortas','id' => '1967','slug' => 'brazatortas','latitude' => '38.6607735','longitude' => '-4.296044'),
        array('province_id' => '13','town' => 'Cabezarados','id' => '1968','slug' => 'cabezarados','latitude' => '38.8459086','longitude' => '-4.2971021'),
        array('province_id' => '13','town' => 'Cabezarrubias del Puerto','id' => '1969','slug' => 'cabezarrubias-del-puerto','latitude' => '38.6150022','longitude' => '-4.1841299'),
        array('province_id' => '13','town' => 'Calzada de Calatrava','id' => '1970','slug' => 'calzada-de-calatrava','latitude' => '38.7048735','longitude' => '-3.7772957'),
        array('province_id' => '13','town' => 'Campo de Criptana','id' => '1971','slug' => 'campo-de-criptana','latitude' => '39.402287','longitude' => '-3.1221498'),
        array('province_id' => '13','town' => 'Cañada de Calatrava','id' => '1972','slug' => 'caada-de-calatrava','latitude' => '38.8542855','longitude' => '-4.0236071'),
        array('province_id' => '13','town' => 'Caracuel de Calatrava','id' => '1973','slug' => 'caracuel-de-calatrava','latitude' => '38.8458464','longitude' => '-4.0635956'),
        array('province_id' => '13','town' => 'Carrión de Calatrava','id' => '1974','slug' => 'carrin-de-calatrava','latitude' => '39.0183755','longitude' => '-3.8176808'),
        array('province_id' => '13','town' => 'Carrizosa','id' => '1975','slug' => 'carrizosa','latitude' => '38.8415736','longitude' => '-2.992662'),
        array('province_id' => '13','town' => 'Castellar de Santiago','id' => '1976','slug' => 'castellar-de-santiago','latitude' => '38.5403456','longitude' => '-3.2782687'),
        array('province_id' => '13','town' => 'Chillón','id' => '1977','slug' => 'chilln','latitude' => '38.7968871','longitude' => '-4.8670116'),
        array('province_id' => '13','town' => 'Ciudad Real','id' => '1978','slug' => 'ciudad-real','latitude' => '38.9860963','longitude' => '-3.9272629'),
        array('province_id' => '13','town' => 'Corral de Calatrava','id' => '1979','slug' => 'corral-de-calatrava','latitude' => '38.8587009','longitude' => '-4.0809875'),
        array('province_id' => '13','town' => 'Cortijos, Los','id' => '1980','slug' => 'cortijos-los','latitude' => '39.3152549','longitude' => '-4.0660946'),
        array('province_id' => '13','town' => 'Cózar','id' => '1981','slug' => 'czar','latitude' => '38.6607886','longitude' => '-3.0730083'),
        array('province_id' => '13','town' => 'Daimiel','id' => '1982','slug' => 'daimiel','latitude' => '39.0717865','longitude' => '-3.6165727'),
        array('province_id' => '13','town' => 'Fernán Caballero','id' => '1983','slug' => 'fernn-caballero','latitude' => '39.124736','longitude' => '-3.9025858'),
        array('province_id' => '13','town' => 'Fontanarejo','id' => '1984','slug' => 'fontanarejo','latitude' => '39.22077','longitude' => '-4.5173575'),
        array('province_id' => '13','town' => 'Fuencaliente','id' => '1985','slug' => 'fuencaliente','latitude' => '38.4066382','longitude' => '-4.3044588'),
        array('province_id' => '13','town' => 'Fuenllana','id' => '1986','slug' => 'fuenllana','latitude' => '38.75436','longitude' => '-2.9600307'),
        array('province_id' => '13','town' => 'Fuente el Fresno','id' => '1987','slug' => 'fuente-el-fresno','latitude' => '39.2304744','longitude' => '-3.7747809'),
        array('province_id' => '13','town' => 'Granátula de Calatrava','id' => '1988','slug' => 'grantula-de-calatrava','latitude' => '38.7953132','longitude' => '-3.7431122'),
        array('province_id' => '13','town' => 'Guadalmez','id' => '1989','slug' => 'guadalmez','latitude' => '38.7271665','longitude' => '-4.9707384'),
        array('province_id' => '13','town' => 'Herencia','id' => '1990','slug' => 'herencia','latitude' => '39.3669119','longitude' => '-3.3549911'),
        array('province_id' => '13','town' => 'Hinojosas de Calatrava','id' => '1991','slug' => 'hinojosas-de-calatrava','latitude' => '38.6149837','longitude' => '-4.1408267'),
        array('province_id' => '13','town' => 'Horcajo de los Montes','id' => '1992','slug' => 'horcajo-de-los-montes','latitude' => '39.3253302','longitude' => '-4.6498524'),
        array('province_id' => '13','town' => 'Labores, Las','id' => '1993','slug' => 'labores-las','latitude' => '39.2745837','longitude' => '-3.5186036'),
        array('province_id' => '13','town' => 'Llanos del Caudillo','id' => '1994','slug' => 'llanos-del-caudillo','latitude' => '39.1182326','longitude' => '-3.3519357'),
        array('province_id' => '13','town' => 'Luciana','id' => '1995','slug' => 'luciana','latitude' => '38.9838213','longitude' => '-4.2928524'),
        array('province_id' => '13','town' => 'Malagón','id' => '1996','slug' => 'malagn','latitude' => '39.1715934','longitude' => '-3.8548794'),
        array('province_id' => '13','town' => 'Manzanares','id' => '1997','slug' => 'manzanares','latitude' => '38.9963599','longitude' => '-3.3731716'),
        array('province_id' => '13','town' => 'Membrilla','id' => '1998','slug' => 'membrilla','latitude' => '38.9721899','longitude' => '-3.3482458'),
        array('province_id' => '13','town' => 'Mestanza','id' => '1999','slug' => 'mestanza','latitude' => '38.574522','longitude' => '-4.0712332'),
        array('province_id' => '13','town' => 'Miguelturra','id' => '2000','slug' => 'miguelturra','latitude' => '38.9647945','longitude' => '-3.8912929'),
        array('province_id' => '13','town' => 'Montiel','id' => '2001','slug' => 'montiel','latitude' => '38.6963419','longitude' => '-2.8621435'),
        array('province_id' => '13','town' => 'Moral de Calatrava','id' => '2002','slug' => 'moral-de-calatrava','latitude' => '38.8302974','longitude' => '-3.580616'),
        array('province_id' => '13','town' => 'Navalpino','id' => '2003','slug' => 'navalpino','latitude' => '39.225025','longitude' => '-4.5916622'),
        array('province_id' => '13','town' => 'Navas de Estena','id' => '2004','slug' => 'navas-de-estena','latitude' => '39.4951812','longitude' => '-4.5209427'),
        array('province_id' => '13','town' => 'Pedro Muñoz','id' => '2005','slug' => 'pedro-muoz','latitude' => '39.4055191','longitude' => '-2.9477986'),
        array('province_id' => '13','town' => 'Picón','id' => '2006','slug' => 'picn','latitude' => '39.049757','longitude' => '-4.0608332'),
        array('province_id' => '13','town' => 'Piedrabuena','id' => '2007','slug' => 'piedrabuena','latitude' => '39.0327726','longitude' => '-4.1756454'),
        array('province_id' => '13','town' => 'Poblete','id' => '2008','slug' => 'poblete','latitude' => '38.9358428','longitude' => '-3.981476'),
        array('province_id' => '13','town' => 'Porzuna','id' => '2009','slug' => 'porzuna','latitude' => '39.1460683','longitude' => '-4.1534211'),
        array('province_id' => '13','town' => 'Pozuelo de Calatrava','id' => '2010','slug' => 'pozuelo-de-calatrava','latitude' => '38.9121473','longitude' => '-3.837884'),
        array('province_id' => '13','town' => 'Pozuelos de Calatrava, Los','id' => '2011','slug' => 'pozuelos-de-calatrava-los','latitude' => '38.9','longitude' => '-4.166667'),
        array('province_id' => '13','town' => 'Puebla de Don Rodrigo','id' => '2012','slug' => 'puebla-de-don-rodrigo','latitude' => '39.0864139','longitude' => '-4.6206812'),
        array('province_id' => '13','town' => 'Puebla del Príncipe','id' => '2013','slug' => 'puebla-del-prncipe','latitude' => '38.568777','longitude' => '-2.9255791'),
        array('province_id' => '13','town' => 'Puerto Lápice','id' => '2014','slug' => 'puerto-lpice','latitude' => '39.324324','longitude' => '-3.4810533'),
        array('province_id' => '13','town' => 'Puertollano','id' => '2015','slug' => 'puertollano','latitude' => '38.6860347','longitude' => '-4.1121461'),
        array('province_id' => '13','town' => 'Retuerta del Bullaque','id' => '2016','slug' => 'retuerta-del-bullaque','latitude' => '39.4612016','longitude' => '-4.4095625'),
        array('province_id' => '13','town' => 'Robledo, El','id' => '2017','slug' => 'robledo-el','latitude' => '39.6093097','longitude' => '-4.9052501'),
        array('province_id' => '13','town' => 'Ruidera','id' => '2018','slug' => 'ruidera','latitude' => '38.9755098','longitude' => '-2.8842969'),
        array('province_id' => '13','town' => 'Saceruela','id' => '2019','slug' => 'saceruela','latitude' => '38.9438772','longitude' => '-4.6102033'),
        array('province_id' => '13','town' => 'San Carlos del Valle','id' => '2020','slug' => 'san-carlos-del-valle','latitude' => '38.8443188','longitude' => '-3.2415231'),
        array('province_id' => '13','town' => 'San Lorenzo de Calatrava','id' => '2021','slug' => 'san-lorenzo-de-calatrava','latitude' => '38.476813','longitude' => '-3.8248405'),
        array('province_id' => '13','town' => 'Santa Cruz de los Cáñamos','id' => '2022','slug' => 'santa-cruz-de-los-camos','latitude' => '38.6375848','longitude' => '-2.8682431'),
        array('province_id' => '13','town' => 'Santa Cruz de Mudela','id' => '2023','slug' => 'santa-cruz-de-mudela','latitude' => '38.6453369','longitude' => '-3.4671744'),
        array('province_id' => '13','town' => 'Socuéllamos','id' => '2024','slug' => 'socullamos','latitude' => '39.293221','longitude' => '-2.7943202'),
        array('province_id' => '13','town' => 'Solana, La','id' => '2025','slug' => 'solana-la','latitude' => '38.4667738','longitude' => '-4.0725877'),
        array('province_id' => '13','town' => 'Solana del Pino','id' => '2026','slug' => 'solana-del-pino','latitude' => '38.4667738','longitude' => '-4.0725877'),
        array('province_id' => '13','town' => 'Terrinches','id' => '2027','slug' => 'terrinches','latitude' => '38.6098818','longitude' => '-2.8416175'),
        array('province_id' => '13','town' => 'Tomelloso','id' => '2028','slug' => 'tomelloso','latitude' => '39.157747','longitude' => '-3.0208068'),
        array('province_id' => '13','town' => 'Torralba de Calatrava','id' => '2029','slug' => 'torralba-de-calatrava','latitude' => '39.0163475','longitude' => '-3.7500293'),
        array('province_id' => '13','town' => 'Torre de Juan Abad','id' => '2030','slug' => 'torre-de-juan-abad','latitude' => '38.5847088','longitude' => '-3.0603543'),
        array('province_id' => '13','town' => 'Torrenueva','id' => '2031','slug' => 'torrenueva','latitude' => '38.6401635','longitude' => '-3.3621265'),
        array('province_id' => '13','town' => 'Valdemanco del Esteras','id' => '2032','slug' => 'valdemanco-del-esteras','latitude' => '38.9400947','longitude' => '-4.8298565'),
        array('province_id' => '13','town' => 'Valdepeñas','id' => '2033','slug' => 'valdepeas','latitude' => '38.7605285','longitude' => '-3.3841045'),
        array('province_id' => '13','town' => 'Valenzuela de Calatrava','id' => '2034','slug' => 'valenzuela-de-calatrava','latitude' => '38.8528136','longitude' => '-3.7725022'),
        array('province_id' => '13','town' => 'Villahermosa','id' => '2035','slug' => 'villahermosa','latitude' => '38.7502635','longitude' => '-2.8713846'),
        array('province_id' => '13','town' => 'Villamanrique','id' => '2036','slug' => 'villamanrique','latitude' => '38.5481744','longitude' => '-2.9967425'),
        array('province_id' => '13','town' => 'Villamayor de Calatrava','id' => '2037','slug' => 'villamayor-de-calatrava','latitude' => '38.7888105','longitude' => '-4.1381828'),
        array('province_id' => '13','town' => 'Villanueva de la Fuente','id' => '2038','slug' => 'villanueva-de-la-fuente','latitude' => '38.6921753','longitude' => '-2.6948547'),
        array('province_id' => '13','town' => 'Villanueva de los Infantes','id' => '2039','slug' => 'villanueva-de-los-infantes','latitude' => '38.7371213','longitude' => '-3.014678'),
        array('province_id' => '13','town' => 'Villanueva de San Carlos','id' => '2040','slug' => 'villanueva-de-san-carlos','latitude' => '38.6215285','longitude' => '-3.9096187'),
        array('province_id' => '13','town' => 'Villar del Pozo','id' => '2041','slug' => 'villar-del-pozo','latitude' => '38.8496345','longitude' => '-3.9634724'),
        array('province_id' => '13','town' => 'Villarrubia de los Ojos','id' => '2042','slug' => 'villarrubia-de-los-ojos','latitude' => '39.2191385','longitude' => '-3.6078835'),
        array('province_id' => '13','town' => 'Villarta de San Juan','id' => '2043','slug' => 'villarta-de-san-juan','latitude' => '39.2404396','longitude' => '-3.4222266'),
        array('province_id' => '13','town' => 'Viso del Marqués','id' => '2044','slug' => 'viso-del-marqus','latitude' => '38.5232749','longitude' => '-3.5628036'),
        array('province_id' => '14','town' => 'Adamuz','id' => '2045','slug' => 'adamuz','latitude' => '38.0273636','longitude' => '-4.5248733'),
        array('province_id' => '14','town' => 'Aguilar de la Frontera','id' => '2046','slug' => 'aguilar-de-la-frontera','latitude' => '37.5150249','longitude' => '-4.6560569'),
        array('province_id' => '14','town' => 'Alcaracejos','id' => '2047','slug' => 'alcaracejos','latitude' => '38.3882311','longitude' => '-4.9676841'),
        array('province_id' => '14','town' => 'Almedinilla','id' => '2048','slug' => 'almedinilla','latitude' => '37.4390031','longitude' => '-4.0912049'),
        array('province_id' => '14','town' => 'Almodóvar del Río','id' => '2049','slug' => 'almodvar-del-ro','latitude' => '37.8095848','longitude' => '-5.0199586'),
        array('province_id' => '14','town' => 'Añora','id' => '2050','slug' => 'aora','latitude' => '38.4109934','longitude' => '-4.8974616'),
        array('province_id' => '14','town' => 'Baena','id' => '2051','slug' => 'baena','latitude' => '37.6144133','longitude' => '-4.3260896'),
        array('province_id' => '14','town' => 'Belalcázar','id' => '2052','slug' => 'belalczar','latitude' => '38.5784345','longitude' => '-5.1671188'),
        array('province_id' => '14','town' => 'Belmez','id' => '2053','slug' => 'belmez','latitude' => '38.2723355','longitude' => '-5.208753'),
        array('province_id' => '14','town' => 'Benamejí','id' => '2054','slug' => 'benamej','latitude' => '37.2673212','longitude' => '-4.5404178'),
        array('province_id' => '14','town' => 'Blázquez, Los','id' => '2055','slug' => 'blzquez-los','latitude' => '38.408013','longitude' => '-5.437517'),
        array('province_id' => '14','town' => 'Bujalance','id' => '2056','slug' => 'bujalance','latitude' => '37.8965712','longitude' => '-4.3835885'),
        array('province_id' => '14','town' => 'Cabra','id' => '2057','slug' => 'cabra','latitude' => '37.4743664','longitude' => '-4.4259306'),
        array('province_id' => '14','town' => 'Cañete de las Torres','id' => '2058','slug' => 'caete-de-las-torres','latitude' => '37.8674095','longitude' => '-4.3188186'),
        array('province_id' => '14','town' => 'Carcabuey','id' => '2059','slug' => 'carcabuey','latitude' => '37.4435913','longitude' => '-4.2734363'),
        array('province_id' => '14','town' => 'Cardeña','id' => '2060','slug' => 'cardea','latitude' => '38.2704645','longitude' => '-4.3237298'),
        array('province_id' => '14','town' => 'Carlota, La','id' => '2061','slug' => 'carlota-la','latitude' => '37.6736147','longitude' => '-4.9325533'),
        array('province_id' => '14','town' => 'Carpio, El','id' => '2062','slug' => 'carpio-el','latitude' => '37.8809947','longitude' => '-4.7760887'),
        array('province_id' => '14','town' => 'Castro del Río','id' => '2063','slug' => 'castro-del-ro','latitude' => '37.6886366','longitude' => '-4.4815787'),
        array('province_id' => '14','town' => 'Conquista','id' => '2064','slug' => 'conquista','latitude' => '38.4084439','longitude' => '-4.5009684'),
        array('province_id' => '14','town' => 'Córdoba','id' => '2065','slug' => 'crdoba','latitude' => '37.8847267','longitude' => '-4.7791517'),
        array('province_id' => '14','town' => 'Doña Mencía','id' => '2066','slug' => 'doa-menca','latitude' => '37.5545698','longitude' => '-4.3576025'),
        array('province_id' => '14','town' => 'Dos Torres','id' => '2067','slug' => 'dos-torres','latitude' => '38.4452447','longitude' => '-4.8949322'),
        array('province_id' => '14','town' => 'Encinas Reales','id' => '2068','slug' => 'encinas-reales','latitude' => '37.2748827','longitude' => '-4.4897172'),
        array('province_id' => '14','town' => 'Espejo','id' => '2069','slug' => 'espejo','latitude' => '37.6821089','longitude' => '-4.5523629'),
        array('province_id' => '14','town' => 'Espiel','id' => '2070','slug' => 'espiel','latitude' => '38.1886516','longitude' => '-5.0182019'),
        array('province_id' => '14','town' => 'Fernán-Núñez','id' => '2071','slug' => 'fernn-nez','latitude' => '37.6722582','longitude' => '-4.7239938'),
        array('province_id' => '14','town' => 'Fuente la Lancha','id' => '2072','slug' => 'fuente-la-lancha','latitude' => '38.4225672','longitude' => '-5.0489061'),
        array('province_id' => '14','town' => 'Fuente Obejuna','id' => '2073','slug' => 'fuente-obejuna','latitude' => '38.2667497','longitude' => '-5.4198339'),
        array('province_id' => '14','town' => 'Fuente Palmera','id' => '2074','slug' => 'fuente-palmera','latitude' => '37.703189','longitude' => '-5.1039039'),
        array('province_id' => '14','town' => 'Fuente-Tójar','id' => '2075','slug' => 'fuente-tjar','latitude' => '37.5116266','longitude' => '-4.1480195'),
        array('province_id' => '14','town' => 'Granjuela, La','id' => '2076','slug' => 'granjuela-la','latitude' => '38.3711006','longitude' => '-5.3514363'),
        array('province_id' => '14','town' => 'Guadalcázar','id' => '2077','slug' => 'guadalczar','latitude' => '37.7575517','longitude' => '-4.9446297'),
        array('province_id' => '14','town' => 'Guijo, El','id' => '2078','slug' => 'guijo-el','latitude' => '38.4962928','longitude' => '-4.782716'),
        array('province_id' => '14','town' => 'Hinojosa del Duque','id' => '2079','slug' => 'hinojosa-del-duque','latitude' => '38.5009912','longitude' => '-5.1483328'),
        array('province_id' => '14','town' => 'Hornachuelos','id' => '2080','slug' => 'hornachuelos','latitude' => '37.8308411','longitude' => '-5.2429845'),
        array('province_id' => '14','town' => 'Iznájar','id' => '2081','slug' => 'iznjar','latitude' => '37.2572569','longitude' => '-4.3084231'),
        array('province_id' => '14','town' => 'Lucena','id' => '2082','slug' => 'lucena','latitude' => '37.4087293','longitude' => '-4.4855978'),
        array('province_id' => '14','town' => 'Luque','id' => '2083','slug' => 'luque','latitude' => '37.5593227','longitude' => '-4.2765229'),
        array('province_id' => '14','town' => 'Montalbán de Córdoba','id' => '2084','slug' => 'montalbn-de-crdoba','latitude' => '37.5829208','longitude' => '-4.7496987'),
        array('province_id' => '14','town' => 'Montemayor','id' => '2085','slug' => 'montemayor','latitude' => '37.6486166','longitude' => '-4.698889'),
        array('province_id' => '14','town' => 'Montilla','id' => '2086','slug' => 'montilla','latitude' => '37.5896304','longitude' => '-4.6383126'),
        array('province_id' => '14','town' => 'Montoro','id' => '2087','slug' => 'montoro','latitude' => '38.0261701','longitude' => '-4.381874'),
        array('province_id' => '14','town' => 'Monturque','id' => '2088','slug' => 'monturque','latitude' => '37.4733257','longitude' => '-4.5817131'),
        array('province_id' => '14','town' => 'Moriles','id' => '2089','slug' => 'moriles','latitude' => '37.4352591','longitude' => '-4.6087668'),
        array('province_id' => '14','town' => 'Nueva Carteya','id' => '2090','slug' => 'nueva-carteya','latitude' => '37.5856614','longitude' => '-4.4672913'),
        array('province_id' => '14','town' => 'Obejo','id' => '2091','slug' => 'obejo','latitude' => '38.1343305','longitude' => '-4.8005056'),
        array('province_id' => '14','town' => 'Palenciana','id' => '2092','slug' => 'palenciana','latitude' => '37.2492033','longitude' => '-4.5836511'),
        array('province_id' => '14','town' => 'Palma del Río','id' => '2093','slug' => 'palma-del-ro','latitude' => '37.7016346','longitude' => '-5.2837669'),
        array('province_id' => '14','town' => 'Pedro Abad','id' => '2094','slug' => 'pedro-abad','latitude' => '37.9670756','longitude' => '-4.4572259'),
        array('province_id' => '14','town' => 'Pedroche','id' => '2095','slug' => 'pedroche','latitude' => '38.4287313','longitude' => '-4.7634378'),
        array('province_id' => '14','town' => 'Peñarroya-Pueblonuevo','id' => '2096','slug' => 'pearroya-pueblonuevo','latitude' => '38.3030394','longitude' => '-5.2728515'),
        array('province_id' => '14','town' => 'Posadas','id' => '2097','slug' => 'posadas','latitude' => '37.8004118','longitude' => '-5.1070381'),
        array('province_id' => '14','town' => 'Pozoblanco','id' => '2098','slug' => 'pozoblanco','latitude' => '38.3774183','longitude' => '-4.8483757'),
        array('province_id' => '14','town' => 'Priego de Córdoba','id' => '2099','slug' => 'priego-de-crdoba','latitude' => '37.4388966','longitude' => '-4.1948395'),
        array('province_id' => '14','town' => 'Puente Genil','id' => '2100','slug' => 'puente-genil','latitude' => '37.3905074','longitude' => '-4.7704654'),
        array('province_id' => '14','town' => 'Rambla, La','id' => '2101','slug' => 'rambla-la','latitude' => '37.6081611','longitude' => '-4.7413194'),
        array('province_id' => '14','town' => 'Rute','id' => '2102','slug' => 'rute','latitude' => '37.3258655','longitude' => '-4.3713007'),
        array('province_id' => '14','town' => 'San Sebastián de los Ballesteros','id' => '2103','slug' => 'san-sebastin-de-los-ballesteros','latitude' => '37.6549298','longitude' => '-4.8241568'),
        array('province_id' => '14','town' => 'Santa Eufemia','id' => '2104','slug' => 'santa-eufemia','latitude' => '38.5954453','longitude' => '-4.9027651'),
        array('province_id' => '14','town' => 'Santaella','id' => '2105','slug' => 'santaella','latitude' => '37.5662722','longitude' => '-4.8450941'),
        array('province_id' => '14','town' => 'Torrecampo','id' => '2106','slug' => 'torrecampo','latitude' => '38.4751014','longitude' => '-4.6794562'),
        array('province_id' => '14','town' => 'Valenzuela','id' => '2107','slug' => 'valenzuela','latitude' => '37.775081','longitude' => '-4.2198417'),
        array('province_id' => '14','town' => 'Valsequillo','id' => '2108','slug' => 'valsequillo','latitude' => '38.4049767','longitude' => '-5.3516797'),
        array('province_id' => '14','town' => 'Victoria, La','id' => '2109','slug' => 'victoria-la','latitude' => '37.8832397','longitude' => '-4.7849611'),
        array('province_id' => '14','town' => 'Villa del Río','id' => '2110','slug' => 'villa-del-ro','latitude' => '37.9822715','longitude' => '-4.2908778'),
        array('province_id' => '14','town' => 'Villafranca de Córdoba','id' => '2111','slug' => 'villafranca-de-crdoba','latitude' => '37.9619328','longitude' => '-4.5457276'),
        array('province_id' => '14','town' => 'Villaharta','id' => '2112','slug' => 'villaharta','latitude' => '38.1395072','longitude' => '-4.9030518'),
        array('province_id' => '14','town' => 'Villanueva de Córdoba','id' => '2113','slug' => 'villanueva-de-crdoba','latitude' => '38.3227873','longitude' => '-4.628341'),
        array('province_id' => '14','town' => 'Villanueva del Duque','id' => '2114','slug' => 'villanueva-del-duque','latitude' => '38.3929751','longitude' => '-5.0001322'),
        array('province_id' => '14','town' => 'Villanueva del Rey','id' => '2115','slug' => 'villanueva-del-rey','latitude' => '38.1996444','longitude' => '-5.1514426'),
        array('province_id' => '14','town' => 'Villaralto','id' => '2116','slug' => 'villaralto','latitude' => '38.4557088','longitude' => '-4.9843712'),
        array('province_id' => '14','town' => 'Villaviciosa de Córdoba','id' => '2117','slug' => 'villaviciosa-de-crdoba','latitude' => '38.0759755','longitude' => '-5.014214'),
        array('province_id' => '14','town' => 'Viso, El','id' => '2118','slug' => 'viso-el','latitude' => '38.9960388','longitude' => '-3.3898994'),
        array('province_id' => '14','town' => 'Zuheros','id' => '2119','slug' => 'zuheros','latitude' => '37.5431369','longitude' => '-4.3164148'),
        array('province_id' => '15','town' => 'Abegondo','id' => '2120','slug' => 'abegondo','latitude' => '43.2166667','longitude' => '-8.2833333'),
        array('province_id' => '15','town' => 'Ames','id' => '2121','slug' => 'ames','latitude' => '42.9','longitude' => '-8.6333333'),
        array('province_id' => '15','town' => 'Aranga','id' => '2122','slug' => 'aranga','latitude' => '43.233333','longitude' => '-8.016667'),
        array('province_id' => '15','town' => 'Ares','id' => '2123','slug' => 'ares','latitude' => '43.4262953','longitude' => '-8.2477456'),
        array('province_id' => '15','town' => 'Arteixo','id' => '2124','slug' => 'arteixo','latitude' => '43.3045068','longitude' => '-8.5113867'),
        array('province_id' => '15','town' => 'Arzúa','id' => '2125','slug' => 'arza','latitude' => '42.9271719','longitude' => '-8.1641964'),
        array('province_id' => '15','town' => 'Baña, A','id' => '2126','slug' => 'baa-a','latitude' => '42.8018678','longitude' => '-8.8428051'),
        array('province_id' => '15','town' => 'Bergondo','id' => '2127','slug' => 'bergondo','latitude' => '43.3166667','longitude' => '-8.2333333'),
        array('province_id' => '15','town' => 'Betanzos','id' => '2128','slug' => 'betanzos','latitude' => '43.2810597','longitude' => '-8.2113155'),
        array('province_id' => '15','town' => 'Boimorto','id' => '2129','slug' => 'boimorto','latitude' => '43.008','longitude' => '-8.127'),
        array('province_id' => '15','town' => 'Boiro','id' => '2130','slug' => 'boiro','latitude' => '42.65','longitude' => '-8.9'),
        array('province_id' => '15','town' => 'Boqueixón','id' => '2131','slug' => 'boqueixn','latitude' => '42.817','longitude' => '-8.417'),
        array('province_id' => '15','town' => 'Brión','id' => '2132','slug' => 'brin','latitude' => '42.867','longitude' => '-8.678'),
        array('province_id' => '15','town' => 'Cabana de Bergantiños','id' => '2133','slug' => 'cabana-de-bergantios','latitude' => '43.2191667','longitude' => '-8.98'),
        array('province_id' => '15','town' => 'Cabanas','id' => '2134','slug' => 'cabanas','latitude' => '43.4172358','longitude' => '-8.1652093'),
        array('province_id' => '15','town' => 'Camariñas','id' => '2135','slug' => 'camarias','latitude' => '43.12862','longitude' => '-9.1849287'),
        array('province_id' => '15','town' => 'Cambre','id' => '2136','slug' => 'cambre','latitude' => '43.2941625','longitude' => '-8.3449801'),
        array('province_id' => '15','town' => 'Capela, A','id' => '2137','slug' => 'capela-a','latitude' => '42.9004678','longitude' => '-8.9438578'),
        array('province_id' => '15','town' => 'Carballo','id' => '2138','slug' => 'carballo','latitude' => '43.2121679','longitude' => '-8.6910414'),
        array('province_id' => '15','town' => 'Cariño','id' => '2139','slug' => 'cario','latitude' => '43.7326479','longitude' => '-7.8777663'),
        array('province_id' => '15','town' => 'Carnota','id' => '2140','slug' => 'carnota','latitude' => '42.8210706','longitude' => '-9.0870997'),
        array('province_id' => '15','town' => 'Carral','id' => '2141','slug' => 'carral','latitude' => '43.2297','longitude' => '-8.355897'),
        array('province_id' => '15','town' => 'Cedeira','id' => '2142','slug' => 'cedeira','latitude' => '43.66142','longitude' => '-8.0554694'),
        array('province_id' => '15','town' => 'Cee','id' => '2143','slug' => 'cee','latitude' => '42.9554087','longitude' => '-9.1897493'),
        array('province_id' => '15','town' => 'Cerceda','id' => '2144','slug' => 'cerceda','latitude' => '43.1886111','longitude' => '-8.4702778'),
        array('province_id' => '15','town' => 'Cerdido','id' => '2145','slug' => 'cerdido','latitude' => '43.623835','longitude' => '-7.994961'),
        array('province_id' => '15','town' => 'Cesuras','id' => '2146','slug' => 'cesuras','latitude' => '43.17367','longitude' => '-8.1972224'),
        array('province_id' => '15','town' => 'Coirós','id' => '2147','slug' => 'coirs','latitude' => '43.250328','longitude' => '-8.164351'),
        array('province_id' => '15','town' => 'Corcubión','id' => '2148','slug' => 'corcubin','latitude' => '42.9446417','longitude' => '-9.1943102'),
        array('province_id' => '15','town' => 'Coristanco','id' => '2149','slug' => 'coristanco','latitude' => '43.1904805','longitude' => '-8.7609489'),
        array('province_id' => '15','town' => 'Coruña, A','id' => '2150','slug' => 'corua-a','latitude' => '43.3708731','longitude' => '-8.395835'),
        array('province_id' => '15','town' => 'Culleredo','id' => '2151','slug' => 'culleredo','latitude' => '43.3158412','longitude' => '-8.3849228'),
        array('province_id' => '15','town' => 'Curtis','id' => '2152','slug' => 'curtis','latitude' => '43.1243664','longitude' => '-8.1463081'),
        array('province_id' => '15','town' => 'Dodro','id' => '2153','slug' => 'dodro','latitude' => '42.7175','longitude' => '-8.7147222'),
        array('province_id' => '15','town' => 'Dumbría','id' => '2154','slug' => 'dumbra','latitude' => '43.0093274','longitude' => '-9.1152093'),
        array('province_id' => '15','town' => 'Fene','id' => '2155','slug' => 'fene','latitude' => '43.4752074','longitude' => '-8.165961'),
        array('province_id' => '15','town' => 'Ferrol','id' => '2156','slug' => 'ferrol','latitude' => '43.4883872','longitude' => '-8.2225093'),
        array('province_id' => '15','town' => 'Fisterra','id' => '2157','slug' => 'fisterra','latitude' => '42.9050668','longitude' => '-9.2643379'),
        array('province_id' => '15','town' => 'Frades','id' => '2158','slug' => 'frades','latitude' => '43.04','longitude' => '-8.2772222'),
        array('province_id' => '15','town' => 'Irixoa','id' => '2159','slug' => 'irixoa','latitude' => '43.284744','longitude' => '-8.058925'),
        array('province_id' => '15','town' => 'Laracha, A','id' => '2160','slug' => 'laracha-a','latitude' => '43.2523175','longitude' => '-8.5844693'),
        array('province_id' => '15','town' => 'Laxe','id' => '2161','slug' => 'laxe','latitude' => '43.219755','longitude' => '-9.005163'),
        array('province_id' => '15','town' => 'Lousame','id' => '2162','slug' => 'lousame','latitude' => '42.758964','longitude' => '-8.846885'),
        array('province_id' => '15','town' => 'Malpica de Bergantiños','id' => '2163','slug' => 'malpica-de-bergantios','latitude' => '43.3241627','longitude' => '-8.8093119'),
        array('province_id' => '15','town' => 'Mañón','id' => '2164','slug' => 'man','latitude' => '43.7691944','longitude' => '-7.6855806'),
        array('province_id' => '15','town' => 'Mazaricos','id' => '2165','slug' => 'mazaricos','latitude' => '42.938932','longitude' => '-8.992199'),
        array('province_id' => '15','town' => 'Melide','id' => '2166','slug' => 'melide','latitude' => '42.9139313','longitude' => '-8.0147263'),
        array('province_id' => '15','town' => 'Mesía','id' => '2167','slug' => 'mesa','latitude' => '43.1134923','longitude' => '-8.2721088'),
        array('province_id' => '15','town' => 'Miño','id' => '2168','slug' => 'mio','latitude' => '43.3475','longitude' => '-8.2063889'),
        array('province_id' => '15','town' => 'Moeche','id' => '2169','slug' => 'moeche','latitude' => '43.550524','longitude' => '-7.991225'),
        array('province_id' => '15','town' => 'Monfero','id' => '2170','slug' => 'monfero','latitude' => '43.3249095','longitude' => '-8.054685'),
        array('province_id' => '15','town' => 'Mugardos','id' => '2171','slug' => 'mugardos','latitude' => '43.460753','longitude' => '-8.2538424'),
        array('province_id' => '15','town' => 'Muros','id' => '2172','slug' => 'muros','latitude' => '42.774323','longitude' => '-9.0575092'),
        array('province_id' => '15','town' => 'Muxía','id' => '2173','slug' => 'muxa','latitude' => '43.1046631','longitude' => '-9.2184625'),
        array('province_id' => '15','town' => 'Narón','id' => '2174','slug' => 'narn','latitude' => '43.5370517','longitude' => '-8.1807664'),
        array('province_id' => '15','town' => 'Neda','id' => '2175','slug' => 'neda','latitude' => '43.5012777','longitude' => '-8.1562688'),
        array('province_id' => '15','town' => 'Negreira','id' => '2176','slug' => 'negreira','latitude' => '42.9095378','longitude' => '-8.7362449'),
        array('province_id' => '15','town' => 'Noia','id' => '2177','slug' => 'noia','latitude' => '42.7852515','longitude' => '-8.8883091'),
        array('province_id' => '15','town' => 'Oleiros','id' => '2178','slug' => 'oleiros','latitude' => '43.3334964','longitude' => '-8.3136182'),
        array('province_id' => '15','town' => 'Ordes','id' => '2179','slug' => 'ordes','latitude' => '43.0767455','longitude' => '-8.4077461'),
        array('province_id' => '15','town' => 'Oroso','id' => '2180','slug' => 'oroso','latitude' => '42.9944209','longitude' => '-8.4348459'),
        array('province_id' => '15','town' => 'Ortigueira','id' => '2181','slug' => 'ortigueira','latitude' => '43.6863368','longitude' => '-7.8519413'),
        array('province_id' => '15','town' => 'Outes','id' => '2182','slug' => 'outes','latitude' => '42.8512734','longitude' => '-8.9264548'),
        array('province_id' => '15','town' => 'Oza dos Ríos','id' => '2183','slug' => 'oza-dos-ros','latitude' => '43.2153288','longitude' => '-8.1869432'),
        array('province_id' => '15','town' => 'Paderne','id' => '2184','slug' => 'paderne','latitude' => '43.286774','longitude' => '-8.176355'),
        array('province_id' => '15','town' => 'Padrón','id' => '2185','slug' => 'padrn','latitude' => '42.7389759','longitude' => '-8.660538'),
        array('province_id' => '15','town' => 'Pino, O','id' => '2186','slug' => 'pino-o','latitude' => '42.9846216','longitude' => '-8.3138074'),
        array('province_id' => '15','town' => 'Pobra do Caramiñal, A','id' => '2187','slug' => 'pobra-do-caramial-a','latitude' => '42.6032973','longitude' => '-8.9389431'),
        array('province_id' => '15','town' => 'Ponteceso','id' => '2188','slug' => 'ponteceso','latitude' => '43.2426933','longitude' => '-8.900965'),
        array('province_id' => '15','town' => 'Pontedeume','id' => '2189','slug' => 'pontedeume','latitude' => '43.4025778','longitude' => '-8.1526906'),
        array('province_id' => '15','town' => 'Pontes de García Rodríguez, As','id' => '2190','slug' => 'pontes-de-garca-rodrguez-as','latitude' => '43.4493141','longitude' => '-7.8527054'),
        array('province_id' => '15','town' => 'Porto do Son','id' => '2191','slug' => 'porto-do-son','latitude' => '42.7246775','longitude' => '-9.0066946'),
        array('province_id' => '15','town' => 'Rianxo','id' => '2192','slug' => 'rianxo','latitude' => '42.6519856','longitude' => '-8.8184205'),
        array('province_id' => '15','town' => 'Ribeira','id' => '2193','slug' => 'ribeira','latitude' => '42.5762728','longitude' => '-9.0239444'),
        array('province_id' => '15','town' => 'Rois','id' => '2194','slug' => 'rois','latitude' => '42.7618059','longitude' => '-8.7063093'),
        array('province_id' => '15','town' => 'Sada','id' => '2195','slug' => 'sada','latitude' => '43.350928','longitude' => '-8.2546106'),
        array('province_id' => '15','town' => 'San Sadurniño','id' => '2196','slug' => 'san-sadurnio','latitude' => '43.5624522','longitude' => '-8.0549917'),
        array('province_id' => '15','town' => 'Santa Comba','id' => '2197','slug' => 'santa-comba','latitude' => '43.0476999','longitude' => '-8.8142264'),
        array('province_id' => '15','town' => 'Santiago de Compostela','id' => '2198','slug' => 'santiago-de-compostela','latitude' => '42.8804471','longitude' => '-8.5463034'),
        array('province_id' => '15','town' => 'Santiso','id' => '2199','slug' => 'santiso','latitude' => '42.85','longitude' => '-8.05'),
        array('province_id' => '15','town' => 'Sobrado','id' => '2200','slug' => 'sobrado','latitude' => '43.0420046','longitude' => '-8.0273805'),
        array('province_id' => '15','town' => 'Somozas, As','id' => '2201','slug' => 'somozas-as','latitude' => '43.5360528','longitude' => '-7.9243389'),
        array('province_id' => '15','town' => 'Teo','id' => '2202','slug' => 'teo','latitude' => '42.802272','longitude' => '-8.586169'),
        array('province_id' => '15','town' => 'Toques','id' => '2203','slug' => 'toques','latitude' => '42.9678709','longitude' => '-7.9884485'),
        array('province_id' => '15','town' => 'Tordoia','id' => '2204','slug' => 'tordoia','latitude' => '43.088','longitude' => '-8.56'),
        array('province_id' => '15','town' => 'Touro','id' => '2205','slug' => 'touro','latitude' => '42.867092','longitude' => '-8.306829'),
        array('province_id' => '15','town' => 'Trazo','id' => '2206','slug' => 'trazo','latitude' => '43.0166667','longitude' => '-8.5333333'),
        array('province_id' => '15','town' => 'Val do Dubra','id' => '2207','slug' => 'val-do-dubra','latitude' => '43.0225','longitude' => '-8.6383333'),
        array('province_id' => '15','town' => 'Valdoviño','id' => '2208','slug' => 'valdovio','latitude' => '43.6104149','longitude' => '-8.1412569'),
        array('province_id' => '15','town' => 'Vedra','id' => '2209','slug' => 'vedra','latitude' => '42.7823407','longitude' => '-8.4673764'),
        array('province_id' => '15','town' => 'Vilarmaior','id' => '2210','slug' => 'vilarmaior','latitude' => '43.344613','longitude' => '-8.15395'),
        array('province_id' => '15','town' => 'Vilasantar','id' => '2211','slug' => 'vilasantar','latitude' => '43.0666667','longitude' => '-8.1'),
        array('province_id' => '15','town' => 'Vimianzo','id' => '2212','slug' => 'vimianzo','latitude' => '43.1103004','longitude' => '-9.0338944'),
        array('province_id' => '15','town' => 'Zas','id' => '2213','slug' => 'zas','latitude' => '43.0997457','longitude' => '-8.9161492'),
        array('province_id' => '16','town' => 'Abia de la Obispalía','id' => '2214','slug' => 'abia-de-la-obispala','latitude' => '40.018851','longitude' => '-2.3960505'),
        array('province_id' => '16','town' => 'Acebrón, El','id' => '2215','slug' => 'acebrn-el','latitude' => '39.9083973','longitude' => '-2.9847234'),
        array('province_id' => '16','town' => 'Alarcón','id' => '2216','slug' => 'alarcn','latitude' => '39.5462248','longitude' => '-2.0835032'),
        array('province_id' => '16','town' => 'Albaladejo del Cuende','id' => '2217','slug' => 'albaladejo-del-cuende','latitude' => '39.8069035','longitude' => '-2.2277208'),
        array('province_id' => '16','town' => 'Albalate de las Nogueras','id' => '2218','slug' => 'albalate-de-las-nogueras','latitude' => '40.3672828','longitude' => '-2.2780057'),
        array('province_id' => '16','town' => 'Albendea','id' => '2219','slug' => 'albendea','latitude' => '40.4884001','longitude' => '-2.4162113'),
        array('province_id' => '16','town' => 'Alberca de Záncara, La','id' => '2220','slug' => 'alberca-de-zncara-la','latitude' => '39.5143011','longitude' => '-2.4928467'),
        array('province_id' => '16','town' => 'Alcalá de la Vega','id' => '2221','slug' => 'alcal-de-la-vega','latitude' => '40.0264367','longitude' => '-1.5250312'),
        array('province_id' => '16','town' => 'Alcantud','id' => '2222','slug' => 'alcantud','latitude' => '40.5484916','longitude' => '-2.3328323'),
        array('province_id' => '16','town' => 'Alcázar del Rey','id' => '2223','slug' => 'alczar-del-rey','latitude' => '40.062339','longitude' => '-2.8095692'),
        array('province_id' => '16','town' => 'Alcohujate','id' => '2224','slug' => 'alcohujate','latitude' => '40.4170066','longitude' => '-2.6171927'),
        array('province_id' => '16','town' => 'Alconchel de la Estrella','id' => '2225','slug' => 'alconchel-de-la-estrella','latitude' => '39.7198213','longitude' => '-2.573143'),
        array('province_id' => '16','town' => 'Algarra','id' => '2226','slug' => 'algarra','latitude' => '40.0020418','longitude' => '-1.4353966'),
        array('province_id' => '16','town' => 'Aliaguilla','id' => '2227','slug' => 'aliaguilla','latitude' => '39.741894','longitude' => '-1.327866'),
        array('province_id' => '16','town' => 'Almarcha, La','id' => '2228','slug' => 'almarcha-la','latitude' => '39.6883197','longitude' => '-2.3779929'),
        array('province_id' => '16','town' => 'Almendros','id' => '2229','slug' => 'almendros','latitude' => '39.9217562','longitude' => '-2.8865703'),
        array('province_id' => '16','town' => 'Almodóvar del Pinar','id' => '2230','slug' => 'almodvar-del-pinar','latitude' => '39.7251248','longitude' => '-1.9013374'),
        array('province_id' => '16','town' => 'Almonacid del Marquesado','id' => '2231','slug' => 'almonacid-del-marquesado','latitude' => '39.8231938','longitude' => '-2.7668514'),
        array('province_id' => '16','town' => 'Altarejos','id' => '2232','slug' => 'altarejos','latitude' => '39.9121776','longitude' => '-2.3565076'),
        array('province_id' => '16','town' => 'Arandilla del Arroyo','id' => '2233','slug' => 'arandilla-del-arroyo','latitude' => '40.5105536','longitude' => '-2.3842205'),
        array('province_id' => '16','town' => 'Arcas del Villar','id' => '2234','slug' => 'arcas-del-villar','latitude' => '39.9885824','longitude' => '-2.1147394'),
        array('province_id' => '16','town' => 'Arcos de la Sierra','id' => '2235','slug' => 'arcos-de-la-sierra','latitude' => '40.3466982','longitude' => '-2.1129109'),
        array('province_id' => '16','town' => 'Arguisuelas','id' => '2236','slug' => 'arguisuelas','latitude' => '39.832426','longitude' => '-1.8207361'),
        array('province_id' => '16','town' => 'Arrancacepas','id' => '2237','slug' => 'arrancacepas','latitude' => '40.3026119','longitude' => '-2.3589206'),
        array('province_id' => '16','town' => 'Atalaya del Cañavate','id' => '2238','slug' => 'atalaya-del-caavate','latitude' => '39.5177071','longitude' => '-2.2527114'),
        array('province_id' => '16','town' => 'Barajas de Melo','id' => '2239','slug' => 'barajas-de-melo','latitude' => '40.1227307','longitude' => '-2.9158219'),
        array('province_id' => '16','town' => 'Barchín del Hoyo','id' => '2240','slug' => 'barchn-del-hoyo','latitude' => '39.6647176','longitude' => '-2.0694529'),
        array('province_id' => '16','town' => 'Bascuñana de San Pedro','id' => '2241','slug' => 'bascuana-de-san-pedro','latitude' => '40.2121046','longitude' => '-2.2284466'),
        array('province_id' => '16','town' => 'Beamud','id' => '2242','slug' => 'beamud','latitude' => '40.1866468','longitude' => '-1.8297746'),
        array('province_id' => '16','town' => 'Belinchón','id' => '2243','slug' => 'belinchn','latitude' => '40.0472365','longitude' => '-3.0599926'),
        array('province_id' => '16','town' => 'Belmonte','id' => '2244','slug' => 'belmonte','latitude' => '39.5594134','longitude' => '-2.7083705'),
        array('province_id' => '16','town' => 'Belmontejo','id' => '2245','slug' => 'belmontejo','latitude' => '39.8204236','longitude' => '-2.3449609'),
        array('province_id' => '16','town' => 'Beteta','id' => '2246','slug' => 'beteta','latitude' => '40.5723982','longitude' => '-2.075595'),
        array('province_id' => '16','town' => 'Boniches','id' => '2247','slug' => 'boniches','latitude' => '39.9852679','longitude' => '-1.6241867'),
        array('province_id' => '16','town' => 'Buciegas','id' => '2248','slug' => 'buciegas','latitude' => '40.3362286','longitude' => '-2.4605212'),
        array('province_id' => '16','town' => 'Buenache de Alarcón','id' => '2249','slug' => 'buenache-de-alarcn','latitude' => '39.6544847','longitude' => '-2.160121'),
        array('province_id' => '16','town' => 'Buenache de la Sierra','id' => '2250','slug' => 'buenache-de-la-sierra','latitude' => '40.1355048','longitude' => '-2.000721'),
        array('province_id' => '16','town' => 'Buendía','id' => '2251','slug' => 'buenda','latitude' => '40.3662433','longitude' => '-2.7555452'),
        array('province_id' => '16','town' => 'Campillo de Altobuey','id' => '2252','slug' => 'campillo-de-altobuey','latitude' => '39.610428','longitude' => '-1.7959448'),
        array('province_id' => '16','town' => 'Campillos-Paravientos','id' => '2253','slug' => 'campillos-paravientos','latitude' => '39.974441','longitude' => '-1.5459648'),
        array('province_id' => '16','town' => 'Campillos-Sierra','id' => '2254','slug' => 'campillos-sierra','latitude' => '40.1004789','longitude' => '-1.6969998'),
        array('province_id' => '16','town' => 'Campos del Paraíso','id' => '2255','slug' => 'campos-del-paraso','latitude' => '40.0111111','longitude' => '-2.7188889'),
        array('province_id' => '16','town' => 'Canalejas del Arroyo','id' => '2256','slug' => 'canalejas-del-arroyo','latitude' => '40.3688744','longitude' => '-2.4941286'),
        array('province_id' => '16','town' => 'Cañada del Hoyo','id' => '2257','slug' => 'caada-del-hoyo','latitude' => '39.9696915','longitude' => '-1.8990392'),
        array('province_id' => '16','town' => 'Cañada Juncosa','id' => '2258','slug' => 'caada-juncosa','latitude' => '39.5495817','longitude' => '-2.2539345'),
        array('province_id' => '16','town' => 'Cañamares','id' => '2259','slug' => 'caamares','latitude' => '40.4530436','longitude' => '-2.2397381'),
        array('province_id' => '16','town' => 'Cañavate, El','id' => '2260','slug' => 'caavate-el','latitude' => '39.5441723','longitude' => '-2.3035732'),
        array('province_id' => '16','town' => 'Cañaveras','id' => '2261','slug' => 'caaveras','latitude' => '40.3596911','longitude' => '-2.3985862'),
        array('province_id' => '16','town' => 'Cañaveruelas','id' => '2262','slug' => 'caaveruelas','latitude' => '40.400085','longitude' => '-2.6359025'),
        array('province_id' => '16','town' => 'Cañete','id' => '2263','slug' => 'caete','latitude' => '40.0414766','longitude' => '-1.6463054'),
        array('province_id' => '16','town' => 'Cañizares','id' => '2264','slug' => 'caizares','latitude' => '40.5173161','longitude' => '-2.192938'),
        array('province_id' => '16','town' => 'Carboneras de Guadazaón','id' => '2265','slug' => 'carboneras-de-guadazan','latitude' => '39.8994857','longitude' => '-1.8061758'),
        array('province_id' => '16','town' => 'Cardenete','id' => '2266','slug' => 'cardenete','latitude' => '39.7666475','longitude' => '-1.6929809'),
        array('province_id' => '16','town' => 'Carrascosa','id' => '2267','slug' => 'carrascosa','latitude' => '40.5906917','longitude' => '-2.1629889'),
        array('province_id' => '16','town' => 'Carrascosa de Haro','id' => '2268','slug' => 'carrascosa-de-haro','latitude' => '39.5982336','longitude' => '-2.5430773'),
        array('province_id' => '16','town' => 'Casas de Benítez','id' => '2269','slug' => 'casas-de-bentez','latitude' => '39.3613267','longitude' => '-2.1309316'),
        array('province_id' => '16','town' => 'Casas de Fernando Alonso','id' => '2270','slug' => 'casas-de-fernando-alonso','latitude' => '39.3505341','longitude' => '-2.3293368'),
        array('province_id' => '16','town' => 'Casas de Garcimolina','id' => '2271','slug' => 'casas-de-garcimolina','latitude' => '39.9968409','longitude' => '-1.4173509'),
        array('province_id' => '16','town' => 'Casas de Guijarro','id' => '2272','slug' => 'casas-de-guijarro','latitude' => '39.3444863','longitude' => '-2.1628124'),
        array('province_id' => '16','town' => 'Casas de Haro','id' => '2273','slug' => 'casas-de-haro','latitude' => '39.333351','longitude' => '-2.2724407'),
        array('province_id' => '16','town' => 'Casas de los Pinos','id' => '2274','slug' => 'casas-de-los-pinos','latitude' => '39.33388','longitude' => '-2.3715433'),
        array('province_id' => '16','town' => 'Casasimarro','id' => '2275','slug' => 'casasimarro','latitude' => '39.3907063','longitude' => '-2.0366069'),
        array('province_id' => '16','town' => 'Castejón','id' => '2276','slug' => 'castejn','latitude' => '40.3822778','longitude' => '-2.5198475'),
        array('province_id' => '16','town' => 'Castillejo de Iniesta','id' => '2277','slug' => 'castillejo-de-iniesta','latitude' => '39.5258204','longitude' => '-1.7613109'),
        array('province_id' => '16','town' => 'Castillejo-Sierra','id' => '2278','slug' => 'castillejo-sierra','latitude' => '40.3756427','longitude' => '-2.1406038'),
        array('province_id' => '16','town' => 'Castillo de Garcimuñoz','id' => '2279','slug' => 'castillo-de-garcimuoz','latitude' => '39.6604012','longitude' => '-2.3799936'),
        array('province_id' => '16','town' => 'Castillo-Albaráñez','id' => '2280','slug' => 'castillo-albarez','latitude' => '40.298704','longitude' => '-2.3924593'),
        array('province_id' => '16','town' => 'Cervera del Llano','id' => '2281','slug' => 'cervera-del-llano','latitude' => '39.7823574','longitude' => '-2.4227506'),
        array('province_id' => '16','town' => 'Chillarón de Cuenca','id' => '2282','slug' => 'chillarn-de-cuenca','latitude' => '40.1047295','longitude' => '-2.2213506'),
        array('province_id' => '16','town' => 'Chumillas','id' => '2283','slug' => 'chumillas','latitude' => '39.8574952','longitude' => '-2.0242872'),
        array('province_id' => '16','town' => 'Cierva, La','id' => '2284','slug' => 'cierva-la','latitude' => '40.0558382','longitude' => '-1.8510885'),
        array('province_id' => '16','town' => 'Cuenca','id' => '2285','slug' => 'cuenca','latitude' => '40.0718353','longitude' => '-2.1340053'),
        array('province_id' => '16','town' => 'Cueva del Hierro','id' => '2286','slug' => 'cueva-del-hierro','latitude' => '40.5828222','longitude' => '-2.0362225'),
        array('province_id' => '16','town' => 'Enguídanos','id' => '2287','slug' => 'engudanos','latitude' => '39.6731928','longitude' => '-1.6083879'),
        array('province_id' => '16','town' => 'Fresneda de Altarejos','id' => '2288','slug' => 'fresneda-de-altarejos','latitude' => '39.9257067','longitude' => '-2.3143987'),
        array('province_id' => '16','town' => 'Fresneda de la Sierra','id' => '2289','slug' => 'fresneda-de-la-sierra','latitude' => '40.3908386','longitude' => '-2.1403698'),
        array('province_id' => '16','town' => 'Frontera, La','id' => '2290','slug' => 'frontera-la','latitude' => '40.4021762','longitude' => '-2.2179448'),
        array('province_id' => '16','town' => 'Fuente de Pedro Naharro','id' => '2291','slug' => 'fuente-de-pedro-naharro','latitude' => '39.9255078','longitude' => '-3.0108092'),
        array('province_id' => '16','town' => 'Fuentelespino de Haro','id' => '2292','slug' => 'fuentelespino-de-haro','latitude' => '39.6908266','longitude' => '-2.6685248'),
        array('province_id' => '16','town' => 'Fuentelespino de Moya','id' => '2293','slug' => 'fuentelespino-de-moya','latitude' => '39.9199341','longitude' => '-1.47048'),
        array('province_id' => '16','town' => 'Fuentenava de Jábaga','id' => '2294','slug' => 'fuentenava-de-jbaga','latitude' => '40.0869409','longitude' => '-2.2634066'),
        array('province_id' => '16','town' => 'Fuentes','id' => '2295','slug' => 'fuentes','latitude' => '39.9503598','longitude' => '-2.0213556'),
        array('province_id' => '16','town' => 'Fuertescusa','id' => '2296','slug' => 'fuertescusa','latitude' => '40.4755746','longitude' => '-2.1758096'),
        array('province_id' => '16','town' => 'Gabaldón','id' => '2297','slug' => 'gabaldn','latitude' => '39.6265551','longitude' => '-1.9418048'),
        array('province_id' => '16','town' => 'Garaballa','id' => '2298','slug' => 'garaballa','latitude' => '39.8124398','longitude' => '-1.3748538'),
        array('province_id' => '16','town' => 'Gascueña','id' => '2299','slug' => 'gascuea','latitude' => '40.2984048','longitude' => '-2.51808'),
        array('province_id' => '16','town' => 'Graja de Campalbo','id' => '2300','slug' => 'graja-de-campalbo','latitude' => '39.8988184','longitude' => '-1.2723313'),
        array('province_id' => '16','town' => 'Graja de Iniesta','id' => '2301','slug' => 'graja-de-iniesta','latitude' => '39.5172519','longitude' => '-1.669485'),
        array('province_id' => '16','town' => 'Henarejos','id' => '2302','slug' => 'henarejos','latitude' => '39.8651918','longitude' => '-1.4857462'),
        array('province_id' => '16','town' => 'Herrumblar, El','id' => '2303','slug' => 'herrumblar-el','latitude' => '39.4020167','longitude' => '-1.6241071'),
        array('province_id' => '16','town' => 'Hinojosa, La','id' => '2304','slug' => 'hinojosa-la','latitude' => '39.7279662','longitude' => '-2.4124773'),
        array('province_id' => '16','town' => 'Hinojosos, Los','id' => '2305','slug' => 'hinojosos-los','latitude' => '39.6040912','longitude' => '-2.8258012'),
        array('province_id' => '16','town' => 'Hito, El','id' => '2306','slug' => 'hito-el','latitude' => '39.8593961','longitude' => '-2.7172457'),
        array('province_id' => '16','town' => 'Honrubia','id' => '2307','slug' => 'honrubia','latitude' => '39.6123861','longitude' => '-2.2848285'),
        array('province_id' => '16','town' => 'Hontanaya','id' => '2308','slug' => 'hontanaya','latitude' => '39.7169812','longitude' => '-2.8333137'),
        array('province_id' => '16','town' => 'Hontecillas','id' => '2309','slug' => 'hontecillas','latitude' => '39.6930274','longitude' => '-2.1881078'),
        array('province_id' => '16','town' => 'Horcajo de Santiago','id' => '2310','slug' => 'horcajo-de-santiago','latitude' => '39.8416548','longitude' => '-3.0015392'),
        array('province_id' => '16','town' => 'Huélamo','id' => '2311','slug' => 'hulamo','latitude' => '40.2774946','longitude' => '-1.8113179'),
        array('province_id' => '16','town' => 'Huelves','id' => '2312','slug' => 'huelves','latitude' => '40.0435886','longitude' => '-2.8835229'),
        array('province_id' => '16','town' => 'Huérguina','id' => '2313','slug' => 'hurguina','latitude' => '40.0403968','longitude' => '-1.6089101'),
        array('province_id' => '16','town' => 'Huerta de la Obispalía','id' => '2314','slug' => 'huerta-de-la-obispala','latitude' => '39.9888134','longitude' => '-2.4788722'),
        array('province_id' => '16','town' => 'Huerta del Marquesado','id' => '2315','slug' => 'huerta-del-marquesado','latitude' => '40.1457943','longitude' => '-1.6882573'),
        array('province_id' => '16','town' => 'Huete','id' => '2316','slug' => 'huete','latitude' => '40.145954','longitude' => '-2.6873068'),
        array('province_id' => '16','town' => 'Iniesta','id' => '2317','slug' => 'iniesta','latitude' => '39.4408518','longitude' => '-1.7493846'),
        array('province_id' => '16','town' => 'Laguna del Marquesado','id' => '2318','slug' => 'laguna-del-marquesado','latitude' => '40.1782693','longitude' => '-1.6722615'),
        array('province_id' => '16','town' => 'Lagunaseca','id' => '2319','slug' => 'lagunaseca','latitude' => '40.5308084','longitude' => '-2.0178304'),
        array('province_id' => '16','town' => 'Landete','id' => '2320','slug' => 'landete','latitude' => '39.9076791','longitude' => '-1.3645337'),
        array('province_id' => '16','town' => 'Ledaña','id' => '2321','slug' => 'ledaa','latitude' => '39.3564683','longitude' => '-1.7189994'),
        array('province_id' => '16','town' => 'Leganiel','id' => '2322','slug' => 'leganiel','latitude' => '40.1629317','longitude' => '-2.9502687'),
        array('province_id' => '16','town' => 'Majadas, Las','id' => '2323','slug' => 'majadas-las','latitude' => '40.3103836','longitude' => '-2.0000661'),
        array('province_id' => '16','town' => 'Mariana','id' => '2324','slug' => 'mariana','latitude' => '40.167339','longitude' => '-2.147409'),
        array('province_id' => '16','town' => 'Masegosa','id' => '2325','slug' => 'masegosa','latitude' => '40.5475158','longitude' => '-2.0254703'),
        array('province_id' => '16','town' => 'Mesas, Las','id' => '2326','slug' => 'mesas-las','latitude' => '39.3900691','longitude' => '-2.7675179'),
        array('province_id' => '16','town' => 'Minglanilla','id' => '2327','slug' => 'minglanilla','latitude' => '39.5335638','longitude' => '-1.6004535'),
        array('province_id' => '16','town' => 'Mira','id' => '2328','slug' => 'mira','latitude' => '39.71872','longitude' => '-1.4389602'),
        array('province_id' => '16','town' => 'Monreal del Llano','id' => '2329','slug' => 'monreal-del-llano','latitude' => '39.5692811','longitude' => '-2.7602287'),
        array('province_id' => '16','town' => 'Montalbanejo','id' => '2330','slug' => 'montalbanejo','latitude' => '39.733085','longitude' => '-2.498838'),
        array('province_id' => '16','town' => 'Montalbo','id' => '2331','slug' => 'montalbo','latitude' => '39.881905','longitude' => '-2.6688004'),
        array('province_id' => '16','town' => 'Monteagudo de las Salinas','id' => '2332','slug' => 'monteagudo-de-las-salinas','latitude' => '39.8050243','longitude' => '-1.8993151'),
        array('province_id' => '16','town' => 'Mota de Altarejos','id' => '2333','slug' => 'mota-de-altarejos','latitude' => '39.8816425','longitude' => '-2.3096521'),
        array('province_id' => '16','town' => 'Mota del Cuervo','id' => '2334','slug' => 'mota-del-cuervo','latitude' => '39.5029392','longitude' => '-2.8731043'),
        array('province_id' => '16','town' => 'Motilla del Palancar','id' => '2335','slug' => 'motilla-del-palancar','latitude' => '39.565674','longitude' => '-1.9122222'),
        array('province_id' => '16','town' => 'Moya','id' => '2336','slug' => 'moya','latitude' => '39.948339','longitude' => '-1.3654025'),
        array('province_id' => '16','town' => 'Narboneta','id' => '2337','slug' => 'narboneta','latitude' => '39.7516803','longitude' => '-1.4761514'),
        array('province_id' => '16','town' => 'Olivares de Júcar','id' => '2338','slug' => 'olivares-de-jcar','latitude' => '39.7625381','longitude' => '-2.3569208'),
        array('province_id' => '16','town' => 'Olmeda de la Cuesta','id' => '2339','slug' => 'olmeda-de-la-cuesta','latitude' => '40.3111399','longitude' => '-2.4781565'),
        array('province_id' => '16','town' => 'Olmeda del Rey','id' => '2340','slug' => 'olmeda-del-rey','latitude' => '39.809054','longitude' => '-2.0855306'),
        array('province_id' => '16','town' => 'Olmedilla de Alarcón','id' => '2341','slug' => 'olmedilla-de-alarcn','latitude' => '39.6136057','longitude' => '-2.1062555'),
        array('province_id' => '16','town' => 'Olmedilla de Eliz','id' => '2342','slug' => 'olmedilla-de-eliz','latitude' => '40.3033987','longitude' => '-2.4191558'),
        array('province_id' => '16','town' => 'Osa de la Vega','id' => '2343','slug' => 'osa-de-la-vega','latitude' => '39.661481','longitude' => '-2.7574463'),
        array('province_id' => '16','town' => 'Pajarón','id' => '2344','slug' => 'pajarn','latitude' => '39.9574198','longitude' => '-1.7830237'),
        array('province_id' => '16','town' => 'Pajaroncillo','id' => '2345','slug' => 'pajaroncillo','latitude' => '39.9451106','longitude' => '-1.734264'),
        array('province_id' => '16','town' => 'Palomares del Campo','id' => '2346','slug' => 'palomares-del-campo','latitude' => '39.9479499','longitude' => '-2.5995875'),
        array('province_id' => '16','town' => 'Palomera','id' => '2347','slug' => 'palomera','latitude' => '40.0673517','longitude' => '-2.0505786'),
        array('province_id' => '16','town' => 'Paracuellos','id' => '2348','slug' => 'paracuellos','latitude' => '39.7174091','longitude' => '-1.7907027'),
        array('province_id' => '16','town' => 'Paredes','id' => '2349','slug' => 'paredes','latitude' => '40.0646001','longitude' => '-2.8539386'),
        array('province_id' => '16','town' => 'Parra de las Vegas, La','id' => '2350','slug' => 'parra-de-las-vegas-la','latitude' => '39.8681741','longitude' => '-2.2044629'),
        array('province_id' => '16','town' => 'Pedernoso, El','id' => '2351','slug' => 'pedernoso-el','latitude' => '39.4871991','longitude' => '-2.7430555'),
        array('province_id' => '16','town' => 'Pedroñeras, Las','id' => '2352','slug' => 'pedroeras-las','latitude' => '39.4494029','longitude' => '-2.6803827'),
        array('province_id' => '16','town' => 'Peral, El','id' => '2353','slug' => 'peral-el','latitude' => '39.5001213','longitude' => '-1.8993954'),
        array('province_id' => '16','town' => 'Peraleja, La','id' => '2354','slug' => 'peraleja-la','latitude' => '40.2362749','longitude' => '-2.5533695'),
        array('province_id' => '16','town' => 'Pesquera, La','id' => '2355','slug' => 'pesquera-la','latitude' => '39.5745887','longitude' => '-1.5830543'),
        array('province_id' => '16','town' => 'Picazo, El','id' => '2356','slug' => 'picazo-el','latitude' => '39.4468359','longitude' => '-2.0890608'),
        array('province_id' => '16','town' => 'Pinarejo','id' => '2357','slug' => 'pinarejo','latitude' => '39.6161368','longitude' => '-2.424043'),
        array('province_id' => '16','town' => 'Pineda de Gigüela','id' => '2358','slug' => 'pineda-de-gigela','latitude' => '40.087035','longitude' => '-2.5418075'),
        array('province_id' => '16','town' => 'Piqueras del Castillo','id' => '2359','slug' => 'piqueras-del-castillo','latitude' => '39.7205422','longitude' => '-2.0833839'),
        array('province_id' => '16','town' => 'Portalrubio de Guadamejud','id' => '2360','slug' => 'portalrubio-de-guadamejud','latitude' => '40.2721338','longitude' => '-2.604671'),
        array('province_id' => '16','town' => 'Portilla','id' => '2361','slug' => 'portilla','latitude' => '40.2887079','longitude' => '-2.0828238'),
        array('province_id' => '16','town' => 'Poyatos','id' => '2362','slug' => 'poyatos','latitude' => '40.4231382','longitude' => '-2.0490454'),
        array('province_id' => '16','town' => 'Pozoamargo','id' => '2363','slug' => 'pozoamargo','latitude' => '39.3661836','longitude' => '-2.1981726'),
        array('province_id' => '16','town' => 'Pozorrubielos de la Mancha','id' => '2364','slug' => 'pozorrubielos-de-la-mancha','latitude' => '39.4458333','longitude' => '-2.0386111'),
        array('province_id' => '16','town' => 'Pozorrubio','id' => '2365','slug' => 'pozorrubio','latitude' => '39.8168869','longitude' => '-2.9510337'),
        array('province_id' => '16','town' => 'Pozuelo, El','id' => '2366','slug' => 'pozuelo-el','latitude' => '38.9078213','longitude' => '-3.8368998'),
        array('province_id' => '16','town' => 'Priego','id' => '2367','slug' => 'priego','latitude' => '40.4487226','longitude' => '-2.3146064'),
        array('province_id' => '16','town' => 'Provencio, El','id' => '2368','slug' => 'provencio-el','latitude' => '39.3815851','longitude' => '-2.5750474'),
        array('province_id' => '16','town' => 'Puebla de Almenara','id' => '2369','slug' => 'puebla-de-almenara','latitude' => '39.7846555','longitude' => '-2.8128478'),
        array('province_id' => '16','town' => 'Puebla del Salvador','id' => '2370','slug' => 'puebla-del-salvador','latitude' => '39.5663905','longitude' => '-1.6734954'),
        array('province_id' => '16','town' => 'Quintanar del Rey','id' => '2371','slug' => 'quintanar-del-rey','latitude' => '39.3425703','longitude' => '-1.929375'),
        array('province_id' => '16','town' => 'Rada de Haro','id' => '2372','slug' => 'rada-de-haro','latitude' => '39.5683672','longitude' => '-2.6209975'),
        array('province_id' => '16','town' => 'Reíllo','id' => '2373','slug' => 'rello','latitude' => '39.9043807','longitude' => '-1.8735562'),
        array('province_id' => '16','town' => 'Rozalén del Monte','id' => '2374','slug' => 'rozaln-del-monte','latitude' => '39.9907086','longitude' => '-2.8044639'),
        array('province_id' => '16','town' => 'Saceda-Trasierra','id' => '2375','slug' => 'saceda-trasierra','latitude' => '40.1549475','longitude' => '-2.8535489'),
        array('province_id' => '16','town' => 'Saelices','id' => '2376','slug' => 'saelices','latitude' => '39.9194883','longitude' => '-2.803459'),
        array('province_id' => '16','town' => 'Salinas del Manzano','id' => '2377','slug' => 'salinas-del-manzano','latitude' => '40.0885552','longitude' => '-1.5542139'),
        array('province_id' => '16','town' => 'Salmeroncillos','id' => '2378','slug' => 'salmeroncillos','latitude' => '40.5','longitude' => '-2.5166667'),
        array('province_id' => '16','town' => 'Salvacañete','id' => '2379','slug' => 'salvacaete','latitude' => '40.1007272','longitude' => '-1.5007326'),
        array('province_id' => '16','town' => 'San Clemente','id' => '2380','slug' => 'san-clemente','latitude' => '39.4018953','longitude' => '-2.4244728'),
        array('province_id' => '16','town' => 'San Lorenzo de la Parrilla','id' => '2381','slug' => 'san-lorenzo-de-la-parrilla','latitude' => '39.8495194','longitude' => '-2.3577433'),
        array('province_id' => '16','town' => 'San Martín de Boniches','id' => '2382','slug' => 'san-martn-de-boniches','latitude' => '39.8862985','longitude' => '-1.5731918'),
        array('province_id' => '16','town' => 'San Pedro Palmiches','id' => '2383','slug' => 'san-pedro-palmiches','latitude' => '40.4290812','longitude' => '-2.4049712'),
        array('province_id' => '16','town' => 'Santa Cruz de Moya','id' => '2384','slug' => 'santa-cruz-de-moya','latitude' => '39.9563128','longitude' => '-1.2588734'),
        array('province_id' => '16','town' => 'Santa María de los Llanos','id' => '2385','slug' => 'santa-mara-de-los-llanos','latitude' => '39.4899858','longitude' => '-2.8083005'),
        array('province_id' => '16','town' => 'Santa María del Campo Rus','id' => '2386','slug' => 'santa-mara-del-campo-rus','latitude' => '39.5582399','longitude' => '-2.4251111'),
        array('province_id' => '16','town' => 'Santa María del Val','id' => '2387','slug' => 'santa-mara-del-val','latitude' => '40.504962','longitude' => '-2.0410212'),
        array('province_id' => '16','town' => 'Sisante','id' => '2388','slug' => 'sisante','latitude' => '39.4108553','longitude' => '-2.2029049'),
        array('province_id' => '16','town' => 'Solera de Gabaldón','id' => '2389','slug' => 'solera-de-gabaldn','latitude' => '39.7494318','longitude' => '-1.9772364'),
        array('province_id' => '16','town' => 'Sotorribas','id' => '2390','slug' => 'sotorribas','latitude' => '40.195373','longitude' => '-2.163242'),
        array('province_id' => '16','town' => 'Talayuelas','id' => '2391','slug' => 'talayuelas','latitude' => '39.8492497','longitude' => '-1.2845128'),
        array('province_id' => '16','town' => 'Tarancón','id' => '2392','slug' => 'tarancn','latitude' => '40.0105368','longitude' => '-3.0064473'),
        array('province_id' => '16','town' => 'Tébar','id' => '2393','slug' => 'tbar','latitude' => '39.4957697','longitude' => '-2.1630542'),
        array('province_id' => '16','town' => 'Tejadillos','id' => '2394','slug' => 'tejadillos','latitude' => '40.1394919','longitude' => '-1.6345497'),
        array('province_id' => '16','town' => 'Tinajas','id' => '2395','slug' => 'tinajas','latitude' => '40.3257746','longitude' => '-2.5834533'),
        array('province_id' => '16','town' => 'Torralba','id' => '2396','slug' => 'torralba','latitude' => '40.3022967','longitude' => '-2.2864557'),
        array('province_id' => '16','town' => 'Torrejoncillo del Rey','id' => '2397','slug' => 'torrejoncillo-del-rey','latitude' => '40.0074257','longitude' => '-2.5700251'),
        array('province_id' => '16','town' => 'Torrubia del Campo','id' => '2398','slug' => 'torrubia-del-campo','latitude' => '39.8972307','longitude' => '-2.9613606'),
        array('province_id' => '16','town' => 'Torrubia del Castillo','id' => '2399','slug' => 'torrubia-del-castillo','latitude' => '39.6580482','longitude' => '-2.3105454'),
        array('province_id' => '16','town' => 'Tragacete','id' => '2400','slug' => 'tragacete','latitude' => '40.3511063','longitude' => '-1.8499557'),
        array('province_id' => '16','town' => 'Tresjuncos','id' => '2401','slug' => 'tresjuncos','latitude' => '39.7008308','longitude' => '-2.757274'),
        array('province_id' => '16','town' => 'Tribaldos','id' => '2402','slug' => 'tribaldos','latitude' => '39.9727289','longitude' => '-2.8993944'),
        array('province_id' => '16','town' => 'Uclés','id' => '2403','slug' => 'ucls','latitude' => '39.9818646','longitude' => '-2.8623203'),
        array('province_id' => '16','town' => 'Uña','id' => '2404','slug' => 'ua','latitude' => '40.223488','longitude' => '-1.9795743'),
        array('province_id' => '16','town' => 'Valdecolmenas, Los','id' => '2405','slug' => 'valdecolmenas-los','latitude' => '40.0417367','longitude' => '-2.5737177'),
        array('province_id' => '16','town' => 'Valdemeca','id' => '2406','slug' => 'valdemeca','latitude' => '40.2237377','longitude' => '-1.7410866'),
        array('province_id' => '16','town' => 'Valdemorillo de la Sierra','id' => '2407','slug' => 'valdemorillo-de-la-sierra','latitude' => '40.0385715','longitude' => '-1.7799208'),
        array('province_id' => '16','town' => 'Valdemoro-Sierra','id' => '2408','slug' => 'valdemoro-sierra','latitude' => '40.1012558','longitude' => '-1.767433'),
        array('province_id' => '16','town' => 'Valdeolivas','id' => '2409','slug' => 'valdeolivas','latitude' => '40.5044719','longitude' => '-2.4467383'),
        array('province_id' => '16','town' => 'Valdetórtola','id' => '2410','slug' => 'valdetrtola','latitude' => '39.9203','longitude' => '-2.18611'),
        array('province_id' => '16','town' => 'Valeras, Las','id' => '2411','slug' => 'valeras-las','latitude' => '40.0740616','longitude' => '-2.1354581'),
        array('province_id' => '16','town' => 'Valhermoso de la Fuente','id' => '2412','slug' => 'valhermoso-de-la-fuente','latitude' => '39.5529266','longitude' => '-2.016262'),
        array('province_id' => '16','town' => 'Valle de Altomira, El','id' => '2413','slug' => 'valle-de-altomira-el','latitude' => '40.2558333','longitude' => '-2.7577778'),
        array('province_id' => '16','town' => 'Valsalobre','id' => '2414','slug' => 'valsalobre','latitude' => '40.6169302','longitude' => '-2.0933014'),
        array('province_id' => '16','town' => 'Valverde de Júcar','id' => '2415','slug' => 'valverde-de-jcar','latitude' => '39.7186846','longitude' => '-2.2219009'),
        array('province_id' => '16','town' => 'Valverdejo','id' => '2416','slug' => 'valverdejo','latitude' => '39.6150516','longitude' => '-2.024116'),
        array('province_id' => '16','town' => 'Vara de Rey','id' => '2417','slug' => 'vara-de-rey','latitude' => '39.4259894','longitude' => '-2.2936945'),
        array('province_id' => '16','town' => 'Vega del Codorno','id' => '2418','slug' => 'vega-del-codorno','latitude' => '40.4246622','longitude' => '-1.9130251'),
        array('province_id' => '16','town' => 'Vellisca','id' => '2419','slug' => 'vellisca','latitude' => '40.1296497','longitude' => '-2.8144079'),
        array('province_id' => '16','town' => 'Villaconejos de Trabaque','id' => '2420','slug' => 'villaconejos-de-trabaque','latitude' => '40.3999035','longitude' => '-2.3183903'),
        array('province_id' => '16','town' => 'Villaescusa de Haro','id' => '2421','slug' => 'villaescusa-de-haro','latitude' => '39.5974055','longitude' => '-2.6740598'),
        array('province_id' => '16','town' => 'Villagarcía del Llano','id' => '2422','slug' => 'villagarca-del-llano','latitude' => '39.3265073','longitude' => '-1.8464559'),
        array('province_id' => '16','town' => 'Villalba de la Sierra','id' => '2423','slug' => 'villalba-de-la-sierra','latitude' => '40.2355825','longitude' => '-2.0882316'),
        array('province_id' => '16','town' => 'Villalba del Rey','id' => '2424','slug' => 'villalba-del-rey','latitude' => '40.3450866','longitude' => '-2.6422744'),
        array('province_id' => '16','town' => 'Villalgordo del Marquesado','id' => '2425','slug' => 'villalgordo-del-marquesado','latitude' => '39.6823133','longitude' => '-2.5080357'),
        array('province_id' => '16','town' => 'Villalpardo','id' => '2426','slug' => 'villalpardo','latitude' => '39.4719925','longitude' => '-1.6246027'),
        array('province_id' => '16','town' => 'Villamayor de Santiago','id' => '2427','slug' => 'villamayor-de-santiago','latitude' => '39.7278404','longitude' => '-2.9235798'),
        array('province_id' => '16','town' => 'Villanueva de Guadamejud','id' => '2428','slug' => 'villanueva-de-guadamejud','latitude' => '40.2257419','longitude' => '-2.5067939'),
        array('province_id' => '16','town' => 'Villanueva de la Jara','id' => '2429','slug' => 'villanueva-de-la-jara','latitude' => '39.4429056','longitude' => '-1.9535222'),
        array('province_id' => '16','town' => 'Villar de Cañas','id' => '2430','slug' => 'villar-de-caas','latitude' => '39.7790345','longitude' => '-2.5662515'),
        array('province_id' => '16','town' => 'Villar de Domingo García','id' => '2431','slug' => 'villar-de-domingo-garca','latitude' => '40.2384209','longitude' => '-2.2938233'),
        array('province_id' => '16','town' => 'Villar de la Encina','id' => '2432','slug' => 'villar-de-la-encina','latitude' => '39.6370088','longitude' => '-2.521609'),
        array('province_id' => '16','town' => 'Villar de Olalla','id' => '2433','slug' => 'villar-de-olalla','latitude' => '40.0135616','longitude' => '-2.1973576'),
        array('province_id' => '16','town' => 'Villar del Humo','id' => '2434','slug' => 'villar-del-humo','latitude' => '39.8711609','longitude' => '-1.6284385'),
        array('province_id' => '16','town' => 'Villar del Infantado','id' => '2435','slug' => 'villar-del-infantado','latitude' => '40.4555284','longitude' => '-2.4791638'),
        array('province_id' => '16','town' => 'Villar y Velasco','id' => '2436','slug' => 'villar-y-velasco','latitude' => '40.1492','longitude' => '-2.4175'),
        array('province_id' => '16','town' => 'Villarejo de Fuentes','id' => '2437','slug' => 'villarejo-de-fuentes','latitude' => '39.7869881','longitude' => '-2.6963036'),
        array('province_id' => '16','town' => 'Villarejo de la Peñuela','id' => '2438','slug' => 'villarejo-de-la-peuela','latitude' => '40.0878444','longitude' => '-2.410047'),
        array('province_id' => '16','town' => 'Villarejo-Periesteban','id' => '2439','slug' => 'villarejo-periesteban','latitude' => '39.8730498','longitude' => '-2.4439005'),
        array('province_id' => '16','town' => 'Villares del Saz','id' => '2440','slug' => 'villares-del-saz','latitude' => '39.83939','longitude' => '-2.5062543'),
        array('province_id' => '16','town' => 'Villarrubio','id' => '2441','slug' => 'villarrubio','latitude' => '39.9457699','longitude' => '-2.8945809'),
        array('province_id' => '16','town' => 'Villarta','id' => '2442','slug' => 'villarta','latitude' => '39.4412981','longitude' => '-1.6529523'),
        array('province_id' => '16','town' => 'Villas de la Ventosa','id' => '2443','slug' => 'villas-de-la-ventosa','latitude' => '40.2056756','longitude' => '-2.4348735'),
        array('province_id' => '16','town' => 'Villaverde y Pasaconsol','id' => '2444','slug' => 'villaverde-y-pasaconsol','latitude' => '39.7705501','longitude' => '-2.2659356'),
        array('province_id' => '16','town' => 'Víllora','id' => '2445','slug' => 'vllora','latitude' => '39.7522909','longitude' => '-1.5892086'),
        array('province_id' => '16','town' => 'Vindel','id' => '2446','slug' => 'vindel','latitude' => '40.5861063','longitude' => '-2.380786'),
        array('province_id' => '16','town' => 'Yémeda','id' => '2447','slug' => 'ymeda','latitude' => '39.7628826','longitude' => '-1.7237561'),
        array('province_id' => '16','town' => 'Zafra de Záncara','id' => '2448','slug' => 'zafra-de-zncara','latitude' => '39.8916455','longitude' => '-2.5552953'),
        array('province_id' => '16','town' => 'Zafrilla','id' => '2449','slug' => 'zafrilla','latitude' => '40.1943519','longitude' => '-1.618136'),
        array('province_id' => '16','town' => 'Zarza de Tajo','id' => '2450','slug' => 'zarza-de-tajo','latitude' => '40.0182505','longitude' => '-3.13123'),
        array('province_id' => '16','town' => 'Zarzuela','id' => '2451','slug' => 'zarzuela','latitude' => '40.2545464','longitude' => '-2.1278299'),
        array('province_id' => '17','town' => 'Agullana','id' => '2452','slug' => 'agullana','latitude' => '42.3948322','longitude' => '2.8453781'),
        array('province_id' => '17','town' => 'Aiguaviva','id' => '2453','slug' => 'aiguaviva','latitude' => '41.9371984','longitude' => '2.7606389'),
        array('province_id' => '17','town' => 'Albanyà','id' => '2454','slug' => 'albany','latitude' => '42.3057298','longitude' => '2.7216225'),
        array('province_id' => '17','town' => 'Albons','id' => '2455','slug' => 'albons','latitude' => '42.1028938','longitude' => '3.085481'),
        array('province_id' => '17','town' => 'Alp','id' => '2456','slug' => 'alp','latitude' => '42.3743581','longitude' => '1.8873938'),
        array('province_id' => '17','town' => 'Amer','id' => '2457','slug' => 'amer','latitude' => '42.0094976','longitude' => '2.604287'),
        array('province_id' => '17','town' => 'Anglès','id' => '2458','slug' => 'angls','latitude' => '41.9551485','longitude' => '2.6382786'),
        array('province_id' => '17','town' => 'Arbúcies','id' => '2459','slug' => 'arbcies','latitude' => '41.8170542','longitude' => '2.5143682'),
        array('province_id' => '17','town' => 'Argelaguer','id' => '2460','slug' => 'argelaguer','latitude' => '42.2160834','longitude' => '2.641481'),
        array('province_id' => '17','town' => 'Armentera, L\'','id' => '2461','slug' => 'armentera-l','latitude' => '42.1712275','longitude' => '3.0745244'),
        array('province_id' => '17','town' => 'Avinyonet de Puigventós','id' => '2462','slug' => 'avinyonet-de-puigvents','latitude' => '42.2505068','longitude' => '2.9133063'),
        array('province_id' => '17','town' => 'Banyoles','id' => '2463','slug' => 'banyoles','latitude' => '42.1181191','longitude' => '2.7647475'),
        array('province_id' => '17','town' => 'Bàscara','id' => '2464','slug' => 'bscara','latitude' => '42.1571523','longitude' => '2.9106383'),
        array('province_id' => '17','town' => 'Begur','id' => '2465','slug' => 'begur','latitude' => '41.9537345','longitude' => '3.2081359'),
        array('province_id' => '17','town' => 'Bellcaire d\'Empordà','id' => '2466','slug' => 'bellcaire-dempord','latitude' => '42.0792237','longitude' => '3.0960791'),
        array('province_id' => '17','town' => 'Besalú','id' => '2467','slug' => 'besal','latitude' => '42.2003846','longitude' => '2.6986627'),
        array('province_id' => '17','town' => 'Bescanó','id' => '2468','slug' => 'bescan','latitude' => '41.9662373','longitude' => '2.7393957'),
        array('province_id' => '17','town' => 'Beuda','id' => '2469','slug' => 'beuda','latitude' => '42.236985','longitude' => '2.7097201'),
        array('province_id' => '17','town' => 'Bisbal d\'Empordà, La','id' => '2470','slug' => 'bisbal-dempord-la','latitude' => '41.9602172','longitude' => '3.0401845'),
        array('province_id' => '17','town' => 'Biure','id' => '2471','slug' => 'biure','latitude' => '42.3366528','longitude' => '2.8965108'),
        array('province_id' => '17','town' => 'Blanes','id' => '2472','slug' => 'blanes','latitude' => '41.6742668','longitude' => '2.7920964'),
        array('province_id' => '17','town' => 'Boadella i les Escaules','id' => '2473','slug' => 'boadella-i-les-escaules','latitude' => '42.3313889','longitude' => '2.8569444'),
        array('province_id' => '17','town' => 'Bolvir','id' => '2474','slug' => 'bolvir','latitude' => '42.4171631','longitude' => '1.8803098'),
        array('province_id' => '17','town' => 'Bordils','id' => '2475','slug' => 'bordils','latitude' => '42.0454313','longitude' => '2.9098221'),
        array('province_id' => '17','town' => 'Borrassà','id' => '2476','slug' => 'borrass','latitude' => '42.2219643','longitude' => '2.9267288'),
        array('province_id' => '17','town' => 'Breda','id' => '2477','slug' => 'breda','latitude' => '41.7477219','longitude' => '2.5599478'),
        array('province_id' => '17','town' => 'Brunyola','id' => '2478','slug' => 'brunyola','latitude' => '41.9041378','longitude' => '2.6840034'),
        array('province_id' => '17','town' => 'Cabanelles','id' => '2479','slug' => 'cabanelles','latitude' => '42.2307076','longitude' => '2.8204428'),
        array('province_id' => '17','town' => 'Cabanes','id' => '2480','slug' => '2480-cabanes','latitude' => '42.3088481','longitude' => '2.9768247'),
        array('province_id' => '17','town' => 'Cadaqués','id' => '2481','slug' => 'cadaqus','latitude' => '42.2889571','longitude' => '3.2783888'),
        array('province_id' => '17','town' => 'Caldes de Malavella','id' => '2482','slug' => 'caldes-de-malavella','latitude' => '41.8393312','longitude' => '2.8096661'),
        array('province_id' => '17','town' => 'Calonge','id' => '2483','slug' => 'calonge','latitude' => '41.8616196','longitude' => '3.0725781'),
        array('province_id' => '17','town' => 'Camós','id' => '2484','slug' => 'cams','latitude' => '42.0968551','longitude' => '2.7661598'),
        array('province_id' => '17','town' => 'Campdevànol','id' => '2485','slug' => 'campdevnol','latitude' => '42.2222338','longitude' => '2.1672936'),
        array('province_id' => '17','town' => 'Campelles','id' => '2486','slug' => 'campelles','latitude' => '42.2956897','longitude' => '2.1400318'),
        array('province_id' => '17','town' => 'Campllong','id' => '2487','slug' => 'campllong','latitude' => '41.8964695','longitude' => '2.8322704'),
        array('province_id' => '17','town' => 'Camprodon','id' => '2488','slug' => 'camprodon','latitude' => '42.3128269','longitude' => '2.3649985'),
        array('province_id' => '17','town' => 'Canet d\'Adri','id' => '2489','slug' => 'canet-dadri','latitude' => '42.0335212','longitude' => '2.7371735'),
        array('province_id' => '17','town' => 'Cantallops','id' => '2490','slug' => 'cantallops','latitude' => '42.4197724','longitude' => '2.9241929'),
        array('province_id' => '17','town' => 'Capmany','id' => '2491','slug' => 'capmany','latitude' => '42.3719481','longitude' => '2.9221224'),
        array('province_id' => '17','town' => 'Cassà de la Selva','id' => '2492','slug' => 'cass-de-la-selva','latitude' => '41.8877419','longitude' => '2.8750854'),
        array('province_id' => '17','town' => 'Castellfollit de la Roca','id' => '2493','slug' => 'castellfollit-de-la-roca','latitude' => '42.219131','longitude' => '2.5500767'),
        array('province_id' => '17','town' => 'Castelló d\'Empúries','id' => '2494','slug' => 'castell-dempries','latitude' => '42.2582587','longitude' => '3.0744421'),
        array('province_id' => '17','town' => 'Castell-Platja d\'Aro','id' => '2495','slug' => 'castell-platja-daro','latitude' => '41.8180033','longitude' => '3.0670057'),
        array('province_id' => '17','town' => 'Cellera de Ter, La','id' => '2496','slug' => 'cellera-de-ter-la','latitude' => '41.9705806','longitude' => '2.6204211'),
        array('province_id' => '17','town' => 'Celrà','id' => '2497','slug' => 'celr','latitude' => '42.0246182','longitude' => '2.8789672'),
        array('province_id' => '17','town' => 'Cervià de Ter','id' => '2498','slug' => 'cervi-de-ter','latitude' => '42.0661779','longitude' => '2.9104947'),
        array('province_id' => '17','town' => 'Cistella','id' => '2499','slug' => 'cistella','latitude' => '42.2685762','longitude' => '2.8471891'),
        array('province_id' => '17','town' => 'Colera','id' => '2500','slug' => 'colera','latitude' => '42.4037521','longitude' => '3.1506128'),
        array('province_id' => '17','town' => 'Colomers','id' => '2501','slug' => 'colomers','latitude' => '42.0837065','longitude' => '2.9860143'),
        array('province_id' => '17','town' => 'Corçà','id' => '2502','slug' => 'cor','latitude' => '41.9878924','longitude' => '3.0157618'),
        array('province_id' => '17','town' => 'Cornellà del Terri','id' => '2503','slug' => 'cornell-del-terri','latitude' => '42.0891524','longitude' => '2.8161389'),
        array('province_id' => '17','town' => 'Crespià','id' => '2504','slug' => 'crespi','latitude' => '42.1870701','longitude' => '2.7999213'),
        array('province_id' => '17','town' => 'Cruïlles, Monells i Sant Sadurní de l\'Heura','id' => '2505','slug' => 'crulles-monells-i-sant-sadurn-de-lheura','latitude' => '41.9546876','longitude' => '2.9917942'),
        array('province_id' => '17','town' => 'Darnius','id' => '2506','slug' => 'darnius','latitude' => '42.3660008','longitude' => '2.8347492'),
        array('province_id' => '17','town' => 'Das','id' => '2507','slug' => 'das','latitude' => '42.3619798','longitude' => '1.8706233'),
        array('province_id' => '17','town' => 'Escala, L\'','id' => '2508','slug' => 'escala-l','latitude' => '42.1247845','longitude' => '3.1323963'),
        array('province_id' => '17','town' => 'Espinelves','id' => '2509','slug' => 'espinelves','latitude' => '41.8676424','longitude' => '2.4177108'),
        array('province_id' => '17','town' => 'Espolla','id' => '2510','slug' => 'espolla','latitude' => '42.3897024','longitude' => '3.0016038'),
        array('province_id' => '17','town' => 'Esponellà','id' => '2511','slug' => 'esponell','latitude' => '42.1778091','longitude' => '2.7970314'),
        array('province_id' => '17','town' => 'Far d\'Empordà, El','id' => '2512','slug' => 'far-dempord-el','latitude' => '42.2521289','longitude' => '2.9953019'),
        array('province_id' => '17','town' => 'Figueres','id' => '2513','slug' => 'figueres','latitude' => '42.2674977','longitude' => '2.9608395'),
        array('province_id' => '17','town' => 'Flaçà','id' => '2514','slug' => 'fla','latitude' => '42.0503273','longitude' => '2.9540669'),
        array('province_id' => '17','town' => 'Foixà','id' => '2515','slug' => 'foix','latitude' => '42.0390829','longitude' => '2.9979183'),
        array('province_id' => '17','town' => 'Fontanals de Cerdanya','id' => '2516','slug' => 'fontanals-de-cerdanya','latitude' => '42.386667','longitude' => '1.901667'),
        array('province_id' => '17','town' => 'Fontanilles','id' => '2517','slug' => 'fontanilles','latitude' => '42.0105896','longitude' => '3.1080863'),
        array('province_id' => '17','town' => 'Fontcoberta','id' => '2518','slug' => 'fontcoberta','latitude' => '42.1426246','longitude' => '2.7898722'),
        array('province_id' => '17','town' => 'Forallac','id' => '2519','slug' => 'forallac','latitude' => '41.957938','longitude' => '3.057389'),
        array('province_id' => '17','town' => 'Fornells de la Selva','id' => '2520','slug' => 'fornells-de-la-selva','latitude' => '41.9318066','longitude' => '2.8124444'),
        array('province_id' => '17','town' => 'Fortià','id' => '2521','slug' => 'forti','latitude' => '42.2447997','longitude' => '3.0396804'),
        array('province_id' => '17','town' => 'Garrigàs','id' => '2522','slug' => 'garrigs','latitude' => '42.1935135','longitude' => '2.9543568'),
        array('province_id' => '17','town' => 'Garrigoles','id' => '2523','slug' => 'garrigoles','latitude' => '42.1073702','longitude' => '3.0295193'),
        array('province_id' => '17','town' => 'Garriguella','id' => '2524','slug' => 'garriguella','latitude' => '42.3443049','longitude' => '3.0646294'),
        array('province_id' => '17','town' => 'Ger','id' => '2525','slug' => 'ger','latitude' => '42.4100819','longitude' => '1.8457635'),
        array('province_id' => '17','town' => 'Girona','id' => '2526','slug' => 'girona','latitude' => '41.9817957','longitude' => '2.8236999'),
        array('province_id' => '17','town' => 'Gombrèn','id' => '2527','slug' => 'gombrn','latitude' => '42.2483671','longitude' => '2.0914624'),
        array('province_id' => '17','town' => 'Gualta','id' => '2528','slug' => 'gualta','latitude' => '42.029718','longitude' => '3.103458'),
        array('province_id' => '17','town' => 'Guils de Cerdanya','id' => '2529','slug' => 'guils-de-cerdanya','latitude' => '42.4471474','longitude' => '1.8808021'),
        array('province_id' => '17','town' => 'Hostalric','id' => '2530','slug' => 'hostalric','latitude' => '41.7464836','longitude' => '2.6354834'),
        array('province_id' => '17','town' => 'Isòvol','id' => '2531','slug' => 'isvol','latitude' => '42.3778943','longitude' => '1.8185772'),
        array('province_id' => '17','town' => 'Jafre','id' => '2532','slug' => 'jafre','latitude' => '42.0729623','longitude' => '3.0096164'),
        array('province_id' => '17','town' => 'Jonquera, La','id' => '2533','slug' => 'jonquera-la','latitude' => '42.4166949','longitude' => '2.8732353'),
        array('province_id' => '17','town' => 'Juià','id' => '2534','slug' => 'jui','latitude' => '42.0162162','longitude' => '2.9060802'),
        array('province_id' => '17','town' => 'Lladó','id' => '2535','slug' => 'llad','latitude' => '42.2479334','longitude' => '2.8144743'),
        array('province_id' => '17','town' => 'Llagostera','id' => '2536','slug' => 'llagostera','latitude' => '41.8292793','longitude' => '2.8939114'),
        array('province_id' => '17','town' => 'Llambilles','id' => '2537','slug' => 'llambilles','latitude' => '41.9215769','longitude' => '2.8508404'),
        array('province_id' => '17','town' => 'Llanars','id' => '2538','slug' => 'llanars','latitude' => '42.320409','longitude' => '2.3445701'),
        array('province_id' => '17','town' => 'Llançà','id' => '2539','slug' => 'llan','latitude' => '42.3651845','longitude' => '3.1612172'),
        array('province_id' => '17','town' => 'Llers','id' => '2540','slug' => 'llers','latitude' => '42.2951406','longitude' => '2.912382'),
        array('province_id' => '17','town' => 'Llívia','id' => '2541','slug' => 'llvia','latitude' => '42.4631638','longitude' => '1.9797037'),
        array('province_id' => '17','town' => 'Lloret de Mar','id' => '2542','slug' => 'lloret-de-mar','latitude' => '41.6987848','longitude' => '2.8475835'),
        array('province_id' => '17','town' => 'Llosses, Les','id' => '2543','slug' => 'llosses-les','latitude' => '42.150029','longitude' => '2.1155174'),
        array('province_id' => '17','town' => 'Maçanet de Cabrenys','id' => '2544','slug' => 'maanet-de-cabrenys','latitude' => '42.3855788','longitude' => '2.7536736'),
        array('province_id' => '17','town' => 'Maçanet de la Selva','id' => '2545','slug' => 'maanet-de-la-selva','latitude' => '41.7770365','longitude' => '2.7326201'),
        array('province_id' => '17','town' => 'Madremanya','id' => '2546','slug' => 'madremanya','latitude' => '41.9901429','longitude' => '2.9555172'),
        array('province_id' => '17','town' => 'Maià de Montcal','id' => '2547','slug' => 'mai-de-montcal','latitude' => '42.2214349','longitude' => '2.7448131'),
        array('province_id' => '17','town' => 'Masarac','id' => '2548','slug' => 'masarac','latitude' => '42.3513341','longitude' => '2.9711997'),
        array('province_id' => '17','town' => 'Massanes','id' => '2549','slug' => 'massanes','latitude' => '41.7645786','longitude' => '2.6543893'),
        array('province_id' => '17','town' => 'Meranges','id' => '2550','slug' => 'meranges','latitude' => '42.4456022','longitude' => '1.7876774'),
        array('province_id' => '17','town' => 'Mieres','id' => '2551','slug' => 'mieres','latitude' => '42.127','longitude' => '2.6392444'),
        array('province_id' => '17','town' => 'Mollet de Peralada','id' => '2552','slug' => 'mollet-de-peralada','latitude' => '42.3598126','longitude' => '2.9998149'),
        array('province_id' => '17','town' => 'Molló','id' => '2553','slug' => 'moll','latitude' => '42.3464273','longitude' => '2.4045067'),
        array('province_id' => '17','town' => 'Montagut i Oix','id' => '2554','slug' => 'montagut-i-oix','latitude' => '42.2316466','longitude' => '2.5954532'),
        array('province_id' => '17','town' => 'Mont-ras','id' => '2555','slug' => 'mont-ras','latitude' => '41.9082223','longitude' => '3.1470372'),
        array('province_id' => '17','town' => 'Navata','id' => '2556','slug' => 'navata','latitude' => '42.2234439','longitude' => '2.8619375'),
        array('province_id' => '17','town' => 'Ogassa','id' => '2557','slug' => 'ogassa','latitude' => '42.2657926','longitude' => '2.2778402'),
        array('province_id' => '17','town' => 'Olot','id' => '2558','slug' => 'olot','latitude' => '42.1821095','longitude' => '2.488189'),
        array('province_id' => '17','town' => 'Ordis','id' => '2559','slug' => 'ordis','latitude' => '42.2180884','longitude' => '2.9069209'),
        array('province_id' => '17','town' => 'Osor','id' => '2560','slug' => 'osor','latitude' => '41.9469954','longitude' => '2.552534'),
        array('province_id' => '17','town' => 'Palafrugell','id' => '2561','slug' => 'palafrugell','latitude' => '41.9171881','longitude' => '3.1638167'),
        array('province_id' => '17','town' => 'Palamós','id' => '2562','slug' => 'palams','latitude' => '41.8467643','longitude' => '3.1286356'),
        array('province_id' => '17','town' => 'Palau de Santa Eulàlia','id' => '2563','slug' => 'palau-de-santa-eullia','latitude' => '42.1736499','longitude' => '2.9651387'),
        array('province_id' => '17','town' => 'Palau-sator','id' => '2564','slug' => 'palau-sator','latitude' => '41.9881533','longitude' => '3.1103357'),
        array('province_id' => '17','town' => 'Palau-saverdera','id' => '2565','slug' => 'palau-saverdera','latitude' => '42.3077552','longitude' => '3.1475848'),
        array('province_id' => '17','town' => 'Palol de Revardit','id' => '2566','slug' => 'palol-de-revardit','latitude' => '42.071251','longitude' => '2.8030442'),
        array('province_id' => '17','town' => 'Pals','id' => '2567','slug' => 'pals','latitude' => '41.9712149','longitude' => '3.1488764'),
        array('province_id' => '17','town' => 'Pardines','id' => '2568','slug' => 'pardines','latitude' => '42.3127142','longitude' => '2.2131128'),
        array('province_id' => '17','town' => 'Parlavà','id' => '2569','slug' => 'parlav','latitude' => '42.0218778','longitude' => '3.0318014'),
        array('province_id' => '17','town' => 'Pau','id' => '2570','slug' => 'pau','latitude' => '42.3146032','longitude' => '3.1143682'),
        array('province_id' => '17','town' => 'Pedret i Marzà','id' => '2571','slug' => 'pedret-i-marz','latitude' => '42.3104846','longitude' => '3.0680864'),
        array('province_id' => '17','town' => 'Pera, La','id' => '2572','slug' => 'pera-la','latitude' => '42.0212379','longitude' => '2.9729454'),
        array('province_id' => '17','town' => 'Peralada','id' => '2573','slug' => 'peralada','latitude' => '42.3079643','longitude' => '3.0104516'),
        array('province_id' => '17','town' => 'Planes d\'Hostoles, Les','id' => '2574','slug' => 'planes-dhostoles-les','latitude' => '42.0568998','longitude' => '2.5401197'),
        array('province_id' => '17','town' => 'Planoles','id' => '2575','slug' => 'planoles','latitude' => '42.3160941','longitude' => '2.1028005'),
        array('province_id' => '17','town' => 'Pont de Molins','id' => '2576','slug' => 'pont-de-molins','latitude' => '42.3139539','longitude' => '2.9289855'),
        array('province_id' => '17','town' => 'Pontós','id' => '2577','slug' => 'ponts','latitude' => '42.1867106','longitude' => '2.9165595'),
        array('province_id' => '17','town' => 'Porqueres','id' => '2578','slug' => 'porqueres','latitude' => '42.1218553','longitude' => '2.7482116'),
        array('province_id' => '17','town' => 'Port de la Selva, El','id' => '2579','slug' => 'port-de-la-selva-el','latitude' => '42.3365934','longitude' => '3.2036884'),
        array('province_id' => '17','town' => 'Portbou','id' => '2580','slug' => 'portbou','latitude' => '42.4265286','longitude' => '3.1593696'),
        array('province_id' => '17','town' => 'Preses, Les','id' => '2581','slug' => 'preses-les','latitude' => '42.1463447','longitude' => '2.4597909'),
        array('province_id' => '17','town' => 'Puigcerdà','id' => '2582','slug' => 'puigcerd','latitude' => '42.431348','longitude' => '1.9277281'),
        array('province_id' => '17','town' => 'Quart','id' => '2583','slug' => 'quart','latitude' => '41.9383303','longitude' => '2.841294'),
        array('province_id' => '17','town' => 'Queralbs','id' => '2584','slug' => 'queralbs','latitude' => '42.3495254','longitude' => '2.1633502'),
        array('province_id' => '17','town' => 'Rabós','id' => '2585','slug' => 'rabs','latitude' => '42.379559','longitude' => '3.0268677'),
        array('province_id' => '17','town' => 'Regencós','id' => '2586','slug' => 'regencs','latitude' => '41.9524681','longitude' => '3.1714592'),
        array('province_id' => '17','town' => 'Ribes de Freser','id' => '2587','slug' => 'ribes-de-freser','latitude' => '42.3063699','longitude' => '2.1691016'),
        array('province_id' => '17','town' => 'Riells i Viabrea','id' => '2588','slug' => 'riells-i-viabrea','latitude' => '41.727222','longitude' => '2.558611'),
        array('province_id' => '17','town' => 'Ripoll','id' => '2589','slug' => 'ripoll','latitude' => '42.2007953','longitude' => '2.1906228'),
        array('province_id' => '17','town' => 'Riudarenes','id' => '2590','slug' => 'riudarenes','latitude' => '41.8219795','longitude' => '2.7167258'),
        array('province_id' => '17','town' => 'Riudaura','id' => '2591','slug' => 'riudaura','latitude' => '42.188709','longitude' => '2.4074679'),
        array('province_id' => '17','town' => 'Riudellots de la Selva','id' => '2592','slug' => 'riudellots-de-la-selva','latitude' => '41.8932893','longitude' => '2.8042867'),
        array('province_id' => '17','town' => 'Riumors','id' => '2593','slug' => 'riumors','latitude' => '42.2262392','longitude' => '3.041699'),
        array('province_id' => '17','town' => 'Roses','id' => '2594','slug' => 'roses','latitude' => '42.2629682','longitude' => '3.174805'),
        array('province_id' => '17','town' => 'Rupià','id' => '2595','slug' => 'rupi','latitude' => '42.0196066','longitude' => '3.0106592'),
        array('province_id' => '17','town' => 'Sales de Llierca','id' => '2596','slug' => 'sales-de-llierca','latitude' => '42.2372952','longitude' => '2.6574988'),
        array('province_id' => '17','town' => 'Salt','id' => '2597','slug' => 'salt','latitude' => '41.9741587','longitude' => '2.7925862'),
        array('province_id' => '17','town' => 'Sant Andreu Salou','id' => '2598','slug' => 'sant-andreu-salou','latitude' => '41.8730388','longitude' => '2.8253938'),
        array('province_id' => '17','town' => 'Sant Aniol de Finestres','id' => '2599','slug' => 'sant-aniol-de-finestres','latitude' => '42.0900302','longitude' => '2.5875223'),
        array('province_id' => '17','town' => 'Sant Climent Sescebes','id' => '2600','slug' => 'sant-climent-sescebes','latitude' => '42.3686168','longitude' => '2.9806639'),
        array('province_id' => '17','town' => 'Sant Feliu de Buixalleu','id' => '2601','slug' => 'sant-feliu-de-buixalleu','latitude' => '41.7907143','longitude' => '2.5854278'),
        array('province_id' => '17','town' => 'Sant Feliu de Guíxols','id' => '2602','slug' => 'sant-feliu-de-guxols','latitude' => '41.7805807','longitude' => '3.0307333'),
        array('province_id' => '17','town' => 'Sant Feliu de Pallerols','id' => '2603','slug' => 'sant-feliu-de-pallerols','latitude' => '42.0782749','longitude' => '2.509799'),
        array('province_id' => '17','town' => 'Sant Ferriol','id' => '2604','slug' => 'sant-ferriol','latitude' => '42.2063873','longitude' => '2.6616779'),
        array('province_id' => '17','town' => 'Sant Gregori','id' => '2605','slug' => 'sant-gregori','latitude' => '41.9906082','longitude' => '2.7595037'),
        array('province_id' => '17','town' => 'Sant Hilari Sacalm','id' => '2606','slug' => 'sant-hilari-sacalm','latitude' => '41.8789572','longitude' => '2.510884'),
        array('province_id' => '17','town' => 'Sant Jaume de Llierca','id' => '2607','slug' => 'sant-jaume-de-llierca','latitude' => '42.2137362','longitude' => '2.6063699'),
        array('province_id' => '17','town' => 'Sant Joan de les Abadesses','id' => '2608','slug' => 'sant-joan-de-les-abadesses','latitude' => '42.2334319','longitude' => '2.2855324'),
        array('province_id' => '17','town' => 'Sant Joan de Mollet','id' => '2609','slug' => 'sant-joan-de-mollet','latitude' => '42.0459081','longitude' => '2.941206'),
        array('province_id' => '17','town' => 'Sant Joan les Fonts','id' => '2610','slug' => 'sant-joan-les-fonts','latitude' => '42.2124023','longitude' => '2.5116778'),
        array('province_id' => '17','town' => 'Sant Jordi Desvalls','id' => '2611','slug' => 'sant-jordi-desvalls','latitude' => '42.070581','longitude' => '2.9540443'),
        array('province_id' => '17','town' => 'Sant Julià de Ramis','id' => '2612','slug' => 'sant-juli-de-ramis','latitude' => '42.0282434','longitude' => '2.8535408'),
        array('province_id' => '17','town' => 'Sant Julià del Llor i Bonmatí','id' => '2613','slug' => 'sant-juli-del-llor-i-bonmat','latitude' => '41.9702756','longitude' => '2.664303'),
        array('province_id' => '17','town' => 'Sant Llorenç de la Muga','id' => '2614','slug' => 'sant-lloren-de-la-muga','latitude' => '42.3211968','longitude' => '2.7895138'),
        array('province_id' => '17','town' => 'Sant Martí de Llémena','id' => '2615','slug' => 'sant-mart-de-llmena','latitude' => '42.0367168','longitude' => '2.647339'),
        array('province_id' => '17','town' => 'Sant Martí Vell','id' => '2616','slug' => 'sant-mart-vell','latitude' => '42.0208943','longitude' => '2.9307427'),
        array('province_id' => '17','town' => 'Sant Miquel de Campmajor','id' => '2617','slug' => 'sant-miquel-de-campmajor','latitude' => '42.135955','longitude' => '2.6780475'),
        array('province_id' => '17','town' => 'Sant Miquel de Fluvià','id' => '2618','slug' => 'sant-miquel-de-fluvi','latitude' => '42.1737642','longitude' => '2.9907213'),
        array('province_id' => '17','town' => 'Sant Mori','id' => '2619','slug' => 'sant-mori','latitude' => '42.1565232','longitude' => '2.9884151'),
        array('province_id' => '17','town' => 'Sant Pau de Segúries','id' => '2620','slug' => 'sant-pau-de-segries','latitude' => '42.261632','longitude' => '2.3659316'),
        array('province_id' => '17','town' => 'Sant Pere Pescador','id' => '2621','slug' => 'sant-pere-pescador','latitude' => '42.1879607','longitude' => '3.0823525'),
        array('province_id' => '17','town' => 'Santa Coloma de Farners','id' => '2622','slug' => 'santa-coloma-de-farners','latitude' => '41.8608081','longitude' => '2.6677718'),
        array('province_id' => '17','town' => 'Santa Cristina d\'Aro','id' => '2623','slug' => 'santa-cristina-daro','latitude' => '41.815661','longitude' => '3.0029273'),
        array('province_id' => '17','town' => 'Santa Llogaia d\'Àlguema','id' => '2624','slug' => 'santa-llogaia-dlguema','latitude' => '42.2343901','longitude' => '2.9519058'),
        array('province_id' => '17','town' => 'Santa Pau','id' => '2625','slug' => 'santa-pau','latitude' => '42.1463813','longitude' => '2.5693236'),
        array('province_id' => '17','town' => 'Sarrià de Ter','id' => '2626','slug' => 'sarri-de-ter','latitude' => '42.0144577','longitude' => '2.824395'),
        array('province_id' => '17','town' => 'Saus, Camallera i Llampaies','id' => '2627','slug' => 'saus-camallera-i-llampaies','latitude' => '42.1226021','longitude' => '2.9619041'),
        array('province_id' => '17','town' => 'Selva de Mar, La','id' => '2628','slug' => 'selva-de-mar-la','latitude' => '42.3246278','longitude' => '3.1876702'),
        array('province_id' => '17','town' => 'Serinyà','id' => '2629','slug' => 'seriny','latitude' => '42.1704111','longitude' => '2.7442675'),
        array('province_id' => '17','town' => 'Serra de Daró','id' => '2630','slug' => 'serra-de-dar','latitude' => '42.0273733','longitude' => '3.0715032'),
        array('province_id' => '17','town' => 'Setcases','id' => '2631','slug' => 'setcases','latitude' => '42.373706','longitude' => '2.3007042'),
        array('province_id' => '17','town' => 'Sils','id' => '2632','slug' => 'sils','latitude' => '41.809169','longitude' => '2.7434662'),
        array('province_id' => '17','town' => 'Siurana','id' => '2633','slug' => 'siurana','latitude' => '42.2093486','longitude' => '2.994269'),
        array('province_id' => '17','town' => 'Susqueda','id' => '2634','slug' => 'susqueda','latitude' => '41.9833333','longitude' => '2.5166667'),
        array('province_id' => '17','town' => 'Tallada d\'Empordà, La','id' => '2635','slug' => 'tallada-dempord-la','latitude' => '42.0800172','longitude' => '3.0567727'),
        array('province_id' => '17','town' => 'Terrades','id' => '2636','slug' => 'terrades','latitude' => '42.310355','longitude' => '2.8396452'),
        array('province_id' => '17','town' => 'Torrent','id' => '2637','slug' => 'torrent','latitude' => '41.9524572','longitude' => '3.1283895'),
        array('province_id' => '17','town' => 'Torroella de Fluvià','id' => '2638','slug' => 'torroella-de-fluvi','latitude' => '42.1755679','longitude' => '3.039541'),
        array('province_id' => '17','town' => 'Torroella de Montgrí','id' => '2639','slug' => 'torroella-de-montgr','latitude' => '42.0431787','longitude' => '3.1263609'),
        array('province_id' => '17','town' => 'Tortellà','id' => '2640','slug' => 'tortell','latitude' => '42.2336945','longitude' => '2.6302779'),
        array('province_id' => '17','town' => 'Toses','id' => '2641','slug' => 'toses','latitude' => '42.3207591','longitude' => '2.0141523'),
        array('province_id' => '17','town' => 'Tossa de Mar','id' => '2642','slug' => 'tossa-de-mar','latitude' => '41.7201833','longitude' => '2.9320973'),
        array('province_id' => '17','town' => 'Ullà','id' => '2643','slug' => 'ull','latitude' => '42.0517807','longitude' => '3.1097331'),
        array('province_id' => '17','town' => 'Ullastret','id' => '2644','slug' => 'ullastret','latitude' => '42.000874','longitude' => '3.0699308'),
        array('province_id' => '17','town' => 'Ultramort','id' => '2645','slug' => 'ultramort','latitude' => '42.0379811','longitude' => '3.0354234'),
        array('province_id' => '17','town' => 'Urús','id' => '2646','slug' => 'urs','latitude' => '42.3503873','longitude' => '1.852658'),
        array('province_id' => '17','town' => 'Vajol, La','id' => '2647','slug' => 'vajol-la','latitude' => '42.4043984','longitude' => '2.799725'),
        array('province_id' => '17','town' => 'Vall de Bianya, La','id' => '2648','slug' => 'vall-de-bianya-la','latitude' => '42.2393184','longitude' => '2.4230261'),
        array('province_id' => '17','town' => 'Vall d\'en Bas, La','id' => '2649','slug' => 'vall-den-bas-la','latitude' => '42.1183552','longitude' => '2.4570012'),
        array('province_id' => '17','town' => 'Vallfogona de Ripollès','id' => '2650','slug' => 'vallfogona-de-ripolls','latitude' => '42.1963858','longitude' => '2.3033393'),
        array('province_id' => '17','town' => 'Vall-llobrega','id' => '2651','slug' => 'vall-llobrega','latitude' => '41.883714','longitude' => '3.1213646'),
        array('province_id' => '17','town' => 'Ventalló','id' => '2652','slug' => 'ventall','latitude' => '42.1495792','longitude' => '3.0263049'),
        array('province_id' => '17','town' => 'Verges','id' => '2653','slug' => 'verges','latitude' => '42.0628101','longitude' => '3.0458358'),
        array('province_id' => '17','town' => 'Vidrà','id' => '2654','slug' => 'vidr','latitude' => '42.1221136','longitude' => '2.3092776'),
        array('province_id' => '17','town' => 'Vidreres','id' => '2655','slug' => 'vidreres','latitude' => '41.790267','longitude' => '2.7800142'),
        array('province_id' => '17','town' => 'Vilabertran','id' => '2656','slug' => 'vilabertran','latitude' => '42.2842168','longitude' => '2.9817094'),
        array('province_id' => '17','town' => 'Vilablareix','id' => '2657','slug' => 'vilablareix','latitude' => '41.9563921','longitude' => '2.7730018'),
        array('province_id' => '17','town' => 'Viladamat','id' => '2658','slug' => 'viladamat','latitude' => '42.1323122','longitude' => '3.0754846'),
        array('province_id' => '17','town' => 'Viladasens','id' => '2659','slug' => 'viladasens','latitude' => '42.0955047','longitude' => '2.9294096'),
        array('province_id' => '17','town' => 'Vilademuls','id' => '2660','slug' => 'vilademuls','latitude' => '42.1389588','longitude' => '2.8885705'),
        array('province_id' => '17','town' => 'Viladrau','id' => '2661','slug' => 'viladrau','latitude' => '41.8489435','longitude' => '2.3910264'),
        array('province_id' => '17','town' => 'Vilafant','id' => '2662','slug' => 'vilafant','latitude' => '42.2464232','longitude' => '2.9375326'),
        array('province_id' => '17','town' => 'Vilajuïga','id' => '2663','slug' => 'vilajuga','latitude' => '42.3246115','longitude' => '3.0905274'),
        array('province_id' => '17','town' => 'Vilallonga de Ter','id' => '2664','slug' => 'vilallonga-de-ter','latitude' => '42.3307501','longitude' => '2.3109588'),
        array('province_id' => '17','town' => 'Vilamacolum','id' => '2665','slug' => 'vilamacolum','latitude' => '42.1959402','longitude' => '3.0564047'),
        array('province_id' => '17','town' => 'Vilamalla','id' => '2666','slug' => 'vilamalla','latitude' => '42.2169825','longitude' => '2.9701363'),
        array('province_id' => '17','town' => 'Vilamaniscle','id' => '2667','slug' => 'vilamaniscle','latitude' => '42.3744496','longitude' => '3.0670371'),
        array('province_id' => '17','town' => 'Vilanant','id' => '2668','slug' => 'vilanant','latitude' => '42.2545457','longitude' => '2.8897835'),
        array('province_id' => '17','town' => 'Vila-sacra','id' => '2669','slug' => 'vila-sacra','latitude' => '42.2646479','longitude' => '3.0165578'),
        array('province_id' => '17','town' => 'Vilaür','id' => '2670','slug' => 'vilar','latitude' => '42.1433975','longitude' => '2.9554401'),
        array('province_id' => '17','town' => 'Vilobí d\'Onyar','id' => '2671','slug' => 'vilob-donyar','latitude' => '41.8875235','longitude' => '2.7399021'),
        array('province_id' => '17','town' => 'Vilopriu','id' => '2672','slug' => 'vilopriu','latitude' => '42.1039579','longitude' => '2.9930082'),
        array('province_id' => '18','town' => 'Agrón','id' => '2673','slug' => 'agrn','latitude' => '37.0305837','longitude' => '-3.8297243'),
        array('province_id' => '18','town' => 'Alamedilla','id' => '2674','slug' => 'alamedilla','latitude' => '37.5817402','longitude' => '-3.2443093'),
        array('province_id' => '18','town' => 'Albolote','id' => '2675','slug' => 'albolote','latitude' => '37.2308556','longitude' => '-3.6574147'),
        array('province_id' => '18','town' => 'Albondón','id' => '2676','slug' => 'albondn','latitude' => '36.8272885','longitude' => '-3.2108134'),
        array('province_id' => '18','town' => 'Albuñán','id' => '2677','slug' => 'albun','latitude' => '37.2271916','longitude' => '-3.1338925'),
        array('province_id' => '18','town' => 'Albuñol','id' => '2678','slug' => 'albuol','latitude' => '36.7912509','longitude' => '-3.2034848'),
        array('province_id' => '18','town' => 'Albuñuelas','id' => '2679','slug' => 'albuuelas','latitude' => '36.9282047','longitude' => '-3.6314718'),
        array('province_id' => '18','town' => 'Aldeire','id' => '2680','slug' => 'aldeire','latitude' => '37.1626339','longitude' => '-3.0724878'),
        array('province_id' => '18','town' => 'Alfacar','id' => '2681','slug' => 'alfacar','latitude' => '37.2365708','longitude' => '-3.5706536'),
        array('province_id' => '18','town' => 'Algarinejo','id' => '2682','slug' => 'algarinejo','latitude' => '37.324917','longitude' => '-4.1588459'),
        array('province_id' => '18','town' => 'Alhama de Granada','id' => '2683','slug' => 'alhama-de-granada','latitude' => '37.0025184','longitude' => '-3.9883887'),
        array('province_id' => '18','town' => 'Alhendín','id' => '2684','slug' => 'alhendn','latitude' => '37.1075985','longitude' => '-3.6455836'),
        array('province_id' => '18','town' => 'Alicún de Ortega','id' => '2685','slug' => 'alicn-de-ortega','latitude' => '37.6096762','longitude' => '-3.1379865'),
        array('province_id' => '18','town' => 'Almegíjar','id' => '2686','slug' => 'almegjar','latitude' => '36.9024471','longitude' => '-3.299801'),
        array('province_id' => '18','town' => 'Almuñécar','id' => '2687','slug' => 'almucar','latitude' => '36.7345403','longitude' => '-3.6907361'),
        array('province_id' => '18','town' => 'Alpujarra de la Sierra','id' => '2688','slug' => 'alpujarra-de-la-sierra','latitude' => '36.981502','longitude' => '-3.157129'),
        array('province_id' => '18','town' => 'Alquife','id' => '2689','slug' => 'alquife','latitude' => '37.1798276','longitude' => '-3.116288'),
        array('province_id' => '18','town' => 'Arenas del Rey','id' => '2690','slug' => 'arenas-del-rey','latitude' => '36.9577105','longitude' => '-3.8943227'),
        array('province_id' => '18','town' => 'Armilla','id' => '2691','slug' => 'armilla','latitude' => '37.1401032','longitude' => '-3.6179814'),
        array('province_id' => '18','town' => 'Atarfe','id' => '2692','slug' => 'atarfe','latitude' => '37.2228969','longitude' => '-3.6874157'),
        array('province_id' => '18','town' => 'Baza','id' => '2693','slug' => 'baza','latitude' => '37.490651','longitude' => '-2.7744732'),
        array('province_id' => '18','town' => 'Beas de Granada','id' => '2694','slug' => 'beas-de-granada','latitude' => '37.2191625','longitude' => '-3.4817368'),
        array('province_id' => '18','town' => 'Beas de Guadix','id' => '2695','slug' => 'beas-de-guadix','latitude' => '37.2793988','longitude' => '-3.2059762'),
        array('province_id' => '18','town' => 'Benalúa','id' => '2696','slug' => 'benala','latitude' => '37.4275815','longitude' => '-3.6834733'),
        array('province_id' => '18','town' => 'Benalúa de las Villas','id' => '2697','slug' => 'benala-de-las-villas','latitude' => '37.4275815','longitude' => '-3.6834733'),
        array('province_id' => '18','town' => 'Benamaurel','id' => '2698','slug' => 'benamaurel','latitude' => '37.6091333','longitude' => '-2.6992135'),
        array('province_id' => '18','town' => 'Bérchules','id' => '2699','slug' => 'brchules','latitude' => '36.9767226','longitude' => '-3.1903792'),
        array('province_id' => '18','town' => 'Bubión','id' => '2700','slug' => 'bubin','latitude' => '36.9488258','longitude' => '-3.3567415'),
        array('province_id' => '18','town' => 'Busquístar','id' => '2701','slug' => 'busqustar','latitude' => '36.937713','longitude' => '-3.2948455'),
        array('province_id' => '18','town' => 'Cacín','id' => '2702','slug' => 'cacn','latitude' => '37.059949','longitude' => '-3.9168902'),
        array('province_id' => '18','town' => 'Cádiar','id' => '2703','slug' => 'cdiar','latitude' => '36.9467261','longitude' => '-3.1805461'),
        array('province_id' => '18','town' => 'Cájar','id' => '2704','slug' => 'cjar','latitude' => '37.1342212','longitude' => '-3.5706177'),
        array('province_id' => '18','town' => 'Calahorra, La','id' => '2705','slug' => 'calahorra-la','latitude' => '37.1813647','longitude' => '-3.0645132'),
        array('province_id' => '18','town' => 'Calicasas','id' => '2706','slug' => 'calicasas','latitude' => '37.2732911','longitude' => '-3.6181997'),
        array('province_id' => '18','town' => 'Campotéjar','id' => '2707','slug' => 'campotjar','latitude' => '37.4813117','longitude' => '-3.6164965'),
        array('province_id' => '18','town' => 'Caniles','id' => '2708','slug' => 'caniles','latitude' => '37.4362651','longitude' => '-2.7224009'),
        array('province_id' => '18','town' => 'Cáñar','id' => '2709','slug' => 'car','latitude' => '36.9266113','longitude' => '-3.4282353'),
        array('province_id' => '18','town' => 'Capileira','id' => '2710','slug' => 'capileira','latitude' => '36.961223','longitude' => '-3.3586543'),
        array('province_id' => '18','town' => 'Carataunas','id' => '2711','slug' => 'carataunas','latitude' => '36.9228745','longitude' => '-3.408202'),
        array('province_id' => '18','town' => 'Cástaras','id' => '2712','slug' => 'cstaras','latitude' => '36.9316856','longitude' => '-3.2537329'),
        array('province_id' => '18','town' => 'Castilléjar','id' => '2713','slug' => 'castilljar','latitude' => '37.7147011','longitude' => '-2.6429664'),
        array('province_id' => '18','town' => 'Castril','id' => '2714','slug' => 'castril','latitude' => '37.7957299','longitude' => '-2.7790884'),
        array('province_id' => '18','town' => 'Cenes de la Vega','id' => '2715','slug' => 'cenes-de-la-vega','latitude' => '37.1593111','longitude' => '-3.537524'),
        array('province_id' => '18','town' => 'Chauchina','id' => '2716','slug' => 'chauchina','latitude' => '37.1892506','longitude' => '-3.7751928'),
        array('province_id' => '18','town' => 'Chimeneas','id' => '2717','slug' => 'chimeneas','latitude' => '37.1313737','longitude' => '-3.8231979'),
        array('province_id' => '18','town' => 'Churriana de la Vega','id' => '2718','slug' => 'churriana-de-la-vega','latitude' => '37.1477665','longitude' => '-3.6459501'),
        array('province_id' => '18','town' => 'Cijuela','id' => '2719','slug' => 'cijuela','latitude' => '37.1998939','longitude' => '-3.8108008'),
        array('province_id' => '18','town' => 'Cogollos de Guadix','id' => '2720','slug' => 'cogollos-de-guadix','latitude' => '37.2244319','longitude' => '-3.161336'),
        array('province_id' => '18','town' => 'Cogollos de la Vega','id' => '2721','slug' => 'cogollos-de-la-vega','latitude' => '37.2748581','longitude' => '-3.5729081'),
        array('province_id' => '18','town' => 'Colomera','id' => '2722','slug' => 'colomera','latitude' => '37.372055','longitude' => '-3.7138201'),
        array('province_id' => '18','town' => 'Cortes de Baza','id' => '2723','slug' => 'cortes-de-baza','latitude' => '37.6549309','longitude' => '-2.7699166'),
        array('province_id' => '18','town' => 'Cortes y Graena','id' => '2724','slug' => 'cortes-y-graena','latitude' => '37.3036284','longitude' => '-3.2187772'),
        array('province_id' => '18','town' => 'Cuevas del Campo','id' => '2725','slug' => 'cuevas-del-campo','latitude' => '37.6084715','longitude' => '-2.9310328'),
        array('province_id' => '18','town' => 'Cúllar','id' => '2726','slug' => 'cllar','latitude' => '37.5836815','longitude' => '-2.576282'),
        array('province_id' => '18','town' => 'Cúllar Vega','id' => '2727','slug' => 'cllar-vega','latitude' => '37.1532664','longitude' => '-3.6704363'),
        array('province_id' => '18','town' => 'Darro','id' => '2728','slug' => 'darro','latitude' => '37.3500171','longitude' => '-3.2925308'),
        array('province_id' => '18','town' => 'Dehesas de Guadix','id' => '2729','slug' => 'dehesas-de-guadix','latitude' => '37.5886792','longitude' => '-3.1022784'),
        array('province_id' => '18','town' => 'Deifontes','id' => '2730','slug' => 'deifontes','latitude' => '37.3252398','longitude' => '-3.5944841'),
        array('province_id' => '18','town' => 'Diezma','id' => '2731','slug' => 'diezma','latitude' => '37.3208517','longitude' => '-3.3316642'),
        array('province_id' => '18','town' => 'Dílar','id' => '2732','slug' => 'dlar','latitude' => '37.0749919','longitude' => '-3.6016243'),
        array('province_id' => '18','town' => 'Dólar','id' => '2733','slug' => '2733-dlar','latitude' => '37.1800367','longitude' => '-2.9895893'),
        array('province_id' => '18','town' => 'Dúdar','id' => '2734','slug' => 'ddar','latitude' => '37.1856639','longitude' => '-3.4844418'),
        array('province_id' => '18','town' => 'Dúrcal','id' => '2735','slug' => 'drcal','latitude' => '36.9879261','longitude' => '-3.5661601'),
        array('province_id' => '18','town' => 'Escúzar','id' => '2736','slug' => 'esczar','latitude' => '37.0625076','longitude' => '-3.7614993'),
        array('province_id' => '18','town' => 'Ferreira','id' => '2737','slug' => 'ferreira','latitude' => '37.1722876','longitude' => '-3.0360835'),
        array('province_id' => '18','town' => 'Fonelas','id' => '2738','slug' => 'fonelas','latitude' => '37.4134412','longitude' => '-3.1733438'),
        array('province_id' => '18','town' => 'Freila','id' => '2739','slug' => 'freila','latitude' => '37.5286932','longitude' => '-2.9067948'),
        array('province_id' => '18','town' => 'Fuente Vaqueros','id' => '2740','slug' => 'fuente-vaqueros','latitude' => '37.2195731','longitude' => '-3.7830532'),
        array('province_id' => '18','town' => 'Gabias, Las','id' => '2741','slug' => 'gabias-las','latitude' => '37.1364238','longitude' => '-3.669147'),
        array('province_id' => '18','town' => 'Galera','id' => '2742','slug' => 'galera','latitude' => '37.7428844','longitude' => '-2.5511932'),
        array('province_id' => '18','town' => 'Gobernador','id' => '2743','slug' => 'gobernador','latitude' => '37.4773659','longitude' => '-3.3204545'),
        array('province_id' => '18','town' => 'Gójar','id' => '2744','slug' => 'gjar','latitude' => '37.1044347','longitude' => '-3.6062034'),
        array('province_id' => '18','town' => 'Gor','id' => '2745','slug' => 'gor','latitude' => '37.3695204','longitude' => '-2.969444'),
        array('province_id' => '18','town' => 'Gorafe','id' => '2746','slug' => 'gorafe','latitude' => '37.4790186','longitude' => '-3.0442747'),
        array('province_id' => '18','town' => 'Granada','id' => '2747','slug' => 'granada','latitude' => '37.1764874','longitude' => '-3.5979291'),
        array('province_id' => '18','town' => 'Guadahortuna','id' => '2748','slug' => 'guadahortuna','latitude' => '37.5565446','longitude' => '-3.4007134'),
        array('province_id' => '18','town' => 'Guadix','id' => '2749','slug' => 'guadix','latitude' => '37.3003963','longitude' => '-3.1345833'),
        array('province_id' => '18','town' => 'Guajares, Los','id' => '2750','slug' => 'guajares-los','latitude' => '36.8456748','longitude' => '-3.6116494'),
        array('province_id' => '18','town' => 'Gualchos','id' => '2751','slug' => 'gualchos','latitude' => '36.7435675','longitude' => '-3.3898693'),
        array('province_id' => '18','town' => 'Güejar Sierra','id' => '2752','slug' => 'gejar-sierra','latitude' => '37.1598731','longitude' => '-3.4386534'),
        array('province_id' => '18','town' => 'Güevéjar','id' => '2753','slug' => 'gevjar','latitude' => '37.2569789','longitude' => '-3.5976784'),
        array('province_id' => '18','town' => 'Huélago','id' => '2754','slug' => 'hulago','latitude' => '37.4198047','longitude' => '-3.2601462'),
        array('province_id' => '18','town' => 'Huéneja','id' => '2755','slug' => 'huneja','latitude' => '37.1769335','longitude' => '-2.9485955'),
        array('province_id' => '18','town' => 'Huéscar','id' => '2756','slug' => 'huscar','latitude' => '37.8094891','longitude' => '-2.5396631'),
        array('province_id' => '18','town' => 'Huétor de Santillán','id' => '2757','slug' => 'hutor-de-santilln','latitude' => '37.2182282','longitude' => '-3.5173991'),
        array('province_id' => '18','town' => 'Huétor Tájar','id' => '2758','slug' => 'hutor-tjar','latitude' => '37.1946309','longitude' => '-4.0471391'),
        array('province_id' => '18','town' => 'Huétor Vega','id' => '2759','slug' => 'hutor-vega','latitude' => '37.1523809','longitude' => '-3.5759037'),
        array('province_id' => '18','town' => 'Illora','id' => '2760','slug' => 'illora','latitude' => '37.2884253','longitude' => '-3.8797818'),
        array('province_id' => '18','town' => 'Itrabo','id' => '2761','slug' => 'itrabo','latitude' => '36.7994851','longitude' => '-3.6387109'),
        array('province_id' => '18','town' => 'Iznalloz','id' => '2762','slug' => 'iznalloz','latitude' => '37.3927023','longitude' => '-3.5275488'),
        array('province_id' => '18','town' => 'Jayena','id' => '2763','slug' => 'jayena','latitude' => '36.9488256','longitude' => '-3.8228068'),
        array('province_id' => '18','town' => 'Jerez del Marquesado','id' => '2764','slug' => 'jerez-del-marquesado','latitude' => '37.1838513','longitude' => '-3.1598715'),
        array('province_id' => '18','town' => 'Jete','id' => '2765','slug' => 'jete','latitude' => '36.7973166','longitude' => '-3.6681513'),
        array('province_id' => '18','town' => 'Jun','id' => '2766','slug' => 'jun','latitude' => '37.2206402','longitude' => '-3.5944298'),
        array('province_id' => '18','town' => 'Juviles','id' => '2767','slug' => 'juviles','latitude' => '36.948253','longitude' => '-3.2257882'),
        array('province_id' => '18','town' => 'Láchar','id' => '2768','slug' => 'lchar','latitude' => '37.1950816','longitude' => '-3.8340638'),
        array('province_id' => '18','town' => 'Lanjarón','id' => '2769','slug' => 'lanjarn','latitude' => '36.9180647','longitude' => '-3.4804875'),
        array('province_id' => '18','town' => 'Lanteira','id' => '2770','slug' => 'lanteira','latitude' => '37.1688973','longitude' => '-3.1385514'),
        array('province_id' => '18','town' => 'Lecrín','id' => '2771','slug' => 'lecrn','latitude' => '36.9476953','longitude' => '-3.5503823'),
        array('province_id' => '18','town' => 'Lentegí','id' => '2772','slug' => 'lenteg','latitude' => '36.8343061','longitude' => '-3.6744491'),
        array('province_id' => '18','town' => 'Lobras','id' => '2773','slug' => 'lobras','latitude' => '36.9278614','longitude' => '-3.2123061'),
        array('province_id' => '18','town' => 'Loja','id' => '2774','slug' => 'loja','latitude' => '37.1688409','longitude' => '-4.1514712'),
        array('province_id' => '18','town' => 'Lugros','id' => '2775','slug' => 'lugros','latitude' => '37.2306884','longitude' => '-3.240909'),
        array('province_id' => '18','town' => 'Lújar','id' => '2776','slug' => '2776-ljar','latitude' => '36.7876092','longitude' => '-3.4015629'),
        array('province_id' => '18','town' => 'Malahá, La','id' => '2777','slug' => 'malah-la','latitude' => '37.1898223','longitude' => '-3.6293854'),
        array('province_id' => '18','town' => 'Maracena','id' => '2778','slug' => 'maracena','latitude' => '37.2056774','longitude' => '-3.636805'),
        array('province_id' => '18','town' => 'Marchal','id' => '2779','slug' => 'marchal','latitude' => '37.2962012','longitude' => '-3.2023235'),
        array('province_id' => '18','town' => 'Moclín','id' => '2780','slug' => 'mocln','latitude' => '37.3415777','longitude' => '-3.7864222'),
        array('province_id' => '18','town' => 'Molvízar','id' => '2781','slug' => 'molvzar','latitude' => '36.7868871','longitude' => '-3.6075183'),
        array('province_id' => '18','town' => 'Monachil','id' => '2782','slug' => 'monachil','latitude' => '37.1320894','longitude' => '-3.5394695'),
        array('province_id' => '18','town' => 'Montefrío','id' => '2783','slug' => 'montefro','latitude' => '37.3209691','longitude' => '-4.0113637'),
        array('province_id' => '18','town' => 'Montejícar','id' => '2784','slug' => 'montejcar','latitude' => '37.5719655','longitude' => '-3.5046999'),
        array('province_id' => '18','town' => 'Montillana','id' => '2785','slug' => 'montillana','latitude' => '37.5012648','longitude' => '-3.6724229'),
        array('province_id' => '18','town' => 'Moraleda de Zafayona','id' => '2786','slug' => 'moraleda-de-zafayona','latitude' => '37.1697734','longitude' => '-3.9651468'),
        array('province_id' => '18','town' => 'Morelábor','id' => '2787','slug' => 'morelbor','latitude' => '37.4333333','longitude' => '-3.3166667'),
        array('province_id' => '18','town' => 'Motril','id' => '2788','slug' => 'motril','latitude' => '36.7446694','longitude' => '-3.5167184'),
        array('province_id' => '18','town' => 'Murtas','id' => '2789','slug' => 'murtas','latitude' => '36.8873746','longitude' => '-3.1089707'),
        array('province_id' => '18','town' => 'Nevada','id' => '2790','slug' => 'nevada','latitude' => '37','longitude' => '-3.0166667'),
        array('province_id' => '18','town' => 'Nigüelas','id' => '2791','slug' => 'nigelas','latitude' => '36.9774118','longitude' => '-3.5393193'),
        array('province_id' => '18','town' => 'Nívar','id' => '2792','slug' => 'nvar','latitude' => '37.2579378','longitude' => '-3.5779179'),
        array('province_id' => '18','town' => 'Ogíjares','id' => '2793','slug' => 'ogjares','latitude' => '37.1199066','longitude' => '-3.6079369'),
        array('province_id' => '18','town' => 'Orce','id' => '2794','slug' => 'orce','latitude' => '37.7214083','longitude' => '-2.4794514'),
        array('province_id' => '18','town' => 'Órgiva','id' => '2795','slug' => 'rgiva','latitude' => '36.9022391','longitude' => '-3.4239899'),
        array('province_id' => '18','town' => 'Otívar','id' => '2796','slug' => 'otvar','latitude' => '36.8149087','longitude' => '-3.6814974'),
        array('province_id' => '18','town' => 'Otura','id' => '2797','slug' => 'otura','latitude' => '37.0943088','longitude' => '-3.6350731'),
        array('province_id' => '18','town' => 'Padul','id' => '2798','slug' => 'padul','latitude' => '37.0243215','longitude' => '-3.6267194'),
        array('province_id' => '18','town' => 'Pampaneira','id' => '2799','slug' => 'pampaneira','latitude' => '36.9400402','longitude' => '-3.3613388'),
        array('province_id' => '18','town' => 'Pedro Martínez','id' => '2800','slug' => 'pedro-martnez','latitude' => '37.5016808','longitude' => '-3.2306591'),
        array('province_id' => '18','town' => 'Peligros','id' => '2801','slug' => 'peligros','latitude' => '37.2312162','longitude' => '-3.6294149'),
        array('province_id' => '18','town' => 'Peza, La','id' => '2802','slug' => 'peza-la','latitude' => '37.275597','longitude' => '-3.2847611'),
        array('province_id' => '18','town' => 'Pinar, El','id' => '2803','slug' => 'pinar-el','latitude' => '37.4433755','longitude' => '-3.4394181'),
        array('province_id' => '18','town' => 'Pinos Genil','id' => '2804','slug' => 'pinos-genil','latitude' => '37.1633948','longitude' => '-3.5026353'),
        array('province_id' => '18','town' => 'Pinos Puente','id' => '2805','slug' => 'pinos-puente','latitude' => '37.2514605','longitude' => '-3.7509953'),
        array('province_id' => '18','town' => 'Píñar','id' => '2806','slug' => 'par','latitude' => '37.4433755','longitude' => '-3.4394181'),
        array('province_id' => '18','town' => 'Polícar','id' => '2807','slug' => 'polcar','latitude' => '37.2576437','longitude' => '-3.2321024'),
        array('province_id' => '18','town' => 'Polopos','id' => '2808','slug' => 'polopos','latitude' => '36.7955277','longitude' => '-3.2971353'),
        array('province_id' => '18','town' => 'Pórtugos','id' => '2809','slug' => 'prtugos','latitude' => '36.9424039','longitude' => '-3.3103864'),
        array('province_id' => '18','town' => 'Puebla de Don Fadrique','id' => '2810','slug' => 'puebla-de-don-fadrique','latitude' => '37.9579029','longitude' => '-2.4350804'),
        array('province_id' => '18','town' => 'Pulianas','id' => '2811','slug' => 'pulianas','latitude' => '37.2226455','longitude' => '-3.6081631'),
        array('province_id' => '18','town' => 'Purullena','id' => '2812','slug' => 'purullena','latitude' => '37.3175903','longitude' => '-3.1902735'),
        array('province_id' => '18','town' => 'Quéntar','id' => '2813','slug' => 'quntar','latitude' => '37.1920078','longitude' => '-3.4681919'),
        array('province_id' => '18','town' => 'Rubite','id' => '2814','slug' => 'rubite','latitude' => '36.808843','longitude' => '-3.3480437'),
        array('province_id' => '18','town' => 'Salar','id' => '2815','slug' => 'salar','latitude' => '37.148819','longitude' => '-4.0677319'),
        array('province_id' => '18','town' => 'Salobreña','id' => '2816','slug' => 'salobrea','latitude' => '36.7462568','longitude' => '-3.587108'),
        array('province_id' => '18','town' => 'Santa Cruz del Comercio','id' => '2817','slug' => 'santa-cruz-del-comercio','latitude' => '37.0602434','longitude' => '-3.9767164'),
        array('province_id' => '18','town' => 'Santa Fe','id' => '2818','slug' => 'santa-fe','latitude' => '37.189358','longitude' => '-3.719076'),
        array('province_id' => '18','town' => 'Soportújar','id' => '2819','slug' => 'soportjar','latitude' => '36.9283886','longitude' => '-3.4051336'),
        array('province_id' => '18','town' => 'Sorvilán','id' => '2820','slug' => 'sorviln','latitude' => '36.7944194','longitude' => '-3.2675239'),
        array('province_id' => '18','town' => 'Taha, La','id' => '2821','slug' => 'taha-la','latitude' => '37.1605731','longitude' => '-3.6067872'),
        array('province_id' => '18','town' => 'Torre-Cardela','id' => '2822','slug' => 'torre-cardela','latitude' => '37.5045692','longitude' => '-3.3560155'),
        array('province_id' => '18','town' => 'Torvizcón','id' => '2823','slug' => 'torvizcn','latitude' => '36.8778786','longitude' => '-3.2985516'),
        array('province_id' => '18','town' => 'Trevélez','id' => '2824','slug' => 'trevlez','latitude' => '37.0024449','longitude' => '-3.2668715'),
        array('province_id' => '18','town' => 'Turón','id' => '2825','slug' => 'turn','latitude' => '36.8635768','longitude' => '-3.0577715'),
        array('province_id' => '18','town' => 'Ugíjar','id' => '2826','slug' => 'ugjar','latitude' => '36.960752','longitude' => '-3.0547537'),
        array('province_id' => '18','town' => 'Valle, El','id' => '2827','slug' => 'valle-el','latitude' => '37.2861111','longitude' => '-3.0088889'),
        array('province_id' => '18','town' => 'Valle del Zalabí','id' => '2828','slug' => 'valle-del-zalab','latitude' => '37.2861111','longitude' => '-3.0088889'),
        array('province_id' => '18','town' => 'Válor','id' => '2829','slug' => 'vlor','latitude' => '36.9958864','longitude' => '-3.0831234'),
        array('province_id' => '18','town' => 'Vegas del Genil','id' => '2830','slug' => 'vegas-del-genil','latitude' => '37.1666667','longitude' => '-3.6833333'),
        array('province_id' => '18','town' => 'Vélez de Benaudalla','id' => '2831','slug' => 'vlez-de-benaudalla','latitude' => '36.8319522','longitude' => '-3.5162094'),
        array('province_id' => '18','town' => 'Ventas de Huelma','id' => '2832','slug' => 'ventas-de-huelma','latitude' => '37.0685367','longitude' => '-3.8221333'),
        array('province_id' => '18','town' => 'Villamena','id' => '2833','slug' => 'villamena','latitude' => '36.990354','longitude' => '-3.588935'),
        array('province_id' => '18','town' => 'Villanueva de las Torres','id' => '2834','slug' => 'villanueva-de-las-torres','latitude' => '37.5566329','longitude' => '-3.090193'),
        array('province_id' => '18','town' => 'Villanueva Mesía','id' => '2835','slug' => 'villanueva-mesa','latitude' => '37.2141935','longitude' => '-4.0112479'),
        array('province_id' => '18','town' => 'Víznar','id' => '2836','slug' => 'vznar','latitude' => '37.2310779','longitude' => '-3.5538349'),
        array('province_id' => '18','town' => 'Zafarraya','id' => '2837','slug' => 'zafarraya','latitude' => '36.9755116','longitude' => '-4.144421'),
        array('province_id' => '18','town' => 'Zagra','id' => '2838','slug' => 'zagra','latitude' => '37.2530273','longitude' => '-4.168132'),
        array('province_id' => '18','town' => 'Zubia, La','id' => '2839','slug' => 'zubia-la','latitude' => '37.1206136','longitude' => '-3.5846685'),
        array('province_id' => '18','town' => 'Zújar','id' => '2840','slug' => 'zjar','latitude' => '37.5401523','longitude' => '-2.842817'),
        array('province_id' => '19','town' => 'Abánades','id' => '2841','slug' => 'abnades','latitude' => '40.8921552','longitude' => '-2.4853813'),
        array('province_id' => '19','town' => 'Ablanque','id' => '2842','slug' => 'ablanque','latitude' => '40.8979729','longitude' => '-2.2275667'),
        array('province_id' => '19','town' => 'Adobes','id' => '2843','slug' => 'adobes','latitude' => '40.6759336','longitude' => '-1.6785814'),
        array('province_id' => '19','town' => 'Alaminos','id' => '2844','slug' => 'alaminos','latitude' => '40.8633072','longitude' => '-2.7259835'),
        array('province_id' => '19','town' => 'Alarilla','id' => '2845','slug' => 'alarilla','latitude' => '40.8496889','longitude' => '-3.1052816'),
        array('province_id' => '19','town' => 'Albalate de Zorita','id' => '2846','slug' => 'albalate-de-zorita','latitude' => '40.3085009','longitude' => '-2.8415894'),
        array('province_id' => '19','town' => 'Albares','id' => '2847','slug' => 'albares','latitude' => '40.3075124','longitude' => '-3.0122609'),
        array('province_id' => '19','town' => 'Albendiego','id' => '2848','slug' => 'albendiego','latitude' => '41.2300363','longitude' => '-3.0538644'),
        array('province_id' => '19','town' => 'Alcocer','id' => '2849','slug' => 'alcocer','latitude' => '40.469872','longitude' => '-2.6109249'),
        array('province_id' => '19','town' => 'Alcolea de las Peñas','id' => '2850','slug' => 'alcolea-de-las-peas','latitude' => '41.2098615','longitude' => '-2.7848916'),
        array('province_id' => '19','town' => 'Alcolea del Pinar','id' => '2851','slug' => 'alcolea-del-pinar','latitude' => '41.0357741','longitude' => '-2.4673043'),
        array('province_id' => '19','town' => 'Alcoroches','id' => '2852','slug' => 'alcoroches','latitude' => '40.627799','longitude' => '-1.7464856'),
        array('province_id' => '19','town' => 'Aldeanueva de Guadalajara','id' => '2853','slug' => 'aldeanueva-de-guadalajara','latitude' => '40.6818526','longitude' => '-3.0472188'),
        array('province_id' => '19','town' => 'Algar de Mesa','id' => '2854','slug' => 'algar-de-mesa','latitude' => '41.1344516','longitude' => '-1.9600338'),
        array('province_id' => '19','town' => 'Algora','id' => '2855','slug' => 'algora','latitude' => '40.9634126','longitude' => '-2.6663527'),
        array('province_id' => '19','town' => 'Alhóndiga','id' => '2856','slug' => 'alhndiga','latitude' => '40.5271085','longitude' => '-2.8217499'),
        array('province_id' => '19','town' => 'Alique','id' => '2857','slug' => 'alique','latitude' => '40.5860119','longitude' => '-2.6450779'),
        array('province_id' => '19','town' => 'Almadrones','id' => '2858','slug' => 'almadrones','latitude' => '40.9008794','longitude' => '-2.7729061'),
        array('province_id' => '19','town' => 'Almoguera','id' => '2859','slug' => 'almoguera','latitude' => '40.2978281','longitude' => '-2.9821702'),
        array('province_id' => '19','town' => 'Almonacid de Zorita','id' => '2860','slug' => 'almonacid-de-zorita','latitude' => '40.3271505','longitude' => '-2.8485291'),
        array('province_id' => '19','town' => 'Alocén','id' => '2861','slug' => 'alocn','latitude' => '40.5740935','longitude' => '-2.7506422'),
        array('province_id' => '19','town' => 'Alovera','id' => '2862','slug' => 'alovera','latitude' => '40.5967005','longitude' => '-3.2481653'),
        array('province_id' => '19','town' => 'Alustante','id' => '2863','slug' => 'alustante','latitude' => '40.6155345','longitude' => '-1.6600924'),
        array('province_id' => '19','town' => 'Angón','id' => '2864','slug' => 'angn','latitude' => '41.0666302','longitude' => '-2.8553904'),
        array('province_id' => '19','town' => 'Anguita','id' => '2865','slug' => 'anguita','latitude' => '41.0263678','longitude' => '-2.3681774'),
        array('province_id' => '19','town' => 'Anquela del Ducado','id' => '2866','slug' => 'anquela-del-ducado','latitude' => '40.9721245','longitude' => '-2.1328786'),
        array('province_id' => '19','town' => 'Anquela del Pedregal','id' => '2867','slug' => 'anquela-del-pedregal','latitude' => '40.7438472','longitude' => '-1.7344889'),
        array('province_id' => '19','town' => 'Aranzueque','id' => '2868','slug' => 'aranzueque','latitude' => '40.492429','longitude' => '-3.0766709'),
        array('province_id' => '19','town' => 'Arbancón','id' => '2869','slug' => 'arbancn','latitude' => '40.9643451','longitude' => '-3.1148651'),
        array('province_id' => '19','town' => 'Arbeteta','id' => '2870','slug' => 'arbeteta','latitude' => '40.6693524','longitude' => '-2.40214'),
        array('province_id' => '19','town' => 'Argecilla','id' => '2871','slug' => 'argecilla','latitude' => '40.8836052','longitude' => '-2.8178128'),
        array('province_id' => '19','town' => 'Armallones','id' => '2872','slug' => 'armallones','latitude' => '40.7358717','longitude' => '-2.3026545'),
        array('province_id' => '19','town' => 'Armuña de Tajuña','id' => '2873','slug' => 'armua-de-tajua','latitude' => '40.5311656','longitude' => '-3.0303584'),
        array('province_id' => '19','town' => 'Arroyo de las Fraguas','id' => '2874','slug' => 'arroyo-de-las-fraguas','latitude' => '41.1031943','longitude' => '-3.1312977'),
        array('province_id' => '19','town' => 'Atanzón','id' => '2875','slug' => 'atanzn','latitude' => '40.6665485','longitude' => '-2.9976952'),
        array('province_id' => '19','town' => 'Atienza','id' => '2876','slug' => 'atienza','latitude' => '41.1974781','longitude' => '-2.8709016'),
        array('province_id' => '19','town' => 'Auñón','id' => '2877','slug' => 'aun','latitude' => '40.5168738','longitude' => '-2.7918759'),
        array('province_id' => '19','town' => 'Azuqueca de Henares','id' => '2878','slug' => 'azuqueca-de-henares','latitude' => '40.5650268','longitude' => '-3.268549'),
        array('province_id' => '19','town' => 'Baides','id' => '2879','slug' => 'baides','latitude' => '41.0053417','longitude' => '-2.7847297'),
        array('province_id' => '19','town' => 'Baños de Tajo','id' => '2880','slug' => 'baos-de-tajo','latitude' => '40.718269','longitude' => '-1.9712636'),
        array('province_id' => '19','town' => 'Bañuelos','id' => '2881','slug' => 'bauelos','latitude' => '41.2862009','longitude' => '-2.9142147'),
        array('province_id' => '19','town' => 'Barriopedro','id' => '2882','slug' => 'barriopedro','latitude' => '40.7892184','longitude' => '-2.7537559'),
        array('province_id' => '19','town' => 'Berninches','id' => '2883','slug' => 'berninches','latitude' => '40.5716015','longitude' => '-2.8010924'),
        array('province_id' => '19','town' => 'Bodera, La','id' => '2884','slug' => 'bodera-la','latitude' => '41.1349065','longitude' => '-2.8869064'),
        array('province_id' => '19','town' => 'Brihuega','id' => '2885','slug' => 'brihuega','latitude' => '40.7596464','longitude' => '-2.8705085'),
        array('province_id' => '19','town' => 'Budia','id' => '2886','slug' => 'budia','latitude' => '40.629534','longitude' => '-2.7569272'),
        array('province_id' => '19','town' => 'Bujalaro','id' => '2887','slug' => 'bujalaro','latitude' => '40.9374707','longitude' => '-2.8832656'),
        array('province_id' => '19','town' => 'Bustares','id' => '2888','slug' => 'bustares','latitude' => '41.1352846','longitude' => '-3.0729892'),
        array('province_id' => '19','town' => 'Cabanillas del Campo','id' => '2889','slug' => 'cabanillas-del-campo','latitude' => '40.6381406','longitude' => '-3.2381984'),
        array('province_id' => '19','town' => 'Campillo de Dueñas','id' => '2890','slug' => 'campillo-de-dueas','latitude' => '40.8836693','longitude' => '-1.6850995'),
        array('province_id' => '19','town' => 'Campillo de Ranas','id' => '2891','slug' => 'campillo-de-ranas','latitude' => '41.0859924','longitude' => '-3.3137253'),
        array('province_id' => '19','town' => 'Campisábalos','id' => '2892','slug' => 'campisbalos','latitude' => '41.2672729','longitude' => '-3.1456979'),
        array('province_id' => '19','town' => 'Canredondo','id' => '2893','slug' => 'canredondo','latitude' => '40.8130585','longitude' => '-2.4926236'),
        array('province_id' => '19','town' => 'Cantalojas','id' => '2894','slug' => 'cantalojas','latitude' => '41.2329667','longitude' => '-3.2463285'),
        array('province_id' => '19','town' => 'Cañizar','id' => '2895','slug' => 'caizar','latitude' => '40.7695618','longitude' => '-3.0681873'),
        array('province_id' => '19','town' => 'Cardoso de la Sierra, El','id' => '2896','slug' => 'cardoso-de-la-sierra-el','latitude' => '41.0986375','longitude' => '-3.4643405'),
        array('province_id' => '19','town' => 'Casa de Uceda','id' => '2897','slug' => 'casa-de-uceda','latitude' => '40.8433706','longitude' => '-3.3704906'),
        array('province_id' => '19','town' => 'Casar, El','id' => '2898','slug' => 'casar-el','latitude' => '40.7','longitude' => '-3.4333333'),
        array('province_id' => '19','town' => 'Casas de San Galindo','id' => '2899','slug' => 'casas-de-san-galindo','latitude' => '40.8721245','longitude' => '-2.9577699'),
        array('province_id' => '19','town' => 'Caspueñas','id' => '2900','slug' => 'caspueas','latitude' => '40.693301','longitude' => '-2.9788806'),
        array('province_id' => '19','town' => 'Castejón de Henares','id' => '2901','slug' => 'castejn-de-henares','latitude' => '40.9367712','longitude' => '-2.7874915'),
        array('province_id' => '19','town' => 'Castellar de la Muela','id' => '2902','slug' => 'castellar-de-la-muela','latitude' => '40.8191721','longitude' => '-1.7589439'),
        array('province_id' => '19','town' => 'Castilforte','id' => '2903','slug' => 'castilforte','latitude' => '40.557182','longitude' => '-2.432781'),
        array('province_id' => '19','town' => 'Castilnuevo','id' => '2904','slug' => 'castilnuevo','latitude' => '40.8136118','longitude' => '-1.8581727'),
        array('province_id' => '19','town' => 'Cendejas de Enmedio','id' => '2905','slug' => 'cendejas-de-enmedio','latitude' => '40.9824973','longitude' => '-2.872613'),
        array('province_id' => '19','town' => 'Cendejas de la Torre','id' => '2906','slug' => 'cendejas-de-la-torre','latitude' => '40.9790039','longitude' => '-2.8493779'),
        array('province_id' => '19','town' => 'Centenera','id' => '2907','slug' => 'centenera','latitude' => '40.6530526','longitude' => '-3.0538495'),
        array('province_id' => '19','town' => 'Checa','id' => '2908','slug' => 'checa','latitude' => '40.5867066','longitude' => '-1.7897985'),
        array('province_id' => '19','town' => 'Chequilla','id' => '2909','slug' => 'chequilla','latitude' => '40.605822','longitude' => '-1.8274458'),
        array('province_id' => '19','town' => 'Chillarón del Rey','id' => '2910','slug' => 'chillarn-del-rey','latitude' => '40.5971873','longitude' => '-2.6909247'),
        array('province_id' => '19','town' => 'Chiloeches','id' => '2911','slug' => 'chiloeches','latitude' => '40.5730003','longitude' => '-3.1625856'),
        array('province_id' => '19','town' => 'Cifuentes','id' => '2912','slug' => 'cifuentes','latitude' => '40.7865727','longitude' => '-2.6227877'),
        array('province_id' => '19','town' => 'Cincovillas','id' => '2913','slug' => 'cincovillas','latitude' => '41.2054417','longitude' => '-2.8183081'),
        array('province_id' => '19','town' => 'Ciruelas','id' => '2914','slug' => 'ciruelas','latitude' => '40.752265','longitude' => '-3.0894449'),
        array('province_id' => '19','town' => 'Ciruelos del Pinar','id' => '2915','slug' => 'ciruelos-del-pinar','latitude' => '41.007974','longitude' => '-2.2203308'),
        array('province_id' => '19','town' => 'Cobeta','id' => '2916','slug' => 'cobeta','latitude' => '40.8659026','longitude' => '-2.1426549'),
        array('province_id' => '19','town' => 'Cogollor','id' => '2917','slug' => 'cogollor','latitude' => '40.8487579','longitude' => '-2.7437188'),
        array('province_id' => '19','town' => 'Cogolludo','id' => '2918','slug' => 'cogolludo','latitude' => '40.9469955','longitude' => '-3.0887762'),
        array('province_id' => '19','town' => 'Condemios de Abajo','id' => '2919','slug' => 'condemios-de-abajo','latitude' => '41.2189575','longitude' => '-3.1076068'),
        array('province_id' => '19','town' => 'Condemios de Arriba','id' => '2920','slug' => 'condemios-de-arriba','latitude' => '41.2176009','longitude' => '-3.1257664'),
        array('province_id' => '19','town' => 'Congostrina','id' => '2921','slug' => 'congostrina','latitude' => '41.037953','longitude' => '-2.9854592'),
        array('province_id' => '19','town' => 'Copernal','id' => '2922','slug' => 'copernal','latitude' => '40.8670089','longitude' => '-3.0574915'),
        array('province_id' => '19','town' => 'Corduente','id' => '2923','slug' => 'corduente','latitude' => '40.8428053','longitude' => '-1.9785838'),
        array('province_id' => '19','town' => 'Cubillo de Uceda, El','id' => '2924','slug' => 'cubillo-de-uceda-el','latitude' => '40.8244831','longitude' => '-3.4030888'),
        array('province_id' => '19','town' => 'Driebes','id' => '2925','slug' => 'driebes','latitude' => '40.2452996','longitude' => '-3.0418122'),
        array('province_id' => '19','town' => 'Durón','id' => '2926','slug' => 'durn','latitude' => '40.6240034','longitude' => '-2.7264959'),
        array('province_id' => '19','town' => 'Embid','id' => '2927','slug' => 'embid','latitude' => '40.9725289','longitude' => '-1.7119667'),
        array('province_id' => '19','town' => 'Escamilla','id' => '2928','slug' => 'escamilla','latitude' => '40.5492523','longitude' => '-2.5622153'),
        array('province_id' => '19','town' => 'Escariche','id' => '2929','slug' => 'escariche','latitude' => '40.4080719','longitude' => '-3.0563702'),
        array('province_id' => '19','town' => 'Escopete','id' => '2930','slug' => 'escopete','latitude' => '40.4153997','longitude' => '-3.0077742'),
        array('province_id' => '19','town' => 'Espinosa de Henares','id' => '2931','slug' => 'espinosa-de-henares','latitude' => '40.9039633','longitude' => '-3.0734978'),
        array('province_id' => '19','town' => 'Esplegares','id' => '2932','slug' => 'esplegares','latitude' => '40.8560769','longitude' => '-2.3702119'),
        array('province_id' => '19','town' => 'Establés','id' => '2933','slug' => 'establs','latitude' => '41.0065325','longitude' => '-2.0241871'),
        array('province_id' => '19','town' => 'Estriégana','id' => '2934','slug' => 'estrigana','latitude' => '41.0577125','longitude' => '-2.523945'),
        array('province_id' => '19','town' => 'Fontanar','id' => '2935','slug' => 'fontanar','latitude' => '40.7271419','longitude' => '-3.1772094'),
        array('province_id' => '19','town' => 'Fuembellida','id' => '2936','slug' => 'fuembellida','latitude' => '40.7554902','longitude' => '-1.9989701'),
        array('province_id' => '19','town' => 'Fuencemillán','id' => '2937','slug' => 'fuencemilln','latitude' => '40.9227621','longitude' => '-3.1009311'),
        array('province_id' => '19','town' => 'Fuentelahiguera de Albatages','id' => '2938','slug' => 'fuentelahiguera-de-albatages','latitude' => '40.7863258','longitude' => '-3.3095896'),
        array('province_id' => '19','town' => 'Fuentelencina','id' => '2939','slug' => 'fuentelencina','latitude' => '40.5171558','longitude' => '-2.8807223'),
        array('province_id' => '19','town' => 'Fuentelsaz','id' => '2940','slug' => 'fuentelsaz','latitude' => '41.0741973','longitude' => '-1.8306266'),
        array('province_id' => '19','town' => 'Fuentelviejo','id' => '2941','slug' => 'fuentelviejo','latitude' => '40.5259871','longitude' => '-2.9836741'),
        array('province_id' => '19','town' => 'Fuentenovilla','id' => '2942','slug' => 'fuentenovilla','latitude' => '40.3646707','longitude' => '-3.0941111'),
        array('province_id' => '19','town' => 'Gajanejos','id' => '2943','slug' => 'gajanejos','latitude' => '40.8406365','longitude' => '-2.8923074'),
        array('province_id' => '19','town' => 'Galápagos','id' => '2944','slug' => 'galpagos','latitude' => '40.6953221','longitude' => '-3.3384668'),
        array('province_id' => '19','town' => 'Galve de Sorbe','id' => '2945','slug' => 'galve-de-sorbe','latitude' => '41.2224832','longitude' => '-3.183245'),
        array('province_id' => '19','town' => 'Gascueña de Bornova','id' => '2946','slug' => 'gascuea-de-bornova','latitude' => '41.141924','longitude' => '-3.0198166'),
        array('province_id' => '19','town' => 'Guadalajara','id' => '2947','slug' => 'guadalajara','latitude' => '40.629816','longitude' => '-3.1664931'),
        array('province_id' => '19','town' => 'Henche','id' => '2948','slug' => 'henche','latitude' => '40.7143732','longitude' => '-2.7070371'),
        array('province_id' => '19','town' => 'Heras de Ayuso','id' => '2949','slug' => 'heras-de-ayuso','latitude' => '40.7909964','longitude' => '-3.0988352'),
        array('province_id' => '19','town' => 'Herrería','id' => '2950','slug' => 'herrera','latitude' => '40.8881071','longitude' => '-1.9601816'),
        array('province_id' => '19','town' => 'Hiendelaencina','id' => '2951','slug' => 'hiendelaencina','latitude' => '41.0842345','longitude' => '-3.0037864'),
        array('province_id' => '19','town' => 'Hijes','id' => '2952','slug' => 'hijes','latitude' => '41.2511675','longitude' => '-2.9996971'),
        array('province_id' => '19','town' => 'Hita','id' => '2953','slug' => 'hita','latitude' => '40.8248539','longitude' => '-3.0495523'),
        array('province_id' => '19','town' => 'Hombrados','id' => '2954','slug' => 'hombrados','latitude' => '40.8013902','longitude' => '-1.6853854'),
        array('province_id' => '19','town' => 'Hontoba','id' => '2955','slug' => 'hontoba','latitude' => '40.4557097','longitude' => '-3.0416338'),
        array('province_id' => '19','town' => 'Horche','id' => '2956','slug' => 'horche','latitude' => '40.5682993','longitude' => '-3.0616437'),
        array('province_id' => '19','town' => 'Hortezuela de Océn','id' => '2957','slug' => 'hortezuela-de-ocn','latitude' => '40.9522255','longitude' => '-2.4157707'),
        array('province_id' => '19','town' => 'Huerce, La','id' => '2958','slug' => 'huerce-la','latitude' => '41.153183','longitude' => '-3.1699496'),
        array('province_id' => '19','town' => 'Huérmeces del Cerro','id' => '2959','slug' => 'hurmeces-del-cerro','latitude' => '41.053227','longitude' => '-2.7963261'),
        array('province_id' => '19','town' => 'Huertahernando','id' => '2960','slug' => 'huertahernando','latitude' => '40.8237147','longitude' => '-2.2866265'),
        array('province_id' => '19','town' => 'Hueva','id' => '2961','slug' => 'hueva','latitude' => '40.4624513','longitude' => '-2.9608176'),
        array('province_id' => '19','town' => 'Humanes','id' => '2962','slug' => 'humanes','latitude' => '40.8274447','longitude' => '-3.1553971'),
        array('province_id' => '19','town' => 'Illana','id' => '2963','slug' => 'illana','latitude' => '40.1833739','longitude' => '-2.9106287'),
        array('province_id' => '19','town' => 'Iniéstola','id' => '2964','slug' => 'inistola','latitude' => '40.993709','longitude' => '-2.3701687'),
        array('province_id' => '19','town' => 'Inviernas, Las','id' => '2965','slug' => 'inviernas-las','latitude' => '40.8720738','longitude' => '-2.6688905'),
        array('province_id' => '19','town' => 'Irueste','id' => '2966','slug' => 'irueste','latitude' => '40.6116555','longitude' => '-2.8903986'),
        array('province_id' => '19','town' => 'Jadraque','id' => '2967','slug' => 'jadraque','latitude' => '40.9261623','longitude' => '-2.9250273'),
        array('province_id' => '19','town' => 'Jirueque','id' => '2968','slug' => 'jirueque','latitude' => '40.9642514','longitude' => '-2.902856'),
        array('province_id' => '19','town' => 'Ledanca','id' => '2969','slug' => 'ledanca','latitude' => '40.8685104','longitude' => '-2.8437309'),
        array('province_id' => '19','town' => 'Loranca de Tajuña','id' => '2970','slug' => 'loranca-de-tajua','latitude' => '40.446895','longitude' => '-3.1139483'),
        array('province_id' => '19','town' => 'Lupiana','id' => '2971','slug' => 'lupiana','latitude' => '40.610209','longitude' => '-3.0544684'),
        array('province_id' => '19','town' => 'Luzaga','id' => '2972','slug' => 'luzaga','latitude' => '40.9725571','longitude' => '-2.4456062'),
        array('province_id' => '19','town' => 'Luzón','id' => '2973','slug' => 'luzn','latitude' => '41.0265914','longitude' => '-2.2773125'),
        array('province_id' => '19','town' => 'Majaelrayo','id' => '2974','slug' => 'majaelrayo','latitude' => '41.1135673','longitude' => '-3.2994935'),
        array('province_id' => '19','town' => 'Málaga del Fresno','id' => '2975','slug' => 'mlaga-del-fresno','latitude' => '40.7878147','longitude' => '-3.2475775'),
        array('province_id' => '19','town' => 'Malaguilla','id' => '2976','slug' => 'malaguilla','latitude' => '40.8219161','longitude' => '-3.257045'),
        array('province_id' => '19','town' => 'Mandayona','id' => '2977','slug' => 'mandayona','latitude' => '40.9565295','longitude' => '-2.7509733'),
        array('province_id' => '19','town' => 'Mantiel','id' => '2978','slug' => 'mantiel','latitude' => '40.6195223','longitude' => '-2.6627191'),
        array('province_id' => '19','town' => 'Maranchón','id' => '2979','slug' => 'maranchn','latitude' => '41.0476407','longitude' => '-2.2050404'),
        array('province_id' => '19','town' => 'Marchamalo','id' => '2980','slug' => 'marchamalo','latitude' => '40.6682091','longitude' => '-3.2009615'),
        array('province_id' => '19','town' => 'Masegoso de Tajuña','id' => '2981','slug' => 'masegoso-de-tajua','latitude' => '40.8250074','longitude' => '-2.6971013'),
        array('province_id' => '19','town' => 'Matarrubia','id' => '2982','slug' => 'matarrubia','latitude' => '40.8668943','longitude' => '-3.2919748'),
        array('province_id' => '19','town' => 'Matillas','id' => '2983','slug' => 'matillas','latitude' => '40.9521146','longitude' => '-2.8423526'),
        array('province_id' => '19','town' => 'Mazarete','id' => '2984','slug' => 'mazarete','latitude' => '41.0011532','longitude' => '-2.1591382'),
        array('province_id' => '19','town' => 'Mazuecos','id' => '2985','slug' => 'mazuecos','latitude' => '40.2621637','longitude' => '-3.0121895'),
        array('province_id' => '19','town' => 'Medranda','id' => '2986','slug' => 'medranda','latitude' => '40.9838866','longitude' => '-2.9364682'),
        array('province_id' => '19','town' => 'Megina','id' => '2987','slug' => 'megina','latitude' => '40.6390924','longitude' => '-1.8696262'),
        array('province_id' => '19','town' => 'Membrillera','id' => '2988','slug' => 'membrillera','latitude' => '40.9465719','longitude' => '-2.9786738'),
        array('province_id' => '19','town' => 'Miedes de Atienza','id' => '2989','slug' => 'miedes-de-atienza','latitude' => '41.2667021','longitude' => '-2.9642457'),
        array('province_id' => '19','town' => 'Mierla, La','id' => '2990','slug' => 'mierla-la','latitude' => '40.9375631','longitude' => '-3.2364797'),
        array('province_id' => '19','town' => 'Millana','id' => '2991','slug' => 'millana','latitude' => '40.5074953','longitude' => '-2.5709909'),
        array('province_id' => '19','town' => 'Milmarcos','id' => '2992','slug' => 'milmarcos','latitude' => '41.0862292','longitude' => '-1.8762767'),
        array('province_id' => '19','town' => 'Miñosa, La','id' => '2993','slug' => 'miosa-la','latitude' => '41.1790541','longitude' => '-2.9314897'),
        array('province_id' => '19','town' => 'Mirabueno','id' => '2994','slug' => 'mirabueno','latitude' => '40.9440967','longitude' => '-2.7252243'),
        array('province_id' => '19','town' => 'Miralrío','id' => '2995','slug' => 'miralro','latitude' => '40.8881295','longitude' => '-2.9419137'),
        array('province_id' => '19','town' => 'Mochales','id' => '2996','slug' => 'mochales','latitude' => '41.0959869','longitude' => '-2.0149436'),
        array('province_id' => '19','town' => 'Mohernando','id' => '2997','slug' => 'mohernando','latitude' => '40.804235','longitude' => '-3.1739419'),
        array('province_id' => '19','town' => 'Molina de Aragón','id' => '2998','slug' => 'molina-de-aragn','latitude' => '40.8428185','longitude' => '-1.8828012'),
        array('province_id' => '19','town' => 'Monasterio','id' => '2999','slug' => 'monasterio','latitude' => '40.9849764','longitude' => '-3.0972353'),
        array('province_id' => '19','town' => 'Mondéjar','id' => '3000','slug' => 'mondjar','latitude' => '40.3230242','longitude' => '-3.1150482'),
        array('province_id' => '19','town' => 'Montarrón','id' => '3001','slug' => 'montarrn','latitude' => '40.9102918','longitude' => '-3.1161912'),
        array('province_id' => '19','town' => 'Moratilla de los Meleros','id' => '3002','slug' => 'moratilla-de-los-meleros','latitude' => '40.5025608','longitude' => '-2.9425995'),
        array('province_id' => '19','town' => 'Morenilla','id' => '3003','slug' => 'morenilla','latitude' => '40.7862535','longitude' => '-1.7073662'),
        array('province_id' => '19','town' => 'Muduex','id' => '3004','slug' => 'muduex','latitude' => '40.8302673','longitude' => '-2.9585145'),
        array('province_id' => '19','town' => 'Navas de Jadraque, Las','id' => '3005','slug' => 'navas-de-jadraque-las','latitude' => '41.104858','longitude' => '-3.088621'),
        array('province_id' => '19','town' => 'Negredo','id' => '3006','slug' => 'negredo','latitude' => '41.0269787','longitude' => '-2.8586556'),
        array('province_id' => '19','town' => 'Ocentejo','id' => '3007','slug' => 'ocentejo','latitude' => '40.7716615','longitude' => '-2.3979897'),
        array('province_id' => '19','town' => 'Olivar, El','id' => '3008','slug' => 'olivar-el','latitude' => '40.6063948','longitude' => '-2.7506105'),
        array('province_id' => '19','town' => 'Olmeda de Cobeta','id' => '3009','slug' => 'olmeda-de-cobeta','latitude' => '40.8593454','longitude' => '-2.1828575'),
        array('province_id' => '19','town' => 'Olmeda de Jadraque, La','id' => '3010','slug' => 'olmeda-de-jadraque-la','latitude' => '41.1262957','longitude' => '-2.740615'),
        array('province_id' => '19','town' => 'Ordial, El','id' => '3011','slug' => 'ordial-el','latitude' => '41.1281968','longitude' => '-3.1147829'),
        array('province_id' => '19','town' => 'Orea','id' => '3012','slug' => 'orea','latitude' => '40.5575005','longitude' => '-1.7270382'),
        array('province_id' => '19','town' => 'Pálmaces de Jadraque','id' => '3013','slug' => 'plmaces-de-jadraque','latitude' => '41.0560524','longitude' => '-2.9106856'),
        array('province_id' => '19','town' => 'Pardos','id' => '3014','slug' => 'pardos','latitude' => '40.9477876','longitude' => '-1.9251475'),
        array('province_id' => '19','town' => 'Paredes de Sigüenza','id' => '3015','slug' => 'paredes-de-sigenza','latitude' => '41.2432706','longitude' => '-2.7338362'),
        array('province_id' => '19','town' => 'Pareja','id' => '3016','slug' => 'pareja','latitude' => '40.5568093','longitude' => '-2.6504413'),
        array('province_id' => '19','town' => 'Pastrana','id' => '3017','slug' => 'pastrana','latitude' => '40.4179401','longitude' => '-2.9226052'),
        array('province_id' => '19','town' => 'Pedregal, El','id' => '3018','slug' => 'pedregal-el','latitude' => '40.7800396','longitude' => '-1.5707372'),
        array('province_id' => '19','town' => 'Peñalén','id' => '3019','slug' => 'pealn','latitude' => '40.6658415','longitude' => '-2.0692589'),
        array('province_id' => '19','town' => 'Peñalver','id' => '3020','slug' => 'pealver','latitude' => '40.5799541','longitude' => '-2.8889089'),
        array('province_id' => '19','town' => 'Peralejos de las Truchas','id' => '3021','slug' => 'peralejos-de-las-truchas','latitude' => '40.5925682','longitude' => '-1.909166'),
        array('province_id' => '19','town' => 'Peralveche','id' => '3022','slug' => 'peralveche','latitude' => '40.6106567','longitude' => '-2.4494819'),
        array('province_id' => '19','town' => 'Pinilla de Jadraque','id' => '3023','slug' => 'pinilla-de-jadraque','latitude' => '41.0203105','longitude' => '-2.9430147'),
        array('province_id' => '19','town' => 'Pinilla de Molina','id' => '3024','slug' => 'pinilla-de-molina','latitude' => '40.6802011','longitude' => '-1.8804455'),
        array('province_id' => '19','town' => 'Pioz','id' => '3025','slug' => 'pioz','latitude' => '40.4635695','longitude' => '-3.1757373'),
        array('province_id' => '19','town' => 'Piqueras','id' => '3026','slug' => 'piqueras','latitude' => '40.6634872','longitude' => '-1.7217696'),
        array('province_id' => '19','town' => 'Pobo de Dueñas, El','id' => '3027','slug' => 'pobo-de-dueas-el','latitude' => '40.7777034','longitude' => '-1.6492376'),
        array('province_id' => '19','town' => 'Poveda de la Sierra','id' => '3028','slug' => 'poveda-de-la-sierra','latitude' => '40.6427996','longitude' => '-2.0287596'),
        array('province_id' => '19','town' => 'Pozo de Almoguera','id' => '3029','slug' => 'pozo-de-almoguera','latitude' => '40.3427084','longitude' => '-3.0294022'),
        array('province_id' => '19','town' => 'Pozo de Guadalajara','id' => '3030','slug' => 'pozo-de-guadalajara','latitude' => '40.4950576','longitude' => '-3.1820958'),
        array('province_id' => '19','town' => 'Prádena de Atienza','id' => '3031','slug' => 'prdena-de-atienza','latitude' => '41.1716903','longitude' => '-3.0065662'),
        array('province_id' => '19','town' => 'Prados Redondos','id' => '3032','slug' => 'prados-redondos','latitude' => '40.7847071','longitude' => '-1.7943689'),
        array('province_id' => '19','town' => 'Puebla de Beleña','id' => '3033','slug' => 'puebla-de-belea','latitude' => '40.8895024','longitude' => '-3.2195'),
        array('province_id' => '19','town' => 'Puebla de Valles','id' => '3034','slug' => 'puebla-de-valles','latitude' => '40.9271516','longitude' => '-3.3029797'),
        array('province_id' => '19','town' => 'Quer','id' => '3035','slug' => 'quer','latitude' => '40.6079443','longitude' => '-3.2777979'),
        array('province_id' => '19','town' => 'Rebollosa de Jadraque','id' => '3036','slug' => 'rebollosa-de-jadraque','latitude' => '41.0897617','longitude' => '-2.8418932'),
        array('province_id' => '19','town' => 'Recuenco, El','id' => '3037','slug' => 'recuenco-el','latitude' => '40.6162683','longitude' => '-2.3397493'),
        array('province_id' => '19','town' => 'Renera','id' => '3038','slug' => 'renera','latitude' => '40.4918179','longitude' => '-3.0161469'),
        array('province_id' => '19','town' => 'Retiendas','id' => '3039','slug' => 'retiendas','latitude' => '40.9709071','longitude' => '-3.2750912'),
        array('province_id' => '19','town' => 'Riba de Saelices','id' => '3040','slug' => 'riba-de-saelices','latitude' => '40.9121669','longitude' => '-2.2971114'),
        array('province_id' => '19','town' => 'Rillo de Gallo','id' => '3041','slug' => 'rillo-de-gallo','latitude' => '40.8662534','longitude' => '-1.937551'),
        array('province_id' => '19','town' => 'Riofrío del Llano','id' => '3042','slug' => 'riofro-del-llano','latitude' => '41.1378158','longitude' => '-2.8246483'),
        array('province_id' => '19','town' => 'Robledillo de Mohernando','id' => '3043','slug' => 'robledillo-de-mohernando','latitude' => '40.8539985','longitude' => '-3.2347475'),
        array('province_id' => '19','town' => 'Robledo de Corpes','id' => '3044','slug' => 'robledo-de-corpes','latitude' => '41.1181471','longitude' => '-2.9504815'),
        array('province_id' => '19','town' => 'Romanillos de Atienza','id' => '3045','slug' => 'romanillos-de-atienza','latitude' => '41.2749213','longitude' => '-2.8959309'),
        array('province_id' => '19','town' => 'Romanones','id' => '3046','slug' => 'romanones','latitude' => '40.570641','longitude' => '-2.9929849'),
        array('province_id' => '19','town' => 'Rueda de la Sierra','id' => '3047','slug' => 'rueda-de-la-sierra','latitude' => '40.918209','longitude' => '-1.854492'),
        array('province_id' => '19','town' => 'Sacecorbo','id' => '3048','slug' => 'sacecorbo','latitude' => '40.8326936','longitude' => '-2.4172375'),
        array('province_id' => '19','town' => 'Sacedón','id' => '3049','slug' => 'sacedn','latitude' => '40.4810832','longitude' => '-2.733063'),
        array('province_id' => '19','town' => 'Saelices de la Sal','id' => '3050','slug' => 'saelices-de-la-sal','latitude' => '40.9061096','longitude' => '-2.3241493'),
        array('province_id' => '19','town' => 'Salmerón','id' => '3051','slug' => 'salmern','latitude' => '40.5448149','longitude' => '-2.4941241'),
        array('province_id' => '19','town' => 'San Andrés del Congosto','id' => '3052','slug' => 'san-andrs-del-congosto','latitude' => '40.9997411','longitude' => '-3.0267567'),
        array('province_id' => '19','town' => 'San Andrés del Rey','id' => '3053','slug' => 'san-andrs-del-rey','latitude' => '40.6380323','longitude' => '-2.81983'),
        array('province_id' => '19','town' => 'Santiuste','id' => '3054','slug' => 'santiuste','latitude' => '41.0846128','longitude' => '-2.8090556'),
        array('province_id' => '19','town' => 'Saúca','id' => '3055','slug' => 'saca','latitude' => '41.0306793','longitude' => '-2.5294746'),
        array('province_id' => '19','town' => 'Sayatón','id' => '3056','slug' => 'sayatn','latitude' => '40.376728','longitude' => '-2.8514314'),
        array('province_id' => '19','town' => 'Selas','id' => '3057','slug' => 'selas','latitude' => '40.9512305','longitude' => '-2.1031906'),
        array('province_id' => '19','town' => 'Semillas','id' => '3058','slug' => 'semillas','latitude' => '41.059333','longitude' => '-3.1186471'),
        array('province_id' => '19','town' => 'Setiles','id' => '3059','slug' => 'setiles','latitude' => '40.7342356','longitude' => '-1.6183721'),
        array('province_id' => '19','town' => 'Sienes','id' => '3060','slug' => 'sienes','latitude' => '41.2002022','longitude' => '-2.6535321'),
        array('province_id' => '19','town' => 'Sigüenza','id' => '3061','slug' => 'sigenza','latitude' => '41.0695947','longitude' => '-2.6422358'),
        array('province_id' => '19','town' => 'Solanillos del Extremo','id' => '3062','slug' => 'solanillos-del-extremo','latitude' => '40.7507604','longitude' => '-2.6982289'),
        array('province_id' => '19','town' => 'Somolinos','id' => '3063','slug' => 'somolinos','latitude' => '41.2462633','longitude' => '-3.0598332'),
        array('province_id' => '19','town' => 'Sotillo, El','id' => '3064','slug' => 'sotillo-el','latitude' => '40.6283729','longitude' => '-3.1546557'),
        array('province_id' => '19','town' => 'Sotodosos','id' => '3065','slug' => 'sotodosos','latitude' => '40.9229128','longitude' => '-2.3914709'),
        array('province_id' => '19','town' => 'Tamajón','id' => '3066','slug' => 'tamajn','latitude' => '41.000441','longitude' => '-3.2488843'),
        array('province_id' => '19','town' => 'Taragudo','id' => '3067','slug' => 'taragudo','latitude' => '40.8227677','longitude' => '-3.0808539'),
        array('province_id' => '19','town' => 'Taravilla','id' => '3068','slug' => 'taravilla','latitude' => '40.6976534','longitude' => '-1.9676898'),
        array('province_id' => '19','town' => 'Tartanedo','id' => '3069','slug' => 'tartanedo','latitude' => '40.9933975','longitude' => '-1.9256514'),
        array('province_id' => '19','town' => 'Tendilla','id' => '3070','slug' => 'tendilla','latitude' => '40.5442161','longitude' => '-2.9589946'),
        array('province_id' => '19','town' => 'Terzaga','id' => '3071','slug' => 'terzaga','latitude' => '40.6949019','longitude' => '-1.9033211'),
        array('province_id' => '19','town' => 'Tierzo','id' => '3072','slug' => 'tierzo','latitude' => '40.7491469','longitude' => '-1.9305696'),
        array('province_id' => '19','town' => 'Toba, La','id' => '3073','slug' => 'toba-la','latitude' => '41.0042703','longitude' => '-2.9819618'),
        array('province_id' => '19','town' => 'Tordellego','id' => '3074','slug' => 'tordellego','latitude' => '40.7209369','longitude' => '-1.6696424'),
        array('province_id' => '19','town' => 'Tordelrábano','id' => '3075','slug' => 'tordelrbano','latitude' => '41.2189346','longitude' => '-2.7579379'),
        array('province_id' => '19','town' => 'Tordesilos','id' => '3076','slug' => 'tordesilos','latitude' => '40.670501','longitude' => '-1.5931016'),
        array('province_id' => '19','town' => 'Torija','id' => '3077','slug' => 'torija','latitude' => '40.744072','longitude' => '-3.0302976'),
        array('province_id' => '19','town' => 'Torre del Burgo','id' => '3078','slug' => 'torre-del-burgo','latitude' => '40.7957525','longitude' => '-3.0794411'),
        array('province_id' => '19','town' => 'Torrecuadrada de Molina','id' => '3079','slug' => 'torrecuadrada-de-molina','latitude' => '40.7496316','longitude' => '-1.8067759'),
        array('province_id' => '19','town' => 'Torrecuadradilla','id' => '3080','slug' => 'torrecuadradilla','latitude' => '40.8529173','longitude' => '-2.5316226'),
        array('province_id' => '19','town' => 'Torrejón del Rey','id' => '3081','slug' => 'torrejn-del-rey','latitude' => '40.6452647','longitude' => '-3.3376365'),
        array('province_id' => '19','town' => 'Torremocha de Jadraque','id' => '3082','slug' => 'torremocha-de-jadraque','latitude' => '41.0192157','longitude' => '-2.8996597'),
        array('province_id' => '19','town' => 'Torremocha del Campo','id' => '3083','slug' => 'torremocha-del-campo','latitude' => '40.9778832','longitude' => '-2.6185703'),
        array('province_id' => '19','town' => 'Torremocha del Pinar','id' => '3084','slug' => 'torremocha-del-pinar','latitude' => '40.8885621','longitude' => '-2.0457645'),
        array('province_id' => '19','town' => 'Torremochuela','id' => '3085','slug' => 'torremochuela','latitude' => '40.7651716','longitude' => '-1.8413569'),
        array('province_id' => '19','town' => 'Torrubia','id' => '3086','slug' => 'torrubia','latitude' => '40.9657723','longitude' => '-1.9003329'),
        array('province_id' => '19','town' => 'Tórtola de Henares','id' => '3087','slug' => 'trtola-de-henares','latitude' => '40.706606','longitude' => '-3.1262689'),
        array('province_id' => '19','town' => 'Tortuera','id' => '3088','slug' => 'tortuera','latitude' => '40.9714975','longitude' => '-1.7987815'),
        array('province_id' => '19','town' => 'Tortuero','id' => '3089','slug' => 'tortuero','latitude' => '40.935635','longitude' => '-3.3541879'),
        array('province_id' => '19','town' => 'Traíd','id' => '3090','slug' => 'trad','latitude' => '40.6684431','longitude' => '-1.8098951'),
        array('province_id' => '19','town' => 'Trijueque','id' => '3091','slug' => 'trijueque','latitude' => '40.7768618','longitude' => '-2.9957974'),
        array('province_id' => '19','town' => 'Trillo','id' => '3092','slug' => 'trillo','latitude' => '40.7013343','longitude' => '-2.5935883'),
        array('province_id' => '19','town' => 'Uceda','id' => '3093','slug' => 'uceda','latitude' => '40.8432112','longitude' => '-3.4614079'),
        array('province_id' => '19','town' => 'Ujados','id' => '3094','slug' => 'ujados','latitude' => '41.2351936','longitude' => '-3.0057017'),
        array('province_id' => '19','town' => 'Utande','id' => '3095','slug' => 'utande','latitude' => '40.8482316','longitude' => '-2.9281684'),
        array('province_id' => '19','town' => 'Valdarachas','id' => '3096','slug' => 'valdarachas','latitude' => '40.516484','longitude' => '-3.1262422'),
        array('province_id' => '19','town' => 'Valdearenas','id' => '3097','slug' => 'valdearenas','latitude' => '40.809165','longitude' => '-2.9913951'),
        array('province_id' => '19','town' => 'Valdeavellano','id' => '3098','slug' => 'valdeavellano','latitude' => '40.6650791','longitude' => '-2.9692606'),
        array('province_id' => '19','town' => 'Valdeaveruelo','id' => '3099','slug' => 'valdeaveruelo','latitude' => '40.637122','longitude' => '-3.3158166'),
        array('province_id' => '19','town' => 'Valdeconcha','id' => '3100','slug' => 'valdeconcha','latitude' => '40.4565354','longitude' => '-2.8759321'),
        array('province_id' => '19','town' => 'Valdegrudas','id' => '3101','slug' => 'valdegrudas','latitude' => '40.7134794','longitude' => '-3.016062'),
        array('province_id' => '19','town' => 'Valdelcubo','id' => '3102','slug' => 'valdelcubo','latitude' => '41.2259522','longitude' => '-2.6753091'),
        array('province_id' => '19','town' => 'Valdenuño Fernández','id' => '3103','slug' => 'valdenuo-fernndez','latitude' => '40.7636999','longitude' => '-3.378795'),
        array('province_id' => '19','town' => 'Valdepeñas de la Sierra','id' => '3104','slug' => 'valdepeas-de-la-sierra','latitude' => '40.9082106','longitude' => '-3.3874429'),
        array('province_id' => '19','town' => 'Valderrebollo','id' => '3105','slug' => 'valderrebollo','latitude' => '40.8103044','longitude' => '-2.729513'),
        array('province_id' => '19','town' => 'Valdesotos','id' => '3106','slug' => 'valdesotos','latitude' => '40.957445','longitude' => '-3.3283864'),
        array('province_id' => '19','town' => 'Valfermoso de Tajuña','id' => '3107','slug' => 'valfermoso-de-tajua','latitude' => '40.619576','longitude' => '-2.9538154'),
        array('province_id' => '19','town' => 'Valhermoso','id' => '3108','slug' => 'valhermoso','latitude' => '40.7860657','longitude' => '-1.9611154'),
        array('province_id' => '19','town' => 'Valtablado del Río','id' => '3109','slug' => 'valtablado-del-ro','latitude' => '40.7143542','longitude' => '-2.4017436'),
        array('province_id' => '19','town' => 'Valverde de los Arroyos','id' => '3110','slug' => 'valverde-de-los-arroyos','latitude' => '41.1293982','longitude' => '-3.2338008'),
        array('province_id' => '19','town' => 'Viana de Jadraque','id' => '3111','slug' => 'viana-de-jadraque','latitude' => '41.0261455','longitude' => '-2.7688689'),
        array('province_id' => '19','town' => 'Villanueva de Alcorón','id' => '3112','slug' => 'villanueva-de-alcorn','latitude' => '40.6792728','longitude' => '-2.252745'),
        array('province_id' => '19','town' => 'Villanueva de Argecilla','id' => '3113','slug' => 'villanueva-de-argecilla','latitude' => '40.9021216','longitude' => '-2.9146521'),
        array('province_id' => '19','town' => 'Villanueva de la Torre','id' => '3114','slug' => 'villanueva-de-la-torre','latitude' => '40.5843313','longitude' => '-3.3021912'),
        array('province_id' => '19','town' => 'Villares de Jadraque','id' => '3115','slug' => 'villares-de-jadraque','latitude' => '41.1021345','longitude' => '-3.025622'),
        array('province_id' => '19','town' => 'Villaseca de Henares','id' => '3116','slug' => 'villaseca-de-henares','latitude' => '40.9605729','longitude' => '-2.7982122'),
        array('province_id' => '19','town' => 'Villaseca de Uceda','id' => '3117','slug' => 'villaseca-de-uceda','latitude' => '40.8200518','longitude' => '-3.3521775'),
        array('province_id' => '19','town' => 'Villel de Mesa','id' => '3118','slug' => 'villel-de-mesa','latitude' => '41.1261735','longitude' => '-1.9890272'),
        array('province_id' => '19','town' => 'Viñuelas','id' => '3119','slug' => 'viuelas','latitude' => '40.7949116','longitude' => '-3.3440803'),
        array('province_id' => '19','town' => 'Yebes','id' => '3120','slug' => 'yebes','latitude' => '40.533556','longitude' => '-3.1114977'),
        array('province_id' => '19','town' => 'Yebra','id' => '3121','slug' => 'yebra','latitude' => '40.3567571','longitude' => '-2.9653227'),
        array('province_id' => '19','town' => 'Yélamos de Abajo','id' => '3122','slug' => 'ylamos-de-abajo','latitude' => '40.630651','longitude' => '-2.8560078'),
        array('province_id' => '19','town' => 'Yélamos de Arriba','id' => '3123','slug' => 'ylamos-de-arriba','latitude' => '40.6396426','longitude' => '-2.8431316'),
        array('province_id' => '19','town' => 'Yunquera de Henares','id' => '3124','slug' => 'yunquera-de-henares','latitude' => '40.7552197','longitude' => '-3.1659507'),
        array('province_id' => '19','town' => 'Yunta, La','id' => '3125','slug' => 'yunta-la','latitude' => '40.9148093','longitude' => '-1.6838955'),
        array('province_id' => '19','town' => 'Zaorejas','id' => '3126','slug' => 'zaorejas','latitude' => '40.7619164','longitude' => '-2.2020395'),
        array('province_id' => '19','town' => 'Zarzuela de Jadraque','id' => '3127','slug' => 'zarzuela-de-jadraque','latitude' => '41.0675186','longitude' => '-3.0428036'),
        array('province_id' => '19','town' => 'Zorita de los Canes','id' => '3128','slug' => 'zorita-de-los-canes','latitude' => '40.3314057','longitude' => '-2.8888556'),
        array('province_id' => '20','town' => 'Abaltzisketa','id' => '3129','slug' => 'abaltzisketa','latitude' => '43.0475822','longitude' => '-2.1053881'),
        array('province_id' => '20','town' => 'Aduna','id' => '3130','slug' => 'aduna','latitude' => '43.2037922','longitude' => '-2.0500787'),
        array('province_id' => '20','town' => 'Aia','id' => '3131','slug' => 'aia','latitude' => '43.2369216','longitude' => '-2.1490081'),
        array('province_id' => '20','town' => 'Aizarnazabal','id' => '3132','slug' => 'aizarnazabal','latitude' => '43.2554048','longitude' => '-2.2364607'),
        array('province_id' => '20','town' => 'Albiztur','id' => '3133','slug' => 'albiztur','latitude' => '43.1297228','longitude' => '-2.1371801'),
        array('province_id' => '20','town' => 'Alegia','id' => '3134','slug' => 'alegia','latitude' => '43.1000166','longitude' => '-2.0962732'),
        array('province_id' => '20','town' => 'Alkiza','id' => '3135','slug' => 'alkiza','latitude' => '43.1724342','longitude' => '-2.1094362'),
        array('province_id' => '20','town' => 'Altzaga','id' => '3136','slug' => 'altzaga','latitude' => '43.0644901','longitude' => '-2.153833'),
        array('province_id' => '20','town' => 'Altzo','id' => '3137','slug' => 'altzo','latitude' => '43.1000723','longitude' => '-2.0839046'),
        array('province_id' => '20','town' => 'Amezketa','id' => '3138','slug' => 'amezketa','latitude' => '43.0445169','longitude' => '-2.0832346'),
        array('province_id' => '20','town' => 'Andoain','id' => '3139','slug' => 'andoain','latitude' => '43.2204799','longitude' => '-2.0211221'),
        array('province_id' => '20','town' => 'Anoeta','id' => '3140','slug' => 'anoeta','latitude' => '43.1614674','longitude' => '-2.0706951'),
        array('province_id' => '20','town' => 'Antzuola','id' => '3141','slug' => 'antzuola','latitude' => '43.0994407','longitude' => '-2.3817472'),
        array('province_id' => '20','town' => 'Arama','id' => '3142','slug' => 'arama','latitude' => '43.0636373','longitude' => '-2.1655576'),
        array('province_id' => '20','town' => 'Aretxabaleta','id' => '3143','slug' => 'aretxabaleta','latitude' => '43.0362481','longitude' => '-2.504542'),
        array('province_id' => '20','town' => 'Arrasate/Mondragón','id' => '3144','slug' => 'arrasatemondragn','latitude' => '43.0616699','longitude' => '-2.4977076'),
        array('province_id' => '20','town' => 'Asteasu','id' => '3145','slug' => 'asteasu','latitude' => '43.1951981','longitude' => '-2.0975478'),
        array('province_id' => '20','town' => 'Astigarraga','id' => '3146','slug' => 'astigarraga','latitude' => '43.2806524','longitude' => '-1.9475599'),
        array('province_id' => '20','town' => 'Ataun','id' => '3147','slug' => 'ataun','latitude' => '43','longitude' => '-2.1666667'),
        array('province_id' => '20','town' => 'Azkoitia','id' => '3148','slug' => 'azkoitia','latitude' => '43.1782053','longitude' => '-2.3116402'),
        array('province_id' => '20','town' => 'Azpeitia','id' => '3149','slug' => 'azpeitia','latitude' => '43.1839001','longitude' => '-2.2654657'),
        array('province_id' => '20','town' => 'Baliarrain','id' => '3150','slug' => 'baliarrain','latitude' => '43.069306','longitude' => '-2.1292347'),
        array('province_id' => '20','town' => 'Beasain','id' => '3151','slug' => 'beasain','latitude' => '43.0470761','longitude' => '-2.2046052'),
        array('province_id' => '20','town' => 'Beizama','id' => '3152','slug' => 'beizama','latitude' => '43.1341913','longitude' => '-2.2001131'),
        array('province_id' => '20','town' => 'Belauntza','id' => '3153','slug' => 'belauntza','latitude' => '43.1352829','longitude' => '-2.0507054'),
        array('province_id' => '20','town' => 'Berastegi','id' => '3154','slug' => 'berastegi','latitude' => '43.1240291','longitude' => '-1.9794258'),
        array('province_id' => '20','town' => 'Bergara','id' => '3155','slug' => 'bergara','latitude' => '43.1182174','longitude' => '-2.4133584'),
        array('province_id' => '20','town' => 'Berrobi','id' => '3156','slug' => 'berrobi','latitude' => '43.1454785','longitude' => '-2.0263738'),
        array('province_id' => '20','town' => 'Bidegoian','id' => '3157','slug' => 'bidegoian','latitude' => '43.1396833','longitude' => '-2.1695855'),
        array('province_id' => '20','town' => 'Deba','id' => '3158','slug' => 'deba','latitude' => '43.2955615','longitude' => '-2.3538945'),
        array('province_id' => '20','town' => 'Donostia-San Sebastián','id' => '3159','slug' => 'donostia-san-sebastin','latitude' => '43.3208116','longitude' => '-1.9844474'),
        array('province_id' => '20','town' => 'Eibar','id' => '3160','slug' => 'eibar','latitude' => '43.1841801','longitude' => '-2.4732889'),
        array('province_id' => '20','town' => 'Elduain','id' => '3161','slug' => 'elduain','latitude' => '43.140712','longitude' => '-2.0004883'),
        array('province_id' => '20','town' => 'Elgeta','id' => '3162','slug' => 'elgeta','latitude' => '43.1365716','longitude' => '-2.4873921'),
        array('province_id' => '20','town' => 'Elgoibar','id' => '3163','slug' => 'elgoibar','latitude' => '43.215187','longitude' => '-2.4157025'),
        array('province_id' => '20','town' => 'Errenteria','id' => '3164','slug' => 'errenteria','latitude' => '43.3113068','longitude' => '-1.9008963'),
        array('province_id' => '20','town' => 'Errezil','id' => '3165','slug' => 'errezil','latitude' => '43.1646737','longitude' => '-2.1735944'),
        array('province_id' => '20','town' => 'Eskoriatza','id' => '3166','slug' => 'eskoriatza','latitude' => '43.0170744','longitude' => '-2.5269802'),
        array('province_id' => '20','town' => 'Ezkio-Itsaso','id' => '3167','slug' => 'ezkio-itsaso','latitude' => '43.0819444','longitude' => '-2.2741667'),
        array('province_id' => '20','town' => 'Gabiria','id' => '3168','slug' => 'gabiria','latitude' => '43.049689','longitude' => '-2.2798565'),
        array('province_id' => '20','town' => 'Gaintza','id' => '3169','slug' => 'gaintza','latitude' => '43.0526286','longitude' => '-2.1323701'),
        array('province_id' => '20','town' => 'Gaztelu','id' => '3170','slug' => 'gaztelu','latitude' => '43.1165792','longitude' => '-2.0222784'),
        array('province_id' => '20','town' => 'Getaria','id' => '3171','slug' => 'getaria','latitude' => '43.3032608','longitude' => '-2.2043629'),
        array('province_id' => '20','town' => 'Hernani','id' => '3172','slug' => 'hernani','latitude' => '43.2675487','longitude' => '-1.9758141'),
        array('province_id' => '20','town' => 'Hernialde','id' => '3173','slug' => 'hernialde','latitude' => '43.1544672','longitude' => '-2.0850252'),
        array('province_id' => '20','town' => 'Hondarribia','id' => '3174','slug' => 'hondarribia','latitude' => '43.3625313','longitude' => '-1.7914983'),
        array('province_id' => '20','town' => 'Ibarra','id' => '3175','slug' => 'ibarra','latitude' => '43.1323447','longitude' => '-2.0654624'),
        array('province_id' => '20','town' => 'Idiazabal','id' => '3176','slug' => 'idiazabal','latitude' => '43.0117819','longitude' => '-2.2342138'),
        array('province_id' => '20','town' => 'Ikaztegieta','id' => '3177','slug' => 'ikaztegieta','latitude' => '43.0949601','longitude' => '-2.1238998'),
        array('province_id' => '20','town' => 'Irun','id' => '3178','slug' => 'irun','latitude' => '43.338233','longitude' => '-1.7892723'),
        array('province_id' => '20','town' => 'Irura','id' => '3179','slug' => 'irura','latitude' => '43.1656876','longitude' => '-2.0696165'),
        array('province_id' => '20','town' => 'Itsasondo','id' => '3180','slug' => 'itsasondo','latitude' => '43.0669322','longitude' => '-2.1673935'),
        array('province_id' => '20','town' => 'Larraul','id' => '3181','slug' => 'larraul','latitude' => '43.1877392','longitude' => '-2.1025336'),
        array('province_id' => '20','town' => 'Lasarte-Oria','id' => '3182','slug' => 'lasarte-oria','latitude' => '43.2674545','longitude' => '-2.020169'),
        array('province_id' => '20','town' => 'Lazkao','id' => '3183','slug' => 'lazkao','latitude' => '43.0343244','longitude' => '-2.1873787'),
        array('province_id' => '20','town' => 'Leaburu','id' => '3184','slug' => 'leaburu','latitude' => '43.1249836','longitude' => '-2.0521059'),
        array('province_id' => '20','town' => 'Legazpi','id' => '3185','slug' => 'legazpi','latitude' => '43.0543613','longitude' => '-2.3336408'),
        array('province_id' => '20','town' => 'Legorreta','id' => '3186','slug' => 'legorreta','latitude' => '43.0857943','longitude' => '-2.1509094'),
        array('province_id' => '20','town' => 'Leintz-Gatzaga','id' => '3187','slug' => 'leintz-gatzaga','latitude' => '42.9872269','longitude' => '-2.5685698'),
        array('province_id' => '20','town' => 'Lezo','id' => '3188','slug' => 'lezo','latitude' => '43.3211273','longitude' => '-1.8987746'),
        array('province_id' => '20','town' => 'Lizartza','id' => '3189','slug' => 'lizartza','latitude' => '43.1037203','longitude' => '-2.0342544'),
        array('province_id' => '20','town' => 'Mendaro','id' => '3190','slug' => 'mendaro','latitude' => '43.2509338','longitude' => '-2.3881761'),
        array('province_id' => '20','town' => 'Mutiloa','id' => '3191','slug' => 'mutiloa','latitude' => '43.0223798','longitude' => '-2.2728259'),
        array('province_id' => '20','town' => 'Mutriku','id' => '3192','slug' => 'mutriku','latitude' => '43.3070687','longitude' => '-2.3850833'),
        array('province_id' => '20','town' => 'Oiartzun','id' => '3193','slug' => 'oiartzun','latitude' => '43.2992823','longitude' => '-1.8578741'),
        array('province_id' => '20','town' => 'Olaberria','id' => '3194','slug' => 'olaberria','latitude' => '43.0270754','longitude' => '-2.2030894'),
        array('province_id' => '20','town' => 'Oñati','id' => '3195','slug' => 'oati','latitude' => '43.0328875','longitude' => '-2.4113477'),
        array('province_id' => '20','town' => 'Ordizia','id' => '3196','slug' => 'ordizia','latitude' => '43.0541983','longitude' => '-2.1781155'),
        array('province_id' => '20','town' => 'Orendain','id' => '3197','slug' => 'orendain','latitude' => '43.079721','longitude' => '-2.1142902'),
        array('province_id' => '20','town' => 'Orexa','id' => '3198','slug' => 'orexa','latitude' => '43.0938813','longitude' => '-2.0113921'),
        array('province_id' => '20','town' => 'Orio','id' => '3199','slug' => 'orio','latitude' => '43.2783225','longitude' => '-2.1265969'),
        array('province_id' => '20','town' => 'Ormaiztegi','id' => '3200','slug' => 'ormaiztegi','latitude' => '43.0427347','longitude' => '-2.2558477'),
        array('province_id' => '20','town' => 'Pasaia','id' => '3201','slug' => 'pasaia','latitude' => '43.3252778','longitude' => '-1.9211111'),
        array('province_id' => '20','town' => 'Segura','id' => '3202','slug' => 'segura','latitude' => '43.0092164','longitude' => '-2.2525193'),
        array('province_id' => '20','town' => 'Soraluze/Placencia de las Armas','id' => '3203','slug' => 'soraluzeplacencia-de-las-armas','latitude' => '43.1754299','longitude' => '-2.4124943'),
        array('province_id' => '20','town' => 'Tolosa','id' => '3204','slug' => 'tolosa','latitude' => '43.1369776','longitude' => '-2.0739137'),
        array('province_id' => '20','town' => 'Urnieta','id' => '3205','slug' => 'urnieta','latitude' => '43.2481997','longitude' => '-1.9905166'),
        array('province_id' => '20','town' => 'Urretxu','id' => '3206','slug' => 'urretxu','latitude' => '43.0922818','longitude' => '-2.3143826'),
        array('province_id' => '20','town' => 'Usurbil','id' => '3207','slug' => 'usurbil','latitude' => '43.2713821','longitude' => '-2.049934'),
        array('province_id' => '20','town' => 'Villabona','id' => '3208','slug' => 'villabona','latitude' => '43.1899443','longitude' => '-2.0524535'),
        array('province_id' => '20','town' => 'Zaldibia','id' => '3209','slug' => 'zaldibia','latitude' => '43.0379638','longitude' => '-2.1508942'),
        array('province_id' => '20','town' => 'Zarautz','id' => '3210','slug' => 'zarautz','latitude' => '43.2803636','longitude' => '-2.1715879'),
        array('province_id' => '20','town' => 'Zegama','id' => '3211','slug' => 'zegama','latitude' => '42.9756773','longitude' => '-2.2900725'),
        array('province_id' => '20','town' => 'Zerain','id' => '3212','slug' => 'zerain','latitude' => '43.0121191','longitude' => '-2.2741177'),
        array('province_id' => '20','town' => 'Zestoa','id' => '3213','slug' => 'zestoa','latitude' => '43.2394417','longitude' => '-2.2581134'),
        array('province_id' => '20','town' => 'Zizurkil','id' => '3214','slug' => 'zizurkil','latitude' => '43.1995226','longitude' => '-2.0740735'),
        array('province_id' => '20','town' => 'Zumaia','id' => '3215','slug' => 'zumaia','latitude' => '43.2972583','longitude' => '-2.2568485'),
        array('province_id' => '20','town' => 'Zumarraga','id' => '3216','slug' => 'zumarraga','latitude' => '43.0904761','longitude' => '-2.3132201'),
        array('province_id' => '21','town' => 'Alájar','id' => '3217','slug' => 'aljar','latitude' => '37.8743849','longitude' => '-6.6660783'),
        array('province_id' => '21','town' => 'Aljaraque','id' => '3218','slug' => 'aljaraque','latitude' => '37.271106','longitude' => '-7.0215847'),
        array('province_id' => '21','town' => 'Almendro, El','id' => '3219','slug' => 'almendro-el','latitude' => '37.264921','longitude' => '-6.9256504'),
        array('province_id' => '21','town' => 'Almonaster la Real','id' => '3220','slug' => 'almonaster-la-real','latitude' => '37.8718102','longitude' => '-6.7879015'),
        array('province_id' => '21','town' => 'Almonte','id' => '3221','slug' => 'almonte','latitude' => '37.2625346','longitude' => '-6.5172401'),
        array('province_id' => '21','town' => 'Alosno','id' => '3222','slug' => 'alosno','latitude' => '37.5493568','longitude' => '-7.1154282'),
        array('province_id' => '21','town' => 'Aracena','id' => '3223','slug' => 'aracena','latitude' => '37.8941732','longitude' => '-6.5612067'),
        array('province_id' => '21','town' => 'Aroche','id' => '3224','slug' => 'aroche','latitude' => '37.9442586','longitude' => '-6.954265'),
        array('province_id' => '21','town' => 'Arroyomolinos de León','id' => '3225','slug' => 'arroyomolinos-de-len','latitude' => '38.0260375','longitude' => '-6.4211041'),
        array('province_id' => '21','town' => 'Ayamonte','id' => '3226','slug' => 'ayamonte','latitude' => '37.2146613','longitude' => '-7.4098188'),
        array('province_id' => '21','town' => 'Beas','id' => '3227','slug' => 'beas','latitude' => '37.4259207','longitude' => '-6.7929882'),
        array('province_id' => '21','town' => 'Berrocal','id' => '3228','slug' => 'berrocal','latitude' => '37.6088785','longitude' => '-6.5424931'),
        array('province_id' => '21','town' => 'Bollullos Par del Condado','id' => '3229','slug' => 'bollullos-par-del-condado','latitude' => '37.3361526','longitude' => '-6.5357576'),
        array('province_id' => '21','town' => 'Bonares','id' => '3230','slug' => 'bonares','latitude' => '37.3218969','longitude' => '-6.6806974'),
        array('province_id' => '21','town' => 'Cabezas Rubias','id' => '3231','slug' => 'cabezas-rubias','latitude' => '37.7264991','longitude' => '-7.0874504'),
        array('province_id' => '21','town' => 'Cala','id' => '3232','slug' => 'cala','latitude' => '37.9721664','longitude' => '-6.3164896'),
        array('province_id' => '21','town' => 'Calañas','id' => '3233','slug' => 'calaas','latitude' => '37.6548141','longitude' => '-6.8786824'),
        array('province_id' => '21','town' => 'Campillo, El','id' => '3234','slug' => 'campillo-el','latitude' => '37.551275','longitude' => '-3.6365495'),
        array('province_id' => '21','town' => 'Campofrío','id' => '3235','slug' => 'campofro','latitude' => '37.7677585','longitude' => '-6.5730988'),
        array('province_id' => '21','town' => 'Cañaveral de León','id' => '3236','slug' => 'caaveral-de-len','latitude' => '38.0145364','longitude' => '-6.527808'),
        array('province_id' => '21','town' => 'Cartaya','id' => '3237','slug' => 'cartaya','latitude' => '37.2831395','longitude' => '-7.1549789'),
        array('province_id' => '21','town' => 'Castaño del Robledo','id' => '3238','slug' => 'castao-del-robledo','latitude' => '37.8950963','longitude' => '-6.7039426'),
        array('province_id' => '21','town' => 'Cerro de Andévalo, El','id' => '3239','slug' => 'cerro-de-andvalo-el','latitude' => '37.2631764','longitude' => '-6.9312227'),
        array('province_id' => '21','town' => 'Chucena','id' => '3240','slug' => 'chucena','latitude' => '37.361574','longitude' => '-6.3939462'),
        array('province_id' => '21','town' => 'Corteconcepción','id' => '3241','slug' => 'corteconcepcin','latitude' => '37.8958559','longitude' => '-6.5058778'),
        array('province_id' => '21','town' => 'Cortegana','id' => '3242','slug' => 'cortegana','latitude' => '37.9093748','longitude' => '-6.8206156'),
        array('province_id' => '21','town' => 'Cortelazor','id' => '3243','slug' => 'cortelazor','latitude' => '37.9355372','longitude' => '-6.6247679'),
        array('province_id' => '21','town' => 'Cumbres de Enmedio','id' => '3244','slug' => 'cumbres-de-enmedio','latitude' => '38.0722366','longitude' => '-6.6928774'),
        array('province_id' => '21','town' => 'Cumbres de San Bartolomé','id' => '3245','slug' => 'cumbres-de-san-bartolom','latitude' => '38.0769117','longitude' => '-6.7433363'),
        array('province_id' => '21','town' => 'Cumbres Mayores','id' => '3246','slug' => 'cumbres-mayores','latitude' => '38.0637014','longitude' => '-6.6470741'),
        array('province_id' => '21','town' => 'Encinasola','id' => '3247','slug' => 'encinasola','latitude' => '38.1352227','longitude' => '-6.8721409'),
        array('province_id' => '21','town' => 'Escacena del Campo','id' => '3248','slug' => 'escacena-del-campo','latitude' => '37.4103321','longitude' => '-6.3895612'),
        array('province_id' => '21','town' => 'Fuenteheridos','id' => '3249','slug' => 'fuenteheridos','latitude' => '37.9032666','longitude' => '-6.6606614'),
        array('province_id' => '21','town' => 'Galaroza','id' => '3250','slug' => 'galaroza','latitude' => '37.9275749','longitude' => '-6.7092213'),
        array('province_id' => '21','town' => 'Gibraleón','id' => '3251','slug' => 'gibralen','latitude' => '37.3749476','longitude' => '-6.9701412'),
        array('province_id' => '21','town' => 'Granada de Río-Tinto, La','id' => '3252','slug' => 'granada-de-ro-tinto-la','latitude' => '37.2315593','longitude' => '-6.9182301'),
        array('province_id' => '21','town' => 'Granado, El','id' => '3253','slug' => 'granado-el','latitude' => '37.2647336','longitude' => '-6.9269679'),
        array('province_id' => '21','town' => 'Higuera de la Sierra','id' => '3254','slug' => 'higuera-de-la-sierra','latitude' => '37.8381902','longitude' => '-6.447579'),
        array('province_id' => '21','town' => 'Hinojales','id' => '3255','slug' => 'hinojales','latitude' => '38.0084359','longitude' => '-6.589147'),
        array('province_id' => '21','town' => 'Hinojos','id' => '3256','slug' => 'hinojos','latitude' => '37.2927341','longitude' => '-6.3762533'),
        array('province_id' => '21','town' => 'Huelva','id' => '3257','slug' => 'huelva','latitude' => '37.2571526','longitude' => '-6.9495221'),
        array('province_id' => '21','town' => 'Isla Cristina','id' => '3258','slug' => 'isla-cristina','latitude' => '37.1994306','longitude' => '-7.3252465'),
        array('province_id' => '21','town' => 'Jabugo','id' => '3259','slug' => 'jabugo','latitude' => '37.9167101','longitude' => '-6.7290783'),
        array('province_id' => '21','town' => 'Lepe','id' => '3260','slug' => 'lepe','latitude' => '37.2543229','longitude' => '-7.2033481'),
        array('province_id' => '21','town' => 'Linares de la Sierra','id' => '3261','slug' => 'linares-de-la-sierra','latitude' => '37.8800901','longitude' => '-6.6210019'),
        array('province_id' => '21','town' => 'Lucena del Puerto','id' => '3262','slug' => 'lucena-del-puerto','latitude' => '37.3039379','longitude' => '-6.7300865'),
        array('province_id' => '21','town' => 'Manzanilla','id' => '3263','slug' => 'manzanilla','latitude' => '37.3877285','longitude' => '-6.4294223'),
        array('province_id' => '21','town' => 'Marines, Los','id' => '3264','slug' => 'marines-los','latitude' => '37.9030323','longitude' => '-6.6233202'),
        array('province_id' => '21','town' => 'Minas de Riotinto','id' => '3265','slug' => 'minas-de-riotinto','latitude' => '37.6939122','longitude' => '-6.5918481'),
        array('province_id' => '21','town' => 'Moguer','id' => '3266','slug' => 'moguer','latitude' => '37.274692','longitude' => '-6.8365909'),
        array('province_id' => '21','town' => 'Nava, La','id' => '3267','slug' => 'nava-la','latitude' => '37.256319','longitude' => '-6.9319329'),
        array('province_id' => '21','town' => 'Nerva','id' => '3268','slug' => 'nerva','latitude' => '37.6951102','longitude' => '-6.5506324'),
        array('province_id' => '21','town' => 'Niebla','id' => '3269','slug' => 'niebla','latitude' => '37.3601023','longitude' => '-6.6792'),
        array('province_id' => '21','town' => 'Palma del Condado, La','id' => '3270','slug' => 'palma-del-condado-la','latitude' => '37.3878448','longitude' => '-6.5534'),
        array('province_id' => '21','town' => 'Palos de la Frontera','id' => '3271','slug' => 'palos-de-la-frontera','latitude' => '37.2281933','longitude' => '-6.8934261'),
        array('province_id' => '21','town' => 'Paterna del Campo','id' => '3272','slug' => 'paterna-del-campo','latitude' => '37.4209594','longitude' => '-6.4014308'),
        array('province_id' => '21','town' => 'Paymogo','id' => '3273','slug' => 'paymogo','latitude' => '37.7406366','longitude' => '-7.3459937'),
        array('province_id' => '21','town' => 'Puebla de Guzmán','id' => '3274','slug' => 'puebla-de-guzmn','latitude' => '37.6114407','longitude' => '-7.2458305'),
        array('province_id' => '21','town' => 'Puerto Moral','id' => '3275','slug' => 'puerto-moral','latitude' => '37.8920808','longitude' => '-6.4787702'),
        array('province_id' => '21','town' => 'Punta Umbría','id' => '3276','slug' => 'punta-umbra','latitude' => '37.18248','longitude' => '-6.9671485'),
        array('province_id' => '21','town' => 'Rociana del Condado','id' => '3277','slug' => 'rociana-del-condado','latitude' => '37.3078129','longitude' => '-6.5986723'),
        array('province_id' => '21','town' => 'Rosal de la Frontera','id' => '3278','slug' => 'rosal-de-la-frontera','latitude' => '37.9677977','longitude' => '-7.2205268'),
        array('province_id' => '21','town' => 'San Bartolomé de la Torre','id' => '3279','slug' => 'san-bartolom-de-la-torre','latitude' => '37.4459651','longitude' => '-7.1066834'),
        array('province_id' => '21','town' => 'San Juan del Puerto','id' => '3280','slug' => 'san-juan-del-puerto','latitude' => '37.3141604','longitude' => '-6.8407834'),
        array('province_id' => '21','town' => 'San Silvestre de Guzmán','id' => '3281','slug' => 'san-silvestre-de-guzmn','latitude' => '37.3883988','longitude' => '-7.350305'),
        array('province_id' => '21','town' => 'Sanlúcar de Guadiana','id' => '3282','slug' => 'sanlcar-de-guadiana','latitude' => '37.473178','longitude' => '-7.4678612'),
        array('province_id' => '21','town' => 'Santa Ana la Real','id' => '3283','slug' => 'santa-ana-la-real','latitude' => '37.8639642','longitude' => '-6.724445'),
        array('province_id' => '21','town' => 'Santa Bárbara de Casa','id' => '3284','slug' => 'santa-brbara-de-casa','latitude' => '37.7965531','longitude' => '-7.1886334'),
        array('province_id' => '21','town' => 'Santa Olalla del Cala','id' => '3285','slug' => 'santa-olalla-del-cala','latitude' => '37.9065133','longitude' => '-6.2296166'),
        array('province_id' => '21','town' => 'Trigueros','id' => '3286','slug' => 'trigueros','latitude' => '37.3831893','longitude' => '-6.8337517'),
        array('province_id' => '21','town' => 'Valdelarco','id' => '3287','slug' => 'valdelarco','latitude' => '37.950437','longitude' => '-6.6832221'),
        array('province_id' => '21','town' => 'Valverde del Camino','id' => '3288','slug' => 'valverde-del-camino','latitude' => '37.573395','longitude' => '-6.7533763'),
        array('province_id' => '21','town' => 'Villablanca','id' => '3289','slug' => 'villablanca','latitude' => '37.303735','longitude' => '-7.3419053'),
        array('province_id' => '21','town' => 'Villalba del Alcor','id' => '3290','slug' => 'villalba-del-alcor','latitude' => '37.3972841','longitude' => '-6.4765956'),
        array('province_id' => '21','town' => 'Villanueva de las Cruces','id' => '3291','slug' => 'villanueva-de-las-cruces','latitude' => '37.6276178','longitude' => '-7.024521'),
        array('province_id' => '21','town' => 'Villanueva de los Castillejos','id' => '3292','slug' => 'villanueva-de-los-castillejos','latitude' => '37.5004609','longitude' => '-7.2724431'),
        array('province_id' => '21','town' => 'Villarrasa','id' => '3293','slug' => 'villarrasa','latitude' => '37.3894535','longitude' => '-6.6069137'),
        array('province_id' => '21','town' => 'Zalamea la Real','id' => '3294','slug' => 'zalamea-la-real','latitude' => '37.6789114','longitude' => '-6.6605778'),
        array('province_id' => '21','town' => 'Zufre','id' => '3295','slug' => 'zufre','latitude' => '37.8338385','longitude' => '-6.3386126'),
        array('province_id' => '22','town' => 'Abiego','id' => '3296','slug' => 'abiego','latitude' => '42.1212111','longitude' => '-0.0710325'),
        array('province_id' => '22','town' => 'Abizanda','id' => '3297','slug' => 'abizanda','latitude' => '42.242534','longitude' => '0.1962168'),
        array('province_id' => '22','town' => 'Adahuesca','id' => '3298','slug' => 'adahuesca','latitude' => '42.144777','longitude' => '-0.0074547'),
        array('province_id' => '22','town' => 'Agüero','id' => '3299','slug' => 'agero','latitude' => '42.3548518','longitude' => '-0.7945753'),
        array('province_id' => '22','town' => 'Aínsa-Sobrarbe','id' => '3300','slug' => 'ansa-sobrarbe','latitude' => '42.415556','longitude' => '0.1469093'),
        array('province_id' => '22','town' => 'Aisa','id' => '3301','slug' => 'aisa','latitude' => '42.6798731','longitude' => '-0.6199111'),
        array('province_id' => '22','town' => 'Albalate de Cinca','id' => '3302','slug' => 'albalate-de-cinca','latitude' => '41.7229517','longitude' => '0.145821'),
        array('province_id' => '22','town' => 'Albalatillo','id' => '3303','slug' => 'albalatillo','latitude' => '41.7367125','longitude' => '-0.1505924'),
        array('province_id' => '22','town' => 'Albelda','id' => '3304','slug' => 'albelda','latitude' => '41.8654209','longitude' => '0.4611521'),
        array('province_id' => '22','town' => 'Albero Alto','id' => '3305','slug' => 'albero-alto','latitude' => '42.0500442','longitude' => '-0.3374676'),
        array('province_id' => '22','town' => 'Albero Bajo','id' => '3306','slug' => 'albero-bajo','latitude' => '42.025196','longitude' => '-0.3813607'),
        array('province_id' => '22','town' => 'Alberuela de Tubo','id' => '3307','slug' => 'alberuela-de-tubo','latitude' => '41.9087993','longitude' => '-0.2136612'),
        array('province_id' => '22','town' => 'Alcalá de Gurrea','id' => '3308','slug' => 'alcal-de-gurrea','latitude' => '42.0678199','longitude' => '-0.6856087'),
        array('province_id' => '22','town' => 'Alcalá del Obispo','id' => '3309','slug' => 'alcal-del-obispo','latitude' => '42.0778364','longitude' => '-0.2930976'),
        array('province_id' => '22','town' => 'Alcampell','id' => '3310','slug' => 'alcampell','latitude' => '41.9058936','longitude' => '0.4318866'),
        array('province_id' => '22','town' => 'Alcolea de Cinca','id' => '3311','slug' => 'alcolea-de-cinca','latitude' => '41.7171893','longitude' => '0.1180138'),
        array('province_id' => '22','town' => 'Alcubierre','id' => '3312','slug' => 'alcubierre','latitude' => '41.8068025','longitude' => '-0.4514643'),
        array('province_id' => '22','town' => 'Alerre','id' => '3313','slug' => 'alerre','latitude' => '42.1631158','longitude' => '-0.462901'),
        array('province_id' => '22','town' => 'Alfántega','id' => '3314','slug' => 'alfntega','latitude' => '41.8290794','longitude' => '0.1477768'),
        array('province_id' => '22','town' => 'Almudévar','id' => '3315','slug' => 'almudvar','latitude' => '42.037357','longitude' => '-0.5796334'),
        array('province_id' => '22','town' => 'Almunia de San Juan','id' => '3316','slug' => 'almunia-de-san-juan','latitude' => '41.9356645','longitude' => '0.24484'),
        array('province_id' => '22','town' => 'Almuniente','id' => '3317','slug' => 'almuniente','latitude' => '41.9496134','longitude' => '-0.4104751'),
        array('province_id' => '22','town' => 'Alquézar','id' => '3318','slug' => 'alquzar','latitude' => '42.1711277','longitude' => '0.0240456'),
        array('province_id' => '22','town' => 'Altorricón','id' => '3319','slug' => 'altorricn','latitude' => '41.8032216','longitude' => '0.4131394'),
        array('province_id' => '22','town' => 'Angüés','id' => '3320','slug' => 'angs','latitude' => '42.1112651','longitude' => '-0.153561'),
        array('province_id' => '22','town' => 'Ansó','id' => '3321','slug' => 'ans','latitude' => '42.7575406','longitude' => '-0.8281171'),
        array('province_id' => '22','town' => 'Antillón','id' => '3322','slug' => 'antilln','latitude' => '42.0358988','longitude' => '-0.1623112'),
        array('province_id' => '22','town' => 'Aragüés del Puerto','id' => '3323','slug' => 'arags-del-puerto','latitude' => '42.7067332','longitude' => '-0.6700809'),
        array('province_id' => '22','town' => 'Arén','id' => '3324','slug' => 'arn','latitude' => '42.2588705','longitude' => '0.7209243'),
        array('province_id' => '22','town' => 'Argavieso','id' => '3325','slug' => 'argavieso','latitude' => '42.0530103','longitude' => '-0.2790706'),
        array('province_id' => '22','town' => 'Arguis','id' => '3326','slug' => 'arguis','latitude' => '42.3146797','longitude' => '-0.4385688'),
        array('province_id' => '22','town' => 'Ayerbe','id' => '3327','slug' => 'ayerbe','latitude' => '42.2749767','longitude' => '-0.6887537'),
        array('province_id' => '22','town' => 'Azanuy-Alins','id' => '3328','slug' => 'azanuy-alins','latitude' => '41.9738001','longitude' => '0.3116778'),
        array('province_id' => '22','town' => 'Azara','id' => '3329','slug' => 'azara','latitude' => '42.0689435','longitude' => '-0.0314073'),
        array('province_id' => '22','town' => 'Azlor','id' => '3330','slug' => 'azlor','latitude' => '42.0944552','longitude' => '-0.0439338'),
        array('province_id' => '22','town' => 'Baélls','id' => '3331','slug' => 'balls','latitude' => '41.9537657','longitude' => '0.4596325'),
        array('province_id' => '22','town' => 'Bailo','id' => '3332','slug' => 'bailo','latitude' => '42.51','longitude' => '-0.8113827'),
        array('province_id' => '22','town' => 'Baldellou','id' => '3333','slug' => 'baldellou','latitude' => '41.917936','longitude' => '0.5468061'),
        array('province_id' => '22','town' => 'Ballobar','id' => '3334','slug' => 'ballobar','latitude' => '41.6220207','longitude' => '0.1911941'),
        array('province_id' => '22','town' => 'Banastás','id' => '3335','slug' => 'banasts','latitude' => '42.1811225','longitude' => '-0.4504838'),
        array('province_id' => '22','town' => 'Barbastro','id' => '3336','slug' => 'barbastro','latitude' => '42.0347969','longitude' => '0.1239805'),
        array('province_id' => '22','town' => 'Barbués','id' => '3337','slug' => 'barbus','latitude' => '41.9796055','longitude' => '-0.419158'),
        array('province_id' => '22','town' => 'Barbuñales','id' => '3338','slug' => 'barbuales','latitude' => '42.0253915','longitude' => '-0.0875083'),
        array('province_id' => '22','town' => 'Bárcabo','id' => '3339','slug' => 'brcabo','latitude' => '42.2413099','longitude' => '0.0694183'),
        array('province_id' => '22','town' => 'Belver de Cinca','id' => '3340','slug' => 'belver-de-cinca','latitude' => '41.6897315','longitude' => '0.1784385'),
        array('province_id' => '22','town' => 'Benabarre','id' => '3341','slug' => 'benabarre','latitude' => '42.106348','longitude' => '0.4792285'),
        array('province_id' => '22','town' => 'Benasque','id' => '3342','slug' => 'benasque','latitude' => '42.6051405','longitude' => '0.5239731'),
        array('province_id' => '22','town' => 'Berbegal','id' => '3343','slug' => 'berbegal','latitude' => '41.9613408','longitude' => '-0.0015523'),
        array('province_id' => '22','town' => 'Bielsa','id' => '3344','slug' => 'bielsa','latitude' => '42.6338041','longitude' => '0.2184766'),
        array('province_id' => '22','town' => 'Bierge','id' => '3345','slug' => 'bierge','latitude' => '42.1613342','longitude' => '-0.0829719'),
        array('province_id' => '22','town' => 'Biescas','id' => '3346','slug' => 'biescas','latitude' => '42.627975','longitude' => '-0.3246984'),
        array('province_id' => '22','town' => 'Binaced','id' => '3347','slug' => 'binaced','latitude' => '41.8265659','longitude' => '0.2010187'),
        array('province_id' => '22','town' => 'Binéfar','id' => '3348','slug' => 'binfar','latitude' => '41.8528632','longitude' => '0.2937235'),
        array('province_id' => '22','town' => 'Bisaurri','id' => '3349','slug' => 'bisaurri','latitude' => '42.4967058','longitude' => '0.5070404'),
        array('province_id' => '22','town' => 'Biscarrués','id' => '3350','slug' => 'biscarrus','latitude' => '42.2282156','longitude' => '-0.7515044'),
        array('province_id' => '22','town' => 'Blecua y Torres','id' => '3351','slug' => 'blecua-y-torres','latitude' => '42.0574124','longitude' => '-0.1870271'),
        array('province_id' => '22','town' => 'Boltaña','id' => '3352','slug' => 'boltaa','latitude' => '42.4424677','longitude' => '0.0698157'),
        array('province_id' => '22','town' => 'Bonansa','id' => '3353','slug' => 'bonansa','latitude' => '42.4270984','longitude' => '0.6676375'),
        array('province_id' => '22','town' => 'Borau','id' => '3354','slug' => 'borau','latitude' => '42.6587359','longitude' => '-0.5881645'),
        array('province_id' => '22','town' => 'Broto','id' => '3355','slug' => 'broto','latitude' => '42.6048128','longitude' => '-0.1235453'),
        array('province_id' => '22','town' => 'Caldearenas','id' => '3356','slug' => 'caldearenas','latitude' => '42.3969894','longitude' => '-0.4999619'),
        array('province_id' => '22','town' => 'Campo','id' => '3357','slug' => 'campo','latitude' => '42.4087502','longitude' => '0.3940125'),
        array('province_id' => '22','town' => 'Camporrélls','id' => '3358','slug' => 'camporrlls','latitude' => '41.9588608','longitude' => '0.5218998'),
        array('province_id' => '22','town' => 'Canal de Berdún','id' => '3359','slug' => 'canal-de-berdn','latitude' => '42.603767','longitude' => '-0.8584673'),
        array('province_id' => '22','town' => 'Candasnos','id' => '3360','slug' => 'candasnos','latitude' => '41.5038294','longitude' => '0.0641451'),
        array('province_id' => '22','town' => 'Canfranc','id' => '3361','slug' => 'canfranc','latitude' => '42.7155695','longitude' => '-0.5256487'),
        array('province_id' => '22','town' => 'Capdesaso','id' => '3362','slug' => 'capdesaso','latitude' => '41.8439236','longitude' => '-0.1854229'),
        array('province_id' => '22','town' => 'Capella','id' => '3363','slug' => 'capella','latitude' => '42.1970412','longitude' => '0.3961923'),
        array('province_id' => '22','town' => 'Casbas de Huesca','id' => '3364','slug' => 'casbas-de-huesca','latitude' => '42.1562723','longitude' => '-0.1404078'),
        array('province_id' => '22','town' => 'Castejón de Monegros','id' => '3365','slug' => 'castejn-de-monegros','latitude' => '41.617559','longitude' => '-0.2399075'),
        array('province_id' => '22','town' => 'Castejón de Sos','id' => '3366','slug' => 'castejn-de-sos','latitude' => '42.5132024','longitude' => '0.4930989'),
        array('province_id' => '22','town' => 'Castejón del Puente','id' => '3367','slug' => 'castejn-del-puente','latitude' => '41.9623753','longitude' => '0.1569228'),
        array('province_id' => '22','town' => 'Castelflorite','id' => '3368','slug' => 'castelflorite','latitude' => '41.8023745','longitude' => '-0.0215957'),
        array('province_id' => '22','town' => 'Castiello de Jaca','id' => '3369','slug' => 'castiello-de-jaca','latitude' => '42.6319002','longitude' => '-0.5506048'),
        array('province_id' => '22','town' => 'Castigaleu','id' => '3370','slug' => 'castigaleu','latitude' => '42.20435','longitude' => '0.5783337'),
        array('province_id' => '22','town' => 'Castillazuelo','id' => '3371','slug' => 'castillazuelo','latitude' => '42.0671628','longitude' => '0.0654169'),
        array('province_id' => '22','town' => 'Castillonroy','id' => '3372','slug' => 'castillonroy','latitude' => '41.8844191','longitude' => '0.5141938'),
        array('province_id' => '22','town' => 'Chalamera','id' => '3373','slug' => 'chalamera','latitude' => '41.6655617','longitude' => '0.1619226'),
        array('province_id' => '22','town' => 'Chía','id' => '3374','slug' => 'cha','latitude' => '42.5204662','longitude' => '0.4657107'),
        array('province_id' => '22','town' => 'Chimillas','id' => '3375','slug' => 'chimillas','latitude' => '42.170663','longitude' => '-0.4507998'),
        array('province_id' => '22','town' => 'Colungo','id' => '3376','slug' => 'colungo','latitude' => '42.172736','longitude' => '0.0645458'),
        array('province_id' => '22','town' => 'Esplús','id' => '3377','slug' => 'espls','latitude' => '41.7984546','longitude' => '0.2743229'),
        array('province_id' => '22','town' => 'Estada','id' => '3378','slug' => 'estada','latitude' => '42.0715342','longitude' => '0.2348273'),
        array('province_id' => '22','town' => 'Estadilla','id' => '3379','slug' => 'estadilla','latitude' => '42.0560027','longitude' => '0.2439407'),
        array('province_id' => '22','town' => 'Estopiñán del Castillo','id' => '3380','slug' => 'estopin-del-castillo','latitude' => '41.9973355','longitude' => '0.5428858'),
        array('province_id' => '22','town' => 'Fago','id' => '3381','slug' => 'fago','latitude' => '42.735191','longitude' => '-0.8654409'),
        array('province_id' => '22','town' => 'Fanlo','id' => '3382','slug' => 'fanlo','latitude' => '42.5869871','longitude' => '-0.0211814'),
        array('province_id' => '22','town' => 'Fiscal','id' => '3383','slug' => 'fiscal','latitude' => '42.4956485','longitude' => '-0.1211532'),
        array('province_id' => '22','town' => 'Fonz','id' => '3384','slug' => 'fonz','latitude' => '42.0100519','longitude' => '0.2583155'),
        array('province_id' => '22','town' => 'Foradada del Toscar','id' => '3385','slug' => 'foradada-del-toscar','latitude' => '42.4102592','longitude' => '0.3507822'),
        array('province_id' => '22','town' => 'Fraga','id' => '3386','slug' => 'fraga','latitude' => '41.5224254','longitude' => '0.3489263'),
        array('province_id' => '22','town' => 'Fueva, La','id' => '3387','slug' => 'fueva-la','latitude' => '42.4524712','longitude' => '0.2807868'),
        array('province_id' => '22','town' => 'Gistaín','id' => '3388','slug' => 'gistan','latitude' => '42.5911619','longitude' => '0.3360597'),
        array('province_id' => '22','town' => 'Grado, El','id' => '3389','slug' => 'grado-el','latitude' => '42.1509677','longitude' => '0.2234078'),
        array('province_id' => '22','town' => 'Grañén','id' => '3390','slug' => 'gran','latitude' => '41.9399504','longitude' => '-0.3692021'),
        array('province_id' => '22','town' => 'Graus','id' => '3391','slug' => 'graus','latitude' => '42.1927384','longitude' => '0.3389097'),
        array('province_id' => '22','town' => 'Gurrea de Gállego','id' => '3392','slug' => 'gurrea-de-gllego','latitude' => '42.0133477','longitude' => '-0.7621484'),
        array('province_id' => '22','town' => 'Hoz de Jaca','id' => '3393','slug' => 'hoz-de-jaca','latitude' => '42.6903921','longitude' => '-0.3062892'),
        array('province_id' => '22','town' => 'Hoz y Costean','id' => '3394','slug' => 'hoz-y-costean','latitude' => '42.1333333','longitude' => '0.1333333'),
        array('province_id' => '22','town' => 'Huerto','id' => '3395','slug' => 'huerto','latitude' => '41.9318791','longitude' => '-0.1666296'),
        array('province_id' => '22','town' => 'Huesca','id' => '3396','slug' => 'huesca','latitude' => '42.1401024','longitude' => '-0.408898'),
        array('province_id' => '22','town' => 'Ibieca','id' => '3397','slug' => 'ibieca','latitude' => '42.1611864','longitude' => '-0.2077939'),
        array('province_id' => '22','town' => 'Igriés','id' => '3398','slug' => 'igris','latitude' => '42.2144441','longitude' => '-0.4315612'),
        array('province_id' => '22','town' => 'Ilche','id' => '3399','slug' => 'ilche','latitude' => '41.9578811','longitude' => '0.0574015'),
        array('province_id' => '22','town' => 'Isábena','id' => '3400','slug' => 'isbena','latitude' => '42.31','longitude' => '0.527'),
        array('province_id' => '22','town' => 'Jaca','id' => '3401','slug' => 'jaca','latitude' => '42.5710112','longitude' => '-0.5494531'),
        array('province_id' => '22','town' => 'Jasa','id' => '3402','slug' => 'jasa','latitude' => '42.6946223','longitude' => '-0.665348'),
        array('province_id' => '22','town' => 'Labuerda','id' => '3403','slug' => 'labuerda','latitude' => '42.4519959','longitude' => '0.1346856'),
        array('province_id' => '22','town' => 'Laluenga','id' => '3404','slug' => 'laluenga','latitude' => '42.0033528','longitude' => '-0.0464519'),
        array('province_id' => '22','town' => 'Lalueza','id' => '3405','slug' => 'lalueza','latitude' => '41.8418351','longitude' => '-0.255536'),
        array('province_id' => '22','town' => 'Lanaja','id' => '3406','slug' => 'lanaja','latitude' => '41.7721415','longitude' => '-0.32952'),
        array('province_id' => '22','town' => 'Laperdiguera','id' => '3407','slug' => 'laperdiguera','latitude' => '41.991248','longitude' => '-0.0464749'),
        array('province_id' => '22','town' => 'Lascellas-Ponzano','id' => '3408','slug' => 'lascellas-ponzano','latitude' => '42.0773235','longitude' => '-0.0846979'),
        array('province_id' => '22','town' => 'Lascuarre','id' => '3409','slug' => 'lascuarre','latitude' => '42.1992614','longitude' => '0.5159816'),
        array('province_id' => '22','town' => 'Laspaúles','id' => '3410','slug' => 'laspales','latitude' => '42.4707833','longitude' => '0.5984959'),
        array('province_id' => '22','town' => 'Laspuña','id' => '3411','slug' => 'laspua','latitude' => '42.5034177','longitude' => '0.1536913'),
        array('province_id' => '22','town' => 'Loarre','id' => '3412','slug' => 'loarre','latitude' => '42.3146439','longitude' => '-0.6249158'),
        array('province_id' => '22','town' => 'Loporzano','id' => '3413','slug' => 'loporzano','latitude' => '42.1613084','longitude' => '-0.324034'),
        array('province_id' => '22','town' => 'Loscorrales','id' => '3414','slug' => 'loscorrales','latitude' => '42.2534912','longitude' => '-0.6408842'),
        array('province_id' => '22','town' => 'Lupiñén-Ortilla','id' => '3415','slug' => 'lupin-ortilla','latitude' => '42.1630882','longitude' => '-0.6258336'),
        array('province_id' => '22','town' => 'Monesma y Cajigar','id' => '3416','slug' => 'monesma-y-cajigar','latitude' => '42.2601257','longitude' => '0.5972991'),
        array('province_id' => '22','town' => 'Monflorite-Lascasas','id' => '3417','slug' => 'monflorite-lascasas','latitude' => '42.0711091','longitude' => '-0.3851456'),
        array('province_id' => '22','town' => 'Montanuy','id' => '3418','slug' => 'montanuy','latitude' => '42.4649668','longitude' => '0.6956547'),
        array('province_id' => '22','town' => 'Monzón','id' => '3419','slug' => 'monzn','latitude' => '41.9103034','longitude' => '0.1946406'),
        array('province_id' => '22','town' => 'Naval','id' => '3420','slug' => 'naval','latitude' => '42.1934968','longitude' => '0.152271'),
        array('province_id' => '22','town' => 'Novales','id' => '3421','slug' => 'novales','latitude' => '42.0319575','longitude' => '-0.2884137'),
        array('province_id' => '22','town' => 'Nueno','id' => '3422','slug' => 'nueno','latitude' => '42.2660239','longitude' => '-0.4402177'),
        array('province_id' => '22','town' => 'Olvena','id' => '3423','slug' => 'olvena','latitude' => '42.1094798','longitude' => '0.2596299'),
        array('province_id' => '22','town' => 'Ontiñena','id' => '3424','slug' => 'ontiena','latitude' => '41.675291','longitude' => '0.0884791'),
        array('province_id' => '22','town' => 'Osso de Cinca','id' => '3425','slug' => 'osso-de-cinca','latitude' => '41.665313','longitude' => '0.1914486'),
        array('province_id' => '22','town' => 'Palo','id' => '3426','slug' => 'palo','latitude' => '42.3228234','longitude' => '0.24378'),
        array('province_id' => '22','town' => 'Panticosa','id' => '3427','slug' => 'panticosa','latitude' => '42.7236828','longitude' => '-0.282123'),
        array('province_id' => '22','town' => 'Peñalba','id' => '3428','slug' => 'pealba','latitude' => '41.5000094','longitude' => '-0.0384445'),
        array('province_id' => '22','town' => 'Peñas de Riglos, Las','id' => '3429','slug' => 'peas-de-riglos-las','latitude' => '42.348856','longitude' => '-0.7268853'),
        array('province_id' => '22','town' => 'Peralta de Alcofea','id' => '3430','slug' => 'peralta-de-alcofea','latitude' => '41.9319623','longitude' => '-0.0664381'),
        array('province_id' => '22','town' => 'Peralta de Calasanz','id' => '3431','slug' => 'peralta-de-calasanz','latitude' => '42.0181122','longitude' => '0.3936722'),
        array('province_id' => '22','town' => 'Peraltilla','id' => '3432','slug' => 'peraltilla','latitude' => '42.0552738','longitude' => '-0.0169962'),
        array('province_id' => '22','town' => 'Perarrúa','id' => '3433','slug' => 'perarra','latitude' => '42.2676566','longitude' => '0.3514397'),
        array('province_id' => '22','town' => 'Pertusa','id' => '3434','slug' => 'pertusa','latitude' => '42.0021118','longitude' => '-0.1273263'),
        array('province_id' => '22','town' => 'Piracés','id' => '3435','slug' => 'piracs','latitude' => '42.004838','longitude' => '-0.3162075'),
        array('province_id' => '22','town' => 'Plan','id' => '3436','slug' => 'plan','latitude' => '42.5816617','longitude' => '0.3371799'),
        array('province_id' => '22','town' => 'Poleñino','id' => '3437','slug' => 'poleino','latitude' => '41.8704856','longitude' => '-0.3096014'),
        array('province_id' => '22','town' => 'Pozán de Vero','id' => '3438','slug' => 'pozn-de-vero','latitude' => '42.0802762','longitude' => '0.0336244'),
        array('province_id' => '22','town' => 'Puebla de Castro, La','id' => '3439','slug' => 'puebla-de-castro-la','latitude' => '42.144663','longitude' => '0.2874012'),
        array('province_id' => '22','town' => 'Puente de Montañana','id' => '3440','slug' => 'puente-de-montaana','latitude' => '42.1504175','longitude' => '0.6935181'),
        array('province_id' => '22','town' => 'Puente la Reina de Jaca','id' => '3441','slug' => 'puente-la-reina-de-jaca','latitude' => '42.562412','longitude' => '-0.787348'),
        array('province_id' => '22','town' => 'Puértolas','id' => '3442','slug' => 'purtolas','latitude' => '42.5481237','longitude' => '0.132426'),
        array('province_id' => '22','town' => 'Pueyo de Araguás, El','id' => '3443','slug' => 'pueyo-de-aragus-el','latitude' => '42.4732701','longitude' => '0.1613979'),
        array('province_id' => '22','town' => 'Pueyo de Santa Cruz','id' => '3444','slug' => 'pueyo-de-santa-cruz','latitude' => '41.8581368','longitude' => '0.1572041'),
        array('province_id' => '22','town' => 'Quicena','id' => '3445','slug' => 'quicena','latitude' => '42.1480665','longitude' => '-0.3585494'),
        array('province_id' => '22','town' => 'Robres','id' => '3446','slug' => 'robres','latitude' => '41.8663759','longitude' => '-0.4609118'),
        array('province_id' => '22','town' => 'Sabiñánigo','id' => '3447','slug' => 'sabinigo','latitude' => '42.5196948','longitude' => '-0.3650786'),
        array('province_id' => '22','town' => 'Sahún','id' => '3448','slug' => 'sahn','latitude' => '42.5760593','longitude' => '0.4648095'),
        array('province_id' => '22','town' => 'Salas Altas','id' => '3449','slug' => 'salas-altas','latitude' => '42.1147162','longitude' => '0.0712943'),
        array('province_id' => '22','town' => 'Salas Bajas','id' => '3450','slug' => 'salas-bajas','latitude' => '42.0996612','longitude' => '0.0836292'),
        array('province_id' => '22','town' => 'Salillas','id' => '3451','slug' => 'salillas','latitude' => '41.9931287','longitude' => '-0.2247787'),
        array('province_id' => '22','town' => 'Sallent de Gállego','id' => '3452','slug' => 'sallent-de-gllego','latitude' => '42.7720399','longitude' => '-0.3347842'),
        array('province_id' => '22','town' => 'San Esteban de Litera','id' => '3453','slug' => 'san-esteban-de-litera','latitude' => '41.9041359','longitude' => '0.3258535'),
        array('province_id' => '22','town' => 'San Juan de Plan','id' => '3454','slug' => 'san-juan-de-plan','latitude' => '42.5873991','longitude' => '0.3445169'),
        array('province_id' => '22','town' => 'San Miguel del Cinca','id' => '3455','slug' => 'san-miguel-del-cinca','latitude' => '41.8222222','longitude' => '0.0761111'),
        array('province_id' => '22','town' => 'Sangarrén','id' => '3456','slug' => 'sangarrn','latitude' => '42.017516','longitude' => '-0.4311999'),
        array('province_id' => '22','town' => 'Santa Cilia','id' => '3457','slug' => 'santa-cilia','latitude' => '42.5611728','longitude' => '-0.7136365'),
        array('province_id' => '22','town' => 'Santa Cruz de la Serós','id' => '3458','slug' => 'santa-cruz-de-la-sers','latitude' => '42.5225079','longitude' => '-0.6743599'),
        array('province_id' => '22','town' => 'Santa María de Dulcis','id' => '3459','slug' => 'santa-mara-de-dulcis','latitude' => '42.1213889','longitude' => '0.0238889'),
        array('province_id' => '22','town' => 'Santaliestra y San Quílez','id' => '3460','slug' => 'santaliestra-y-san-qulez','latitude' => '42.3067617','longitude' => '0.3654154'),
        array('province_id' => '22','town' => 'Sariñena','id' => '3461','slug' => 'sariena','latitude' => '41.7921736','longitude' => '-0.1572419'),
        array('province_id' => '22','town' => 'Secastilla','id' => '3462','slug' => 'secastilla','latitude' => '42.1809162','longitude' => '0.2668796'),
        array('province_id' => '22','town' => 'Seira','id' => '3463','slug' => 'seira','latitude' => '42.4804459','longitude' => '0.4298865'),
        array('province_id' => '22','town' => 'Sena','id' => '3464','slug' => 'sena','latitude' => '41.714685','longitude' => '-0.0437513'),
        array('province_id' => '22','town' => 'Senés de Alcubierre','id' => '3465','slug' => 'sens-de-alcubierre','latitude' => '41.9072706','longitude' => '-0.4905544'),
        array('province_id' => '22','town' => 'Sesa','id' => '3466','slug' => 'sesa','latitude' => '41.9962738','longitude' => '-0.2454906'),
        array('province_id' => '22','town' => 'Sesué','id' => '3467','slug' => 'sesu','latitude' => '42.5516573','longitude' => '0.4727303'),
        array('province_id' => '22','town' => 'Siétamo','id' => '3468','slug' => 'sitamo','latitude' => '42.1234095','longitude' => '-0.2796467'),
        array('province_id' => '22','town' => 'Sopeira','id' => '3469','slug' => 'sopeira','latitude' => '42.3167689','longitude' => '0.7468303'),
        array('province_id' => '22','town' => 'Sotonera, La','id' => '3470','slug' => 'sotonera-la','latitude' => '42.2546799','longitude' => '-0.5446912'),
        array('province_id' => '22','town' => 'Tamarite de Litera','id' => '3471','slug' => 'tamarite-de-litera','latitude' => '41.8669795','longitude' => '0.4220118'),
        array('province_id' => '22','town' => 'Tardienta','id' => '3472','slug' => 'tardienta','latitude' => '41.9793487','longitude' => '-0.538924'),
        array('province_id' => '22','town' => 'Tella-Sin','id' => '3473','slug' => 'tella-sin','latitude' => '42.5833333','longitude' => '0.2'),
        array('province_id' => '22','town' => 'Tierz','id' => '3474','slug' => 'tierz','latitude' => '42.1325728','longitude' => '-0.3533829'),
        array('province_id' => '22','town' => 'Tolva','id' => '3475','slug' => 'tolva','latitude' => '42.1155129','longitude' => '0.56399'),
        array('province_id' => '22','town' => 'Torla','id' => '3476','slug' => 'torla','latitude' => '42.627928','longitude' => '-0.1106253'),
        array('province_id' => '22','town' => 'Torralba de Aragón','id' => '3477','slug' => 'torralba-de-aragn','latitude' => '41.9351786','longitude' => '-0.5106578'),
        array('province_id' => '22','town' => 'Torre la Ribera','id' => '3478','slug' => 'torre-la-ribera','latitude' => '42.3729161','longitude' => '0.5268245'),
        array('province_id' => '22','town' => 'Torrente de Cinca','id' => '3479','slug' => 'torrente-de-cinca','latitude' => '41.472873','longitude' => '0.3348973'),
        array('province_id' => '22','town' => 'Torres de Alcanadre','id' => '3480','slug' => 'torres-de-alcanadre','latitude' => '41.9680007','longitude' => '-0.1109713'),
        array('province_id' => '22','town' => 'Torres de Barbués','id' => '3481','slug' => 'torres-de-barbus','latitude' => '41.9599638','longitude' => '-0.4323657'),
        array('province_id' => '22','town' => 'Tramaced','id' => '3482','slug' => 'tramaced','latitude' => '41.972667','longitude' => '-0.2976621'),
        array('province_id' => '22','town' => 'Valfarta','id' => '3483','slug' => 'valfarta','latitude' => '41.5579071','longitude' => '-0.1338425'),
        array('province_id' => '22','town' => 'Valle de Bardají','id' => '3484','slug' => 'valle-de-bardaj','latitude' => '42.4333333','longitude' => '0.4666667'),
        array('province_id' => '22','town' => 'Valle de Hecho','id' => '3485','slug' => 'valle-de-hecho','latitude' => '42.7394964','longitude' => '-0.7503078'),
        array('province_id' => '22','town' => 'Valle de Lierp','id' => '3486','slug' => 'valle-de-lierp','latitude' => '42.38','longitude' => '0.489'),
        array('province_id' => '22','town' => 'Velilla de Cinca','id' => '3487','slug' => 'velilla-de-cinca','latitude' => '41.5870018','longitude' => '0.261464'),
        array('province_id' => '22','town' => 'Vencillón','id' => '3488','slug' => 'vencilln','latitude' => '41.7051','longitude' => '0.3219554'),
        array('province_id' => '22','town' => 'Veracruz','id' => '3489','slug' => 'veracruz','latitude' => '42.3823798','longitude' => '0.610943'),
        array('province_id' => '22','town' => 'Viacamp y Litera','id' => '3490','slug' => 'viacamp-y-litera','latitude' => '42.1272482','longitude' => '0.6159651'),
        array('province_id' => '22','town' => 'Vicién','id' => '3491','slug' => 'vicin','latitude' => '42.0555048','longitude' => '-0.4401985'),
        array('province_id' => '22','town' => 'Villanova','id' => '3492','slug' => 'villanova','latitude' => '42.5466783','longitude' => '0.4618572'),
        array('province_id' => '22','town' => 'Villanúa','id' => '3493','slug' => 'villana','latitude' => '42.6798219','longitude' => '-0.5308006'),
        array('province_id' => '22','town' => 'Villanueva de Sigena','id' => '3494','slug' => 'villanueva-de-sigena','latitude' => '41.7153278','longitude' => '-0.0088677'),
        array('province_id' => '22','town' => 'Yebra de Basa','id' => '3495','slug' => 'yebra-de-basa','latitude' => '42.4863095','longitude' => '-0.2820295'),
        array('province_id' => '22','town' => 'Yésero','id' => '3496','slug' => 'ysero','latitude' => '42.6192789','longitude' => '-0.2497312'),
        array('province_id' => '22','town' => 'Zaidín','id' => '3497','slug' => 'zaidn','latitude' => '41.6040714','longitude' => '0.266089'),
        array('province_id' => '23','town' => 'Albanchez de Mágina','id' => '3498','slug' => 'albanchez-de-mgina','latitude' => '37.7916432','longitude' => '-3.4682852'),
        array('province_id' => '23','town' => 'Alcalá la Real','id' => '3499','slug' => 'alcal-la-real','latitude' => '37.4635849','longitude' => '-3.9250782'),
        array('province_id' => '23','town' => 'Alcaudete','id' => '3500','slug' => 'alcaudete','latitude' => '37.5910658','longitude' => '-4.086735'),
        array('province_id' => '23','town' => 'Aldeaquemada','id' => '3501','slug' => 'aldeaquemada','latitude' => '38.4118185','longitude' => '-3.3717745'),
        array('province_id' => '23','town' => 'Andújar','id' => '3502','slug' => 'andjar','latitude' => '38.0367498','longitude' => '-4.0543916'),
        array('province_id' => '23','town' => 'Arjona','id' => '3503','slug' => 'arjona','latitude' => '37.936483','longitude' => '-4.0548906'),
        array('province_id' => '23','town' => 'Arjonilla','id' => '3504','slug' => 'arjonilla','latitude' => '37.9735468','longitude' => '-4.1070269'),
        array('province_id' => '23','town' => 'Arquillos','id' => '3505','slug' => 'arquillos','latitude' => '38.1820118','longitude' => '-3.430886'),
        array('province_id' => '23','town' => 'Arroyo del Ojanco','id' => '3506','slug' => 'arroyo-del-ojanco','latitude' => '38.3209204','longitude' => '-2.8949791'),
        array('province_id' => '23','town' => 'Baeza','id' => '3507','slug' => 'baeza','latitude' => '37.9934329','longitude' => '-3.4692368'),
        array('province_id' => '23','town' => 'Bailén','id' => '3508','slug' => 'bailn','latitude' => '38.0958814','longitude' => '-3.7748592'),
        array('province_id' => '23','town' => 'Baños de la Encina','id' => '3509','slug' => 'baos-de-la-encina','latitude' => '38.1713341','longitude' => '-3.7742584'),
        array('province_id' => '23','town' => 'Beas de Segura','id' => '3510','slug' => 'beas-de-segura','latitude' => '38.2523755','longitude' => '-2.8898826'),
        array('province_id' => '23','town' => 'Bedmar y Garcíez','id' => '3511','slug' => 'bedmar-y-garcez','latitude' => '37.8226793','longitude' => '-3.4116988'),
        array('province_id' => '23','town' => 'Begíjar','id' => '3512','slug' => 'begjar','latitude' => '37.9845145','longitude' => '-3.5348297'),
        array('province_id' => '23','town' => 'Bélmez de la Moraleda','id' => '3513','slug' => 'blmez-de-la-moraleda','latitude' => '37.7238943','longitude' => '-3.38222'),
        array('province_id' => '23','town' => 'Benatae','id' => '3514','slug' => 'benatae','latitude' => '38.3525665','longitude' => '-2.6508658'),
        array('province_id' => '23','town' => 'Cabra del Santo Cristo','id' => '3515','slug' => 'cabra-del-santo-cristo','latitude' => '37.7053477','longitude' => '-3.2861082'),
        array('province_id' => '23','town' => 'Cambil','id' => '3516','slug' => 'cambil','latitude' => '37.6769161','longitude' => '-3.5656274'),
        array('province_id' => '23','town' => 'Campillo de Arenas','id' => '3517','slug' => 'campillo-de-arenas','latitude' => '37.5559269','longitude' => '-3.6357892'),
        array('province_id' => '23','town' => 'Canena','id' => '3518','slug' => 'canena','latitude' => '38.0486777','longitude' => '-3.4821719'),
        array('province_id' => '23','town' => 'Carboneros','id' => '3519','slug' => 'carboneros','latitude' => '38.2295206','longitude' => '-3.6315216'),
        array('province_id' => '23','town' => 'Cárcheles','id' => '3520','slug' => 'crcheles','latitude' => '37.6361492','longitude' => '-3.6319131'),
        array('province_id' => '23','town' => 'Carolina, La','id' => '3521','slug' => 'carolina-la','latitude' => '38.2746835','longitude' => '-3.615412'),
        array('province_id' => '23','town' => 'Castellar','id' => '3522','slug' => 'castellar','latitude' => '38.2562108','longitude' => '-3.131925'),
        array('province_id' => '23','town' => 'Castillo de Locubín','id' => '3523','slug' => 'castillo-de-locubn','latitude' => '37.5282565','longitude' => '-3.9436777'),
        array('province_id' => '23','town' => 'Cazalilla','id' => '3524','slug' => 'cazalilla','latitude' => '37.9846011','longitude' => '-3.8822305'),
        array('province_id' => '23','town' => 'Cazorla','id' => '3525','slug' => 'cazorla','latitude' => '37.9105506','longitude' => '-3.0021668'),
        array('province_id' => '23','town' => 'Chiclana de Segura','id' => '3526','slug' => 'chiclana-de-segura','latitude' => '38.3114725','longitude' => '-3.0421882'),
        array('province_id' => '23','town' => 'Chilluévar','id' => '3527','slug' => 'chilluvar','latitude' => '38.0010652','longitude' => '-3.0310992'),
        array('province_id' => '23','town' => 'Escañuela','id' => '3528','slug' => 'escauela','latitude' => '37.8787247','longitude' => '-4.0332811'),
        array('province_id' => '23','town' => 'Espelúy','id' => '3529','slug' => 'espely','latitude' => '38.03308','longitude' => '-3.861802'),
        array('province_id' => '23','town' => 'Frailes','id' => '3530','slug' => 'frailes','latitude' => '37.4851518','longitude' => '-3.8382139'),
        array('province_id' => '23','town' => 'Fuensanta de Martos','id' => '3531','slug' => 'fuensanta-de-martos','latitude' => '37.647843','longitude' => '-3.9059999'),
        array('province_id' => '23','town' => 'Fuerte del Rey','id' => '3532','slug' => 'fuerte-del-rey','latitude' => '37.873961','longitude' => '-3.8845895'),
        array('province_id' => '23','town' => 'Génave','id' => '3533','slug' => 'gnave','latitude' => '38.4301362','longitude' => '-2.7327665'),
        array('province_id' => '23','town' => 'Guardia de Jaén, La','id' => '3534','slug' => 'guardia-de-jan-la','latitude' => '37.7616494','longitude' => '-3.7646191'),
        array('province_id' => '23','town' => 'Guarromán','id' => '3535','slug' => 'guarromn','latitude' => '38.1815139','longitude' => '-3.6865006'),
        array('province_id' => '23','town' => 'Higuera de Calatrava','id' => '3536','slug' => 'higuera-de-calatrava','latitude' => '37.7968972','longitude' => '-4.1549454'),
        array('province_id' => '23','town' => 'Hinojares','id' => '3537','slug' => 'hinojares','latitude' => '37.7155516','longitude' => '-2.9992043'),
        array('province_id' => '23','town' => 'Hornos','id' => '3538','slug' => 'hornos','latitude' => '38.2167855','longitude' => '-2.720247'),
        array('province_id' => '23','town' => 'Huelma','id' => '3539','slug' => 'huelma','latitude' => '37.6452393','longitude' => '-3.455428'),
        array('province_id' => '23','town' => 'Huesa','id' => '3540','slug' => 'huesa','latitude' => '37.764105','longitude' => '-3.0781675'),
        array('province_id' => '23','town' => 'Ibros','id' => '3541','slug' => 'ibros','latitude' => '38.0226041','longitude' => '-3.5023747'),
        array('province_id' => '23','town' => 'Iruela, La','id' => '3542','slug' => 'iruela-la','latitude' => '37.8035727','longitude' => '-3.7816325'),
        array('province_id' => '23','town' => 'Iznatoraf','id' => '3543','slug' => 'iznatoraf','latitude' => '38.157439','longitude' => '-3.0329138'),
        array('province_id' => '23','town' => 'Jabalquinto','id' => '3544','slug' => 'jabalquinto','latitude' => '38.0193183','longitude' => '-3.724704'),
        array('province_id' => '23','town' => 'Jaén','id' => '3545','slug' => 'jan','latitude' => '37.7657389','longitude' => '-3.7895177'),
        array('province_id' => '23','town' => 'Jamilena','id' => '3546','slug' => 'jamilena','latitude' => '37.7470917','longitude' => '-3.9122993'),
        array('province_id' => '23','town' => 'Jimena','id' => '3547','slug' => 'jimena','latitude' => '37.8415741','longitude' => '-3.4765291'),
        array('province_id' => '23','town' => 'Jódar','id' => '3548','slug' => 'jdar','latitude' => '37.8439768','longitude' => '-3.3525448'),
        array('province_id' => '23','town' => 'Lahiguera','id' => '3549','slug' => 'lahiguera','latitude' => '37.9704873','longitude' => '-3.9891638'),
        array('province_id' => '23','town' => 'Larva','id' => '3550','slug' => 'larva','latitude' => '37.7589218','longitude' => '-3.2001502'),
        array('province_id' => '23','town' => 'Linares','id' => '3551','slug' => 'linares','latitude' => '38.0936199','longitude' => '-3.6358445'),
        array('province_id' => '23','town' => 'Lopera','id' => '3552','slug' => 'lopera','latitude' => '37.9436709','longitude' => '-4.2146946'),
        array('province_id' => '23','town' => 'Lupión','id' => '3553','slug' => 'lupin','latitude' => '37.9965553','longitude' => '-3.5469359'),
        array('province_id' => '23','town' => 'Mancha Real','id' => '3554','slug' => 'mancha-real','latitude' => '37.7861677','longitude' => '-3.6123929'),
        array('province_id' => '23','town' => 'Marmolejo','id' => '3555','slug' => 'marmolejo','latitude' => '38.0443267','longitude' => '-4.1706074'),
        array('province_id' => '23','town' => 'Martos','id' => '3556','slug' => 'martos','latitude' => '37.7227776','longitude' => '-3.9662585'),
        array('province_id' => '23','town' => 'Mengíbar','id' => '3557','slug' => 'mengbar','latitude' => '37.9683279','longitude' => '-3.8088062'),
        array('province_id' => '23','town' => 'Montizón','id' => '3558','slug' => 'montizn','latitude' => '38.3424358','longitude' => '-3.1034042'),
        array('province_id' => '23','town' => 'Navas de San Juan','id' => '3559','slug' => 'navas-de-san-juan','latitude' => '38.1846359','longitude' => '-3.3153686'),
        array('province_id' => '23','town' => 'Noalejo','id' => '3560','slug' => 'noalejo','latitude' => '37.5293938','longitude' => '-3.6536752'),
        array('province_id' => '23','town' => 'Orcera','id' => '3561','slug' => 'orcera','latitude' => '38.3173831','longitude' => '-2.6649122'),
        array('province_id' => '23','town' => 'Peal de Becerro','id' => '3562','slug' => 'peal-de-becerro','latitude' => '37.9133184','longitude' => '-3.1216546'),
        array('province_id' => '23','town' => 'Pegalajar','id' => '3563','slug' => 'pegalajar','latitude' => '37.7379734','longitude' => '-3.6510984'),
        array('province_id' => '23','town' => 'Porcuna','id' => '3564','slug' => 'porcuna','latitude' => '37.8708664','longitude' => '-4.1847207'),
        array('province_id' => '23','town' => 'Pozo Alcón','id' => '3565','slug' => 'pozo-alcn','latitude' => '37.7051163','longitude' => '-2.9343596'),
        array('province_id' => '23','town' => 'Puente de Génave','id' => '3566','slug' => 'puente-de-gnave','latitude' => '38.3532263','longitude' => '-2.8044079'),
        array('province_id' => '23','town' => 'Puerta de Segura, La','id' => '3567','slug' => 'puerta-de-segura-la','latitude' => '38.3486088','longitude' => '-2.7371466'),
        array('province_id' => '23','town' => 'Quesada','id' => '3568','slug' => 'quesada','latitude' => '37.8451039','longitude' => '-3.067591'),
        array('province_id' => '23','town' => 'Rus','id' => '3569','slug' => 'rus','latitude' => '38.0480731','longitude' => '-3.462054'),
        array('province_id' => '23','town' => 'Sabiote','id' => '3570','slug' => 'sabiote','latitude' => '38.069146','longitude' => '-3.3065945'),
        array('province_id' => '23','town' => 'Santa Elena','id' => '3571','slug' => 'santa-elena','latitude' => '38.3391106','longitude' => '-3.5392362'),
        array('province_id' => '23','town' => 'Santiago de Calatrava','id' => '3572','slug' => 'santiago-de-calatrava','latitude' => '37.752996','longitude' => '-4.1691076'),
        array('province_id' => '23','town' => 'Santiago-Pontones','id' => '3573','slug' => 'santiago-pontones','latitude' => '38.1','longitude' => '-2.55'),
        array('province_id' => '23','town' => 'Santisteban del Puerto','id' => '3574','slug' => 'santisteban-del-puerto','latitude' => '38.2474561','longitude' => '-3.2064275'),
        array('province_id' => '23','town' => 'Santo Tomé','id' => '3575','slug' => 'santo-tom','latitude' => '38.0281848','longitude' => '-3.1018444'),
        array('province_id' => '23','town' => 'Segura de la Sierra','id' => '3576','slug' => 'segura-de-la-sierra','latitude' => '38.2977559','longitude' => '-2.6515131'),
        array('province_id' => '23','town' => 'Siles','id' => '3577','slug' => 'siles','latitude' => '38.3873389','longitude' => '-2.5813101'),
        array('province_id' => '23','town' => 'Sorihuela del Guadalimar','id' => '3578','slug' => 'sorihuela-del-guadalimar','latitude' => '38.2395433','longitude' => '-3.0541525'),
        array('province_id' => '23','town' => 'Torre del Campo','id' => '3579','slug' => 'torre-del-campo','latitude' => '37.776568','longitude' => '-3.895521'),
        array('province_id' => '23','town' => 'Torreblascopedro','id' => '3580','slug' => 'torreblascopedro','latitude' => '37.996182','longitude' => '-3.6389165'),
        array('province_id' => '23','town' => 'Torredonjimeno','id' => '3581','slug' => 'torredonjimeno','latitude' => '37.7657676','longitude' => '-3.9586928'),
        array('province_id' => '23','town' => 'Torreperogil','id' => '3582','slug' => 'torreperogil','latitude' => '38.0344956','longitude' => '-3.2875969'),
        array('province_id' => '23','town' => 'Torres','id' => '3583','slug' => 'torres','latitude' => '37.7860837','longitude' => '-3.5100315'),
        array('province_id' => '23','town' => 'Torres de Albánchez','id' => '3584','slug' => 'torres-de-albnchez','latitude' => '38.4145117','longitude' => '-2.6770511'),
        array('province_id' => '23','town' => 'Úbeda','id' => '3585','slug' => 'beda','latitude' => '38.0080881','longitude' => '-3.3685189'),
        array('province_id' => '23','town' => 'Valdepeñas de Jaén','id' => '3586','slug' => 'valdepeas-de-jan','latitude' => '37.590343','longitude' => '-3.8196447'),
        array('province_id' => '23','town' => 'Vilches','id' => '3587','slug' => 'vilches','latitude' => '38.2046706','longitude' => '-3.5076619'),
        array('province_id' => '23','town' => 'Villacarrillo','id' => '3588','slug' => 'villacarrillo','latitude' => '38.1154146','longitude' => '-3.0871943'),
        array('province_id' => '23','town' => 'Villanueva de la Reina','id' => '3589','slug' => 'villanueva-de-la-reina','latitude' => '38.0049841','longitude' => '-3.9195123'),
        array('province_id' => '23','town' => 'Villanueva del Arzobispo','id' => '3590','slug' => 'villanueva-del-arzobispo','latitude' => '38.1693424','longitude' => '-3.0100993'),
        array('province_id' => '23','town' => 'Villardompardo','id' => '3591','slug' => 'villardompardo','latitude' => '37.83969','longitude' => '-4.0012859'),
        array('province_id' => '23','town' => 'Villares, Los','id' => '3592','slug' => 'villares-los','latitude' => '37.6893179','longitude' => '-3.8185702'),
        array('province_id' => '23','town' => 'Villarrodrigo','id' => '3593','slug' => 'villarrodrigo','latitude' => '38.4879312','longitude' => '-2.6362718'),
        array('province_id' => '23','town' => 'Villatorres','id' => '3594','slug' => 'villatorres','latitude' => '37.9312975','longitude' => '-3.6927531'),
        array('province_id' => '24','town' => 'Acebedo','id' => '3595','slug' => 'acebedo','latitude' => '43.0390945','longitude' => '-5.1168297'),
        array('province_id' => '24','town' => 'Algadefe','id' => '3596','slug' => 'algadefe','latitude' => '42.2177797','longitude' => '-5.5828021'),
        array('province_id' => '24','town' => 'Alija del Infantado','id' => '3597','slug' => 'alija-del-infantado','latitude' => '42.1405258','longitude' => '-5.8356348'),
        array('province_id' => '24','town' => 'Almanza','id' => '3598','slug' => 'almanza','latitude' => '42.6590358','longitude' => '-5.0359888'),
        array('province_id' => '24','town' => 'Antigua, La','id' => '3599','slug' => 'antigua-la','latitude' => '42.1792072','longitude' => '-5.6896103'),
        array('province_id' => '24','town' => 'Ardón','id' => '3600','slug' => 'ardn','latitude' => '42.4372467','longitude' => '-5.5626437'),
        array('province_id' => '24','town' => 'Arganza','id' => '3601','slug' => 'arganza','latitude' => '42.640446','longitude' => '-6.6860097'),
        array('province_id' => '24','town' => 'Astorga','id' => '3602','slug' => 'astorga','latitude' => '42.4589013','longitude' => '-6.0635263'),
        array('province_id' => '24','town' => 'Balboa','id' => '3603','slug' => 'balboa','latitude' => '42.706515','longitude' => '-6.9233073'),
        array('province_id' => '24','town' => 'Bañeza, La','id' => '3604','slug' => 'baeza-la','latitude' => '42.6074284','longitude' => '-5.5700248'),
        array('province_id' => '24','town' => 'Barjas','id' => '3605','slug' => 'barjas','latitude' => '42.611208','longitude' => '-6.9787966'),
        array('province_id' => '24','town' => 'Barrios de Luna, Los','id' => '3606','slug' => 'barrios-de-luna-los','latitude' => '42.8458137','longitude' => '-5.8601841'),
        array('province_id' => '24','town' => 'Bembibre','id' => '3607','slug' => 'bembibre','latitude' => '42.6157134','longitude' => '-6.4164503'),
        array('province_id' => '24','town' => 'Benavides','id' => '3608','slug' => 'benavides','latitude' => '42.5','longitude' => '-5.9'),
        array('province_id' => '24','town' => 'Benuza','id' => '3609','slug' => 'benuza','latitude' => '42.3984987','longitude' => '-6.7113458'),
        array('province_id' => '24','town' => 'Bercianos del Páramo','id' => '3610','slug' => 'bercianos-del-pramo','latitude' => '42.3808059','longitude' => '-5.7033395'),
        array('province_id' => '24','town' => 'Bercianos del Real Camino','id' => '3611','slug' => 'bercianos-del-real-camino','latitude' => '42.387604','longitude' => '-5.1443884'),
        array('province_id' => '24','town' => 'Berlanga del Bierzo','id' => '3612','slug' => 'berlanga-del-bierzo','latitude' => '42.7311956','longitude' => '-6.6042037'),
        array('province_id' => '24','town' => 'Boca de Huérgano','id' => '3613','slug' => 'boca-de-hurgano','latitude' => '42.9738642','longitude' => '-4.9275294'),
        array('province_id' => '24','town' => 'Boñar','id' => '3614','slug' => 'boar','latitude' => '42.8667414','longitude' => '-5.3229344'),
        array('province_id' => '24','town' => 'Borrenes','id' => '3615','slug' => 'borrenes','latitude' => '42.4915722','longitude' => '-6.7262359'),
        array('province_id' => '24','town' => 'Brazuelo','id' => '3616','slug' => 'brazuelo','latitude' => '42.4974102','longitude' => '-6.1572051'),
        array('province_id' => '24','town' => 'Burgo Ranero, El','id' => '3617','slug' => 'burgo-ranero-el','latitude' => '42.4230213','longitude' => '-5.221506'),
        array('province_id' => '24','town' => 'Burón','id' => '3618','slug' => 'burn','latitude' => '43.0235625','longitude' => '-5.0513415'),
        array('province_id' => '24','town' => 'Bustillo del Páramo','id' => '3619','slug' => 'bustillo-del-pramo','latitude' => '42.4413392','longitude' => '-5.7917985'),
        array('province_id' => '24','town' => 'Cabañas Raras','id' => '3620','slug' => 'cabaas-raras','latitude' => '42.6200623','longitude' => '-6.6404927'),
        array('province_id' => '24','town' => 'Cabreros del Río','id' => '3621','slug' => 'cabreros-del-ro','latitude' => '42.4013661','longitude' => '-5.5406501'),
        array('province_id' => '24','town' => 'Cabrillanes','id' => '3622','slug' => 'cabrillanes','latitude' => '42.9528128','longitude' => '-6.14876'),
        array('province_id' => '24','town' => 'Cacabelos','id' => '3623','slug' => 'cacabelos','latitude' => '42.5998679','longitude' => '-6.7256202'),
        array('province_id' => '24','town' => 'Calzada del Coto','id' => '3624','slug' => 'calzada-del-coto','latitude' => '42.3877408','longitude' => '-5.0807657'),
        array('province_id' => '24','town' => 'Campazas','id' => '3625','slug' => 'campazas','latitude' => '42.1420221','longitude' => '-5.491729'),
        array('province_id' => '24','town' => 'Campo de Villavidel','id' => '3626','slug' => 'campo-de-villavidel','latitude' => '42.439792','longitude' => '-5.5262587'),
        array('province_id' => '24','town' => 'Camponaraya','id' => '3627','slug' => 'camponaraya','latitude' => '42.5808278','longitude' => '-6.6702979'),
        array('province_id' => '24','town' => 'Candín','id' => '3628','slug' => 'candn','latitude' => '42.8168545','longitude' => '-6.7280754'),
        array('province_id' => '24','town' => 'Cármenes','id' => '3629','slug' => 'crmenes','latitude' => '42.9589655','longitude' => '-5.5747118'),
        array('province_id' => '24','town' => 'Carracedelo','id' => '3630','slug' => 'carracedelo','latitude' => '42.5547347','longitude' => '-6.7341626'),
        array('province_id' => '24','town' => 'Carrizo','id' => '3631','slug' => 'carrizo','latitude' => '42.5869727','longitude' => '-5.8670405'),
        array('province_id' => '24','town' => 'Carrocera','id' => '3632','slug' => 'carrocera','latitude' => '42.7958844','longitude' => '-5.7432823'),
        array('province_id' => '24','town' => 'Carucedo','id' => '3633','slug' => 'carucedo','latitude' => '42.4902949','longitude' => '-6.7627555'),
        array('province_id' => '24','town' => 'Castilfalé','id' => '3634','slug' => 'castilfal','latitude' => '42.2197084','longitude' => '-5.4222459'),
        array('province_id' => '24','town' => 'Castrillo de Cabrera','id' => '3635','slug' => 'castrillo-de-cabrera','latitude' => '42.3403399','longitude' => '-6.5444176'),
        array('province_id' => '24','town' => 'Castrillo de la Valduerna','id' => '3636','slug' => 'castrillo-de-la-valduerna','latitude' => '42.3242681','longitude' => '-6.1347487'),
        array('province_id' => '24','town' => 'Castrocalbón','id' => '3637','slug' => 'castrocalbn','latitude' => '42.1959052','longitude' => '-5.9787738'),
        array('province_id' => '24','town' => 'Castrocontrigo','id' => '3638','slug' => 'castrocontrigo','latitude' => '42.183003','longitude' => '-6.1883918'),
        array('province_id' => '24','town' => 'Castropodame','id' => '3639','slug' => 'castropodame','latitude' => '42.5800436','longitude' => '-6.467308'),
        array('province_id' => '24','town' => 'Castrotierra de Valmadrigal','id' => '3640','slug' => 'castrotierra-de-valmadrigal','latitude' => '42.3442197','longitude' => '-5.2521616'),
        array('province_id' => '24','town' => 'Cea','id' => '3641','slug' => 'cea','latitude' => '42.4627601','longitude' => '-5.0129075'),
        array('province_id' => '24','town' => 'Cebanico','id' => '3642','slug' => 'cebanico','latitude' => '42.7254254','longitude' => '-5.025482'),
        array('province_id' => '24','town' => 'Cebrones del Río','id' => '3643','slug' => 'cebrones-del-ro','latitude' => '42.2567188','longitude' => '-5.8257165'),
        array('province_id' => '24','town' => 'Chozas de Abajo','id' => '3644','slug' => 'chozas-de-abajo','latitude' => '42.5072551','longitude' => '-5.6865519'),
        array('province_id' => '24','town' => 'Cimanes de la Vega','id' => '3645','slug' => 'cimanes-de-la-vega','latitude' => '42.1174401','longitude' => '-5.5995636'),
        array('province_id' => '24','town' => 'Cimanes del Tejar','id' => '3646','slug' => 'cimanes-del-tejar','latitude' => '42.6184859','longitude' => '-5.8056062'),
        array('province_id' => '24','town' => 'Cistierna','id' => '3647','slug' => 'cistierna','latitude' => '42.8028653','longitude' => '-5.1253023'),
        array('province_id' => '24','town' => 'Congosto','id' => '3648','slug' => 'congosto','latitude' => '42.6179129','longitude' => '-6.5200124'),
        array('province_id' => '24','town' => 'Corbillos de los Oteros','id' => '3649','slug' => 'corbillos-de-los-oteros','latitude' => '42.4078779','longitude' => '-5.4591762'),
        array('province_id' => '24','town' => 'Corullón','id' => '3650','slug' => 'corulln','latitude' => '42.5803784','longitude' => '-6.812983'),
        array('province_id' => '24','town' => 'Crémenes','id' => '3651','slug' => '3651-crmenes','latitude' => '42.9030441','longitude' => '-5.14331'),
        array('province_id' => '24','town' => 'Cuadros','id' => '3652','slug' => 'cuadros','latitude' => '42.7103296','longitude' => '-5.6390723'),
        array('province_id' => '24','town' => 'Cubillas de los Oteros','id' => '3653','slug' => 'cubillas-de-los-oteros','latitude' => '42.3729394','longitude' => '-5.5077034'),
        array('province_id' => '24','town' => 'Cubillas de Rueda','id' => '3654','slug' => 'cubillas-de-rueda','latitude' => '42.6554868','longitude' => '-5.174273'),
        array('province_id' => '24','town' => 'Cubillos del Sil','id' => '3655','slug' => 'cubillos-del-sil','latitude' => '42.6238723','longitude' => '-6.5636783'),
        array('province_id' => '24','town' => 'Destriana','id' => '3656','slug' => 'destriana','latitude' => '42.3277515','longitude' => '-6.0968722'),
        array('province_id' => '24','town' => 'Encinedo','id' => '3657','slug' => 'encinedo','latitude' => '42.2710283','longitude' => '-6.594176'),
        array('province_id' => '24','town' => 'Ercina, La','id' => '3658','slug' => 'ercina-la','latitude' => '42.6152567','longitude' => '-5.5694'),
        array('province_id' => '24','town' => 'Escobar de Campos','id' => '3659','slug' => 'escobar-de-campos','latitude' => '42.3136135','longitude' => '-4.9670006'),
        array('province_id' => '24','town' => 'Fabero','id' => '3660','slug' => 'fabero','latitude' => '42.7679721','longitude' => '-6.6251438'),
        array('province_id' => '24','town' => 'Folgoso de la Ribera','id' => '3661','slug' => 'folgoso-de-la-ribera','latitude' => '42.6435899','longitude' => '-6.319312'),
        array('province_id' => '24','town' => 'Fresno de la Vega','id' => '3662','slug' => 'fresno-de-la-vega','latitude' => '42.3453281','longitude' => '-5.5338796'),
        array('province_id' => '24','town' => 'Fuentes de Carbajal','id' => '3663','slug' => 'fuentes-de-carbajal','latitude' => '42.1774358','longitude' => '-5.4464693'),
        array('province_id' => '24','town' => 'Garrafe de Torío','id' => '3664','slug' => 'garrafe-de-toro','latitude' => '42.7327647','longitude' => '-5.5236632'),
        array('province_id' => '24','town' => 'Gordaliza del Pino','id' => '3665','slug' => 'gordaliza-del-pino','latitude' => '42.3436249','longitude' => '-5.1573956'),
        array('province_id' => '24','town' => 'Gordoncillo','id' => '3666','slug' => 'gordoncillo','latitude' => '42.1343423','longitude' => '-5.4028945'),
        array('province_id' => '24','town' => 'Gradefes','id' => '3667','slug' => 'gradefes','latitude' => '42.6249162','longitude' => '-5.2274454'),
        array('province_id' => '24','town' => 'Grajal de Campos','id' => '3668','slug' => 'grajal-de-campos','latitude' => '42.3209216','longitude' => '-5.0208161'),
        array('province_id' => '24','town' => 'Gusendos de los Oteros','id' => '3669','slug' => 'gusendos-de-los-oteros','latitude' => '42.3778902','longitude' => '-5.4297588'),
        array('province_id' => '24','town' => 'Hospital de Órbigo','id' => '3670','slug' => 'hospital-de-rbigo','latitude' => '42.4612894','longitude' => '-5.884193'),
        array('province_id' => '24','town' => 'Igüeña','id' => '3671','slug' => 'igea','latitude' => '42.7290504','longitude' => '-6.2766398'),
        array('province_id' => '24','town' => 'Izagre','id' => '3672','slug' => 'izagre','latitude' => '42.2242364','longitude' => '-5.2572926'),
        array('province_id' => '24','town' => 'Joarilla de las Matas','id' => '3673','slug' => 'joarilla-de-las-matas','latitude' => '42.2885697','longitude' => '-5.1772242'),
        array('province_id' => '24','town' => 'Laguna Dalga','id' => '3674','slug' => 'laguna-dalga','latitude' => '42.3320482','longitude' => '-5.7504299'),
        array('province_id' => '24','town' => 'Laguna de Negrillos','id' => '3675','slug' => 'laguna-de-negrillos','latitude' => '42.2396829','longitude' => '-5.6616676'),
        array('province_id' => '24','town' => 'León','id' => '3676','slug' => 'len','latitude' => '42.5998764','longitude' => '-5.571752'),
        array('province_id' => '24','town' => 'Llamas de la Ribera','id' => '3677','slug' => 'llamas-de-la-ribera','latitude' => '42.6351188','longitude' => '-5.8253685'),
        array('province_id' => '24','town' => 'Lucillo','id' => '3678','slug' => 'lucillo','latitude' => '42.4105907','longitude' => '-6.3044505'),
        array('province_id' => '24','town' => 'Luyego','id' => '3679','slug' => 'luyego','latitude' => '42.3666667','longitude' => '-6.2333333'),
        array('province_id' => '24','town' => 'Magaz de Cepeda','id' => '3680','slug' => 'magaz-de-cepeda','latitude' => '42.5389502','longitude' => '-6.0733215'),
        array('province_id' => '24','town' => 'Mansilla de las Mulas','id' => '3681','slug' => 'mansilla-de-las-mulas','latitude' => '42.4975249','longitude' => '-5.4164441'),
        array('province_id' => '24','town' => 'Mansilla Mayor','id' => '3682','slug' => 'mansilla-mayor','latitude' => '42.5089041','longitude' => '-5.4420776'),
        array('province_id' => '24','town' => 'Maraña','id' => '3683','slug' => 'maraa','latitude' => '43.049148','longitude' => '-5.177067'),
        array('province_id' => '24','town' => 'Matadeón de los Oteros','id' => '3684','slug' => 'mataden-de-los-oteros','latitude' => '42.3385887','longitude' => '-5.3712585'),
        array('province_id' => '24','town' => 'Matallana de Torío','id' => '3685','slug' => 'matallana-de-toro','latitude' => '42.8663355','longitude' => '-5.5212785'),
        array('province_id' => '24','town' => 'Matanza','id' => '3686','slug' => 'matanza','latitude' => '42.240548','longitude' => '-5.376201'),
        array('province_id' => '24','town' => 'Molinaseca','id' => '3687','slug' => 'molinaseca','latitude' => '42.5382777','longitude' => '-6.5198092'),
        array('province_id' => '24','town' => 'Murias de Paredes','id' => '3688','slug' => 'murias-de-paredes','latitude' => '42.8489297','longitude' => '-6.1911363'),
        array('province_id' => '24','town' => 'Noceda del Bierzo','id' => '3689','slug' => 'noceda-del-bierzo','latitude' => '42.7104252','longitude' => '-6.3978391'),
        array('province_id' => '24','town' => 'Oencia','id' => '3690','slug' => 'oencia','latitude' => '42.5464373','longitude' => '-6.9706502'),
        array('province_id' => '24','town' => 'Omañas, Las','id' => '3691','slug' => 'omaas-las','latitude' => '42.6833211','longitude' => '-5.8696521'),
        array('province_id' => '24','town' => 'Onzonilla','id' => '3692','slug' => 'onzonilla','latitude' => '42.5247805','longitude' => '-5.5833555'),
        array('province_id' => '24','town' => 'Oseja de Sajambre','id' => '3693','slug' => 'oseja-de-sajambre','latitude' => '43.1382144','longitude' => '-5.0367247'),
        array('province_id' => '24','town' => 'Pajares de los Oteros','id' => '3694','slug' => 'pajares-de-los-oteros','latitude' => '42.329811','longitude' => '-5.4725836'),
        array('province_id' => '24','town' => 'Palacios de la Valduerna','id' => '3695','slug' => 'palacios-de-la-valduerna','latitude' => '42.3275399','longitude' => '-5.9386375'),
        array('province_id' => '24','town' => 'Palacios del Sil','id' => '3696','slug' => 'palacios-del-sil','latitude' => '42.8765912','longitude' => '-6.4330072'),
        array('province_id' => '24','town' => 'Páramo del Sil','id' => '3697','slug' => 'pramo-del-sil','latitude' => '42.8202359','longitude' => '-6.4882282'),
        array('province_id' => '24','town' => 'Peranzanes','id' => '3698','slug' => 'peranzanes','latitude' => '42.8767808','longitude' => '-6.6343205'),
        array('province_id' => '24','town' => 'Pobladura de Pelayo García','id' => '3699','slug' => 'pobladura-de-pelayo-garca','latitude' => '42.3061547','longitude' => '-5.6858271'),
        array('province_id' => '24','town' => 'Pola de Gordón, La','id' => '3700','slug' => 'pola-de-gordn-la','latitude' => '42.8549776','longitude' => '-5.6702036'),
        array('province_id' => '24','town' => 'Ponferrada','id' => '3701','slug' => 'ponferrada','latitude' => '42.5463315','longitude' => '-6.5908331'),
        array('province_id' => '24','town' => 'Posada de Valdeón','id' => '3702','slug' => 'posada-de-valden','latitude' => '43.1517595','longitude' => '-4.9196062'),
        array('province_id' => '24','town' => 'Pozuelo del Páramo','id' => '3703','slug' => 'pozuelo-del-pramo','latitude' => '42.1705449','longitude' => '-5.7686368'),
        array('province_id' => '24','town' => 'Prado de la Guzpeña','id' => '3704','slug' => 'prado-de-la-guzpea','latitude' => '42.7838828','longitude' => '-5.0264816'),
        array('province_id' => '24','town' => 'Priaranza del Bierzo','id' => '3705','slug' => 'priaranza-del-bierzo','latitude' => '42.5105832','longitude' => '-6.6682776'),
        array('province_id' => '24','town' => 'Prioro','id' => '3706','slug' => 'prioro','latitude' => '42.8943909','longitude' => '-4.9619332'),
        array('province_id' => '24','town' => 'Puebla de Lillo','id' => '3707','slug' => 'puebla-de-lillo','latitude' => '43.0066124','longitude' => '-5.2758875'),
        array('province_id' => '24','town' => 'Puente de Domingo Flórez','id' => '3708','slug' => 'puente-de-domingo-flrez','latitude' => '42.4143785','longitude' => '-6.8240604'),
        array('province_id' => '24','town' => 'Quintana del Castillo','id' => '3709','slug' => 'quintana-del-castillo','latitude' => '42.6616088','longitude' => '-6.0452606'),
        array('province_id' => '24','town' => 'Quintana del Marco','id' => '3710','slug' => 'quintana-del-marco','latitude' => '42.2062865','longitude' => '-5.8513644'),
        array('province_id' => '24','town' => 'Quintana y Congosto','id' => '3711','slug' => 'quintana-y-congosto','latitude' => '42.2559179','longitude' => '-6.0373034'),
        array('province_id' => '24','town' => 'Regueras de Arriba','id' => '3712','slug' => 'regueras-de-arriba','latitude' => '42.2929465','longitude' => '-5.8603903'),
        array('province_id' => '24','town' => 'Reyero','id' => '3713','slug' => 'reyero','latitude' => '42.9492775','longitude' => '-5.1995568'),
        array('province_id' => '24','town' => 'Riaño','id' => '3714','slug' => 'riao','latitude' => '42.9748056','longitude' => '-5.0121014'),
        array('province_id' => '24','town' => 'Riego de la Vega','id' => '3715','slug' => 'riego-de-la-vega','latitude' => '42.3893272','longitude' => '-5.9822243'),
        array('province_id' => '24','town' => 'Riello','id' => '3716','slug' => 'riello','latitude' => '42.7737746','longitude' => '-5.9445543'),
        array('province_id' => '24','town' => 'Rioseco de Tapia','id' => '3717','slug' => 'rioseco-de-tapia','latitude' => '42.7295452','longitude' => '-5.7900701'),
        array('province_id' => '24','town' => 'Robla, La','id' => '3718','slug' => 'robla-la','latitude' => '42.8015908','longitude' => '-5.6289785'),
        array('province_id' => '24','town' => 'Roperuelos del Páramo','id' => '3719','slug' => 'roperuelos-del-pramo','latitude' => '42.2370188','longitude' => '-5.7828503'),
        array('province_id' => '24','town' => 'Sabero','id' => '3720','slug' => 'sabero','latitude' => '42.8362887','longitude' => '-5.150429'),
        array('province_id' => '24','town' => 'Sahagún','id' => '3721','slug' => 'sahagn','latitude' => '42.3720265','longitude' => '-5.0304401'),
        array('province_id' => '24','town' => 'San Adrián del Valle','id' => '3722','slug' => 'san-adrin-del-valle','latitude' => '42.1312757','longitude' => '-5.7302671'),
        array('province_id' => '24','town' => 'San Andrés del Rabanedo','id' => '3723','slug' => 'san-andrs-del-rabanedo','latitude' => '42.6113842','longitude' => '-5.6194923'),
        array('province_id' => '24','town' => 'San Cristóbal de la Polantera','id' => '3724','slug' => 'san-cristbal-de-la-polantera','latitude' => '42.3912656','longitude' => '-5.9088294'),
        array('province_id' => '24','town' => 'San Emiliano','id' => '3725','slug' => 'san-emiliano','latitude' => '42.971815','longitude' => '-6.000573'),
        array('province_id' => '24','town' => 'San Esteban de Nogales','id' => '3726','slug' => 'san-esteban-de-nogales','latitude' => '42.1622387','longitude' => '-5.9306951'),
        array('province_id' => '24','town' => 'San Justo de la Vega','id' => '3727','slug' => 'san-justo-de-la-vega','latitude' => '42.4541984','longitude' => '-6.0148133'),
        array('province_id' => '24','town' => 'San Millán de los Caballeros','id' => '3728','slug' => 'san-milln-de-los-caballeros','latitude' => '42.2861078','longitude' => '-5.5624586'),
        array('province_id' => '24','town' => 'San Pedro Bercianos','id' => '3729','slug' => 'san-pedro-bercianos','latitude' => '42.3916615','longitude' => '-5.7095444'),
        array('province_id' => '24','town' => 'Sancedo','id' => '3730','slug' => 'sancedo','latitude' => '42.6679995','longitude' => '-6.6328874'),
        array('province_id' => '24','town' => 'Santa Colomba de Curueño','id' => '3731','slug' => 'santa-colomba-de-curueo','latitude' => '42.7508446','longitude' => '-5.4116335'),
        array('province_id' => '24','town' => 'Santa Colomba de Somoza','id' => '3732','slug' => 'santa-colomba-de-somoza','latitude' => '42.4444899','longitude' => '-6.2441721'),
        array('province_id' => '24','town' => 'Santa Cristina de Valmadrigal','id' => '3733','slug' => 'santa-cristina-de-valmadrigal','latitude' => '42.3564936','longitude' => '-5.3104981'),
        array('province_id' => '24','town' => 'Santa Elena de Jamuz','id' => '3734','slug' => 'santa-elena-de-jamuz','latitude' => '42.2600003','longitude' => '-5.8866679'),
        array('province_id' => '24','town' => 'Santa María de la Isla','id' => '3735','slug' => 'santa-mara-de-la-isla','latitude' => '42.3550402','longitude' => '-5.9292755'),
        array('province_id' => '24','town' => 'Santa María de Ordás','id' => '3736','slug' => 'santa-mara-de-ords','latitude' => '42.7272408','longitude' => '-5.8225083'),
        array('province_id' => '24','town' => 'Santa María del Monte de Cea','id' => '3737','slug' => 'santa-mara-del-monte-de-cea','latitude' => '42.4917827','longitude' => '-5.1175156'),
        array('province_id' => '24','town' => 'Santa María del Páramo','id' => '3738','slug' => 'santa-mara-del-pramo','latitude' => '42.355681','longitude' => '-5.7478542'),
        array('province_id' => '24','town' => 'Santa Marina del Rey','id' => '3739','slug' => 'santa-marina-del-rey','latitude' => '42.5135875','longitude' => '-5.8584107'),
        array('province_id' => '24','town' => 'Santas Martas','id' => '3740','slug' => 'santas-martas','latitude' => '42.4327054','longitude' => '-5.3720842'),
        array('province_id' => '24','town' => 'Santiago Millas','id' => '3741','slug' => 'santiago-millas','latitude' => '42.3824782','longitude' => '-6.1057679'),
        array('province_id' => '24','town' => 'Santovenia de la Valdoncina','id' => '3742','slug' => 'santovenia-de-la-valdoncina','latitude' => '42.5432463','longitude' => '-5.6218809'),
        array('province_id' => '24','town' => 'Sariegos','id' => '3743','slug' => 'sariegos','latitude' => '42.65','longitude' => '-5.6333333'),
        array('province_id' => '24','town' => 'Sena de Luna','id' => '3744','slug' => 'sena-de-luna','latitude' => '42.9297232','longitude' => '-5.9520726'),
        array('province_id' => '24','town' => 'Sobrado','id' => '3745','slug' => '3745-sobrado','latitude' => '42.5191496','longitude' => '-6.8537334'),
        array('province_id' => '24','town' => 'Soto de la Vega','id' => '3746','slug' => 'soto-de-la-vega','latitude' => '42.3312541','longitude' => '-5.8825843'),
        array('province_id' => '24','town' => 'Soto y Amío','id' => '3747','slug' => 'soto-y-amo','latitude' => '42.7799431','longitude' => '-5.8864623'),
        array('province_id' => '24','town' => 'Toral de los Guzmanes','id' => '3748','slug' => 'toral-de-los-guzmanes','latitude' => '42.2428589','longitude' => '-5.5682835'),
        array('province_id' => '24','town' => 'Toral de los Vados','id' => '3749','slug' => 'toral-de-los-vados','latitude' => '42.5447111','longitude' => '-6.7814231'),
        array('province_id' => '24','town' => 'Toreno','id' => '3750','slug' => 'toreno','latitude' => '42.7005553','longitude' => '-6.509904'),
        array('province_id' => '24','town' => 'Torre del Bierzo','id' => '3751','slug' => 'torre-del-bierzo','latitude' => '42.594704','longitude' => '-6.3248074'),
        array('province_id' => '24','town' => 'Trabadelo','id' => '3752','slug' => 'trabadelo','latitude' => '42.6494503','longitude' => '-6.8821309'),
        array('province_id' => '24','town' => 'Truchas','id' => '3753','slug' => 'truchas','latitude' => '42.2612227','longitude' => '-6.4354897'),
        array('province_id' => '24','town' => 'Turcia','id' => '3754','slug' => 'turcia','latitude' => '42.5349253','longitude' => '-5.8761893'),
        array('province_id' => '24','town' => 'Urdiales del Páramo','id' => '3755','slug' => 'urdiales-del-pramo','latitude' => '42.3704325','longitude' => '-5.7731177'),
        array('province_id' => '24','town' => 'Val de San Lorenzo','id' => '3756','slug' => 'val-de-san-lorenzo','latitude' => '42.4169485','longitude' => '-6.1203965'),
        array('province_id' => '24','town' => 'Valdefresno','id' => '3757','slug' => 'valdefresno','latitude' => '42.5938119','longitude' => '-5.4921516'),
        array('province_id' => '24','town' => 'Valdefuentes del Páramo','id' => '3758','slug' => 'valdefuentes-del-pramo','latitude' => '42.323336','longitude' => '-5.8301188'),
        array('province_id' => '24','town' => 'Valdelugueros','id' => '3759','slug' => 'valdelugueros','latitude' => '42.9736413','longitude' => '-5.4127877'),
        array('province_id' => '24','town' => 'Valdemora','id' => '3760','slug' => 'valdemora','latitude' => '42.1947715','longitude' => '-5.4272261'),
        array('province_id' => '24','town' => 'Valdepiélago','id' => '3761','slug' => 'valdepilago','latitude' => '42.8686783','longitude' => '-5.3981537'),
        array('province_id' => '24','town' => 'Valdepolo','id' => '3762','slug' => 'valdepolo','latitude' => '42.5762543','longitude' => '-5.2261305'),
        array('province_id' => '24','town' => 'Valderas','id' => '3763','slug' => 'valderas','latitude' => '42.0775759','longitude' => '-5.4427666'),
        array('province_id' => '24','town' => 'Valderrey','id' => '3764','slug' => 'valderrey','latitude' => '42.394838','longitude' => '-6.018861'),
        array('province_id' => '24','town' => 'Valderrueda','id' => '3765','slug' => 'valderrueda','latitude' => '42.8154405','longitude' => '-4.9480675'),
        array('province_id' => '24','town' => 'Valdesamario','id' => '3766','slug' => 'valdesamario','latitude' => '42.721488','longitude' => '-5.9521878'),
        array('province_id' => '24','town' => 'Valdevimbre','id' => '3767','slug' => 'valdevimbre','latitude' => '42.4208105','longitude' => '-5.6224472'),
        array('province_id' => '24','town' => 'Valencia de Don Juan','id' => '3768','slug' => 'valencia-de-don-juan','latitude' => '42.2940141','longitude' => '-5.5198607'),
        array('province_id' => '24','town' => 'Vallecillo','id' => '3769','slug' => 'vallecillo','latitude' => '42.3565505','longitude' => '-5.211738'),
        array('province_id' => '24','town' => 'Valverde de la Virgen','id' => '3770','slug' => 'valverde-de-la-virgen','latitude' => '42.568644','longitude' => '-5.6837484'),
        array('province_id' => '24','town' => 'Valverde-Enrique','id' => '3771','slug' => 'valverde-enrique','latitude' => '42.3050499','longitude' => '-5.2999655'),
        array('province_id' => '24','town' => 'Vecilla, La','id' => '3772','slug' => 'vecilla-la','latitude' => '42.6031796','longitude' => '-5.5736217'),
        array('province_id' => '24','town' => 'Vega de Espinareda','id' => '3773','slug' => 'vega-de-espinareda','latitude' => '42.7260108','longitude' => '-6.6550124'),
        array('province_id' => '24','town' => 'Vega de Infanzones','id' => '3774','slug' => 'vega-de-infanzones','latitude' => '42.4826536','longitude' => '-5.5335326'),
        array('province_id' => '24','town' => 'Vega de Valcarce','id' => '3775','slug' => 'vega-de-valcarce','latitude' => '42.6640745','longitude' => '-6.9459352'),
        array('province_id' => '24','town' => 'Vegacervera','id' => '3776','slug' => 'vegacervera','latitude' => '42.88636','longitude' => '-5.5349388'),
        array('province_id' => '24','town' => 'Vegaquemada','id' => '3777','slug' => 'vegaquemada','latitude' => '42.8185042','longitude' => '-5.3328149'),
        array('province_id' => '24','town' => 'Vegas del Condado','id' => '3778','slug' => 'vegas-del-condado','latitude' => '42.6840359','longitude' => '-5.366673'),
        array('province_id' => '24','town' => 'Villablino','id' => '3779','slug' => 'villablino','latitude' => '42.938215','longitude' => '-6.3200779'),
        array('province_id' => '24','town' => 'Villabraz','id' => '3780','slug' => 'villabraz','latitude' => '42.2459221','longitude' => '-5.4471405'),
        array('province_id' => '24','town' => 'Villadangos del Páramo','id' => '3781','slug' => 'villadangos-del-pramo','latitude' => '42.5175065','longitude' => '-5.7664109'),
        array('province_id' => '24','town' => 'Villademor de la Vega','id' => '3782','slug' => 'villademor-de-la-vega','latitude' => '42.2703925','longitude' => '-5.5690568'),
        array('province_id' => '24','town' => 'Villafranca del Bierzo','id' => '3783','slug' => 'villafranca-del-bierzo','latitude' => '42.6076513','longitude' => '-6.8077478'),
        array('province_id' => '24','town' => 'Villagatón','id' => '3784','slug' => 'villagatn','latitude' => '42.6349009','longitude' => '-6.1621896'),
        array('province_id' => '24','town' => 'Villamandos','id' => '3785','slug' => 'villamandos','latitude' => '42.1797315','longitude' => '-5.5907874'),
        array('province_id' => '24','town' => 'Villamanín','id' => '3786','slug' => 'villamann','latitude' => '42.9383959','longitude' => '-5.6555906'),
        array('province_id' => '24','town' => 'Villamañán','id' => '3787','slug' => 'villaman','latitude' => '42.3217018','longitude' => '-5.582248'),
        array('province_id' => '24','town' => 'Villamartín de Don Sancho','id' => '3788','slug' => 'villamartn-de-don-sancho','latitude' => '42.5685295','longitude' => '-5.0583532'),
        array('province_id' => '24','town' => 'Villamejil','id' => '3789','slug' => 'villamejil','latitude' => '42.5623836','longitude' => '-6.0231929'),
        array('province_id' => '24','town' => 'Villamol','id' => '3790','slug' => 'villamol','latitude' => '42.4269561','longitude' => '-5.0468778'),
        array('province_id' => '24','town' => 'Villamontán de la Valduerna','id' => '3791','slug' => 'villamontn-de-la-valduerna','latitude' => '42.3098272','longitude' => '-5.995912'),
        array('province_id' => '24','town' => 'Villamoratiel de las Matas','id' => '3792','slug' => 'villamoratiel-de-las-matas','latitude' => '42.3980485','longitude' => '-5.30069'),
        array('province_id' => '24','town' => 'Villanueva de las Manzanas','id' => '3793','slug' => 'villanueva-de-las-manzanas','latitude' => '42.4707073','longitude' => '-5.479661'),
        array('province_id' => '24','town' => 'Villaobispo de Otero','id' => '3794','slug' => 'villaobispo-de-otero','latitude' => '42.5002415','longitude' => '-6.0583522'),
        array('province_id' => '24','town' => 'Villaornate y Castro','id' => '3795','slug' => 'villaornate-y-castro','latitude' => '42.1847302','longitude' => '-5.549681'),
        array('province_id' => '24','town' => 'Villaquejida','id' => '3796','slug' => 'villaquejida','latitude' => '42.1451373','longitude' => '-5.5975616'),
        array('province_id' => '24','town' => 'Villaquilambre','id' => '3797','slug' => 'villaquilambre','latitude' => '42.6388554','longitude' => '-5.5575846'),
        array('province_id' => '24','town' => 'Villarejo de Órbigo','id' => '3798','slug' => 'villarejo-de-rbigo','latitude' => '42.4461428','longitude' => '-5.9042182'),
        array('province_id' => '24','town' => 'Villares de Órbigo','id' => '3799','slug' => 'villares-de-rbigo','latitude' => '42.4711832','longitude' => '-5.9131533'),
        array('province_id' => '24','town' => 'Villasabariego','id' => '3800','slug' => 'villasabariego','latitude' => '42.5335921','longitude' => '-5.4139287'),
        array('province_id' => '24','town' => 'Villaselán','id' => '3801','slug' => 'villaseln','latitude' => '42.5609215','longitude' => '-5.0475819'),
        array('province_id' => '24','town' => 'Villaturiel','id' => '3802','slug' => 'villaturiel','latitude' => '42.5185518','longitude' => '-5.4851866'),
        array('province_id' => '24','town' => 'Villazala','id' => '3803','slug' => 'villazala','latitude' => '42.3612592','longitude' => '-5.8545998'),
        array('province_id' => '24','town' => 'Villazanzo de Valderaduey','id' => '3804','slug' => 'villazanzo-de-valderaduey','latitude' => '42.5350408','longitude' => '-4.9636822'),
        array('province_id' => '24','town' => 'Zotes del Páramo','id' => '3805','slug' => 'zotes-del-pramo','latitude' => '42.2720215','longitude' => '-5.7359581'),
        array('province_id' => '25','town' => 'Abella de la Conca','id' => '3806','slug' => 'abella-de-la-conca','latitude' => '42.1610657','longitude' => '1.0897641'),
        array('province_id' => '25','town' => 'Àger','id' => '3807','slug' => '3807-ger','latitude' => '42.0028246','longitude' => '0.7643949'),
        array('province_id' => '25','town' => 'Agramunt','id' => '3808','slug' => 'agramunt','latitude' => '41.7861117','longitude' => '1.0988114'),
        array('province_id' => '25','town' => 'Aitona','id' => '3809','slug' => 'aitona','latitude' => '41.4957636','longitude' => '0.4597391'),
        array('province_id' => '25','town' => 'Alamús, Els','id' => '3810','slug' => 'alams-els','latitude' => '41.6160974','longitude' => '0.7375647'),
        array('province_id' => '25','town' => 'Alàs i Cerc','id' => '3811','slug' => 'als-i-cerc','latitude' => '42.3515746','longitude' => '1.5050765'),
        array('province_id' => '25','town' => 'Albagés, L\'','id' => '3812','slug' => 'albags-l','latitude' => '41.4480967','longitude' => '0.7388024'),
        array('province_id' => '25','town' => 'Albatàrrec','id' => '3813','slug' => 'albatrrec','latitude' => '41.5729903','longitude' => '0.6057172'),
        array('province_id' => '25','town' => 'Albesa','id' => '3814','slug' => 'albesa','latitude' => '41.7519835','longitude' => '0.6582234'),
        array('province_id' => '25','town' => 'Albi, L\'','id' => '3815','slug' => 'albi-l','latitude' => '41.4251737','longitude' => '0.9378923'),
        array('province_id' => '25','town' => 'Alcanó','id' => '3816','slug' => 'alcan','latitude' => '41.4808447','longitude' => '0.6179771'),
        array('province_id' => '25','town' => 'Alcarràs','id' => '3817','slug' => 'alcarrs','latitude' => '41.5661386','longitude' => '0.530272'),
        array('province_id' => '25','town' => 'Alcoletge','id' => '3818','slug' => 'alcoletge','latitude' => '41.6490929','longitude' => '0.6945253'),
        array('province_id' => '25','town' => 'Alfarràs','id' => '3819','slug' => 'alfarrs','latitude' => '41.8309339','longitude' => '0.5681205'),
        array('province_id' => '25','town' => 'Alfés','id' => '3820','slug' => 'alfs','latitude' => '41.5221258','longitude' => '0.61902'),
        array('province_id' => '25','town' => 'Algerri','id' => '3821','slug' => 'algerri','latitude' => '41.8144847','longitude' => '0.6366221'),
        array('province_id' => '25','town' => 'Alguaire','id' => '3822','slug' => 'alguaire','latitude' => '41.7379521','longitude' => '0.5897447'),
        array('province_id' => '25','town' => 'Alins','id' => '3823','slug' => 'alins','latitude' => '42.5492769','longitude' => '1.3174852'),
        array('province_id' => '25','town' => 'Almacelles','id' => '3824','slug' => 'almacelles','latitude' => '41.7310149','longitude' => '0.4377279'),
        array('province_id' => '25','town' => 'Almatret','id' => '3825','slug' => 'almatret','latitude' => '41.3052594','longitude' => '0.4244163'),
        array('province_id' => '25','town' => 'Almenar','id' => '3826','slug' => 'almenar','latitude' => '41.7955173','longitude' => '0.5701049'),
        array('province_id' => '25','town' => 'Alòs de Balaguer','id' => '3827','slug' => 'als-de-balaguer','latitude' => '41.9118727','longitude' => '0.9600118'),
        array('province_id' => '25','town' => 'Alpicat','id' => '3828','slug' => 'alpicat','latitude' => '41.6671144','longitude' => '0.5552974'),
        array('province_id' => '25','town' => 'Alt Àneu','id' => '3829','slug' => 'alt-neu','latitude' => '42.635288','longitude' => '1.107489'),
        array('province_id' => '25','town' => 'Anglesola','id' => '3830','slug' => 'anglesola','latitude' => '41.6573091','longitude' => '1.0867616'),
        array('province_id' => '25','town' => 'Arbeca','id' => '3831','slug' => 'arbeca','latitude' => '41.5404466','longitude' => '0.9184976'),
        array('province_id' => '25','town' => 'Arres','id' => '3832','slug' => 'arres','latitude' => '42.7569','longitude' => '0.712222'),
        array('province_id' => '25','town' => 'Arsèguel','id' => '3833','slug' => 'arsguel','latitude' => '42.3499536','longitude' => '1.5842707'),
        array('province_id' => '25','town' => 'Artesa de Lleida','id' => '3834','slug' => 'artesa-de-lleida','latitude' => '41.5532128','longitude' => '0.7055162'),
        array('province_id' => '25','town' => 'Artesa de Segre','id' => '3835','slug' => 'artesa-de-segre','latitude' => '41.8950081','longitude' => '1.047474'),
        array('province_id' => '25','town' => 'Aspa','id' => '3836','slug' => 'aspa','latitude' => '41.4957325','longitude' => '0.6723415'),
        array('province_id' => '25','town' => 'Avellanes i Santa Linya, Les','id' => '3837','slug' => 'avellanes-i-santa-linya-les','latitude' => '41.9078206','longitude' => '0.766037'),
        array('province_id' => '25','town' => 'Baix Pallars','id' => '3838','slug' => 'baix-pallars','latitude' => '42.3255556','longitude' => '1.0655556'),
        array('province_id' => '25','town' => 'Balaguer','id' => '3839','slug' => 'balaguer','latitude' => '41.7897038','longitude' => '0.805238'),
        array('province_id' => '25','town' => 'Barbens','id' => '3840','slug' => 'barbens','latitude' => '41.6776561','longitude' => '1.0149927'),
        array('province_id' => '25','town' => 'Baronia de Rialb, La','id' => '3841','slug' => 'baronia-de-rialb-la','latitude' => '41.974248','longitude' => '1.178759'),
        array('province_id' => '25','town' => 'Bassella','id' => '3842','slug' => 'bassella','latitude' => '42.0110227','longitude' => '1.2883064'),
        array('province_id' => '25','town' => 'Bausen','id' => '3843','slug' => 'bausen','latitude' => '42.834485','longitude' => '0.7167327'),
        array('province_id' => '25','town' => 'Belianes','id' => '3844','slug' => 'belianes','latitude' => '41.5591185','longitude' => '1.0162851'),
        array('province_id' => '25','town' => 'Bellaguarda','id' => '3845','slug' => 'bellaguarda','latitude' => '41.336977','longitude' => '0.7346494'),
        array('province_id' => '25','town' => 'Bellcaire d\'Urgell','id' => '3846','slug' => 'bellcaire-durgell','latitude' => '41.7574714','longitude' => '0.9065079'),
        array('province_id' => '25','town' => 'Bell-lloc d\'Urgell','id' => '3847','slug' => 'bell-lloc-durgell','latitude' => '41.6294011','longitude' => '0.7808905'),
        array('province_id' => '25','town' => 'Bellmunt d\'Urgell','id' => '3848','slug' => 'bellmunt-durgell','latitude' => '41.7727039','longitude' => '0.9525583'),
        array('province_id' => '25','town' => 'Bellpuig','id' => '3849','slug' => 'bellpuig','latitude' => '41.6260709','longitude' => '1.0092164'),
        array('province_id' => '25','town' => 'Bellver de Cerdanya','id' => '3850','slug' => 'bellver-de-cerdanya','latitude' => '42.3701531','longitude' => '1.7782706'),
        array('province_id' => '25','town' => 'Bellvís','id' => '3851','slug' => 'bellvs','latitude' => '41.6734901','longitude' => '0.8210204'),
        array('province_id' => '25','town' => 'Benavent de Segrià','id' => '3852','slug' => 'benavent-de-segri','latitude' => '41.6962586','longitude' => '0.633923'),
        array('province_id' => '25','town' => 'Biosca','id' => '3853','slug' => 'biosca','latitude' => '41.8394627','longitude' => '1.3561621'),
        array('province_id' => '25','town' => 'Bòrdes, Es','id' => '3854','slug' => 'brdes-es','latitude' => '42.7377243','longitude' => '0.7190797'),
        array('province_id' => '25','town' => 'Borges Blanques, Les','id' => '3855','slug' => 'borges-blanques-les','latitude' => '41.5205236','longitude' => '0.8692022'),
        array('province_id' => '25','town' => 'Bossòst','id' => '3856','slug' => 'bossst','latitude' => '42.7854503','longitude' => '0.6924253'),
        array('province_id' => '25','town' => 'Bovera','id' => '3857','slug' => 'bovera','latitude' => '41.3281564','longitude' => '0.6388591'),
        array('province_id' => '25','town' => 'Cabanabona','id' => '3858','slug' => 'cabanabona','latitude' => '41.8514935','longitude' => '1.2174372'),
        array('province_id' => '25','town' => 'Cabó','id' => '3859','slug' => 'cab','latitude' => '42.2381943','longitude' => '1.2496002'),
        array('province_id' => '25','town' => 'Camarasa','id' => '3860','slug' => 'camarasa','latitude' => '41.8719816','longitude' => '0.8746512'),
        array('province_id' => '25','town' => 'Canejan','id' => '3861','slug' => 'canejan','latitude' => '42.8382165','longitude' => '0.7382667'),
        array('province_id' => '25','town' => 'Castell de Mur','id' => '3862','slug' => 'castell-de-mur','latitude' => '42.1054595','longitude' => '0.8560766'),
        array('province_id' => '25','town' => 'Castellar de la Ribera','id' => '3863','slug' => 'castellar-de-la-ribera','latitude' => '42.0221059','longitude' => '1.4159928'),
        array('province_id' => '25','town' => 'Castelldans','id' => '3864','slug' => 'castelldans','latitude' => '41.4979105','longitude' => '0.7652315'),
        array('province_id' => '25','town' => 'Castellnou de Seana','id' => '3865','slug' => 'castellnou-de-seana','latitude' => '41.6446866','longitude' => '0.9675318'),
        array('province_id' => '25','town' => 'Castelló de Farfanya','id' => '3866','slug' => 'castell-de-farfanya','latitude' => '41.8164534','longitude' => '0.7320892'),
        array('province_id' => '25','town' => 'Castellserà','id' => '3867','slug' => 'castellser','latitude' => '41.7461293','longitude' => '0.9867843'),
        array('province_id' => '25','town' => 'Cava','id' => '3868','slug' => 'cava','latitude' => '42.3249832','longitude' => '1.6053646'),
        array('province_id' => '25','town' => 'Cervera','id' => '3869','slug' => 'cervera','latitude' => '41.6683214','longitude' => '1.2751514'),
        array('province_id' => '25','town' => 'Cervià de les Garrigues','id' => '3870','slug' => 'cervi-de-les-garrigues','latitude' => '41.4265022','longitude' => '0.860136'),
        array('province_id' => '25','town' => 'Ciutadilla','id' => '3871','slug' => 'ciutadilla','latitude' => '41.5614488','longitude' => '1.1371393'),
        array('province_id' => '25','town' => 'Clariana de Cardener','id' => '3872','slug' => 'clariana-de-cardener','latitude' => '41.9334652','longitude' => '1.6239094'),
        array('province_id' => '25','town' => 'Cogul, El','id' => '3873','slug' => 'cogul-el','latitude' => '41.4679667','longitude' => '0.6894156'),
        array('province_id' => '25','town' => 'Coll de Nargó','id' => '3874','slug' => 'coll-de-narg','latitude' => '42.17325','longitude' => '1.3165101'),
        array('province_id' => '25','town' => 'Coma i la Pedra, La','id' => '3875','slug' => 'coma-i-la-pedra-la','latitude' => '42.1755904','longitude' => '1.591064'),
        array('province_id' => '25','town' => 'Conca de Dalt','id' => '3876','slug' => 'conca-de-dalt','latitude' => '42.2461111','longitude' => '0.9730556'),
        array('province_id' => '25','town' => 'Corbins','id' => '3877','slug' => 'corbins','latitude' => '41.690995','longitude' => '0.6974681'),
        array('province_id' => '25','town' => 'Cubells','id' => '3878','slug' => 'cubells','latitude' => '41.8531252','longitude' => '0.9575363'),
        array('province_id' => '25','town' => 'Espluga Calba, L\'','id' => '3879','slug' => 'espluga-calba-l','latitude' => '41.4962775','longitude' => '1.0049311'),
        array('province_id' => '25','town' => 'Espot','id' => '3880','slug' => 'espot','latitude' => '42.5758404','longitude' => '1.0889141'),
        array('province_id' => '25','town' => 'Estamariu','id' => '3881','slug' => 'estamariu','latitude' => '42.3740032','longitude' => '1.5240454'),
        array('province_id' => '25','town' => 'Estaràs','id' => '3882','slug' => 'estars','latitude' => '41.6912997','longitude' => '1.3777921'),
        array('province_id' => '25','town' => 'Esterri d\'Àneu','id' => '3883','slug' => 'esterri-dneu','latitude' => '42.628862','longitude' => '1.1233575'),
        array('province_id' => '25','town' => 'Esterri de Cardós','id' => '3884','slug' => 'esterri-de-cards','latitude' => '42.5924117','longitude' => '1.2622141'),
        array('province_id' => '25','town' => 'Farrera','id' => '3885','slug' => 'farrera','latitude' => '42.4973176','longitude' => '1.2712957'),
        array('province_id' => '25','town' => 'Fígols i Alinyà','id' => '3886','slug' => 'fgols-i-aliny','latitude' => '42.2031586','longitude' => '1.3400016'),
        array('province_id' => '25','town' => 'Floresta, La','id' => '3887','slug' => 'floresta-la','latitude' => '41.509208','longitude' => '0.9198578'),
        array('province_id' => '25','town' => 'Fondarella','id' => '3888','slug' => 'fondarella','latitude' => '41.6353634','longitude' => '0.8755022'),
        array('province_id' => '25','town' => 'Foradada','id' => '3889','slug' => 'foradada','latitude' => '41.8768291','longitude' => '1.0145781'),
        array('province_id' => '25','town' => 'Fuliola, La','id' => '3890','slug' => 'fuliola-la','latitude' => '41.715031','longitude' => '1.0171277'),
        array('province_id' => '25','town' => 'Fulleda','id' => '3891','slug' => 'fulleda','latitude' => '41.4634846','longitude' => '1.0249828'),
        array('province_id' => '25','town' => 'Gavet de la Conca','id' => '3892','slug' => 'gavet-de-la-conca','latitude' => '42.1227265','longitude' => '0.9211597'),
        array('province_id' => '25','town' => 'Gimenells i el Pla de la Font','id' => '3893','slug' => 'gimenells-i-el-pla-de-la-font','latitude' => '41.6524124','longitude' => '0.3896494'),
        array('province_id' => '25','town' => 'Golmés','id' => '3894','slug' => 'golms','latitude' => '41.6312698','longitude' => '0.9324688'),
        array('province_id' => '25','town' => 'Gósol','id' => '3895','slug' => 'gsol','latitude' => '42.2369978','longitude' => '1.6603249'),
        array('province_id' => '25','town' => 'Granadella, La','id' => '3896','slug' => 'granadella-la','latitude' => '41.3567187','longitude' => '0.6658524'),
        array('province_id' => '25','town' => 'Granja d\'Escarp, La','id' => '3897','slug' => 'granja-descarp-la','latitude' => '41.4186052','longitude' => '0.3525815'),
        array('province_id' => '25','town' => 'Granyanella','id' => '3898','slug' => 'granyanella','latitude' => '41.6477207','longitude' => '1.2235292'),
        array('province_id' => '25','town' => 'Granyena de les Garrigues','id' => '3899','slug' => 'granyena-de-les-garrigues','latitude' => '41.4337037','longitude' => '0.6491443'),
        array('province_id' => '25','town' => 'Granyena de Segarra','id' => '3900','slug' => 'granyena-de-segarra','latitude' => '41.6224507','longitude' => '1.2456155'),
        array('province_id' => '25','town' => 'Guimerà','id' => '3901','slug' => 'guimer','latitude' => '41.5641085','longitude' => '1.1844278'),
        array('province_id' => '25','town' => 'Guingueta d\'Àneu, La','id' => '3902','slug' => 'guingueta-dneu-la','latitude' => '42.5931733','longitude' => '1.131205'),
        array('province_id' => '25','town' => 'Guissona','id' => '3903','slug' => 'guissona','latitude' => '41.7866972','longitude' => '1.2907625'),
        array('province_id' => '25','town' => 'Guixers','id' => '3904','slug' => 'guixers','latitude' => '42.131881','longitude' => '1.6336464'),
        array('province_id' => '25','town' => 'Isona i Conca Dellà','id' => '3905','slug' => 'isona-i-conca-dell','latitude' => '42.1196947','longitude' => '1.0466513'),
        array('province_id' => '25','town' => 'Ivars de Noguera','id' => '3906','slug' => 'ivars-de-noguera','latitude' => '41.8505005','longitude' => '0.5869282'),
        array('province_id' => '25','town' => 'Ivars d\'Urgell','id' => '3907','slug' => 'ivars-durgell','latitude' => '41.6835258','longitude' => '0.9885827'),
        array('province_id' => '25','town' => 'Ivorra','id' => '3908','slug' => 'ivorra','latitude' => '41.7716195','longitude' => '1.3945488'),
        array('province_id' => '25','town' => 'Josa i Tuixén','id' => '3909','slug' => 'josa-i-tuixn','latitude' => '42.230881','longitude' => '1.5668489'),
        array('province_id' => '25','town' => 'Juncosa','id' => '3910','slug' => 'juncosa','latitude' => '41.3714823','longitude' => '0.7753397'),
        array('province_id' => '25','town' => 'Juneda','id' => '3911','slug' => 'juneda','latitude' => '41.5481058','longitude' => '0.8254097'),
        array('province_id' => '25','town' => 'Les','id' => '3912','slug' => 'les','latitude' => '42.8100446','longitude' => '0.710633'),
        array('province_id' => '25','town' => 'Linyola','id' => '3913','slug' => 'linyola','latitude' => '41.7112639','longitude' => '0.9027762'),
        array('province_id' => '25','town' => 'Lladorre','id' => '3914','slug' => 'lladorre','latitude' => '42.621507','longitude' => '1.2490693'),
        array('province_id' => '25','town' => 'Lladurs','id' => '3915','slug' => 'lladurs','latitude' => '42.0439559','longitude' => '1.5093056'),
        array('province_id' => '25','town' => 'Llardecans','id' => '3916','slug' => 'llardecans','latitude' => '41.3748854','longitude' => '0.5513021'),
        array('province_id' => '25','town' => 'Llavorsí','id' => '3917','slug' => 'llavors','latitude' => '42.4954971','longitude' => '1.2120278'),
        array('province_id' => '25','town' => 'Lleida','id' => '3918','slug' => 'lleida','latitude' => '41.6141518','longitude' => '0.6257825'),
        array('province_id' => '25','town' => 'Lles de Cerdanya','id' => '3919','slug' => 'lles-de-cerdanya','latitude' => '42.3900383','longitude' => '1.6878116'),
        array('province_id' => '25','town' => 'Llimiana','id' => '3920','slug' => 'llimiana','latitude' => '42.0765975','longitude' => '0.9161858'),
        array('province_id' => '25','town' => 'Llobera','id' => '3921','slug' => 'llobera','latitude' => '41.9510407','longitude' => '1.472779'),
        array('province_id' => '25','town' => 'Maials','id' => '3922','slug' => 'maials','latitude' => '41.363902','longitude' => '0.5082115'),
        array('province_id' => '25','town' => 'Maldà','id' => '3923','slug' => 'mald','latitude' => '41.5508638','longitude' => '1.0398011'),
        array('province_id' => '25','town' => 'Massalcoreig','id' => '3924','slug' => 'massalcoreig','latitude' => '41.4596935','longitude' => '0.3593504'),
        array('province_id' => '25','town' => 'Massoteres','id' => '3925','slug' => 'massoteres','latitude' => '41.7978493','longitude' => '1.3115244'),
        array('province_id' => '25','town' => 'Menàrguens','id' => '3926','slug' => 'menrguens','latitude' => '41.7280828','longitude' => '0.742645'),
        array('province_id' => '25','town' => 'Miralcamp','id' => '3927','slug' => 'miralcamp','latitude' => '41.6042081','longitude' => '0.8817882'),
        array('province_id' => '25','town' => 'Mollerussa','id' => '3928','slug' => 'mollerussa','latitude' => '41.6300368','longitude' => '0.8941285'),
        array('province_id' => '25','town' => 'Molsosa, La','id' => '3929','slug' => 'molsosa-la','latitude' => '41.7823467','longitude' => '1.5387808'),
        array('province_id' => '25','town' => 'Montellà i Martinet','id' => '3930','slug' => 'montell-i-martinet','latitude' => '42.3597001','longitude' => '1.6956211'),
        array('province_id' => '25','town' => 'Montferrer i Castellbò','id' => '3931','slug' => 'montferrer-i-castellb','latitude' => '42.3417167','longitude' => '1.427727'),
        array('province_id' => '25','town' => 'Montgai','id' => '3932','slug' => 'montgai','latitude' => '41.7990054','longitude' => '0.9574335'),
        array('province_id' => '25','town' => 'Montoliu de Lleida','id' => '3933','slug' => 'montoliu-de-lleida','latitude' => '41.562338','longitude' => '0.5875061'),
        array('province_id' => '25','town' => 'Montoliu de Segarra','id' => '3934','slug' => 'montoliu-de-segarra','latitude' => '41.5904263','longitude' => '1.2710352'),
        array('province_id' => '25','town' => 'Montornès de Segarra','id' => '3935','slug' => 'montorns-de-segarra','latitude' => '41.6005603','longitude' => '1.2322004'),
        array('province_id' => '25','town' => 'Nalec','id' => '3936','slug' => 'nalec','latitude' => '41.5606504','longitude' => '1.1161926'),
        array('province_id' => '25','town' => 'Naut Aran','id' => '3937','slug' => 'naut-aran','latitude' => '42.7088889','longitude' => '0.9030556'),
        array('province_id' => '25','town' => 'Navès','id' => '3938','slug' => '3938-navs','latitude' => '41.9907113','longitude' => '1.6404911'),
        array('province_id' => '25','town' => 'Odèn','id' => '3939','slug' => 'odn','latitude' => '42.1326391','longitude' => '1.4546931'),
        array('province_id' => '25','town' => 'Oliana','id' => '3940','slug' => 'oliana','latitude' => '42.0636928','longitude' => '1.3128231'),
        array('province_id' => '25','town' => 'Oliola','id' => '3941','slug' => 'oliola','latitude' => '41.8752242','longitude' => '1.175909'),
        array('province_id' => '25','town' => 'Olius','id' => '3942','slug' => 'olius','latitude' => '42.0095724','longitude' => '1.565473'),
        array('province_id' => '25','town' => 'Oluges, Les','id' => '3943','slug' => 'oluges-les','latitude' => '41.6962806','longitude' => '1.3211958'),
        array('province_id' => '25','town' => 'Omellons, Els','id' => '3944','slug' => 'omellons-els','latitude' => '41.5018728','longitude' => '0.9630012'),
        array('province_id' => '25','town' => 'Omells de na Gaia, Els','id' => '3945','slug' => 'omells-de-na-gaia-els','latitude' => '41.5008565','longitude' => '1.0756464'),
        array('province_id' => '25','town' => 'Organyà','id' => '3946','slug' => 'organy','latitude' => '42.2114029','longitude' => '1.3288642'),
        array('province_id' => '25','town' => 'Os de Balaguer','id' => '3947','slug' => 'os-de-balaguer','latitude' => '41.8728209','longitude' => '0.7197718'),
        array('province_id' => '25','town' => 'Ossó de Sió','id' => '3948','slug' => 'oss-de-si','latitude' => '41.754264','longitude' => '1.1593297'),
        array('province_id' => '25','town' => 'Palau d\'Anglesola, El','id' => '3949','slug' => 'palau-danglesola-el','latitude' => '41.6516356','longitude' => '0.880874'),
        array('province_id' => '25','town' => 'Penelles','id' => '3950','slug' => 'penelles','latitude' => '41.7578313','longitude' => '0.9648493'),
        array('province_id' => '25','town' => 'Peramola','id' => '3951','slug' => 'peramola','latitude' => '42.0585797','longitude' => '1.2673349'),
        array('province_id' => '25','town' => 'Pinell de Solsonès','id' => '3952','slug' => 'pinell-de-solsons','latitude' => '41.9711502','longitude' => '1.3998185'),
        array('province_id' => '25','town' => 'Pinós','id' => '3953','slug' => 'pins','latitude' => '41.8277357','longitude' => '1.5425479'),
        array('province_id' => '25','town' => 'Plans de Sió, Els','id' => '3954','slug' => 'plans-de-si-els','latitude' => '41.724592','longitude' => '1.205951'),
        array('province_id' => '25','town' => 'Poal, El','id' => '3955','slug' => 'poal-el','latitude' => '41.6781568','longitude' => '0.8516847'),
        array('province_id' => '25','town' => 'Pobla de Cérvoles, La','id' => '3956','slug' => 'pobla-de-crvoles-la','latitude' => '41.3673838','longitude' => '0.9170161'),
        array('province_id' => '25','town' => 'Pobla de Segur, La','id' => '3957','slug' => 'pobla-de-segur-la','latitude' => '42.2476524','longitude' => '0.9675135'),
        array('province_id' => '25','town' => 'Pont de Bar, El','id' => '3958','slug' => 'pont-de-bar-el','latitude' => '42.3719609','longitude' => '1.6063154'),
        array('province_id' => '25','town' => 'Pont de Suert, El','id' => '3959','slug' => 'pont-de-suert-el','latitude' => '42.4084814','longitude' => '0.741766'),
        array('province_id' => '25','town' => 'Ponts','id' => '3960','slug' => '3960-ponts','latitude' => '41.9154581','longitude' => '1.1848729'),
        array('province_id' => '25','town' => 'Portella, La','id' => '3961','slug' => 'portella-la','latitude' => '41.7389055','longitude' => '0.6422635'),
        array('province_id' => '25','town' => 'Prats i Sansor','id' => '3962','slug' => 'prats-i-sansor','latitude' => '42.3644192','longitude' => '1.8357095'),
        array('province_id' => '25','town' => 'Preixana','id' => '3963','slug' => 'preixana','latitude' => '41.6073047','longitude' => '1.0364911'),
        array('province_id' => '25','town' => 'Preixens','id' => '3964','slug' => 'preixens','latitude' => '41.7934386','longitude' => '1.0487129'),
        array('province_id' => '25','town' => 'Prullans','id' => '3965','slug' => 'prullans','latitude' => '42.3790589','longitude' => '1.7392843'),
        array('province_id' => '25','town' => 'Puiggròs','id' => '3966','slug' => 'puiggrs','latitude' => '41.5512708','longitude' => '0.8889367'),
        array('province_id' => '25','town' => 'Puigverd d\'Agramunt','id' => '3967','slug' => 'puigverd-dagramunt','latitude' => '41.7763989','longitude' => '1.1216809'),
        array('province_id' => '25','town' => 'Puigverd de Lleida','id' => '3968','slug' => 'puigverd-de-lleida','latitude' => '41.5446207','longitude' => '0.7346072'),
        array('province_id' => '25','town' => 'Rialp','id' => '3969','slug' => 'rialp','latitude' => '42.4434777','longitude' => '1.1351768'),
        array('province_id' => '25','town' => 'Ribera d\'Ondara','id' => '3970','slug' => 'ribera-dondara','latitude' => '41.629444','longitude' => '1.343056'),
        array('province_id' => '25','town' => 'Ribera d\'Urgellet','id' => '3971','slug' => 'ribera-durgellet','latitude' => '42.3266667','longitude' => '1.3972222'),
        array('province_id' => '25','town' => 'Riner','id' => '3972','slug' => 'riner','latitude' => '41.9175661','longitude' => '1.5721769'),
        array('province_id' => '25','town' => 'Riu de Cerdanya','id' => '3973','slug' => 'riu-de-cerdanya','latitude' => '42.3455597','longitude' => '1.8262532'),
        array('province_id' => '25','town' => 'Rosselló','id' => '3974','slug' => '3974-rossell','latitude' => '41.698439','longitude' => '0.5957855'),
        array('province_id' => '25','town' => 'Salàs de Pallars','id' => '3975','slug' => 'sals-de-pallars','latitude' => '42.2115767','longitude' => '0.9324489'),
        array('province_id' => '25','town' => 'Sanaüja','id' => '3976','slug' => 'sanaja','latitude' => '41.8739054','longitude' => '1.3093575'),
        array('province_id' => '25','town' => 'Sant Esteve de la Sarga','id' => '3977','slug' => 'sant-esteve-de-la-sarga','latitude' => '42.0805069','longitude' => '0.7636091'),
        array('province_id' => '25','town' => 'Sant Guim de Freixenet','id' => '3978','slug' => 'sant-guim-de-freixenet','latitude' => '41.6553585','longitude' => '1.4192043'),
        array('province_id' => '25','town' => 'Sant Guim de la Plana','id' => '3979','slug' => 'sant-guim-de-la-plana','latitude' => '41.7627835','longitude' => '1.3236125'),
        array('province_id' => '25','town' => 'Sant Llorenç de Morunys','id' => '3980','slug' => 'sant-lloren-de-morunys','latitude' => '42.1368343','longitude' => '1.5909865'),
        array('province_id' => '25','town' => 'Sant Martí de Riucorb','id' => '3981','slug' => 'sant-mart-de-riucorb','latitude' => '41.561667','longitude' => '1.056111'),
        array('province_id' => '25','town' => 'Sant Ramon','id' => '3982','slug' => 'sant-ramon','latitude' => '41.7261989','longitude' => '1.3683384'),
        array('province_id' => '25','town' => 'Sarroca de Bellera','id' => '3983','slug' => 'sarroca-de-bellera','latitude' => '42.3597101','longitude' => '0.8811588'),
        array('province_id' => '25','town' => 'Sarroca de Lleida','id' => '3984','slug' => 'sarroca-de-lleida','latitude' => '41.4598606','longitude' => '0.5611271'),
        array('province_id' => '25','town' => 'Senterada','id' => '3985','slug' => 'senterada','latitude' => '42.3242963','longitude' => '0.93659'),
        array('province_id' => '25','town' => 'Sentiu de Sió, La','id' => '3986','slug' => 'sentiu-de-si-la','latitude' => '41.805298','longitude' => '0.8781835'),
        array('province_id' => '25','town' => 'Seròs','id' => '3987','slug' => 'sers','latitude' => '41.4628352','longitude' => '0.4108175'),
        array('province_id' => '25','town' => 'Seu d\'Urgell, La','id' => '3988','slug' => 'seu-durgell-la','latitude' => '42.3567052','longitude' => '1.4596587'),
        array('province_id' => '25','town' => 'Sidamon','id' => '3989','slug' => 'sidamon','latitude' => '41.6283756','longitude' => '0.8336361'),
        array('province_id' => '25','town' => 'Soleràs, El','id' => '3990','slug' => 'solers-el','latitude' => '41.4125315','longitude' => '0.684953'),
        array('province_id' => '25','town' => 'Solsona','id' => '3991','slug' => 'solsona','latitude' => '41.9936263','longitude' => '1.5177007'),
        array('province_id' => '25','town' => 'Soriguera','id' => '3992','slug' => 'soriguera','latitude' => '42.3706918','longitude' => '1.1816616'),
        array('province_id' => '25','town' => 'Sort','id' => '3993','slug' => 'sort','latitude' => '42.4102371','longitude' => '1.1287633'),
        array('province_id' => '25','town' => 'Soses','id' => '3994','slug' => 'soses','latitude' => '41.5337871','longitude' => '0.4879092'),
        array('province_id' => '25','town' => 'Sudanell','id' => '3995','slug' => 'sudanell','latitude' => '41.5561642','longitude' => '0.566377'),
        array('province_id' => '25','town' => 'Sunyer','id' => '3996','slug' => 'sunyer','latitude' => '41.5236768','longitude' => '0.5907821'),
        array('province_id' => '25','town' => 'Talarn','id' => '3997','slug' => 'talarn','latitude' => '42.1849758','longitude' => '0.8992487'),
        array('province_id' => '25','town' => 'Talavera','id' => '3998','slug' => 'talavera','latitude' => '41.5817132','longitude' => '1.3390835'),
        array('province_id' => '25','town' => 'Tàrrega','id' => '3999','slug' => 'trrega','latitude' => '41.6468598','longitude' => '1.1392149'),
        array('province_id' => '25','town' => 'Tarrés','id' => '4000','slug' => 'tarrs','latitude' => '41.4229698','longitude' => '1.0219452'),
        array('province_id' => '25','town' => 'Tarroja de Segarra','id' => '4001','slug' => 'tarroja-de-segarra','latitude' => '41.7317302','longitude' => '1.2769156'),
        array('province_id' => '25','town' => 'Térmens','id' => '4002','slug' => 'trmens','latitude' => '41.7175947','longitude' => '0.7651012'),
        array('province_id' => '25','town' => 'Tírvia','id' => '4003','slug' => 'trvia','latitude' => '42.5152501','longitude' => '1.2446194'),
        array('province_id' => '25','town' => 'Tiurana','id' => '4004','slug' => 'tiurana','latitude' => '41.9669514','longitude' => '1.2411255'),
        array('province_id' => '25','town' => 'Torà','id' => '4005','slug' => 'tor','latitude' => '41.8122305','longitude' => '1.4009108'),
        array('province_id' => '25','town' => 'Torms, Els','id' => '4006','slug' => 'torms-els','latitude' => '41.3945296','longitude' => '0.7221607'),
        array('province_id' => '25','town' => 'Tornabous','id' => '4007','slug' => 'tornabous','latitude' => '41.7015214','longitude' => '1.0526111'),
        array('province_id' => '25','town' => 'Torre de Cabdella, La','id' => '4008','slug' => 'torre-de-cabdella-la','latitude' => '42.4739407','longitude' => '0.9920725'),
        array('province_id' => '25','town' => 'Torrebesses','id' => '4009','slug' => 'torrebesses','latitude' => '41.4248105','longitude' => '0.5939408'),
        array('province_id' => '25','town' => 'Torrefarrera','id' => '4010','slug' => 'torrefarrera','latitude' => '41.6733898','longitude' => '0.6067967'),
        array('province_id' => '25','town' => 'Torrefeta i Florejacs','id' => '4011','slug' => 'torrefeta-i-florejacs','latitude' => '41.7543227','longitude' => '1.2747611'),
        array('province_id' => '25','town' => 'Torregrossa','id' => '4012','slug' => 'torregrossa','latitude' => '41.5811491','longitude' => '0.8252335'),
        array('province_id' => '25','town' => 'Torrelameu','id' => '4013','slug' => 'torrelameu','latitude' => '41.7045552','longitude' => '0.7047597'),
        array('province_id' => '25','town' => 'Torres de Segre','id' => '4014','slug' => 'torres-de-segre','latitude' => '41.534059','longitude' => '0.5141932'),
        array('province_id' => '25','town' => 'Torre-serona','id' => '4015','slug' => 'torre-serona','latitude' => '41.6712959','longitude' => '0.6292645'),
        array('province_id' => '25','town' => 'Tremp','id' => '4016','slug' => 'tremp','latitude' => '42.1685809','longitude' => '0.8949026'),
        array('province_id' => '25','town' => 'Vall de Boí, La','id' => '4017','slug' => 'vall-de-bo-la','latitude' => '42.5047','longitude' => '0.8036'),
        array('province_id' => '25','town' => 'Vall de Cardós','id' => '4018','slug' => 'vall-de-cards','latitude' => '42.583962','longitude' => '1.236541'),
        array('province_id' => '25','town' => 'Vallbona de les Monges','id' => '4019','slug' => 'vallbona-de-les-monges','latitude' => '41.5255595','longitude' => '1.0894776'),
        array('province_id' => '25','town' => 'Vallfogona de Balaguer','id' => '4020','slug' => 'vallfogona-de-balaguer','latitude' => '41.7526913','longitude' => '0.813878'),
        array('province_id' => '25','town' => 'Valls d\'Aguilar, Les','id' => '4021','slug' => 'valls-daguilar-les','latitude' => '42.2958333','longitude' => '1.3430556'),
        array('province_id' => '25','town' => 'Valls de Valira, Les','id' => '4022','slug' => 'valls-de-valira-les','latitude' => '42.3844444','longitude' => '1.4594444'),
        array('province_id' => '25','town' => 'Vansa i Fórnols, La','id' => '4023','slug' => 'vansa-i-frnols-la','latitude' => '42.2448','longitude' => '1.4992'),
        array('province_id' => '25','town' => 'Verdú','id' => '4024','slug' => 'verd','latitude' => '41.6103406','longitude' => '1.14266'),
        array('province_id' => '25','town' => 'Vielha e Mijaran','id' => '4025','slug' => 'vielha-e-mijaran','latitude' => '42.7016544','longitude' => '0.7956383'),
        array('province_id' => '25','town' => 'Vilagrassa','id' => '4026','slug' => 'vilagrassa','latitude' => '41.6471145','longitude' => '1.1035774'),
        array('province_id' => '25','town' => 'Vilaller','id' => '4027','slug' => 'vilaller','latitude' => '42.4765041','longitude' => '0.7174102'),
        array('province_id' => '25','town' => 'Vilamòs','id' => '4028','slug' => 'vilams','latitude' => '42.7480736','longitude' => '0.725197'),
        array('province_id' => '25','town' => 'Vilanova de Bellpuig','id' => '4029','slug' => 'vilanova-de-bellpuig','latitude' => '41.6148144','longitude' => '0.9596246'),
        array('province_id' => '25','town' => 'Vilanova de la Barca','id' => '4030','slug' => 'vilanova-de-la-barca','latitude' => '41.6893558','longitude' => '0.7291372'),
        array('province_id' => '25','town' => 'Vilanova de l\'Aguda','id' => '4031','slug' => 'vilanova-de-laguda','latitude' => '41.9106647','longitude' => '1.2518063'),
        array('province_id' => '25','town' => 'Vilanova de Meià','id' => '4032','slug' => 'vilanova-de-mei','latitude' => '41.9942878','longitude' => '1.0220767'),
        array('province_id' => '25','town' => 'Vilanova de Segrià','id' => '4033','slug' => 'vilanova-de-segri','latitude' => '41.7112822','longitude' => '0.620144'),
        array('province_id' => '25','town' => 'Vila-sana','id' => '4034','slug' => 'vila-sana','latitude' => '41.6636066','longitude' => '0.9286443'),
        array('province_id' => '25','town' => 'Vilosell, El','id' => '4035','slug' => 'vilosell-el','latitude' => '41.3830537','longitude' => '0.9466231'),
        array('province_id' => '25','town' => 'Vinaixa','id' => '4036','slug' => 'vinaixa','latitude' => '41.4288637','longitude' => '0.9736408'),
        array('province_id' => '26','town' => 'Ábalos','id' => '4037','slug' => 'balos','latitude' => '42.5726455','longitude' => '-2.7109334'),
        array('province_id' => '26','town' => 'Agoncillo','id' => '4038','slug' => 'agoncillo','latitude' => '42.4466762','longitude' => '-2.2906189'),
        array('province_id' => '26','town' => 'Aguilar del Río Alhama','id' => '4039','slug' => 'aguilar-del-ro-alhama','latitude' => '41.9617977','longitude' => '-1.9945169'),
        array('province_id' => '26','town' => 'Ajamil de Cameros','id' => '4040','slug' => 'ajamil-de-cameros','latitude' => '42.1676385','longitude' => '-2.4860926'),
        array('province_id' => '26','town' => 'Albelda de Iregua','id' => '4041','slug' => 'albelda-de-iregua','latitude' => '42.3582662','longitude' => '-2.4734158'),
        array('province_id' => '26','town' => 'Alberite','id' => '4042','slug' => 'alberite','latitude' => '42.4060669','longitude' => '-2.4405231'),
        array('province_id' => '26','town' => 'Alcanadre','id' => '4043','slug' => 'alcanadre','latitude' => '42.4057773','longitude' => '-2.1184235'),
        array('province_id' => '26','town' => 'Aldeanueva de Ebro','id' => '4044','slug' => 'aldeanueva-de-ebro','latitude' => '42.2292018','longitude' => '-1.8871121'),
        array('province_id' => '26','town' => 'Alesanco','id' => '4045','slug' => 'alesanco','latitude' => '42.4142128','longitude' => '-2.8168996'),
        array('province_id' => '26','town' => 'Alesón','id' => '4046','slug' => 'alesn','latitude' => '42.4051108','longitude' => '-2.6903758'),
        array('province_id' => '26','town' => 'Alfaro','id' => '4047','slug' => 'alfaro','latitude' => '42.1785809','longitude' => '-1.7493258'),
        array('province_id' => '26','town' => 'Almarza de Cameros','id' => '4048','slug' => 'almarza-de-cameros','latitude' => '42.2179895','longitude' => '-2.5981776'),
        array('province_id' => '26','town' => 'Anguciana','id' => '4049','slug' => 'anguciana','latitude' => '42.575674','longitude' => '-2.9083283'),
        array('province_id' => '26','town' => 'Anguiano','id' => '4050','slug' => 'anguiano','latitude' => '42.2613402','longitude' => '-2.7649172'),
        array('province_id' => '26','town' => 'Arenzana de Abajo','id' => '4051','slug' => 'arenzana-de-abajo','latitude' => '42.3866008','longitude' => '-2.7191005'),
        array('province_id' => '26','town' => 'Arenzana de Arriba','id' => '4052','slug' => 'arenzana-de-arriba','latitude' => '42.3875951','longitude' => '-2.6941502'),
        array('province_id' => '26','town' => 'Arnedillo','id' => '4053','slug' => 'arnedillo','latitude' => '42.2121979','longitude' => '-2.2358943'),
        array('province_id' => '26','town' => 'Arnedo','id' => '4054','slug' => 'arnedo','latitude' => '42.2278373','longitude' => '-2.1000138'),
        array('province_id' => '26','town' => 'Arrúbal','id' => '4055','slug' => 'arrbal','latitude' => '42.4353611','longitude' => '-2.2517301'),
        array('province_id' => '26','town' => 'Ausejo','id' => '4056','slug' => 'ausejo','latitude' => '42.3454596','longitude' => '-2.1696057'),
        array('province_id' => '26','town' => 'Autol','id' => '4057','slug' => 'autol','latitude' => '42.2155274','longitude' => '-2.0065647'),
        array('province_id' => '26','town' => 'Azofra','id' => '4058','slug' => 'azofra','latitude' => '42.424174','longitude' => '-2.800831'),
        array('province_id' => '26','town' => 'Badarán','id' => '4059','slug' => 'badarn','latitude' => '42.3673017','longitude' => '-2.8081811'),
        array('province_id' => '26','town' => 'Bañares','id' => '4060','slug' => 'baares','latitude' => '42.4686406','longitude' => '-2.9116594'),
        array('province_id' => '26','town' => 'Baños de Río Tobía','id' => '4061','slug' => 'baos-de-ro-toba','latitude' => '42.3348874','longitude' => '-2.7611477'),
        array('province_id' => '26','town' => 'Baños de Rioja','id' => '4062','slug' => 'baos-de-rioja','latitude' => '42.3348874','longitude' => '-2.7611477'),
        array('province_id' => '26','town' => 'Berceo','id' => '4063','slug' => 'berceo','latitude' => '42.3381914','longitude' => '-2.8524985'),
        array('province_id' => '26','town' => 'Bergasa','id' => '4064','slug' => 'bergasa','latitude' => '42.2521445','longitude' => '-2.1329393'),
        array('province_id' => '26','town' => 'Bergasillas Bajera','id' => '4065','slug' => 'bergasillas-bajera','latitude' => '42.2448905','longitude' => '-2.158813'),
        array('province_id' => '26','town' => 'Bezares','id' => '4066','slug' => 'bezares','latitude' => '42.3707594','longitude' => '-2.6700135'),
        array('province_id' => '26','town' => 'Bobadilla','id' => '4067','slug' => 'bobadilla','latitude' => '42.3176485','longitude' => '-2.7593085'),
        array('province_id' => '26','town' => 'Brieva de Cameros','id' => '4068','slug' => 'brieva-de-cameros','latitude' => '42.1662782','longitude' => '-2.8003969'),
        array('province_id' => '26','town' => 'Briñas','id' => '4069','slug' => 'brias','latitude' => '42.6018489','longitude' => '-2.8303345'),
        array('province_id' => '26','town' => 'Briones','id' => '4070','slug' => 'briones','latitude' => '42.5442355','longitude' => '-2.7850556'),
        array('province_id' => '26','town' => 'Cabezón de Cameros','id' => '4071','slug' => 'cabezn-de-cameros','latitude' => '42.197619','longitude' => '-2.5190597'),
        array('province_id' => '26','town' => 'Calahorra','id' => '4072','slug' => 'calahorra','latitude' => '42.3037188','longitude' => '-1.9650344'),
        array('province_id' => '26','town' => 'Camprovín','id' => '4073','slug' => 'camprovn','latitude' => '42.3546435','longitude' => '-2.7221034'),
        array('province_id' => '26','town' => 'Canales de la Sierra','id' => '4074','slug' => 'canales-de-la-sierra','latitude' => '42.1404899','longitude' => '-3.024993'),
        array('province_id' => '26','town' => 'Canillas de Río Tuerto','id' => '4075','slug' => 'canillas-de-ro-tuerto','latitude' => '42.3992276','longitude' => '-2.8415168'),
        array('province_id' => '26','town' => 'Cañas','id' => '4076','slug' => 'caas','latitude' => '42.391687','longitude' => '-2.8464871'),
        array('province_id' => '26','town' => 'Cárdenas','id' => '4077','slug' => 'crdenas','latitude' => '42.3742379','longitude' => '-2.767255'),
        array('province_id' => '26','town' => 'Casalarreina','id' => '4078','slug' => 'casalarreina','latitude' => '42.5479206','longitude' => '-2.9131995'),
        array('province_id' => '26','town' => 'Castañares de Rioja','id' => '4079','slug' => 'castaares-de-rioja','latitude' => '42.5117968','longitude' => '-2.9317147'),
        array('province_id' => '26','town' => 'Castroviejo','id' => '4080','slug' => 'castroviejo','latitude' => '42.3302796','longitude' => '-2.6611054'),
        array('province_id' => '26','town' => 'Cellorigo','id' => '4081','slug' => 'cellorigo','latitude' => '42.627769','longitude' => '-2.9987302'),
        array('province_id' => '26','town' => 'Cenicero','id' => '4082','slug' => 'cenicero','latitude' => '42.4813114','longitude' => '-2.6418437'),
        array('province_id' => '26','town' => 'Cervera del Río Alhama','id' => '4083','slug' => 'cervera-del-ro-alhama','latitude' => '42.0069935','longitude' => '-1.95191'),
        array('province_id' => '26','town' => 'Cidamón','id' => '4084','slug' => 'cidamn','latitude' => '42.4951512','longitude' => '-2.8798025'),
        array('province_id' => '26','town' => 'Cihuri','id' => '4085','slug' => 'cihuri','latitude' => '42.5645484','longitude' => '-2.9222002'),
        array('province_id' => '26','town' => 'Cirueña','id' => '4086','slug' => 'ciruea','latitude' => '42.4107172','longitude' => '-2.895997'),
        array('province_id' => '26','town' => 'Clavijo','id' => '4087','slug' => 'clavijo','latitude' => '42.3499432','longitude' => '-2.4258713'),
        array('province_id' => '26','town' => 'Cordovín','id' => '4088','slug' => 'cordovn','latitude' => '42.3848242','longitude' => '-2.8143711'),
        array('province_id' => '26','town' => 'Corera','id' => '4089','slug' => 'corera','latitude' => '42.342849','longitude' => '-2.2194249'),
        array('province_id' => '26','town' => 'Cornago','id' => '4090','slug' => 'cornago','latitude' => '42.0655065','longitude' => '-2.093088'),
        array('province_id' => '26','town' => 'Corporales','id' => '4091','slug' => 'corporales','latitude' => '42.4336045','longitude' => '-2.9940017'),
        array('province_id' => '26','town' => 'Cuzcurrita de Río Tirón','id' => '4092','slug' => 'cuzcurrita-de-ro-tirn','latitude' => '42.5415064','longitude' => '-2.9630243'),
        array('province_id' => '26','town' => 'Daroca de Rioja','id' => '4093','slug' => 'daroca-de-rioja','latitude' => '42.3714427','longitude' => '-2.5814205'),
        array('province_id' => '26','town' => 'Enciso','id' => '4094','slug' => 'enciso','latitude' => '42.1489328','longitude' => '-2.269399'),
        array('province_id' => '26','town' => 'Entrena','id' => '4095','slug' => 'entrena','latitude' => '42.3883355','longitude' => '-2.5309421'),
        array('province_id' => '26','town' => 'Estollo','id' => '4096','slug' => 'estollo','latitude' => '42.3293364','longitude' => '-2.850387'),
        array('province_id' => '26','town' => 'Ezcaray','id' => '4097','slug' => 'ezcaray','latitude' => '42.3267239','longitude' => '-3.0133947'),
        array('province_id' => '26','town' => 'Foncea','id' => '4098','slug' => 'foncea','latitude' => '42.6155053','longitude' => '-3.0383627'),
        array('province_id' => '26','town' => 'Fonzaleche','id' => '4099','slug' => 'fonzaleche','latitude' => '42.5812183','longitude' => '-3.0118092'),
        array('province_id' => '26','town' => 'Fuenmayor','id' => '4100','slug' => 'fuenmayor','latitude' => '42.4669937','longitude' => '-2.5625777'),
        array('province_id' => '26','town' => 'Galbárruli','id' => '4101','slug' => 'galbrruli','latitude' => '42.6225374','longitude' => '-2.9611426'),
        array('province_id' => '26','town' => 'Galilea','id' => '4102','slug' => 'galilea','latitude' => '42.348235','longitude' => '-2.2358263'),
        array('province_id' => '26','town' => 'Gallinero de Cameros','id' => '4103','slug' => 'gallinero-de-cameros','latitude' => '42.17146','longitude' => '-2.6179366'),
        array('province_id' => '26','town' => 'Gimileo','id' => '4104','slug' => 'gimileo','latitude' => '42.5503987','longitude' => '-2.8210602'),
        array('province_id' => '26','town' => 'Grañón','id' => '4105','slug' => '4105-gran','latitude' => '42.4504544','longitude' => '-3.026787'),
        array('province_id' => '26','town' => 'Grávalos','id' => '4106','slug' => 'grvalos','latitude' => '42.1086623','longitude' => '-2.0012267'),
        array('province_id' => '26','town' => 'Haro','id' => '4107','slug' => 'haro','latitude' => '42.5772045','longitude' => '-2.8462974'),
        array('province_id' => '26','town' => 'Herce','id' => '4108','slug' => 'herce','latitude' => '42.2143564','longitude' => '-2.1647825'),
        array('province_id' => '26','town' => 'Herramélluri','id' => '4109','slug' => 'herramlluri','latitude' => '42.5020918','longitude' => '-3.0198007'),
        array('province_id' => '26','town' => 'Hervías','id' => '4110','slug' => 'hervas','latitude' => '42.448104','longitude' => '-2.8856152'),
        array('province_id' => '26','town' => 'Hormilla','id' => '4111','slug' => 'hormilla','latitude' => '42.4378618','longitude' => '-2.7743939'),
        array('province_id' => '26','town' => 'Hormilleja','id' => '4112','slug' => 'hormilleja','latitude' => '42.4557877','longitude' => '-2.7309947'),
        array('province_id' => '26','town' => 'Hornillos de Cameros','id' => '4113','slug' => 'hornillos-de-cameros','latitude' => '42.2100559','longitude' => '-2.4194789'),
        array('province_id' => '26','town' => 'Hornos de Moncalvillo','id' => '4114','slug' => 'hornos-de-moncalvillo','latitude' => '42.3917568','longitude' => '-2.5852735'),
        array('province_id' => '26','town' => 'Huércanos','id' => '4115','slug' => 'hurcanos','latitude' => '42.4291031','longitude' => '-2.6941384'),
        array('province_id' => '26','town' => 'Igea','id' => '4116','slug' => '4116-igea','latitude' => '42.0707139','longitude' => '-2.0101706'),
        array('province_id' => '26','town' => 'Jalón de Cameros','id' => '4117','slug' => 'jaln-de-cameros','latitude' => '42.2182387','longitude' => '-2.4884615'),
        array('province_id' => '26','town' => 'Laguna de Cameros','id' => '4118','slug' => 'laguna-de-cameros','latitude' => '42.1751008','longitude' => '-2.5424474'),
        array('province_id' => '26','town' => 'Lagunilla del Jubera','id' => '4119','slug' => 'lagunilla-del-jubera','latitude' => '42.3336911','longitude' => '-2.3207084'),
        array('province_id' => '26','town' => 'Lardero','id' => '4120','slug' => 'lardero','latitude' => '42.4264511','longitude' => '-2.461432'),
        array('province_id' => '26','town' => 'Ledesma de la Cogolla','id' => '4121','slug' => 'ledesma-de-la-cogolla','latitude' => '42.3204029','longitude' => '-2.7200679'),
        array('province_id' => '26','town' => 'Leiva','id' => '4122','slug' => 'leiva','latitude' => '42.5036518','longitude' => '-3.0465136'),
        array('province_id' => '26','town' => 'Leza de Río Leza','id' => '4123','slug' => 'leza-de-ro-leza','latitude' => '42.3279539','longitude' => '-2.4057322'),
        array('province_id' => '26','town' => 'Logroño','id' => '4124','slug' => 'logroo','latitude' => '42.4657764','longitude' => '-2.4499946'),
        array('province_id' => '26','town' => 'Lumbreras','id' => '4125','slug' => 'lumbreras','latitude' => '42.1050025','longitude' => '-2.6239897'),
        array('province_id' => '26','town' => 'Manjarrés','id' => '4126','slug' => 'manjarrs','latitude' => '42.3926004','longitude' => '-2.67522'),
        array('province_id' => '26','town' => 'Mansilla de la Sierra','id' => '4127','slug' => 'mansilla-de-la-sierra','latitude' => '42.153367','longitude' => '-2.9452169'),
        array('province_id' => '26','town' => 'Manzanares de Rioja','id' => '4128','slug' => 'manzanares-de-rioja','latitude' => '42.3961391','longitude' => '-2.8952326'),
        array('province_id' => '26','town' => 'Matute','id' => '4129','slug' => 'matute','latitude' => '42.2983782','longitude' => '-2.7954184'),
        array('province_id' => '26','town' => 'Medrano','id' => '4130','slug' => 'medrano','latitude' => '42.382657','longitude' => '-2.55403'),
        array('province_id' => '26','town' => 'Munilla','id' => '4131','slug' => 'munilla','latitude' => '42.1886591','longitude' => '-2.2953011'),
        array('province_id' => '26','town' => 'Murillo de Río Leza','id' => '4132','slug' => 'murillo-de-ro-leza','latitude' => '42.4030223','longitude' => '-2.3246592'),
        array('province_id' => '26','town' => 'Muro de Aguas','id' => '4133','slug' => 'muro-de-aguas','latitude' => '42.1333799','longitude' => '-2.1097346'),
        array('province_id' => '26','town' => 'Muro en Cameros','id' => '4134','slug' => 'muro-en-cameros','latitude' => '42.225308','longitude' => '-2.528894'),
        array('province_id' => '26','town' => 'Nájera','id' => '4135','slug' => 'njera','latitude' => '42.4160408','longitude' => '-2.7343237'),
        array('province_id' => '26','town' => 'Nalda','id' => '4136','slug' => 'nalda','latitude' => '42.3341422','longitude' => '-2.4869611'),
        array('province_id' => '26','town' => 'Navajún','id' => '4137','slug' => 'navajn','latitude' => '41.9640846','longitude' => '-2.0987249'),
        array('province_id' => '26','town' => 'Navarrete','id' => '4138','slug' => 'navarrete','latitude' => '42.4307377','longitude' => '-2.5646665'),
        array('province_id' => '26','town' => 'Nestares','id' => '4139','slug' => 'nestares','latitude' => '42.2696373','longitude' => '-2.6193896'),
        array('province_id' => '26','town' => 'Nieva de Cameros','id' => '4140','slug' => 'nieva-de-cameros','latitude' => '42.2177726','longitude' => '-2.6676283'),
        array('province_id' => '26','town' => 'Ochánduri','id' => '4141','slug' => 'ochnduri','latitude' => '42.5246508','longitude' => '-3.0036307'),
        array('province_id' => '26','town' => 'Ocón','id' => '4142','slug' => 'ocn','latitude' => '42.297954','longitude' => '-2.2446629'),
        array('province_id' => '26','town' => 'Ojacastro','id' => '4143','slug' => 'ojacastro','latitude' => '42.3465638','longitude' => '-3.0051415'),
        array('province_id' => '26','town' => 'Ollauri','id' => '4144','slug' => 'ollauri','latitude' => '42.5421491','longitude' => '-2.8332273'),
        array('province_id' => '26','town' => 'Ortigosa de Cameros','id' => '4145','slug' => 'ortigosa-de-cameros','latitude' => '42.1759622','longitude' => '-2.7050409'),
        array('province_id' => '26','town' => 'Pazuengos','id' => '4146','slug' => 'pazuengos','latitude' => '42.3183894','longitude' => '-2.9255842'),
        array('province_id' => '26','town' => 'Pedroso','id' => '4147','slug' => 'pedroso','latitude' => '42.3003936','longitude' => '-2.718856'),
        array('province_id' => '26','town' => 'Pinillos','id' => '4148','slug' => 'pinillos','latitude' => '42.1991839','longitude' => '-2.5966505'),
        array('province_id' => '26','town' => 'Pradejón','id' => '4149','slug' => 'pradejn','latitude' => '42.3344795','longitude' => '-2.0683083'),
        array('province_id' => '26','town' => 'Pradillo','id' => '4150','slug' => 'pradillo','latitude' => '42.1774787','longitude' => '-2.6407478'),
        array('province_id' => '26','town' => 'Préjano','id' => '4151','slug' => 'prjano','latitude' => '42.1861842','longitude' => '-2.179706'),
        array('province_id' => '26','town' => 'Quel','id' => '4152','slug' => 'quel','latitude' => '42.2289395','longitude' => '-2.0498106'),
        array('province_id' => '26','town' => 'Rabanera','id' => '4153','slug' => 'rabanera','latitude' => '42.1895788','longitude' => '-2.4867541'),
        array('province_id' => '26','town' => 'Rasillo de Cameros, El','id' => '4154','slug' => 'rasillo-de-cameros-el','latitude' => '42.194529','longitude' => '-2.6981504'),
        array('province_id' => '26','town' => 'Redal, El','id' => '4155','slug' => 'redal-el','latitude' => '42.3379538','longitude' => '-2.2014386'),
        array('province_id' => '26','town' => 'Ribafrecha','id' => '4156','slug' => 'ribafrecha','latitude' => '42.3547686','longitude' => '-2.3875094'),
        array('province_id' => '26','town' => 'Rincón de Soto','id' => '4157','slug' => 'rincn-de-soto','latitude' => '42.2345262','longitude' => '-1.8508006'),
        array('province_id' => '26','town' => 'Robres del Castillo','id' => '4158','slug' => 'robres-del-castillo','latitude' => '42.2740828','longitude' => '-2.2922329'),
        array('province_id' => '26','town' => 'Rodezno','id' => '4159','slug' => 'rodezno','latitude' => '42.5256971','longitude' => '-2.8450272'),
        array('province_id' => '26','town' => 'Sajazarra','id' => '4160','slug' => 'sajazarra','latitude' => '42.5884037','longitude' => '-2.9614857'),
        array('province_id' => '26','town' => 'San Asensio','id' => '4161','slug' => 'san-asensio','latitude' => '42.4975458','longitude' => '-2.7488969'),
        array('province_id' => '26','town' => 'San Millán de la Cogolla','id' => '4162','slug' => 'san-milln-de-la-cogolla','latitude' => '42.3290029','longitude' => '-2.8614017'),
        array('province_id' => '26','town' => 'San Millán de Yécora','id' => '4163','slug' => 'san-milln-de-ycora','latitude' => '42.5466306','longitude' => '-3.0968732'),
        array('province_id' => '26','town' => 'San Román de Cameros','id' => '4164','slug' => 'san-romn-de-cameros','latitude' => '42.232276','longitude' => '-2.4739076'),
        array('province_id' => '26','town' => 'San Torcuato','id' => '4165','slug' => 'san-torcuato','latitude' => '42.4824938','longitude' => '-2.8900315'),
        array('province_id' => '26','town' => 'San Vicente de la Sonsierra','id' => '4166','slug' => 'san-vicente-de-la-sonsierra','latitude' => '42.5624214','longitude' => '-2.7592727'),
        array('province_id' => '26','town' => 'Santa Coloma','id' => '4167','slug' => 'santa-coloma','latitude' => '42.366989','longitude' => '-2.6556941'),
        array('province_id' => '26','town' => 'Santa Engracia del Jubera','id' => '4168','slug' => 'santa-engracia-del-jubera','latitude' => '42.3008839','longitude' => '-2.2921643'),
        array('province_id' => '26','town' => 'Santa Eulalia Bajera','id' => '4169','slug' => 'santa-eulalia-bajera','latitude' => '42.2103016','longitude' => '-2.1912164'),
        array('province_id' => '26','town' => 'Santo Domingo de la Calzada','id' => '4170','slug' => 'santo-domingo-de-la-calzada','latitude' => '42.4419919','longitude' => '-2.9525895'),
        array('province_id' => '26','town' => 'Santurde de Rioja','id' => '4171','slug' => 'santurde-de-rioja','latitude' => '42.3895884','longitude' => '-2.9800238'),
        array('province_id' => '26','town' => 'Santurdejo','id' => '4172','slug' => 'santurdejo','latitude' => '42.3782375','longitude' => '-2.954972'),
        array('province_id' => '26','town' => 'Sojuela','id' => '4173','slug' => 'sojuela','latitude' => '42.3700125','longitude' => '-2.5450472'),
        array('province_id' => '26','town' => 'Sorzano','id' => '4174','slug' => 'sorzano','latitude' => '42.3425265','longitude' => '-2.5281357'),
        array('province_id' => '26','town' => 'Sotés','id' => '4175','slug' => 'sots','latitude' => '42.400116','longitude' => '-2.6022248'),
        array('province_id' => '26','town' => 'Soto en Cameros','id' => '4176','slug' => 'soto-en-cameros','latitude' => '42.286616','longitude' => '-2.4248891'),
        array('province_id' => '26','town' => 'Terroba','id' => '4177','slug' => 'terroba','latitude' => '42.2584332','longitude' => '-2.4439915'),
        array('province_id' => '26','town' => 'Tirgo','id' => '4178','slug' => 'tirgo','latitude' => '42.5456683','longitude' => '-2.9486462'),
        array('province_id' => '26','town' => 'Tobía','id' => '4179','slug' => 'toba','latitude' => '42.2981444','longitude' => '-2.8153879'),
        array('province_id' => '26','town' => 'Tormantos','id' => '4180','slug' => 'tormantos','latitude' => '42.4943269','longitude' => '-3.0740024'),
        array('province_id' => '26','town' => 'Torre en Cameros','id' => '4181','slug' => 'torre-en-cameros','latitude' => '42.2404061','longitude' => '-2.51884'),
        array('province_id' => '26','town' => 'Torrecilla en Cameros','id' => '4182','slug' => 'torrecilla-en-cameros','latitude' => '42.255256','longitude' => '-2.6305432'),
        array('province_id' => '26','town' => 'Torrecilla sobre Alesanco','id' => '4183','slug' => 'torrecilla-sobre-alesanco','latitude' => '42.4082779','longitude' => '-2.8345653'),
        array('province_id' => '26','town' => 'Torremontalbo','id' => '4184','slug' => 'torremontalbo','latitude' => '42.5005467','longitude' => '-2.6850559'),
        array('province_id' => '26','town' => 'Treviana','id' => '4185','slug' => 'treviana','latitude' => '42.5583462','longitude' => '-3.0510753'),
        array('province_id' => '26','town' => 'Tricio','id' => '4186','slug' => 'tricio','latitude' => '42.401255','longitude' => '-2.7189593'),
        array('province_id' => '26','town' => 'Tudelilla','id' => '4187','slug' => 'tudelilla','latitude' => '42.299661','longitude' => '-2.1161393'),
        array('province_id' => '26','town' => 'Uruñuela','id' => '4188','slug' => 'uruuela','latitude' => '42.4427214','longitude' => '-2.7079491'),
        array('province_id' => '26','town' => 'Valdemadera','id' => '4189','slug' => 'valdemadera','latitude' => '41.9839496','longitude' => '-2.073984'),
        array('province_id' => '26','town' => 'Valgañón','id' => '4190','slug' => 'valgan','latitude' => '42.3176392','longitude' => '-3.0672896'),
        array('province_id' => '26','town' => 'Ventosa','id' => '4191','slug' => 'ventosa','latitude' => '42.4039115','longitude' => '-2.6264754'),
        array('province_id' => '26','town' => 'Ventrosa','id' => '4192','slug' => 'ventrosa','latitude' => '42.1555532','longitude' => '-2.8520236'),
        array('province_id' => '26','town' => 'Viguera','id' => '4193','slug' => 'viguera','latitude' => '42.3081609','longitude' => '-2.5338684'),
        array('province_id' => '26','town' => 'Villalba de Rioja','id' => '4194','slug' => 'villalba-de-rioja','latitude' => '42.6091619','longitude' => '-2.8879503'),
        array('province_id' => '26','town' => 'Villalobar de Rioja','id' => '4195','slug' => 'villalobar-de-rioja','latitude' => '42.4921277','longitude' => '-2.961956'),
        array('province_id' => '26','town' => 'Villamediana de Iregua','id' => '4196','slug' => 'villamediana-de-iregua','latitude' => '42.4263007','longitude' => '-2.4192143'),
        array('province_id' => '26','town' => 'Villanueva de Cameros','id' => '4197','slug' => 'villanueva-de-cameros','latitude' => '42.167633','longitude' => '-2.6492303'),
        array('province_id' => '26','town' => 'Villar de Arnedo, El','id' => '4198','slug' => 'villar-de-arnedo-el','latitude' => '42.3206972','longitude' => '-2.0952962'),
        array('province_id' => '26','town' => 'Villar de Torre','id' => '4199','slug' => 'villar-de-torre','latitude' => '42.370672','longitude' => '-2.8658049'),
        array('province_id' => '26','town' => 'Villarejo','id' => '4200','slug' => 'villarejo','latitude' => '42.3729932','longitude' => '-2.8876946'),
        array('province_id' => '26','town' => 'Villarroya','id' => '4201','slug' => 'villarroya','latitude' => '42.1324576','longitude' => '-2.0667419'),
        array('province_id' => '26','town' => 'Villarta-Quintana','id' => '4202','slug' => 'villarta-quintana','latitude' => '42.4298583','longitude' => '-3.0492419'),
        array('province_id' => '26','town' => 'Villavelayo','id' => '4203','slug' => 'villavelayo','latitude' => '42.1318425','longitude' => '-2.9855759'),
        array('province_id' => '26','town' => 'Villaverde de Rioja','id' => '4204','slug' => 'villaverde-de-rioja','latitude' => '42.3208098','longitude' => '-2.8139004'),
        array('province_id' => '26','town' => 'Villoslada de Cameros','id' => '4205','slug' => 'villoslada-de-cameros','latitude' => '42.1140088','longitude' => '-2.6733854'),
        array('province_id' => '26','town' => 'Viniegra de Abajo','id' => '4206','slug' => 'viniegra-de-abajo','latitude' => '42.1518061','longitude' => '-2.888074'),
        array('province_id' => '26','town' => 'Viniegra de Arriba','id' => '4207','slug' => 'viniegra-de-arriba','latitude' => '42.0957526','longitude' => '-2.8346862'),
        array('province_id' => '26','town' => 'Zarratón','id' => '4208','slug' => 'zarratn','latitude' => '42.5157886','longitude' => '-2.8823057'),
        array('province_id' => '26','town' => 'Zarzosa','id' => '4209','slug' => 'zarzosa','latitude' => '42.1812978','longitude' => '-2.3415489'),
        array('province_id' => '26','town' => 'Zorraquín','id' => '4210','slug' => 'zorraqun','latitude' => '42.3259701','longitude' => '-3.0393343'),
        array('province_id' => '27','town' => 'Abadín','id' => '4211','slug' => 'abadn','latitude' => '43.3662065','longitude' => '-7.4699066'),
        array('province_id' => '27','town' => 'Alfoz','id' => '4212','slug' => 'alfoz','latitude' => '43.528','longitude' => '-7.414'),
        array('province_id' => '27','town' => 'Antas de Ulla','id' => '4213','slug' => 'antas-de-ulla','latitude' => '42.7822547','longitude' => '-7.8910787'),
        array('province_id' => '27','town' => 'Baleira','id' => '4214','slug' => 'baleira','latitude' => '43.0016667','longitude' => '-7.2391667'),
        array('province_id' => '27','town' => 'Baralla','id' => '4215','slug' => 'baralla','latitude' => '42.8928557','longitude' => '-7.253127'),
        array('province_id' => '27','town' => 'Barreiros','id' => '4216','slug' => 'barreiros','latitude' => '43.5333333','longitude' => '-7.2333333'),
        array('province_id' => '27','town' => 'Becerreá','id' => '4217','slug' => 'becerre','latitude' => '42.853407','longitude' => '-7.1621465'),
        array('province_id' => '27','town' => 'Begonte','id' => '4218','slug' => 'begonte','latitude' => '43.1453412','longitude' => '-7.6802041'),
        array('province_id' => '27','town' => 'Bóveda','id' => '4219','slug' => 'bveda','latitude' => '42.9801411','longitude' => '-7.6857603'),
        array('province_id' => '27','town' => 'Burela','id' => '4220','slug' => 'burela','latitude' => '43.6559434','longitude' => '-7.3635145'),
        array('province_id' => '27','town' => 'Carballedo','id' => '4221','slug' => 'carballedo','latitude' => '42.5167','longitude' => '-7.83333'),
        array('province_id' => '27','town' => 'Castro de Rei','id' => '4222','slug' => 'castro-de-rei','latitude' => '43.2085908','longitude' => '-7.4003691'),
        array('province_id' => '27','town' => 'Castroverde','id' => '4223','slug' => 'castroverde','latitude' => '42.9508921','longitude' => '-7.2943536'),
        array('province_id' => '27','town' => 'Cervantes','id' => '4224','slug' => 'cervantes','latitude' => '42.8698391','longitude' => '-7.0600727'),
        array('province_id' => '27','town' => 'Cervo','id' => '4225','slug' => 'cervo','latitude' => '43.6820863','longitude' => '-7.4476902'),
        array('province_id' => '27','town' => 'Chantada','id' => '4226','slug' => 'chantada','latitude' => '42.6086738','longitude' => '-7.7734681'),
        array('province_id' => '27','town' => 'Corgo, O','id' => '4227','slug' => 'corgo-o','latitude' => '42.9382921','longitude' => '-7.4155423'),
        array('province_id' => '27','town' => 'Cospeito','id' => '4228','slug' => 'cospeito','latitude' => '43.2361111','longitude' => '-7.5583333'),
        array('province_id' => '27','town' => 'Folgoso do Courel','id' => '4229','slug' => 'folgoso-do-courel','latitude' => '42.5888166','longitude' => '-7.1954685'),
        array('province_id' => '27','town' => 'Fonsagrada, A','id' => '4230','slug' => 'fonsagrada-a','latitude' => '43.1237515','longitude' => '-7.0679097'),
        array('province_id' => '27','town' => 'Foz','id' => '4231','slug' => 'foz','latitude' => '43.5725022','longitude' => '-7.2613973'),
        array('province_id' => '27','town' => 'Friol','id' => '4232','slug' => 'friol','latitude' => '43.0288911','longitude' => '-7.7935398'),
        array('province_id' => '27','town' => 'Guitiriz','id' => '4233','slug' => 'guitiriz','latitude' => '43.1817431','longitude' => '-7.9001847'),
        array('province_id' => '27','town' => 'Guntín','id' => '4234','slug' => 'guntn','latitude' => '42.8877778','longitude' => '-7.6972222'),
        array('province_id' => '27','town' => 'Incio, O','id' => '4235','slug' => 'incio-o','latitude' => '42.648909','longitude' => '-7.330053'),
        array('province_id' => '27','town' => 'Láncara','id' => '4236','slug' => 'lncara','latitude' => '42.8649145','longitude' => '-7.3361198'),
        array('province_id' => '27','town' => 'Lourenzá','id' => '4237','slug' => 'lourenz','latitude' => '43.4672742','longitude' => '-7.3008626'),
        array('province_id' => '27','town' => 'Lugo','id' => '4238','slug' => 'lugo','latitude' => '43.0120868','longitude' => '-7.5558514'),
        array('province_id' => '27','town' => 'Meira','id' => '4239','slug' => 'meira','latitude' => '43.2130983','longitude' => '-7.2949436'),
        array('province_id' => '27','town' => 'Mondoñedo','id' => '4240','slug' => 'mondoedo','latitude' => '43.4280961','longitude' => '-7.3628505'),
        array('province_id' => '27','town' => 'Monforte de Lemos','id' => '4241','slug' => 'monforte-de-lemos','latitude' => '42.5184982','longitude' => '-7.5106882'),
        array('province_id' => '27','town' => 'Monterroso','id' => '4242','slug' => 'monterroso','latitude' => '42.7931948','longitude' => '-7.8365257'),
        array('province_id' => '27','town' => 'Muras','id' => '4243','slug' => 'muras','latitude' => '43.4678761','longitude' => '-7.7230029'),
        array('province_id' => '27','town' => 'Navia de Suarna','id' => '4244','slug' => 'navia-de-suarna','latitude' => '42.964857','longitude' => '-7.003865'),
        array('province_id' => '27','town' => 'Negueira de Muñiz','id' => '4245','slug' => 'negueira-de-muiz','latitude' => '43.1333556','longitude' => '-6.8930231'),
        array('province_id' => '27','town' => 'Nogais, As','id' => '4246','slug' => 'nogais-as','latitude' => '42.8093276','longitude' => '-7.1092682'),
        array('province_id' => '27','town' => 'Ourol','id' => '4247','slug' => 'ourol','latitude' => '43.5567763','longitude' => '-7.6361088'),
        array('province_id' => '27','town' => 'Outeiro de Rei','id' => '4248','slug' => 'outeiro-de-rei','latitude' => '43.1021321','longitude' => '-7.6151675'),
        array('province_id' => '27','town' => 'Palas de Rei','id' => '4249','slug' => 'palas-de-rei','latitude' => '42.874241','longitude' => '-7.868907'),
        array('province_id' => '27','town' => 'Pantón','id' => '4250','slug' => 'pantn','latitude' => '42.5166667','longitude' => '-7.6'),
        array('province_id' => '27','town' => 'Paradela','id' => '4251','slug' => 'paradela','latitude' => '42.7486635','longitude' => '-7.5897372'),
        array('province_id' => '27','town' => 'Páramo, O','id' => '4252','slug' => 'pramo-o','latitude' => '42.8396011','longitude' => '-7.5355555'),
        array('province_id' => '27','town' => 'Pastoriza, A','id' => '4253','slug' => 'pastoriza-a','latitude' => '43.3006292','longitude' => '-7.3513706'),
        array('province_id' => '27','town' => 'Pedrafita do Cebreiro','id' => '4254','slug' => 'pedrafita-do-cebreiro','latitude' => '42.7262368','longitude' => '-7.0212258'),
        array('province_id' => '27','town' => 'Pobra do Brollón, A','id' => '4255','slug' => 'pobra-do-brolln-a','latitude' => '42.5570379','longitude' => '-7.3924181'),
        array('province_id' => '27','town' => 'Pol','id' => '4256','slug' => 'pol','latitude' => '43.1527209','longitude' => '-7.330053'),
        array('province_id' => '27','town' => 'Pontenova, A','id' => '4257','slug' => 'pontenova-a','latitude' => '43.3480346','longitude' => '-7.1925357'),
        array('province_id' => '27','town' => 'Portomarín','id' => '4258','slug' => 'portomarn','latitude' => '42.8077541','longitude' => '-7.6155181'),
        array('province_id' => '27','town' => 'Quiroga','id' => '4259','slug' => 'quiroga','latitude' => '42.4759676','longitude' => '-7.2717196'),
        array('province_id' => '27','town' => 'Rábade','id' => '4260','slug' => 'rbade','latitude' => '43.1208816','longitude' => '-7.621819'),
        array('province_id' => '27','town' => 'Ribadeo','id' => '4261','slug' => 'ribadeo','latitude' => '43.5373554','longitude' => '-7.0430294'),
        array('province_id' => '27','town' => 'Ribas de Sil','id' => '4262','slug' => 'ribas-de-sil','latitude' => '42.4461149','longitude' => '-7.2976617'),
        array('province_id' => '27','town' => 'Ribeira de Piquín','id' => '4263','slug' => 'ribeira-de-piqun','latitude' => '43.190551','longitude' => '-7.1898025'),
        array('province_id' => '27','town' => 'Riotorto','id' => '4264','slug' => 'riotorto','latitude' => '43.3597222','longitude' => '-7.2544445'),
        array('province_id' => '27','town' => 'Samos','id' => '4265','slug' => 'samos','latitude' => '42.7305388','longitude' => '-7.3252927'),
        array('province_id' => '27','town' => 'Sarria','id' => '4266','slug' => 'sarria','latitude' => '42.7776556','longitude' => '-7.4144746'),
        array('province_id' => '27','town' => 'Saviñao, O','id' => '4267','slug' => 'saviao-o','latitude' => '42.6470935','longitude' => '-7.654811'),
        array('province_id' => '27','town' => 'Sober','id' => '4268','slug' => 'sober','latitude' => '42.4610721','longitude' => '-7.5863438'),
        array('province_id' => '27','town' => 'Taboada','id' => '4269','slug' => 'taboada','latitude' => '42.7161524','longitude' => '-7.7629038'),
        array('province_id' => '27','town' => 'Trabada','id' => '4270','slug' => 'trabada','latitude' => '43.4483356','longitude' => '-7.1945921'),
        array('province_id' => '27','town' => 'Triacastela','id' => '4271','slug' => 'triacastela','latitude' => '42.7566535','longitude' => '-7.2404428'),
        array('province_id' => '27','town' => 'Valadouro, O','id' => '4272','slug' => 'valadouro-o','latitude' => '43.5667315','longitude' => '-7.4597725'),
        array('province_id' => '27','town' => 'Vicedo, O','id' => '4273','slug' => 'vicedo-o','latitude' => '43.7333642','longitude' => '-7.6720578'),
        array('province_id' => '27','town' => 'Vilalba','id' => '4274','slug' => 'vilalba','latitude' => '43.2954134','longitude' => '-7.6844125'),
        array('province_id' => '27','town' => 'Viveiro','id' => '4275','slug' => 'viveiro','latitude' => '43.6614351','longitude' => '-7.5945315'),
        array('province_id' => '27','town' => 'Xermade','id' => '4276','slug' => 'xermade','latitude' => '43.3555196','longitude' => '-7.8135542'),
        array('province_id' => '27','town' => 'Xove','id' => '4277','slug' => 'xove','latitude' => '43.6855722','longitude' => '-7.5124211'),
        array('province_id' => '28','town' => 'Acebeda, La','id' => '4278','slug' => 'acebeda-la','latitude' => '40.3337466','longitude' => '-3.7203489'),
        array('province_id' => '28','town' => 'Ajalvir','id' => '4279','slug' => 'ajalvir','latitude' => '40.5343685','longitude' => '-3.4810021'),
        array('province_id' => '28','town' => 'Alameda del Valle','id' => '4280','slug' => 'alameda-del-valle','latitude' => '40.9178985','longitude' => '-3.8437884'),
        array('province_id' => '28','town' => 'Álamo, El','id' => '4281','slug' => 'lamo-el','latitude' => '40.2297183','longitude' => '-3.9926884'),
        array('province_id' => '28','town' => 'Alcalá de Henares','id' => '4282','slug' => 'alcal-de-henares','latitude' => '40.481663','longitude' => '-3.3641362'),
        array('province_id' => '28','town' => 'Alcobendas','id' => '4283','slug' => 'alcobendas','latitude' => '40.5475437','longitude' => '-3.6420912'),
        array('province_id' => '28','town' => 'Alcorcón','id' => '4284','slug' => 'alcorcn','latitude' => '40.3491158','longitude' => '-3.8288109'),
        array('province_id' => '28','town' => 'Aldea del Fresno','id' => '4285','slug' => 'aldea-del-fresno','latitude' => '40.32399','longitude' => '-4.2022169'),
        array('province_id' => '28','town' => 'Algete','id' => '4286','slug' => 'algete','latitude' => '40.5964233','longitude' => '-3.4979016'),
        array('province_id' => '28','town' => 'Alpedrete','id' => '4287','slug' => 'alpedrete','latitude' => '40.6587542','longitude' => '-4.0237125'),
        array('province_id' => '28','town' => 'Ambite','id' => '4288','slug' => 'ambite','latitude' => '40.3292023','longitude' => '-3.1818951'),
        array('province_id' => '28','town' => 'Anchuelo','id' => '4289','slug' => 'anchuelo','latitude' => '40.4654921','longitude' => '-3.2685854'),
        array('province_id' => '28','town' => 'Aranjuez','id' => '4290','slug' => 'aranjuez','latitude' => '40.0320927','longitude' => '-3.6032879'),
        array('province_id' => '28','town' => 'Arganda del Rey','id' => '4291','slug' => 'arganda-del-rey','latitude' => '40.3009506','longitude' => '-3.4380798'),
        array('province_id' => '28','town' => 'Arroyomolinos','id' => '4292','slug' => '4292-arroyomolinos','latitude' => '40.2688395','longitude' => '-3.9202906'),
        array('province_id' => '28','town' => 'Atazar, El','id' => '4293','slug' => 'atazar-el','latitude' => '40.933333','longitude' => '-3.466667'),
        array('province_id' => '28','town' => 'Batres','id' => '4294','slug' => 'batres','latitude' => '40.2102936','longitude' => '-3.9223071'),
        array('province_id' => '28','town' => 'Becerril de la Sierra','id' => '4295','slug' => 'becerril-de-la-sierra','latitude' => '40.7163841','longitude' => '-3.989412'),
        array('province_id' => '28','town' => 'Belmonte de Tajo','id' => '4296','slug' => 'belmonte-de-tajo','latitude' => '40.1336417','longitude' => '-3.3396544'),
        array('province_id' => '28','town' => 'Berrueco, El','id' => '4297','slug' => 'berrueco-el','latitude' => '40.3363542','longitude' => '-3.7167547'),
        array('province_id' => '28','town' => 'Berzosa del Lozoya','id' => '4298','slug' => 'berzosa-del-lozoya','latitude' => '40.9759439','longitude' => '-3.5250823'),
        array('province_id' => '28','town' => 'Boadilla del Monte','id' => '4299','slug' => 'boadilla-del-monte','latitude' => '40.4052478','longitude' => '-3.8769914'),
        array('province_id' => '28','town' => 'Boalo, El','id' => '4300','slug' => 'boalo-el','latitude' => '40.7174658','longitude' => '-3.9200839'),
        array('province_id' => '28','town' => 'Braojos','id' => '4301','slug' => 'braojos','latitude' => '41.0400455','longitude' => '-3.6431119'),
        array('province_id' => '28','town' => 'Brea de Tajo','id' => '4302','slug' => 'brea-de-tajo','latitude' => '40.2301195','longitude' => '-3.1094989'),
        array('province_id' => '28','town' => 'Brunete','id' => '4303','slug' => 'brunete','latitude' => '40.405536','longitude' => '-3.997736'),
        array('province_id' => '28','town' => 'Buitrago del Lozoya','id' => '4304','slug' => 'buitrago-del-lozoya','latitude' => '40.9936798','longitude' => '-3.636723'),
        array('province_id' => '28','town' => 'Bustarviejo','id' => '4305','slug' => 'bustarviejo','latitude' => '40.8581735','longitude' => '-3.7096985'),
        array('province_id' => '28','town' => 'Cabanillas de la Sierra','id' => '4306','slug' => 'cabanillas-de-la-sierra','latitude' => '40.8196762','longitude' => '-3.6260665'),
        array('province_id' => '28','town' => 'Cabrera, La','id' => '4307','slug' => 'cabrera-la','latitude' => '40.4719352','longitude' => '-3.7174439'),
        array('province_id' => '28','town' => 'Cadalso de los Vidrios','id' => '4308','slug' => 'cadalso-de-los-vidrios','latitude' => '40.3009392','longitude' => '-4.4437368'),
        array('province_id' => '28','town' => 'Camarma de Esteruelas','id' => '4309','slug' => 'camarma-de-esteruelas','latitude' => '40.5486132','longitude' => '-3.3775972'),
        array('province_id' => '28','town' => 'Campo Real','id' => '4310','slug' => 'campo-real','latitude' => '40.3381498','longitude' => '-3.3809818'),
        array('province_id' => '28','town' => 'Canencia','id' => '4311','slug' => 'canencia','latitude' => '40.9098048','longitude' => '-3.737718'),
        array('province_id' => '28','town' => 'Carabaña','id' => '4312','slug' => 'carabaa','latitude' => '40.2566916','longitude' => '-3.2346408'),
        array('province_id' => '28','town' => 'Casarrubuelos','id' => '4313','slug' => 'casarrubuelos','latitude' => '40.1711377','longitude' => '-3.8330684'),
        array('province_id' => '28','town' => 'Cenicientos','id' => '4314','slug' => 'cenicientos','latitude' => '40.2646284','longitude' => '-4.464909'),
        array('province_id' => '28','town' => 'Cercedilla','id' => '4315','slug' => 'cercedilla','latitude' => '40.741452','longitude' => '-4.0546664'),
        array('province_id' => '28','town' => 'Cervera de Buitrago','id' => '4316','slug' => 'cervera-de-buitrago','latitude' => '40.9219626','longitude' => '-3.5301597'),
        array('province_id' => '28','town' => 'Chapinería','id' => '4317','slug' => 'chapinera','latitude' => '40.3791764','longitude' => '-4.2094301'),
        array('province_id' => '28','town' => 'Chinchón','id' => '4318','slug' => 'chinchn','latitude' => '40.1401904','longitude' => '-3.4156842'),
        array('province_id' => '28','town' => 'Ciempozuelos','id' => '4319','slug' => 'ciempozuelos','latitude' => '40.1593402','longitude' => '-3.6184'),
        array('province_id' => '28','town' => 'Cobeña','id' => '4320','slug' => 'cobea','latitude' => '40.5673322','longitude' => '-3.5048392'),
        array('province_id' => '28','town' => 'Collado Mediano','id' => '4321','slug' => 'collado-mediano','latitude' => '40.6938894','longitude' => '-4.0231235'),
        array('province_id' => '28','town' => 'Collado Villalba','id' => '4322','slug' => 'collado-villalba','latitude' => '40.6272562','longitude' => '-4.0085868'),
        array('province_id' => '28','town' => 'Colmenar de Oreja','id' => '4323','slug' => 'colmenar-de-oreja','latitude' => '40.107583','longitude' => '-3.387693'),
        array('province_id' => '28','town' => 'Colmenar del Arroyo','id' => '4324','slug' => 'colmenar-del-arroyo','latitude' => '40.4185797','longitude' => '-4.1985381'),
        array('province_id' => '28','town' => 'Colmenar Viejo','id' => '4325','slug' => 'colmenar-viejo','latitude' => '40.6589526','longitude' => '-3.7660432'),
        array('province_id' => '28','town' => 'Colmenarejo','id' => '4326','slug' => 'colmenarejo','latitude' => '40.5610133','longitude' => '-4.0168423'),
        array('province_id' => '28','town' => 'Corpa','id' => '4327','slug' => 'corpa','latitude' => '40.4248896','longitude' => '-3.2627228'),
        array('province_id' => '28','town' => 'Coslada','id' => '4328','slug' => 'coslada','latitude' => '40.425936','longitude' => '-3.5654639'),
        array('province_id' => '28','town' => 'Cubas de la Sagra','id' => '4329','slug' => 'cubas-de-la-sagra','latitude' => '40.1917006','longitude' => '-3.8373468'),
        array('province_id' => '28','town' => 'Daganzo de Arriba','id' => '4330','slug' => 'daganzo-de-arriba','latitude' => '40.5448102','longitude' => '-3.4579242'),
        array('province_id' => '28','town' => 'Escorial, El','id' => '4331','slug' => 'escorial-el','latitude' => '40.5850816','longitude' => '-4.1295201'),
        array('province_id' => '28','town' => 'Estremera','id' => '4332','slug' => 'estremera','latitude' => '40.1840316','longitude' => '-3.106115'),
        array('province_id' => '28','town' => 'Fresnedillas de la Oliva','id' => '4333','slug' => 'fresnedillas-de-la-oliva','latitude' => '40.4865094','longitude' => '-4.1720326'),
        array('province_id' => '28','town' => 'Fresno de Torote','id' => '4334','slug' => 'fresno-de-torote','latitude' => '40.5922917','longitude' => '-3.4120505'),
        array('province_id' => '28','town' => 'Fuenlabrada','id' => '4335','slug' => 'fuenlabrada','latitude' => '40.283873','longitude' => '-3.8003288'),
        array('province_id' => '28','town' => 'Fuente el Saz de Jarama','id' => '4336','slug' => 'fuente-el-saz-de-jarama','latitude' => '40.6387703','longitude' => '-3.5112904'),
        array('province_id' => '28','town' => 'Fuentidueña de Tajo','id' => '4337','slug' => 'fuentiduea-de-tajo','latitude' => '40.1181925','longitude' => '-3.1595493'),
        array('province_id' => '28','town' => 'Galapagar','id' => '4338','slug' => 'galapagar','latitude' => '40.5773606','longitude' => '-4.0035703'),
        array('province_id' => '28','town' => 'Garganta de los Montes','id' => '4339','slug' => 'garganta-de-los-montes','latitude' => '40.9214295','longitude' => '-3.6892054'),
        array('province_id' => '28','town' => 'Gargantilla del Lozoya y Pinilla de Buitrago','id' => '4340','slug' => 'gargantilla-del-lozoya-y-pinilla-de-buitrago','latitude' => '40.9811102','longitude' => '-3.6920427'),
        array('province_id' => '28','town' => 'Gascones','id' => '4341','slug' => 'gascones','latitude' => '41.018092','longitude' => '-3.6418171'),
        array('province_id' => '28','town' => 'Getafe','id' => '4342','slug' => 'getafe','latitude' => '40.3049763','longitude' => '-3.7326773'),
        array('province_id' => '28','town' => 'Griñón','id' => '4343','slug' => 'grin','latitude' => '40.2142405','longitude' => '-3.8561918'),
        array('province_id' => '28','town' => 'Guadalix de la Sierra','id' => '4344','slug' => 'guadalix-de-la-sierra','latitude' => '40.7848271','longitude' => '-3.6927193'),
        array('province_id' => '28','town' => 'Guadarrama','id' => '4345','slug' => 'guadarrama','latitude' => '40.6734859','longitude' => '-4.0907323'),
        array('province_id' => '28','town' => 'Hiruela, La','id' => '4346','slug' => 'hiruela-la','latitude' => '40.4722925','longitude' => '-3.7188773'),
        array('province_id' => '28','town' => 'Horcajo de la Sierra-Aoslos','id' => '4347','slug' => 'horcajo-de-la-sierra-aoslos','latitude' => '41.0546395','longitude' => '-3.5976862'),
        array('province_id' => '28','town' => 'Horcajuelo de la Sierra','id' => '4348','slug' => 'horcajuelo-de-la-sierra','latitude' => '41.0600854','longitude' => '-3.5455196'),
        array('province_id' => '28','town' => 'Hoyo de Manzanares','id' => '4349','slug' => 'hoyo-de-manzanares','latitude' => '40.6227332','longitude' => '-3.90712'),
        array('province_id' => '28','town' => 'Humanes de Madrid','id' => '4350','slug' => 'humanes-de-madrid','latitude' => '40.2495404','longitude' => '-3.8272058'),
        array('province_id' => '28','town' => 'Leganés','id' => '4351','slug' => 'legans','latitude' => '40.326422','longitude' => '-3.7589882'),
        array('province_id' => '28','town' => 'Loeches','id' => '4352','slug' => 'loeches','latitude' => '40.3839302','longitude' => '-3.4093927'),
        array('province_id' => '28','town' => 'Lozoya','id' => '4353','slug' => 'lozoya','latitude' => '40.9514977','longitude' => '-3.7918973'),
        array('province_id' => '28','town' => 'Lozoyuela-Navas-Sieteiglesias','id' => '4354','slug' => 'lozoyuela-navas-sieteiglesias','latitude' => '40.9264315','longitude' => '-3.6177233'),
        array('province_id' => '28','town' => 'Madarcos','id' => '4355','slug' => 'madarcos','latitude' => '41.0473117','longitude' => '-3.5826633'),
        array('province_id' => '28','town' => 'Madrid','id' => '4356','slug' => 'madrid','latitude' => '40.4166909','longitude' => '-3.7003454'),
        array('province_id' => '28','town' => 'Majadahonda','id' => '4357','slug' => 'majadahonda','latitude' => '40.4728332','longitude' => '-3.8723044'),
        array('province_id' => '28','town' => 'Manzanares el Real','id' => '4358','slug' => 'manzanares-el-real','latitude' => '40.727054','longitude' => '-3.8649141'),
        array('province_id' => '28','town' => 'Meco','id' => '4359','slug' => 'meco','latitude' => '40.5542035','longitude' => '-3.3284389'),
        array('province_id' => '28','town' => 'Mejorada del Campo','id' => '4360','slug' => 'mejorada-del-campo','latitude' => '40.3970082','longitude' => '-3.4878644'),
        array('province_id' => '28','town' => 'Miraflores de la Sierra','id' => '4361','slug' => 'miraflores-de-la-sierra','latitude' => '40.8138071','longitude' => '-3.7666985'),
        array('province_id' => '28','town' => 'Molar, El','id' => '4362','slug' => 'molar-el','latitude' => '40.4527448','longitude' => '-3.7068448'),
        array('province_id' => '28','town' => 'Molinos, Los','id' => '4363','slug' => 'molinos-los','latitude' => '40.458008','longitude' => '-3.7033126'),
        array('province_id' => '28','town' => 'Montejo de la Sierra','id' => '4364','slug' => 'montejo-de-la-sierra','latitude' => '41.059282','longitude' => '-3.5302988'),
        array('province_id' => '28','town' => 'Moraleja de Enmedio','id' => '4365','slug' => 'moraleja-de-enmedio','latitude' => '40.2603291','longitude' => '-3.8614119'),
        array('province_id' => '28','town' => 'Moralzarzal','id' => '4366','slug' => 'moralzarzal','latitude' => '40.6811667','longitude' => '-3.9733498'),
        array('province_id' => '28','town' => 'Morata de Tajuña','id' => '4367','slug' => 'morata-de-tajua','latitude' => '40.2275101','longitude' => '-3.4369658'),
        array('province_id' => '28','town' => 'Móstoles','id' => '4368','slug' => 'mstoles','latitude' => '40.3227707','longitude' => '-3.8657409'),
        array('province_id' => '28','town' => 'Navacerrada','id' => '4369','slug' => 'navacerrada','latitude' => '40.7289333','longitude' => '-4.0151004'),
        array('province_id' => '28','town' => 'Navalafuente','id' => '4370','slug' => 'navalafuente','latitude' => '40.8245086','longitude' => '-3.6735725'),
        array('province_id' => '28','town' => 'Navalagamella','id' => '4371','slug' => 'navalagamella','latitude' => '40.469163','longitude' => '-4.1233798'),
        array('province_id' => '28','town' => 'Navalcarnero','id' => '4372','slug' => 'navalcarnero','latitude' => '40.2878105','longitude' => '-4.013766'),
        array('province_id' => '28','town' => 'Navarredonda y San Mamés','id' => '4373','slug' => 'navarredonda-y-san-mams','latitude' => '40.9923095','longitude' => '-3.7094866'),
        array('province_id' => '28','town' => 'Navas del Rey','id' => '4374','slug' => 'navas-del-rey','latitude' => '40.3849812','longitude' => '-4.250588'),
        array('province_id' => '28','town' => 'Nuevo Baztán','id' => '4375','slug' => 'nuevo-baztn','latitude' => '40.3655256','longitude' => '-3.2431834'),
        array('province_id' => '28','town' => 'Olmeda de las Fuentes','id' => '4376','slug' => 'olmeda-de-las-fuentes','latitude' => '40.3694275','longitude' => '-3.2217042'),
        array('province_id' => '28','town' => 'Orusco de Tajuña','id' => '4377','slug' => 'orusco-de-tajua','latitude' => '40.285148','longitude' => '-3.2085567'),
        array('province_id' => '28','town' => 'Paracuellos de Jarama','id' => '4378','slug' => 'paracuellos-de-jarama','latitude' => '40.504808','longitude' => '-3.5322702'),
        array('province_id' => '28','town' => 'Parla','id' => '4379','slug' => 'parla','latitude' => '40.2375383','longitude' => '-3.7727413'),
        array('province_id' => '28','town' => 'Patones','id' => '4380','slug' => 'patones','latitude' => '40.8557291','longitude' => '-3.48511'),
        array('province_id' => '28','town' => 'Pedrezuela','id' => '4381','slug' => 'pedrezuela','latitude' => '40.7436857','longitude' => '-3.603798'),
        array('province_id' => '28','town' => 'Pelayos de la Presa','id' => '4382','slug' => 'pelayos-de-la-presa','latitude' => '40.3595374','longitude' => '-4.3341385'),
        array('province_id' => '28','town' => 'Perales de Tajuña','id' => '4383','slug' => 'perales-de-tajua','latitude' => '40.2345311','longitude' => '-3.3521981'),
        array('province_id' => '28','town' => 'Pezuela de las Torres','id' => '4384','slug' => 'pezuela-de-las-torres','latitude' => '40.4186902','longitude' => '-3.1776055'),
        array('province_id' => '28','town' => 'Pinilla del Valle','id' => '4385','slug' => 'pinilla-del-valle','latitude' => '40.9261974','longitude' => '-3.8193923'),
        array('province_id' => '28','town' => 'Pinto','id' => '4386','slug' => 'pinto','latitude' => '40.2445452','longitude' => '-3.6960129'),
        array('province_id' => '28','town' => 'Piñuécar-Gandullas','id' => '4387','slug' => 'piucar-gandullas','latitude' => '41.0129151','longitude' => '-3.6020664'),
        array('province_id' => '28','town' => 'Pozuelo de Alarcón','id' => '4388','slug' => 'pozuelo-de-alarcn','latitude' => '40.4351952','longitude' => '-3.8130616'),
        array('province_id' => '28','town' => 'Pozuelo del Rey','id' => '4389','slug' => 'pozuelo-del-rey','latitude' => '40.3662199','longitude' => '-3.3219939'),
        array('province_id' => '28','town' => 'Prádena del Rincón','id' => '4390','slug' => 'prdena-del-rincn','latitude' => '41.0441101','longitude' => '-3.5409214'),
        array('province_id' => '28','town' => 'Puebla de la Sierra','id' => '4391','slug' => 'puebla-de-la-sierra','latitude' => '41.0120825','longitude' => '-3.4448474'),
        array('province_id' => '28','town' => 'Puentes Viejas','id' => '4392','slug' => 'puentes-viejas','latitude' => '40.9949618','longitude' => '-3.5509074'),
        array('province_id' => '28','town' => 'Quijorna','id' => '4393','slug' => 'quijorna','latitude' => '40.4265569','longitude' => '-4.0574286'),
        array('province_id' => '28','town' => 'Rascafría','id' => '4394','slug' => 'rascafra','latitude' => '40.9038143','longitude' => '-3.8793979'),
        array('province_id' => '28','town' => 'Redueña','id' => '4395','slug' => 'reduea','latitude' => '40.8163','longitude' => '-3.603684'),
        array('province_id' => '28','town' => 'Ribatejada','id' => '4396','slug' => 'ribatejada','latitude' => '40.6664975','longitude' => '-3.3921308'),
        array('province_id' => '28','town' => 'Rivas-Vaciamadrid','id' => '4397','slug' => 'rivas-vaciamadrid','latitude' => '40.3296966','longitude' => '-3.5169413'),
        array('province_id' => '28','town' => 'Robledillo de la Jara','id' => '4398','slug' => 'robledillo-de-la-jara','latitude' => '40.9529931','longitude' => '-3.5257491'),
        array('province_id' => '28','town' => 'Robledo de Chavela','id' => '4399','slug' => 'robledo-de-chavela','latitude' => '40.5008922','longitude' => '-4.2380429'),
        array('province_id' => '28','town' => 'Robregordo','id' => '4400','slug' => 'robregordo','latitude' => '41.1065779','longitude' => '-3.5932921'),
        array('province_id' => '28','town' => 'Rozas de Madrid, Las','id' => '4401','slug' => 'rozas-de-madrid-las','latitude' => '40.310068','longitude' => '-4.4907646'),
        array('province_id' => '28','town' => 'Rozas de Puerto Real','id' => '4402','slug' => 'rozas-de-puerto-real','latitude' => '40.310068','longitude' => '-4.4907646'),
        array('province_id' => '28','town' => 'San Agustín del Guadalix','id' => '4403','slug' => 'san-agustn-del-guadalix','latitude' => '40.6786715','longitude' => '-3.6158607'),
        array('province_id' => '28','town' => 'San Fernando de Henares','id' => '4404','slug' => 'san-fernando-de-henares','latitude' => '40.4255347','longitude' => '-3.5366938'),
        array('province_id' => '28','town' => 'San Lorenzo de El Escorial','id' => '4405','slug' => 'san-lorenzo-de-el-escorial','latitude' => '40.5916674','longitude' => '-4.1491229'),
        array('province_id' => '28','town' => 'San Martín de la Vega','id' => '4406','slug' => 'san-martn-de-la-vega','latitude' => '40.2077983','longitude' => '-3.5685442'),
        array('province_id' => '28','town' => 'San Martín de Valdeiglesias','id' => '4407','slug' => 'san-martn-de-valdeiglesias','latitude' => '40.3617379','longitude' => '-4.3975214'),
        array('province_id' => '28','town' => 'San Sebastián de los Reyes','id' => '4408','slug' => 'san-sebastin-de-los-reyes','latitude' => '40.5475111','longitude' => '-3.6263943'),
        array('province_id' => '28','town' => 'Santa María de la Alameda','id' => '4409','slug' => 'santa-mara-de-la-alameda','latitude' => '40.5957043','longitude' => '-4.2579376'),
        array('province_id' => '28','town' => 'Santorcaz','id' => '4410','slug' => 'santorcaz','latitude' => '40.4721592','longitude' => '-3.233114'),
        array('province_id' => '28','town' => 'Santos de la Humosa, Los','id' => '4411','slug' => 'santos-de-la-humosa-los','latitude' => '40.472959','longitude' => '-3.6485205'),
        array('province_id' => '28','town' => 'Serna del Monte, La','id' => '4412','slug' => 'serna-del-monte-la','latitude' => '40.4730375','longitude' => '-3.7194829'),
        array('province_id' => '28','town' => 'Serranillos del Valle','id' => '4413','slug' => 'serranillos-del-valle','latitude' => '40.2046482','longitude' => '-3.8858194'),
        array('province_id' => '28','town' => 'Sevilla la Nueva','id' => '4414','slug' => 'sevilla-la-nueva','latitude' => '40.3478042','longitude' => '-4.0275009'),
        array('province_id' => '28','town' => 'Somosierra','id' => '4415','slug' => 'somosierra','latitude' => '41.133119','longitude' => '-3.5818369'),
        array('province_id' => '28','town' => 'Soto del Real','id' => '4416','slug' => 'soto-del-real','latitude' => '40.754284','longitude' => '-3.7833556'),
        array('province_id' => '28','town' => 'Talamanca de Jarama','id' => '4417','slug' => 'talamanca-de-jarama','latitude' => '40.7468784','longitude' => '-3.5132442'),
        array('province_id' => '28','town' => 'Tielmes','id' => '4418','slug' => 'tielmes','latitude' => '40.2445707','longitude' => '-3.3144655'),
        array('province_id' => '28','town' => 'Titulcia','id' => '4419','slug' => 'titulcia','latitude' => '40.1367294','longitude' => '-3.5705011'),
        array('province_id' => '28','town' => 'Torrejón de Ardoz','id' => '4420','slug' => 'torrejn-de-ardoz','latitude' => '40.4589042','longitude' => '-3.4797713'),
        array('province_id' => '28','town' => 'Torrejón de la Calzada','id' => '4421','slug' => 'torrejn-de-la-calzada','latitude' => '40.2015412','longitude' => '-3.7989287'),
        array('province_id' => '28','town' => 'Torrejón de Velasco','id' => '4422','slug' => 'torrejn-de-velasco','latitude' => '40.1871345','longitude' => '-3.778751'),
        array('province_id' => '28','town' => 'Torrelaguna','id' => '4423','slug' => 'torrelaguna','latitude' => '40.8278521','longitude' => '-3.5384878'),
        array('province_id' => '28','town' => 'Torrelodones','id' => '4424','slug' => 'torrelodones','latitude' => '40.5762807','longitude' => '-3.9294517'),
        array('province_id' => '28','town' => 'Torremocha de Jarama','id' => '4425','slug' => 'torremocha-de-jarama','latitude' => '40.837051','longitude' => '-3.4944072'),
        array('province_id' => '28','town' => 'Torres de la Alameda','id' => '4426','slug' => 'torres-de-la-alameda','latitude' => '40.4047293','longitude' => '-3.3601316'),
        array('province_id' => '28','town' => 'Tres Cantos','id' => '4427','slug' => 'tres-cantos','latitude' => '40.5990717','longitude' => '-3.7122577'),
        array('province_id' => '28','town' => 'Valdaracete','id' => '4428','slug' => 'valdaracete','latitude' => '40.2111561','longitude' => '-3.1945562'),
        array('province_id' => '28','town' => 'Valdeavero','id' => '4429','slug' => 'valdeavero','latitude' => '40.6309868','longitude' => '-3.3329827'),
        array('province_id' => '28','town' => 'Valdelaguna','id' => '4430','slug' => 'valdelaguna','latitude' => '40.1619173','longitude' => '-3.3672489'),
        array('province_id' => '28','town' => 'Valdemanco','id' => '4431','slug' => 'valdemanco','latitude' => '40.8725259','longitude' => '-3.6629561'),
        array('province_id' => '28','town' => 'Valdemaqueda','id' => '4432','slug' => 'valdemaqueda','latitude' => '40.5114657','longitude' => '-4.2959261'),
        array('province_id' => '28','town' => 'Valdemorillo','id' => '4433','slug' => 'valdemorillo','latitude' => '40.5020845','longitude' => '-4.0658413'),
        array('province_id' => '28','town' => 'Valdemoro','id' => '4434','slug' => 'valdemoro','latitude' => '40.1926932','longitude' => '-3.679874'),
        array('province_id' => '28','town' => 'Valdeolmos-Alalpardo','id' => '4435','slug' => 'valdeolmos-alalpardo','latitude' => '40.638622','longitude' => '-3.4528262'),
        array('province_id' => '28','town' => 'Valdepiélagos','id' => '4436','slug' => 'valdepilagos','latitude' => '40.7605947','longitude' => '-3.4659136'),
        array('province_id' => '28','town' => 'Valdetorres de Jarama','id' => '4437','slug' => 'valdetorres-de-jarama','latitude' => '40.6955935','longitude' => '-3.5142508'),
        array('province_id' => '28','town' => 'Valdilecha','id' => '4438','slug' => 'valdilecha','latitude' => '40.2954799','longitude' => '-3.3038839'),
        array('province_id' => '28','town' => 'Valverde de Alcalá','id' => '4439','slug' => 'valverde-de-alcal','latitude' => '40.4197214','longitude' => '-3.2989211'),
        array('province_id' => '28','town' => 'Velilla de San Antonio','id' => '4440','slug' => 'velilla-de-san-antonio','latitude' => '40.3670314','longitude' => '-3.4880293'),
        array('province_id' => '28','town' => 'Vellón, El','id' => '4441','slug' => 'velln-el','latitude' => '40.4787196','longitude' => '-3.7340221'),
        array('province_id' => '28','town' => 'Venturada','id' => '4442','slug' => 'venturada','latitude' => '40.7986876','longitude' => '-3.6221391'),
        array('province_id' => '28','town' => 'Villa del Prado','id' => '4443','slug' => 'villa-del-prado','latitude' => '40.2767816','longitude' => '-4.3056416'),
        array('province_id' => '28','town' => 'Villaconejos','id' => '4444','slug' => 'villaconejos','latitude' => '40.1042353','longitude' => '-3.4849034'),
        array('province_id' => '28','town' => 'Villalbilla','id' => '4445','slug' => 'villalbilla','latitude' => '40.4322778','longitude' => '-3.298869'),
        array('province_id' => '28','town' => 'Villamanrique de Tajo','id' => '4446','slug' => 'villamanrique-de-tajo','latitude' => '40.0681178','longitude' => '-3.2404284'),
        array('province_id' => '28','town' => 'Villamanta','id' => '4447','slug' => 'villamanta','latitude' => '40.2996154','longitude' => '-4.1100511'),
        array('province_id' => '28','town' => 'Villamantilla','id' => '4448','slug' => 'villamantilla','latitude' => '40.3380537','longitude' => '-4.1305605'),
        array('province_id' => '28','town' => 'Villanueva de la Cañada','id' => '4449','slug' => 'villanueva-de-la-caada','latitude' => '40.4468114','longitude' => '-4.0053552'),
        array('province_id' => '28','town' => 'Villanueva de Perales','id' => '4450','slug' => 'villanueva-de-perales','latitude' => '40.3470448','longitude' => '-4.1010306'),
        array('province_id' => '28','town' => 'Villanueva del Pardillo','id' => '4451','slug' => 'villanueva-del-pardillo','latitude' => '40.4906342','longitude' => '-3.9643222'),
        array('province_id' => '28','town' => 'Villar del Olmo','id' => '4452','slug' => 'villar-del-olmo','latitude' => '40.3366876','longitude' => '-3.2355514'),
        array('province_id' => '28','town' => 'Villarejo de Salvanés','id' => '4453','slug' => 'villarejo-de-salvans','latitude' => '40.1687298','longitude' => '-3.2759752'),
        array('province_id' => '28','town' => 'Villaviciosa de Odón','id' => '4454','slug' => 'villaviciosa-de-odn','latitude' => '40.3571015','longitude' => '-3.9005897'),
        array('province_id' => '28','town' => 'Villavieja del Lozoya','id' => '4455','slug' => 'villavieja-del-lozoya','latitude' => '41.0059253','longitude' => '-3.6711175'),
        array('province_id' => '28','town' => 'Zarzalejo','id' => '4456','slug' => 'zarzalejo','latitude' => '40.5474941','longitude' => '-4.1816045'),
        array('province_id' => '29','town' => 'Alameda','id' => '4457','slug' => 'alameda','latitude' => '37.2078282','longitude' => '-4.6580736'),
        array('province_id' => '29','town' => 'Alcaucín','id' => '4458','slug' => 'alcaucn','latitude' => '36.9026303','longitude' => '-4.114147'),
        array('province_id' => '29','town' => 'Alfarnate','id' => '4459','slug' => 'alfarnate','latitude' => '36.9951108','longitude' => '-4.2606559'),
        array('province_id' => '29','town' => 'Alfarnatejo','id' => '4460','slug' => 'alfarnatejo','latitude' => '36.979352','longitude' => '-4.2725276'),
        array('province_id' => '29','town' => 'Algarrobo','id' => '4461','slug' => 'algarrobo','latitude' => '36.7721563','longitude' => '-4.0393136'),
        array('province_id' => '29','town' => 'Algatocín','id' => '4462','slug' => 'algatocn','latitude' => '36.5728899','longitude' => '-5.2765593'),
        array('province_id' => '29','town' => 'Alhaurín de la Torre','id' => '4463','slug' => 'alhaurn-de-la-torre','latitude' => '36.6683574','longitude' => '-4.5529671'),
        array('province_id' => '29','town' => 'Alhaurín el Grande','id' => '4464','slug' => 'alhaurn-el-grande','latitude' => '36.6418564','longitude' => '-4.6914471'),
        array('province_id' => '29','town' => 'Almáchar','id' => '4465','slug' => 'almchar','latitude' => '36.8085897','longitude' => '-4.2174092'),
        array('province_id' => '29','town' => 'Almargen','id' => '4466','slug' => 'almargen','latitude' => '37.0039206','longitude' => '-5.0211926'),
        array('province_id' => '29','town' => 'Almogía','id' => '4467','slug' => 'almoga','latitude' => '36.8252747','longitude' => '-4.5407188'),
        array('province_id' => '29','town' => 'Álora','id' => '4468','slug' => 'lora','latitude' => '36.8226391','longitude' => '-4.7067145'),
        array('province_id' => '29','town' => 'Alozaina','id' => '4469','slug' => 'alozaina','latitude' => '36.7276808','longitude' => '-4.8564597'),
        array('province_id' => '29','town' => 'Alpandeire','id' => '4470','slug' => 'alpandeire','latitude' => '36.6331675','longitude' => '-5.2022439'),
        array('province_id' => '29','town' => 'Antequera','id' => '4471','slug' => 'antequera','latitude' => '37.0193787','longitude' => '-4.5628851'),
        array('province_id' => '29','town' => 'Árchez','id' => '4472','slug' => 'rchez','latitude' => '36.8373916','longitude' => '-3.9901862'),
        array('province_id' => '29','town' => 'Archidona','id' => '4473','slug' => 'archidona','latitude' => '37.0948114','longitude' => '-4.3875448'),
        array('province_id' => '29','town' => 'Ardales','id' => '4474','slug' => 'ardales','latitude' => '36.8779792','longitude' => '-4.8466419'),
        array('province_id' => '29','town' => 'Arenas','id' => '4475','slug' => 'arenas','latitude' => '36.8146859','longitude' => '-4.0437158'),
        array('province_id' => '29','town' => 'Arriate','id' => '4476','slug' => 'arriate','latitude' => '36.799361','longitude' => '-5.1400643'),
        array('province_id' => '29','town' => 'Atajate','id' => '4477','slug' => 'atajate','latitude' => '36.6399926','longitude' => '-5.2451768'),
        array('province_id' => '29','town' => 'Benadalid','id' => '4478','slug' => 'benadalid','latitude' => '36.6057677','longitude' => '-5.2689387'),
        array('province_id' => '29','town' => 'Benahavís','id' => '4479','slug' => 'benahavs','latitude' => '36.5244648','longitude' => '-5.0463051'),
        array('province_id' => '29','town' => 'Benalauría','id' => '4480','slug' => 'benalaura','latitude' => '36.5940241','longitude' => '-5.2611631'),
        array('province_id' => '29','town' => 'Benalmádena','id' => '4481','slug' => 'benalmdena','latitude' => '36.595234','longitude' => '-4.5733681'),
        array('province_id' => '29','town' => 'Benamargosa','id' => '4482','slug' => 'benamargosa','latitude' => '36.8320781','longitude' => '-4.1923899'),
        array('province_id' => '29','town' => 'Benamocarra','id' => '4483','slug' => 'benamocarra','latitude' => '36.7912043','longitude' => '-4.1599681'),
        array('province_id' => '29','town' => 'Benaoján','id' => '4484','slug' => 'benaojn','latitude' => '36.7187433','longitude' => '-5.2531504'),
        array('province_id' => '29','town' => 'Benarrabá','id' => '4485','slug' => 'benarrab','latitude' => '36.5516928','longitude' => '-5.2768323'),
        array('province_id' => '29','town' => 'Borge, El','id' => '4486','slug' => 'borge-el','latitude' => '36.7410936','longitude' => '-4.4199135'),
        array('province_id' => '29','town' => 'Burgo, El','id' => '4487','slug' => 'burgo-el','latitude' => '36.789928','longitude' => '-4.946407'),
        array('province_id' => '29','town' => 'Campillos','id' => '4488','slug' => 'campillos','latitude' => '37.045405','longitude' => '-4.8615247'),
        array('province_id' => '29','town' => 'Canillas de Aceituno','id' => '4489','slug' => 'canillas-de-aceituno','latitude' => '36.8734494','longitude' => '-4.0820419'),
        array('province_id' => '29','town' => 'Canillas de Albaida','id' => '4490','slug' => 'canillas-de-albaida','latitude' => '36.8460735','longitude' => '-3.987585'),
        array('province_id' => '29','town' => 'Cañete la Real','id' => '4491','slug' => 'caete-la-real','latitude' => '36.951459','longitude' => '-5.0243083'),
        array('province_id' => '29','town' => 'Carratraca','id' => '4492','slug' => 'carratraca','latitude' => '36.8515811','longitude' => '-4.8182385'),
        array('province_id' => '29','town' => 'Cartajima','id' => '4493','slug' => 'cartajima','latitude' => '36.6454055','longitude' => '-5.1539313'),
        array('province_id' => '29','town' => 'Cártama','id' => '4494','slug' => 'crtama','latitude' => '36.7113126','longitude' => '-4.630741'),
        array('province_id' => '29','town' => 'Casabermeja','id' => '4495','slug' => 'casabermeja','latitude' => '36.8940393','longitude' => '-4.4289773'),
        array('province_id' => '29','town' => 'Casarabonela','id' => '4496','slug' => 'casarabonela','latitude' => '36.785242','longitude' => '-4.8421675'),
        array('province_id' => '29','town' => 'Casares','id' => '4497','slug' => 'casares','latitude' => '36.4433288','longitude' => '-5.2735192'),
        array('province_id' => '29','town' => 'Coín','id' => '4498','slug' => 'con','latitude' => '36.6587071','longitude' => '-4.7603434'),
        array('province_id' => '29','town' => 'Colmenar','id' => '4499','slug' => 'colmenar','latitude' => '36.9050224','longitude' => '-4.3352123'),
        array('province_id' => '29','town' => 'Comares','id' => '4500','slug' => 'comares','latitude' => '36.8487228','longitude' => '-4.2470609'),
        array('province_id' => '29','town' => 'Cómpeta','id' => '4501','slug' => 'cmpeta','latitude' => '36.8329954','longitude' => '-3.9748723'),
        array('province_id' => '29','town' => 'Cortes de la Frontera','id' => '4502','slug' => 'cortes-de-la-frontera','latitude' => '36.6169039','longitude' => '-5.3426812'),
        array('province_id' => '29','town' => 'Cuevas Bajas','id' => '4503','slug' => 'cuevas-bajas','latitude' => '37.2358652','longitude' => '-4.4896405'),
        array('province_id' => '29','town' => 'Cuevas de San Marcos','id' => '4504','slug' => 'cuevas-de-san-marcos','latitude' => '37.269634','longitude' => '-4.4140792'),
        array('province_id' => '29','town' => 'Cuevas del Becerro','id' => '4505','slug' => 'cuevas-del-becerro','latitude' => '36.876374','longitude' => '-5.0457291'),
        array('province_id' => '29','town' => 'Cútar','id' => '4506','slug' => 'ctar','latitude' => '36.8306928','longitude' => '-4.228007'),
        array('province_id' => '29','town' => 'Estepona','id' => '4507','slug' => 'estepona','latitude' => '36.4247747','longitude' => '-5.144903'),
        array('province_id' => '29','town' => 'Faraján','id' => '4508','slug' => 'farajn','latitude' => '36.6161965','longitude' => '-5.1891522'),
        array('province_id' => '29','town' => 'Frigiliana','id' => '4509','slug' => 'frigiliana','latitude' => '36.792517','longitude' => '-3.8980763'),
        array('province_id' => '29','town' => 'Fuengirola','id' => '4510','slug' => 'fuengirola','latitude' => '36.5390044','longitude' => '-4.6243528'),
        array('province_id' => '29','town' => 'Fuente de Piedra','id' => '4511','slug' => 'fuente-de-piedra','latitude' => '37.13463','longitude' => '-4.7296561'),
        array('province_id' => '29','town' => 'Gaucín','id' => '4512','slug' => 'gaucn','latitude' => '36.5183037','longitude' => '-5.3175238'),
        array('province_id' => '29','town' => 'Genalguacil','id' => '4513','slug' => 'genalguacil','latitude' => '36.5442655','longitude' => '-5.2358796'),
        array('province_id' => '29','town' => 'Guaro','id' => '4514','slug' => 'guaro','latitude' => '36.656453','longitude' => '-4.8333553'),
        array('province_id' => '29','town' => 'Humilladero','id' => '4515','slug' => 'humilladero','latitude' => '37.1146942','longitude' => '-4.7034573'),
        array('province_id' => '29','town' => 'Igualeja','id' => '4516','slug' => 'igualeja','latitude' => '36.630332','longitude' => '-5.1224613'),
        array('province_id' => '29','town' => 'Istán','id' => '4517','slug' => 'istn','latitude' => '36.5821576','longitude' => '-4.9494014'),
        array('province_id' => '29','town' => 'Iznate','id' => '4518','slug' => 'iznate','latitude' => '36.7761154','longitude' => '-4.1835601'),
        array('province_id' => '29','town' => 'Jimera de Líbar','id' => '4519','slug' => 'jimera-de-lbar','latitude' => '36.6520168','longitude' => '-5.273455'),
        array('province_id' => '29','town' => 'Jubrique','id' => '4520','slug' => 'jubrique','latitude' => '36.5643185','longitude' => '-5.2152472'),
        array('province_id' => '29','town' => 'Júzcar','id' => '4521','slug' => 'jzcar','latitude' => '36.6250659','longitude' => '-5.1708146'),
        array('province_id' => '29','town' => 'Macharaviaya','id' => '4522','slug' => 'macharaviaya','latitude' => '36.7623942','longitude' => '-4.2139793'),
        array('province_id' => '29','town' => 'Málaga','id' => '4523','slug' => 'mlaga','latitude' => '36.7196484','longitude' => '-4.4200163'),
        array('province_id' => '29','town' => 'Manilva','id' => '4524','slug' => 'manilva','latitude' => '36.3770605','longitude' => '-5.2492715'),
        array('province_id' => '29','town' => 'Marbella','id' => '4525','slug' => 'marbella','latitude' => '36.5099367','longitude' => '-4.8863523'),
        array('province_id' => '29','town' => 'Mijas','id' => '4526','slug' => 'mijas','latitude' => '36.5956989','longitude' => '-4.6376188'),
        array('province_id' => '29','town' => 'Moclinejo','id' => '4527','slug' => 'moclinejo','latitude' => '36.7712018','longitude' => '-4.2540009'),
        array('province_id' => '29','town' => 'Mollina','id' => '4528','slug' => 'mollina','latitude' => '37.1256384','longitude' => '-4.6571063'),
        array('province_id' => '29','town' => 'Monda','id' => '4529','slug' => 'monda','latitude' => '36.6301832','longitude' => '-4.8311244'),
        array('province_id' => '29','town' => 'Montejaque','id' => '4530','slug' => 'montejaque','latitude' => '36.7336463','longitude' => '-5.251382'),
        array('province_id' => '29','town' => 'Nerja','id' => '4531','slug' => 'nerja','latitude' => '36.74503','longitude' => '-3.8766489'),
        array('province_id' => '29','town' => 'Ojén','id' => '4532','slug' => 'ojn','latitude' => '36.5642428','longitude' => '-4.8564921'),
        array('province_id' => '29','town' => 'Parauta','id' => '4533','slug' => 'parauta','latitude' => '36.6553287','longitude' => '-5.1296273'),
        array('province_id' => '29','town' => 'Periana','id' => '4534','slug' => 'periana','latitude' => '36.9269437','longitude' => '-4.1873042'),
        array('province_id' => '29','town' => 'Pizarra','id' => '4535','slug' => 'pizarra','latitude' => '36.7671676','longitude' => '-4.7074554'),
        array('province_id' => '29','town' => 'Pujerra','id' => '4536','slug' => 'pujerra','latitude' => '36.6126978','longitude' => '-5.1494207'),
        array('province_id' => '29','town' => 'Rincón de la Victoria','id' => '4537','slug' => 'rincn-de-la-victoria','latitude' => '36.7156658','longitude' => '-4.2755042'),
        array('province_id' => '29','town' => 'Riogordo','id' => '4538','slug' => 'riogordo','latitude' => '36.9149055','longitude' => '-4.2936216'),
        array('province_id' => '29','town' => 'Ronda','id' => '4539','slug' => 'ronda','latitude' => '36.7419619','longitude' => '-5.1664119'),
        array('province_id' => '29','town' => 'Salares','id' => '4540','slug' => 'salares','latitude' => '36.8549603','longitude' => '-4.0243931'),
        array('province_id' => '29','town' => 'Sayalonga','id' => '4541','slug' => 'sayalonga','latitude' => '36.7979865','longitude' => '-4.0118988'),
        array('province_id' => '29','town' => 'Sedella','id' => '4542','slug' => 'sedella','latitude' => '36.8628937','longitude' => '-4.0330698'),
        array('province_id' => '29','town' => 'Sierra de Yeguas','id' => '4543','slug' => 'sierra-de-yeguas','latitude' => '37.1246109','longitude' => '-4.8687387'),
        array('province_id' => '29','town' => 'Teba','id' => '4544','slug' => 'teba','latitude' => '36.9834798','longitude' => '-4.9202744'),
        array('province_id' => '29','town' => 'Tolox','id' => '4545','slug' => 'tolox','latitude' => '36.686737','longitude' => '-4.9046764'),
        array('province_id' => '29','town' => 'Torremolinos','id' => '4546','slug' => 'torremolinos','latitude' => '36.6217866','longitude' => '-4.5002731'),
        array('province_id' => '29','town' => 'Torrox','id' => '4547','slug' => 'torrox','latitude' => '36.7584541','longitude' => '-3.9526166'),
        array('province_id' => '29','town' => 'Totalán','id' => '4548','slug' => 'totaln','latitude' => '36.7652842','longitude' => '-4.2970441'),
        array('province_id' => '29','town' => 'Valle de Abdalajís','id' => '4549','slug' => 'valle-de-abdalajs','latitude' => '36.9313268','longitude' => '-4.6827094'),
        array('province_id' => '29','town' => 'Vélez-Málaga','id' => '4550','slug' => 'vlez-mlaga','latitude' => '36.7786441','longitude' => '-4.1006749'),
        array('province_id' => '29','town' => 'Villanueva de Algaidas','id' => '4551','slug' => 'villanueva-de-algaidas','latitude' => '37.1862745','longitude' => '-4.4508371'),
        array('province_id' => '29','town' => 'Villanueva de la Concepción','id' => '4552','slug' => 'villanueva-de-la-concepcin','latitude' => '36.9307704','longitude' => '-4.5310537'),
        array('province_id' => '29','town' => 'Villanueva de Tapia','id' => '4553','slug' => 'villanueva-de-tapia','latitude' => '37.1803516','longitude' => '-4.3359781'),
        array('province_id' => '29','town' => 'Villanueva del Rosario','id' => '4554','slug' => 'villanueva-del-rosario','latitude' => '36.9962245','longitude' => '-4.3643087'),
        array('province_id' => '29','town' => 'Villanueva del Trabuco','id' => '4555','slug' => 'villanueva-del-trabuco','latitude' => '37.0282473','longitude' => '-4.3383882'),
        array('province_id' => '29','town' => 'Viñuela','id' => '4556','slug' => 'viuela','latitude' => '36.8628019','longitude' => '-4.1413311'),
        array('province_id' => '29','town' => 'Yunquera','id' => '4557','slug' => 'yunquera','latitude' => '36.7316762','longitude' => '-4.9208687'),
        array('province_id' => '30','town' => 'Abanilla','id' => '4558','slug' => 'abanilla','latitude' => '38.2007915','longitude' => '-1.0428179'),
        array('province_id' => '30','town' => 'Abarán','id' => '4559','slug' => 'abarn','latitude' => '38.3020789','longitude' => '-1.1642189'),
        array('province_id' => '30','town' => 'Águilas','id' => '4560','slug' => 'guilas','latitude' => '37.5081709','longitude' => '-1.4168464'),
        array('province_id' => '30','town' => 'Albudeite','id' => '4561','slug' => 'albudeite','latitude' => '38.0269039','longitude' => '-1.3851118'),
        array('province_id' => '30','town' => 'Alcantarilla','id' => '4562','slug' => 'alcantarilla','latitude' => '37.9810063','longitude' => '-1.2218501'),
        array('province_id' => '30','town' => 'Alcázares, Los','id' => '4563','slug' => 'alczares-los','latitude' => '37.7391859','longitude' => '-0.8520765'),
        array('province_id' => '30','town' => 'Aledo','id' => '4564','slug' => 'aledo','latitude' => '37.8823923','longitude' => '-1.4574909'),
        array('province_id' => '30','town' => 'Alguazas','id' => '4565','slug' => 'alguazas','latitude' => '38.0515302','longitude' => '-1.2112347'),
        array('province_id' => '30','town' => 'Alhama de Murcia','id' => '4566','slug' => 'alhama-de-murcia','latitude' => '37.8833504','longitude' => '-1.140374'),
        array('province_id' => '30','town' => 'Archena','id' => '4567','slug' => 'archena','latitude' => '38.1317422','longitude' => '-1.3256601'),
        array('province_id' => '30','town' => 'Beniel','id' => '4568','slug' => 'beniel','latitude' => '38.0459117','longitude' => '-1.0018935'),
        array('province_id' => '30','town' => 'Blanca','id' => '4569','slug' => 'blanca','latitude' => '38.3020789','longitude' => '-1.1642189'),
        array('province_id' => '30','town' => 'Bullas','id' => '4570','slug' => 'bullas','latitude' => '38.0480798','longitude' => '-1.6709558'),
        array('province_id' => '30','town' => 'Calasparra','id' => '4571','slug' => 'calasparra','latitude' => '37.611704','longitude' => '-1.0414402'),
        array('province_id' => '30','town' => 'Campos del Río','id' => '4572','slug' => 'campos-del-ro','latitude' => '38.0269039','longitude' => '-1.3851118'),
        array('province_id' => '30','town' => 'Caravaca de la Cruz','id' => '4573','slug' => 'caravaca-de-la-cruz','latitude' => '38.104229','longitude' => '-1.866195'),
        array('province_id' => '30','town' => 'Cartagena','id' => '4574','slug' => 'cartagena','latitude' => '37.6153948','longitude' => '-0.7435246'),
        array('province_id' => '30','town' => 'Cehegín','id' => '4575','slug' => 'cehegn','latitude' => '38.104229','longitude' => '-1.866195'),
        array('province_id' => '30','town' => 'Ceutí','id' => '4576','slug' => 'ceut','latitude' => '38.1317422','longitude' => '-1.3256601'),
        array('province_id' => '30','town' => 'Cieza','id' => '4577','slug' => 'cieza','latitude' => '38.2332202','longitude' => '-1.4115797'),
        array('province_id' => '30','town' => 'Fortuna','id' => '4578','slug' => 'fortuna','latitude' => '38.1808694','longitude' => '-1.1216112'),
        array('province_id' => '30','town' => 'Fuente Álamo de Murcia','id' => '4579','slug' => 'fuente-lamo-de-murcia','latitude' => '37.8833504','longitude' => '-1.140374'),
        array('province_id' => '30','town' => 'Jumilla','id' => '4580','slug' => 'jumilla','latitude' => '38.3020789','longitude' => '-1.1642189'),
        array('province_id' => '30','town' => 'Librilla','id' => '4581','slug' => 'librilla','latitude' => '37.8833504','longitude' => '-1.140374'),
        array('province_id' => '30','town' => 'Lorca','id' => '4582','slug' => 'lorca','latitude' => '37.675267','longitude' => '-1.6975995'),
        array('province_id' => '30','town' => 'Lorquí','id' => '4583','slug' => 'lorqu','latitude' => '38.101236','longitude' => '-1.2299785'),
        array('province_id' => '30','town' => 'Mazarrón','id' => '4584','slug' => 'mazarrn','latitude' => '37.7096043','longitude' => '-1.4048705'),
        array('province_id' => '30','town' => 'Molina de Segura','id' => '4585','slug' => 'molina-de-segura','latitude' => '38.0515302','longitude' => '-1.2112347'),
        array('province_id' => '30','town' => 'Moratalla','id' => '4586','slug' => 'moratalla','latitude' => '37.7269395','longitude' => '-0.8766724'),
        array('province_id' => '30','town' => 'Mula','id' => '4587','slug' => 'mula','latitude' => '37.8823923','longitude' => '-1.4574909'),
        array('province_id' => '30','town' => 'Murcia','id' => '4588','slug' => 'murcia','latitude' => '38.1398141','longitude' => '-1.366216'),
        array('province_id' => '30','town' => 'Ojós','id' => '4589','slug' => 'ojs','latitude' => '38.1317422','longitude' => '-1.3256601'),
        array('province_id' => '30','town' => 'Pliego','id' => '4590','slug' => 'pliego','latitude' => '37.8823923','longitude' => '-1.4574909'),
        array('province_id' => '30','town' => 'Puerto Lumbreras','id' => '4591','slug' => 'puerto-lumbreras','latitude' => '37.5637238','longitude' => '-1.807043'),
        array('province_id' => '30','town' => 'Ricote','id' => '4592','slug' => 'ricote','latitude' => '38.1369025','longitude' => '-1.333814'),
        array('province_id' => '30','town' => 'San Javier','id' => '4593','slug' => 'san-javier','latitude' => '37.649927','longitude' => '-0.867187'),
        array('province_id' => '30','town' => 'San Pedro del Pinatar','id' => '4594','slug' => 'san-pedro-del-pinatar','latitude' => '37.834279','longitude' => '-0.7771379'),
        array('province_id' => '30','town' => 'Santomera','id' => '4595','slug' => 'santomera','latitude' => '37.724572','longitude' => '-0.8780402'),
        array('province_id' => '30','town' => 'Torre-Pacheco','id' => '4596','slug' => 'torre-pacheco','latitude' => '37.741801','longitude' => '-0.9516243'),
        array('province_id' => '30','town' => 'Torres de Cotillas, Las','id' => '4597','slug' => 'torres-de-cotillas-las','latitude' => '38.0008907','longitude' => '-1.1773111'),
        array('province_id' => '30','town' => 'Totana','id' => '4598','slug' => 'totana','latitude' => '37.7096043','longitude' => '-1.4048705'),
        array('province_id' => '30','town' => 'Ulea','id' => '4599','slug' => 'ulea','latitude' => '38.1369025','longitude' => '-1.333814'),
        array('province_id' => '30','town' => 'Unión, La','id' => '4600','slug' => 'unin-la','latitude' => '37.6183837','longitude' => '-0.87673'),
        array('province_id' => '30','town' => 'Villanueva del Río Segura','id' => '4601','slug' => 'villanueva-del-ro-segura','latitude' => '38.1317422','longitude' => '-1.3256601'),
        array('province_id' => '30','town' => 'Yecla','id' => '4602','slug' => 'yecla','latitude' => '37.6109583','longitude' => '-0.9786381'),
        array('province_id' => '31','town' => 'Abáigar','id' => '4603','slug' => 'abigar','latitude' => '42.6469376','longitude' => '-2.1434412'),
        array('province_id' => '31','town' => 'Abárzuza','id' => '4604','slug' => 'abrzuza','latitude' => '42.7264133','longitude' => '-2.0225485'),
        array('province_id' => '31','town' => 'Abaurregaina/Abaurrea Alta','id' => '4605','slug' => 'abaurregainaabaurrea-alta','latitude' => '42.9034549','longitude' => '-1.2079544'),
        array('province_id' => '31','town' => 'Abaurrepea/Abaurrea Baja','id' => '4606','slug' => 'abaurrepeaabaurrea-baja','latitude' => '42.9034549','longitude' => '-1.2079544'),
        array('province_id' => '31','town' => 'Aberin','id' => '4607','slug' => 'aberin','latitude' => '42.6190685','longitude' => '-2.0071921'),
        array('province_id' => '31','town' => 'Ablitas','id' => '4608','slug' => 'ablitas','latitude' => '41.9736451','longitude' => '-1.638694'),
        array('province_id' => '31','town' => 'Adiós','id' => '4609','slug' => 'adis','latitude' => '42.6862883','longitude' => '-1.7359985'),
        array('province_id' => '31','town' => 'Aguilar de Codés','id' => '4610','slug' => 'aguilar-de-cods','latitude' => '42.612943','longitude' => '-2.3894557'),
        array('province_id' => '31','town' => 'Aibar/Oibar','id' => '4611','slug' => 'aibaroibar','latitude' => '42.6418637','longitude' => '-1.3382459'),
        array('province_id' => '31','town' => 'Allín','id' => '4612','slug' => 'alln','latitude' => '42.7086','longitude' => '-2.07674'),
        array('province_id' => '31','town' => 'Allo','id' => '4613','slug' => 'allo','latitude' => '42.5672968','longitude' => '-2.0192588'),
        array('province_id' => '31','town' => 'Altsasu/Alsasua','id' => '4614','slug' => 'altsasualsasua','latitude' => '42.8952175','longitude' => '-2.1687975'),
        array('province_id' => '31','town' => 'Améscoa Baja','id' => '4615','slug' => 'amscoa-baja','latitude' => '42.8045','longitude' => '-2.1418333'),
        array('province_id' => '31','town' => 'Ancín','id' => '4616','slug' => 'ancn','latitude' => '42.6584564','longitude' => '-2.1900796'),
        array('province_id' => '31','town' => 'Andosilla','id' => '4617','slug' => 'andosilla','latitude' => '42.3769916','longitude' => '-1.9420345'),
        array('province_id' => '31','town' => 'Ansoáin/Antsoain','id' => '4618','slug' => 'ansoinantsoain','latitude' => '42.8338902','longitude' => '-1.6384312'),
        array('province_id' => '31','town' => 'Anue','id' => '4619','slug' => 'anue','latitude' => '42.979','longitude' => '-1.589'),
        array('province_id' => '31','town' => 'Añorbe','id' => '4620','slug' => 'aorbe','latitude' => '42.6580501','longitude' => '-1.7146622'),
        array('province_id' => '31','town' => 'Aoiz/Agoitz','id' => '4621','slug' => 'aoizagoitz','latitude' => '42.7979859','longitude' => '-1.3838404'),
        array('province_id' => '31','town' => 'Araitz','id' => '4622','slug' => 'araitz','latitude' => '43.065584','longitude' => '-2.006245'),
        array('province_id' => '31','town' => 'Arakil','id' => '4623','slug' => 'arakil','latitude' => '42.917','longitude' => '-1.861'),
        array('province_id' => '31','town' => 'Aranarache','id' => '4624','slug' => 'aranarache','latitude' => '42.7794203','longitude' => '-2.2287811'),
        array('province_id' => '31','town' => 'Aranguren','id' => '4625','slug' => 'aranguren','latitude' => '42.7896095','longitude' => '-1.5355614'),
        array('province_id' => '31','town' => 'Arano','id' => '4626','slug' => 'arano','latitude' => '43.199174','longitude' => '-1.89433'),
        array('province_id' => '31','town' => 'Arantza','id' => '4627','slug' => 'arantza','latitude' => '43.196766','longitude' => '-1.72578'),
        array('province_id' => '31','town' => 'Aras','id' => '4628','slug' => 'aras','latitude' => '42.5624985','longitude' => '-2.35474'),
        array('province_id' => '31','town' => 'Arbizu','id' => '4629','slug' => 'arbizu','latitude' => '42.9154967','longitude' => '-2.0398169'),
        array('province_id' => '31','town' => 'Arce/Artzi','id' => '4630','slug' => 'arceartzi','latitude' => '42.9220054','longitude' => '-1.3830219'),
        array('province_id' => '31','town' => 'Arcos, Los','id' => '4631','slug' => 'arcos-los','latitude' => '42.5709047','longitude' => '-2.1932156'),
        array('province_id' => '31','town' => 'Arellano','id' => '4632','slug' => 'arellano','latitude' => '42.6060406','longitude' => '-2.0468771'),
        array('province_id' => '31','town' => 'Areso','id' => '4633','slug' => 'areso','latitude' => '43.0812463','longitude' => '-1.9506924'),
        array('province_id' => '31','town' => 'Arguedas','id' => '4634','slug' => 'arguedas','latitude' => '42.1767117','longitude' => '-1.5982719'),
        array('province_id' => '31','town' => 'Aria','id' => '4635','slug' => 'aria','latitude' => '42.9530499','longitude' => '-1.2657758'),
        array('province_id' => '31','town' => 'Aribe','id' => '4636','slug' => 'aribe','latitude' => '42.9447192','longitude' => '-1.2647229'),
        array('province_id' => '31','town' => 'Armañanzas','id' => '4637','slug' => 'armaanzas','latitude' => '42.5599177','longitude' => '-2.2852497'),
        array('province_id' => '31','town' => 'Arróniz','id' => '4638','slug' => 'arrniz','latitude' => '42.5889964','longitude' => '-2.0913141'),
        array('province_id' => '31','town' => 'Arruazu','id' => '4639','slug' => 'arruazu','latitude' => '42.9222306','longitude' => '-2.0000093'),
        array('province_id' => '31','town' => 'Artajona','id' => '4640','slug' => 'artajona','latitude' => '42.5912464','longitude' => '-1.7644968'),
        array('province_id' => '31','town' => 'Artazu','id' => '4641','slug' => 'artazu','latitude' => '42.6918725','longitude' => '-1.8386777'),
        array('province_id' => '31','town' => 'Atez','id' => '4642','slug' => 'atez','latitude' => '42.939798','longitude' => '-1.709411'),
        array('province_id' => '31','town' => 'Auritz/Burguete','id' => '4643','slug' => 'auritzburguete','latitude' => '42.9892883','longitude' => '-1.3353452'),
        array('province_id' => '31','town' => 'Ayegui/Aiegi','id' => '4644','slug' => 'ayeguiaiegi','latitude' => '42.6569036','longitude' => '-2.0386238'),
        array('province_id' => '31','town' => 'Azagra','id' => '4645','slug' => 'azagra','latitude' => '42.3078922','longitude' => '-1.8944739'),
        array('province_id' => '31','town' => 'Azuelo','id' => '4646','slug' => 'azuelo','latitude' => '42.6084635','longitude' => '-2.3492512'),
        array('province_id' => '31','town' => 'Bakaiku','id' => '4647','slug' => 'bakaiku','latitude' => '42.8924924','longitude' => '-2.1021317'),
        array('province_id' => '31','town' => 'Barañain','id' => '4648','slug' => 'baraain','latitude' => '42.8049184','longitude' => '-1.6855195'),
        array('province_id' => '31','town' => 'Barásoain','id' => '4649','slug' => 'barsoain','latitude' => '42.6034786','longitude' => '-1.6464588'),
        array('province_id' => '31','town' => 'Barbarin','id' => '4650','slug' => 'barbarin','latitude' => '42.6023301','longitude' => '-2.1022418'),
        array('province_id' => '31','town' => 'Bargota','id' => '4651','slug' => 'bargota','latitude' => '42.5612754','longitude' => '-2.311974'),
        array('province_id' => '31','town' => 'Barillas','id' => '4652','slug' => 'barillas','latitude' => '41.9710573','longitude' => '-1.6629193'),
        array('province_id' => '31','town' => 'Basaburua','id' => '4653','slug' => 'basaburua','latitude' => '43.0267','longitude' => '-1.77944'),
        array('province_id' => '31','town' => 'Baztan','id' => '4654','slug' => 'baztan','latitude' => '43.2','longitude' => '-1.4667'),
        array('province_id' => '31','town' => 'Beintza-Labaien','id' => '4655','slug' => 'beintza-labaien','latitude' => '43.0872791','longitude' => '-1.7425344'),
        array('province_id' => '31','town' => 'Beire','id' => '4656','slug' => 'beire','latitude' => '42.4541197','longitude' => '-1.6214341'),
        array('province_id' => '31','town' => 'Belascoáin','id' => '4657','slug' => 'belascoin','latitude' => '42.7561535','longitude' => '-1.8324995'),
        array('province_id' => '31','town' => 'Bera','id' => '4658','slug' => 'bera','latitude' => '43.2806874','longitude' => '-1.6826992'),
        array('province_id' => '31','town' => 'Berbinzana','id' => '4659','slug' => 'berbinzana','latitude' => '42.5266108','longitude' => '-1.834007'),
        array('province_id' => '31','town' => 'Beriáin','id' => '4660','slug' => 'beriin','latitude' => '42.7337949','longitude' => '-1.6453334'),
        array('province_id' => '31','town' => 'Berrioplano','id' => '4661','slug' => 'berrioplano','latitude' => '42.8523906','longitude' => '-1.6925347'),
        array('province_id' => '31','town' => 'Berriozar','id' => '4662','slug' => 'berriozar','latitude' => '42.8362343','longitude' => '-1.6749298'),
        array('province_id' => '31','town' => 'Bertizarana','id' => '4663','slug' => 'bertizarana','latitude' => '43.1341128','longitude' => '-1.627507'),
        array('province_id' => '31','town' => 'Betelu','id' => '4664','slug' => 'betelu','latitude' => '43.0253456','longitude' => '-1.9809447'),
        array('province_id' => '31','town' => 'Bidaurreta','id' => '4665','slug' => 'bidaurreta','latitude' => '42.7746715','longitude' => '-1.8360966'),
        array('province_id' => '31','town' => 'Biurrun-Olcoz','id' => '4666','slug' => 'biurrun-olcoz','latitude' => '42.6922887','longitude' => '-1.678763'),
        array('province_id' => '31','town' => 'Buñuel','id' => '4667','slug' => 'buuel','latitude' => '41.9804623','longitude' => '-1.4432527'),
        array('province_id' => '31','town' => 'Burgui/Burgi','id' => '4668','slug' => 'burguiburgi','latitude' => '42.7202886','longitude' => '-1.0041896'),
        array('province_id' => '31','town' => 'Burlada/Burlata','id' => '4669','slug' => 'burladaburlata','latitude' => '42.8259968','longitude' => '-1.6155479'),
        array('province_id' => '31','town' => 'Busto, El','id' => '4670','slug' => 'busto-el','latitude' => '42.550748','longitude' => '-2.243561'),
        array('province_id' => '31','town' => 'Cabanillas','id' => '4671','slug' => 'cabanillas','latitude' => '42.0313893','longitude' => '-1.5251955'),
        array('province_id' => '31','town' => 'Cabredo','id' => '4672','slug' => 'cabredo','latitude' => '42.6292444','longitude' => '-2.4130177'),
        array('province_id' => '31','town' => 'Cadreita','id' => '4673','slug' => 'cadreita','latitude' => '42.2175355','longitude' => '-1.6956021'),
        array('province_id' => '31','town' => 'Caparroso','id' => '4674','slug' => 'caparroso','latitude' => '42.3415271','longitude' => '-1.6497881'),
        array('province_id' => '31','town' => 'Cárcar','id' => '4675','slug' => 'crcar','latitude' => '42.3901132','longitude' => '-1.9716126'),
        array('province_id' => '31','town' => 'Carcastillo','id' => '4676','slug' => 'carcastillo','latitude' => '42.3798037','longitude' => '-1.4444284'),
        array('province_id' => '31','town' => 'Cascante','id' => '4677','slug' => 'cascante','latitude' => '41.9989738','longitude' => '-1.6791918'),
        array('province_id' => '31','town' => 'Cáseda','id' => '4678','slug' => 'cseda','latitude' => '42.5232744','longitude' => '-1.3674275'),
        array('province_id' => '31','town' => 'Castejón','id' => '4679','slug' => '4679-castejn','latitude' => '42.1678393','longitude' => '-1.6906364'),
        array('province_id' => '31','town' => 'Castillonuevo','id' => '4680','slug' => 'castillonuevo','latitude' => '42.6785253','longitude' => '-1.0441866'),
        array('province_id' => '31','town' => 'Cendea de Olza/Oltza Zendea','id' => '4681','slug' => 'cendea-de-olzaoltza-zendea','latitude' => '42.804234','longitude' => '-1.6944066'),
        array('province_id' => '31','town' => 'Cintruénigo','id' => '4682','slug' => 'cintrunigo','latitude' => '42.080463','longitude' => '-1.8050079'),
        array('province_id' => '31','town' => 'Cirauqui/Zirauki','id' => '4683','slug' => 'cirauquizirauki','latitude' => '42.6753584','longitude' => '-1.8911162'),
        array('province_id' => '31','town' => 'Ciriza','id' => '4684','slug' => 'ciriza','latitude' => '42.7906257','longitude' => '-1.826934'),
        array('province_id' => '31','town' => 'Cizur','id' => '4685','slug' => 'cizur','latitude' => '42.787707','longitude' => '-1.676974'),
        array('province_id' => '31','town' => 'Corella','id' => '4686','slug' => 'corella','latitude' => '42.1142776','longitude' => '-1.7845955'),
        array('province_id' => '31','town' => 'Cortes','id' => '4687','slug' => 'cortes','latitude' => '41.9230269','longitude' => '-1.4219512'),
        array('province_id' => '31','town' => 'Desojo','id' => '4688','slug' => 'desojo','latitude' => '42.5870822','longitude' => '-2.2735361'),
        array('province_id' => '31','town' => 'Dicastillo','id' => '4689','slug' => 'dicastillo','latitude' => '42.5958858','longitude' => '-2.0284514'),
        array('province_id' => '31','town' => 'Donamaria','id' => '4690','slug' => 'donamaria','latitude' => '43.1166667','longitude' => '-1.6666667'),
        array('province_id' => '31','town' => 'Doneztebe/Santesteban','id' => '4691','slug' => 'doneztebesantesteban','latitude' => '43.1309314','longitude' => '-1.6687215'),
        array('province_id' => '31','town' => 'Echarri','id' => '4692','slug' => 'echarri','latitude' => '42.7805708','longitude' => '-1.8264313'),
        array('province_id' => '31','town' => 'Egüés','id' => '4693','slug' => 'egs','latitude' => '42.8242663','longitude' => '-1.5525719'),
        array('province_id' => '31','town' => 'Elgorriaga','id' => '4694','slug' => 'elgorriaga','latitude' => '43.1391281','longitude' => '-1.6880632'),
        array('province_id' => '31','town' => 'Enériz/Eneritz','id' => '4695','slug' => 'enrizeneritz','latitude' => '42.6706554','longitude' => '-1.7288805'),
        array('province_id' => '31','town' => 'Eratsun','id' => '4696','slug' => 'eratsun','latitude' => '43.0835112','longitude' => '-1.7967889'),
        array('province_id' => '31','town' => 'Ergoiena','id' => '4697','slug' => 'ergoiena','latitude' => '42.8753','longitude' => '-2.02389'),
        array('province_id' => '31','town' => 'Erro','id' => '4698','slug' => 'erro','latitude' => '42.942429','longitude' => '-1.4472092'),
        array('province_id' => '31','town' => 'Eslava','id' => '4699','slug' => 'eslava','latitude' => '42.5647065','longitude' => '-1.4586229'),
        array('province_id' => '31','town' => 'Esparza de Salazar','id' => '4700','slug' => 'esparza-de-salazar','latitude' => '42.8538729','longitude' => '-1.1001718'),
        array('province_id' => '31','town' => 'Espronceda','id' => '4701','slug' => 'espronceda','latitude' => '42.5967504','longitude' => '-2.3050453'),
        array('province_id' => '31','town' => 'Estella/Lizarra','id' => '4702','slug' => 'estellalizarra','latitude' => '42.6695273','longitude' => '-2.0290996'),
        array('province_id' => '31','town' => 'Esteribar','id' => '4703','slug' => 'esteribar','latitude' => '42.95','longitude' => '-1.5333333'),
        array('province_id' => '31','town' => 'Etayo','id' => '4704','slug' => 'etayo','latitude' => '42.6177635','longitude' => '-2.1559206'),
        array('province_id' => '31','town' => 'Etxalar','id' => '4705','slug' => 'etxalar','latitude' => '43.2338698','longitude' => '-1.6372862'),
        array('province_id' => '31','town' => 'Etxarri-Aranatz','id' => '4706','slug' => 'etxarri-aranatz','latitude' => '42.9077387','longitude' => '-2.0647564'),
        array('province_id' => '31','town' => 'Etxauri','id' => '4707','slug' => 'etxauri','latitude' => '42.7942011','longitude' => '-1.7916366'),
        array('province_id' => '31','town' => 'Eulate','id' => '4708','slug' => 'eulate','latitude' => '42.7765437','longitude' => '-2.2080375'),
        array('province_id' => '31','town' => 'Ezcabarte','id' => '4709','slug' => 'ezcabarte','latitude' => '42.851','longitude' => '-1.621'),
        array('province_id' => '31','town' => 'Ezcároz/Ezkaroze','id' => '4710','slug' => 'ezcrozezkaroze','latitude' => '42.8876478','longitude' => '-1.097649'),
        array('province_id' => '31','town' => 'Ezkurra','id' => '4711','slug' => 'ezkurra','latitude' => '43.0846477','longitude' => '-1.8252499'),
        array('province_id' => '31','town' => 'Ezprogui','id' => '4712','slug' => 'ezprogui','latitude' => '42.5833333','longitude' => '-1.4166667'),
        array('province_id' => '31','town' => 'Falces','id' => '4713','slug' => 'falces','latitude' => '42.3877189','longitude' => '-1.7940735'),
        array('province_id' => '31','town' => 'Fitero','id' => '4714','slug' => 'fitero','latitude' => '42.0565758','longitude' => '-1.8579994'),
        array('province_id' => '31','town' => 'Fontellas','id' => '4715','slug' => 'fontellas','latitude' => '42.0280864','longitude' => '-1.5756699'),
        array('province_id' => '31','town' => 'Funes','id' => '4716','slug' => 'funes','latitude' => '42.313917','longitude' => '-1.8029813'),
        array('province_id' => '31','town' => 'Fustiñana','id' => '4717','slug' => 'fustiana','latitude' => '42.0198974','longitude' => '-1.4862463'),
        array('province_id' => '31','town' => 'Galar','id' => '4718','slug' => 'galar','latitude' => '42.7615583','longitude' => '-1.6991253'),
        array('province_id' => '31','town' => 'Gallipienzo/Galipentzu','id' => '4719','slug' => 'gallipienzogalipentzu','latitude' => '42.5241096','longitude' => '-1.4099106'),
        array('province_id' => '31','town' => 'Gallués/Galoze','id' => '4720','slug' => 'gallusgaloze','latitude' => '42.7840181','longitude' => '-1.0958362'),
        array('province_id' => '31','town' => 'Garaioa','id' => '4721','slug' => 'garaioa','latitude' => '42.9298218','longitude' => '-1.2441812'),
        array('province_id' => '31','town' => 'Garde','id' => '4722','slug' => 'garde','latitude' => '42.788624','longitude' => '-0.924175'),
        array('province_id' => '31','town' => 'Garínoain','id' => '4723','slug' => 'garnoain','latitude' => '42.6008056','longitude' => '-1.6440671'),
        array('province_id' => '31','town' => 'Garralda','id' => '4724','slug' => 'garralda','latitude' => '42.9481823','longitude' => '-1.2864975'),
        array('province_id' => '31','town' => 'Genevilla','id' => '4725','slug' => 'genevilla','latitude' => '42.6447836','longitude' => '-2.3917695'),
        array('province_id' => '31','town' => 'Goizueta','id' => '4726','slug' => 'goizueta','latitude' => '43.1710518','longitude' => '-1.8642165'),
        array('province_id' => '31','town' => 'Goñi','id' => '4727','slug' => 'goi','latitude' => '42.8519946','longitude' => '-1.9032213'),
        array('province_id' => '31','town' => 'Güesa/Gorza','id' => '4728','slug' => 'gesagorza','latitude' => '42.8064516','longitude' => '-1.0951248'),
        array('province_id' => '31','town' => 'Guesálaz/Gesalatz','id' => '4729','slug' => 'gueslazgesalatz','latitude' => '42.7943828','longitude' => '-1.8614422'),
        array('province_id' => '31','town' => 'Guirguillano','id' => '4730','slug' => 'guirguillano','latitude' => '42.7177721','longitude' => '-1.8778275'),
        array('province_id' => '31','town' => 'Hiriberri/Villanueva de Aezkoa','id' => '4731','slug' => 'hiriberrivillanueva-de-aezkoa','latitude' => '42.9451782','longitude' => '-1.2304395'),
        array('province_id' => '31','town' => 'Huarte/Uharte','id' => '4732','slug' => 'huarteuharte','latitude' => '42.8317268','longitude' => '-1.5908268'),
        array('province_id' => '31','town' => 'Ibargoiti','id' => '4733','slug' => 'ibargoiti','latitude' => '42.6805556','longitude' => '-1.4672222'),
        array('province_id' => '31','town' => 'Igantzi','id' => '4734','slug' => 'igantzi','latitude' => '43.2257536','longitude' => '-1.6993385'),
        array('province_id' => '31','town' => 'Igúzquiza','id' => '4735','slug' => 'igzquiza','latitude' => '42.6452232','longitude' => '-2.084984'),
        array('province_id' => '31','town' => 'Imotz','id' => '4736','slug' => 'imotz','latitude' => '42.967','longitude' => '-1.783'),
        array('province_id' => '31','town' => 'Irañeta','id' => '4737','slug' => 'iraeta','latitude' => '42.9229003','longitude' => '-1.9452428'),
        array('province_id' => '31','town' => 'Irurtzun','id' => '4738','slug' => 'irurtzun','latitude' => '42.9196571','longitude' => '-1.8281995'),
        array('province_id' => '31','town' => 'Isaba/Izaba','id' => '4739','slug' => 'isabaizaba','latitude' => '42.8615861','longitude' => '-0.9234196'),
        array('province_id' => '31','town' => 'Ituren','id' => '4740','slug' => 'ituren','latitude' => '43.1289404','longitude' => '-1.7071166'),
        array('province_id' => '31','town' => 'Iturmendi','id' => '4741','slug' => 'iturmendi','latitude' => '42.8894831','longitude' => '-2.1188648'),
        array('province_id' => '31','town' => 'Iza/Itza','id' => '4742','slug' => 'izaitza','latitude' => '42.822578','longitude' => '-1.7243294'),
        array('province_id' => '31','town' => 'Izagaondoa','id' => '4743','slug' => 'izagaondoa','latitude' => '42.753','longitude' => '-1.421'),
        array('province_id' => '31','town' => 'Izalzu/Itzaltzu','id' => '4744','slug' => 'izalzuitzaltzu','latitude' => '42.9135311','longitude' => '-1.0536612'),
        array('province_id' => '31','town' => 'Jaurrieta','id' => '4745','slug' => 'jaurrieta','latitude' => '42.8872068','longitude' => '-1.1364156'),
        array('province_id' => '31','town' => 'Javier','id' => '4746','slug' => 'javier','latitude' => '42.5908034','longitude' => '-1.2088099'),
        array('province_id' => '31','town' => 'Juslapeña','id' => '4747','slug' => 'juslapea','latitude' => '42.898752','longitude' => '-1.694989'),
        array('province_id' => '31','town' => 'Lakuntza','id' => '4748','slug' => 'lakuntza','latitude' => '42.9213095','longitude' => '-2.0232614'),
        array('province_id' => '31','town' => 'Lana','id' => '4749','slug' => 'lana','latitude' => '42.706','longitude' => '-2.247'),
        array('province_id' => '31','town' => 'Lantz','id' => '4750','slug' => 'lantz','latitude' => '42.9981961','longitude' => '-1.6201931'),
        array('province_id' => '31','town' => 'Lapoblación','id' => '4751','slug' => 'lapoblacin','latitude' => '42.6050261','longitude' => '-2.4595541'),
        array('province_id' => '31','town' => 'Larraga','id' => '4752','slug' => 'larraga','latitude' => '42.5587431','longitude' => '-1.8486819'),
        array('province_id' => '31','town' => 'Larraona','id' => '4753','slug' => 'larraona','latitude' => '42.7794788','longitude' => '-2.2573103'),
        array('province_id' => '31','town' => 'Larraun','id' => '4754','slug' => 'larraun','latitude' => '42.9934','longitude' => '-1.9392435'),
        array('province_id' => '31','town' => 'Lazagurría','id' => '4755','slug' => 'lazagurra','latitude' => '42.4927042','longitude' => '-2.2404904'),
        array('province_id' => '31','town' => 'Leache','id' => '4756','slug' => 'leache','latitude' => '42.6070768','longitude' => '-1.4069104'),
        array('province_id' => '31','town' => 'Legarda','id' => '4757','slug' => 'legarda','latitude' => '42.7116946','longitude' => '-1.7722643'),
        array('province_id' => '31','town' => 'Legaria','id' => '4758','slug' => 'legaria','latitude' => '42.6491133','longitude' => '-2.1734556'),
        array('province_id' => '31','town' => 'Leitza','id' => '4759','slug' => 'leitza','latitude' => '43.0787944','longitude' => '-1.9146076'),
        array('province_id' => '31','town' => 'Lekunberri','id' => '4760','slug' => 'lekunberri','latitude' => '43.001304','longitude' => '-1.8919162'),
        array('province_id' => '31','town' => 'Leoz/Leotz','id' => '4761','slug' => 'leozleotz','latitude' => '42.6450998','longitude' => '-1.5193888'),
        array('province_id' => '31','town' => 'Lerga','id' => '4762','slug' => 'lerga','latitude' => '42.5664392','longitude' => '-1.5008593'),
        array('province_id' => '31','town' => 'Lerín','id' => '4763','slug' => 'lern','latitude' => '42.4829663','longitude' => '-1.972567'),
        array('province_id' => '31','town' => 'Lesaka','id' => '4764','slug' => 'lesaka','latitude' => '43.2467885','longitude' => '-1.7038535'),
        array('province_id' => '31','town' => 'Lezáun','id' => '4765','slug' => 'lezun','latitude' => '42.7780122','longitude' => '-1.9942271'),
        array('province_id' => '31','town' => 'Liédena','id' => '4766','slug' => 'lidena','latitude' => '42.6188988','longitude' => '-1.2755381'),
        array('province_id' => '31','town' => 'Lizoáin-Arriasgoiti','id' => '4767','slug' => 'lizoin-arriasgoiti','latitude' => '42.7981507','longitude' => '-1.4672376'),
        array('province_id' => '31','town' => 'Lodosa','id' => '4768','slug' => 'lodosa','latitude' => '42.42459','longitude' => '-2.0783638'),
        array('province_id' => '31','town' => 'Lónguida/Longida','id' => '4769','slug' => 'lnguidalongida','latitude' => '42.7572','longitude' => '-1.38556'),
        array('province_id' => '31','town' => 'Lumbier','id' => '4770','slug' => 'lumbier','latitude' => '42.6528896','longitude' => '-1.3072466'),
        array('province_id' => '31','town' => 'Luquin','id' => '4771','slug' => 'luquin','latitude' => '42.611724','longitude' => '-2.0992883'),
        array('province_id' => '31','town' => 'Luzaide/Valcarlos','id' => '4772','slug' => 'luzaidevalcarlos','latitude' => '43.0942794','longitude' => '-1.299782'),
        array('province_id' => '31','town' => 'Mañeru','id' => '4773','slug' => 'maeru','latitude' => '42.6697674','longitude' => '-1.8627703'),
        array('province_id' => '31','town' => 'Marañón','id' => '4774','slug' => 'maran','latitude' => '42.6296538','longitude' => '-2.4393082'),
        array('province_id' => '31','town' => 'Marcilla','id' => '4775','slug' => 'marcilla','latitude' => '42.3264382','longitude' => '-1.7392589'),
        array('province_id' => '31','town' => 'Mélida','id' => '4776','slug' => 'mlida','latitude' => '42.3584753','longitude' => '-1.5480733'),
        array('province_id' => '31','town' => 'Mendavia','id' => '4777','slug' => 'mendavia','latitude' => '42.4445372','longitude' => '-2.2008998'),
        array('province_id' => '31','town' => 'Mendaza','id' => '4778','slug' => 'mendaza','latitude' => '42.6416244','longitude' => '-2.2349975'),
        array('province_id' => '31','town' => 'Mendigorría','id' => '4779','slug' => 'mendigorra','latitude' => '42.6284321','longitude' => '-1.8354841'),
        array('province_id' => '31','town' => 'Metauten','id' => '4780','slug' => 'metauten','latitude' => '42.6766657','longitude' => '-2.1295962'),
        array('province_id' => '31','town' => 'Milagro','id' => '4781','slug' => 'milagro','latitude' => '42.2412383','longitude' => '-1.7630654'),
        array('province_id' => '31','town' => 'Mirafuentes','id' => '4782','slug' => 'mirafuentes','latitude' => '42.6221817','longitude' => '-2.2789832'),
        array('province_id' => '31','town' => 'Miranda de Arga','id' => '4783','slug' => 'miranda-de-arga','latitude' => '42.4835439','longitude' => '-1.8295099'),
        array('province_id' => '31','town' => 'Monreal','id' => '4784','slug' => 'monreal','latitude' => '42.7046358','longitude' => '-1.5064093'),
        array('province_id' => '31','town' => 'Monteagudo','id' => '4785','slug' => 'monteagudo','latitude' => '41.9627144','longitude' => '-1.6922991'),
        array('province_id' => '31','town' => 'Morentin','id' => '4786','slug' => 'morentin','latitude' => '42.6127864','longitude' => '-2.0136192'),
        array('province_id' => '31','town' => 'Mues','id' => '4787','slug' => 'mues','latitude' => '42.6063586','longitude' => '-2.2264779'),
        array('province_id' => '31','town' => 'Murchante','id' => '4788','slug' => 'murchante','latitude' => '42.0303903','longitude' => '-1.653715'),
        array('province_id' => '31','town' => 'Murieta','id' => '4789','slug' => 'murieta','latitude' => '42.6560075','longitude' => '-2.1545527'),
        array('province_id' => '31','town' => 'Murillo el Cuende','id' => '4790','slug' => 'murillo-el-cuende','latitude' => '42.3978054','longitude' => '-1.6299828'),
        array('province_id' => '31','town' => 'Murillo el Fruto','id' => '4791','slug' => 'murillo-el-fruto','latitude' => '42.3926036','longitude' => '-1.4618218'),
        array('province_id' => '31','town' => 'Muruzábal','id' => '4792','slug' => 'muruzbal','latitude' => '42.6897162','longitude' => '-1.7709066'),
        array('province_id' => '31','town' => 'Navascués','id' => '4793','slug' => 'navascus','latitude' => '42.7185219','longitude' => '-1.1165879'),
        array('province_id' => '31','town' => 'Nazar','id' => '4794','slug' => 'nazar','latitude' => '42.6367156','longitude' => '-2.2796463'),
        array('province_id' => '31','town' => 'Noáin (Valle de Elorz)/Noain (Elortzibar)','id' => '4795','slug' => 'noin-valle-de-elorznoain-elortzibar','latitude' => '42.7599006','longitude' => '-1.6338014'),
        array('province_id' => '31','town' => 'Obanos','id' => '4796','slug' => 'obanos','latitude' => '42.6795586','longitude' => '-1.785792'),
        array('province_id' => '31','town' => 'Ochagavía','id' => '4797','slug' => 'ochagava','latitude' => '42.9057834','longitude' => '-1.0907263'),
        array('province_id' => '31','town' => 'Oco','id' => '4798','slug' => 'oco','latitude' => '42.6382657','longitude' => '-2.1645853'),
        array('province_id' => '31','town' => 'Odieta','id' => '4799','slug' => 'odieta','latitude' => '42.94','longitude' => '-1.638'),
        array('province_id' => '31','town' => 'Oitz','id' => '4800','slug' => 'oitz','latitude' => '43.1093525','longitude' => '-1.685726'),
        array('province_id' => '31','town' => 'Olaibar','id' => '4801','slug' => 'olaibar','latitude' => '42.886','longitude' => '-1.603'),
        array('province_id' => '31','town' => 'Olazti/Olazagutía','id' => '4802','slug' => 'olaztiolazaguta','latitude' => '42.8763269','longitude' => '-2.1970675'),
        array('province_id' => '31','town' => 'Olejua','id' => '4803','slug' => 'olejua','latitude' => '42.6232585','longitude' => '-2.141197'),
        array('province_id' => '31','town' => 'Olite/Erriberri','id' => '4804','slug' => 'oliteerriberri','latitude' => '42.4814784','longitude' => '-1.6516415'),
        array('province_id' => '31','town' => 'Ollo','id' => '4805','slug' => 'ollo','latitude' => '42.8671082','longitude' => '-1.8588768'),
        array('province_id' => '31','town' => 'Olóriz','id' => '4806','slug' => 'olriz','latitude' => '42.6354727','longitude' => '-1.6128384'),
        array('province_id' => '31','town' => 'Orbaitzeta','id' => '4807','slug' => 'orbaitzeta','latitude' => '42.9744261','longitude' => '-1.2293997'),
        array('province_id' => '31','town' => 'Orbara','id' => '4808','slug' => 'orbara','latitude' => '42.9664664','longitude' => '-1.2416575'),
        array('province_id' => '31','town' => 'Orísoain','id' => '4809','slug' => 'orsoain','latitude' => '42.6011367','longitude' => '-1.6036311'),
        array('province_id' => '31','town' => 'Orkoien','id' => '4810','slug' => 'orkoien','latitude' => '42.8228013','longitude' => '-1.7020524'),
        array('province_id' => '31','town' => 'Oronz','id' => '4811','slug' => 'oronz','latitude' => '42.8681771','longitude' => '-1.0968541'),
        array('province_id' => '31','town' => 'Oroz-Betelu','id' => '4812','slug' => 'oroz-betelu','latitude' => '42.8953677','longitude' => '-1.3044382'),
        array('province_id' => '31','town' => 'Orreaga/Roncesvalles','id' => '4813','slug' => 'orreagaroncesvalles','latitude' => '43.0094387','longitude' => '-1.3197661'),
        array('province_id' => '31','town' => 'Oteiza','id' => '4814','slug' => 'oteiza','latitude' => '42.6199102','longitude' => '-1.9531503'),
        array('province_id' => '31','town' => 'Pamplona/Iruña','id' => '4815','slug' => 'pamplonairua','latitude' => '42.8179879','longitude' => '-1.6441835'),
        array('province_id' => '31','town' => 'Peralta/Azkoien','id' => '4816','slug' => 'peraltaazkoien','latitude' => '42.3388367','longitude' => '-1.7974626'),
        array('province_id' => '31','town' => 'Petilla de Aragón','id' => '4817','slug' => 'petilla-de-aragn','latitude' => '42.460675','longitude' => '-1.087136'),
        array('province_id' => '31','town' => 'Piedramillera','id' => '4818','slug' => 'piedramillera','latitude' => '42.6319244','longitude' => '-2.2036335'),
        array('province_id' => '31','town' => 'Pitillas','id' => '4819','slug' => 'pitillas','latitude' => '42.4220017','longitude' => '-1.6223377'),
        array('province_id' => '31','town' => 'Puente la Reina/Gares','id' => '4820','slug' => 'puente-la-reinagares','latitude' => '42.6717748','longitude' => '-1.8157598'),
        array('province_id' => '31','town' => 'Pueyo','id' => '4821','slug' => 'pueyo','latitude' => '42.5659122','longitude' => '-1.6478552'),
        array('province_id' => '31','town' => 'Ribaforada','id' => '4822','slug' => 'ribaforada','latitude' => '41.9968427','longitude' => '-1.5113051'),
        array('province_id' => '31','town' => 'Romanzado','id' => '4823','slug' => 'romanzado','latitude' => '42.6814604','longitude' => '-1.2313618'),
        array('province_id' => '31','town' => 'Roncal/Erronkari','id' => '4824','slug' => 'roncalerronkari','latitude' => '42.8075457','longitude' => '-0.9558963'),
        array('province_id' => '31','town' => 'Sada','id' => '4825','slug' => '4825-sada','latitude' => '42.5858506','longitude' => '-1.3978748'),
        array('province_id' => '31','town' => 'Saldías','id' => '4826','slug' => 'saldas','latitude' => '43.0885751','longitude' => '-1.7810045'),
        array('province_id' => '31','town' => 'Salinas de Oro','id' => '4827','slug' => 'salinas-de-oro','latitude' => '42.77519','longitude' => '-1.88998'),
        array('province_id' => '31','town' => 'San Adrián','id' => '4828','slug' => 'san-adrin','latitude' => '42.332715','longitude' => '-1.9334094'),
        array('province_id' => '31','town' => 'San Martín de Unx','id' => '4829','slug' => 'san-martn-de-unx','latitude' => '42.5238256','longitude' => '-1.5614072'),
        array('province_id' => '31','town' => 'Sangüesa/Zangoza','id' => '4830','slug' => 'sangesazangoza','latitude' => '42.5769406','longitude' => '-1.2854762'),
        array('province_id' => '31','town' => 'Sansol','id' => '4831','slug' => 'sansol','latitude' => '42.5536261','longitude' => '-2.2676016'),
        array('province_id' => '31','town' => 'Santacara','id' => '4832','slug' => 'santacara','latitude' => '42.375339','longitude' => '-1.5531714'),
        array('province_id' => '31','town' => 'Sarriés/Sartze','id' => '4833','slug' => 'sarrissartze','latitude' => '42.8351548','longitude' => '-1.1003332'),
        array('province_id' => '31','town' => 'Sartaguda','id' => '4834','slug' => 'sartaguda','latitude' => '42.381417','longitude' => '-2.0586419'),
        array('province_id' => '31','town' => 'Sesma','id' => '4835','slug' => 'sesma','latitude' => '42.4778027','longitude' => '-2.0833645'),
        array('province_id' => '31','town' => 'Sorlada','id' => '4836','slug' => 'sorlada','latitude' => '42.615263','longitude' => '-2.2153572'),
        array('province_id' => '31','town' => 'Sunbilla','id' => '4837','slug' => 'sunbilla','latitude' => '43.1649926','longitude' => '-1.6704404'),
        array('province_id' => '31','town' => 'Tafalla','id' => '4838','slug' => 'tafalla','latitude' => '42.5303329','longitude' => '-1.6742692'),
        array('province_id' => '31','town' => 'Tiebas-Muruarte de Reta','id' => '4839','slug' => 'tiebas-muruarte-de-reta','latitude' => '42.6931145','longitude' => '-1.6406361'),
        array('province_id' => '31','town' => 'Tirapu','id' => '4840','slug' => 'tirapu','latitude' => '42.6574722','longitude' => '-1.7026542'),
        array('province_id' => '31','town' => 'Torralba del Río','id' => '4841','slug' => 'torralba-del-ro','latitude' => '42.6080584','longitude' => '-2.3312711'),
        array('province_id' => '31','town' => 'Torres del Río','id' => '4842','slug' => 'torres-del-ro','latitude' => '42.5520578','longitude' => '-2.2712693'),
        array('province_id' => '31','town' => 'Tudela','id' => '4843','slug' => 'tudela','latitude' => '42.0638804','longitude' => '-1.6057177'),
        array('province_id' => '31','town' => 'Tulebras','id' => '4844','slug' => 'tulebras','latitude' => '41.9767385','longitude' => '-1.6764322'),
        array('province_id' => '31','town' => 'Ucar','id' => '4845','slug' => 'ucar','latitude' => '42.6757232','longitude' => '-1.7066021'),
        array('province_id' => '31','town' => 'Uharte-Arakil','id' => '4846','slug' => 'uharte-arakil','latitude' => '42.9206853','longitude' => '-1.9696591'),
        array('province_id' => '31','town' => 'Ujué','id' => '4847','slug' => 'uju','latitude' => '42.5072117','longitude' => '-1.4993545'),
        array('province_id' => '31','town' => 'Ultzama','id' => '4848','slug' => 'ultzama','latitude' => '43','longitude' => '-1.6780556'),
        array('province_id' => '31','town' => 'Unciti','id' => '4849','slug' => 'unciti','latitude' => '42.7472653','longitude' => '-1.5022486'),
        array('province_id' => '31','town' => 'Unzué','id' => '4850','slug' => 'unzu','latitude' => '42.6522693','longitude' => '-1.6258733'),
        array('province_id' => '31','town' => 'Urdazubi/Urdax','id' => '4851','slug' => 'urdazubiurdax','latitude' => '43.2688303','longitude' => '-1.504145'),
        array('province_id' => '31','town' => 'Urdiain','id' => '4852','slug' => 'urdiain','latitude' => '42.8871132','longitude' => '-2.136436'),
        array('province_id' => '31','town' => 'Urraul Alto','id' => '4853','slug' => 'urraul-alto','latitude' => '42.775688','longitude' => '-1.247821'),
        array('province_id' => '31','town' => 'Urraul Bajo','id' => '4854','slug' => 'urraul-bajo','latitude' => '42.714','longitude' => '-1.323'),
        array('province_id' => '31','town' => 'Urrotz','id' => '4855','slug' => 'urrotz','latitude' => '43.1004379','longitude' => '-1.7073185'),
        array('province_id' => '31','town' => 'Urroz-Villa','id' => '4856','slug' => 'urroz-villa','latitude' => '42.7786345','longitude' => '-1.4583692'),
        array('province_id' => '31','town' => 'Urzainqui','id' => '4857','slug' => 'urzainqui','latitude' => '42.8320544','longitude' => '-0.9444442'),
        array('province_id' => '31','town' => 'Uterga','id' => '4858','slug' => 'uterga','latitude' => '42.7100469','longitude' => '-1.7595202'),
        array('province_id' => '31','town' => 'Uztárroz/Uztarroze','id' => '4859','slug' => 'uztrrozuztarroze','latitude' => '42.8920877','longitude' => '-0.940819'),
        array('province_id' => '31','town' => 'Valle de Yerri/Deierri','id' => '4860','slug' => 'valle-de-yerrideierri','latitude' => '42.7427194','longitude' => '-1.9609054'),
        array('province_id' => '31','town' => 'Valtierra','id' => '4861','slug' => 'valtierra','latitude' => '42.1959283','longitude' => '-1.6338401'),
        array('province_id' => '31','town' => 'Viana','id' => '4862','slug' => 'viana','latitude' => '42.5151255','longitude' => '-2.3716077'),
        array('province_id' => '31','town' => 'Vidángoz/Bidankoze','id' => '4863','slug' => 'vidngozbidankoze','latitude' => '42.8006457','longitude' => '-1.0148152'),
        array('province_id' => '31','town' => 'Villafranca','id' => '4864','slug' => 'villafranca','latitude' => '42.2792952','longitude' => '-1.7501452'),
        array('province_id' => '31','town' => 'Villamayor de Monjardín','id' => '4865','slug' => 'villamayor-de-monjardn','latitude' => '42.6288009','longitude' => '-2.1048015'),
        array('province_id' => '31','town' => 'Villatuerta','id' => '4866','slug' => 'villatuerta','latitude' => '42.6594001','longitude' => '-1.993951'),
        array('province_id' => '31','town' => 'Villava/Atarrabia','id' => '4867','slug' => 'villavaatarrabia','latitude' => '42.8309412','longitude' => '-1.6087766'),
        array('province_id' => '31','town' => 'Yesa','id' => '4868','slug' => 'yesa','latitude' => '42.6194968','longitude' => '-1.203681'),
        array('province_id' => '31','town' => 'Zabalza/Zabaltza','id' => '4869','slug' => 'zabalzazabaltza','latitude' => '42.7030741','longitude' => '-1.5058843'),
        array('province_id' => '31','town' => 'Ziordia','id' => '4870','slug' => 'ziordia','latitude' => '42.8708148','longitude' => '-2.2289517'),
        array('province_id' => '31','town' => 'Zizur Mayor/Zizur Nagusia','id' => '4871','slug' => 'zizur-mayorzizur-nagusia','latitude' => '42.7868031','longitude' => '-1.6908316'),
        array('province_id' => '31','town' => 'Zubieta','id' => '4872','slug' => 'zubieta','latitude' => '43.1239414','longitude' => '-1.7421132'),
        array('province_id' => '31','town' => 'Zugarramurdi','id' => '4873','slug' => 'zugarramurdi','latitude' => '43.2693567','longitude' => '-1.5412445'),
        array('province_id' => '31','town' => 'Zúñiga','id' => '4874','slug' => 'ziga','latitude' => '42.6943623','longitude' => '-2.302436'),
        array('province_id' => '32','town' => 'Allariz','id' => '4875','slug' => 'allariz','latitude' => '42.1901194','longitude' => '-7.8015971'),
        array('province_id' => '32','town' => 'Amoeiro','id' => '4876','slug' => 'amoeiro','latitude' => '42.4099217','longitude' => '-7.9543208'),
        array('province_id' => '32','town' => 'Arnoia, A','id' => '4877','slug' => 'arnoia-a','latitude' => '42.2502778','longitude' => '-8.1330556'),
        array('province_id' => '32','town' => 'Avión','id' => '4878','slug' => 'avin','latitude' => '42.3763174','longitude' => '-8.2508656'),
        array('province_id' => '32','town' => 'Baltar','id' => '4879','slug' => 'baltar','latitude' => '41.9497542','longitude' => '-7.7168062'),
        array('province_id' => '32','town' => 'Bande','id' => '4880','slug' => 'bande','latitude' => '42.0301856','longitude' => '-7.9763351'),
        array('province_id' => '32','town' => 'Baños de Molgas','id' => '4881','slug' => 'baos-de-molgas','latitude' => '42.2416124','longitude' => '-7.6722307'),
        array('province_id' => '32','town' => 'Barbadás','id' => '4882','slug' => 'barbads','latitude' => '42.2991651','longitude' => '-7.8875845'),
        array('province_id' => '32','town' => 'Barco de Valdeorras, O','id' => '4883','slug' => 'barco-de-valdeorras-o','latitude' => '42.4154162','longitude' => '-6.9819598'),
        array('province_id' => '32','town' => 'Beade','id' => '4884','slug' => 'beade','latitude' => '42.329724','longitude' => '-8.126065'),
        array('province_id' => '32','town' => 'Beariz','id' => '4885','slug' => 'beariz','latitude' => '42.467797','longitude' => '-8.273106'),
        array('province_id' => '32','town' => 'Blancos, Os','id' => '4886','slug' => 'blancos-os','latitude' => '41.99734','longitude' => '-7.7523969'),
        array('province_id' => '32','town' => 'Boborás','id' => '4887','slug' => 'bobors','latitude' => '42.4333584','longitude' => '-8.1429656'),
        array('province_id' => '32','town' => 'Bola, A','id' => '4888','slug' => 'bola-a','latitude' => '42.1520032','longitude' => '-7.9154476'),
        array('province_id' => '32','town' => 'Bolo, O','id' => '4889','slug' => 'bolo-o','latitude' => '42.4405966','longitude' => '-8.0061116'),
        array('province_id' => '32','town' => 'Calvos de Randín','id' => '4890','slug' => 'calvos-de-randn','latitude' => '41.9442251','longitude' => '-7.8976435'),
        array('province_id' => '32','town' => 'Carballeda de Avia','id' => '4891','slug' => 'carballeda-de-avia','latitude' => '42.320866','longitude' => '-8.1644183'),
        array('province_id' => '32','town' => 'Carballeda de Valdeorras','id' => '4892','slug' => 'carballeda-de-valdeorras','latitude' => '42.3785709','longitude' => '-6.8804735'),
        array('province_id' => '32','town' => 'Carballiño, O','id' => '4893','slug' => 'carballio-o','latitude' => '42.4298077','longitude' => '-8.0775582'),
        array('province_id' => '32','town' => 'Cartelle','id' => '4894','slug' => 'cartelle','latitude' => '42.2488332','longitude' => '-8.0702926'),
        array('province_id' => '32','town' => 'Castrelo de Miño','id' => '4895','slug' => 'castrelo-de-mio','latitude' => '42.2833333','longitude' => '-8.1166667'),
        array('province_id' => '32','town' => 'Castrelo do Val','id' => '4896','slug' => 'castrelo-do-val','latitude' => '41.9929028','longitude' => '-7.42577'),
        array('province_id' => '32','town' => 'Castro Caldelas','id' => '4897','slug' => 'castro-caldelas','latitude' => '42.376366','longitude' => '-7.411907'),
        array('province_id' => '32','town' => 'Celanova','id' => '4898','slug' => 'celanova','latitude' => '42.1522326','longitude' => '-7.9581911'),
        array('province_id' => '32','town' => 'Cenlle','id' => '4899','slug' => 'cenlle','latitude' => '42.3431195','longitude' => '-8.087995'),
        array('province_id' => '32','town' => 'Chandrexa de Queixa','id' => '4900','slug' => 'chandrexa-de-queixa','latitude' => '42.260288','longitude' => '-7.3797713'),
        array('province_id' => '32','town' => 'Coles','id' => '4901','slug' => 'coles','latitude' => '42.4014316','longitude' => '-7.8368922'),
        array('province_id' => '32','town' => 'Cortegada','id' => '4902','slug' => 'cortegada','latitude' => '42.2077104','longitude' => '-8.1690459'),
        array('province_id' => '32','town' => 'Cualedro','id' => '4903','slug' => 'cualedro','latitude' => '41.9901495','longitude' => '-7.5950234'),
        array('province_id' => '32','town' => 'Entrimo','id' => '4904','slug' => 'entrimo','latitude' => '41.9333333','longitude' => '-8.1166667'),
        array('province_id' => '32','town' => 'Esgos','id' => '4905','slug' => 'esgos','latitude' => '42.324567','longitude' => '-7.6956851'),
        array('province_id' => '32','town' => 'Gomesende','id' => '4906','slug' => 'gomesende','latitude' => '42.1633975','longitude' => '-8.1036026'),
        array('province_id' => '32','town' => 'Gudiña, A','id' => '4907','slug' => 'gudia-a','latitude' => '42.0611708','longitude' => '-7.1382633'),
        array('province_id' => '32','town' => 'Irixo, O','id' => '4908','slug' => 'irixo-o','latitude' => '42.5234577','longitude' => '-8.1072063'),
        array('province_id' => '32','town' => 'Larouco','id' => '4909','slug' => 'larouco','latitude' => '42.3474484','longitude' => '-7.1593485'),
        array('province_id' => '32','town' => 'Laza','id' => '4910','slug' => 'laza','latitude' => '42.0616185','longitude' => '-7.4616468'),
        array('province_id' => '32','town' => 'Leiro','id' => '4911','slug' => 'leiro','latitude' => '42.3692779','longitude' => '-8.123707'),
        array('province_id' => '32','town' => 'Lobeira','id' => '4912','slug' => 'lobeira','latitude' => '41.975494','longitude' => '-8.0247005'),
        array('province_id' => '32','town' => 'Lobios','id' => '4913','slug' => 'lobios','latitude' => '41.8935624','longitude' => '-8.068343'),
        array('province_id' => '32','town' => 'Maceda','id' => '4914','slug' => 'maceda','latitude' => '42.2721742','longitude' => '-7.6500737'),
        array('province_id' => '32','town' => 'Manzaneda','id' => '4915','slug' => 'manzaneda','latitude' => '42.3105503','longitude' => '-7.2354243'),
        array('province_id' => '32','town' => 'Maside','id' => '4916','slug' => 'maside','latitude' => '42.4114322','longitude' => '-8.0256224'),
        array('province_id' => '32','town' => 'Melón','id' => '4917','slug' => 'meln','latitude' => '42.2575916','longitude' => '-8.217762'),
        array('province_id' => '32','town' => 'Merca, A','id' => '4918','slug' => 'merca-a','latitude' => '42.3379133','longitude' => '-7.8544261'),
        array('province_id' => '32','town' => 'Mezquita, A','id' => '4919','slug' => 'mezquita-a','latitude' => '42.3400033','longitude' => '-7.8536065'),
        array('province_id' => '32','town' => 'Montederramo','id' => '4920','slug' => 'montederramo','latitude' => '42.2769383','longitude' => '-7.502669'),
        array('province_id' => '32','town' => 'Monterrei','id' => '4921','slug' => 'monterrei','latitude' => '41.9471462','longitude' => '-7.449487'),
        array('province_id' => '32','town' => 'Muíños','id' => '4922','slug' => 'muos','latitude' => '41.9542622','longitude' => '-7.9856054'),
        array('province_id' => '32','town' => 'Nogueira de Ramuín','id' => '4923','slug' => 'nogueira-de-ramun','latitude' => '42.413084','longitude' => '-7.726115'),
        array('province_id' => '32','town' => 'Oímbra','id' => '4924','slug' => 'ombra','latitude' => '41.8854262','longitude' => '-7.47204'),
        array('province_id' => '32','town' => 'Ourense','id' => '4925','slug' => 'ourense','latitude' => '42.3400086','longitude' => '-7.8646408'),
        array('province_id' => '32','town' => 'Paderne de Allariz','id' => '4926','slug' => 'paderne-de-allariz','latitude' => '42.2775','longitude' => '-7.7458333'),
        array('province_id' => '32','town' => 'Padrenda','id' => '4927','slug' => 'padrenda','latitude' => '42.1333333','longitude' => '-8.15'),
        array('province_id' => '32','town' => 'Parada de Sil','id' => '4928','slug' => 'parada-de-sil','latitude' => '42.3828108','longitude' => '-7.5685253'),
        array('province_id' => '32','town' => 'Pereiro de Aguiar, O','id' => '4929','slug' => 'pereiro-de-aguiar-o','latitude' => '42.348153','longitude' => '-7.8069419'),
        array('province_id' => '32','town' => 'Peroxa, A','id' => '4930','slug' => 'peroxa-a','latitude' => '42.4398149','longitude' => '-7.7954593'),
        array('province_id' => '32','town' => 'Petín','id' => '4931','slug' => 'petn','latitude' => '42.3825703','longitude' => '-7.1258767'),
        array('province_id' => '32','town' => 'Piñor','id' => '4932','slug' => 'pior','latitude' => '42.4981615','longitude' => '-8.0047521'),
        array('province_id' => '32','town' => 'Pobra de Trives, A','id' => '4933','slug' => 'pobra-de-trives-a','latitude' => '42.3393049','longitude' => '-7.2539001'),
        array('province_id' => '32','town' => 'Pontedeva','id' => '4934','slug' => 'pontedeva','latitude' => '42.1686111','longitude' => '-8.1391667'),
        array('province_id' => '32','town' => 'Porqueira','id' => '4935','slug' => 'porqueira','latitude' => '42.0178696','longitude' => '-7.8395151'),
        array('province_id' => '32','town' => 'Punxín','id' => '4936','slug' => 'punxn','latitude' => '42.3686372','longitude' => '-8.0004165'),
        array('province_id' => '32','town' => 'Quintela de Leirado','id' => '4937','slug' => 'quintela-de-leirado','latitude' => '42.1389609','longitude' => '-8.1021529'),
        array('province_id' => '32','town' => 'Rairiz de Veiga','id' => '4938','slug' => 'rairiz-de-veiga','latitude' => '42.0827236','longitude' => '-7.833268'),
        array('province_id' => '32','town' => 'Ramirás','id' => '4939','slug' => 'ramirs','latitude' => '42.1880552','longitude' => '-8.0245091'),
        array('province_id' => '32','town' => 'Ribadavia','id' => '4940','slug' => 'ribadavia','latitude' => '42.2875528','longitude' => '-8.1434964'),
        array('province_id' => '32','town' => 'Riós','id' => '4941','slug' => 'ris','latitude' => '41.9742567','longitude' => '-7.2826336'),
        array('province_id' => '32','town' => 'Rúa, A','id' => '4942','slug' => 'ra-a','latitude' => '42.392487','longitude' => '-7.120533'),
        array('province_id' => '32','town' => 'Rubiá','id' => '4943','slug' => '4943-rubi','latitude' => '42.4496349','longitude' => '-6.9481922'),
        array('province_id' => '32','town' => 'San Amaro','id' => '4944','slug' => 'san-amaro','latitude' => '42.3731393','longitude' => '-8.0716924'),
        array('province_id' => '32','town' => 'San Cibrao das Viñas','id' => '4945','slug' => 'san-cibrao-das-vias','latitude' => '42.2972674','longitude' => '-7.8733432'),
        array('province_id' => '32','town' => 'San Cristovo de Cea','id' => '4946','slug' => 'san-cristovo-de-cea','latitude' => '42.4727987','longitude' => '-7.9853215'),
        array('province_id' => '32','town' => 'San Xoán de Río','id' => '4947','slug' => 'san-xon-de-ro','latitude' => '42.3721445','longitude' => '-7.3038262'),
        array('province_id' => '32','town' => 'Sandiás','id' => '4948','slug' => 'sandis','latitude' => '42.1130513','longitude' => '-7.7569909'),
        array('province_id' => '32','town' => 'Sarreaus','id' => '4949','slug' => 'sarreaus','latitude' => '42.0862936','longitude' => '-7.6033247'),
        array('province_id' => '32','town' => 'Taboadela','id' => '4950','slug' => 'taboadela','latitude' => '42.2408975','longitude' => '-7.8253256'),
        array('province_id' => '32','town' => 'Teixeira, A','id' => '4951','slug' => 'teixeira-a','latitude' => '42.3887415','longitude' => '-7.2661966'),
        array('province_id' => '32','town' => 'Toén','id' => '4952','slug' => 'ton','latitude' => '42.3165262','longitude' => '-7.9548533'),
        array('province_id' => '32','town' => 'Trasmiras','id' => '4953','slug' => 'trasmiras','latitude' => '42.024629','longitude' => '-7.6165682'),
        array('province_id' => '32','town' => 'Veiga, A','id' => '4954','slug' => 'veiga-a','latitude' => '42.1675706','longitude' => '-8.1375664'),
        array('province_id' => '32','town' => 'Verea','id' => '4955','slug' => 'verea','latitude' => '42.1','longitude' => '-7.95'),
        array('province_id' => '32','town' => 'Verín','id' => '4956','slug' => 'vern','latitude' => '41.9404494','longitude' => '-7.439122'),
        array('province_id' => '32','town' => 'Viana do Bolo','id' => '4957','slug' => 'viana-do-bolo','latitude' => '42.1791912','longitude' => '-7.1127538'),
        array('province_id' => '32','town' => 'Vilamarín','id' => '4958','slug' => 'vilamarn','latitude' => '42.4645097','longitude' => '-7.8928065'),
        array('province_id' => '32','town' => 'Vilamartín de Valdeorras','id' => '4959','slug' => 'vilamartn-de-valdeorras','latitude' => '42.4152066','longitude' => '-7.0598305'),
        array('province_id' => '32','town' => 'Vilar de Barrio','id' => '4960','slug' => 'vilar-de-barrio','latitude' => '42.1605574','longitude' => '-7.6123354'),
        array('province_id' => '32','town' => 'Vilar de Santos','id' => '4961','slug' => 'vilar-de-santos','latitude' => '42.087096','longitude' => '-7.7946951'),
        array('province_id' => '32','town' => 'Vilardevós','id' => '4962','slug' => 'vilardevs','latitude' => '41.9074784','longitude' => '-7.3140334'),
        array('province_id' => '32','town' => 'Vilariño de Conso','id' => '4963','slug' => 'vilario-de-conso','latitude' => '42.178245','longitude' => '-7.1716384'),
        array('province_id' => '32','town' => 'Xinzo de Limia','id' => '4964','slug' => 'xinzo-de-limia','latitude' => '42.0636547','longitude' => '-7.7244118'),
        array('province_id' => '32','town' => 'Xunqueira de Ambía','id' => '4965','slug' => 'xunqueira-de-amba','latitude' => '42.2042154','longitude' => '-7.7349615'),
        array('province_id' => '32','town' => 'Xunqueira de Espadanedo','id' => '4966','slug' => 'xunqueira-de-espadanedo','latitude' => '42.3195681','longitude' => '-7.6293227'),
        array('province_id' => '33','town' => 'Allande','id' => '4967','slug' => 'allande','latitude' => '43.2666667','longitude' => '-6.6166667'),
        array('province_id' => '33','town' => 'Aller','id' => '4968','slug' => 'aller','latitude' => '43.1','longitude' => '-5.5833333'),
        array('province_id' => '33','town' => 'Amieva','id' => '4969','slug' => 'amieva','latitude' => '43.2442884','longitude' => '-5.0741906'),
        array('province_id' => '33','town' => 'Avilés','id' => '4970','slug' => 'avils','latitude' => '43.5557741','longitude' => '-5.9276172'),
        array('province_id' => '33','town' => 'Belmonte de Miranda','id' => '4971','slug' => 'belmonte-de-miranda','latitude' => '43.2825284','longitude' => '-6.2189048'),
        array('province_id' => '33','town' => 'Bimenes','id' => '4972','slug' => 'bimenes','latitude' => '43.330704','longitude' => '-5.564885'),
        array('province_id' => '33','town' => 'Boal','id' => '4973','slug' => 'boal','latitude' => '43.4296018','longitude' => '-6.8178779'),
        array('province_id' => '33','town' => 'Cabrales','id' => '4974','slug' => 'cabrales','latitude' => '43.2833333','longitude' => '-4.7666667'),
        array('province_id' => '33','town' => 'Cabranes','id' => '4975','slug' => 'cabranes','latitude' => '43.418036','longitude' => '-5.407559'),
        array('province_id' => '33','town' => 'Candamo','id' => '4976','slug' => 'candamo','latitude' => '43.4466111','longitude' => '-6.0581667'),
        array('province_id' => '33','town' => 'Cangas de Onís','id' => '4977','slug' => 'cangas-de-ons','latitude' => '43.3485027','longitude' => '-5.1269672'),
        array('province_id' => '33','town' => 'Cangas del Narcea','id' => '4978','slug' => 'cangas-del-narcea','latitude' => '43.1770574','longitude' => '-6.5491285'),
        array('province_id' => '33','town' => 'Caravia','id' => '4979','slug' => 'caravia','latitude' => '43.4499722','longitude' => '-5.1833056'),
        array('province_id' => '33','town' => 'Carreño','id' => '4980','slug' => 'carreo','latitude' => '43.5486111','longitude' => '-5.7897222'),
        array('province_id' => '33','town' => 'Caso','id' => '4981','slug' => 'caso','latitude' => '43.1833333','longitude' => '-5.35'),
        array('province_id' => '33','town' => 'Castrillón','id' => '4982','slug' => 'castrilln','latitude' => '43.55','longitude' => '-5.9666667'),
        array('province_id' => '33','town' => 'Castropol','id' => '4983','slug' => 'castropol','latitude' => '43.5281233','longitude' => '-7.0301186'),
        array('province_id' => '33','town' => 'Coaña','id' => '4984','slug' => 'coaa','latitude' => '43.5153959','longitude' => '-6.7493442'),
        array('province_id' => '33','town' => 'Colunga','id' => '4985','slug' => 'colunga','latitude' => '43.4852921','longitude' => '-5.2706109'),
        array('province_id' => '33','town' => 'Corvera de Asturias','id' => '4986','slug' => 'corvera-de-asturias','latitude' => '43.5101236','longitude' => '-5.8692269'),
        array('province_id' => '33','town' => 'Cudillero','id' => '4987','slug' => 'cudillero','latitude' => '43.5609542','longitude' => '-6.1449967'),
        array('province_id' => '33','town' => 'Degaña','id' => '4988','slug' => 'degaa','latitude' => '42.9400792','longitude' => '-6.5705413'),
        array('province_id' => '33','town' => 'Franco, El','id' => '4989','slug' => 'franco-el','latitude' => '43.5570343','longitude' => '-6.8738703'),
        array('province_id' => '33','town' => 'Gijón','id' => '4990','slug' => 'gijn','latitude' => '43.5452608','longitude' => '-5.6619264'),
        array('province_id' => '33','town' => 'Gozón','id' => '4991','slug' => 'gozn','latitude' => '43.61','longitude' => '-5.79'),
        array('province_id' => '33','town' => 'Grado','id' => '4992','slug' => 'grado','latitude' => '43.3885482','longitude' => '-6.0697301'),
        array('province_id' => '33','town' => 'Grandas de Salime','id' => '4993','slug' => 'grandas-de-salime','latitude' => '43.2185278','longitude' => '-6.8762767'),
        array('province_id' => '33','town' => 'Ibias','id' => '4994','slug' => 'ibias','latitude' => '43.0333333','longitude' => '-6.8666667'),
        array('province_id' => '33','town' => 'Illano','id' => '4995','slug' => 'illano','latitude' => '43.3314037','longitude' => '-6.8648237'),
        array('province_id' => '33','town' => 'Illas','id' => '4996','slug' => 'illas','latitude' => '43.5','longitude' => '-5.9666667'),
        array('province_id' => '33','town' => 'Langreo','id' => '4997','slug' => 'langreo','latitude' => '43.2963606','longitude' => '-5.6825416'),
        array('province_id' => '33','town' => 'Laviana','id' => '4998','slug' => 'laviana','latitude' => '43.2357611','longitude' => '-5.55625'),
        array('province_id' => '33','town' => 'Lena','id' => '4999','slug' => 'lena','latitude' => '43.1583333','longitude' => '-5.8291667'),
        array('province_id' => '33','town' => 'Llanera','id' => '5000','slug' => 'llanera','latitude' => '43.4666667','longitude' => '-5.9333333'),
        array('province_id' => '33','town' => 'Llanes','id' => '5001','slug' => 'llanes','latitude' => '43.4195333','longitude' => '-4.7509136'),
        array('province_id' => '33','town' => 'Mieres','id' => '5002','slug' => '5002-mieres','latitude' => '43.25','longitude' => '-5.766667'),
        array('province_id' => '33','town' => 'Morcín','id' => '5003','slug' => 'morcn','latitude' => '43.2833333','longitude' => '-5.8833333'),
        array('province_id' => '33','town' => 'Muros de Nalón','id' => '5004','slug' => 'muros-de-naln','latitude' => '43.5437005','longitude' => '-6.0997848'),
        array('province_id' => '33','town' => 'Nava','id' => '5005','slug' => 'nava','latitude' => '43.3581578','longitude' => '-5.5059771'),
        array('province_id' => '33','town' => 'Navia','id' => '5006','slug' => 'navia','latitude' => '43.5400955','longitude' => '-6.7231922'),
        array('province_id' => '33','town' => 'Noreña','id' => '5007','slug' => 'norea','latitude' => '43.3954711','longitude' => '-5.7064709'),
        array('province_id' => '33','town' => 'Onís','id' => '5008','slug' => 'ons','latitude' => '43.3352778','longitude' => '-4.9675'),
        array('province_id' => '33','town' => 'Oviedo','id' => '5009','slug' => 'oviedo','latitude' => '43.3602994','longitude' => '-5.844781'),
        array('province_id' => '33','town' => 'Parres','id' => '5010','slug' => 'parres','latitude' => '43.37','longitude' => '-5.19'),
        array('province_id' => '33','town' => 'Peñamellera Alta','id' => '5011','slug' => 'peamellera-alta','latitude' => '43.32','longitude' => '-4.71'),
        array('province_id' => '33','town' => 'Peñamellera Baja','id' => '5012','slug' => 'peamellera-baja','latitude' => '43.31','longitude' => '-4.59'),
        array('province_id' => '33','town' => 'Pesoz','id' => '5013','slug' => 'pesoz','latitude' => '43.2579746','longitude' => '-6.8766169'),
        array('province_id' => '33','town' => 'Piloña','id' => '5014','slug' => 'piloa','latitude' => '43.35','longitude' => '-5.35'),
        array('province_id' => '33','town' => 'Ponga','id' => '5015','slug' => 'ponga','latitude' => '43.19','longitude' => '-5.16'),
        array('province_id' => '33','town' => 'Pravia','id' => '5016','slug' => 'pravia','latitude' => '43.4900406','longitude' => '-6.1120173'),
        array('province_id' => '33','town' => 'Proaza','id' => '5017','slug' => 'proaza','latitude' => '43.2511668','longitude' => '-6.0156715'),
        array('province_id' => '33','town' => 'Quirós','id' => '5018','slug' => 'quirs','latitude' => '43.1333333','longitude' => '-5.9666667'),
        array('province_id' => '33','town' => 'Regueras, Las','id' => '5019','slug' => 'regueras-las','latitude' => '43.413742','longitude' => '-5.970489'),
        array('province_id' => '33','town' => 'Ribadedeva','id' => '5020','slug' => 'ribadedeva','latitude' => '43.3713889','longitude' => '-4.5644444'),
        array('province_id' => '33','town' => 'Ribadesella','id' => '5021','slug' => 'ribadesella','latitude' => '43.4614537','longitude' => '-5.0591711'),
        array('province_id' => '33','town' => 'Ribera de Arriba','id' => '5022','slug' => 'ribera-de-arriba','latitude' => '43.3083333','longitude' => '-5.875'),
        array('province_id' => '33','town' => 'Riosa','id' => '5023','slug' => 'riosa','latitude' => '43.2','longitude' => '-5.9'),
        array('province_id' => '33','town' => 'Salas','id' => '5024','slug' => 'salas','latitude' => '43.4097643','longitude' => '-6.2604477'),
        array('province_id' => '33','town' => 'San Martín de Oscos','id' => '5025','slug' => 'san-martn-de-oscos','latitude' => '43.2643472','longitude' => '-6.9616941'),
        array('province_id' => '33','town' => 'San Martín del Rey Aurelio','id' => '5026','slug' => 'san-martn-del-rey-aurelio','latitude' => '43.2767147','longitude' => '-5.607564'),
        array('province_id' => '33','town' => 'San Tirso de Abres','id' => '5027','slug' => 'san-tirso-de-abres','latitude' => '43.4083333','longitude' => '-7.1433333'),
        array('province_id' => '33','town' => 'Santa Eulalia de Oscos','id' => '5028','slug' => 'santa-eulalia-de-oscos','latitude' => '43.2591673','longitude' => '-7.0202909'),
        array('province_id' => '33','town' => 'Santo Adriano','id' => '5029','slug' => 'santo-adriano','latitude' => '43.2991635','longitude' => '-5.9726832'),
        array('province_id' => '33','town' => 'Sariego','id' => '5030','slug' => 'sariego','latitude' => '43.409972','longitude' => '-5.560419'),
        array('province_id' => '33','town' => 'Siero','id' => '5031','slug' => 'siero','latitude' => '43.3833333','longitude' => '-5.65'),
        array('province_id' => '33','town' => 'Sobrescobio','id' => '5032','slug' => 'sobrescobio','latitude' => '43.2','longitude' => '-5.4666667'),
        array('province_id' => '33','town' => 'Somiedo','id' => '5033','slug' => 'somiedo','latitude' => '43.1','longitude' => '-6.25'),
        array('province_id' => '33','town' => 'Soto del Barco','id' => '5034','slug' => 'soto-del-barco','latitude' => '43.5331906','longitude' => '-6.0691659'),
        array('province_id' => '33','town' => 'Tapia de Casariego','id' => '5035','slug' => 'tapia-de-casariego','latitude' => '43.5697535','longitude' => '-6.9436042'),
        array('province_id' => '33','town' => 'Taramundi','id' => '5036','slug' => 'taramundi','latitude' => '43.3617659','longitude' => '-7.1112242'),
        array('province_id' => '33','town' => 'Teverga','id' => '5037','slug' => 'teverga','latitude' => '43.15','longitude' => '-6.1'),
        array('province_id' => '33','town' => 'Tineo','id' => '5038','slug' => 'tineo','latitude' => '43.3350954','longitude' => '-6.4148165'),
        array('province_id' => '33','town' => 'Valdés','id' => '5039','slug' => 'valds','latitude' => '43.5438889','longitude' => '-6.5358333'),
        array('province_id' => '33','town' => 'Vegadeo','id' => '5040','slug' => 'vegadeo','latitude' => '43.4647653','longitude' => '-7.0510603'),
        array('province_id' => '33','town' => 'Villanueva de Oscos','id' => '5041','slug' => 'villanueva-de-oscos','latitude' => '43.3115549','longitude' => '-6.985969'),
        array('province_id' => '33','town' => 'Villaviciosa','id' => '5042','slug' => 'villaviciosa','latitude' => '43.483333','longitude' => '-5.433333'),
        array('province_id' => '33','town' => 'Villayón','id' => '5043','slug' => 'villayn','latitude' => '43.4480345','longitude' => '-6.7053177'),
        array('province_id' => '33','town' => 'Yernes y Tameza','id' => '5044','slug' => 'yernes-y-tameza','latitude' => '43.25','longitude' => '-6.1291667'),
        array('province_id' => '34','town' => 'Abarca de Campos','id' => '5045','slug' => 'abarca-de-campos','latitude' => '42.062401','longitude' => '-4.8408206'),
        array('province_id' => '34','town' => 'Abia de las Torres','id' => '5046','slug' => 'abia-de-las-torres','latitude' => '42.4197241','longitude' => '-4.4219127'),
        array('province_id' => '34','town' => 'Aguilar de Campoo','id' => '5047','slug' => 'aguilar-de-campoo','latitude' => '42.7924493','longitude' => '-4.2602217'),
        array('province_id' => '34','town' => 'Alar del Rey','id' => '5048','slug' => 'alar-del-rey','latitude' => '42.6598878','longitude' => '-4.3118251'),
        array('province_id' => '34','town' => 'Alba de Cerrato','id' => '5049','slug' => 'alba-de-cerrato','latitude' => '41.8125148','longitude' => '-4.3662235'),
        array('province_id' => '34','town' => 'Amayuelas de Arriba','id' => '5050','slug' => 'amayuelas-de-arriba','latitude' => '42.2109297','longitude' => '-4.4897355'),
        array('province_id' => '34','town' => 'Ampudia','id' => '5051','slug' => 'ampudia','latitude' => '41.9139676','longitude' => '-4.7801289'),
        array('province_id' => '34','town' => 'Amusco','id' => '5052','slug' => 'amusco','latitude' => '42.1731102','longitude' => '-4.4701395'),
        array('province_id' => '34','town' => 'Antigüedad','id' => '5053','slug' => 'antigedad','latitude' => '41.9458733','longitude' => '-4.1183282'),
        array('province_id' => '34','town' => 'Arconada','id' => '5054','slug' => 'arconada','latitude' => '42.3281093','longitude' => '-4.4954562'),
        array('province_id' => '34','town' => 'Astudillo','id' => '5055','slug' => 'astudillo','latitude' => '42.1924121','longitude' => '-4.294691'),
        array('province_id' => '34','town' => 'Autilla del Pino','id' => '5056','slug' => 'autilla-del-pino','latitude' => '41.991724','longitude' => '-4.633556'),
        array('province_id' => '34','town' => 'Autillo de Campos','id' => '5057','slug' => 'autillo-de-campos','latitude' => '42.0871557','longitude' => '-4.8334879'),
        array('province_id' => '34','town' => 'Ayuela','id' => '5058','slug' => 'ayuela','latitude' => '42.6260596','longitude' => '-4.6604765'),
        array('province_id' => '34','town' => 'Baltanás','id' => '5059','slug' => 'baltans','latitude' => '41.9371662','longitude' => '-4.2458303'),
        array('province_id' => '34','town' => 'Baquerín de Campos','id' => '5060','slug' => 'baquern-de-campos','latitude' => '42.0160184','longitude' => '-4.7817799'),
        array('province_id' => '34','town' => 'Bárcena de Campos','id' => '5061','slug' => 'brcena-de-campos','latitude' => '42.4836982','longitude' => '-4.4986712'),
        array('province_id' => '34','town' => 'Barruelo de Santullán','id' => '5062','slug' => 'barruelo-de-santulln','latitude' => '42.9076748','longitude' => '-4.2872296'),
        array('province_id' => '34','town' => 'Báscones de Ojeda','id' => '5063','slug' => 'bscones-de-ojeda','latitude' => '42.6707689','longitude' => '-4.5270607'),
        array('province_id' => '34','town' => 'Becerril de Campos','id' => '5064','slug' => 'becerril-de-campos','latitude' => '42.1085668','longitude' => '-4.6398765'),
        array('province_id' => '34','town' => 'Belmonte de Campos','id' => '5065','slug' => 'belmonte-de-campos','latitude' => '41.9430812','longitude' => '-4.9878064'),
        array('province_id' => '34','town' => 'Berzosilla','id' => '5066','slug' => 'berzosilla','latitude' => '42.7802379','longitude' => '-4.038914'),
        array('province_id' => '34','town' => 'Boada de Campos','id' => '5067','slug' => 'boada-de-campos','latitude' => '41.9895444','longitude' => '-4.8774226'),
        array('province_id' => '34','town' => 'Boadilla de Rioseco','id' => '5068','slug' => 'boadilla-de-rioseco','latitude' => '42.1791593','longitude' => '-4.9688325'),
        array('province_id' => '34','town' => 'Boadilla del Camino','id' => '5069','slug' => 'boadilla-del-camino','latitude' => '42.2584579','longitude' => '-4.347185'),
        array('province_id' => '34','town' => 'Brañosera','id' => '5070','slug' => 'braosera','latitude' => '42.9349731','longitude' => '-4.3081737'),
        array('province_id' => '34','town' => 'Buenavista de Valdavia','id' => '5071','slug' => 'buenavista-de-valdavia','latitude' => '42.637519','longitude' => '-4.6142542'),
        array('province_id' => '34','town' => 'Bustillo de la Vega','id' => '5072','slug' => 'bustillo-de-la-vega','latitude' => '42.4560045','longitude' => '-4.7407246'),
        array('province_id' => '34','town' => 'Bustillo del Páramo de Carrión','id' => '5073','slug' => 'bustillo-del-pramo-de-carrin','latitude' => '42.3558863','longitude' => '-4.7382321'),
        array('province_id' => '34','town' => 'Calahorra de Boedo','id' => '5074','slug' => 'calahorra-de-boedo','latitude' => '42.5751978','longitude' => '-4.3861651'),
        array('province_id' => '34','town' => 'Calzada de los Molinos','id' => '5075','slug' => 'calzada-de-los-molinos','latitude' => '42.3269287','longitude' => '-4.6520523'),
        array('province_id' => '34','town' => 'Capillas','id' => '5076','slug' => 'capillas','latitude' => '42.013529','longitude' => '-4.890835'),
        array('province_id' => '34','town' => 'Cardeñosa de Volpejera','id' => '5077','slug' => 'cardeosa-de-volpejera','latitude' => '42.2321153','longitude' => '-4.7019248'),
        array('province_id' => '34','town' => 'Carrión de los Condes','id' => '5078','slug' => 'carrin-de-los-condes','latitude' => '42.338954','longitude' => '-4.6017652'),
        array('province_id' => '34','town' => 'Castil de Vela','id' => '5079','slug' => 'castil-de-vela','latitude' => '41.9841541','longitude' => '-4.9588089'),
        array('province_id' => '34','town' => 'Castrejón de la Peña','id' => '5080','slug' => 'castrejn-de-la-pea','latitude' => '42.8079','longitude' => '-4.5999021'),
        array('province_id' => '34','town' => 'Castrillo de Don Juan','id' => '5081','slug' => 'castrillo-de-don-juan','latitude' => '41.7919958','longitude' => '-4.0695729'),
        array('province_id' => '34','town' => 'Castrillo de Onielo','id' => '5082','slug' => 'castrillo-de-onielo','latitude' => '41.85771','longitude' => '-4.301824'),
        array('province_id' => '34','town' => 'Castrillo de Villavega','id' => '5083','slug' => 'castrillo-de-villavega','latitude' => '42.4542819','longitude' => '-4.4802283'),
        array('province_id' => '34','town' => 'Castromocho','id' => '5084','slug' => 'castromocho','latitude' => '42.0307272','longitude' => '-4.8233664'),
        array('province_id' => '34','town' => 'Cervatos de la Cueza','id' => '5085','slug' => 'cervatos-de-la-cueza','latitude' => '42.2903546','longitude' => '-4.7693178'),
        array('province_id' => '34','town' => 'Cervera de Pisuerga','id' => '5086','slug' => 'cervera-de-pisuerga','latitude' => '42.8657604','longitude' => '-4.4991353'),
        array('province_id' => '34','town' => 'Cevico de la Torre','id' => '5087','slug' => 'cevico-de-la-torre','latitude' => '41.8523973','longitude' => '-4.4107017'),
        array('province_id' => '34','town' => 'Cevico Navero','id' => '5088','slug' => 'cevico-navero','latitude' => '41.8610511','longitude' => '-4.183983'),
        array('province_id' => '34','town' => 'Cisneros','id' => '5089','slug' => 'cisneros','latitude' => '42.2204517','longitude' => '-4.857163'),
        array('province_id' => '34','town' => 'Cobos de Cerrato','id' => '5090','slug' => 'cobos-de-cerrato','latitude' => '42.0277415','longitude' => '-4.0021996'),
        array('province_id' => '34','town' => 'Collazos de Boedo','id' => '5091','slug' => 'collazos-de-boedo','latitude' => '42.6189034','longitude' => '-4.4836043'),
        array('province_id' => '34','town' => 'Congosto de Valdavia','id' => '5092','slug' => 'congosto-de-valdavia','latitude' => '42.715696','longitude' => '-4.6336912'),
        array('province_id' => '34','town' => 'Cordovilla la Real','id' => '5093','slug' => 'cordovilla-la-real','latitude' => '42.0794571','longitude' => '-4.2592999'),
        array('province_id' => '34','town' => 'Cubillas de Cerrato','id' => '5094','slug' => 'cubillas-de-cerrato','latitude' => '41.7985905','longitude' => '-4.4663439'),
        array('province_id' => '34','town' => 'Dehesa de Montejo','id' => '5095','slug' => 'dehesa-de-montejo','latitude' => '42.8189867','longitude' => '-4.5094323'),
        array('province_id' => '34','town' => 'Dehesa de Romanos','id' => '5096','slug' => 'dehesa-de-romanos','latitude' => '42.6398369','longitude' => '-4.4352357'),
        array('province_id' => '34','town' => 'Dueñas','id' => '5097','slug' => 'dueas','latitude' => '41.8762029','longitude' => '-4.5458149'),
        array('province_id' => '34','town' => 'Espinosa de Cerrato','id' => '5098','slug' => 'espinosa-de-cerrato','latitude' => '41.9682634','longitude' => '-3.9517628'),
        array('province_id' => '34','town' => 'Espinosa de Villagonzalo','id' => '5099','slug' => 'espinosa-de-villagonzalo','latitude' => '42.4799871','longitude' => '-4.3712176'),
        array('province_id' => '34','town' => 'Frechilla','id' => '5100','slug' => 'frechilla','latitude' => '42.1380125','longitude' => '-4.8405329'),
        array('province_id' => '34','town' => 'Fresno del Río','id' => '5101','slug' => 'fresno-del-ro','latitude' => '42.6812425','longitude' => '-4.8179783'),
        array('province_id' => '34','town' => 'Frómista','id' => '5102','slug' => 'frmista','latitude' => '42.2674498','longitude' => '-4.4068187'),
        array('province_id' => '34','town' => 'Fuentes de Nava','id' => '5103','slug' => 'fuentes-de-nava','latitude' => '42.0834287','longitude' => '-4.7818302'),
        array('province_id' => '34','town' => 'Fuentes de Valdepero','id' => '5104','slug' => 'fuentes-de-valdepero','latitude' => '42.0746745','longitude' => '-4.5007941'),
        array('province_id' => '34','town' => 'Grijota','id' => '5105','slug' => 'grijota','latitude' => '42.0527704','longitude' => '-4.5831364'),
        array('province_id' => '34','town' => 'Guardo','id' => '5106','slug' => 'guardo','latitude' => '42.7888967','longitude' => '-4.8466153'),
        array('province_id' => '34','town' => 'Guaza de Campos','id' => '5107','slug' => 'guaza-de-campos','latitude' => '42.133173','longitude' => '-4.9099603'),
        array('province_id' => '34','town' => 'Hérmedes de Cerrato','id' => '5108','slug' => 'hrmedes-de-cerrato','latitude' => '41.8191914','longitude' => '-4.1748853'),
        array('province_id' => '34','town' => 'Herrera de Pisuerga','id' => '5109','slug' => 'herrera-de-pisuerga','latitude' => '42.5945378','longitude' => '-4.3307603'),
        array('province_id' => '34','town' => 'Herrera de Valdecañas','id' => '5110','slug' => 'herrera-de-valdecaas','latitude' => '42.0481822','longitude' => '-4.2000336'),
        array('province_id' => '34','town' => 'Hontoria de Cerrato','id' => '5111','slug' => 'hontoria-de-cerrato','latitude' => '41.9107217','longitude' => '-4.4411104'),
        array('province_id' => '34','town' => 'Hornillos de Cerrato','id' => '5112','slug' => 'hornillos-de-cerrato','latitude' => '41.9885037','longitude' => '-4.2725154'),
        array('province_id' => '34','town' => 'Husillos','id' => '5113','slug' => 'husillos','latitude' => '42.0902225','longitude' => '-4.5274725'),
        array('province_id' => '34','town' => 'Itero de la Vega','id' => '5114','slug' => 'itero-de-la-vega','latitude' => '42.2872548','longitude' => '-4.2598597'),
        array('province_id' => '34','town' => 'Lagartos','id' => '5115','slug' => 'lagartos','latitude' => '42.4057974','longitude' => '-4.9045322'),
        array('province_id' => '34','town' => 'Lantadilla','id' => '5116','slug' => 'lantadilla','latitude' => '42.340656','longitude' => '-4.2768773'),
        array('province_id' => '34','town' => 'Ledigos','id' => '5117','slug' => 'ledigos','latitude' => '42.3545449','longitude' => '-4.8648381'),
        array('province_id' => '34','town' => 'Loma de Ucieza','id' => '5118','slug' => 'loma-de-ucieza','latitude' => '42.4414194','longitude' => '-4.5791111'),
        array('province_id' => '34','town' => 'Lomas','id' => '5119','slug' => 'lomas','latitude' => '42.2738887','longitude' => '-4.5507096'),
        array('province_id' => '34','town' => 'Magaz de Pisuerga','id' => '5120','slug' => 'magaz-de-pisuerga','latitude' => '41.9826453','longitude' => '-4.4281401'),
        array('province_id' => '34','town' => 'Manquillos','id' => '5121','slug' => 'manquillos','latitude' => '42.2049101','longitude' => '-4.5678462'),
        array('province_id' => '34','town' => 'Mantinos','id' => '5122','slug' => 'mantinos','latitude' => '42.7536719','longitude' => '-4.8425663'),
        array('province_id' => '34','town' => 'Marcilla de Campos','id' => '5123','slug' => 'marcilla-de-campos','latitude' => '42.3170401','longitude' => '-4.3961638'),
        array('province_id' => '34','town' => 'Mazariegos','id' => '5124','slug' => 'mazariegos','latitude' => '42.0270157','longitude' => '-4.7156637'),
        array('province_id' => '34','town' => 'Mazuecos de Valdeginate','id' => '5125','slug' => 'mazuecos-de-valdeginate','latitude' => '42.1683631','longitude' => '-4.8400123'),
        array('province_id' => '34','town' => 'Melgar de Yuso','id' => '5126','slug' => 'melgar-de-yuso','latitude' => '42.253532','longitude' => '-4.2545041'),
        array('province_id' => '34','town' => 'Meneses de Campos','id' => '5127','slug' => 'meneses-de-campos','latitude' => '41.9418506','longitude' => '-4.9200374'),
        array('province_id' => '34','town' => 'Micieces de Ojeda','id' => '5128','slug' => 'micieces-de-ojeda','latitude' => '42.6907049','longitude' => '-4.4620269'),
        array('province_id' => '34','town' => 'Monzón de Campos','id' => '5129','slug' => 'monzn-de-campos','latitude' => '42.1149359','longitude' => '-4.4943745'),
        array('province_id' => '34','town' => 'Moratinos','id' => '5130','slug' => 'moratinos','latitude' => '42.3605147','longitude' => '-4.926806'),
        array('province_id' => '34','town' => 'Mudá','id' => '5131','slug' => 'mud','latitude' => '42.8757443','longitude' => '-4.393997'),
        array('province_id' => '34','town' => 'Nogal de las Huertas','id' => '5132','slug' => 'nogal-de-las-huertas','latitude' => '42.3922348','longitude' => '-4.6415104'),
        array('province_id' => '34','town' => 'Olea de Boedo','id' => '5133','slug' => 'olea-de-boedo','latitude' => '42.6091552','longitude' => '-4.4499802'),
        array('province_id' => '34','town' => 'Olmos de Ojeda','id' => '5134','slug' => 'olmos-de-ojeda','latitude' => '42.722112','longitude' => '-4.4250604'),
        array('province_id' => '34','town' => 'Osornillo','id' => '5135','slug' => 'osornillo','latitude' => '42.3700255','longitude' => '-4.2911838'),
        array('province_id' => '34','town' => 'Osorno la Mayor','id' => '5136','slug' => 'osorno-la-mayor','latitude' => '42.4101634','longitude' => '-4.361501'),
        array('province_id' => '34','town' => 'Palencia','id' => '5137','slug' => 'palencia','latitude' => '42.0124584','longitude' => '-4.5311748'),
        array('province_id' => '34','town' => 'Palenzuela','id' => '5138','slug' => 'palenzuela','latitude' => '42.0952811','longitude' => '-4.1292466'),
        array('province_id' => '34','town' => 'Páramo de Boedo','id' => '5139','slug' => 'pramo-de-boedo','latitude' => '42.5781683','longitude' => '-4.4011751'),
        array('province_id' => '34','town' => 'Paredes de Nava','id' => '5140','slug' => 'paredes-de-nava','latitude' => '42.1529709','longitude' => '-4.6943495'),
        array('province_id' => '34','town' => 'Payo de Ojeda','id' => '5141','slug' => 'payo-de-ojeda','latitude' => '42.7207058','longitude' => '-4.4800364'),
        array('province_id' => '34','town' => 'Pedraza de Campos','id' => '5142','slug' => 'pedraza-de-campos','latitude' => '41.9840372','longitude' => '-4.7348766'),
        array('province_id' => '34','town' => 'Pedrosa de la Vega','id' => '5143','slug' => 'pedrosa-de-la-vega','latitude' => '42.4824805','longitude' => '-4.7459252'),
        array('province_id' => '34','town' => 'Perales','id' => '5144','slug' => 'perales','latitude' => '42.1941304','longitude' => '-4.580409'),
        array('province_id' => '34','town' => 'Pernía, La','id' => '5145','slug' => 'perna-la','latitude' => '42.9883333','longitude' => '-4.5'),
        array('province_id' => '34','town' => 'Pino del Río','id' => '5146','slug' => 'pino-del-ro','latitude' => '42.6443938','longitude' => '-4.8078332'),
        array('province_id' => '34','town' => 'Piña de Campos','id' => '5147','slug' => 'pia-de-campos','latitude' => '42.2138247','longitude' => '-4.437123'),
        array('province_id' => '34','town' => 'Población de Arroyo','id' => '5148','slug' => 'poblacin-de-arroyo','latitude' => '42.3366117','longitude' => '-4.8741609'),
        array('province_id' => '34','town' => 'Población de Campos','id' => '5149','slug' => 'poblacin-de-campos','latitude' => '42.2698692','longitude' => '-4.4471036'),
        array('province_id' => '34','town' => 'Población de Cerrato','id' => '5150','slug' => 'poblacin-de-cerrato','latitude' => '41.7928562','longitude' => '-4.4283613'),
        array('province_id' => '34','town' => 'Polentinos','id' => '5151','slug' => 'polentinos','latitude' => '42.9391259','longitude' => '-4.527209'),
        array('province_id' => '34','town' => 'Pomar de Valdivia','id' => '5152','slug' => 'pomar-de-valdivia','latitude' => '42.7739192','longitude' => '-4.1696248'),
        array('province_id' => '34','town' => 'Poza de la Vega','id' => '5153','slug' => 'poza-de-la-vega','latitude' => '42.5783643','longitude' => '-4.7967872'),
        array('province_id' => '34','town' => 'Pozo de Urama','id' => '5154','slug' => 'pozo-de-urama','latitude' => '42.2536755','longitude' => '-4.8940836'),
        array('province_id' => '34','town' => 'Prádanos de Ojeda','id' => '5155','slug' => 'prdanos-de-ojeda','latitude' => '42.6824492','longitude' => '-4.347817'),
        array('province_id' => '34','town' => 'Puebla de Valdavia, La','id' => '5156','slug' => 'puebla-de-valdavia-la','latitude' => '42.6735151','longitude' => '-4.6097689'),
        array('province_id' => '34','town' => 'Quintana del Puente','id' => '5157','slug' => 'quintana-del-puente','latitude' => '42.083886','longitude' => '-4.2066279'),
        array('province_id' => '34','town' => 'Quintanilla de Onsoña','id' => '5158','slug' => 'quintanilla-de-onsoa','latitude' => '42.4693041','longitude' => '-4.6637712'),
        array('province_id' => '34','town' => 'Reinoso de Cerrato','id' => '5159','slug' => 'reinoso-de-cerrato','latitude' => '41.9758668','longitude' => '-4.3831081'),
        array('province_id' => '34','town' => 'Renedo de la Vega','id' => '5160','slug' => 'renedo-de-la-vega','latitude' => '42.4537782','longitude' => '-4.7029108'),
        array('province_id' => '34','town' => 'Requena de Campos','id' => '5161','slug' => 'requena-de-campos','latitude' => '42.3080221','longitude' => '-4.3437272'),
        array('province_id' => '34','town' => 'Respenda de la Peña','id' => '5162','slug' => 'respenda-de-la-pea','latitude' => '42.7643369','longitude' => '-4.6867808'),
        array('province_id' => '34','town' => 'Revenga de Campos','id' => '5163','slug' => 'revenga-de-campos','latitude' => '42.2840487','longitude' => '-4.4825085'),
        array('province_id' => '34','town' => 'Revilla de Collazos','id' => '5164','slug' => 'revilla-de-collazos','latitude' => '42.6299154','longitude' => '-4.5044121'),
        array('province_id' => '34','town' => 'Ribas de Campos','id' => '5165','slug' => 'ribas-de-campos','latitude' => '42.1540888','longitude' => '-4.5168031'),
        array('province_id' => '34','town' => 'Riberos de la Cueza','id' => '5166','slug' => 'riberos-de-la-cueza','latitude' => '42.2784362','longitude' => '-4.7253726'),
        array('province_id' => '34','town' => 'Saldaña','id' => '5167','slug' => 'saldaa','latitude' => '42.5222377','longitude' => '-4.7361946'),
        array('province_id' => '34','town' => 'Salinas de Pisuerga','id' => '5168','slug' => 'salinas-de-pisuerga','latitude' => '42.8487948','longitude' => '-4.378163'),
        array('province_id' => '34','town' => 'San Cebrián de Campos','id' => '5169','slug' => 'san-cebrin-de-campos','latitude' => '42.2015584','longitude' => '-4.531021'),
        array('province_id' => '34','town' => 'San Cebrián de Mudá','id' => '5170','slug' => 'san-cebrin-de-mud','latitude' => '42.8917072','longitude' => '-4.3862761'),
        array('province_id' => '34','town' => 'San Cristóbal de Boedo','id' => '5171','slug' => 'san-cristbal-de-boedo','latitude' => '42.54183','longitude' => '-4.3532036'),
        array('province_id' => '34','town' => 'San Mamés de Campos','id' => '5172','slug' => 'san-mams-de-campos','latitude' => '42.3548515','longitude' => '-4.5660114'),
        array('province_id' => '34','town' => 'San Román de la Cuba','id' => '5173','slug' => 'san-romn-de-la-cuba','latitude' => '42.2628526','longitude' => '-4.8579817'),
        array('province_id' => '34','town' => 'Santa Cecilia del Alcor','id' => '5174','slug' => 'santa-cecilia-del-alcor','latitude' => '41.9340077','longitude' => '-4.6589008'),
        array('province_id' => '34','town' => 'Santa Cruz de Boedo','id' => '5175','slug' => 'santa-cruz-de-boedo','latitude' => '42.5244614','longitude' => '-4.3737795'),
        array('province_id' => '34','town' => 'Santervás de la Vega','id' => '5176','slug' => 'santervs-de-la-vega','latitude' => '42.5063964','longitude' => '-4.7992125'),
        array('province_id' => '34','town' => 'Santibáñez de Ecla','id' => '5177','slug' => 'santibez-de-ecla','latitude' => '42.7068497','longitude' => '-4.3751681'),
        array('province_id' => '34','town' => 'Santibáñez de la Peña','id' => '5178','slug' => 'santibez-de-la-pea','latitude' => '42.8085152','longitude' => '-4.730435'),
        array('province_id' => '34','town' => 'Santoyo','id' => '5179','slug' => 'santoyo','latitude' => '42.2147507','longitude' => '-4.3433406'),
        array('province_id' => '34','town' => 'Serna, La','id' => '5180','slug' => 'serna-la','latitude' => '42.4159803','longitude' => '-4.6646814'),
        array('province_id' => '34','town' => 'Soto de Cerrato','id' => '5181','slug' => 'soto-de-cerrato','latitude' => '41.9534032','longitude' => '-4.4299968'),
        array('province_id' => '34','town' => 'Sotobañado y Priorato','id' => '5182','slug' => 'sotobaado-y-priorato','latitude' => '42.5913475','longitude' => '-4.4417926'),
        array('province_id' => '34','town' => 'Tabanera de Cerrato','id' => '5183','slug' => 'tabanera-de-cerrato','latitude' => '42.0254868','longitude' => '-4.1231874'),
        array('province_id' => '34','town' => 'Tabanera de Valdavia','id' => '5184','slug' => 'tabanera-de-valdavia','latitude' => '42.6466361','longitude' => '-4.6921179'),
        array('province_id' => '34','town' => 'Támara de Campos','id' => '5185','slug' => 'tmara-de-campos','latitude' => '42.2034076','longitude' => '-4.3936119'),
        array('province_id' => '34','town' => 'Tariego de Cerrato','id' => '5186','slug' => 'tariego-de-cerrato','latitude' => '41.9045017','longitude' => '-4.4799403'),
        array('province_id' => '34','town' => 'Torquemada','id' => '5187','slug' => 'torquemada','latitude' => '42.0339813','longitude' => '-4.3195974'),
        array('province_id' => '34','town' => 'Torremormojón','id' => '5188','slug' => 'torremormojn','latitude' => '41.9613506','longitude' => '-4.7776002'),
        array('province_id' => '34','town' => 'Triollo','id' => '5189','slug' => 'triollo','latitude' => '42.9243197','longitude' => '-4.6808847'),
        array('province_id' => '34','town' => 'Valbuena de Pisuerga','id' => '5190','slug' => 'valbuena-de-pisuerga','latitude' => '42.1455191','longitude' => '-4.2390065'),
        array('province_id' => '34','town' => 'Valdeolmillos','id' => '5191','slug' => 'valdeolmillos','latitude' => '42.0412311','longitude' => '-4.4003659'),
        array('province_id' => '34','town' => 'Valderrábano','id' => '5192','slug' => 'valderrbano','latitude' => '42.6060283','longitude' => '-4.654995'),
        array('province_id' => '34','town' => 'Valde-Ucieza','id' => '5193','slug' => 'valde-ucieza','latitude' => '42.4','longitude' => '-4.5666667'),
        array('province_id' => '34','town' => 'Valle de Cerrato','id' => '5194','slug' => 'valle-de-cerrato','latitude' => '41.8799555','longitude' => '-4.3621462'),
        array('province_id' => '34','town' => 'Valle del Retortillo','id' => '5195','slug' => 'valle-del-retortillo','latitude' => '42.2352778','longitude' => '-4.79'),
        array('province_id' => '34','town' => 'Velilla del Río Carrión','id' => '5196','slug' => 'velilla-del-ro-carrin','latitude' => '42.8262603','longitude' => '-4.8462594'),
        array('province_id' => '34','town' => 'Venta de Baños','id' => '5197','slug' => 'venta-de-baos','latitude' => '41.9212113','longitude' => '-4.4940534'),
        array('province_id' => '34','town' => 'Vertavillo','id' => '5198','slug' => 'vertavillo','latitude' => '41.8321983','longitude' => '-4.3273068'),
        array('province_id' => '34','town' => 'Vid de Ojeda, La','id' => '5199','slug' => 'vid-de-ojeda-la','latitude' => '42.6592171','longitude' => '-4.3850332'),
        array('province_id' => '34','town' => 'Villabasta de Valdavia','id' => '5200','slug' => 'villabasta-de-valdavia','latitude' => '42.5608357','longitude' => '-4.6025653'),
        array('province_id' => '34','town' => 'Villacidaler','id' => '5201','slug' => 'villacidaler','latitude' => '42.2217052','longitude' => '-4.9743739'),
        array('province_id' => '34','town' => 'Villaconancio','id' => '5202','slug' => 'villaconancio','latitude' => '41.871974','longitude' => '-4.2239286'),
        array('province_id' => '34','town' => 'Villada','id' => '5203','slug' => 'villada','latitude' => '42.2508089','longitude' => '-4.9669446'),
        array('province_id' => '34','town' => 'Villaeles de Valdavia','id' => '5204','slug' => 'villaeles-de-valdavia','latitude' => '42.5654357','longitude' => '-4.5844887'),
        array('province_id' => '34','town' => 'Villahán','id' => '5205','slug' => 'villahn','latitude' => '42.0510662','longitude' => '-4.1311477'),
        array('province_id' => '34','town' => 'Villaherreros','id' => '5206','slug' => 'villaherreros','latitude' => '42.3893276','longitude' => '-4.4613064'),
        array('province_id' => '34','town' => 'Villalaco','id' => '5207','slug' => 'villalaco','latitude' => '42.1552523','longitude' => '-4.259672'),
        array('province_id' => '34','town' => 'Villalba de Guardo','id' => '5208','slug' => 'villalba-de-guardo','latitude' => '42.7222749','longitude' => '-4.8238209'),
        array('province_id' => '34','town' => 'Villalcázar de Sirga','id' => '5209','slug' => 'villalczar-de-sirga','latitude' => '42.3168768','longitude' => '-4.5432771'),
        array('province_id' => '34','town' => 'Villalcón','id' => '5210','slug' => 'villalcn','latitude' => '42.2931054','longitude' => '-4.8551319'),
        array('province_id' => '34','town' => 'Villalobón','id' => '5211','slug' => 'villalobn','latitude' => '42.0296455','longitude' => '-4.5039367'),
        array('province_id' => '34','town' => 'Villaluenga de la Vega','id' => '5212','slug' => 'villaluenga-de-la-vega','latitude' => '42.5239867','longitude' => '-4.7654118'),
        array('province_id' => '34','town' => 'Villamartín de Campos','id' => '5213','slug' => 'villamartn-de-campos','latitude' => '42.0150792','longitude' => '-4.663723'),
        array('province_id' => '34','town' => 'Villamediana','id' => '5214','slug' => 'villamediana','latitude' => '42.0498718','longitude' => '-4.3614018'),
        array('province_id' => '34','town' => 'Villameriel','id' => '5215','slug' => 'villameriel','latitude' => '42.5276157','longitude' => '-4.4763489'),
        array('province_id' => '34','town' => 'Villamoronta','id' => '5216','slug' => 'villamoronta','latitude' => '42.4027452','longitude' => '-4.6987333'),
        array('province_id' => '34','town' => 'Villamuera de la Cueza','id' => '5217','slug' => 'villamuera-de-la-cueza','latitude' => '42.2588804','longitude' => '-4.6880441'),
        array('province_id' => '34','town' => 'Villamuriel de Cerrato','id' => '5218','slug' => 'villamuriel-de-cerrato','latitude' => '41.9482627','longitude' => '-4.5155384'),
        array('province_id' => '34','town' => 'Villanueva del Rebollar','id' => '5219','slug' => 'villanueva-del-rebollar','latitude' => '42.2410457','longitude' => '-4.7424158'),
        array('province_id' => '34','town' => 'Villanuño de Valdavia','id' => '5220','slug' => 'villanuo-de-valdavia','latitude' => '42.5088991','longitude' => '-4.5176567'),
        array('province_id' => '34','town' => 'Villaprovedo','id' => '5221','slug' => 'villaprovedo','latitude' => '42.5156952','longitude' => '-4.3957405'),
        array('province_id' => '34','town' => 'Villarmentero de Campos','id' => '5222','slug' => 'villarmentero-de-campos','latitude' => '42.2974525','longitude' => '-4.500002'),
        array('province_id' => '34','town' => 'Villarrabé','id' => '5223','slug' => 'villarrab','latitude' => '42.4210664','longitude' => '-4.7843363'),
        array('province_id' => '34','town' => 'Villarramiel','id' => '5224','slug' => 'villarramiel','latitude' => '42.0425841','longitude' => '-4.9131691'),
        array('province_id' => '34','town' => 'Villasarracino','id' => '5225','slug' => 'villasarracino','latitude' => '42.4121964','longitude' => '-4.4966201'),
        array('province_id' => '34','town' => 'Villasila de Valdavia','id' => '5226','slug' => 'villasila-de-valdavia','latitude' => '42.5323852','longitude' => '-4.5573737'),
        array('province_id' => '34','town' => 'Villaturde','id' => '5227','slug' => 'villaturde','latitude' => '42.3765022','longitude' => '-4.6713037'),
        array('province_id' => '34','town' => 'Villaumbrales','id' => '5228','slug' => 'villaumbrales','latitude' => '42.0891704','longitude' => '-4.613097'),
        array('province_id' => '34','town' => 'Villaviudas','id' => '5229','slug' => 'villaviudas','latitude' => '41.9616593','longitude' => '-4.3424993'),
        array('province_id' => '34','town' => 'Villerías de Campos','id' => '5230','slug' => 'villeras-de-campos','latitude' => '41.9445148','longitude' => '-4.8557365'),
        array('province_id' => '34','town' => 'Villodre','id' => '5231','slug' => 'villodre','latitude' => '42.2117371','longitude' => '-4.2453706'),
        array('province_id' => '34','town' => 'Villodrigo','id' => '5232','slug' => 'villodrigo','latitude' => '42.1445305','longitude' => '-4.0947786'),
        array('province_id' => '34','town' => 'Villoldo','id' => '5233','slug' => 'villoldo','latitude' => '42.2450074','longitude' => '-4.595861'),
        array('province_id' => '34','town' => 'Villota del Páramo','id' => '5234','slug' => 'villota-del-pramo','latitude' => '42.5519257','longitude' => '-4.8481311'),
        array('province_id' => '34','town' => 'Villovieco','id' => '5235','slug' => 'villovieco','latitude' => '42.2951233','longitude' => '-4.4820547'),
        array('province_id' => '35','town' => 'Agaete','id' => '5236','slug' => 'agaete','latitude' => '28.1004477','longitude' => '-15.6998229'),
        array('province_id' => '35','town' => 'Agüimes','id' => '5237','slug' => 'agimes','latitude' => '27.9041099','longitude' => '-15.4456437'),
        array('province_id' => '35','town' => 'Aldea de San Nicolás, La','id' => '5238','slug' => 'aldea-de-san-nicols-la','latitude' => '27.97802','longitude' => '-15.78759'),
        array('province_id' => '35','town' => 'Antigua','id' => '5239','slug' => 'antigua','latitude' => '28.4234731','longitude' => '-14.0145503'),
        array('province_id' => '35','town' => 'Arrecife','id' => '5240','slug' => 'arrecife','latitude' => '28.9595062','longitude' => '-13.5476012'),
        array('province_id' => '35','town' => 'Artenara','id' => '5241','slug' => 'artenara','latitude' => '28.0200548','longitude' => '-15.6466391'),
        array('province_id' => '35','town' => 'Arucas','id' => '5242','slug' => 'arucas','latitude' => '28.1192657','longitude' => '-15.5247354'),
        array('province_id' => '35','town' => 'Betancuria','id' => '5243','slug' => 'betancuria','latitude' => '28.4243823','longitude' => '-14.0564614'),
        array('province_id' => '35','town' => 'Firgas','id' => '5244','slug' => 'firgas','latitude' => '28.1076074','longitude' => '-15.5633674'),
        array('province_id' => '35','town' => 'Gáldar','id' => '5245','slug' => 'gldar','latitude' => '28.144045','longitude' => '-15.6503557'),
        array('province_id' => '35','town' => 'Haría','id' => '5246','slug' => 'hara','latitude' => '29.1465119','longitude' => '-13.4976965'),
        array('province_id' => '35','town' => 'Ingenio','id' => '5247','slug' => 'ingenio','latitude' => '27.920473','longitude' => '-15.4424616'),
        array('province_id' => '35','town' => 'Mogán','id' => '5248','slug' => 'mogn','latitude' => '27.8836973','longitude' => '-15.7239836'),
        array('province_id' => '35','town' => 'Moya','id' => '5249','slug' => '5249-moya','latitude' => '28.116667','longitude' => '-15.566667'),
        array('province_id' => '35','town' => 'Oliva, La','id' => '5250','slug' => 'oliva-la','latitude' => '28.610399','longitude' => '-13.9288029'),
        array('province_id' => '35','town' => 'Pájara','id' => '5251','slug' => 'pjara','latitude' => '28.3505933','longitude' => '-14.1076139'),
        array('province_id' => '35','town' => 'Palmas de Gran Canaria, Las','id' => '5252','slug' => 'palmas-de-gran-canaria-las','latitude' => '28.1248227','longitude' => '-15.4300065'),
        array('province_id' => '35','town' => 'Puerto del Rosario','id' => '5253','slug' => 'puerto-del-rosario','latitude' => '28.4965033','longitude' => '-13.8622068'),
        array('province_id' => '35','town' => 'San Bartolomé','id' => '5254','slug' => 'san-bartolom','latitude' => '27.924613','longitude' => '-15.5730022'),
        array('province_id' => '35','town' => 'San Bartolomé de Tirajana','id' => '5255','slug' => 'san-bartolom-de-tirajana','latitude' => '27.924613','longitude' => '-15.5730022'),
        array('province_id' => '35','town' => 'Santa Brígida','id' => '5256','slug' => 'santa-brgida','latitude' => '28.0305949','longitude' => '-15.4913411'),
        array('province_id' => '35','town' => 'Santa Lucía de Tirajana','id' => '5257','slug' => 'santa-luca-de-tirajana','latitude' => '27.9127243','longitude' => '-15.5412365'),
        array('province_id' => '35','town' => 'Santa María de Guía de Gran Canaria','id' => '5258','slug' => 'santa-mara-de-gua-de-gran-canaria','latitude' => '28.1391495','longitude' => '-15.6328401'),
        array('province_id' => '35','town' => 'Teguise','id' => '5259','slug' => 'teguise','latitude' => '29.0594165','longitude' => '-13.5602969'),
        array('province_id' => '35','town' => 'Tejeda','id' => '5260','slug' => 'tejeda','latitude' => '27.9949877','longitude' => '-15.6154683'),
        array('province_id' => '35','town' => 'Telde','id' => '5261','slug' => 'telde','latitude' => '27.996045','longitude' => '-15.417894'),
        array('province_id' => '35','town' => 'Teror','id' => '5262','slug' => 'teror','latitude' => '28.059498','longitude' => '-15.5482405'),
        array('province_id' => '35','town' => 'Tías','id' => '5263','slug' => 'tas','latitude' => '28.9530452','longitude' => '-13.6530272'),
        array('province_id' => '35','town' => 'Tinajo','id' => '5264','slug' => 'tinajo','latitude' => '29.0664367','longitude' => '-13.6769516'),
        array('province_id' => '35','town' => 'Tuineje','id' => '5265','slug' => 'tuineje','latitude' => '28.3241706','longitude' => '-14.0475849'),
        array('province_id' => '35','town' => 'Valleseco','id' => '5266','slug' => 'valleseco','latitude' => '28.0479375','longitude' => '-15.5736978'),
        array('province_id' => '35','town' => 'Valsequillo de Gran Canaria','id' => '5267','slug' => 'valsequillo-de-gran-canaria','latitude' => '27.9911922','longitude' => '-15.4992847'),
        array('province_id' => '35','town' => 'Vega de San Mateo','id' => '5268','slug' => 'vega-de-san-mateo','latitude' => '28.0105705','longitude' => '-15.5325574'),
        array('province_id' => '35','town' => 'Yaiza','id' => '5269','slug' => 'yaiza','latitude' => '28.9524668','longitude' => '-13.7652634'),
        array('province_id' => '36','town' => 'Agolada','id' => '5270','slug' => 'agolada','latitude' => '42.7622689','longitude' => '-8.0194247'),
        array('province_id' => '36','town' => 'Arbo','id' => '5271','slug' => 'arbo','latitude' => '42.1145026','longitude' => '-8.3193135'),
        array('province_id' => '36','town' => 'Baiona','id' => '5272','slug' => 'baiona','latitude' => '42.1180915','longitude' => '-8.8495794'),
        array('province_id' => '36','town' => 'Barro','id' => '5273','slug' => 'barro','latitude' => '42.525','longitude' => '-8.64722'),
        array('province_id' => '36','town' => 'Bueu','id' => '5274','slug' => 'bueu','latitude' => '42.3197739','longitude' => '-8.7901353'),
        array('province_id' => '36','town' => 'Caldas de Reis','id' => '5275','slug' => 'caldas-de-reis','latitude' => '42.6055002','longitude' => '-8.6433075'),
        array('province_id' => '36','town' => 'Cambados','id' => '5276','slug' => 'cambados','latitude' => '42.5137987','longitude' => '-8.8128925'),
        array('province_id' => '36','town' => 'Campo Lameiro','id' => '5277','slug' => 'campo-lameiro','latitude' => '42.5422222','longitude' => '-8.5427778'),
        array('province_id' => '36','town' => 'Cangas','id' => '5278','slug' => 'cangas','latitude' => '42.2647043','longitude' => '-8.7828442'),
        array('province_id' => '36','town' => 'Cañiza, A','id' => '5279','slug' => 'caiza-a','latitude' => '42.2130438','longitude' => '-8.27567'),
        array('province_id' => '36','town' => 'Catoira','id' => '5280','slug' => 'catoira','latitude' => '42.666645','longitude' => '-8.7225115'),
        array('province_id' => '36','town' => 'Cerdedo','id' => '5281','slug' => 'cerdedo','latitude' => '42.5320358','longitude' => '-8.3919305'),
        array('province_id' => '36','town' => 'Cotobade','id' => '5282','slug' => 'cotobade','latitude' => '42.4666667','longitude' => '-8.4666667'),
        array('province_id' => '36','town' => 'Covelo','id' => '5283','slug' => 'covelo','latitude' => '42.2319444','longitude' => '-8.3633333'),
        array('province_id' => '36','town' => 'Crecente','id' => '5284','slug' => 'crecente','latitude' => '42.1537374','longitude' => '-8.2230584'),
        array('province_id' => '36','town' => 'Cuntis','id' => '5285','slug' => 'cuntis','latitude' => '42.6326257','longitude' => '-8.5634635'),
        array('province_id' => '36','town' => 'Dozón','id' => '5286','slug' => 'dozn','latitude' => '42.570585','longitude' => '-8.04944'),
        array('province_id' => '36','town' => 'Estrada, A','id' => '5287','slug' => 'estrada-a','latitude' => '42.6895805','longitude' => '-8.4913027'),
        array('province_id' => '36','town' => 'Forcarei','id' => '5288','slug' => 'forcarei','latitude' => '42.5923324','longitude' => '-8.3509035'),
        array('province_id' => '36','town' => 'Fornelos de Montes','id' => '5289','slug' => 'fornelos-de-montes','latitude' => '42.3405469','longitude' => '-8.4531659'),
        array('province_id' => '36','town' => 'Gondomar','id' => '5290','slug' => 'gondomar','latitude' => '42.1107811','longitude' => '-8.7614662'),
        array('province_id' => '36','town' => 'Grove, O','id' => '5291','slug' => 'grove-o','latitude' => '42.4936547','longitude' => '-8.8653396'),
        array('province_id' => '36','town' => 'Guarda, A','id' => '5292','slug' => 'guarda-a','latitude' => '41.9025171','longitude' => '-8.8736718'),
        array('province_id' => '36','town' => 'Illa de Arousa, A','id' => '5293','slug' => 'illa-de-arousa-a','latitude' => '42.564059','longitude' => '-8.8736837'),
        array('province_id' => '36','town' => 'Lalín','id' => '5294','slug' => 'laln','latitude' => '42.6613704','longitude' => '-8.1109567'),
        array('province_id' => '36','town' => 'Lama, A','id' => '5295','slug' => 'lama-a','latitude' => '42.1127693','longitude' => '-8.3026805'),
        array('province_id' => '36','town' => 'Marín','id' => '5296','slug' => 'marn','latitude' => '42.3914686','longitude' => '-8.6998529'),
        array('province_id' => '36','town' => 'Meaño','id' => '5297','slug' => 'meao','latitude' => '42.45','longitude' => '-8.7833333'),
        array('province_id' => '36','town' => 'Meis','id' => '5298','slug' => 'meis','latitude' => '42.5166667','longitude' => '-8.7'),
        array('province_id' => '36','town' => 'Moaña','id' => '5299','slug' => 'moaa','latitude' => '42.2865686','longitude' => '-8.7331265'),
        array('province_id' => '36','town' => 'Mondariz','id' => '5300','slug' => 'mondariz','latitude' => '42.2342529','longitude' => '-8.4553339'),
        array('province_id' => '36','town' => 'Mondariz-Balneario','id' => '5301','slug' => 'mondariz-balneario','latitude' => '42.2269718','longitude' => '-8.4658217'),
        array('province_id' => '36','town' => 'Moraña','id' => '5302','slug' => 'moraa','latitude' => '42.5618626','longitude' => '-8.5603287'),
        array('province_id' => '36','town' => 'Mos','id' => '5303','slug' => 'mos','latitude' => '42.195445','longitude' => '-8.654388'),
        array('province_id' => '36','town' => 'Neves, As','id' => '5304','slug' => 'neves-as','latitude' => '42.0881754','longitude' => '-8.4150793'),
        array('province_id' => '36','town' => 'Nigrán','id' => '5305','slug' => 'nigrn','latitude' => '42.1451934','longitude' => '-8.8070623'),
        array('province_id' => '36','town' => 'Oia','id' => '5306','slug' => 'oia','latitude' => '42.0030664','longitude' => '-8.8752146'),
        array('province_id' => '36','town' => 'Pazos de Borbén','id' => '5307','slug' => 'pazos-de-borbn','latitude' => '42.2938274','longitude' => '-8.5315965'),
        array('province_id' => '36','town' => 'Poio','id' => '5308','slug' => 'poio','latitude' => '42.4444632','longitude' => '-8.7150831'),
        array('province_id' => '36','town' => 'Ponte Caldelas','id' => '5309','slug' => 'ponte-caldelas','latitude' => '42.3892454','longitude' => '-8.5031091'),
        array('province_id' => '36','town' => 'Ponteareas','id' => '5310','slug' => 'ponteareas','latitude' => '42.1763714','longitude' => '-8.502382'),
        array('province_id' => '36','town' => 'Pontecesures','id' => '5311','slug' => 'pontecesures','latitude' => '42.7243729','longitude' => '-8.6488431'),
        array('province_id' => '36','town' => 'Pontevedra','id' => '5312','slug' => 'pontevedra','latitude' => '42.4336191','longitude' => '-8.648053'),
        array('province_id' => '36','town' => 'Porriño, O','id' => '5313','slug' => 'porrio-o','latitude' => '42.1603635','longitude' => '-8.6192985'),
        array('province_id' => '36','town' => 'Portas','id' => '5314','slug' => 'portas','latitude' => '42.5833333','longitude' => '-8.6666667'),
        array('province_id' => '36','town' => 'Redondela','id' => '5315','slug' => 'redondela','latitude' => '42.2837858','longitude' => '-8.6074245'),
        array('province_id' => '36','town' => 'Ribadumia','id' => '5316','slug' => 'ribadumia','latitude' => '42.5146607','longitude' => '-8.7575883'),
        array('province_id' => '36','town' => 'Rodeiro','id' => '5317','slug' => 'rodeiro','latitude' => '42.6495044','longitude' => '-7.9498168'),
        array('province_id' => '36','town' => 'Rosal, O','id' => '5318','slug' => 'rosal-o','latitude' => '42.4188765','longitude' => '-8.6623856'),
        array('province_id' => '36','town' => 'Salceda de Caselas','id' => '5319','slug' => 'salceda-de-caselas','latitude' => '42.1019597','longitude' => '-8.5583773'),
        array('province_id' => '36','town' => 'Salvaterra de Miño','id' => '5320','slug' => 'salvaterra-de-mio','latitude' => '42.0819707','longitude' => '-8.4990012'),
        array('province_id' => '36','town' => 'Sanxenxo','id' => '5321','slug' => 'sanxenxo','latitude' => '42.3994787','longitude' => '-8.8069274'),
        array('province_id' => '36','town' => 'Silleda','id' => '5322','slug' => 'silleda','latitude' => '42.6979066','longitude' => '-8.2483815'),
        array('province_id' => '36','town' => 'Soutomaior','id' => '5323','slug' => 'soutomaior','latitude' => '42.333','longitude' => '-8.567'),
        array('province_id' => '36','town' => 'Tomiño','id' => '5324','slug' => 'tomio','latitude' => '41.98744','longitude' => '-8.7455827'),
        array('province_id' => '36','town' => 'Tui','id' => '5325','slug' => 'tui','latitude' => '42.0461822','longitude' => '-8.6438101'),
        array('province_id' => '36','town' => 'Valga','id' => '5326','slug' => 'valga','latitude' => '42.6943049','longitude' => '-8.6394251'),
        array('province_id' => '36','town' => 'Vigo','id' => '5327','slug' => 'vigo','latitude' => '42.2313564','longitude' => '-8.7124471'),
        array('province_id' => '36','town' => 'Vila de Cruces','id' => '5328','slug' => 'vila-de-cruces','latitude' => '42.794033','longitude' => '-8.1700119'),
        array('province_id' => '36','town' => 'Vilaboa','id' => '5329','slug' => 'vilaboa','latitude' => '42.3472353','longitude' => '-8.646326'),
        array('province_id' => '36','town' => 'Vilagarcía de Arousa','id' => '5330','slug' => 'vilagarca-de-arousa','latitude' => '42.5938693','longitude' => '-8.7659623'),
        array('province_id' => '36','town' => 'Vilanova de Arousa','id' => '5331','slug' => 'vilanova-de-arousa','latitude' => '42.5622075','longitude' => '-8.8277195'),
        array('province_id' => '37','town' => 'Abusejo','id' => '5332','slug' => 'abusejo','latitude' => '40.7098051','longitude' => '-6.1401464'),
        array('province_id' => '37','town' => 'Agallas','id' => '5333','slug' => 'agallas','latitude' => '40.4486633','longitude' => '-6.4420524'),
        array('province_id' => '37','town' => 'Ahigal de los Aceiteros','id' => '5334','slug' => 'ahigal-de-los-aceiteros','latitude' => '40.875081','longitude' => '-6.7478513'),
        array('province_id' => '37','town' => 'Ahigal de Villarino','id' => '5335','slug' => 'ahigal-de-villarino','latitude' => '41.1582608','longitude' => '-6.3809264'),
        array('province_id' => '37','town' => 'Alameda de Gardón, La','id' => '5336','slug' => 'alameda-de-gardn-la','latitude' => '40.6508076','longitude' => '-6.7585464'),
        array('province_id' => '37','town' => 'Alamedilla, La','id' => '5337','slug' => 'alamedilla-la','latitude' => '40.9675731','longitude' => '-5.6581714'),
        array('province_id' => '37','town' => 'Alaraz','id' => '5338','slug' => 'alaraz','latitude' => '40.7475275','longitude' => '-5.2880132'),
        array('province_id' => '37','town' => 'Alba de Tormes','id' => '5339','slug' => 'alba-de-tormes','latitude' => '40.8246276','longitude' => '-5.5159344'),
        array('province_id' => '37','town' => 'Alba de Yeltes','id' => '5340','slug' => 'alba-de-yeltes','latitude' => '40.670996','longitude' => '-6.3184533'),
        array('province_id' => '37','town' => 'Alberca, La','id' => '5341','slug' => 'alberca-la','latitude' => '40.9705451','longitude' => '-5.6732414'),
        array('province_id' => '37','town' => 'Alberguería de Argañán, La','id' => '5342','slug' => 'alberguera-de-argan-la','latitude' => '40.4119432','longitude' => '-6.814142'),
        array('province_id' => '37','town' => 'Alconada','id' => '5343','slug' => 'alconada','latitude' => '40.9112566','longitude' => '-5.3631948'),
        array('province_id' => '37','town' => 'Aldea del Obispo','id' => '5344','slug' => 'aldea-del-obispo','latitude' => '40.7091656','longitude' => '-6.7946168'),
        array('province_id' => '37','town' => 'Aldeacipreste','id' => '5345','slug' => 'aldeacipreste','latitude' => '40.3804651','longitude' => '-5.8962444'),
        array('province_id' => '37','town' => 'Aldeadávila de la Ribera','id' => '5346','slug' => 'aldeadvila-de-la-ribera','latitude' => '41.2182572','longitude' => '-6.6200318'),
        array('province_id' => '37','town' => 'Aldealengua','id' => '5347','slug' => 'aldealengua','latitude' => '40.9821667','longitude' => '-5.5500137'),
        array('province_id' => '37','town' => 'Aldeanueva de Figueroa','id' => '5348','slug' => 'aldeanueva-de-figueroa','latitude' => '41.1479945','longitude' => '-5.5256031'),
        array('province_id' => '37','town' => 'Aldeanueva de la Sierra','id' => '5349','slug' => 'aldeanueva-de-la-sierra','latitude' => '40.6157944','longitude' => '-6.0989232'),
        array('province_id' => '37','town' => 'Aldearrodrigo','id' => '5350','slug' => 'aldearrodrigo','latitude' => '41.1104796','longitude' => '-5.8065128'),
        array('province_id' => '37','town' => 'Aldearrubia','id' => '5351','slug' => 'aldearrubia','latitude' => '41.0079609','longitude' => '-5.4976369'),
        array('province_id' => '37','town' => 'Aldeaseca de Alba','id' => '5352','slug' => 'aldeaseca-de-alba','latitude' => '40.8185574','longitude' => '-5.4485211'),
        array('province_id' => '37','town' => 'Aldeaseca de la Frontera','id' => '5353','slug' => 'aldeaseca-de-la-frontera','latitude' => '40.9417714','longitude' => '-5.2076579'),
        array('province_id' => '37','town' => 'Aldeatejada','id' => '5354','slug' => 'aldeatejada','latitude' => '40.9232193','longitude' => '-5.6926315'),
        array('province_id' => '37','town' => 'Aldeavieja de Tormes','id' => '5355','slug' => 'aldeavieja-de-tormes','latitude' => '40.5832781','longitude' => '-5.6170802'),
        array('province_id' => '37','town' => 'Aldehuela de la Bóveda','id' => '5356','slug' => 'aldehuela-de-la-bveda','latitude' => '40.8443732','longitude' => '-6.0485124'),
        array('province_id' => '37','town' => 'Aldehuela de Yeltes','id' => '5357','slug' => 'aldehuela-de-yeltes','latitude' => '40.6634711','longitude' => '-6.2438986'),
        array('province_id' => '37','town' => 'Almenara de Tormes','id' => '5358','slug' => 'almenara-de-tormes','latitude' => '41.0640963','longitude' => '-5.8233447'),
        array('province_id' => '37','town' => 'Almendra','id' => '5359','slug' => 'almendra','latitude' => '41.2297206','longitude' => '-6.341033'),
        array('province_id' => '37','town' => 'Anaya de Alba','id' => '5360','slug' => 'anaya-de-alba','latitude' => '40.7285475','longitude' => '-5.4923489'),
        array('province_id' => '37','town' => 'Añover de Tormes','id' => '5361','slug' => 'aover-de-tormes','latitude' => '41.1361608','longitude' => '-5.914971'),
        array('province_id' => '37','town' => 'Arabayona de Mógica','id' => '5362','slug' => 'arabayona-de-mgica','latitude' => '41.0470963','longitude' => '-5.3862158'),
        array('province_id' => '37','town' => 'Arapiles','id' => '5363','slug' => 'arapiles','latitude' => '40.8937655','longitude' => '-5.6448472'),
        array('province_id' => '37','town' => 'Arcediano','id' => '5364','slug' => 'arcediano','latitude' => '41.0933169','longitude' => '-5.5603254'),
        array('province_id' => '37','town' => 'Arco, El','id' => '5365','slug' => 'arco-el','latitude' => '41.110823','longitude' => '-5.8255829'),
        array('province_id' => '37','town' => 'Armenteros','id' => '5366','slug' => 'armenteros','latitude' => '40.5940171','longitude' => '-5.4493715'),
        array('province_id' => '37','town' => 'Atalaya, La','id' => '5367','slug' => 'atalaya-la','latitude' => '40.9744788','longitude' => '-5.6796574'),
        array('province_id' => '37','town' => 'Babilafuente','id' => '5368','slug' => 'babilafuente','latitude' => '40.9771627','longitude' => '-5.4255658'),
        array('province_id' => '37','town' => 'Bañobárez','id' => '5369','slug' => 'baobrez','latitude' => '40.8511326','longitude' => '-6.6129073'),
        array('province_id' => '37','town' => 'Barbadillo','id' => '5370','slug' => 'barbadillo','latitude' => '40.9320788','longitude' => '-5.881299'),
        array('province_id' => '37','town' => 'Barbalos','id' => '5371','slug' => 'barbalos','latitude' => '40.6770255','longitude' => '-5.9431065'),
        array('province_id' => '37','town' => 'Barceo','id' => '5372','slug' => 'barceo','latitude' => '41.061234','longitude' => '-6.4518085'),
        array('province_id' => '37','town' => 'Barruecopardo','id' => '5373','slug' => 'barruecopardo','latitude' => '41.0725268','longitude' => '-6.6629353'),
        array('province_id' => '37','town' => 'Bastida, La','id' => '5374','slug' => 'bastida-la','latitude' => '40.5850455','longitude' => '-6.058626'),
        array('province_id' => '37','town' => 'Béjar','id' => '5375','slug' => 'bjar','latitude' => '40.3835556','longitude' => '-5.7660449'),
        array('province_id' => '37','town' => 'Beleña','id' => '5376','slug' => 'belea','latitude' => '40.7511309','longitude' => '-5.6275494'),
        array('province_id' => '37','town' => 'Bermellar','id' => '5377','slug' => 'bermellar','latitude' => '40.9988041','longitude' => '-6.6711546'),
        array('province_id' => '37','town' => 'Berrocal de Huebra','id' => '5378','slug' => 'berrocal-de-huebra','latitude' => '40.7179224','longitude' => '-5.9995147'),
        array('province_id' => '37','town' => 'Berrocal de Salvatierra','id' => '5379','slug' => 'berrocal-de-salvatierra','latitude' => '40.6333276','longitude' => '-5.6893167'),
        array('province_id' => '37','town' => 'Boada','id' => '5380','slug' => 'boada','latitude' => '40.8160111','longitude' => '-6.3057467'),
        array('province_id' => '37','town' => 'Bodón, El','id' => '5381','slug' => 'bodn-el','latitude' => '40.9750947','longitude' => '-5.675318'),
        array('province_id' => '37','town' => 'Bogajo','id' => '5382','slug' => 'bogajo','latitude' => '40.9073679','longitude' => '-6.5295849'),
        array('province_id' => '37','town' => 'Bouza, La','id' => '5383','slug' => 'bouza-la','latitude' => '40.9790309','longitude' => '-5.6734323'),
        array('province_id' => '37','town' => 'Bóveda del Río Almar','id' => '5384','slug' => 'bveda-del-ro-almar','latitude' => '40.8566158','longitude' => '-5.2103743'),
        array('province_id' => '37','town' => 'Brincones','id' => '5385','slug' => 'brincones','latitude' => '41.1118129','longitude' => '-6.3483644'),
        array('province_id' => '37','town' => 'Buenamadre','id' => '5386','slug' => 'buenamadre','latitude' => '40.8574219','longitude' => '-6.2499165'),
        array('province_id' => '37','town' => 'Buenavista','id' => '5387','slug' => 'buenavista','latitude' => '40.7679078','longitude' => '-5.6110172'),
        array('province_id' => '37','town' => 'Cabaco, El','id' => '5388','slug' => 'cabaco-el','latitude' => '40.5657018','longitude' => '-6.1286488'),
        array('province_id' => '37','town' => 'Cabeza de Béjar, La','id' => '5389','slug' => 'cabeza-de-bjar-la','latitude' => '40.495978','longitude' => '-5.6635389'),
        array('province_id' => '37','town' => 'Cabeza del Caballo','id' => '5390','slug' => 'cabeza-del-caballo','latitude' => '41.1303508','longitude' => '-6.5597938'),
        array('province_id' => '37','town' => 'Cabezabellosa de la Calzada','id' => '5391','slug' => 'cabezabellosa-de-la-calzada','latitude' => '41.0435963','longitude' => '-5.4903851'),
        array('province_id' => '37','town' => 'Cabrerizos','id' => '5392','slug' => 'cabrerizos','latitude' => '40.9785039','longitude' => '-5.6128627'),
        array('province_id' => '37','town' => 'Cabrillas','id' => '5393','slug' => 'cabrillas','latitude' => '40.7412875','longitude' => '-6.1802526'),
        array('province_id' => '37','town' => 'Calvarrasa de Abajo','id' => '5394','slug' => 'calvarrasa-de-abajo','latitude' => '40.9403598','longitude' => '-5.502288'),
        array('province_id' => '37','town' => 'Calvarrasa de Arriba','id' => '5395','slug' => 'calvarrasa-de-arriba','latitude' => '40.9057755','longitude' => '-5.5921984'),
        array('province_id' => '37','town' => 'Calzada de Béjar, La','id' => '5396','slug' => 'calzada-de-bjar-la','latitude' => '40.9744196','longitude' => '-5.6757005'),
        array('province_id' => '37','town' => 'Calzada de Don Diego','id' => '5397','slug' => 'calzada-de-don-diego','latitude' => '40.9060324','longitude' => '-5.902259'),
        array('province_id' => '37','town' => 'Calzada de Valdunciel','id' => '5398','slug' => 'calzada-de-valdunciel','latitude' => '41.086409','longitude' => '-5.7023397'),
        array('province_id' => '37','town' => 'Campillo de Azaba','id' => '5399','slug' => 'campillo-de-azaba','latitude' => '40.5112451','longitude' => '-6.6887631'),
        array('province_id' => '37','town' => 'Campo de Peñaranda, El','id' => '5400','slug' => 'campo-de-pearanda-el','latitude' => '40.906513','longitude' => '-5.2013875'),
        array('province_id' => '37','town' => 'Candelario','id' => '5401','slug' => 'candelario','latitude' => '40.3680446','longitude' => '-5.7445072'),
        array('province_id' => '37','town' => 'Canillas de Abajo','id' => '5402','slug' => 'canillas-de-abajo','latitude' => '40.9219066','longitude' => '-5.9290861'),
        array('province_id' => '37','town' => 'Cantagallo','id' => '5403','slug' => 'cantagallo','latitude' => '40.3729179','longitude' => '-5.8197401'),
        array('province_id' => '37','town' => 'Cantalapiedra','id' => '5404','slug' => 'cantalapiedra','latitude' => '41.1252602','longitude' => '-5.1833665'),
        array('province_id' => '37','town' => 'Cantalpino','id' => '5405','slug' => 'cantalpino','latitude' => '41.0527866','longitude' => '-5.3281626'),
        array('province_id' => '37','town' => 'Cantaracillo','id' => '5406','slug' => 'cantaracillo','latitude' => '40.9025456','longitude' => '-5.1635293'),
        array('province_id' => '37','town' => 'Carbajosa de la Sagrada','id' => '5407','slug' => 'carbajosa-de-la-sagrada','latitude' => '40.9329772','longitude' => '-5.6512555'),
        array('province_id' => '37','town' => 'Carpio de Azaba','id' => '5408','slug' => 'carpio-de-azaba','latitude' => '40.5959408','longitude' => '-6.6467821'),
        array('province_id' => '37','town' => 'Carrascal de Barregas','id' => '5409','slug' => 'carrascal-de-barregas','latitude' => '40.9780542','longitude' => '-5.7624231'),
        array('province_id' => '37','town' => 'Carrascal del Obispo','id' => '5410','slug' => 'carrascal-del-obispo','latitude' => '40.7636096','longitude' => '-5.9992316'),
        array('province_id' => '37','town' => 'Casafranca','id' => '5411','slug' => 'casafranca','latitude' => '40.5919169','longitude' => '-5.7613261'),
        array('province_id' => '37','town' => 'Casas del Conde, Las','id' => '5412','slug' => 'casas-del-conde-las','latitude' => '40.5057829','longitude' => '-6.0393803'),
        array('province_id' => '37','town' => 'Casillas de Flores','id' => '5413','slug' => 'casillas-de-flores','latitude' => '40.3821206','longitude' => '-6.7541546'),
        array('province_id' => '37','town' => 'Castellanos de Moriscos','id' => '5414','slug' => 'castellanos-de-moriscos','latitude' => '41.0197343','longitude' => '-5.5925431'),
        array('province_id' => '37','town' => 'Castellanos de Villiquera','id' => '5415','slug' => 'castellanos-de-villiquera','latitude' => '41.0515611','longitude' => '-5.6938836'),
        array('province_id' => '37','town' => 'Castillejo de Martín Viejo','id' => '5416','slug' => 'castillejo-de-martn-viejo','latitude' => '40.7003683','longitude' => '-6.6456696'),
        array('province_id' => '37','town' => 'Castraz','id' => '5417','slug' => 'castraz','latitude' => '40.7056722','longitude' => '-6.3345903'),
        array('province_id' => '37','town' => 'Cepeda','id' => '5418','slug' => 'cepeda','latitude' => '40.4652509','longitude' => '-6.0414989'),
        array('province_id' => '37','town' => 'Cereceda de la Sierra','id' => '5419','slug' => 'cereceda-de-la-sierra','latitude' => '40.5662767','longitude' => '-6.0914651'),
        array('province_id' => '37','town' => 'Cerezal de Peñahorcada','id' => '5420','slug' => 'cerezal-de-peahorcada','latitude' => '41.1304466','longitude' => '-6.6543682'),
        array('province_id' => '37','town' => 'Cerralbo','id' => '5421','slug' => 'cerralbo','latitude' => '40.9746935','longitude' => '-6.5859992'),
        array('province_id' => '37','town' => 'Cerro, El','id' => '5422','slug' => 'cerro-el','latitude' => '40.9743251','longitude' => '-5.6783976'),
        array('province_id' => '37','town' => 'Cespedosa de Tormes','id' => '5423','slug' => 'cespedosa-de-tormes','latitude' => '40.5432461','longitude' => '-5.5811147'),
        array('province_id' => '37','town' => 'Chagarcía Medianero','id' => '5424','slug' => 'chagarca-medianero','latitude' => '40.6494188','longitude' => '-5.3821743'),
        array('province_id' => '37','town' => 'Cilleros de la Bastida','id' => '5425','slug' => 'cilleros-de-la-bastida','latitude' => '40.5761245','longitude' => '-6.0609394'),
        array('province_id' => '37','town' => 'Cipérez','id' => '5426','slug' => 'ciprez','latitude' => '40.9627371','longitude' => '-6.2637818'),
        array('province_id' => '37','town' => 'Ciudad Rodrigo','id' => '5427','slug' => 'ciudad-rodrigo','latitude' => '40.5971513','longitude' => '-6.5227749'),
        array('province_id' => '37','town' => 'Coca de Alba','id' => '5428','slug' => 'coca-de-alba','latitude' => '40.8777834','longitude' => '-5.3634124'),
        array('province_id' => '37','town' => 'Colmenar de Montemayor','id' => '5429','slug' => 'colmenar-de-montemayor','latitude' => '40.3994254','longitude' => '-5.9565053'),
        array('province_id' => '37','town' => 'Cordovilla','id' => '5430','slug' => 'cordovilla','latitude' => '40.9506797','longitude' => '-5.4058806'),
        array('province_id' => '37','town' => 'Cristóbal','id' => '5431','slug' => 'cristbal','latitude' => '40.4683607','longitude' => '-5.8880424'),
        array('province_id' => '37','town' => 'Cubo de Don Sancho, El','id' => '5432','slug' => 'cubo-de-don-sancho-el','latitude' => '40.8917507','longitude' => '-6.3073476'),
        array('province_id' => '37','town' => 'Dios le Guarde','id' => '5433','slug' => 'dios-le-guarde','latitude' => '40.6424194','longitude' => '-6.3145968'),
        array('province_id' => '37','town' => 'Doñinos de Ledesma','id' => '5434','slug' => 'doinos-de-ledesma','latitude' => '41.0126589','longitude' => '-6.0334485'),
        array('province_id' => '37','town' => 'Doñinos de Salamanca','id' => '5435','slug' => 'doinos-de-salamanca','latitude' => '40.9607395','longitude' => '-5.7465977'),
        array('province_id' => '37','town' => 'Ejeme','id' => '5436','slug' => 'ejeme','latitude' => '40.7664885','longitude' => '-5.5390453'),
        array('province_id' => '37','town' => 'Encina, La','id' => '5437','slug' => 'encina-la','latitude' => '41.0139125','longitude' => '-6.0928806'),
        array('province_id' => '37','town' => 'Encina de San Silvestre','id' => '5438','slug' => 'encina-de-san-silvestre','latitude' => '41.0139125','longitude' => '-6.0928806'),
        array('province_id' => '37','town' => 'Encinas de Abajo','id' => '5439','slug' => 'encinas-de-abajo','latitude' => '40.9345827','longitude' => '-5.4720841'),
        array('province_id' => '37','town' => 'Encinas de Arriba','id' => '5440','slug' => 'encinas-de-arriba','latitude' => '40.7713484','longitude' => '-5.5587301'),
        array('province_id' => '37','town' => 'Encinasola de los Comendadores','id' => '5441','slug' => 'encinasola-de-los-comendadores','latitude' => '41.0300813','longitude' => '-6.5325483'),
        array('province_id' => '37','town' => 'Endrinal','id' => '5442','slug' => 'endrinal','latitude' => '40.5909896','longitude' => '-5.8047719'),
        array('province_id' => '37','town' => 'Escurial de la Sierra','id' => '5443','slug' => 'escurial-de-la-sierra','latitude' => '40.6167696','longitude' => '-5.9553359'),
        array('province_id' => '37','town' => 'Espadaña','id' => '5444','slug' => 'espadaa','latitude' => '41.0625547','longitude' => '-6.2859791'),
        array('province_id' => '37','town' => 'Espeja','id' => '5445','slug' => 'espeja','latitude' => '40.5634916','longitude' => '-6.7168436'),
        array('province_id' => '37','town' => 'Espino de la Orbada','id' => '5446','slug' => 'espino-de-la-orbada','latitude' => '41.1072418','longitude' => '-5.4244373'),
        array('province_id' => '37','town' => 'Florida de Liébana','id' => '5447','slug' => 'florida-de-libana','latitude' => '41.0268419','longitude' => '-5.7608484'),
        array('province_id' => '37','town' => 'Forfoleda','id' => '5448','slug' => 'forfoleda','latitude' => '41.0970131','longitude' => '-5.7494906'),
        array('province_id' => '37','town' => 'Frades de la Sierra','id' => '5449','slug' => 'frades-de-la-sierra','latitude' => '40.6583624','longitude' => '-5.7844279'),
        array('province_id' => '37','town' => 'Fregeneda, La','id' => '5450','slug' => 'fregeneda-la','latitude' => '40.9553432','longitude' => '-5.6734122'),
        array('province_id' => '37','town' => 'Fresnedoso','id' => '5451','slug' => 'fresnedoso','latitude' => '40.436068','longitude' => '-5.7102277'),
        array('province_id' => '37','town' => 'Fresno Alhándiga','id' => '5452','slug' => 'fresno-alhndiga','latitude' => '40.7129268','longitude' => '-5.6160526'),
        array('province_id' => '37','town' => 'Fuente de San Esteban, La','id' => '5453','slug' => 'fuente-de-san-esteban-la','latitude' => '40.8019473','longitude' => '-6.2575953'),
        array('province_id' => '37','town' => 'Fuenteguinaldo','id' => '5454','slug' => 'fuenteguinaldo','latitude' => '40.4288042','longitude' => '-6.6767065'),
        array('province_id' => '37','town' => 'Fuenteliante','id' => '5455','slug' => 'fuenteliante','latitude' => '40.8737687','longitude' => '-6.5731742'),
        array('province_id' => '37','town' => 'Fuenterroble de Salvatierra','id' => '5456','slug' => 'fuenterroble-de-salvatierra','latitude' => '40.5647106','longitude' => '-5.7339209'),
        array('province_id' => '37','town' => 'Fuentes de Béjar','id' => '5457','slug' => 'fuentes-de-bjar','latitude' => '40.5079318','longitude' => '-5.6943526'),
        array('province_id' => '37','town' => 'Fuentes de Oñoro','id' => '5458','slug' => 'fuentes-de-ooro','latitude' => '40.5930225','longitude' => '-6.8114299'),
        array('province_id' => '37','town' => 'Gajates','id' => '5459','slug' => 'gajates','latitude' => '40.7828116','longitude' => '-5.3670178'),
        array('province_id' => '37','town' => 'Galindo y Perahuy','id' => '5460','slug' => 'galindo-y-perahuy','latitude' => '40.9432197','longitude' => '-5.8716981'),
        array('province_id' => '37','town' => 'Galinduste','id' => '5461','slug' => 'galinduste','latitude' => '40.6629529','longitude' => '-5.5418908'),
        array('province_id' => '37','town' => 'Galisancho','id' => '5462','slug' => 'galisancho','latitude' => '40.7439794','longitude' => '-5.5547048'),
        array('province_id' => '37','town' => 'Gallegos de Argañán','id' => '5463','slug' => 'gallegos-de-argan','latitude' => '40.6309919','longitude' => '-6.7048171'),
        array('province_id' => '37','town' => 'Gallegos de Solmirón','id' => '5464','slug' => 'gallegos-de-solmirn','latitude' => '40.5367661','longitude' => '-5.4477339'),
        array('province_id' => '37','town' => 'Garcibuey','id' => '5465','slug' => 'garcibuey','latitude' => '40.5159308','longitude' => '-5.9943515'),
        array('province_id' => '37','town' => 'Garcihernández','id' => '5466','slug' => 'garcihernndez','latitude' => '40.8602048','longitude' => '-5.4324425'),
        array('province_id' => '37','town' => 'Garcirrey','id' => '5467','slug' => 'garcirrey','latitude' => '40.9008683','longitude' => '-6.1301041'),
        array('province_id' => '37','town' => 'Gejuelo del Barro','id' => '5468','slug' => 'gejuelo-del-barro','latitude' => '41.077086','longitude' => '-6.1236704'),
        array('province_id' => '37','town' => 'Golpejas','id' => '5469','slug' => 'golpejas','latitude' => '40.9998305','longitude' => '-5.9066493'),
        array('province_id' => '37','town' => 'Gomecello','id' => '5470','slug' => 'gomecello','latitude' => '41.0429553','longitude' => '-5.5344615'),
        array('province_id' => '37','town' => 'Guadramiro','id' => '5471','slug' => 'guadramiro','latitude' => '41.0174221','longitude' => '-6.4932179'),
        array('province_id' => '37','town' => 'Guijo de Ávila','id' => '5472','slug' => 'guijo-de-vila','latitude' => '40.531648','longitude' => '-5.6401073'),
        array('province_id' => '37','town' => 'Guijuelo','id' => '5473','slug' => 'guijuelo','latitude' => '40.555142','longitude' => '-5.6736555'),
        array('province_id' => '37','town' => 'Herguijuela de Ciudad Rodrigo','id' => '5474','slug' => 'herguijuela-de-ciudad-rodrigo','latitude' => '40.4584672','longitude' => '-6.5231651'),
        array('province_id' => '37','town' => 'Herguijuela de la Sierra','id' => '5475','slug' => 'herguijuela-de-la-sierra','latitude' => '40.4462253','longitude' => '-6.072958'),
        array('province_id' => '37','town' => 'Herguijuela del Campo','id' => '5476','slug' => 'herguijuela-del-campo','latitude' => '40.6299592','longitude' => '-5.8635363'),
        array('province_id' => '37','town' => 'Hinojosa de Duero','id' => '5477','slug' => 'hinojosa-de-duero','latitude' => '40.9862331','longitude' => '-6.796194'),
        array('province_id' => '37','town' => 'Horcajo de Montemayor','id' => '5478','slug' => 'horcajo-de-montemayor','latitude' => '40.4214665','longitude' => '-5.8934214'),
        array('province_id' => '37','town' => 'Horcajo Medianero','id' => '5479','slug' => 'horcajo-medianero','latitude' => '40.6401664','longitude' => '-5.4064294'),
        array('province_id' => '37','town' => 'Hoya, La','id' => '5480','slug' => 'hoya-la','latitude' => '40.4070222','longitude' => '-5.6992182'),
        array('province_id' => '37','town' => 'Huerta','id' => '5481','slug' => 'huerta','latitude' => '40.9681353','longitude' => '-5.4688738'),
        array('province_id' => '37','town' => 'Iruelos','id' => '5482','slug' => 'iruelos','latitude' => '41.1399865','longitude' => '-6.3287988'),
        array('province_id' => '37','town' => 'Ituero de Azaba','id' => '5483','slug' => 'ituero-de-azaba','latitude' => '40.4844769','longitude' => '-6.6915349'),
        array('province_id' => '37','town' => 'Juzbado','id' => '5484','slug' => 'juzbado','latitude' => '41.0777127','longitude' => '-5.8613106'),
        array('province_id' => '37','town' => 'Lagunilla','id' => '5485','slug' => 'lagunilla','latitude' => '40.3240126','longitude' => '-5.9712559'),
        array('province_id' => '37','town' => 'Larrodrigo','id' => '5486','slug' => 'larrodrigo','latitude' => '40.738009','longitude' => '-5.44845'),
        array('province_id' => '37','town' => 'Ledesma','id' => '5487','slug' => 'ledesma','latitude' => '41.0916441','longitude' => '-5.9989829'),
        array('province_id' => '37','town' => 'Ledrada','id' => '5488','slug' => 'ledrada','latitude' => '40.4693623','longitude' => '-5.7200253'),
        array('province_id' => '37','town' => 'Linares de Riofrío','id' => '5489','slug' => 'linares-de-riofro','latitude' => '40.5844758','longitude' => '-5.921306'),
        array('province_id' => '37','town' => 'Lumbrales','id' => '5490','slug' => 'lumbrales','latitude' => '40.9355397','longitude' => '-6.7176426'),
        array('province_id' => '37','town' => 'Machacón','id' => '5491','slug' => 'machacn','latitude' => '40.9403598','longitude' => '-5.502288'),
        array('province_id' => '37','town' => 'Macotera','id' => '5492','slug' => 'macotera','latitude' => '40.8310466','longitude' => '-5.2870027'),
        array('province_id' => '37','town' => 'Madroñal','id' => '5493','slug' => 'madroal','latitude' => '40.4642601','longitude' => '-6.0618993'),
        array('province_id' => '37','town' => 'Maíllo, El','id' => '5494','slug' => 'mallo-el','latitude' => '40.973571','longitude' => '-5.6484216'),
        array('province_id' => '37','town' => 'Malpartida','id' => '5495','slug' => 'malpartida','latitude' => '40.7628796','longitude' => '-5.2330221'),
        array('province_id' => '37','town' => 'Mancera de Abajo','id' => '5496','slug' => 'mancera-de-abajo','latitude' => '40.8399846','longitude' => '-5.1983027'),
        array('province_id' => '37','town' => 'Manzano, El','id' => '5497','slug' => 'manzano-el','latitude' => '40.5496232','longitude' => '-6.626369'),
        array('province_id' => '37','town' => 'Martiago','id' => '5498','slug' => 'martiago','latitude' => '40.4524239','longitude' => '-6.4900113'),
        array('province_id' => '37','town' => 'Martín de Yeltes','id' => '5499','slug' => 'martn-de-yeltes','latitude' => '40.7745131','longitude' => '-6.2904807'),
        array('province_id' => '37','town' => 'Martinamor','id' => '5500','slug' => 'martinamor','latitude' => '40.8063357','longitude' => '-5.5998756'),
        array('province_id' => '37','town' => 'Masueco','id' => '5501','slug' => 'masueco','latitude' => '41.2044468','longitude' => '-6.5887459'),
        array('province_id' => '37','town' => 'Mata de Ledesma, La','id' => '5502','slug' => 'mata-de-ledesma-la','latitude' => '41.0005842','longitude' => '-5.9707888'),
        array('province_id' => '37','town' => 'Matilla de los Caños del Río','id' => '5503','slug' => 'matilla-de-los-caos-del-ro','latitude' => '40.8260663','longitude' => '-5.9428696'),
        array('province_id' => '37','town' => 'Maya, La','id' => '5504','slug' => 'maya-la','latitude' => '40.6875663','longitude' => '-5.6135003'),
        array('province_id' => '37','town' => 'Membribe de la Sierra','id' => '5505','slug' => 'membribe-de-la-sierra','latitude' => '40.6899485','longitude' => '-5.8067619'),
        array('province_id' => '37','town' => 'Mieza','id' => '5506','slug' => 'mieza','latitude' => '41.1622537','longitude' => '-6.6876075'),
        array('province_id' => '37','town' => 'Milano, El','id' => '5507','slug' => 'milano-el','latitude' => '41.091932','longitude' => '-6.595579'),
        array('province_id' => '37','town' => 'Miranda de Azán','id' => '5508','slug' => 'miranda-de-azn','latitude' => '40.8871185','longitude' => '-5.6814145'),
        array('province_id' => '37','town' => 'Miranda del Castañar','id' => '5509','slug' => 'miranda-del-castaar','latitude' => '40.4843105','longitude' => '-5.9973989'),
        array('province_id' => '37','town' => 'Mogarraz','id' => '5510','slug' => 'mogarraz','latitude' => '40.492479','longitude' => '-6.052928'),
        array('province_id' => '37','town' => 'Molinillo','id' => '5511','slug' => 'molinillo','latitude' => '40.4696347','longitude' => '-5.9442975'),
        array('province_id' => '37','town' => 'Monforte de la Sierra','id' => '5512','slug' => 'monforte-de-la-sierra','latitude' => '40.4832205','longitude' => '-6.0553973'),
        array('province_id' => '37','town' => 'Monleón','id' => '5513','slug' => 'monlen','latitude' => '40.5858164','longitude' => '-5.8472355'),
        array('province_id' => '37','town' => 'Monleras','id' => '5514','slug' => 'monleras','latitude' => '41.1855801','longitude' => '-6.2269377'),
        array('province_id' => '37','town' => 'Monsagro','id' => '5515','slug' => 'monsagro','latitude' => '40.50462','longitude' => '-6.2715275'),
        array('province_id' => '37','town' => 'Montejo','id' => '5516','slug' => 'montejo','latitude' => '40.631498','longitude' => '-5.6235494'),
        array('province_id' => '37','town' => 'Montemayor del Río','id' => '5517','slug' => 'montemayor-del-ro','latitude' => '40.3485106','longitude' => '-5.8951085'),
        array('province_id' => '37','town' => 'Monterrubio de Armuña','id' => '5518','slug' => 'monterrubio-de-armua','latitude' => '41.0280759','longitude' => '-5.6425485'),
        array('province_id' => '37','town' => 'Monterrubio de la Sierra','id' => '5519','slug' => 'monterrubio-de-la-sierra','latitude' => '40.7570983','longitude' => '-5.6923596'),
        array('province_id' => '37','town' => 'Morasverdes','id' => '5520','slug' => 'morasverdes','latitude' => '40.6015879','longitude' => '-6.2756225'),
        array('province_id' => '37','town' => 'Morille','id' => '5521','slug' => 'morille','latitude' => '40.8061311','longitude' => '-5.697661'),
        array('province_id' => '37','town' => 'Moríñigo','id' => '5522','slug' => 'morigo','latitude' => '40.9695557','longitude' => '-5.4139154'),
        array('province_id' => '37','town' => 'Moriscos','id' => '5523','slug' => 'moriscos','latitude' => '41.0083067','longitude' => '-5.5832518'),
        array('province_id' => '37','town' => 'Moronta','id' => '5524','slug' => 'moronta','latitude' => '40.9780006','longitude' => '-6.4322414'),
        array('province_id' => '37','town' => 'Mozárbez','id' => '5525','slug' => 'mozrbez','latitude' => '40.8579013','longitude' => '-5.6514778'),
        array('province_id' => '37','town' => 'Narros de Matalayegua','id' => '5526','slug' => 'narros-de-matalayegua','latitude' => '40.6986566','longitude' => '-5.9275925'),
        array('province_id' => '37','town' => 'Nava de Béjar','id' => '5527','slug' => 'nava-de-bjar','latitude' => '40.4750592','longitude' => '-5.6778169'),
        array('province_id' => '37','town' => 'Nava de Francia','id' => '5528','slug' => 'nava-de-francia','latitude' => '40.5355801','longitude' => '-6.1168578'),
        array('province_id' => '37','town' => 'Nava de Sotrobal','id' => '5529','slug' => 'nava-de-sotrobal','latitude' => '40.8895527','longitude' => '-5.2864406'),
        array('province_id' => '37','town' => 'Navacarros','id' => '5530','slug' => 'navacarros','latitude' => '40.3968778','longitude' => '-5.7143884'),
        array('province_id' => '37','town' => 'Navales','id' => '5531','slug' => 'navales','latitude' => '40.7888591','longitude' => '-5.4798766'),
        array('province_id' => '37','town' => 'Navalmoral de Béjar','id' => '5532','slug' => 'navalmoral-de-bjar','latitude' => '40.422452','longitude' => '-5.7830308'),
        array('province_id' => '37','town' => 'Navamorales','id' => '5533','slug' => 'navamorales','latitude' => '40.4761927','longitude' => '-5.4776256'),
        array('province_id' => '37','town' => 'Navarredonda de la Rinconada','id' => '5534','slug' => 'navarredonda-de-la-rinconada','latitude' => '40.6066926','longitude' => '-6.0123873'),
        array('province_id' => '37','town' => 'Navasfrías','id' => '5535','slug' => 'navasfras','latitude' => '40.2964098','longitude' => '-6.8201082'),
        array('province_id' => '37','town' => 'Negrilla de Palencia','id' => '5536','slug' => 'negrilla-de-palencia','latitude' => '41.0921025','longitude' => '-5.5931868'),
        array('province_id' => '37','town' => 'Olmedo de Camaces','id' => '5537','slug' => 'olmedo-de-camaces','latitude' => '40.8791612','longitude' => '-6.623679'),
        array('province_id' => '37','town' => 'Orbada, La','id' => '5538','slug' => 'orbada-la','latitude' => '41.1032015','longitude' => '-5.4851534'),
        array('province_id' => '37','town' => 'Pajares de la Laguna','id' => '5539','slug' => 'pajares-de-la-laguna','latitude' => '41.0875867','longitude' => '-5.5090552'),
        array('province_id' => '37','town' => 'Palacios del Arzobispo','id' => '5540','slug' => 'palacios-del-arzobispo','latitude' => '41.1655775','longitude' => '-5.8900379'),
        array('province_id' => '37','town' => 'Palaciosrubios','id' => '5541','slug' => 'palaciosrubios','latitude' => '41.0525585','longitude' => '-5.1953401'),
        array('province_id' => '37','town' => 'Palencia de Negrilla','id' => '5542','slug' => 'palencia-de-negrilla','latitude' => '41.093872','longitude' => '-5.6023612'),
        array('province_id' => '37','town' => 'Parada de Arriba','id' => '5543','slug' => 'parada-de-arriba','latitude' => '40.9870491','longitude' => '-5.7926489'),
        array('province_id' => '37','town' => 'Parada de Rubiales','id' => '5544','slug' => 'parada-de-rubiales','latitude' => '41.1472447','longitude' => '-5.4343466'),
        array('province_id' => '37','town' => 'Paradinas de San Juan','id' => '5545','slug' => 'paradinas-de-san-juan','latitude' => '40.9835325','longitude' => '-5.1533117'),
        array('province_id' => '37','town' => 'Pastores','id' => '5546','slug' => 'pastores','latitude' => '40.5151282','longitude' => '-6.5093229'),
        array('province_id' => '37','town' => 'Payo, El','id' => '5547','slug' => 'payo-el','latitude' => '40.2874978','longitude' => '-6.7264837'),
        array('province_id' => '37','town' => 'Pedraza de Alba','id' => '5548','slug' => 'pedraza-de-alba','latitude' => '40.7543847','longitude' => '-5.3752936'),
        array('province_id' => '37','town' => 'Pedrosillo de Alba','id' => '5549','slug' => 'pedrosillo-de-alba','latitude' => '40.8225353','longitude' => '-5.3954487'),
        array('province_id' => '37','town' => 'Pedrosillo de los Aires','id' => '5550','slug' => 'pedrosillo-de-los-aires','latitude' => '40.7145162','longitude' => '-5.7050289'),
        array('province_id' => '37','town' => 'Pedrosillo el Ralo','id' => '5551','slug' => 'pedrosillo-el-ralo','latitude' => '41.0629067','longitude' => '-5.5498435'),
        array('province_id' => '37','town' => 'Pedroso de la Armuña, El','id' => '5552','slug' => 'pedroso-de-la-armua-el','latitude' => '41.0802621','longitude' => '-5.3997363'),
        array('province_id' => '37','town' => 'Pelabravo','id' => '5553','slug' => 'pelabravo','latitude' => '40.9366876','longitude' => '-5.5781268'),
        array('province_id' => '37','town' => 'Pelarrodríguez','id' => '5554','slug' => 'pelarrodrguez','latitude' => '40.887461','longitude' => '-6.2128317'),
        array('province_id' => '37','town' => 'Pelayos','id' => '5555','slug' => 'pelayos','latitude' => '40.6491082','longitude' => '-5.5747609'),
        array('province_id' => '37','town' => 'Peña, La','id' => '5556','slug' => 'pea-la','latitude' => '40.9714929','longitude' => '-5.6743561'),
        array('province_id' => '37','town' => 'Peñacaballera','id' => '5557','slug' => 'peacaballera','latitude' => '40.3441118','longitude' => '-5.860608'),
        array('province_id' => '37','town' => 'Peñaparda','id' => '5558','slug' => 'peaparda','latitude' => '40.3207053','longitude' => '-6.6702396'),
        array('province_id' => '37','town' => 'Peñaranda de Bracamonte','id' => '5559','slug' => 'pearanda-de-bracamonte','latitude' => '40.9039395','longitude' => '-5.2028958'),
        array('province_id' => '37','town' => 'Peñarandilla','id' => '5560','slug' => 'pearandilla','latitude' => '40.8821896','longitude' => '-5.3920902'),
        array('province_id' => '37','town' => 'Peralejos de Abajo','id' => '5561','slug' => 'peralejos-de-abajo','latitude' => '41.0055488','longitude' => '-6.3643856'),
        array('province_id' => '37','town' => 'Peralejos de Arriba','id' => '5562','slug' => 'peralejos-de-arriba','latitude' => '41.0066068','longitude' => '-6.3335608'),
        array('province_id' => '37','town' => 'Pereña de la Ribera','id' => '5563','slug' => 'perea-de-la-ribera','latitude' => '41.2404444','longitude' => '-6.5239114'),
        array('province_id' => '37','town' => 'Peromingo','id' => '5564','slug' => 'peromingo','latitude' => '40.4643294','longitude' => '-5.7726833'),
        array('province_id' => '37','town' => 'Pinedas','id' => '5565','slug' => 'pinedas','latitude' => '40.445335','longitude' => '-5.9600916'),
        array('province_id' => '37','town' => 'Pino de Tormes, El','id' => '5566','slug' => 'pino-de-tormes-el','latitude' => '40.8062137','longitude' => '-5.8092551'),
        array('province_id' => '37','town' => 'Pitiegua','id' => '5567','slug' => 'pitiegua','latitude' => '41.0614475','longitude' => '-5.4679378'),
        array('province_id' => '37','town' => 'Pizarral','id' => '5568','slug' => 'pizarral','latitude' => '40.6161234','longitude' => '-5.6528214'),
        array('province_id' => '37','town' => 'Poveda de las Cintas','id' => '5569','slug' => 'poveda-de-las-cintas','latitude' => '41.0473686','longitude' => '-5.2622023'),
        array('province_id' => '37','town' => 'Pozos de Hinojo','id' => '5570','slug' => 'pozos-de-hinojo','latitude' => '40.9123676','longitude' => '-6.4112809'),
        array('province_id' => '37','town' => 'Puebla de Azaba','id' => '5571','slug' => 'puebla-de-azaba','latitude' => '40.4475061','longitude' => '-6.7477592'),
        array('province_id' => '37','town' => 'Puebla de San Medel','id' => '5572','slug' => 'puebla-de-san-medel','latitude' => '40.5114468','longitude' => '-5.7363282'),
        array('province_id' => '37','town' => 'Puebla de Yeltes','id' => '5573','slug' => 'puebla-de-yeltes','latitude' => '40.6264902','longitude' => '-6.1821603'),
        array('province_id' => '37','town' => 'Puente del Congosto','id' => '5574','slug' => 'puente-del-congosto','latitude' => '40.4893371','longitude' => '-5.5269887'),
        array('province_id' => '37','town' => 'Puertas','id' => '5575','slug' => 'puertas','latitude' => '41.0967985','longitude' => '-6.287927'),
        array('province_id' => '37','town' => 'Puerto de Béjar','id' => '5576','slug' => 'puerto-de-bjar','latitude' => '40.3513298','longitude' => '-5.837565'),
        array('province_id' => '37','town' => 'Puerto Seguro','id' => '5577','slug' => 'puerto-seguro','latitude' => '40.8263503','longitude' => '-6.7610163'),
        array('province_id' => '37','town' => 'Rágama','id' => '5578','slug' => 'rgama','latitude' => '40.9970223','longitude' => '-5.1277475'),
        array('province_id' => '37','town' => 'Redonda, La','id' => '5579','slug' => 'redonda-la','latitude' => '40.9403598','longitude' => '-5.502288'),
        array('province_id' => '37','town' => 'Retortillo','id' => '5580','slug' => 'retortillo','latitude' => '40.801686','longitude' => '-6.3597673'),
        array('province_id' => '37','town' => 'Rinconada de la Sierra, La','id' => '5581','slug' => 'rinconada-de-la-sierra-la','latitude' => '40.6116706','longitude' => '-6.0207957'),
        array('province_id' => '37','town' => 'Robleda','id' => '5582','slug' => 'robleda','latitude' => '40.3850922','longitude' => '-6.6084612'),
        array('province_id' => '37','town' => 'Robliza de Cojos','id' => '5583','slug' => 'robliza-de-cojos','latitude' => '40.8674253','longitude' => '-5.977132'),
        array('province_id' => '37','town' => 'Rollán','id' => '5584','slug' => 'rolln','latitude' => '40.9634582','longitude' => '-5.9156014'),
        array('province_id' => '37','town' => 'Saelices el Chico','id' => '5585','slug' => 'saelices-el-chico','latitude' => '40.6683923','longitude' => '-6.6340016'),
        array('province_id' => '37','town' => 'Sagrada, La','id' => '5586','slug' => 'sagrada-la','latitude' => '40.9748669','longitude' => '-5.6729915'),
        array('province_id' => '37','town' => 'Sahugo, El','id' => '5587','slug' => 'sahugo-el','latitude' => '40.4142484','longitude' => '-6.5443053'),
        array('province_id' => '37','town' => 'Salamanca','id' => '5588','slug' => 'salamanca','latitude' => '40.9649681','longitude' => '-5.6630253'),
        array('province_id' => '37','town' => 'Saldeana','id' => '5589','slug' => 'saldeana','latitude' => '41.0205824','longitude' => '-6.6397343'),
        array('province_id' => '37','town' => 'Salmoral','id' => '5590','slug' => 'salmoral','latitude' => '40.8014298','longitude' => '-5.2204648'),
        array('province_id' => '37','town' => 'Salvatierra de Tormes','id' => '5591','slug' => 'salvatierra-de-tormes','latitude' => '40.5895869','longitude' => '-5.5964519'),
        array('province_id' => '37','town' => 'San Cristóbal de la Cuesta','id' => '5592','slug' => 'san-cristbal-de-la-cuesta','latitude' => '41.0301644','longitude' => '-5.6184618'),
        array('province_id' => '37','town' => 'San Esteban de la Sierra','id' => '5593','slug' => 'san-esteban-de-la-sierra','latitude' => '40.5065952','longitude' => '-5.9061659'),
        array('province_id' => '37','town' => 'San Felices de los Gallegos','id' => '5594','slug' => 'san-felices-de-los-gallegos','latitude' => '40.850189','longitude' => '-6.7065189'),
        array('province_id' => '37','town' => 'San Martín del Castañar','id' => '5595','slug' => 'san-martn-del-castaar','latitude' => '40.5230906','longitude' => '-6.0646281'),
        array('province_id' => '37','town' => 'San Miguel de Valero','id' => '5596','slug' => 'san-miguel-de-valero','latitude' => '40.5422301','longitude' => '-5.9223202'),
        array('province_id' => '37','town' => 'San Miguel del Robledo','id' => '5597','slug' => 'san-miguel-del-robledo','latitude' => '40.5363824','longitude' => '-6.0435347'),
        array('province_id' => '37','town' => 'San Morales','id' => '5598','slug' => 'san-morales','latitude' => '40.9930413','longitude' => '-5.5027808'),
        array('province_id' => '37','town' => 'San Muñoz','id' => '5599','slug' => 'san-muoz','latitude' => '40.7823278','longitude' => '-6.1272841'),
        array('province_id' => '37','town' => 'San Pedro de Rozados','id' => '5600','slug' => 'san-pedro-de-rozados','latitude' => '40.7903333','longitude' => '-5.7376676'),
        array('province_id' => '37','town' => 'San Pedro del Valle','id' => '5601','slug' => 'san-pedro-del-valle','latitude' => '41.0331094','longitude' => '-5.8603582'),
        array('province_id' => '37','town' => 'San Pelayo de Guareña','id' => '5602','slug' => 'san-pelayo-de-guarea','latitude' => '41.1173814','longitude' => '-5.8578846'),
        array('province_id' => '37','town' => 'Sanchón de la Ribera','id' => '5603','slug' => 'sanchn-de-la-ribera','latitude' => '41.0877589','longitude' => '-6.4134124'),
        array('province_id' => '37','town' => 'Sanchón de la Sagrada','id' => '5604','slug' => 'sanchn-de-la-sagrada','latitude' => '40.7445963','longitude' => '-6.0247156'),
        array('province_id' => '37','town' => 'Sanchotello','id' => '5605','slug' => 'sanchotello','latitude' => '40.4379058','longitude' => '-5.7527285'),
        array('province_id' => '37','town' => 'Sancti-Spíritus','id' => '5606','slug' => '5606-sancti-spritus','latitude' => '40.7051757','longitude' => '-6.4009112'),
        array('province_id' => '37','town' => 'Sando','id' => '5607','slug' => 'sando','latitude' => '40.9671764','longitude' => '-6.111295'),
        array('province_id' => '37','town' => 'Santa María de Sando','id' => '5608','slug' => 'santa-mara-de-sando','latitude' => '40.9798962','longitude' => '-6.1303945'),
        array('province_id' => '37','town' => 'Santa Marta de Tormes','id' => '5609','slug' => 'santa-marta-de-tormes','latitude' => '40.9500518','longitude' => '-5.6333734'),
        array('province_id' => '37','town' => 'Santiago de la Puebla','id' => '5610','slug' => 'santiago-de-la-puebla','latitude' => '40.8023017','longitude' => '-5.2793402'),
        array('province_id' => '37','town' => 'Santibáñez de Béjar','id' => '5611','slug' => 'santibez-de-bjar','latitude' => '40.487598','longitude' => '-5.6113733'),
        array('province_id' => '37','town' => 'Santibáñez de la Sierra','id' => '5612','slug' => 'santibez-de-la-sierra','latitude' => '40.4943757','longitude' => '-5.9155236'),
        array('province_id' => '37','town' => 'Santiz','id' => '5613','slug' => 'santiz','latitude' => '41.2057504','longitude' => '-5.8957411'),
        array('province_id' => '37','town' => 'Santos, Los','id' => '5614','slug' => 'santos-los','latitude' => '40.9623386','longitude' => '-5.6528143'),
        array('province_id' => '37','town' => 'Sardón de los Frailes','id' => '5615','slug' => 'sardn-de-los-frailes','latitude' => '41.2119288','longitude' => '-6.27084'),
        array('province_id' => '37','town' => 'Saucelle','id' => '5616','slug' => 'saucelle','latitude' => '41.0475507','longitude' => '-6.7531593'),
        array('province_id' => '37','town' => 'Sepulcro-Hilario','id' => '5617','slug' => 'sepulcro-hilario','latitude' => '40.6979477','longitude' => '-6.1881339'),
        array('province_id' => '37','town' => 'Sequeros','id' => '5618','slug' => 'sequeros','latitude' => '40.5139034','longitude' => '-6.0245131'),
        array('province_id' => '37','town' => 'Serradilla del Arroyo','id' => '5619','slug' => 'serradilla-del-arroyo','latitude' => '40.5213834','longitude' => '-6.3600041'),
        array('province_id' => '37','town' => 'Serradilla del Llano','id' => '5620','slug' => 'serradilla-del-llano','latitude' => '40.5006262','longitude' => '-6.3557681'),
        array('province_id' => '37','town' => 'Sierpe, La','id' => '5621','slug' => 'sierpe-la','latitude' => '40.9635942','longitude' => '-5.6686585'),
        array('province_id' => '37','town' => 'Sieteiglesias de Tormes','id' => '5622','slug' => 'sieteiglesias-de-tormes','latitude' => '40.7415793','longitude' => '-5.5775669'),
        array('province_id' => '37','town' => 'Sobradillo','id' => '5623','slug' => 'sobradillo','latitude' => '40.9171995','longitude' => '-6.7995298'),
        array('province_id' => '37','town' => 'Sorihuela','id' => '5624','slug' => 'sorihuela','latitude' => '40.4443922','longitude' => '-5.6776921'),
        array('province_id' => '37','town' => 'Sotoserrano','id' => '5625','slug' => 'sotoserrano','latitude' => '40.4360417','longitude' => '-6.0325644'),
        array('province_id' => '37','town' => 'Tabera de Abajo','id' => '5626','slug' => 'tabera-de-abajo','latitude' => '40.910375','longitude' => '-6.0011024'),
        array('province_id' => '37','town' => 'Tala, La','id' => '5627','slug' => 'tala-la','latitude' => '40.589687','longitude' => '-5.5376115'),
        array('province_id' => '37','town' => 'Tamames','id' => '5628','slug' => 'tamames','latitude' => '40.6568185','longitude' => '-6.1041064'),
        array('province_id' => '37','town' => 'Tarazona de Guareña','id' => '5629','slug' => 'tarazona-de-guarea','latitude' => '41.1709408','longitude' => '-5.2497318'),
        array('province_id' => '37','town' => 'Tardáguila','id' => '5630','slug' => 'tardguila','latitude' => '41.1147896','longitude' => '-5.5754805'),
        array('province_id' => '37','town' => 'Tejado, El','id' => '5631','slug' => 'tejado-el','latitude' => '40.9640707','longitude' => '-5.6718826'),
        array('province_id' => '37','town' => 'Tejeda y Segoyuela','id' => '5632','slug' => 'tejeda-y-segoyuela','latitude' => '40.6321481','longitude' => '-6.0226228'),
        array('province_id' => '37','town' => 'Tenebrón','id' => '5633','slug' => 'tenebrn','latitude' => '40.6240369','longitude' => '-6.3551149'),
        array('province_id' => '37','town' => 'Terradillos','id' => '5634','slug' => 'terradillos','latitude' => '40.8398506','longitude' => '-5.5424615'),
        array('province_id' => '37','town' => 'Topas','id' => '5635','slug' => 'topas','latitude' => '41.1568151','longitude' => '-5.6346217'),
        array('province_id' => '37','town' => 'Tordillos','id' => '5636','slug' => 'tordillos','latitude' => '40.8542135','longitude' => '-5.3524303'),
        array('province_id' => '37','town' => 'Tornadizo, El','id' => '5637','slug' => 'tornadizo-el','latitude' => '40.5427199','longitude' => '-5.8925537'),
        array('province_id' => '37','town' => 'Torresmenudas','id' => '5638','slug' => 'torresmenudas','latitude' => '41.1022041','longitude' => '-5.7859655'),
        array('province_id' => '37','town' => 'Trabanca','id' => '5639','slug' => 'trabanca','latitude' => '41.2329224','longitude' => '-6.3846841'),
        array('province_id' => '37','town' => 'Tremedal de Tormes','id' => '5640','slug' => 'tremedal-de-tormes','latitude' => '41.0755957','longitude' => '-6.1814315'),
        array('province_id' => '37','town' => 'Valdecarros','id' => '5641','slug' => 'valdecarros','latitude' => '40.7695984','longitude' => '-5.4230061'),
        array('province_id' => '37','town' => 'Valdefuentes de Sangusín','id' => '5642','slug' => 'valdefuentes-de-sangusn','latitude' => '40.4653916','longitude' => '-5.8295453'),
        array('province_id' => '37','town' => 'Valdehijaderos','id' => '5643','slug' => 'valdehijaderos','latitude' => '40.4196302','longitude' => '-5.8477472'),
        array('province_id' => '37','town' => 'Valdelacasa','id' => '5644','slug' => 'valdelacasa','latitude' => '40.5061053','longitude' => '-5.7634291'),
        array('province_id' => '37','town' => 'Valdelageve','id' => '5645','slug' => 'valdelageve','latitude' => '40.3691447','longitude' => '-5.9895173'),
        array('province_id' => '37','town' => 'Valdelosa','id' => '5646','slug' => 'valdelosa','latitude' => '41.170962','longitude' => '-5.782762'),
        array('province_id' => '37','town' => 'Valdemierque','id' => '5647','slug' => 'valdemierque','latitude' => '40.8214744','longitude' => '-5.5833851'),
        array('province_id' => '37','town' => 'Valderrodrigo','id' => '5648','slug' => 'valderrodrigo','latitude' => '41.0655211','longitude' => '-6.5087748'),
        array('province_id' => '37','town' => 'Valdunciel','id' => '5649','slug' => 'valdunciel','latitude' => '41.0852319','longitude' => '-5.6715521'),
        array('province_id' => '37','town' => 'Valero','id' => '5650','slug' => 'valero','latitude' => '40.53548','longitude' => '-5.9424482'),
        array('province_id' => '37','town' => 'Vallejera de Riofrío','id' => '5651','slug' => 'vallejera-de-riofro','latitude' => '40.4091464','longitude' => '-5.7213837'),
        array('province_id' => '37','town' => 'Valsalabroso','id' => '5652','slug' => 'valsalabroso','latitude' => '41.1092285','longitude' => '-6.5014434'),
        array('province_id' => '37','town' => 'Valverde de Valdelacasa','id' => '5653','slug' => 'valverde-de-valdelacasa','latitude' => '40.4812437','longitude' => '-5.7817479'),
        array('province_id' => '37','town' => 'Valverdón','id' => '5654','slug' => 'valverdn','latitude' => '41.0474776','longitude' => '-5.7703268'),
        array('province_id' => '37','town' => 'Vecinos','id' => '5655','slug' => 'vecinos','latitude' => '40.7794222','longitude' => '-5.8770726'),
        array('province_id' => '37','town' => 'Vega de Tirados','id' => '5656','slug' => 'vega-de-tirados','latitude' => '41.0253855','longitude' => '-5.8870081'),
        array('province_id' => '37','town' => 'Veguillas, Las','id' => '5657','slug' => 'veguillas-las','latitude' => '40.9713988','longitude' => '-5.6731084'),
        array('province_id' => '37','town' => 'Vellés, La','id' => '5658','slug' => 'vells-la','latitude' => '40.9673681','longitude' => '-5.6714984'),
        array('province_id' => '37','town' => 'Ventosa del Río Almar','id' => '5659','slug' => 'ventosa-del-ro-almar','latitude' => '40.9288786','longitude' => '-5.3481635'),
        array('province_id' => '37','town' => 'Vídola, La','id' => '5660','slug' => 'vdola-la','latitude' => '41.1533852','longitude' => '-6.4877278'),
        array('province_id' => '37','town' => 'Villaflores','id' => '5661','slug' => 'villaflores','latitude' => '41.0839896','longitude' => '-5.2333434'),
        array('province_id' => '37','town' => 'Villagonzalo de Tormes','id' => '5662','slug' => 'villagonzalo-de-tormes','latitude' => '40.9403598','longitude' => '-5.502288'),
        array('province_id' => '37','town' => 'Villalba de los Llanos','id' => '5663','slug' => 'villalba-de-los-llanos','latitude' => '40.800808','longitude' => '-5.9732137'),
        array('province_id' => '37','town' => 'Villamayor','id' => '5664','slug' => 'villamayor','latitude' => '41.0008248','longitude' => '-5.6897903'),
        array('province_id' => '37','town' => 'Villanueva del Conde','id' => '5665','slug' => 'villanueva-del-conde','latitude' => '40.5104008','longitude' => '-6.0123124'),
        array('province_id' => '37','town' => 'Villar de Argañán','id' => '5666','slug' => 'villar-de-argan','latitude' => '40.6739444','longitude' => '-6.719632'),
        array('province_id' => '37','town' => 'Villar de Ciervo','id' => '5667','slug' => 'villar-de-ciervo','latitude' => '40.7364538','longitude' => '-6.7397746'),
        array('province_id' => '37','town' => 'Villar de Gallimazo','id' => '5668','slug' => 'villar-de-gallimazo','latitude' => '40.9538995','longitude' => '-5.2882696'),
        array('province_id' => '37','town' => 'Villar de la Yegua','id' => '5669','slug' => 'villar-de-la-yegua','latitude' => '40.7249783','longitude' => '-6.7045786'),
        array('province_id' => '37','town' => 'Villar de Peralonso','id' => '5670','slug' => 'villar-de-peralonso','latitude' => '41.0319409','longitude' => '-6.2219447'),
        array('province_id' => '37','town' => 'Villar de Samaniego','id' => '5671','slug' => 'villar-de-samaniego','latitude' => '41.1227941','longitude' => '-6.4458638'),
        array('province_id' => '37','town' => 'Villares de la Reina','id' => '5672','slug' => 'villares-de-la-reina','latitude' => '41.0065131','longitude' => '-5.6476119'),
        array('province_id' => '37','town' => 'Villares de Yeltes','id' => '5673','slug' => 'villares-de-yeltes','latitude' => '40.8674213','longitude' => '-6.4132835'),
        array('province_id' => '37','town' => 'Villarino de los Aires','id' => '5674','slug' => 'villarino-de-los-aires','latitude' => '41.2693515','longitude' => '-6.4690701'),
        array('province_id' => '37','town' => 'Villarmayor','id' => '5675','slug' => 'villarmayor','latitude' => '41.014656','longitude' => '-5.9719475'),
        array('province_id' => '37','town' => 'Villarmuerto','id' => '5676','slug' => 'villarmuerto','latitude' => '41.0562782','longitude' => '-6.3621946'),
        array('province_id' => '37','town' => 'Villasbuenas','id' => '5677','slug' => 'villasbuenas','latitude' => '41.0620935','longitude' => '-6.5957103'),
        array('province_id' => '37','town' => 'Villasdardo','id' => '5678','slug' => 'villasdardo','latitude' => '41.0045802','longitude' => '-6.1630213'),
        array('province_id' => '37','town' => 'Villaseco de los Gamitos','id' => '5679','slug' => 'villaseco-de-los-gamitos','latitude' => '41.0376973','longitude' => '-6.1135454'),
        array('province_id' => '37','town' => 'Villaseco de los Reyes','id' => '5680','slug' => 'villaseco-de-los-reyes','latitude' => '41.1626251','longitude' => '-6.1845825'),
        array('province_id' => '37','town' => 'Villasrubias','id' => '5681','slug' => 'villasrubias','latitude' => '40.3380957','longitude' => '-6.6402746'),
        array('province_id' => '37','town' => 'Villaverde de Guareña','id' => '5682','slug' => 'villaverde-de-guarea','latitude' => '41.0638985','longitude' => '-5.5262495'),
        array('province_id' => '37','town' => 'Villavieja de Yeltes','id' => '5683','slug' => 'villavieja-de-yeltes','latitude' => '40.8760539','longitude' => '-6.46762'),
        array('province_id' => '37','town' => 'Villoria','id' => '5684','slug' => 'villoria','latitude' => '40.9944946','longitude' => '-5.3746717'),
        array('province_id' => '37','town' => 'Villoruela','id' => '5685','slug' => 'villoruela','latitude' => '41.0076864','longitude' => '-5.3946052'),
        array('province_id' => '37','town' => 'Vilvestre','id' => '5686','slug' => 'vilvestre','latitude' => '41.1030095','longitude' => '-6.7185172'),
        array('province_id' => '37','town' => 'Vitigudino','id' => '5687','slug' => 'vitigudino','latitude' => '41.0088843','longitude' => '-6.4383796'),
        array('province_id' => '37','town' => 'Yecla de Yeltes','id' => '5688','slug' => 'yecla-de-yeltes','latitude' => '40.9595582','longitude' => '-6.4885214'),
        array('province_id' => '37','town' => 'Zamarra','id' => '5689','slug' => 'zamarra','latitude' => '40.5183669','longitude' => '-6.4539927'),
        array('province_id' => '37','town' => 'Zamayón','id' => '5690','slug' => 'zamayn','latitude' => '41.1482411','longitude' => '-5.8301142'),
        array('province_id' => '37','town' => 'Zarapicos','id' => '5691','slug' => 'zarapicos','latitude' => '41.038873','longitude' => '-5.8442895'),
        array('province_id' => '37','town' => 'Zarza de Pumareda, La','id' => '5692','slug' => 'zarza-de-pumareda-la','latitude' => '41.1628291','longitude' => '-6.6275714'),
        array('province_id' => '37','town' => 'Zorita de la Frontera','id' => '5693','slug' => 'zorita-de-la-frontera','latitude' => '41.0142901','longitude' => '-5.1972377'),
        array('province_id' => '38','town' => 'Adeje','id' => '5694','slug' => 'adeje','latitude' => '28.1218455','longitude' => '-16.7246398'),
        array('province_id' => '38','town' => 'Agulo','id' => '5695','slug' => 'agulo','latitude' => '28.1867238','longitude' => '-17.1959136'),
        array('province_id' => '38','town' => 'Alajeró','id' => '5696','slug' => 'alajer','latitude' => '28.0627558','longitude' => '-17.2390241'),
        array('province_id' => '38','town' => 'Arafo','id' => '5697','slug' => 'arafo','latitude' => '28.3407188','longitude' => '-16.4151178'),
        array('province_id' => '38','town' => 'Arico','id' => '5698','slug' => 'arico','latitude' => '28.1777999','longitude' => '-16.4794096'),
        array('province_id' => '38','town' => 'Arona','id' => '5699','slug' => 'arona','latitude' => '28.1004729','longitude' => '-16.6806579'),
        array('province_id' => '38','town' => 'Barlovento','id' => '5700','slug' => 'barlovento','latitude' => '28.827348','longitude' => '-17.8032559'),
        array('province_id' => '38','town' => 'Breña Alta','id' => '5701','slug' => 'brea-alta','latitude' => '28.659051','longitude' => '-17.791189'),
        array('province_id' => '38','town' => 'Breña Baja','id' => '5702','slug' => 'brea-baja','latitude' => '28.6333333','longitude' => '-17.7666667'),
        array('province_id' => '38','town' => 'Buenavista del Norte','id' => '5703','slug' => 'buenavista-del-norte','latitude' => '28.370286','longitude' => '-16.8502412'),
        array('province_id' => '38','town' => 'Candelaria','id' => '5704','slug' => 'candelaria','latitude' => '28.3527556','longitude' => '-16.3701274'),
        array('province_id' => '38','town' => 'Fasnia','id' => '5705','slug' => 'fasnia','latitude' => '28.2399644','longitude' => '-16.4398182'),
        array('province_id' => '38','town' => 'Frontera','id' => '5706','slug' => 'frontera','latitude' => '27.7537946','longitude' => '-18.0036424'),
        array('province_id' => '38','town' => 'Fuencaliente de la Palma','id' => '5707','slug' => 'fuencaliente-de-la-palma','latitude' => '28.488502','longitude' => '-17.849423'),
        array('province_id' => '38','town' => 'Garachico','id' => '5708','slug' => 'garachico','latitude' => '28.3721737','longitude' => '-16.7652057'),
        array('province_id' => '38','town' => 'Garafía','id' => '5709','slug' => 'garafa','latitude' => '28.8166667','longitude' => '-17.9166667'),
        array('province_id' => '38','town' => 'Granadilla de Abona','id' => '5710','slug' => 'granadilla-de-abona','latitude' => '28.1201823','longitude' => '-16.5769094'),
        array('province_id' => '38','town' => 'Guancha, La','id' => '5711','slug' => 'guancha-la','latitude' => '28.2915637','longitude' => '-16.6291304'),
        array('province_id' => '38','town' => 'Guía de Isora','id' => '5712','slug' => 'gua-de-isora','latitude' => '28.2099473','longitude' => '-16.7790034'),
        array('province_id' => '38','town' => 'Güímar','id' => '5713','slug' => 'gmar','latitude' => '28.317227','longitude' => '-16.4132537'),
        array('province_id' => '38','town' => 'Hermigua','id' => '5714','slug' => 'hermigua','latitude' => '28.1672468','longitude' => '-17.1920607'),
        array('province_id' => '38','town' => 'Icod de los Vinos','id' => '5715','slug' => 'icod-de-los-vinos','latitude' => '28.3676044','longitude' => '-16.7188606'),
        array('province_id' => '38','town' => 'Llanos de Aridane, Los','id' => '5716','slug' => 'llanos-de-aridane-los','latitude' => '28.656193','longitude' => '-17.9113697'),
        array('province_id' => '38','town' => 'Matanza de Acentejo, La','id' => '5717','slug' => 'matanza-de-acentejo-la','latitude' => '28.2915637','longitude' => '-16.6291304'),
        array('province_id' => '38','town' => 'Orotava, La','id' => '5718','slug' => 'orotava-la','latitude' => '28.3910821','longitude' => '-16.5235448'),
        array('province_id' => '38','town' => 'Paso, El','id' => '5719','slug' => 'paso-el','latitude' => '28.2915637','longitude' => '-16.6291304'),
        array('province_id' => '38','town' => 'Pinar de El Hierro, El','id' => '5720','slug' => 'pinar-de-el-hierro-el','latitude' => '28.46981','longitude' => '-16.2548558'),
        array('province_id' => '38','town' => 'Puerto de la Cruz','id' => '5721','slug' => 'puerto-de-la-cruz','latitude' => '28.4133926','longitude' => '-16.5451558'),
        array('province_id' => '38','town' => 'Puntagorda','id' => '5722','slug' => 'puntagorda','latitude' => '28.75','longitude' => '-17.966667'),
        array('province_id' => '38','town' => 'Puntallana','id' => '5723','slug' => 'puntallana','latitude' => '28.734913','longitude' => '-17.750905'),
        array('province_id' => '38','town' => 'Realejos, Los','id' => '5724','slug' => 'realejos-los','latitude' => '28.2915637','longitude' => '-16.6291304'),
        array('province_id' => '38','town' => 'Rosario, El','id' => '5725','slug' => 'rosario-el','latitude' => '28.4244458','longitude' => '-16.2936924'),
        array('province_id' => '38','town' => 'San Andrés y Sauces','id' => '5726','slug' => 'san-andrs-y-sauces','latitude' => '28.8','longitude' => '-17.7666667'),
        array('province_id' => '38','town' => 'San Cristóbal de La Laguna','id' => '5727','slug' => 'san-cristbal-de-la-laguna','latitude' => '28.4881163','longitude' => '-16.3147761'),
        array('province_id' => '38','town' => 'San Juan de la Rambla','id' => '5728','slug' => 'san-juan-de-la-rambla','latitude' => '28.3946435','longitude' => '-16.6504671'),
        array('province_id' => '38','town' => 'San Miguel de Abona','id' => '5729','slug' => 'san-miguel-de-abona','latitude' => '28.0983838','longitude' => '-16.6171536'),
        array('province_id' => '38','town' => 'San Sebastián de la Gomera','id' => '5730','slug' => 'san-sebastin-de-la-gomera','latitude' => '28.0922245','longitude' => '-17.111874'),
        array('province_id' => '38','town' => 'Santa Cruz de la Palma','id' => '5731','slug' => 'santa-cruz-de-la-palma','latitude' => '28.6832638','longitude' => '-17.7639631'),
        array('province_id' => '38','town' => 'Santa Cruz de Tenerife','id' => '5732','slug' => 'santa-cruz-de-tenerife','latitude' => '28.46981','longitude' => '-16.2548558'),
        array('province_id' => '38','town' => 'Santa Úrsula','id' => '5733','slug' => 'santa-rsula','latitude' => '28.4254894','longitude' => '-16.4889089'),
        array('province_id' => '38','town' => 'Santiago del Teide','id' => '5734','slug' => 'santiago-del-teide','latitude' => '28.2961444','longitude' => '-16.8146113'),
        array('province_id' => '38','town' => 'Sauzal, El','id' => '5735','slug' => 'sauzal-el','latitude' => '28.2915637','longitude' => '-16.6291304'),
        array('province_id' => '38','town' => 'Silos, Los','id' => '5736','slug' => 'silos-los','latitude' => '28.2915637','longitude' => '-16.6291304'),
        array('province_id' => '38','town' => 'Tacoronte','id' => '5737','slug' => 'tacoronte','latitude' => '28.4815286','longitude' => '-16.4119972'),
        array('province_id' => '38','town' => 'Tanque, El','id' => '5738','slug' => 'tanque-el','latitude' => '28.3640482','longitude' => '-16.7717154'),
        array('province_id' => '38','town' => 'Tazacorte','id' => '5739','slug' => 'tazacorte','latitude' => '28.6427023','longitude' => '-17.9322413'),
        array('province_id' => '38','town' => 'Tegueste','id' => '5740','slug' => 'tegueste','latitude' => '28.5232809','longitude' => '-16.3335319'),
        array('province_id' => '38','town' => 'Tijarafe','id' => '5741','slug' => 'tijarafe','latitude' => '28.669843','longitude' => '-17.940517'),
        array('province_id' => '38','town' => 'Valle Gran Rey','id' => '5742','slug' => 'valle-gran-rey','latitude' => '28.1235666','longitude' => '-17.3257545'),
        array('province_id' => '38','town' => 'Vallehermoso','id' => '5743','slug' => 'vallehermoso','latitude' => '28.1790184','longitude' => '-17.2640653'),
        array('province_id' => '38','town' => 'Valverde','id' => '5744','slug' => 'valverde','latitude' => '27.8089013','longitude' => '-17.9156604'),
        array('province_id' => '38','town' => 'Victoria de Acentejo, La','id' => '5745','slug' => 'victoria-de-acentejo-la','latitude' => '28.2915637','longitude' => '-16.6291304'),
        array('province_id' => '38','town' => 'Vilaflor','id' => '5746','slug' => 'vilaflor','latitude' => '28.1572842','longitude' => '-16.6381045'),
        array('province_id' => '38','town' => 'Villa de Mazo','id' => '5747','slug' => 'villa-de-mazo','latitude' => '28.5811','longitude' => '-17.7992'),
        array('province_id' => '39','town' => 'Alfoz de Lloredo','id' => '5748','slug' => 'alfoz-de-lloredo','latitude' => '43.3791667','longitude' => '-4.1755556'),
        array('province_id' => '39','town' => 'Ampuero','id' => '5749','slug' => 'ampuero','latitude' => '43.3434552','longitude' => '-3.4156604'),
        array('province_id' => '39','town' => 'Anievas','id' => '5750','slug' => 'anievas','latitude' => '43.2030556','longitude' => '-4.0005556'),
        array('province_id' => '39','town' => 'Arenas de Iguña','id' => '5751','slug' => 'arenas-de-igua','latitude' => '43.1861531','longitude' => '-4.050034'),
        array('province_id' => '39','town' => 'Argoños','id' => '5752','slug' => 'argoos','latitude' => '43.4580305','longitude' => '-3.4859218'),
        array('province_id' => '39','town' => 'Arnuero','id' => '5753','slug' => 'arnuero','latitude' => '43.4729458','longitude' => '-3.5629174'),
        array('province_id' => '39','town' => 'Arredondo','id' => '5754','slug' => 'arredondo','latitude' => '43.2742676','longitude' => '-3.6015278'),
        array('province_id' => '39','town' => 'Astillero, El','id' => '5755','slug' => 'astillero-el','latitude' => '43.4015864','longitude' => '-3.8181608'),
        array('province_id' => '39','town' => 'Bárcena de Cicero','id' => '5756','slug' => 'brcena-de-cicero','latitude' => '43.4199554','longitude' => '-3.505684'),
        array('province_id' => '39','town' => 'Bárcena de Pie de Concha','id' => '5757','slug' => 'brcena-de-pie-de-concha','latitude' => '43.1200466','longitude' => '-4.0464671'),
        array('province_id' => '39','town' => 'Bareyo','id' => '5758','slug' => 'bareyo','latitude' => '43.4703058','longitude' => '-3.5966067'),
        array('province_id' => '39','town' => 'Cabezón de la Sal','id' => '5759','slug' => 'cabezn-de-la-sal','latitude' => '43.3074008','longitude' => '-4.2323917'),
        array('province_id' => '39','town' => 'Cabezón de Liébana','id' => '5760','slug' => 'cabezn-de-libana','latitude' => '43.1325755','longitude' => '-4.5760344'),
        array('province_id' => '39','town' => 'Cabuérniga','id' => '5761','slug' => 'caburniga','latitude' => '43.203709','longitude' => '-4.30376'),
        array('province_id' => '39','town' => 'Camaleño','id' => '5762','slug' => 'camaleo','latitude' => '43.1500074','longitude' => '-4.6938978'),
        array('province_id' => '39','town' => 'Camargo','id' => '5763','slug' => 'camargo','latitude' => '43.4070975','longitude' => '-3.8843366'),
        array('province_id' => '39','town' => 'Campoo de Enmedio','id' => '5764','slug' => 'campoo-de-enmedio','latitude' => '42.9816667','longitude' => '-4.1472222'),
        array('province_id' => '39','town' => 'Campoo de Yuso','id' => '5765','slug' => 'campoo-de-yuso','latitude' => '43.0172222','longitude' => '-4.0036111'),
        array('province_id' => '39','town' => 'Cartes','id' => '5766','slug' => 'cartes','latitude' => '43.323216','longitude' => '-4.0697586'),
        array('province_id' => '39','town' => 'Castañeda','id' => '5767','slug' => 'castaeda','latitude' => '43.3157139','longitude' => '-3.9533202'),
        array('province_id' => '39','town' => 'Castro-Urdiales','id' => '5768','slug' => 'castro-urdiales','latitude' => '43.3827751','longitude' => '-3.21957'),
        array('province_id' => '39','town' => 'Cieza','id' => '5769','slug' => '5769-cieza','latitude' => '43.2222222','longitude' => '-4.0875'),
        array('province_id' => '39','town' => 'Cillorigo de Liébana','id' => '5770','slug' => 'cillorigo-de-libana','latitude' => '43.1783333','longitude' => '-4.5991667'),
        array('province_id' => '39','town' => 'Colindres','id' => '5771','slug' => 'colindres','latitude' => '43.3953766','longitude' => '-3.4493631'),
        array('province_id' => '39','town' => 'Comillas','id' => '5772','slug' => 'comillas','latitude' => '43.3856358','longitude' => '-4.2915071'),
        array('province_id' => '39','town' => 'Corrales de Buelna, Los','id' => '5773','slug' => 'corrales-de-buelna-los','latitude' => '43.2595753','longitude' => '-4.0682407'),
        array('province_id' => '39','town' => 'Corvera de Toranzo','id' => '5774','slug' => 'corvera-de-toranzo','latitude' => '43.2102778','longitude' => '-3.9372222'),
        array('province_id' => '39','town' => 'Entrambasaguas','id' => '5775','slug' => 'entrambasaguas','latitude' => '43.3799704','longitude' => '-3.6846004'),
        array('province_id' => '39','town' => 'Escalante','id' => '5776','slug' => 'escalante','latitude' => '43.436786','longitude' => '-3.5141025'),
        array('province_id' => '39','town' => 'Guriezo','id' => '5777','slug' => 'guriezo','latitude' => '43.354424','longitude' => '-3.325467'),
        array('province_id' => '39','town' => 'Hazas de Cesto','id' => '5778','slug' => 'hazas-de-cesto','latitude' => '43.3973293','longitude' => '-3.5881635'),
        array('province_id' => '39','town' => 'Hermandad de Campoo de Suso','id' => '5779','slug' => 'hermandad-de-campoo-de-suso','latitude' => '43.0225','longitude' => '-4.2244444'),
        array('province_id' => '39','town' => 'Herrerías','id' => '5780','slug' => 'herreras','latitude' => '43.3088025','longitude' => '-4.4861632'),
        array('province_id' => '39','town' => 'Lamasón','id' => '5781','slug' => 'lamasn','latitude' => '43.2536111','longitude' => '-4.4819444'),
        array('province_id' => '39','town' => 'Laredo','id' => '5782','slug' => 'laredo','latitude' => '43.4114833','longitude' => '-3.4124773'),
        array('province_id' => '39','town' => 'Liendo','id' => '5783','slug' => 'liendo','latitude' => '43.3942178','longitude' => '-3.3810418'),
        array('province_id' => '39','town' => 'Liérganes','id' => '5784','slug' => 'lirganes','latitude' => '43.3421264','longitude' => '-3.7421745'),
        array('province_id' => '39','town' => 'Limpias','id' => '5785','slug' => 'limpias','latitude' => '43.3687169','longitude' => '-3.3986979'),
        array('province_id' => '39','town' => 'Luena','id' => '5786','slug' => 'luena','latitude' => '43.0988854','longitude' => '-3.8960811'),
        array('province_id' => '39','town' => 'Marina de Cudeyo','id' => '5787','slug' => 'marina-de-cudeyo','latitude' => '43.4205556','longitude' => '-3.7541667'),
        array('province_id' => '39','town' => 'Mazcuerras','id' => '5788','slug' => 'mazcuerras','latitude' => '43.2986111','longitude' => '-4.2066667'),
        array('province_id' => '39','town' => 'Medio Cudeyo','id' => '5789','slug' => 'medio-cudeyo','latitude' => '43.3666667','longitude' => '-3.75'),
        array('province_id' => '39','town' => 'Meruelo','id' => '5790','slug' => 'meruelo','latitude' => '43.45','longitude' => '-3.5833333'),
        array('province_id' => '39','town' => 'Miengo','id' => '5791','slug' => 'miengo','latitude' => '43.4271143','longitude' => '-3.9952598'),
        array('province_id' => '39','town' => 'Miera','id' => '5792','slug' => 'miera','latitude' => '43.2833333','longitude' => '-3.7083333'),
        array('province_id' => '39','town' => 'Molledo','id' => '5793','slug' => 'molledo','latitude' => '43.1528509','longitude' => '-4.0422748'),
        array('province_id' => '39','town' => 'Noja','id' => '5794','slug' => 'noja','latitude' => '43.4799637','longitude' => '-3.52139'),
        array('province_id' => '39','town' => 'Penagos','id' => '5795','slug' => 'penagos','latitude' => '43.3515395','longitude' => '-3.8141303'),
        array('province_id' => '39','town' => 'Peñarrubia','id' => '5796','slug' => 'pearrubia','latitude' => '43.2572222','longitude' => '-4.5830556'),
        array('province_id' => '39','town' => 'Pesaguero','id' => '5797','slug' => 'pesaguero','latitude' => '43.0770416','longitude' => '-4.5389779'),
        array('province_id' => '39','town' => 'Pesquera','id' => '5798','slug' => 'pesquera','latitude' => '43.0822311','longitude' => '-4.0794553'),
        array('province_id' => '39','town' => 'Piélagos','id' => '5799','slug' => 'pilagos','latitude' => '43.3865695','longitude' => '-3.9572374'),
        array('province_id' => '39','town' => 'Polaciones','id' => '5800','slug' => 'polaciones','latitude' => '43.1091667','longitude' => '-4.4047222'),
        array('province_id' => '39','town' => 'Polanco','id' => '5801','slug' => 'polanco','latitude' => '43.3849996','longitude' => '-4.0161943'),
        array('province_id' => '39','town' => 'Potes','id' => '5802','slug' => 'potes','latitude' => '43.1534697','longitude' => '-4.6226995'),
        array('province_id' => '39','town' => 'Puente Viesgo','id' => '5803','slug' => 'puente-viesgo','latitude' => '43.2990567','longitude' => '-3.9649167'),
        array('province_id' => '39','town' => 'Ramales de la Victoria','id' => '5804','slug' => 'ramales-de-la-victoria','latitude' => '43.2579238','longitude' => '-3.4651484'),
        array('province_id' => '39','town' => 'Rasines','id' => '5805','slug' => 'rasines','latitude' => '43.3041703','longitude' => '-3.4289783'),
        array('province_id' => '39','town' => 'Reinosa','id' => '5806','slug' => 'reinosa','latitude' => '43.0007071','longitude' => '-4.139154'),
        array('province_id' => '39','town' => 'Reocín','id' => '5807','slug' => 'reocn','latitude' => '43.3427279','longitude' => '-4.0955713'),
        array('province_id' => '39','town' => 'Ribamontán al Mar','id' => '5808','slug' => 'ribamontn-al-mar','latitude' => '43.4531529','longitude' => '-3.6927531'),
        array('province_id' => '39','town' => 'Ribamontán al Monte','id' => '5809','slug' => 'ribamontn-al-monte','latitude' => '43.4166667','longitude' => '-3.6333333'),
        array('province_id' => '39','town' => 'Rionansa','id' => '5810','slug' => 'rionansa','latitude' => '43.2','longitude' => '-4.4166667'),
        array('province_id' => '39','town' => 'Riotuerto','id' => '5811','slug' => 'riotuerto','latitude' => '43.3400209','longitude' => '-3.6647772'),
        array('province_id' => '39','town' => 'Rozas de Valdearroyo, Las','id' => '5812','slug' => 'rozas-de-valdearroyo-las','latitude' => '42.9727367','longitude' => '-4.0281839'),
        array('province_id' => '39','town' => 'Ruente','id' => '5813','slug' => 'ruente','latitude' => '43.25963','longitude' => '-4.265683'),
        array('province_id' => '39','town' => 'Ruesga','id' => '5814','slug' => 'ruesga','latitude' => '43.2841654','longitude' => '-3.5509074'),
        array('province_id' => '39','town' => 'Ruiloba','id' => '5815','slug' => 'ruiloba','latitude' => '43.3811111','longitude' => '-4.2522222'),
        array('province_id' => '39','town' => 'San Felices de Buelna','id' => '5816','slug' => 'san-felices-de-buelna','latitude' => '43.2666667','longitude' => '-4.0333333'),
        array('province_id' => '39','town' => 'San Miguel de Aguayo','id' => '5817','slug' => 'san-miguel-de-aguayo','latitude' => '43.0529056','longitude' => '-4.0265562'),
        array('province_id' => '39','town' => 'San Pedro del Romeral','id' => '5818','slug' => 'san-pedro-del-romeral','latitude' => '43.1151607','longitude' => '-3.8190256'),
        array('province_id' => '39','town' => 'San Roque de Riomiera','id' => '5819','slug' => 'san-roque-de-riomiera','latitude' => '43.2354392','longitude' => '-3.7028969'),
        array('province_id' => '39','town' => 'San Vicente de la Barquera','id' => '5820','slug' => 'san-vicente-de-la-barquera','latitude' => '43.3859325','longitude' => '-4.3980912'),
        array('province_id' => '39','town' => 'Santa Cruz de Bezana','id' => '5821','slug' => 'santa-cruz-de-bezana','latitude' => '43.4428165','longitude' => '-3.9047772'),
        array('province_id' => '39','town' => 'Santa María de Cayón','id' => '5822','slug' => 'santa-mara-de-cayn','latitude' => '43.3103651','longitude' => '-3.8542254'),
        array('province_id' => '39','town' => 'Santander','id' => '5823','slug' => 'santander','latitude' => '43.4609602','longitude' => '-3.8079336'),
        array('province_id' => '39','town' => 'Santillana del Mar','id' => '5824','slug' => 'santillana-del-mar','latitude' => '43.3889678','longitude' => '-4.10918'),
        array('province_id' => '39','town' => 'Santiurde de Reinosa','id' => '5825','slug' => 'santiurde-de-reinosa','latitude' => '43.0613087','longitude' => '-4.0810678'),
        array('province_id' => '39','town' => 'Santiurde de Toranzo','id' => '5826','slug' => 'santiurde-de-toranzo','latitude' => '43.2386946','longitude' => '-3.9400114'),
        array('province_id' => '39','town' => 'Santoña','id' => '5827','slug' => 'santoa','latitude' => '43.4421533','longitude' => '-3.4531931'),
        array('province_id' => '39','town' => 'Saro','id' => '5828','slug' => 'saro','latitude' => '43.2612861','longitude' => '-3.8298853'),
        array('province_id' => '39','town' => 'Selaya','id' => '5829','slug' => 'selaya','latitude' => '43.2111454','longitude' => '-3.8049452'),
        array('province_id' => '39','town' => 'Soba','id' => '5830','slug' => 'soba','latitude' => '43.1794444','longitude' => '-3.5619444'),
        array('province_id' => '39','town' => 'Solórzano','id' => '5831','slug' => 'solrzano','latitude' => '43.3797847','longitude' => '-3.5868857'),
        array('province_id' => '39','town' => 'Suances','id' => '5832','slug' => 'suances','latitude' => '43.4265807','longitude' => '-4.0419662'),
        array('province_id' => '39','town' => 'Tojos, Los','id' => '5833','slug' => 'tojos-los','latitude' => '43.1551364','longitude' => '-4.2533528'),
        array('province_id' => '39','town' => 'Torrelavega','id' => '5834','slug' => 'torrelavega','latitude' => '43.3514552','longitude' => '-4.0470165'),
        array('province_id' => '39','town' => 'Tresviso','id' => '5835','slug' => 'tresviso','latitude' => '43.2578383','longitude' => '-4.6667757'),
        array('province_id' => '39','town' => 'Tudanca','id' => '5836','slug' => 'tudanca','latitude' => '43.1538889','longitude' => '-4.3752778'),
        array('province_id' => '39','town' => 'Udías','id' => '5837','slug' => 'udas','latitude' => '43.3383333','longitude' => '-4.2436111'),
        array('province_id' => '39','town' => 'Val de San Vicente','id' => '5838','slug' => 'val-de-san-vicente','latitude' => '43.3775','longitude' => '-4.483611'),
        array('province_id' => '39','town' => 'Valdáliga','id' => '5839','slug' => 'valdliga','latitude' => '43.3291667','longitude' => '-4.3491667'),
        array('province_id' => '39','town' => 'Valdeolea','id' => '5840','slug' => 'valdeolea','latitude' => '42.8777778','longitude' => '-4.1622222'),
        array('province_id' => '39','town' => 'Valdeprado del Río','id' => '5841','slug' => 'valdeprado-del-ro','latitude' => '42.875278','longitude' => '-4.092881'),
        array('province_id' => '39','town' => 'Valderredible','id' => '5842','slug' => 'valderredible','latitude' => '42.8569111','longitude' => '-4.0003111'),
        array('province_id' => '39','town' => 'Valle de Villaverde','id' => '5843','slug' => 'valle-de-villaverde','latitude' => '43.2452778','longitude' => '-3.2602778'),
        array('province_id' => '39','town' => 'Vega de Liébana','id' => '5844','slug' => 'vega-de-libana','latitude' => '43.0604569','longitude' => '-4.6657027'),
        array('province_id' => '39','town' => 'Vega de Pas','id' => '5845','slug' => 'vega-de-pas','latitude' => '43.1589312','longitude' => '-3.7820117'),
        array('province_id' => '39','town' => 'Villacarriedo','id' => '5846','slug' => 'villacarriedo','latitude' => '43.2301852','longitude' => '-3.8057638'),
        array('province_id' => '39','town' => 'Villaescusa','id' => '5847','slug' => 'villaescusa','latitude' => '43.3708333','longitude' => '-3.855'),
        array('province_id' => '39','town' => 'Villafufre','id' => '5848','slug' => 'villafufre','latitude' => '43.2660796','longitude' => '-3.89347'),
        array('province_id' => '39','town' => 'Voto','id' => '5849','slug' => 'voto','latitude' => '43.3325','longitude' => '-3.5197222'),
        array('province_id' => '40','town' => 'Abades','id' => '5850','slug' => 'abades','latitude' => '40.9154757','longitude' => '-4.2691297'),
        array('province_id' => '40','town' => 'Adrada de Pirón','id' => '5851','slug' => 'adrada-de-pirn','latitude' => '41.0523533','longitude' => '-4.0515247'),
        array('province_id' => '40','town' => 'Adrados','id' => '5852','slug' => 'adrados','latitude' => '41.3683491','longitude' => '-4.1128786'),
        array('province_id' => '40','town' => 'Aguilafuente','id' => '5853','slug' => 'aguilafuente','latitude' => '41.2284036','longitude' => '-4.1119384'),
        array('province_id' => '40','town' => 'Alconada de Maderuelo','id' => '5854','slug' => 'alconada-de-maderuelo','latitude' => '41.4504339','longitude' => '-3.4863047'),
        array('province_id' => '40','town' => 'Aldea Real','id' => '5855','slug' => 'aldea-real','latitude' => '41.1856197','longitude' => '-4.1649525'),
        array('province_id' => '40','town' => 'Aldealcorvo','id' => '5856','slug' => 'aldealcorvo','latitude' => '41.2438211','longitude' => '-3.7921334'),
        array('province_id' => '40','town' => 'Aldealengua de Pedraza','id' => '5857','slug' => 'aldealengua-de-pedraza','latitude' => '41.069658','longitude' => '-3.789361'),
        array('province_id' => '40','town' => 'Aldealengua de Santa María','id' => '5858','slug' => 'aldealengua-de-santa-mara','latitude' => '41.4624062','longitude' => '-3.4674525'),
        array('province_id' => '40','town' => 'Aldeanueva de la Serrezuela','id' => '5859','slug' => 'aldeanueva-de-la-serrezuela','latitude' => '41.4606988','longitude' => '-3.780438'),
        array('province_id' => '40','town' => 'Aldeanueva del Codonal','id' => '5860','slug' => 'aldeanueva-del-codonal','latitude' => '41.0821674','longitude' => '-4.5446151'),
        array('province_id' => '40','town' => 'Aldeasoña','id' => '5861','slug' => 'aldeasoa','latitude' => '41.4726623','longitude' => '-4.055844'),
        array('province_id' => '40','town' => 'Aldehorno','id' => '5862','slug' => 'aldehorno','latitude' => '41.5123687','longitude' => '-3.7795517'),
        array('province_id' => '40','town' => 'Aldehuela del Codonal','id' => '5863','slug' => 'aldehuela-del-codonal','latitude' => '41.0821674','longitude' => '-4.5446151'),
        array('province_id' => '40','town' => 'Aldeonte','id' => '5864','slug' => 'aldeonte','latitude' => '41.3509277','longitude' => '-3.6771973'),
        array('province_id' => '40','town' => 'Anaya','id' => '5865','slug' => 'anaya','latitude' => '40.9940803','longitude' => '-4.3088392'),
        array('province_id' => '40','town' => 'Añe','id' => '5866','slug' => 'ae','latitude' => '41.0377398','longitude' => '-4.2961409'),
        array('province_id' => '40','town' => 'Arahuetes','id' => '5867','slug' => 'arahuetes','latitude' => '41.1376743','longitude' => '-3.8564745'),
        array('province_id' => '40','town' => 'Arcones','id' => '5868','slug' => 'arcones','latitude' => '41.1183913','longitude' => '-3.7249815'),
        array('province_id' => '40','town' => 'Arevalillo de Cega','id' => '5869','slug' => 'arevalillo-de-cega','latitude' => '41.1616344','longitude' => '-3.890747'),
        array('province_id' => '40','town' => 'Armuña','id' => '5870','slug' => 'armua','latitude' => '41.077165','longitude' => '-4.3197979'),
        array('province_id' => '40','town' => 'Ayllón','id' => '5871','slug' => 'aylln','latitude' => '41.4193334','longitude' => '-3.3739218'),
        array('province_id' => '40','town' => 'Barbolla','id' => '5872','slug' => 'barbolla','latitude' => '41.325454','longitude' => '-3.6726885'),
        array('province_id' => '40','town' => 'Basardilla','id' => '5873','slug' => 'basardilla','latitude' => '41.0277216','longitude' => '-4.025467'),
        array('province_id' => '40','town' => 'Bercial','id' => '5874','slug' => 'bercial','latitude' => '40.9067869','longitude' => '-4.4366687'),
        array('province_id' => '40','town' => 'Bercimuel','id' => '5875','slug' => 'bercimuel','latitude' => '41.3994863','longitude' => '-3.5708523'),
        array('province_id' => '40','town' => 'Bernardos','id' => '5876','slug' => 'bernardos','latitude' => '41.1284563','longitude' => '-4.3508894'),
        array('province_id' => '40','town' => 'Bernuy de Porreros','id' => '5877','slug' => 'bernuy-de-porreros','latitude' => '41.0005579','longitude' => '-4.1164597'),
        array('province_id' => '40','town' => 'Boceguillas','id' => '5878','slug' => 'boceguillas','latitude' => '41.3368034','longitude' => '-3.6381261'),
        array('province_id' => '40','town' => 'Brieva','id' => '5879','slug' => 'brieva','latitude' => '41.0343235','longitude' => '-4.055102'),
        array('province_id' => '40','town' => 'Caballar','id' => '5880','slug' => 'caballar','latitude' => '41.120885','longitude' => '-3.9652019'),
        array('province_id' => '40','town' => 'Cabañas de Polendos','id' => '5881','slug' => 'cabaas-de-polendos','latitude' => '41.0672446','longitude' => '-4.1102501'),
        array('province_id' => '40','town' => 'Cabezuela','id' => '5882','slug' => 'cabezuela','latitude' => '41.2351366','longitude' => '-3.9333274'),
        array('province_id' => '40','town' => 'Calabazas de Fuentidueña','id' => '5883','slug' => 'calabazas-de-fuentiduea','latitude' => '41.4453272','longitude' => '-4.0108175'),
        array('province_id' => '40','town' => 'Campo de San Pedro','id' => '5884','slug' => 'campo-de-san-pedro','latitude' => '41.4300706','longitude' => '-3.5454767'),
        array('province_id' => '40','town' => 'Cantalejo','id' => '5885','slug' => 'cantalejo','latitude' => '41.2586388','longitude' => '-3.9280998'),
        array('province_id' => '40','town' => 'Cantimpalos','id' => '5886','slug' => 'cantimpalos','latitude' => '41.0742011','longitude' => '-4.1585951'),
        array('province_id' => '40','town' => 'Carbonero el Mayor','id' => '5887','slug' => 'carbonero-el-mayor','latitude' => '41.1225378','longitude' => '-4.2667034'),
        array('province_id' => '40','town' => 'Carrascal del Río','id' => '5888','slug' => 'carrascal-del-ro','latitude' => '41.3677103','longitude' => '-3.8976942'),
        array('province_id' => '40','town' => 'Casla','id' => '5889','slug' => 'casla','latitude' => '41.1669549','longitude' => '-3.6546044'),
        array('province_id' => '40','town' => 'Castillejo de Mesleón','id' => '5890','slug' => 'castillejo-de-meslen','latitude' => '41.2787841','longitude' => '-3.6024706'),
        array('province_id' => '40','town' => 'Castro de Fuentidueña','id' => '5891','slug' => 'castro-de-fuentiduea','latitude' => '41.4207303','longitude' => '-3.8558351'),
        array('province_id' => '40','town' => 'Castrojimeno','id' => '5892','slug' => 'castrojimeno','latitude' => '41.3974822','longitude' => '-3.8451126'),
        array('province_id' => '40','town' => 'Castroserna de Abajo','id' => '5893','slug' => 'castroserna-de-abajo','latitude' => '41.2082989','longitude' => '-3.7343199'),
        array('province_id' => '40','town' => 'Castroserracín','id' => '5894','slug' => 'castroserracn','latitude' => '41.3933338','longitude' => '-3.8031751'),
        array('province_id' => '40','town' => 'Cedillo de la Torre','id' => '5895','slug' => 'cedillo-de-la-torre','latitude' => '41.4243912','longitude' => '-3.6058141'),
        array('province_id' => '40','town' => 'Cerezo de Abajo','id' => '5896','slug' => 'cerezo-de-abajo','latitude' => '41.2174714','longitude' => '-3.5924609'),
        array('province_id' => '40','town' => 'Cerezo de Arriba','id' => '5897','slug' => 'cerezo-de-arriba','latitude' => '41.2395903','longitude' => '-3.5584735'),
        array('province_id' => '40','town' => 'Chañe','id' => '5898','slug' => 'chae','latitude' => '41.3385993','longitude' => '-4.4288692'),
        array('province_id' => '40','town' => 'Cilleruelo de San Mamés','id' => '5899','slug' => 'cilleruelo-de-san-mams','latitude' => '41.4312552','longitude' => '-3.5670941'),
        array('province_id' => '40','town' => 'Cobos de Fuentidueña','id' => '5900','slug' => 'cobos-de-fuentiduea','latitude' => '41.3824485','longitude' => '-3.9275468'),
        array('province_id' => '40','town' => 'Coca','id' => '5901','slug' => 'coca','latitude' => '41.2183325','longitude' => '-4.519117'),
        array('province_id' => '40','town' => 'Codorniz','id' => '5902','slug' => 'codorniz','latitude' => '41.0670888','longitude' => '-4.6006013'),
        array('province_id' => '40','town' => 'Collado Hermoso','id' => '5903','slug' => 'collado-hermoso','latitude' => '41.0388169','longitude' => '-3.9193513'),
        array('province_id' => '40','town' => 'Condado de Castilnovo','id' => '5904','slug' => 'condado-de-castilnovo','latitude' => '41.2411111','longitude' => '-3.7425'),
        array('province_id' => '40','town' => 'Corral de Ayllón','id' => '5905','slug' => 'corral-de-aylln','latitude' => '41.3909613','longitude' => '-3.4590964'),
        array('province_id' => '40','town' => 'Cozuelos de Fuentidueña','id' => '5906','slug' => 'cozuelos-de-fuentiduea','latitude' => '41.3912765','longitude' => '-4.0952178'),
        array('province_id' => '40','town' => 'Cubillo','id' => '5907','slug' => 'cubillo','latitude' => '41.1213204','longitude' => '-3.9085852'),
        array('province_id' => '40','town' => 'Cuéllar','id' => '5908','slug' => 'cullar','latitude' => '41.4025097','longitude' => '-4.316654'),
        array('province_id' => '40','town' => 'Cuevas de Provanco','id' => '5909','slug' => 'cuevas-de-provanco','latitude' => '41.5424672','longitude' => '-3.9616646'),
        array('province_id' => '40','town' => 'Domingo García','id' => '5910','slug' => 'domingo-garca','latitude' => '41.1154438','longitude' => '-4.3791113'),
        array('province_id' => '40','town' => 'Donhierro','id' => '5911','slug' => 'donhierro','latitude' => '41.1160442','longitude' => '-4.6962463'),
        array('province_id' => '40','town' => 'Duruelo','id' => '5912','slug' => 'duruelo','latitude' => '41.2355258','longitude' => '-3.6493226'),
        array('province_id' => '40','town' => 'Encinas','id' => '5913','slug' => 'encinas','latitude' => '41.3749385','longitude' => '-3.6676761'),
        array('province_id' => '40','town' => 'Encinillas','id' => '5914','slug' => 'encinillas','latitude' => '41.0179183','longitude' => '-4.1580855'),
        array('province_id' => '40','town' => 'Escalona del Prado','id' => '5915','slug' => 'escalona-del-prado','latitude' => '41.1672432','longitude' => '-4.1229321'),
        array('province_id' => '40','town' => 'Escarabajosa de Cabezas','id' => '5916','slug' => 'escarabajosa-de-cabezas','latitude' => '41.1044924','longitude' => '-4.194168'),
        array('province_id' => '40','town' => 'Escobar de Polendos','id' => '5917','slug' => 'escobar-de-polendos','latitude' => '41.090976','longitude' => '-4.1311231'),
        array('province_id' => '40','town' => 'Espinar, El','id' => '5918','slug' => 'espinar-el','latitude' => '40.7177126','longitude' => '-4.2474407'),
        array('province_id' => '40','town' => 'Espirdo','id' => '5919','slug' => 'espirdo','latitude' => '40.9977529','longitude' => '-4.0734697'),
        array('province_id' => '40','town' => 'Fresneda de Cuéllar','id' => '5920','slug' => 'fresneda-de-cullar','latitude' => '41.3183243','longitude' => '-4.4496539'),
        array('province_id' => '40','town' => 'Fresno de Cantespino','id' => '5921','slug' => 'fresno-de-cantespino','latitude' => '41.3680487','longitude' => '-3.4989733'),
        array('province_id' => '40','town' => 'Fresno de la Fuente','id' => '5922','slug' => 'fresno-de-la-fuente','latitude' => '41.3954575','longitude' => '-3.6446767'),
        array('province_id' => '40','town' => 'Frumales','id' => '5923','slug' => 'frumales','latitude' => '41.3833553','longitude' => '-4.1854072'),
        array('province_id' => '40','town' => 'Fuente de Santa Cruz','id' => '5924','slug' => 'fuente-de-santa-cruz','latitude' => '41.2088851','longitude' => '-4.6347353'),
        array('province_id' => '40','town' => 'Fuente el Olmo de Fuentidueña','id' => '5925','slug' => 'fuente-el-olmo-de-fuentiduea','latitude' => '41.3801157','longitude' => '-4.0003472'),
        array('province_id' => '40','town' => 'Fuente el Olmo de Íscar','id' => '5926','slug' => 'fuente-el-olmo-de-scar','latitude' => '41.2806468','longitude' => '-4.4934339'),
        array('province_id' => '40','town' => 'Fuentepelayo','id' => '5927','slug' => 'fuentepelayo','latitude' => '41.2215566','longitude' => '-4.1752735'),
        array('province_id' => '40','town' => 'Fuentepiñel','id' => '5928','slug' => 'fuentepiel','latitude' => '41.4000361','longitude' => '-4.0425844'),
        array('province_id' => '40','town' => 'Fuenterrebollo','id' => '5929','slug' => 'fuenterrebollo','latitude' => '41.2967827','longitude' => '-3.9312161'),
        array('province_id' => '40','town' => 'Fuentesaúco de Fuentidueña','id' => '5930','slug' => 'fuentesaco-de-fuentiduea','latitude' => '41.4247044','longitude' => '-4.0623678'),
        array('province_id' => '40','town' => 'Fuentesoto','id' => '5931','slug' => 'fuentesoto','latitude' => '41.4568213','longitude' => '-3.919893'),
        array('province_id' => '40','town' => 'Fuentidueña','id' => '5932','slug' => 'fuentiduea','latitude' => '41.4425243','longitude' => '-3.9804477'),
        array('province_id' => '40','town' => 'Gallegos','id' => '5933','slug' => 'gallegos','latitude' => '41.0747164','longitude' => '-3.786434'),
        array('province_id' => '40','town' => 'Garcillán','id' => '5934','slug' => 'garcilln','latitude' => '40.9773559','longitude' => '-4.2662699'),
        array('province_id' => '40','town' => 'Gomezserracín','id' => '5935','slug' => 'gomezserracn','latitude' => '41.2885454','longitude' => '-4.3266934'),
        array('province_id' => '40','town' => 'Grajera','id' => '5936','slug' => 'grajera','latitude' => '41.3723828','longitude' => '-3.6135468'),
        array('province_id' => '40','town' => 'Honrubia de la Cuesta','id' => '5937','slug' => 'honrubia-de-la-cuesta','latitude' => '41.5107787','longitude' => '-3.7047753'),
        array('province_id' => '40','town' => 'Hontalbilla','id' => '5938','slug' => 'hontalbilla','latitude' => '41.3452584','longitude' => '-4.1214947'),
        array('province_id' => '40','town' => 'Hontanares de Eresma','id' => '5939','slug' => 'hontanares-de-eresma','latitude' => '40.9821563','longitude' => '-4.2038807'),
        array('province_id' => '40','town' => 'Huertos, Los','id' => '5940','slug' => 'huertos-los','latitude' => '41.0092038','longitude' => '-4.2191272'),
        array('province_id' => '40','town' => 'Ituero y Lama','id' => '5941','slug' => 'ituero-y-lama','latitude' => '40.7999953','longitude' => '-4.3801329'),
        array('province_id' => '40','town' => 'Juarros de Riomoros','id' => '5942','slug' => 'juarros-de-riomoros','latitude' => '40.9455243','longitude' => '-4.3093613'),
        array('province_id' => '40','town' => 'Juarros de Voltoya','id' => '5943','slug' => 'juarros-de-voltoya','latitude' => '41.0307609','longitude' => '-4.5194942'),
        array('province_id' => '40','town' => 'Labajos','id' => '5944','slug' => 'labajos','latitude' => '40.8437568','longitude' => '-4.518333'),
        array('province_id' => '40','town' => 'Laguna de Contreras','id' => '5945','slug' => 'laguna-de-contreras','latitude' => '41.4947399','longitude' => '-4.0285979'),
        array('province_id' => '40','town' => 'Languilla','id' => '5946','slug' => 'languilla','latitude' => '41.4491042','longitude' => '-3.4248383'),
        array('province_id' => '40','town' => 'Lastras de Cuéllar','id' => '5947','slug' => 'lastras-de-cullar','latitude' => '41.2972835','longitude' => '-4.1070109'),
        array('province_id' => '40','town' => 'Lastras del Pozo','id' => '5948','slug' => 'lastras-del-pozo','latitude' => '40.8785903','longitude' => '-4.3459133'),
        array('province_id' => '40','town' => 'Lastrilla, La','id' => '5949','slug' => 'lastrilla-la','latitude' => '40.968696','longitude' => '-4.1032923'),
        array('province_id' => '40','town' => 'Losa, La','id' => '5950','slug' => 'losa-la','latitude' => '40.8547633','longitude' => '-4.1646202'),
        array('province_id' => '40','town' => 'Maderuelo','id' => '5951','slug' => 'maderuelo','latitude' => '41.4871129','longitude' => '-3.5215742'),
        array('province_id' => '40','town' => 'Marazoleja','id' => '5952','slug' => 'marazoleja','latitude' => '40.9614877','longitude' => '-4.3390896'),
        array('province_id' => '40','town' => 'Marazuela','id' => '5953','slug' => 'marazuela','latitude' => '40.9781407','longitude' => '-4.3658481'),
        array('province_id' => '40','town' => 'Martín Miguel','id' => '5954','slug' => 'martn-miguel','latitude' => '40.9516793','longitude' => '-4.273617'),
        array('province_id' => '40','town' => 'Martín Muñoz de la Dehesa','id' => '5955','slug' => 'martn-muoz-de-la-dehesa','latitude' => '41.0653928','longitude' => '-4.6873197'),
        array('province_id' => '40','town' => 'Martín Muñoz de las Posadas','id' => '5956','slug' => 'martn-muoz-de-las-posadas','latitude' => '40.9946562','longitude' => '-4.5970044'),
        array('province_id' => '40','town' => 'Marugán','id' => '5957','slug' => 'marugn','latitude' => '40.8965773','longitude' => '-4.38389'),
        array('province_id' => '40','town' => 'Mata de Cuéllar','id' => '5958','slug' => 'mata-de-cullar','latitude' => '41.3976989','longitude' => '-4.4721077'),
        array('province_id' => '40','town' => 'Matabuena','id' => '5959','slug' => 'matabuena','latitude' => '41.0950067','longitude' => '-3.7564704'),
        array('province_id' => '40','town' => 'Matilla, La','id' => '5960','slug' => 'matilla-la','latitude' => '41.1913952','longitude' => '-3.7948754'),
        array('province_id' => '40','town' => 'Melque de Cercos','id' => '5961','slug' => 'melque-de-cercos','latitude' => '41.0517621','longitude' => '-4.4699012'),
        array('province_id' => '40','town' => 'Membibre de la Hoz','id' => '5962','slug' => 'membibre-de-la-hoz','latitude' => '41.4498037','longitude' => '-4.0952192'),
        array('province_id' => '40','town' => 'Migueláñez','id' => '5963','slug' => 'miguelez','latitude' => '41.1219269','longitude' => '-4.3647262'),
        array('province_id' => '40','town' => 'Montejo de Arévalo','id' => '5964','slug' => 'montejo-de-arvalo','latitude' => '41.1401993','longitude' => '-4.6653181'),
        array('province_id' => '40','town' => 'Montejo de la Vega de la Serrezuela','id' => '5965','slug' => 'montejo-de-la-vega-de-la-serrezuela','latitude' => '41.5488189','longitude' => '-3.6527617'),
        array('province_id' => '40','town' => 'Monterrubio','id' => '5966','slug' => 'monterrubio','latitude' => '40.8481158','longitude' => '-4.352016'),
        array('province_id' => '40','town' => 'Moral de Hornuez','id' => '5967','slug' => 'moral-de-hornuez','latitude' => '41.4652345','longitude' => '-3.6160153'),
        array('province_id' => '40','town' => 'Mozoncillo','id' => '5968','slug' => 'mozoncillo','latitude' => '41.1462106','longitude' => '-4.188973'),
        array('province_id' => '40','town' => 'Muñopedro','id' => '5969','slug' => 'muopedro','latitude' => '40.8880252','longitude' => '-4.4720203'),
        array('province_id' => '40','town' => 'Muñoveros','id' => '5970','slug' => 'muoveros','latitude' => '41.1722334','longitude' => '-3.9527099'),
        array('province_id' => '40','town' => 'Nava de la Asunción','id' => '5971','slug' => 'nava-de-la-asuncin','latitude' => '41.1557941','longitude' => '-4.4870452'),
        array('province_id' => '40','town' => 'Navafría','id' => '5972','slug' => 'navafra','latitude' => '41.0546249','longitude' => '-3.8251411'),
        array('province_id' => '40','town' => 'Navalilla','id' => '5973','slug' => 'navalilla','latitude' => '41.341575','longitude' => '-3.933217'),
        array('province_id' => '40','town' => 'Navalmanzano','id' => '5974','slug' => 'navalmanzano','latitude' => '41.2151515','longitude' => '-4.2580424'),
        array('province_id' => '40','town' => 'Navares de Ayuso','id' => '5975','slug' => 'navares-de-ayuso','latitude' => '41.3729584','longitude' => '-3.7067028'),
        array('province_id' => '40','town' => 'Navares de Enmedio','id' => '5976','slug' => 'navares-de-enmedio','latitude' => '41.3814416','longitude' => '-3.7228775'),
        array('province_id' => '40','town' => 'Navares de las Cuevas','id' => '5977','slug' => 'navares-de-las-cuevas','latitude' => '41.4140124','longitude' => '-3.7507811'),
        array('province_id' => '40','town' => 'Navas de Oro','id' => '5978','slug' => 'navas-de-oro','latitude' => '41.1961902','longitude' => '-4.4394944'),
        array('province_id' => '40','town' => 'Navas de Riofrío','id' => '5979','slug' => 'navas-de-riofro','latitude' => '40.8657128','longitude' => '-4.13987'),
        array('province_id' => '40','town' => 'Navas de San Antonio','id' => '5980','slug' => 'navas-de-san-antonio','latitude' => '40.7615896','longitude' => '-4.3292941'),
        array('province_id' => '40','town' => 'Nieva','id' => '5981','slug' => 'nieva','latitude' => '41.080003','longitude' => '-4.426724'),
        array('province_id' => '40','town' => 'Olombrada','id' => '5982','slug' => 'olombrada','latitude' => '41.4150436','longitude' => '-4.1610812'),
        array('province_id' => '40','town' => 'Orejana','id' => '5983','slug' => 'orejana','latitude' => '41.163','longitude' => '-3.778'),
        array('province_id' => '40','town' => 'Ortigosa de Pestaño','id' => '5984','slug' => 'ortigosa-de-pestao','latitude' => '41.0875171','longitude' => '-4.3946572'),
        array('province_id' => '40','town' => 'Ortigosa del Monte','id' => '5985','slug' => 'ortigosa-del-monte','latitude' => '40.8417241','longitude' => '-4.1755689'),
        array('province_id' => '40','town' => 'Otero de Herreros','id' => '5986','slug' => 'otero-de-herreros','latitude' => '40.8201315','longitude' => '-4.2091103'),
        array('province_id' => '40','town' => 'Pajarejos','id' => '5987','slug' => 'pajarejos','latitude' => '41.3903468','longitude' => '-3.5906372'),
        array('province_id' => '40','town' => 'Palazuelos de Eresma','id' => '5988','slug' => 'palazuelos-de-eresma','latitude' => '40.9310172','longitude' => '-4.0596709'),
        array('province_id' => '40','town' => 'Pedraza','id' => '5989','slug' => 'pedraza','latitude' => '41.1304238','longitude' => '-3.8095683'),
        array('province_id' => '40','town' => 'Pelayos del Arroyo','id' => '5990','slug' => 'pelayos-del-arroyo','latitude' => '41.0516145','longitude' => '-3.9414719'),
        array('province_id' => '40','town' => 'Perosillo','id' => '5991','slug' => 'perosillo','latitude' => '41.392782','longitude' => '-4.1409257'),
        array('province_id' => '40','town' => 'Pinarejos','id' => '5992','slug' => 'pinarejos','latitude' => '41.2592981','longitude' => '-4.2948785'),
        array('province_id' => '40','town' => 'Pinarnegrillo','id' => '5993','slug' => 'pinarnegrillo','latitude' => '41.1903554','longitude' => '-4.210704'),
        array('province_id' => '40','town' => 'Pradales','id' => '5994','slug' => 'pradales','latitude' => '41.4559674','longitude' => '-3.7074118'),
        array('province_id' => '40','town' => 'Prádena','id' => '5995','slug' => 'prdena','latitude' => '41.1399475','longitude' => '-3.6890734'),
        array('province_id' => '40','town' => 'Puebla de Pedraza','id' => '5996','slug' => 'puebla-de-pedraza','latitude' => '41.205368','longitude' => '-3.9131369'),
        array('province_id' => '40','town' => 'Rapariegos','id' => '5997','slug' => 'rapariegos','latitude' => '41.0937512','longitude' => '-4.6531465'),
        array('province_id' => '40','town' => 'Real Sitio de San Ildefonso','id' => '5998','slug' => 'real-sitio-de-san-ildefonso','latitude' => '40.8997728','longitude' => '-4.0071468'),
        array('province_id' => '40','town' => 'Rebollo','id' => '5999','slug' => 'rebollo','latitude' => '41.1933595','longitude' => '-3.8575053'),
        array('province_id' => '40','town' => 'Remondo','id' => '6000','slug' => 'remondo','latitude' => '41.341205','longitude' => '-4.4821653'),
        array('province_id' => '40','town' => 'Riaguas de San Bartolomé','id' => '6001','slug' => 'riaguas-de-san-bartolom','latitude' => '41.4271769','longitude' => '-3.4877876'),
        array('province_id' => '40','town' => 'Riaza','id' => '6002','slug' => 'riaza','latitude' => '41.2800291','longitude' => '-3.4775776'),
        array('province_id' => '40','town' => 'Ribota','id' => '6003','slug' => 'ribota','latitude' => '41.3646735','longitude' => '-3.4298287'),
        array('province_id' => '40','town' => 'Riofrío de Riaza','id' => '6004','slug' => 'riofro-de-riaza','latitude' => '41.246771','longitude' => '-3.4499434'),
        array('province_id' => '40','town' => 'Roda de Eresma','id' => '6005','slug' => 'roda-de-eresma','latitude' => '41.0286933','longitude' => '-4.1812632'),
        array('province_id' => '40','town' => 'Sacramenia','id' => '6006','slug' => 'sacramenia','latitude' => '41.494808','longitude' => '-3.9635146'),
        array('province_id' => '40','town' => 'Samboal','id' => '6007','slug' => 'samboal','latitude' => '41.258012','longitude' => '-4.417356'),
        array('province_id' => '40','town' => 'San Cristóbal de Cuéllar','id' => '6008','slug' => 'san-cristbal-de-cullar','latitude' => '41.4060135','longitude' => '-4.4040169'),
        array('province_id' => '40','town' => 'San Cristóbal de la Vega','id' => '6009','slug' => 'san-cristbal-de-la-vega','latitude' => '41.1118593','longitude' => '-4.6454121'),
        array('province_id' => '40','town' => 'San Cristóbal de Segovia','id' => '6010','slug' => 'san-cristbal-de-segovia','latitude' => '40.9525668','longitude' => '-4.076104'),
        array('province_id' => '40','town' => 'San Martín y Mudrián','id' => '6011','slug' => 'san-martn-y-mudrin','latitude' => '41.2230404','longitude' => '-4.3302232'),
        array('province_id' => '40','town' => 'San Miguel de Bernuy','id' => '6012','slug' => 'san-miguel-de-bernuy','latitude' => '41.3999191','longitude' => '-3.9526794'),
        array('province_id' => '40','town' => 'San Pedro de Gaíllos','id' => '6013','slug' => 'san-pedro-de-gallos','latitude' => '41.2269333','longitude' => '-3.8091353'),
        array('province_id' => '40','town' => 'Sanchonuño','id' => '6014','slug' => 'sanchonuo','latitude' => '41.32391','longitude' => '-4.3058423'),
        array('province_id' => '40','town' => 'Sangarcía','id' => '6015','slug' => 'sangarca','latitude' => '40.947179','longitude' => '-4.414613'),
        array('province_id' => '40','town' => 'Santa María la Real de Nieva','id' => '6016','slug' => 'santa-mara-la-real-de-nieva','latitude' => '41.0688943','longitude' => '-4.4044065'),
        array('province_id' => '40','town' => 'Santa Marta del Cerro','id' => '6017','slug' => 'santa-marta-del-cerro','latitude' => '41.2177147','longitude' => '-3.6860206'),
        array('province_id' => '40','town' => 'Santiuste de Pedraza','id' => '6018','slug' => 'santiuste-de-pedraza','latitude' => '41.0845221','longitude' => '-3.8960811'),
        array('province_id' => '40','town' => 'Santiuste de San Juan Bautista','id' => '6019','slug' => 'santiuste-de-san-juan-bautista','latitude' => '41.1551729','longitude' => '-4.573022'),
        array('province_id' => '40','town' => 'Santo Domingo de Pirón','id' => '6020','slug' => 'santo-domingo-de-pirn','latitude' => '41.0410011','longitude' => '-3.9897042'),
        array('province_id' => '40','town' => 'Santo Tomé del Puerto','id' => '6021','slug' => 'santo-tom-del-puerto','latitude' => '41.1805376','longitude' => '-3.5637626'),
        array('province_id' => '40','town' => 'Sauquillo de Cabezas','id' => '6022','slug' => 'sauquillo-de-cabezas','latitude' => '41.1945898','longitude' => '-4.0687128'),
        array('province_id' => '40','town' => 'Sebúlcor','id' => '6023','slug' => 'seblcor','latitude' => '41.2709444','longitude' => '-3.8846053'),
        array('province_id' => '40','town' => 'Segovia','id' => '6024','slug' => 'segovia','latitude' => '40.9494272','longitude' => '-4.1192092'),
        array('province_id' => '40','town' => 'Sepúlveda','id' => '6025','slug' => 'seplveda','latitude' => '41.2974418','longitude' => '-3.7490508'),
        array('province_id' => '40','town' => 'Sequera de Fresno','id' => '6026','slug' => 'sequera-de-fresno','latitude' => '41.3673947','longitude' => '-3.5469995'),
        array('province_id' => '40','town' => 'Sotillo','id' => '6027','slug' => 'sotillo','latitude' => '41.2582427','longitude' => '-3.6375824'),
        array('province_id' => '40','town' => 'Sotosalbos','id' => '6028','slug' => 'sotosalbos','latitude' => '41.0349764','longitude' => '-3.9424296'),
        array('province_id' => '40','town' => 'Tabanera la Luenga','id' => '6029','slug' => 'tabanera-la-luenga','latitude' => '41.0966642','longitude' => '-4.238953'),
        array('province_id' => '40','town' => 'Tolocirio','id' => '6030','slug' => 'tolocirio','latitude' => '41.134187','longitude' => '-4.6503723'),
        array('province_id' => '40','town' => 'Torre Val de San Pedro','id' => '6031','slug' => 'torre-val-de-san-pedro','latitude' => '41.0738352','longitude' => '-3.8714538'),
        array('province_id' => '40','town' => 'Torreadrada','id' => '6032','slug' => 'torreadrada','latitude' => '41.444302','longitude' => '-3.8394147'),
        array('province_id' => '40','town' => 'Torrecaballeros','id' => '6033','slug' => 'torrecaballeros','latitude' => '40.9918393','longitude' => '-4.0248447'),
        array('province_id' => '40','town' => 'Torrecilla del Pinar','id' => '6034','slug' => 'torrecilla-del-pinar','latitude' => '41.3741528','longitude' => '-4.0376249'),
        array('province_id' => '40','town' => 'Torreiglesias','id' => '6035','slug' => 'torreiglesias','latitude' => '41.1020608','longitude' => '-4.0328549'),
        array('province_id' => '40','town' => 'Trescasas','id' => '6036','slug' => 'trescasas','latitude' => '40.961855','longitude' => '-4.0387579'),
        array('province_id' => '40','town' => 'Turégano','id' => '6037','slug' => 'turgano','latitude' => '41.155123','longitude' => '-4.0074692'),
        array('province_id' => '40','town' => 'Urueñas','id' => '6038','slug' => 'urueas','latitude' => '41.3558948','longitude' => '-3.7737021'),
        array('province_id' => '40','town' => 'Valdeprados','id' => '6039','slug' => 'valdeprados','latitude' => '40.8177041','longitude' => '-4.257667'),
        array('province_id' => '40','town' => 'Valdevacas de Montejo','id' => '6040','slug' => 'valdevacas-de-montejo','latitude' => '41.5208621','longitude' => '-3.6359004'),
        array('province_id' => '40','town' => 'Valdevacas y Guijar','id' => '6041','slug' => 'valdevacas-y-guijar','latitude' => '41.1333333','longitude' => '-3.9'),
        array('province_id' => '40','town' => 'Valle de Tabladillo','id' => '6042','slug' => 'valle-de-tabladillo','latitude' => '41.3628246','longitude' => '-3.839471'),
        array('province_id' => '40','town' => 'Vallelado','id' => '6043','slug' => 'vallelado','latitude' => '41.4042623','longitude' => '-4.4259531'),
        array('province_id' => '40','town' => 'Valleruela de Pedraza','id' => '6044','slug' => 'valleruela-de-pedraza','latitude' => '41.1795048','longitude' => '-3.8067048'),
        array('province_id' => '40','town' => 'Valleruela de Sepúlveda','id' => '6045','slug' => 'valleruela-de-seplveda','latitude' => '41.1885296','longitude' => '-3.7720635'),
        array('province_id' => '40','town' => 'Valseca','id' => '6046','slug' => 'valseca','latitude' => '41.0005786','longitude' => '-4.1748455'),
        array('province_id' => '40','town' => 'Valtiendas','id' => '6047','slug' => 'valtiendas','latitude' => '41.4785704','longitude' => '-3.9176907'),
        array('province_id' => '40','town' => 'Valverde del Majano','id' => '6048','slug' => 'valverde-del-majano','latitude' => '40.9565796','longitude' => '-4.2356528'),
        array('province_id' => '40','town' => 'Veganzones','id' => '6049','slug' => 'veganzones','latitude' => '41.1928977','longitude' => '-3.9942586'),
        array('province_id' => '40','town' => 'Vegas de Matute','id' => '6050','slug' => 'vegas-de-matute','latitude' => '40.7945567','longitude' => '-4.2787651'),
        array('province_id' => '40','town' => 'Ventosilla y Tejadilla','id' => '6051','slug' => 'ventosilla-y-tejadilla','latitude' => '41.1822551','longitude' => '-3.6954337'),
        array('province_id' => '40','town' => 'Villacastín','id' => '6052','slug' => 'villacastn','latitude' => '40.779896','longitude' => '-4.4137823'),
        array('province_id' => '40','town' => 'Villaverde de Íscar','id' => '6053','slug' => 'villaverde-de-scar','latitude' => '41.3071426','longitude' => '-4.5294636'),
        array('province_id' => '40','town' => 'Villaverde de Montejo','id' => '6054','slug' => 'villaverde-de-montejo','latitude' => '41.5225188','longitude' => '-3.6554802'),
        array('province_id' => '40','town' => 'Villeguillo','id' => '6055','slug' => 'villeguillo','latitude' => '41.2518345','longitude' => '-4.5785616'),
        array('province_id' => '40','town' => 'Yanguas de Eresma','id' => '6056','slug' => 'yanguas-de-eresma','latitude' => '41.0714145','longitude' => '-4.2407851'),
        array('province_id' => '40','town' => 'Zarzuela del Monte','id' => '6057','slug' => 'zarzuela-del-monte','latitude' => '40.8090562','longitude' => '-4.3365374'),
        array('province_id' => '40','town' => 'Zarzuela del Pinar','id' => '6058','slug' => 'zarzuela-del-pinar','latitude' => '41.2606355','longitude' => '-4.1836454'),
        array('province_id' => '41','town' => 'Aguadulce','id' => '6059','slug' => 'aguadulce','latitude' => '37.2528311','longitude' => '-4.9911248'),
        array('province_id' => '41','town' => 'Alanís','id' => '6060','slug' => 'alans','latitude' => '38.0374813','longitude' => '-5.7152933'),
        array('province_id' => '41','town' => 'Albaida del Aljarafe','id' => '6061','slug' => 'albaida-del-aljarafe','latitude' => '37.4270256','longitude' => '-6.1659256'),
        array('province_id' => '41','town' => 'Alcalá de Guadaíra','id' => '6062','slug' => 'alcal-de-guadara','latitude' => '37.3383272','longitude' => '-5.8440318'),
        array('province_id' => '41','town' => 'Alcalá del Río','id' => '6063','slug' => 'alcal-del-ro','latitude' => '37.5182714','longitude' => '-5.9782356'),
        array('province_id' => '41','town' => 'Alcolea del Río','id' => '6064','slug' => 'alcolea-del-ro','latitude' => '37.6141604','longitude' => '-5.6712934'),
        array('province_id' => '41','town' => 'Algaba, La','id' => '6065','slug' => 'algaba-la','latitude' => '37.4617695','longitude' => '-6.0137361'),
        array('province_id' => '41','town' => 'Algámitas','id' => '6066','slug' => 'algmitas','latitude' => '37.0150088','longitude' => '-5.149775'),
        array('province_id' => '41','town' => 'Almadén de la Plata','id' => '6067','slug' => 'almadn-de-la-plata','latitude' => '37.8734499','longitude' => '-6.0797659'),
        array('province_id' => '41','town' => 'Almensilla','id' => '6068','slug' => 'almensilla','latitude' => '37.3090424','longitude' => '-6.1139875'),
        array('province_id' => '41','town' => 'Arahal','id' => '6069','slug' => 'arahal','latitude' => '37.2640978','longitude' => '-5.5428285'),
        array('province_id' => '41','town' => 'Aznalcázar','id' => '6070','slug' => 'aznalczar','latitude' => '37.3051742','longitude' => '-6.2484145'),
        array('province_id' => '41','town' => 'Aznalcóllar','id' => '6071','slug' => 'aznalcllar','latitude' => '37.5235392','longitude' => '-6.2695647'),
        array('province_id' => '41','town' => 'Badolatosa','id' => '6072','slug' => 'badolatosa','latitude' => '37.3087121','longitude' => '-4.6728577'),
        array('province_id' => '41','town' => 'Benacazón','id' => '6073','slug' => 'benacazn','latitude' => '37.3534261','longitude' => '-6.1990049'),
        array('province_id' => '41','town' => 'Bollullos de la Mitación','id' => '6074','slug' => 'bollullos-de-la-mitacin','latitude' => '37.3401136','longitude' => '-6.1387574'),
        array('province_id' => '41','town' => 'Bormujos','id' => '6075','slug' => 'bormujos','latitude' => '37.3710151','longitude' => '-6.0709617'),
        array('province_id' => '41','town' => 'Brenes','id' => '6076','slug' => 'brenes','latitude' => '37.5505671','longitude' => '-5.8730656'),
        array('province_id' => '41','town' => 'Burguillos','id' => '6077','slug' => 'burguillos','latitude' => '37.5871082','longitude' => '-5.9676194'),
        array('province_id' => '41','town' => 'Cabezas de San Juan, Las','id' => '6078','slug' => 'cabezas-de-san-juan-las','latitude' => '36.9813336','longitude' => '-5.9408635'),
        array('province_id' => '41','town' => 'Camas','id' => '6079','slug' => 'camas','latitude' => '37.4008725','longitude' => '-6.0329114'),
        array('province_id' => '41','town' => 'Campana, La','id' => '6080','slug' => 'campana-la','latitude' => '37.3927385','longitude' => '-5.9951075'),
        array('province_id' => '41','town' => 'Cantillana','id' => '6081','slug' => 'cantillana','latitude' => '37.6086734','longitude' => '-5.8258263'),
        array('province_id' => '41','town' => 'Cañada Rosal','id' => '6082','slug' => 'caada-rosal','latitude' => '37.5989433','longitude' => '-5.2103582'),
        array('province_id' => '41','town' => 'Carmona','id' => '6083','slug' => 'carmona','latitude' => '37.4710235','longitude' => '-5.6423284'),
        array('province_id' => '41','town' => 'Carrión de los Céspedes','id' => '6084','slug' => 'carrin-de-los-cspedes','latitude' => '37.368469','longitude' => '-6.3289577'),
        array('province_id' => '41','town' => 'Casariche','id' => '6085','slug' => 'casariche','latitude' => '37.2938884','longitude' => '-4.7595324'),
        array('province_id' => '41','town' => 'Castilblanco de los Arroyos','id' => '6086','slug' => 'castilblanco-de-los-arroyos','latitude' => '37.6745886','longitude' => '-5.9892999'),
        array('province_id' => '41','town' => 'Castilleja de Guzmán','id' => '6087','slug' => 'castilleja-de-guzmn','latitude' => '37.4086455','longitude' => '-6.0574084'),
        array('province_id' => '41','town' => 'Castilleja de la Cuesta','id' => '6088','slug' => 'castilleja-de-la-cuesta','latitude' => '37.3864354','longitude' => '-6.0518379'),
        array('province_id' => '41','town' => 'Castilleja del Campo','id' => '6089','slug' => 'castilleja-del-campo','latitude' => '37.3859063','longitude' => '-6.3344496'),
        array('province_id' => '41','town' => 'Castillo de las Guardas, El','id' => '6090','slug' => 'castillo-de-las-guardas-el','latitude' => '37.6915997','longitude' => '-6.3142992'),
        array('province_id' => '41','town' => 'Cazalla de la Sierra','id' => '6091','slug' => 'cazalla-de-la-sierra','latitude' => '37.9295956','longitude' => '-5.7607994'),
        array('province_id' => '41','town' => 'Constantina','id' => '6092','slug' => 'constantina','latitude' => '37.8722721','longitude' => '-5.6191151'),
        array('province_id' => '41','town' => 'Coria del Río','id' => '6093','slug' => 'coria-del-ro','latitude' => '37.285059','longitude' => '-6.051814'),
        array('province_id' => '41','town' => 'Coripe','id' => '6094','slug' => 'coripe','latitude' => '36.970231','longitude' => '-5.4413087'),
        array('province_id' => '41','town' => 'Coronil, El','id' => '6095','slug' => 'coronil-el','latitude' => '37.0822814','longitude' => '-5.6334668'),
        array('province_id' => '41','town' => 'Corrales, Los','id' => '6096','slug' => 'corrales-los','latitude' => '37.0973188','longitude' => '-4.9829095'),
        array('province_id' => '41','town' => 'Cuervo de Sevilla, El','id' => '6097','slug' => 'cuervo-de-sevilla-el','latitude' => '37.3892038','longitude' => '-5.9081615'),
        array('province_id' => '41','town' => 'Dos Hermanas','id' => '6098','slug' => 'dos-hermanas','latitude' => '37.2831754','longitude' => '-5.9222424'),
        array('province_id' => '41','town' => 'Écija','id' => '6099','slug' => 'cija','latitude' => '37.5409268','longitude' => '-5.0799526'),
        array('province_id' => '41','town' => 'Espartinas','id' => '6100','slug' => 'espartinas','latitude' => '37.3799708','longitude' => '-6.1235769'),
        array('province_id' => '41','town' => 'Estepa','id' => '6101','slug' => 'estepa','latitude' => '37.2914668','longitude' => '-4.8785063'),
        array('province_id' => '41','town' => 'Fuentes de Andalucía','id' => '6102','slug' => 'fuentes-de-andaluca','latitude' => '37.4622077','longitude' => '-5.3483847'),
        array('province_id' => '41','town' => 'Garrobo, El','id' => '6103','slug' => 'garrobo-el','latitude' => '37.6253904','longitude' => '-6.172421'),
        array('province_id' => '41','town' => 'Gelves','id' => '6104','slug' => 'gelves','latitude' => '37.3367676','longitude' => '-6.0253336'),
        array('province_id' => '41','town' => 'Gerena','id' => '6105','slug' => 'gerena','latitude' => '37.5255332','longitude' => '-6.1576543'),
        array('province_id' => '41','town' => 'Gilena','id' => '6106','slug' => 'gilena','latitude' => '37.2513415','longitude' => '-4.9134934'),
        array('province_id' => '41','town' => 'Gines','id' => '6107','slug' => 'gines','latitude' => '37.3871314','longitude' => '-6.078264'),
        array('province_id' => '41','town' => 'Guadalcanal','id' => '6108','slug' => 'guadalcanal','latitude' => '38.0919805','longitude' => '-5.8211651'),
        array('province_id' => '41','town' => 'Guillena','id' => '6109','slug' => 'guillena','latitude' => '37.5390229','longitude' => '-6.0522679'),
        array('province_id' => '41','town' => 'Herrera','id' => '6110','slug' => '6110-herrera','latitude' => '37.3617546','longitude' => '-4.8500136'),
        array('province_id' => '41','town' => 'Huévar del Aljarafe','id' => '6111','slug' => 'huvar-del-aljarafe','latitude' => '37.3559911','longitude' => '-6.2765903'),
        array('province_id' => '41','town' => 'Isla Mayor','id' => '6112','slug' => 'isla-mayor','latitude' => '37.133557','longitude' => '-6.1628066'),
        array('province_id' => '41','town' => 'Lantejuela, La','id' => '6113','slug' => 'lantejuela-la','latitude' => '37.3535321','longitude' => '-5.2229864'),
        array('province_id' => '41','town' => 'Lebrija','id' => '6114','slug' => 'lebrija','latitude' => '36.9195115','longitude' => '-6.078367'),
        array('province_id' => '41','town' => 'Lora de Estepa','id' => '6115','slug' => 'lora-de-estepa','latitude' => '37.2686906','longitude' => '-4.8278151'),
        array('province_id' => '41','town' => 'Lora del Río','id' => '6116','slug' => 'lora-del-ro','latitude' => '37.65923','longitude' => '-5.5262841'),
        array('province_id' => '41','town' => 'Luisiana, La','id' => '6117','slug' => 'luisiana-la','latitude' => '37.4085328','longitude' => '-5.975986'),
        array('province_id' => '41','town' => 'Madroño, El','id' => '6118','slug' => 'madroo-el','latitude' => '37.6454844','longitude' => '-6.5116992'),
        array('province_id' => '41','town' => 'Mairena del Alcor','id' => '6119','slug' => 'mairena-del-alcor','latitude' => '37.3731574','longitude' => '-5.7475947'),
        array('province_id' => '41','town' => 'Mairena del Aljarafe','id' => '6120','slug' => 'mairena-del-aljarafe','latitude' => '37.34449','longitude' => '-6.0653538'),
        array('province_id' => '41','town' => 'Marchena','id' => '6121','slug' => 'marchena','latitude' => '37.3297187','longitude' => '-5.4164646'),
        array('province_id' => '41','town' => 'Marinaleda','id' => '6122','slug' => 'marinaleda','latitude' => '37.3747307','longitude' => '-4.9537921'),
        array('province_id' => '41','town' => 'Martín de la Jara','id' => '6123','slug' => 'martn-de-la-jara','latitude' => '37.1065499','longitude' => '-4.9621734'),
        array('province_id' => '41','town' => 'Molares, Los','id' => '6124','slug' => 'molares-los','latitude' => '37.3877433','longitude' => '-5.9116687'),
        array('province_id' => '41','town' => 'Montellano','id' => '6125','slug' => 'montellano','latitude' => '36.9956375','longitude' => '-5.5708818'),
        array('province_id' => '41','town' => 'Morón de la Frontera','id' => '6126','slug' => 'morn-de-la-frontera','latitude' => '37.1222961','longitude' => '-5.451869'),
        array('province_id' => '41','town' => 'Navas de la Concepción, Las','id' => '6127','slug' => 'navas-de-la-concepcin-las','latitude' => '37.9334767','longitude' => '-5.4648111'),
        array('province_id' => '41','town' => 'Olivares','id' => '6128','slug' => 'olivares','latitude' => '37.4186818','longitude' => '-6.1559257'),
        array('province_id' => '41','town' => 'Osuna','id' => '6129','slug' => 'osuna','latitude' => '37.2369697','longitude' => '-5.1027479'),
        array('province_id' => '41','town' => 'Palacios y Villafranca, Los','id' => '6130','slug' => 'palacios-y-villafranca-los','latitude' => '37.1585886','longitude' => '-5.9241655'),
        array('province_id' => '41','town' => 'Palomares del Río','id' => '6131','slug' => 'palomares-del-ro','latitude' => '37.3225566','longitude' => '-6.0577165'),
        array('province_id' => '41','town' => 'Paradas','id' => '6132','slug' => 'paradas','latitude' => '37.2898099','longitude' => '-5.4972184'),
        array('province_id' => '41','town' => 'Pedrera','id' => '6133','slug' => 'pedrera','latitude' => '37.2230136','longitude' => '-4.8967539'),
        array('province_id' => '41','town' => 'Pedroso, El','id' => '6134','slug' => 'pedroso-el','latitude' => '37.4080316','longitude' => '-5.9759293'),
        array('province_id' => '41','town' => 'Peñaflor','id' => '6135','slug' => 'peaflor','latitude' => '37.7072609','longitude' => '-5.3464116'),
        array('province_id' => '41','town' => 'Pilas','id' => '6136','slug' => 'pilas','latitude' => '37.3016747','longitude' => '-6.3024492'),
        array('province_id' => '41','town' => 'Pruna','id' => '6137','slug' => 'pruna','latitude' => '36.9736383','longitude' => '-5.2229434'),
        array('province_id' => '41','town' => 'Puebla de Cazalla, La','id' => '6138','slug' => 'puebla-de-cazalla-la','latitude' => '37.2244134','longitude' => '-5.3122696'),
        array('province_id' => '41','town' => 'Puebla de los Infantes, La','id' => '6139','slug' => 'puebla-de-los-infantes-la','latitude' => '37.7785213','longitude' => '-5.3889951'),
        array('province_id' => '41','town' => 'Puebla del Río, La','id' => '6140','slug' => 'puebla-del-ro-la','latitude' => '37.2674785','longitude' => '-6.0625567'),
        array('province_id' => '41','town' => 'Real de la Jara, El','id' => '6141','slug' => 'real-de-la-jara-el','latitude' => '37.950909','longitude' => '-6.150653'),
        array('province_id' => '41','town' => 'Rinconada, La','id' => '6142','slug' => 'rinconada-la','latitude' => '37.4224346','longitude' => '-5.8979651'),
        array('province_id' => '41','town' => 'Roda de Andalucía, La','id' => '6143','slug' => 'roda-de-andaluca-la','latitude' => '37.2009916','longitude' => '-4.7792764'),
        array('province_id' => '41','town' => 'Ronquillo, El','id' => '6144','slug' => 'ronquillo-el','latitude' => '37.7255501','longitude' => '-6.1769632'),
        array('province_id' => '41','town' => 'Rubio, El','id' => '6145','slug' => 'rubio-el','latitude' => '37.386836','longitude' => '-5.9101045'),
        array('province_id' => '41','town' => 'Salteras','id' => '6146','slug' => 'salteras','latitude' => '37.4182389','longitude' => '-6.1116335'),
        array('province_id' => '41','town' => 'San Juan de Aznalfarache','id' => '6147','slug' => 'san-juan-de-aznalfarache','latitude' => '37.358375','longitude' => '-6.0354507'),
        array('province_id' => '41','town' => 'San Nicolás del Puerto','id' => '6148','slug' => 'san-nicols-del-puerto','latitude' => '37.9935304','longitude' => '-5.653036'),
        array('province_id' => '41','town' => 'Sanlúcar la Mayor','id' => '6149','slug' => 'sanlcar-la-mayor','latitude' => '37.385776','longitude' => '-6.2019768'),
        array('province_id' => '41','town' => 'Santiponce','id' => '6150','slug' => 'santiponce','latitude' => '37.4386954','longitude' => '-6.0384145'),
        array('province_id' => '41','town' => 'Saucejo, El','id' => '6151','slug' => 'saucejo-el','latitude' => '37.0700542','longitude' => '-5.0961865'),
        array('province_id' => '41','town' => 'Sevilla','id' => '6152','slug' => 'sevilla','latitude' => '37.38264','longitude' => '-5.9962951'),
        array('province_id' => '41','town' => 'Tocina','id' => '6153','slug' => 'tocina','latitude' => '37.6097805','longitude' => '-5.7330689'),
        array('province_id' => '41','town' => 'Tomares','id' => '6154','slug' => 'tomares','latitude' => '37.378967','longitude' => '-6.0499103'),
        array('province_id' => '41','town' => 'Umbrete','id' => '6155','slug' => 'umbrete','latitude' => '37.369929','longitude' => '-6.1577213'),
        array('province_id' => '41','town' => 'Utrera','id' => '6156','slug' => 'utrera','latitude' => '37.1814192','longitude' => '-5.7815069'),
        array('province_id' => '41','town' => 'Valencina de la Concepción','id' => '6157','slug' => 'valencina-de-la-concepcin','latitude' => '37.4160077','longitude' => '-6.0769588'),
        array('province_id' => '41','town' => 'Villamanrique de la Condesa','id' => '6158','slug' => 'villamanrique-de-la-condesa','latitude' => '37.2462965','longitude' => '-6.3065329'),
        array('province_id' => '41','town' => 'Villanueva de San Juan','id' => '6159','slug' => 'villanueva-de-san-juan','latitude' => '37.0503561','longitude' => '-5.1754727'),
        array('province_id' => '41','town' => 'Villanueva del Ariscal','id' => '6160','slug' => 'villanueva-del-ariscal','latitude' => '37.3957217','longitude' => '-6.1413128'),
        array('province_id' => '41','town' => 'Villanueva del Río y Minas','id' => '6161','slug' => 'villanueva-del-ro-y-minas','latitude' => '37.6600997','longitude' => '-5.7143893'),
        array('province_id' => '41','town' => 'Villaverde del Río','id' => '6162','slug' => 'villaverde-del-ro','latitude' => '37.5880544','longitude' => '-5.8736841'),
        array('province_id' => '41','town' => 'Viso del Alcor, El','id' => '6163','slug' => 'viso-del-alcor-el','latitude' => '37.3882603','longitude' => '-5.7193569'),
        array('province_id' => '42','town' => 'Abejar','id' => '6164','slug' => 'abejar','latitude' => '41.8077429','longitude' => '-2.7855748'),
        array('province_id' => '42','town' => 'Adradas','id' => '6165','slug' => 'adradas','latitude' => '41.3510831','longitude' => '-2.4737827'),
        array('province_id' => '42','town' => 'Ágreda','id' => '6166','slug' => 'greda','latitude' => '41.8550759','longitude' => '-1.9204372'),
        array('province_id' => '42','town' => 'Alconaba','id' => '6167','slug' => 'alconaba','latitude' => '41.7237246','longitude' => '-2.3853166'),
        array('province_id' => '42','town' => 'Alcubilla de Avellaneda','id' => '6168','slug' => 'alcubilla-de-avellaneda','latitude' => '41.7250857','longitude' => '-3.3050396'),
        array('province_id' => '42','town' => 'Alcubilla de las Peñas','id' => '6169','slug' => 'alcubilla-de-las-peas','latitude' => '41.2512997','longitude' => '-2.5270095'),
        array('province_id' => '42','town' => 'Aldealafuente','id' => '6170','slug' => 'aldealafuente','latitude' => '41.6715958','longitude' => '-2.3252493'),
        array('province_id' => '42','town' => 'Aldealices','id' => '6171','slug' => 'aldealices','latitude' => '41.901954','longitude' => '-2.3095177'),
        array('province_id' => '42','town' => 'Aldealpozo','id' => '6172','slug' => 'aldealpozo','latitude' => '41.7828714','longitude' => '-2.2053551'),
        array('province_id' => '42','town' => 'Aldealseñor','id' => '6173','slug' => 'aldealseor','latitude' => '41.8789183','longitude' => '-2.315711'),
        array('province_id' => '42','town' => 'Aldehuela de Periáñez','id' => '6174','slug' => 'aldehuela-de-periez','latitude' => '41.8082352','longitude' => '-2.3064976'),
        array('province_id' => '42','town' => 'Aldehuelas, Las','id' => '6175','slug' => 'aldehuelas-las','latitude' => '41.9945872','longitude' => '-2.3643791'),
        array('province_id' => '42','town' => 'Alentisque','id' => '6176','slug' => 'alentisque','latitude' => '41.4198181','longitude' => '-2.3320479'),
        array('province_id' => '42','town' => 'Aliud','id' => '6177','slug' => 'aliud','latitude' => '41.6544735','longitude' => '-2.2531018'),
        array('province_id' => '42','town' => 'Almajano','id' => '6178','slug' => 'almajano','latitude' => '41.8508065','longitude' => '-2.3379145'),
        array('province_id' => '42','town' => 'Almaluez','id' => '6179','slug' => 'almaluez','latitude' => '41.2893314','longitude' => '-2.2694104'),
        array('province_id' => '42','town' => 'Almarza','id' => '6180','slug' => 'almarza','latitude' => '41.9465163','longitude' => '-2.4690831'),
        array('province_id' => '42','town' => 'Almazán','id' => '6181','slug' => 'almazn','latitude' => '41.4859156','longitude' => '-2.5334369'),
        array('province_id' => '42','town' => 'Almazul','id' => '6182','slug' => 'almazul','latitude' => '41.5737331','longitude' => '-2.1466635'),
        array('province_id' => '42','town' => 'Almenar de Soria','id' => '6183','slug' => 'almenar-de-soria','latitude' => '41.682408','longitude' => '-2.1997939'),
        array('province_id' => '42','town' => 'Alpanseque','id' => '6184','slug' => 'alpanseque','latitude' => '41.2653359','longitude' => '-2.6709905'),
        array('province_id' => '42','town' => 'Arancón','id' => '6185','slug' => 'arancn','latitude' => '41.8007905','longitude' => '-2.2821424'),
        array('province_id' => '42','town' => 'Arcos de Jalón','id' => '6186','slug' => 'arcos-de-jaln','latitude' => '41.21495','longitude' => '-2.2713004'),
        array('province_id' => '42','town' => 'Arenillas','id' => '6187','slug' => 'arenillas','latitude' => '41.3474537','longitude' => '-2.845552'),
        array('province_id' => '42','town' => 'Arévalo de la Sierra','id' => '6188','slug' => 'arvalo-de-la-sierra','latitude' => '41.9474522','longitude' => '-2.4002159'),
        array('province_id' => '42','town' => 'Ausejo de la Sierra','id' => '6189','slug' => 'ausejo-de-la-sierra','latitude' => '41.894836','longitude' => '-2.3741606'),
        array('province_id' => '42','town' => 'Baraona','id' => '6190','slug' => 'baraona','latitude' => '41.295329','longitude' => '-2.6574062'),
        array('province_id' => '42','town' => 'Barca','id' => '6191','slug' => 'barca','latitude' => '41.4562523','longitude' => '-2.6208587'),
        array('province_id' => '42','town' => 'Barcones','id' => '6192','slug' => 'barcones','latitude' => '41.2918691','longitude' => '-2.8164892'),
        array('province_id' => '42','town' => 'Bayubas de Abajo','id' => '6193','slug' => 'bayubas-de-abajo','latitude' => '41.526458','longitude' => '-2.8959908'),
        array('province_id' => '42','town' => 'Bayubas de Arriba','id' => '6194','slug' => 'bayubas-de-arriba','latitude' => '41.5573548','longitude' => '-2.8862904'),
        array('province_id' => '42','town' => 'Beratón','id' => '6195','slug' => 'beratn','latitude' => '41.7163538','longitude' => '-1.8109706'),
        array('province_id' => '42','town' => 'Berlanga de Duero','id' => '6196','slug' => 'berlanga-de-duero','latitude' => '41.4651951','longitude' => '-2.8613126'),
        array('province_id' => '42','town' => 'Blacos','id' => '6197','slug' => 'blacos','latitude' => '41.680609','longitude' => '-2.8569141'),
        array('province_id' => '42','town' => 'Bliecos','id' => '6198','slug' => 'bliecos','latitude' => '41.5282691','longitude' => '-2.2715706'),
        array('province_id' => '42','town' => 'Borjabad','id' => '6199','slug' => 'borjabad','latitude' => '41.5531502','longitude' => '-2.3657194'),
        array('province_id' => '42','town' => 'Borobia','id' => '6200','slug' => 'borobia','latitude' => '41.6655265','longitude' => '-1.8976434'),
        array('province_id' => '42','town' => 'Buberos','id' => '6201','slug' => 'buberos','latitude' => '41.6472683','longitude' => '-2.1954557'),
        array('province_id' => '42','town' => 'Buitrago','id' => '6202','slug' => 'buitrago','latitude' => '41.8475078','longitude' => '-2.4081564'),
        array('province_id' => '42','town' => 'Burgo de Osma-Ciudad de Osma','id' => '6203','slug' => 'burgo-de-osma-ciudad-de-osma','latitude' => '41.5876342','longitude' => '-3.0665803'),
        array('province_id' => '42','town' => 'Cabrejas del Campo','id' => '6204','slug' => 'cabrejas-del-campo','latitude' => '41.6811723','longitude' => '-2.2695373'),
        array('province_id' => '42','town' => 'Cabrejas del Pinar','id' => '6205','slug' => 'cabrejas-del-pinar','latitude' => '41.7976741','longitude' => '-2.8496838'),
        array('province_id' => '42','town' => 'Calatañazor','id' => '6206','slug' => 'calataazor','latitude' => '41.6996005','longitude' => '-2.8175875'),
        array('province_id' => '42','town' => 'Caltojar','id' => '6207','slug' => 'caltojar','latitude' => '41.4025437','longitude' => '-2.7641425'),
        array('province_id' => '42','town' => 'Candilichera','id' => '6208','slug' => 'candilichera','latitude' => '41.7043337','longitude' => '-2.3014765'),
        array('province_id' => '42','town' => 'Cañamaque','id' => '6209','slug' => 'caamaque','latitude' => '41.4449947','longitude' => '-2.2362948'),
        array('province_id' => '42','town' => 'Carabantes','id' => '6210','slug' => 'carabantes','latitude' => '41.5516983','longitude' => '-2.0011625'),
        array('province_id' => '42','town' => 'Caracena','id' => '6211','slug' => 'caracena','latitude' => '41.383305','longitude' => '-3.0913433'),
        array('province_id' => '42','town' => 'Carrascosa de Abajo','id' => '6212','slug' => 'carrascosa-de-abajo','latitude' => '41.423241','longitude' => '-3.0902626'),
        array('province_id' => '42','town' => 'Carrascosa de la Sierra','id' => '6213','slug' => 'carrascosa-de-la-sierra','latitude' => '41.8955372','longitude' => '-2.2805601'),
        array('province_id' => '42','town' => 'Casarejos','id' => '6214','slug' => 'casarejos','latitude' => '41.796438','longitude' => '-3.0325381'),
        array('province_id' => '42','town' => 'Castilfrío de la Sierra','id' => '6215','slug' => 'castilfro-de-la-sierra','latitude' => '41.9199757','longitude' => '-2.3055766'),
        array('province_id' => '42','town' => 'Castillejo de Robledo','id' => '6216','slug' => 'castillejo-de-robledo','latitude' => '41.5611068','longitude' => '-3.4946689'),
        array('province_id' => '42','town' => 'Castilruiz','id' => '6217','slug' => 'castilruiz','latitude' => '41.8768132','longitude' => '-2.0591471'),
        array('province_id' => '42','town' => 'Centenera de Andaluz','id' => '6218','slug' => 'centenera-de-andaluz','latitude' => '41.506871','longitude' => '-2.7183297'),
        array('province_id' => '42','town' => 'Cerbón','id' => '6219','slug' => 'cerbn','latitude' => '41.9293042','longitude' => '-2.1696221'),
        array('province_id' => '42','town' => 'Cidones','id' => '6220','slug' => 'cidones','latitude' => '41.8146128','longitude' => '-2.6401137'),
        array('province_id' => '42','town' => 'Cigudosa','id' => '6221','slug' => 'cigudosa','latitude' => '41.9350482','longitude' => '-2.055447'),
        array('province_id' => '42','town' => 'Cihuela','id' => '6222','slug' => 'cihuela','latitude' => '41.4072518','longitude' => '-1.9998098'),
        array('province_id' => '42','town' => 'Ciria','id' => '6223','slug' => 'ciria','latitude' => '41.6188593','longitude' => '-1.9658911'),
        array('province_id' => '42','town' => 'Cirujales del Río','id' => '6224','slug' => 'cirujales-del-ro','latitude' => '41.8669385','longitude' => '-2.3259544'),
        array('province_id' => '42','town' => 'Coscurita','id' => '6225','slug' => 'coscurita','latitude' => '41.4348147','longitude' => '-2.4755924'),
        array('province_id' => '42','town' => 'Covaleda','id' => '6226','slug' => 'covaleda','latitude' => '41.9358456','longitude' => '-2.8849747'),
        array('province_id' => '42','town' => 'Cubilla','id' => '6227','slug' => 'cubilla','latitude' => '41.748828','longitude' => '-2.9388757'),
        array('province_id' => '42','town' => 'Cubo de la Solana','id' => '6228','slug' => 'cubo-de-la-solana','latitude' => '41.6025272','longitude' => '-2.420941'),
        array('province_id' => '42','town' => 'Cueva de Ágreda','id' => '6229','slug' => 'cueva-de-greda','latitude' => '41.7635589','longitude' => '-1.8875496'),
        array('province_id' => '42','town' => 'Dévanos','id' => '6230','slug' => 'dvanos','latitude' => '41.9022427','longitude' => '-1.9454788'),
        array('province_id' => '42','town' => 'Deza','id' => '6231','slug' => 'deza','latitude' => '41.4635243','longitude' => '-2.0222463'),
        array('province_id' => '42','town' => 'Duruelo de la Sierra','id' => '6232','slug' => 'duruelo-de-la-sierra','latitude' => '41.9542789','longitude' => '-2.9320885'),
        array('province_id' => '42','town' => 'Escobosa de Almazán','id' => '6233','slug' => 'escobosa-de-almazn','latitude' => '41.486918','longitude' => '-2.3712055'),
        array('province_id' => '42','town' => 'Espeja de San Marcelino','id' => '6234','slug' => 'espeja-de-san-marcelino','latitude' => '41.8027605','longitude' => '-3.22209'),
        array('province_id' => '42','town' => 'Espejón','id' => '6235','slug' => 'espejn','latitude' => '41.8309384','longitude' => '-3.2596288'),
        array('province_id' => '42','town' => 'Estepa de San Juan','id' => '6236','slug' => 'estepa-de-san-juan','latitude' => '41.9266454','longitude' => '-2.3336174'),
        array('province_id' => '42','town' => 'Frechilla de Almazán','id' => '6237','slug' => 'frechilla-de-almazn','latitude' => '41.4259203','longitude' => '-2.5156683'),
        array('province_id' => '42','town' => 'Fresno de Caracena','id' => '6238','slug' => 'fresno-de-caracena','latitude' => '41.452573','longitude' => '-3.0911988'),
        array('province_id' => '42','town' => 'Fuentearmegil','id' => '6239','slug' => 'fuentearmegil','latitude' => '41.7146861','longitude' => '-3.1829514'),
        array('province_id' => '42','town' => 'Fuentecambrón','id' => '6240','slug' => 'fuentecambrn','latitude' => '41.5055102','longitude' => '-3.3280876'),
        array('province_id' => '42','town' => 'Fuentecantos','id' => '6241','slug' => 'fuentecantos','latitude' => '41.8487706','longitude' => '-2.4281084'),
        array('province_id' => '42','town' => 'Fuentelmonge','id' => '6242','slug' => 'fuentelmonge','latitude' => '41.4203689','longitude' => '-2.1861848'),
        array('province_id' => '42','town' => 'Fuentelsaz de Soria','id' => '6243','slug' => 'fuentelsaz-de-soria','latitude' => '41.8647598','longitude' => '-2.4155059'),
        array('province_id' => '42','town' => 'Fuentepinilla','id' => '6244','slug' => 'fuentepinilla','latitude' => '41.5674798','longitude' => '-2.7630919'),
        array('province_id' => '42','town' => 'Fuentes de Magaña','id' => '6245','slug' => 'fuentes-de-magaa','latitude' => '41.9350438','longitude' => '-2.1802291'),
        array('province_id' => '42','town' => 'Fuentestrún','id' => '6246','slug' => 'fuentestrn','latitude' => '41.8746733','longitude' => '-2.081859'),
        array('province_id' => '42','town' => 'Garray','id' => '6247','slug' => 'garray','latitude' => '41.8151034','longitude' => '-2.446957'),
        array('province_id' => '42','town' => 'Golmayo','id' => '6248','slug' => 'golmayo','latitude' => '41.7651901','longitude' => '-2.524221'),
        array('province_id' => '42','town' => 'Gómara','id' => '6249','slug' => 'gmara','latitude' => '41.6233027','longitude' => '-2.2256881'),
        array('province_id' => '42','town' => 'Gormaz','id' => '6250','slug' => 'gormaz','latitude' => '41.4926297','longitude' => '-3.0043858'),
        array('province_id' => '42','town' => 'Herrera de Soria','id' => '6251','slug' => 'herrera-de-soria','latitude' => '41.7628972','longitude' => '-3.0123535'),
        array('province_id' => '42','town' => 'Hinojosa del Campo','id' => '6252','slug' => 'hinojosa-del-campo','latitude' => '41.7389936','longitude' => '-2.0988511'),
        array('province_id' => '42','town' => 'Langa de Duero','id' => '6253','slug' => 'langa-de-duero','latitude' => '41.6100941','longitude' => '-3.401597'),
        array('province_id' => '42','town' => 'Liceras','id' => '6254','slug' => 'liceras','latitude' => '41.3788504','longitude' => '-3.2437238'),
        array('province_id' => '42','town' => 'Losilla, La','id' => '6255','slug' => 'losilla-la','latitude' => '41.8724679','longitude' => '-2.2787061'),
        array('province_id' => '42','town' => 'Magaña','id' => '6256','slug' => 'magaa','latitude' => '41.8996826','longitude' => '-2.1616855'),
        array('province_id' => '42','town' => 'Maján','id' => '6257','slug' => 'majn','latitude' => '41.4689054','longitude' => '-2.303282'),
        array('province_id' => '42','town' => 'Matalebreras','id' => '6258','slug' => 'matalebreras','latitude' => '41.8406153','longitude' => '-2.0466796'),
        array('province_id' => '42','town' => 'Matamala de Almazán','id' => '6259','slug' => 'matamala-de-almazn','latitude' => '41.5064439','longitude' => '-2.6402359'),
        array('province_id' => '42','town' => 'Medinaceli','id' => '6260','slug' => 'medinaceli','latitude' => '41.1725648','longitude' => '-2.4330865'),
        array('province_id' => '42','town' => 'Miño de Medinaceli','id' => '6261','slug' => 'mio-de-medinaceli','latitude' => '41.1898247','longitude' => '-2.518145'),
        array('province_id' => '42','town' => 'Miño de San Esteban','id' => '6262','slug' => 'mio-de-san-esteban','latitude' => '41.5359941','longitude' => '-3.3453081'),
        array('province_id' => '42','town' => 'Molinos de Duero','id' => '6263','slug' => 'molinos-de-duero','latitude' => '41.8853117','longitude' => '-2.7877292'),
        array('province_id' => '42','town' => 'Momblona','id' => '6264','slug' => 'momblona','latitude' => '41.4440942','longitude' => '-2.3465663'),
        array('province_id' => '42','town' => 'Monteagudo de las Vicarías','id' => '6265','slug' => 'monteagudo-de-las-vicaras','latitude' => '41.3652466','longitude' => '-2.1693098'),
        array('province_id' => '42','town' => 'Montejo de Tiermes','id' => '6266','slug' => 'montejo-de-tiermes','latitude' => '41.368517','longitude' => '-3.198695'),
        array('province_id' => '42','town' => 'Montenegro de Cameros','id' => '6267','slug' => 'montenegro-de-cameros','latitude' => '42.0898219','longitude' => '-2.7539046'),
        array('province_id' => '42','town' => 'Morón de Almazán','id' => '6268','slug' => 'morn-de-almazn','latitude' => '41.4147794','longitude' => '-2.4130516'),
        array('province_id' => '42','town' => 'Muriel de la Fuente','id' => '6269','slug' => 'muriel-de-la-fuente','latitude' => '41.7246542','longitude' => '-2.8603219'),
        array('province_id' => '42','town' => 'Muriel Viejo','id' => '6270','slug' => 'muriel-viejo','latitude' => '41.7826919','longitude' => '-2.9154177'),
        array('province_id' => '42','town' => 'Nafría de Ucero','id' => '6271','slug' => 'nafra-de-ucero','latitude' => '41.7226899','longitude' => '-3.0948583'),
        array('province_id' => '42','town' => 'Narros','id' => '6272','slug' => 'narros','latitude' => '41.8486182','longitude' => '-2.2945525'),
        array('province_id' => '42','town' => 'Navaleno','id' => '6273','slug' => 'navaleno','latitude' => '41.8387185','longitude' => '-3.0054505'),
        array('province_id' => '42','town' => 'Nepas','id' => '6274','slug' => 'nepas','latitude' => '41.5264386','longitude' => '-2.3999123'),
        array('province_id' => '42','town' => 'Nolay','id' => '6275','slug' => 'nolay','latitude' => '41.5270041','longitude' => '-2.351627'),
        array('province_id' => '42','town' => 'Noviercas','id' => '6276','slug' => 'noviercas','latitude' => '41.7115945','longitude' => '-2.0349626'),
        array('province_id' => '42','town' => 'Ólvega','id' => '6277','slug' => 'lvega','latitude' => '41.7793751','longitude' => '-1.9856183'),
        array('province_id' => '42','town' => 'Oncala','id' => '6278','slug' => 'oncala','latitude' => '41.970384','longitude' => '-2.3144368'),
        array('province_id' => '42','town' => 'Pinilla del Campo','id' => '6279','slug' => 'pinilla-del-campo','latitude' => '41.7171482','longitude' => '-2.0834763'),
        array('province_id' => '42','town' => 'Portillo de Soria','id' => '6280','slug' => 'portillo-de-soria','latitude' => '41.6353209','longitude' => '-2.1212126'),
        array('province_id' => '42','town' => 'Póveda de Soria, La','id' => '6281','slug' => 'pveda-de-soria-la','latitude' => '42.0122713','longitude' => '-2.5045826'),
        array('province_id' => '42','town' => 'Pozalmuro','id' => '6282','slug' => 'pozalmuro','latitude' => '41.7747093','longitude' => '-2.1022123'),
        array('province_id' => '42','town' => 'Quintana Redonda','id' => '6283','slug' => 'quintana-redonda','latitude' => '41.6401883','longitude' => '-2.6153136'),
        array('province_id' => '42','town' => 'Quintanas de Gormaz','id' => '6284','slug' => 'quintanas-de-gormaz','latitude' => '41.508167','longitude' => '-2.9754644'),
        array('province_id' => '42','town' => 'Quiñonería','id' => '6285','slug' => 'quionera','latitude' => '41.5377765','longitude' => '-2.0572131'),
        array('province_id' => '42','town' => 'Rábanos, Los','id' => '6286','slug' => 'rbanos-los','latitude' => '41.7638856','longitude' => '-2.4687277'),
        array('province_id' => '42','town' => 'Rebollar','id' => '6287','slug' => '6287-rebollar','latitude' => '41.9137581','longitude' => '-2.5051301'),
        array('province_id' => '42','town' => 'Recuerda','id' => '6288','slug' => 'recuerda','latitude' => '41.4753822','longitude' => '-2.9947549'),
        array('province_id' => '42','town' => 'Rello','id' => '6289','slug' => '6289-rello','latitude' => '41.3328648','longitude' => '-2.7497618'),
        array('province_id' => '42','town' => 'Renieblas','id' => '6290','slug' => 'renieblas','latitude' => '41.8199475','longitude' => '-2.3723431'),
        array('province_id' => '42','town' => 'Retortillo de Soria','id' => '6291','slug' => 'retortillo-de-soria','latitude' => '41.3111732','longitude' => '-2.9808817'),
        array('province_id' => '42','town' => 'Reznos','id' => '6292','slug' => 'reznos','latitude' => '41.5913592','longitude' => '-2.0270721'),
        array('province_id' => '42','town' => 'Riba de Escalote, La','id' => '6293','slug' => 'riba-de-escalote-la','latitude' => '41.3517466','longitude' => '-2.7970499'),
        array('province_id' => '42','town' => 'Rioseco de Soria','id' => '6294','slug' => 'rioseco-de-soria','latitude' => '41.6420909','longitude' => '-2.841026'),
        array('province_id' => '42','town' => 'Rollamienta','id' => '6295','slug' => 'rollamienta','latitude' => '41.9261596','longitude' => '-2.5311468'),
        array('province_id' => '42','town' => 'Royo, El','id' => '6296','slug' => 'royo-el','latitude' => '41.9083998','longitude' => '-2.6445638'),
        array('province_id' => '42','town' => 'Salduero','id' => '6297','slug' => 'salduero','latitude' => '41.8900909','longitude' => '-2.7993004'),
        array('province_id' => '42','town' => 'San Esteban de Gormaz','id' => '6298','slug' => 'san-esteban-de-gormaz','latitude' => '41.5736339','longitude' => '-3.2052827'),
        array('province_id' => '42','town' => 'San Felices','id' => '6299','slug' => 'san-felices','latitude' => '41.9369937','longitude' => '-2.0271221'),
        array('province_id' => '42','town' => 'San Leonardo de Yagüe','id' => '6300','slug' => 'san-leonardo-de-yage','latitude' => '41.8290529','longitude' => '-3.0664092'),
        array('province_id' => '42','town' => 'San Pedro Manrique','id' => '6301','slug' => 'san-pedro-manrique','latitude' => '42.0302252','longitude' => '-2.2307393'),
        array('province_id' => '42','town' => 'Santa Cruz de Yanguas','id' => '6302','slug' => 'santa-cruz-de-yanguas','latitude' => '42.0627239','longitude' => '-2.4480114'),
        array('province_id' => '42','town' => 'Santa María de Huerta','id' => '6303','slug' => 'santa-mara-de-huerta','latitude' => '41.2634136','longitude' => '-2.17574'),
        array('province_id' => '42','town' => 'Santa María de las Hoyas','id' => '6304','slug' => 'santa-mara-de-las-hoyas','latitude' => '41.7713715','longitude' => '-3.1425706'),
        array('province_id' => '42','town' => 'Serón de Nágima','id' => '6305','slug' => 'sern-de-ngima','latitude' => '41.4957082','longitude' => '-2.2015927'),
        array('province_id' => '42','town' => 'Soliedra','id' => '6306','slug' => 'soliedra','latitude' => '41.4698156','longitude' => '-2.3821676'),
        array('province_id' => '42','town' => 'Soria','id' => '6307','slug' => 'soria','latitude' => '41.7635982','longitude' => '-2.4649206'),
        array('province_id' => '42','town' => 'Sotillo del Rincón','id' => '6308','slug' => 'sotillo-del-rincn','latitude' => '41.9319573','longitude' => '-2.6024555'),
        array('province_id' => '42','town' => 'Suellacabras','id' => '6309','slug' => 'suellacabras','latitude' => '41.8526774','longitude' => '-2.2234934'),
        array('province_id' => '42','town' => 'Tajahuerce','id' => '6310','slug' => 'tajahuerce','latitude' => '41.7401909','longitude' => '-2.1508665'),
        array('province_id' => '42','town' => 'Tajueco','id' => '6311','slug' => 'tajueco','latitude' => '41.5365634','longitude' => '-2.8491255'),
        array('province_id' => '42','town' => 'Talveila','id' => '6312','slug' => 'talveila','latitude' => '41.7841002','longitude' => '-2.9668477'),
        array('province_id' => '42','town' => 'Tardelcuende','id' => '6313','slug' => 'tardelcuende','latitude' => '41.595476','longitude' => '-2.6445282'),
        array('province_id' => '42','town' => 'Taroda','id' => '6314','slug' => 'taroda','latitude' => '41.3484353','longitude' => '-2.4338801'),
        array('province_id' => '42','town' => 'Tejado','id' => '6315','slug' => 'tejado','latitude' => '41.588284','longitude' => '-2.2677881'),
        array('province_id' => '42','town' => 'Torlengua','id' => '6316','slug' => 'torlengua','latitude' => '41.4538314','longitude' => '-2.1630354'),
        array('province_id' => '42','town' => 'Torreblacos','id' => '6317','slug' => 'torreblacos','latitude' => '41.6693715','longitude' => '-2.8774299'),
        array('province_id' => '42','town' => 'Torrubia de Soria','id' => '6318','slug' => 'torrubia-de-soria','latitude' => '41.6302619','longitude' => '-2.0912786'),
        array('province_id' => '42','town' => 'Trévago','id' => '6319','slug' => 'trvago','latitude' => '41.8739038','longitude' => '-2.1022424'),
        array('province_id' => '42','town' => 'Ucero','id' => '6320','slug' => 'ucero','latitude' => '41.7171196','longitude' => '-3.051048'),
        array('province_id' => '42','town' => 'Vadillo','id' => '6321','slug' => 'vadillo','latitude' => '41.7913314','longitude' => '-3.0079696'),
        array('province_id' => '42','town' => 'Valdeavellano de Tera','id' => '6322','slug' => 'valdeavellano-de-tera','latitude' => '41.9426194','longitude' => '-2.5752016'),
        array('province_id' => '42','town' => 'Valdegeña','id' => '6323','slug' => 'valdegea','latitude' => '41.8167192','longitude' => '-2.1735988'),
        array('province_id' => '42','town' => 'Valdelagua del Cerro','id' => '6324','slug' => 'valdelagua-del-cerro','latitude' => '41.8877993','longitude' => '-2.1165497'),
        array('province_id' => '42','town' => 'Valdemaluque','id' => '6325','slug' => 'valdemaluque','latitude' => '41.6734442','longitude' => '-3.0454094'),
        array('province_id' => '42','town' => 'Valdenebro','id' => '6326','slug' => 'valdenebro','latitude' => '41.5710322','longitude' => '-2.9640186'),
        array('province_id' => '42','town' => 'Valdeprado','id' => '6327','slug' => 'valdeprado','latitude' => '41.9378798','longitude' => '-2.1083087'),
        array('province_id' => '42','town' => 'Valderrodilla','id' => '6328','slug' => 'valderrodilla','latitude' => '41.5638184','longitude' => '-2.8084023'),
        array('province_id' => '42','town' => 'Valtajeros','id' => '6329','slug' => 'valtajeros','latitude' => '41.9382369','longitude' => '-2.2216335'),
        array('province_id' => '42','town' => 'Velamazán','id' => '6330','slug' => 'velamazn','latitude' => '41.4501171','longitude' => '-2.6984641'),
        array('province_id' => '42','town' => 'Velilla de la Sierra','id' => '6331','slug' => 'velilla-de-la-sierra','latitude' => '41.809109','longitude' => '-2.401653'),
        array('province_id' => '42','town' => 'Velilla de los Ajos','id' => '6332','slug' => 'velilla-de-los-ajos','latitude' => '41.4905998','longitude' => '-2.2547609'),
        array('province_id' => '42','town' => 'Viana de Duero','id' => '6333','slug' => 'viana-de-duero','latitude' => '41.5336125','longitude' => '-2.4606149'),
        array('province_id' => '42','town' => 'Villaciervos','id' => '6334','slug' => 'villaciervos','latitude' => '41.7620466','longitude' => '-2.6266055'),
        array('province_id' => '42','town' => 'Villanueva de Gormaz','id' => '6335','slug' => 'villanueva-de-gormaz','latitude' => '41.4675465','longitude' => '-3.0623132'),
        array('province_id' => '42','town' => 'Villar del Ala','id' => '6336','slug' => 'villar-del-ala','latitude' => '41.9162801','longitude' => '-2.5662842'),
        array('province_id' => '42','town' => 'Villar del Campo','id' => '6337','slug' => 'villar-del-campo','latitude' => '41.7889002','longitude' => '-2.1491957'),
        array('province_id' => '42','town' => 'Villar del Río','id' => '6338','slug' => 'villar-del-ro','latitude' => '42.0754454','longitude' => '-2.3515098'),
        array('province_id' => '42','town' => 'Villares de Soria, Los','id' => '6339','slug' => 'villares-de-soria-los','latitude' => '41.8644763','longitude' => '-2.355851'),
        array('province_id' => '42','town' => 'Villasayas','id' => '6340','slug' => 'villasayas','latitude' => '41.3527392','longitude' => '-2.6105726'),
        array('province_id' => '42','town' => 'Villaseca de Arciel','id' => '6341','slug' => 'villaseca-de-arciel','latitude' => '41.6246303','longitude' => '-2.1610587'),
        array('province_id' => '42','town' => 'Vinuesa','id' => '6342','slug' => 'vinuesa','latitude' => '41.9116385','longitude' => '-2.7628817'),
        array('province_id' => '42','town' => 'Vizmanos','id' => '6343','slug' => 'vizmanos','latitude' => '42.0238797','longitude' => '-2.4076947'),
        array('province_id' => '42','town' => 'Vozmediano','id' => '6344','slug' => 'vozmediano','latitude' => '41.8392194','longitude' => '-1.8559117'),
        array('province_id' => '42','town' => 'Yanguas','id' => '6345','slug' => 'yanguas','latitude' => '42.1014345','longitude' => '-2.3396364'),
        array('province_id' => '42','town' => 'Yelo','id' => '6346','slug' => 'yelo','latitude' => '41.2105212','longitude' => '-2.5277786'),
        array('province_id' => '43','town' => 'Aiguamúrcia','id' => '6347','slug' => 'aiguamrcia','latitude' => '41.3301841','longitude' => '1.3594544'),
        array('province_id' => '43','town' => 'Albinyana','id' => '6348','slug' => 'albinyana','latitude' => '41.245453','longitude' => '1.4897531'),
        array('province_id' => '43','town' => 'Albiol, L\'','id' => '6349','slug' => 'albiol-l','latitude' => '41.2518189','longitude' => '1.08958'),
        array('province_id' => '43','town' => 'Alcanar','id' => '6350','slug' => 'alcanar','latitude' => '40.544838','longitude' => '0.4811905'),
        array('province_id' => '43','town' => 'Alcover','id' => '6351','slug' => 'alcover','latitude' => '41.2623936','longitude' => '1.1701588'),
        array('province_id' => '43','town' => 'Aldea, L\'','id' => '6352','slug' => 'aldea-l','latitude' => '40.7418029','longitude' => '0.6119037'),
        array('province_id' => '43','town' => 'Aldover','id' => '6353','slug' => 'aldover','latitude' => '40.8797324','longitude' => '0.4995357'),
        array('province_id' => '43','town' => 'Aleixar, L\'','id' => '6354','slug' => 'aleixar-l','latitude' => '41.2015065','longitude' => '1.0446666'),
        array('province_id' => '43','town' => 'Alfara de Carles','id' => '6355','slug' => 'alfara-de-carles','latitude' => '40.8738657','longitude' => '0.3998365'),
        array('province_id' => '43','town' => 'Alforja','id' => '6356','slug' => 'alforja','latitude' => '41.2113272','longitude' => '0.9762403'),
        array('province_id' => '43','town' => 'Alió','id' => '6357','slug' => 'ali','latitude' => '41.2935224','longitude' => '1.3054009'),
        array('province_id' => '43','town' => 'Almoster','id' => '6358','slug' => 'almoster','latitude' => '41.1971911','longitude' => '1.1124545'),
        array('province_id' => '43','town' => 'Altafulla','id' => '6359','slug' => 'altafulla','latitude' => '41.1427418','longitude' => '1.3731464'),
        array('province_id' => '43','town' => 'Ametlla de Mar, L\'','id' => '6360','slug' => 'ametlla-de-mar-l','latitude' => '40.8850733','longitude' => '0.8033742'),
        array('province_id' => '43','town' => 'Ampolla, L\'','id' => '6361','slug' => 'ampolla-l','latitude' => '40.8132425','longitude' => '0.7095863'),
        array('province_id' => '43','town' => 'Amposta','id' => '6362','slug' => 'amposta','latitude' => '40.7123115','longitude' => '0.579972'),
        array('province_id' => '43','town' => 'Arboç, L\'','id' => '6363','slug' => 'arbo-l','latitude' => '41.2653523','longitude' => '1.6035232'),
        array('province_id' => '43','town' => 'Arbolí','id' => '6364','slug' => 'arbol','latitude' => '41.2425138','longitude' => '0.9490852'),
        array('province_id' => '43','town' => 'Argentera, L\'','id' => '6365','slug' => 'argentera-l','latitude' => '41.1379345','longitude' => '0.909145'),
        array('province_id' => '43','town' => 'Arnes','id' => '6366','slug' => 'arnes','latitude' => '40.9109824','longitude' => '0.260313'),
        array('province_id' => '43','town' => 'Ascó','id' => '6367','slug' => 'asc','latitude' => '41.183719','longitude' => '0.5671799'),
        array('province_id' => '43','town' => 'Banyeres del Penedès','id' => '6368','slug' => 'banyeres-del-peneds','latitude' => '41.2796693','longitude' => '1.5833769'),
        array('province_id' => '43','town' => 'Barberà de la Conca','id' => '6369','slug' => 'barber-de-la-conca','latitude' => '41.4130905','longitude' => '1.228101'),
        array('province_id' => '43','town' => 'Batea','id' => '6370','slug' => 'batea','latitude' => '41.0941184','longitude' => '0.3120051'),
        array('province_id' => '43','town' => 'Bellmunt del Priorat','id' => '6371','slug' => 'bellmunt-del-priorat','latitude' => '41.1630819','longitude' => '0.7666381'),
        array('province_id' => '43','town' => 'Bellvei','id' => '6372','slug' => 'bellvei','latitude' => '41.2399203','longitude' => '1.5772767'),
        array('province_id' => '43','town' => 'Benifallet','id' => '6373','slug' => 'benifallet','latitude' => '40.9746158','longitude' => '0.5170919'),
        array('province_id' => '43','town' => 'Benissanet','id' => '6374','slug' => 'benissanet','latitude' => '41.0570463','longitude' => '0.6343785'),
        array('province_id' => '43','town' => 'Bisbal de Falset, La','id' => '6375','slug' => 'bisbal-de-falset-la','latitude' => '41.2792729','longitude' => '0.7221786'),
        array('province_id' => '43','town' => 'Bisbal del Penedès, La','id' => '6376','slug' => 'bisbal-del-peneds-la','latitude' => '41.2801999','longitude' => '1.4888961'),
        array('province_id' => '43','town' => 'Blancafort','id' => '6377','slug' => 'blancafort','latitude' => '41.4379154','longitude' => '1.159119'),
        array('province_id' => '43','town' => 'Bonastre','id' => '6378','slug' => 'bonastre','latitude' => '41.2223278','longitude' => '1.4404358'),
        array('province_id' => '43','town' => 'Borges del Camp, Les','id' => '6379','slug' => 'borges-del-camp-les','latitude' => '41.1720643','longitude' => '1.0204666'),
        array('province_id' => '43','town' => 'Bot','id' => '6380','slug' => 'bot','latitude' => '41.00909','longitude' => '0.3821412'),
        array('province_id' => '43','town' => 'Botarell','id' => '6381','slug' => 'botarell','latitude' => '41.1356371','longitude' => '0.9896871'),
        array('province_id' => '43','town' => 'Bràfim','id' => '6382','slug' => 'brfim','latitude' => '41.268771','longitude' => '1.3412293'),
        array('province_id' => '43','town' => 'Cabacés','id' => '6383','slug' => 'cabacs','latitude' => '41.2452814','longitude' => '0.731154'),
        array('province_id' => '43','town' => 'Cabra del Camp','id' => '6384','slug' => 'cabra-del-camp','latitude' => '41.3949646','longitude' => '1.2759416'),
        array('province_id' => '43','town' => 'Calafell','id' => '6385','slug' => 'calafell','latitude' => '41.2005582','longitude' => '1.5684408'),
        array('province_id' => '43','town' => 'Camarles','id' => '6386','slug' => 'camarles','latitude' => '40.771336','longitude' => '0.672512'),
        array('province_id' => '43','town' => 'Cambrils','id' => '6387','slug' => 'cambrils','latitude' => '41.067056','longitude' => '1.0564192'),
        array('province_id' => '43','town' => 'Canonja, La','id' => '6388','slug' => 'canonja-la','latitude' => '41.1229899','longitude' => '1.1786487'),
        array('province_id' => '43','town' => 'Capafonts','id' => '6389','slug' => 'capafonts','latitude' => '41.2958772','longitude' => '1.0275762'),
        array('province_id' => '43','town' => 'Capçanes','id' => '6390','slug' => 'capanes','latitude' => '41.1015484','longitude' => '0.780364'),
        array('province_id' => '43','town' => 'Caseres','id' => '6391','slug' => 'caseres','latitude' => '41.0406197','longitude' => '0.251333'),
        array('province_id' => '43','town' => 'Castellvell del Camp','id' => '6392','slug' => 'castellvell-del-camp','latitude' => '41.1799932','longitude' => '1.0987049'),
        array('province_id' => '43','town' => 'Catllar, El','id' => '6393','slug' => 'catllar-el','latitude' => '41.1406368','longitude' => '1.3108356'),
        array('province_id' => '43','town' => 'Colldejou','id' => '6394','slug' => 'colldejou','latitude' => '41.09893','longitude' => '0.8881252'),
        array('province_id' => '43','town' => 'Conesa','id' => '6395','slug' => 'conesa','latitude' => '41.5202019','longitude' => '1.2927092'),
        array('province_id' => '43','town' => 'Constantí','id' => '6396','slug' => 'constant','latitude' => '41.1510429','longitude' => '1.2166753'),
        array('province_id' => '43','town' => 'Corbera d\'Ebre','id' => '6397','slug' => 'corbera-debre','latitude' => '41.0776354','longitude' => '0.4780503'),
        array('province_id' => '43','town' => 'Cornudella de Montsant','id' => '6398','slug' => 'cornudella-de-montsant','latitude' => '41.2650619','longitude' => '0.905523'),
        array('province_id' => '43','town' => 'Creixell','id' => '6399','slug' => 'creixell','latitude' => '41.1662282','longitude' => '1.4405358'),
        array('province_id' => '43','town' => 'Cunit','id' => '6400','slug' => 'cunit','latitude' => '41.1988412','longitude' => '1.6367388'),
        array('province_id' => '43','town' => 'Deltebre','id' => '6401','slug' => 'deltebre','latitude' => '40.7194412','longitude' => '0.7083474'),
        array('province_id' => '43','town' => 'Duesaigües','id' => '6402','slug' => 'duesaiges','latitude' => '41.1447336','longitude' => '0.9291461'),
        array('province_id' => '43','town' => 'Espluga de Francolí, L\'','id' => '6403','slug' => 'espluga-de-francol-l','latitude' => '41.394812','longitude' => '1.0985102'),
        array('province_id' => '43','town' => 'Falset','id' => '6404','slug' => 'falset','latitude' => '41.146334','longitude' => '0.8212665'),
        array('province_id' => '43','town' => 'Fatarella, La','id' => '6405','slug' => 'fatarella-la','latitude' => '41.1615848','longitude' => '0.4733999'),
        array('province_id' => '43','town' => 'Febró, La','id' => '6406','slug' => 'febr-la','latitude' => '41.2771181','longitude' => '1.005036'),
        array('province_id' => '43','town' => 'Figuera, La','id' => '6407','slug' => 'figuera-la','latitude' => '41.1211195','longitude' => '1.1833941'),
        array('province_id' => '43','town' => 'Figuerola del Camp','id' => '6408','slug' => 'figuerola-del-camp','latitude' => '41.3710183','longitude' => '1.2640956'),
        array('province_id' => '43','town' => 'Flix','id' => '6409','slug' => 'flix','latitude' => '41.2274423','longitude' => '0.5446956'),
        array('province_id' => '43','town' => 'Forès','id' => '6410','slug' => 'fors','latitude' => '41.4933659','longitude' => '1.2412502'),
        array('province_id' => '43','town' => 'Freginals','id' => '6411','slug' => 'freginals','latitude' => '40.6699435','longitude' => '0.5207712'),
        array('province_id' => '43','town' => 'Galera, La','id' => '6412','slug' => 'galera-la','latitude' => '40.6810158','longitude' => '0.4626295'),
        array('province_id' => '43','town' => 'Gandesa','id' => '6413','slug' => 'gandesa','latitude' => '41.052142','longitude' => '0.438685'),
        array('province_id' => '43','town' => 'Garcia','id' => '6414','slug' => 'garcia','latitude' => '41.1366515','longitude' => '0.6501854'),
        array('province_id' => '43','town' => 'Garidells, Els','id' => '6415','slug' => 'garidells-els','latitude' => '41.207489','longitude' => '1.2474851'),
        array('province_id' => '43','town' => 'Ginestar','id' => '6416','slug' => 'ginestar','latitude' => '41.0420942','longitude' => '0.6326027'),
        array('province_id' => '43','town' => 'Godall','id' => '6417','slug' => 'godall','latitude' => '40.6554386','longitude' => '0.4687304'),
        array('province_id' => '43','town' => 'Gratallops','id' => '6418','slug' => 'gratallops','latitude' => '41.1928756','longitude' => '0.7754412'),
        array('province_id' => '43','town' => 'Guiamets, Els','id' => '6419','slug' => 'guiamets-els','latitude' => '41.102005','longitude' => '0.7521071'),
        array('province_id' => '43','town' => 'Horta de Sant Joan','id' => '6420','slug' => 'horta-de-sant-joan','latitude' => '40.9559894','longitude' => '0.3153664'),
        array('province_id' => '43','town' => 'Lloar, El','id' => '6421','slug' => 'lloar-el','latitude' => '41.1865108','longitude' => '0.7503626'),
        array('province_id' => '43','town' => 'Llorac','id' => '6422','slug' => 'llorac','latitude' => '41.5570923','longitude' => '1.307496'),
        array('province_id' => '43','town' => 'Llorenç del Penedès','id' => '6423','slug' => 'lloren-del-peneds','latitude' => '41.2842017','longitude' => '1.5506563'),
        array('province_id' => '43','town' => 'Marçà','id' => '6424','slug' => 'mar','latitude' => '41.1268215','longitude' => '0.8007984'),
        array('province_id' => '43','town' => 'Margalef','id' => '6425','slug' => 'margalef','latitude' => '41.284324','longitude' => '0.7545403'),
        array('province_id' => '43','town' => 'Mas de Barberans','id' => '6426','slug' => 'mas-de-barberans','latitude' => '40.7347593','longitude' => '0.3733965'),
        array('province_id' => '43','town' => 'Masdenverge','id' => '6427','slug' => 'masdenverge','latitude' => '40.7141391','longitude' => '0.5311569'),
        array('province_id' => '43','town' => 'Masllorenç','id' => '6428','slug' => 'maslloren','latitude' => '41.2685326','longitude' => '1.4142842'),
        array('province_id' => '43','town' => 'Masó, La','id' => '6429','slug' => 'mas-la','latitude' => '41.2330161','longitude' => '1.2213867'),
        array('province_id' => '43','town' => 'Maspujols','id' => '6430','slug' => 'maspujols','latitude' => '41.182805','longitude' => '1.0465985'),
        array('province_id' => '43','town' => 'Masroig, El','id' => '6431','slug' => 'masroig-el','latitude' => '41.1245757','longitude' => '0.7344264'),
        array('province_id' => '43','town' => 'Milà, El','id' => '6432','slug' => 'mil-el','latitude' => '41.2490383','longitude' => '1.2052496'),
        array('province_id' => '43','town' => 'Miravet','id' => '6433','slug' => 'miravet','latitude' => '41.040006','longitude' => '0.5978457'),
        array('province_id' => '43','town' => 'Molar, El','id' => '6434','slug' => '6434-molar-el','latitude' => '41.1634753','longitude' => '0.7060272'),
        array('province_id' => '43','town' => 'Montblanc','id' => '6435','slug' => 'montblanc','latitude' => '41.3768551','longitude' => '1.1614697'),
        array('province_id' => '43','town' => 'Montbrió del Camp','id' => '6436','slug' => 'montbri-del-camp','latitude' => '41.1219301','longitude' => '1.005617'),
        array('province_id' => '43','town' => 'Montferri','id' => '6437','slug' => 'montferri','latitude' => '41.2652805','longitude' => '1.3667628'),
        array('province_id' => '43','town' => 'Montmell, El','id' => '6438','slug' => 'montmell-el','latitude' => '41.3175','longitude' => '1.454167'),
        array('province_id' => '43','town' => 'Mont-ral','id' => '6439','slug' => 'mont-ral','latitude' => '41.2868632','longitude' => '1.0971404'),
        array('province_id' => '43','town' => 'Mont-roig del Camp','id' => '6440','slug' => 'mont-roig-del-camp','latitude' => '41.0855649','longitude' => '0.9616579'),
        array('province_id' => '43','town' => 'Móra d\'Ebre','id' => '6441','slug' => 'mra-debre','latitude' => '41.0885896','longitude' => '0.6391603'),
        array('province_id' => '43','town' => 'Móra la Nova','id' => '6442','slug' => 'mra-la-nova','latitude' => '41.1009365','longitude' => '0.6511012'),
        array('province_id' => '43','town' => 'Morell, El','id' => '6443','slug' => 'morell-el','latitude' => '41.1922909','longitude' => '1.2068841'),
        array('province_id' => '43','town' => 'Morera de Montsant, La','id' => '6444','slug' => 'morera-de-montsant-la','latitude' => '41.265955','longitude' => '0.840601'),
        array('province_id' => '43','town' => 'Nou de Gaià, La','id' => '6445','slug' => 'nou-de-gai-la','latitude' => '41.1822901','longitude' => '1.3744789'),
        array('province_id' => '43','town' => 'Nulles','id' => '6446','slug' => 'nulles','latitude' => '41.2505789','longitude' => '1.295914'),
        array('province_id' => '43','town' => 'Pallaresos, Els','id' => '6447','slug' => 'pallaresos-els','latitude' => '41.175765','longitude' => '1.2721409'),
        array('province_id' => '43','town' => 'Palma d\'Ebre, La','id' => '6448','slug' => 'palma-debre-la','latitude' => '41.2842466','longitude' => '0.6655047'),
        array('province_id' => '43','town' => 'Passanant i Belltall','id' => '6449','slug' => 'passanant-i-belltall','latitude' => '41.5316405','longitude' => '1.1970802'),
        array('province_id' => '43','town' => 'Paüls','id' => '6450','slug' => '6450-pals','latitude' => '40.9221151','longitude' => '0.4018317'),
        array('province_id' => '43','town' => 'Perafort','id' => '6451','slug' => 'perafort','latitude' => '41.1920035','longitude' => '1.2560161'),
        array('province_id' => '43','town' => 'Perelló, El','id' => '6452','slug' => 'perell-el','latitude' => '40.8754335','longitude' => '0.7124032'),
        array('province_id' => '43','town' => 'Piles, Les','id' => '6453','slug' => 'piles-les','latitude' => '41.5042392','longitude' => '1.3429638'),
        array('province_id' => '43','town' => 'Pinell de Brai, El','id' => '6454','slug' => 'pinell-de-brai-el','latitude' => '41.0173561','longitude' => '0.5155108'),
        array('province_id' => '43','town' => 'Pira','id' => '6455','slug' => 'pira','latitude' => '41.4239445','longitude' => '1.2021584'),
        array('province_id' => '43','town' => 'Pla de Santa Maria, El','id' => '6456','slug' => 'pla-de-santa-maria-el','latitude' => '41.3625563','longitude' => '1.2930289'),
        array('province_id' => '43','town' => 'Pobla de Mafumet, La','id' => '6457','slug' => 'pobla-de-mafumet-la','latitude' => '41.1880204','longitude' => '1.2097182'),
        array('province_id' => '43','town' => 'Pobla de Massaluca, La','id' => '6458','slug' => 'pobla-de-massaluca-la','latitude' => '41.1810207','longitude' => '0.3540713'),
        array('province_id' => '43','town' => 'Pobla de Montornès, La','id' => '6459','slug' => 'pobla-de-montorns-la','latitude' => '41.1787781','longitude' => '1.4146188'),
        array('province_id' => '43','town' => 'Poboleda','id' => '6460','slug' => 'poboleda','latitude' => '41.2349586','longitude' => '0.8457368'),
        array('province_id' => '43','town' => 'Pont d\'Armentera, El','id' => '6461','slug' => 'pont-darmentera-el','latitude' => '41.384068','longitude' => '1.3626146'),
        array('province_id' => '43','town' => 'Pontils','id' => '6462','slug' => 'pontils','latitude' => '41.4772418','longitude' => '1.3882711'),
        array('province_id' => '43','town' => 'Porrera','id' => '6463','slug' => 'porrera','latitude' => '41.1879143','longitude' => '0.8540307'),
        array('province_id' => '43','town' => 'Pradell de la Teixeta','id' => '6464','slug' => 'pradell-de-la-teixeta','latitude' => '41.1569302','longitude' => '0.8759075'),
        array('province_id' => '43','town' => 'Prades','id' => '6465','slug' => 'prades','latitude' => '41.30876','longitude' => '0.9884451'),
        array('province_id' => '43','town' => 'Prat de Comte','id' => '6466','slug' => 'prat-de-comte','latitude' => '40.9829821','longitude' => '0.4056279'),
        array('province_id' => '43','town' => 'Pratdip','id' => '6467','slug' => 'pratdip','latitude' => '41.0518858','longitude' => '0.8716488'),
        array('province_id' => '43','town' => 'Puigpelat','id' => '6468','slug' => 'puigpelat','latitude' => '41.277879','longitude' => '1.297163'),
        array('province_id' => '43','town' => 'Querol','id' => '6469','slug' => 'querol','latitude' => '41.424473','longitude' => '1.3978654'),
        array('province_id' => '43','town' => 'Rasquera','id' => '6470','slug' => 'rasquera','latitude' => '41.0026734','longitude' => '0.6005385'),
        array('province_id' => '43','town' => 'Renau','id' => '6471','slug' => 'renau','latitude' => '41.2244955','longitude' => '1.3116477'),
        array('province_id' => '43','town' => 'Reus','id' => '6472','slug' => 'reus','latitude' => '41.1548179','longitude' => '1.108676'),
        array('province_id' => '43','town' => 'Riba, La','id' => '6473','slug' => 'riba-la','latitude' => '41.1168207','longitude' => '1.2464116'),
        array('province_id' => '43','town' => 'Riba-roja d\'Ebre','id' => '6474','slug' => 'riba-roja-debre','latitude' => '41.2505754','longitude' => '0.4876638'),
        array('province_id' => '43','town' => 'Riera de Gaià, La','id' => '6475','slug' => 'riera-de-gai-la','latitude' => '41.1446372','longitude' => '1.3588961'),
        array('province_id' => '43','town' => 'Riudecanyes','id' => '6476','slug' => 'riudecanyes','latitude' => '41.1305347','longitude' => '0.9625295'),
        array('province_id' => '43','town' => 'Riudecols','id' => '6477','slug' => 'riudecols','latitude' => '41.1676826','longitude' => '0.9759995'),
        array('province_id' => '43','town' => 'Riudoms','id' => '6478','slug' => 'riudoms','latitude' => '41.1386105','longitude' => '1.0558138'),
        array('province_id' => '43','town' => 'Rocafort de Queralt','id' => '6479','slug' => 'rocafort-de-queralt','latitude' => '41.4771526','longitude' => '1.2824012'),
        array('province_id' => '43','town' => 'Roda de Barà','id' => '6480','slug' => 'roda-de-bar','latitude' => '41.1853757','longitude' => '1.4566875'),
        array('province_id' => '43','town' => 'Rodonyà','id' => '6481','slug' => 'rodony','latitude' => '41.2818432','longitude' => '1.3996391'),
        array('province_id' => '43','town' => 'Roquetes','id' => '6482','slug' => 'roquetes','latitude' => '40.821086','longitude' => '0.5021107'),
        array('province_id' => '43','town' => 'Rourell, El','id' => '6483','slug' => 'rourell-el','latitude' => '41.2229421','longitude' => '1.2174217'),
        array('province_id' => '43','town' => 'Salomó','id' => '6484','slug' => 'salom','latitude' => '41.2303997','longitude' => '1.376109'),
        array('province_id' => '43','town' => 'Salou','id' => '6485','slug' => 'salou','latitude' => '41.076769','longitude' => '1.1440408'),
        array('province_id' => '43','town' => 'Sant Carles de la Ràpita','id' => '6486','slug' => 'sant-carles-de-la-rpita','latitude' => '40.6202045','longitude' => '0.5928925'),
        array('province_id' => '43','town' => 'Sant Jaume dels Domenys','id' => '6487','slug' => 'sant-jaume-dels-domenys','latitude' => '41.2993365','longitude' => '1.5590533'),
        array('province_id' => '43','town' => 'Sant Jaume d\'Enveja','id' => '6488','slug' => 'sant-jaume-denveja','latitude' => '40.7039917','longitude' => '0.7173735'),
        array('province_id' => '43','town' => 'Santa Bàrbara','id' => '6489','slug' => 'santa-brbara','latitude' => '40.7144251','longitude' => '0.4922784'),
        array('province_id' => '43','town' => 'Santa Coloma de Queralt','id' => '6490','slug' => 'santa-coloma-de-queralt','latitude' => '41.5308881','longitude' => '1.3814796'),
        array('province_id' => '43','town' => 'Santa Oliva','id' => '6491','slug' => 'santa-oliva','latitude' => '41.2525168','longitude' => '1.5493767'),
        array('province_id' => '43','town' => 'Sarral','id' => '6492','slug' => 'sarral','latitude' => '41.4453979','longitude' => '1.2461364'),
        array('province_id' => '43','town' => 'Savallà del Comtat','id' => '6493','slug' => 'savall-del-comtat','latitude' => '41.5430386','longitude' => '1.3002929'),
        array('province_id' => '43','town' => 'Secuita, La','id' => '6494','slug' => 'secuita-la','latitude' => '41.204132','longitude' => '1.2806227'),
        array('province_id' => '43','town' => 'Selva del Camp, La','id' => '6495','slug' => 'selva-del-camp-la','latitude' => '41.2141349','longitude' => '1.1396062'),
        array('province_id' => '43','town' => 'Senan','id' => '6496','slug' => 'senan','latitude' => '41.4699412','longitude' => '1.0854505'),
        array('province_id' => '43','town' => 'Sénia, La','id' => '6497','slug' => 'snia-la','latitude' => '40.633388','longitude' => '0.2853313'),
        array('province_id' => '43','town' => 'Solivella','id' => '6498','slug' => 'solivella','latitude' => '41.4558225','longitude' => '1.1785817'),
        array('province_id' => '43','town' => 'Tarragona','id' => '6499','slug' => 'tarragona','latitude' => '41.1186629','longitude' => '1.24533'),
        array('province_id' => '43','town' => 'Tivenys','id' => '6500','slug' => 'tivenys','latitude' => '40.9074035','longitude' => '0.5112524'),
        array('province_id' => '43','town' => 'Tivissa','id' => '6501','slug' => 'tivissa','latitude' => '41.0395663','longitude' => '0.7331267'),
        array('province_id' => '43','town' => 'Torre de Fontaubella, La','id' => '6502','slug' => 'torre-de-fontaubella-la','latitude' => '41.1251693','longitude' => '0.8647319'),
        array('province_id' => '43','town' => 'Torre de l\'Espanyol, La','id' => '6503','slug' => 'torre-de-lespanyol-la','latitude' => '41.1925067','longitude' => '0.6271237'),
        array('province_id' => '43','town' => 'Torredembarra','id' => '6504','slug' => 'torredembarra','latitude' => '41.1445142','longitude' => '1.3971'),
        array('province_id' => '43','town' => 'Torroja del Priorat','id' => '6505','slug' => 'torroja-del-priorat','latitude' => '41.2131681','longitude' => '0.8101557'),
        array('province_id' => '43','town' => 'Tortosa','id' => '6506','slug' => 'tortosa','latitude' => '40.8110042','longitude' => '0.5209974'),
        array('province_id' => '43','town' => 'Ulldecona','id' => '6507','slug' => 'ulldecona','latitude' => '40.5973626','longitude' => '0.4428432'),
        array('province_id' => '43','town' => 'Ulldemolins','id' => '6508','slug' => 'ulldemolins','latitude' => '41.3227234','longitude' => '0.8768876'),
        array('province_id' => '43','town' => 'Vallclara','id' => '6509','slug' => 'vallclara','latitude' => '41.3773736','longitude' => '0.9820189'),
        array('province_id' => '43','town' => 'Vallfogona de Riucorb','id' => '6510','slug' => 'vallfogona-de-riucorb','latitude' => '41.5627933','longitude' => '1.2373226'),
        array('province_id' => '43','town' => 'Vallmoll','id' => '6511','slug' => 'vallmoll','latitude' => '41.2436064','longitude' => '1.2492871'),
        array('province_id' => '43','town' => 'Valls','id' => '6512','slug' => 'valls','latitude' => '41.2872758','longitude' => '1.2515789'),
        array('province_id' => '43','town' => 'Vandellòs i l\'Hospitalet de l\'Infant','id' => '6513','slug' => 'vandells-i-lhospitalet-de-linfant','latitude' => '41.0201054','longitude' => '0.8329072'),
        array('province_id' => '43','town' => 'Vendrell, El','id' => '6514','slug' => 'vendrell-el','latitude' => '41.2204167','longitude' => '1.5348453'),
        array('province_id' => '43','town' => 'Vespella de Gaià','id' => '6515','slug' => 'vespella-de-gai','latitude' => '41.2054255','longitude' => '1.3594288'),
        array('province_id' => '43','town' => 'Vilabella','id' => '6516','slug' => 'vilabella','latitude' => '41.248242','longitude' => '1.3316246'),
        array('province_id' => '43','town' => 'Vilalba dels Arcs','id' => '6517','slug' => 'vilalba-dels-arcs','latitude' => '41.1205485','longitude' => '0.4081464'),
        array('province_id' => '43','town' => 'Vilallonga del Camp','id' => '6518','slug' => 'vilallonga-del-camp','latitude' => '41.2089985','longitude' => '1.2072605'),
        array('province_id' => '43','town' => 'Vilanova de Prades','id' => '6519','slug' => 'vilanova-de-prades','latitude' => '41.3478356','longitude' => '0.9562585'),
        array('province_id' => '43','town' => 'Vilanova d\'Escornalbou','id' => '6520','slug' => 'vilanova-descornalbou','latitude' => '41.1141893','longitude' => '0.9367994'),
        array('province_id' => '43','town' => 'Vilaplana','id' => '6521','slug' => 'vilaplana','latitude' => '41.2289813','longitude' => '1.0328733'),
        array('province_id' => '43','town' => 'Vila-rodona','id' => '6522','slug' => 'vila-rodona','latitude' => '41.3096661','longitude' => '1.35811'),
        array('province_id' => '43','town' => 'Vila-seca','id' => '6523','slug' => 'vila-seca','latitude' => '41.1109501','longitude' => '1.1450011'),
        array('province_id' => '43','town' => 'Vilaverd','id' => '6524','slug' => 'vilaverd','latitude' => '41.3361996','longitude' => '1.1760766'),
        array('province_id' => '43','town' => 'Vilella Alta, La','id' => '6525','slug' => 'vilella-alta-la','latitude' => '41.2257291','longitude' => '0.7804764'),
        array('province_id' => '43','town' => 'Vilella Baixa, La','id' => '6526','slug' => 'vilella-baixa-la','latitude' => '41.2208843','longitude' => '0.7627931'),
        array('province_id' => '43','town' => 'Vimbodí i Poblet','id' => '6527','slug' => 'vimbod-i-poblet','latitude' => '41.4008038','longitude' => '1.0488505'),
        array('province_id' => '43','town' => 'Vinebre','id' => '6528','slug' => 'vinebre','latitude' => '41.1837505','longitude' => '0.5898409'),
        array('province_id' => '43','town' => 'Vinyols i els Arcs','id' => '6529','slug' => 'vinyols-i-els-arcs','latitude' => '41.1133839','longitude' => '1.0397088'),
        array('province_id' => '43','town' => 'Xerta','id' => '6530','slug' => 'xerta','latitude' => '40.9064279','longitude' => '0.4906173'),
        array('province_id' => '44','town' => 'Ababuj','id' => '6531','slug' => 'ababuj','latitude' => '40.5484614','longitude' => '-0.8077833'),
        array('province_id' => '44','town' => 'Abejuela','id' => '6532','slug' => 'abejuela','latitude' => '39.9103491','longitude' => '-0.8941151'),
        array('province_id' => '44','town' => 'Aguatón','id' => '6533','slug' => 'aguatn','latitude' => '40.671166','longitude' => '-1.2342176'),
        array('province_id' => '44','town' => 'Aguaviva','id' => '6534','slug' => 'aguaviva','latitude' => '40.8228059','longitude' => '-0.197559'),
        array('province_id' => '44','town' => 'Aguilar del Alfambra','id' => '6535','slug' => 'aguilar-del-alfambra','latitude' => '40.590135','longitude' => '-0.7964078'),
        array('province_id' => '44','town' => 'Alacón','id' => '6536','slug' => 'alacn','latitude' => '41.023714','longitude' => '-0.6967831'),
        array('province_id' => '44','town' => 'Alba','id' => '6537','slug' => 'alba','latitude' => '40.6181188','longitude' => '-1.3456888'),
        array('province_id' => '44','town' => 'Albalate del Arzobispo','id' => '6538','slug' => 'albalate-del-arzobispo','latitude' => '41.1208083','longitude' => '-0.510963'),
        array('province_id' => '44','town' => 'Albarracín','id' => '6539','slug' => 'albarracn','latitude' => '40.4065205','longitude' => '-1.4444021'),
        array('province_id' => '44','town' => 'Albentosa','id' => '6540','slug' => 'albentosa','latitude' => '40.1030539','longitude' => '-0.7695187'),
        array('province_id' => '44','town' => 'Alcaine','id' => '6541','slug' => 'alcaine','latitude' => '40.9535874','longitude' => '-0.7054526'),
        array('province_id' => '44','town' => 'Alcalá de la Selva','id' => '6542','slug' => 'alcal-de-la-selva','latitude' => '40.3718095','longitude' => '-0.7197202'),
        array('province_id' => '44','town' => 'Alcañiz','id' => '6543','slug' => 'alcaiz','latitude' => '41.0489449','longitude' => '-0.1306302'),
        array('province_id' => '44','town' => 'Alcorisa','id' => '6544','slug' => 'alcorisa','latitude' => '40.8916884','longitude' => '-0.3806293'),
        array('province_id' => '44','town' => 'Alfambra','id' => '6545','slug' => 'alfambra','latitude' => '40.5472497','longitude' => '-1.033759'),
        array('province_id' => '44','town' => 'Aliaga','id' => '6546','slug' => 'aliaga','latitude' => '40.6741949','longitude' => '-0.7019678'),
        array('province_id' => '44','town' => 'Allepuz','id' => '6547','slug' => 'allepuz','latitude' => '40.4927181','longitude' => '-0.7275794'),
        array('province_id' => '44','town' => 'Alloza','id' => '6548','slug' => 'alloza','latitude' => '40.9694393','longitude' => '-0.5302091'),
        array('province_id' => '44','town' => 'Allueva','id' => '6549','slug' => 'allueva','latitude' => '40.9856536','longitude' => '-1.0426216'),
        array('province_id' => '44','town' => 'Almohaja','id' => '6550','slug' => 'almohaja','latitude' => '40.6051522','longitude' => '-1.4373117'),
        array('province_id' => '44','town' => 'Alobras','id' => '6551','slug' => 'alobras','latitude' => '40.1783336','longitude' => '-1.3880457'),
        array('province_id' => '44','town' => 'Alpeñés','id' => '6552','slug' => 'alpes','latitude' => '40.7988085','longitude' => '-1.065551'),
        array('province_id' => '44','town' => 'Anadón','id' => '6553','slug' => 'anadn','latitude' => '40.9817102','longitude' => '-0.9833585'),
        array('province_id' => '44','town' => 'Andorra','id' => '6554','slug' => 'andorra','latitude' => '40.9754393','longitude' => '-0.4436573'),
        array('province_id' => '44','town' => 'Arcos de las Salinas','id' => '6555','slug' => 'arcos-de-las-salinas','latitude' => '39.9909892','longitude' => '-1.0422523'),
        array('province_id' => '44','town' => 'Arens de Lledó','id' => '6556','slug' => 'arens-de-lled','latitude' => '40.9917216','longitude' => '0.2717271'),
        array('province_id' => '44','town' => 'Argente','id' => '6557','slug' => 'argente','latitude' => '40.6888752','longitude' => '-1.1633259'),
        array('province_id' => '44','town' => 'Ariño','id' => '6558','slug' => 'ario','latitude' => '41.0301505','longitude' => '-0.5921203'),
        array('province_id' => '44','town' => 'Azaila','id' => '6559','slug' => 'azaila','latitude' => '41.2904666','longitude' => '-0.4952874'),
        array('province_id' => '44','town' => 'Bádenas','id' => '6560','slug' => 'bdenas','latitude' => '41.091679','longitude' => '-1.1213288'),
        array('province_id' => '44','town' => 'Báguena','id' => '6561','slug' => 'bguena','latitude' => '41.0400271','longitude' => '-1.3562893'),
        array('province_id' => '44','town' => 'Bañón','id' => '6562','slug' => 'ban','latitude' => '40.8392591','longitude' => '-1.1900154'),
        array('province_id' => '44','town' => 'Barrachina','id' => '6563','slug' => 'barrachina','latitude' => '40.8976042','longitude' => '-1.1401606'),
        array('province_id' => '44','town' => 'Bea','id' => '6564','slug' => 'bea','latitude' => '41.0365129','longitude' => '-1.1467318'),
        array('province_id' => '44','town' => 'Beceite','id' => '6565','slug' => 'beceite','latitude' => '40.8310601','longitude' => '0.1795601'),
        array('province_id' => '44','town' => 'Bello','id' => '6566','slug' => 'bello','latitude' => '40.9222803','longitude' => '-1.4994187'),
        array('province_id' => '44','town' => 'Belmonte de San José','id' => '6567','slug' => 'belmonte-de-san-jos','latitude' => '40.8739493','longitude' => '-0.0630138'),
        array('province_id' => '44','town' => 'Berge','id' => '6568','slug' => 'berge','latitude' => '40.8569124','longitude' => '-0.426644'),
        array('province_id' => '44','town' => 'Bezas','id' => '6569','slug' => 'bezas','latitude' => '40.3319661','longitude' => '-1.3246905'),
        array('province_id' => '44','town' => 'Blancas','id' => '6570','slug' => 'blancas','latitude' => '40.8132595','longitude' => '-1.4825283'),
        array('province_id' => '44','town' => 'Blesa','id' => '6571','slug' => 'blesa','latitude' => '41.051293','longitude' => '-0.8843605'),
        array('province_id' => '44','town' => 'Bordón','id' => '6572','slug' => 'bordn','latitude' => '40.6873617','longitude' => '-0.3218952'),
        array('province_id' => '44','town' => 'Bronchales','id' => '6573','slug' => 'bronchales','latitude' => '40.5090921','longitude' => '-1.5890833'),
        array('province_id' => '44','town' => 'Bueña','id' => '6574','slug' => 'buea','latitude' => '40.7086366','longitude' => '-1.2673018'),
        array('province_id' => '44','town' => 'Burbáguena','id' => '6575','slug' => 'burbguena','latitude' => '41.015937','longitude' => '-1.3374623'),
        array('province_id' => '44','town' => 'Cabra de Mora','id' => '6576','slug' => 'cabra-de-mora','latitude' => '40.3173922','longitude' => '-0.8070812'),
        array('province_id' => '44','town' => 'Calaceite','id' => '6577','slug' => 'calaceite','latitude' => '41.0173699','longitude' => '0.1883228'),
        array('province_id' => '44','town' => 'Calamocha','id' => '6578','slug' => 'calamocha','latitude' => '40.920262','longitude' => '-1.300972'),
        array('province_id' => '44','town' => 'Calanda','id' => '6579','slug' => 'calanda','latitude' => '40.9418183','longitude' => '-0.2341148'),
        array('province_id' => '44','town' => 'Calomarde','id' => '6580','slug' => 'calomarde','latitude' => '40.3725346','longitude' => '-1.5752515'),
        array('province_id' => '44','town' => 'Camañas','id' => '6581','slug' => 'camaas','latitude' => '40.6422607','longitude' => '-1.1372666'),
        array('province_id' => '44','town' => 'Camarena de la Sierra','id' => '6582','slug' => 'camarena-de-la-sierra','latitude' => '40.1476017','longitude' => '-1.0409067'),
        array('province_id' => '44','town' => 'Camarillas','id' => '6583','slug' => 'camarillas','latitude' => '40.6124073','longitude' => '-0.7541127'),
        array('province_id' => '44','town' => 'Caminreal','id' => '6584','slug' => 'caminreal','latitude' => '40.8379371','longitude' => '-1.3258869'),
        array('province_id' => '44','town' => 'Cantavieja','id' => '6585','slug' => 'cantavieja','latitude' => '40.5280279','longitude' => '-0.4055863'),
        array('province_id' => '44','town' => 'Cañada de Benatanduz','id' => '6586','slug' => 'caada-de-benatanduz','latitude' => '40.5806671','longitude' => '-0.5349099'),
        array('province_id' => '44','town' => 'Cañada de Verich, La','id' => '6587','slug' => 'caada-de-verich-la','latitude' => '40.8664414','longitude' => '-0.0995028'),
        array('province_id' => '44','town' => 'Cañada Vellida','id' => '6588','slug' => 'caada-vellida','latitude' => '40.7075044','longitude' => '-0.9136373'),
        array('province_id' => '44','town' => 'Cañizar del Olivar','id' => '6589','slug' => 'caizar-del-olivar','latitude' => '40.8160487','longitude' => '-0.6457179'),
        array('province_id' => '44','town' => 'Cascante del Río','id' => '6590','slug' => 'cascante-del-ro','latitude' => '40.1959049','longitude' => '-1.1152197'),
        array('province_id' => '44','town' => 'Castejón de Tornos','id' => '6591','slug' => 'castejn-de-tornos','latitude' => '40.9982213','longitude' => '-1.4251826'),
        array('province_id' => '44','town' => 'Castel de Cabra','id' => '6592','slug' => 'castel-de-cabra','latitude' => '40.8024643','longitude' => '-0.6970078'),
        array('province_id' => '44','town' => 'Castellar, El','id' => '6593','slug' => 'castellar-el','latitude' => '40.3652427','longitude' => '-0.8173128'),
        array('province_id' => '44','town' => 'Castellote','id' => '6594','slug' => 'castellote','latitude' => '40.8004292','longitude' => '-0.3202745'),
        array('province_id' => '44','town' => 'Castelnou','id' => '6595','slug' => 'castelnou','latitude' => '41.2284175','longitude' => '-0.364945'),
        array('province_id' => '44','town' => 'Castelserás','id' => '6596','slug' => 'castelsers','latitude' => '40.9814176','longitude' => '-0.1479251'),
        array('province_id' => '44','town' => 'Cedrillas','id' => '6597','slug' => 'cedrillas','latitude' => '40.4363282','longitude' => '-0.8514571'),
        array('province_id' => '44','town' => 'Celadas','id' => '6598','slug' => 'celadas','latitude' => '40.4750992','longitude' => '-1.1495995'),
        array('province_id' => '44','town' => 'Cella','id' => '6599','slug' => 'cella','latitude' => '40.4551025','longitude' => '-1.2867636'),
        array('province_id' => '44','town' => 'Cerollera, La','id' => '6600','slug' => 'cerollera-la','latitude' => '40.8400299','longitude' => '-0.055186'),
        array('province_id' => '44','town' => 'Codoñera, La','id' => '6601','slug' => 'codoera-la','latitude' => '40.9335794','longitude' => '-0.0862302'),
        array('province_id' => '44','town' => 'Corbalán','id' => '6602','slug' => 'corbaln','latitude' => '40.4036028','longitude' => '-0.9857588'),
        array('province_id' => '44','town' => 'Cortes de Aragón','id' => '6603','slug' => 'cortes-de-aragn','latitude' => '40.9743535','longitude' => '-0.8356173'),
        array('province_id' => '44','town' => 'Cosa','id' => '6604','slug' => 'cosa','latitude' => '40.8343037','longitude' => '-1.1363645'),
        array('province_id' => '44','town' => 'Cretas','id' => '6605','slug' => 'cretas','latitude' => '40.9291912','longitude' => '0.2118405'),
        array('province_id' => '44','town' => 'Crivillén','id' => '6606','slug' => 'crivilln','latitude' => '40.8832692','longitude' => '-0.5752621'),
        array('province_id' => '44','town' => 'Cuba, La','id' => '6607','slug' => 'cuba-la','latitude' => '40.593412','longitude' => '-0.297479'),
        array('province_id' => '44','town' => 'Cubla','id' => '6608','slug' => 'cubla','latitude' => '40.2114743','longitude' => '-1.079226'),
        array('province_id' => '44','town' => 'Cucalón','id' => '6609','slug' => 'cucaln','latitude' => '41.085741','longitude' => '-1.2140017'),
        array('province_id' => '44','town' => 'Cuervo, El','id' => '6610','slug' => 'cuervo-el','latitude' => '40.3450888','longitude' => '-1.1052019'),
        array('province_id' => '44','town' => 'Cuevas de Almudén','id' => '6611','slug' => 'cuevas-de-almudn','latitude' => '40.7144937','longitude' => '-0.8305358'),
        array('province_id' => '44','town' => 'Cuevas Labradas','id' => '6612','slug' => 'cuevas-labradas','latitude' => '40.4532232','longitude' => '-1.0526598'),
        array('province_id' => '44','town' => 'Ejulve','id' => '6613','slug' => 'ejulve','latitude' => '40.7749729','longitude' => '-0.5545593'),
        array('province_id' => '44','town' => 'Escorihuela','id' => '6614','slug' => 'escorihuela','latitude' => '40.5457331','longitude' => '-0.9731783'),
        array('province_id' => '44','town' => 'Escucha','id' => '6615','slug' => 'escucha','latitude' => '40.795321','longitude' => '-0.8095553'),
        array('province_id' => '44','town' => 'Estercuel','id' => '6616','slug' => 'estercuel','latitude' => '40.8553858','longitude' => '-0.63077'),
        array('province_id' => '44','town' => 'Ferreruela de Huerva','id' => '6617','slug' => 'ferreruela-de-huerva','latitude' => '41.0635149','longitude' => '-1.2331279'),
        array('province_id' => '44','town' => 'Fonfría','id' => '6618','slug' => 'fonfra','latitude' => '40.9959344','longitude' => '-1.0847905'),
        array('province_id' => '44','town' => 'Formiche Alto','id' => '6619','slug' => 'formiche-alto','latitude' => '40.3251447','longitude' => '-0.8938176'),
        array('province_id' => '44','town' => 'Fórnoles','id' => '6620','slug' => 'frnoles','latitude' => '40.8939137','longitude' => '-0.0040137'),
        array('province_id' => '44','town' => 'Fortanete','id' => '6621','slug' => 'fortanete','latitude' => '40.505643','longitude' => '-0.523106'),
        array('province_id' => '44','town' => 'Foz-Calanda','id' => '6622','slug' => 'foz-calanda','latitude' => '40.9233488','longitude' => '-0.2674085'),
        array('province_id' => '44','town' => 'Fresneda, La','id' => '6623','slug' => 'fresneda-la','latitude' => '40.9279968','longitude' => '0.0749166'),
        array('province_id' => '44','town' => 'Frías de Albarracín','id' => '6624','slug' => 'fras-de-albarracn','latitude' => '40.3377699','longitude' => '-1.6151398'),
        array('province_id' => '44','town' => 'Fuenferrada','id' => '6625','slug' => 'fuenferrada','latitude' => '40.8687747','longitude' => '-1.011242'),
        array('province_id' => '44','town' => 'Fuentes Calientes','id' => '6626','slug' => 'fuentes-calientes','latitude' => '40.7011467','longitude' => '-0.9790183'),
        array('province_id' => '44','town' => 'Fuentes Claras','id' => '6627','slug' => 'fuentes-claras','latitude' => '40.863619','longitude' => '-1.3236133'),
        array('province_id' => '44','town' => 'Fuentes de Rubielos','id' => '6628','slug' => 'fuentes-de-rubielos','latitude' => '40.169145','longitude' => '-0.6190795'),
        array('province_id' => '44','town' => 'Fuentespalda','id' => '6629','slug' => 'fuentespalda','latitude' => '40.8062854','longitude' => '0.0646729'),
        array('province_id' => '44','town' => 'Galve','id' => '6630','slug' => 'galve','latitude' => '40.6555721','longitude' => '-0.8808522'),
        array('province_id' => '44','town' => 'Gargallo','id' => '6631','slug' => 'gargallo','latitude' => '40.8358212','longitude' => '-0.5847404'),
        array('province_id' => '44','town' => 'Gea de Albarracín','id' => '6632','slug' => 'gea-de-albarracn','latitude' => '40.4108318','longitude' => '-1.3480304'),
        array('province_id' => '44','town' => 'Ginebrosa, La','id' => '6633','slug' => 'ginebrosa-la','latitude' => '40.8704277','longitude' => '-0.1334234'),
        array('province_id' => '44','town' => 'Griegos','id' => '6634','slug' => 'griegos','latitude' => '40.4265245','longitude' => '-1.710974'),
        array('province_id' => '44','town' => 'Guadalaviar','id' => '6635','slug' => 'guadalaviar','latitude' => '40.3877931','longitude' => '-1.7173626'),
        array('province_id' => '44','town' => 'Gúdar','id' => '6636','slug' => 'gdar','latitude' => '40.4406896','longitude' => '-0.720406'),
        array('province_id' => '44','town' => 'Híjar','id' => '6637','slug' => 'hjar','latitude' => '41.1757228','longitude' => '-0.451008'),
        array('province_id' => '44','town' => 'Hinojosa de Jarque','id' => '6638','slug' => 'hinojosa-de-jarque','latitude' => '40.6912753','longitude' => '-0.78589'),
        array('province_id' => '44','town' => 'Hoz de la Vieja, La','id' => '6639','slug' => 'hoz-de-la-vieja-la','latitude' => '40.9237872','longitude' => '-0.8433804'),
        array('province_id' => '44','town' => 'Huesa del Común','id' => '6640','slug' => 'huesa-del-comn','latitude' => '41.009744','longitude' => '-0.919908'),
        array('province_id' => '44','town' => 'Iglesuela del Cid, La','id' => '6641','slug' => 'iglesuela-del-cid-la','latitude' => '40.4819413','longitude' => '-0.3190694'),
        array('province_id' => '44','town' => 'Jabaloyas','id' => '6642','slug' => 'jabaloyas','latitude' => '40.2403611','longitude' => '-1.4075086'),
        array('province_id' => '44','town' => 'Jarque de la Val','id' => '6643','slug' => 'jarque-de-la-val','latitude' => '40.7032038','longitude' => '-0.801036'),
        array('province_id' => '44','town' => 'Jatiel','id' => '6644','slug' => 'jatiel','latitude' => '41.2187657','longitude' => '-0.3813306'),
        array('province_id' => '44','town' => 'Jorcas','id' => '6645','slug' => 'jorcas','latitude' => '40.5433244','longitude' => '-0.7536469'),
        array('province_id' => '44','town' => 'Josa','id' => '6646','slug' => 'josa','latitude' => '40.956037','longitude' => '-0.7673877'),
        array('province_id' => '44','town' => 'Lagueruela','id' => '6647','slug' => 'lagueruela','latitude' => '41.0422516','longitude' => '-1.1923581'),
        array('province_id' => '44','town' => 'Lanzuela','id' => '6648','slug' => 'lanzuela','latitude' => '41.0976695','longitude' => '-1.2041395'),
        array('province_id' => '44','town' => 'Libros','id' => '6649','slug' => 'libros','latitude' => '40.1619417','longitude' => '-1.2345058'),
        array('province_id' => '44','town' => 'Lidón','id' => '6650','slug' => 'lidn','latitude' => '40.7162411','longitude' => '-1.11308'),
        array('province_id' => '44','town' => 'Linares de Mora','id' => '6651','slug' => 'linares-de-mora','latitude' => '40.3225601','longitude' => '-0.5739371'),
        array('province_id' => '44','town' => 'Lledó','id' => '6652','slug' => 'lled','latitude' => '40.9548771','longitude' => '0.2769528'),
        array('province_id' => '44','town' => 'Loscos','id' => '6653','slug' => 'loscos','latitude' => '41.0812367','longitude' => '-1.0448178'),
        array('province_id' => '44','town' => 'Maicas','id' => '6654','slug' => 'maicas','latitude' => '40.965995','longitude' => '-0.8897479'),
        array('province_id' => '44','town' => 'Manzanera','id' => '6655','slug' => 'manzanera','latitude' => '40.0578854','longitude' => '-0.8298928'),
        array('province_id' => '44','town' => 'Martín del Río','id' => '6656','slug' => 'martn-del-ro','latitude' => '40.8441943','longitude' => '-0.895496'),
        array('province_id' => '44','town' => 'Mas de las Matas','id' => '6657','slug' => 'mas-de-las-matas','latitude' => '40.8339493','longitude' => '-0.2415907'),
        array('province_id' => '44','town' => 'Mata de los Olmos, La','id' => '6658','slug' => 'mata-de-los-olmos-la','latitude' => '40.8658458','longitude' => '-0.5210474'),
        array('province_id' => '44','town' => 'Mazaleón','id' => '6659','slug' => 'mazalen','latitude' => '41.0497861','longitude' => '0.1039728'),
        array('province_id' => '44','town' => 'Mezquita de Jarque','id' => '6660','slug' => 'mezquita-de-jarque','latitude' => '40.7220833','longitude' => '-0.8684379'),
        array('province_id' => '44','town' => 'Mirambel','id' => '6661','slug' => 'mirambel','latitude' => '40.5870877','longitude' => '-0.3423839'),
        array('province_id' => '44','town' => 'Miravete de la Sierra','id' => '6662','slug' => 'miravete-de-la-sierra','latitude' => '40.5772929','longitude' => '-0.6942516'),
        array('province_id' => '44','town' => 'Molinos','id' => '6663','slug' => 'molinos','latitude' => '40.8196287','longitude' => '-0.450496'),
        array('province_id' => '44','town' => 'Monforte de Moyuela','id' => '6664','slug' => 'monforte-de-moyuela','latitude' => '41.05423','longitude' => '-1.0149646'),
        array('province_id' => '44','town' => 'Monreal del Campo','id' => '6665','slug' => 'monreal-del-campo','latitude' => '40.7903033','longitude' => '-1.3540994'),
        array('province_id' => '44','town' => 'Monroyo','id' => '6666','slug' => 'monroyo','latitude' => '40.7873942','longitude' => '-0.0317478'),
        array('province_id' => '44','town' => 'Montalbán','id' => '6667','slug' => 'montalbn','latitude' => '40.8357105','longitude' => '-0.7995237'),
        array('province_id' => '44','town' => 'Monteagudo del Castillo','id' => '6668','slug' => 'monteagudo-del-castillo','latitude' => '40.4585842','longitude' => '-0.8180161'),
        array('province_id' => '44','town' => 'Monterde de Albarracín','id' => '6669','slug' => 'monterde-de-albarracn','latitude' => '40.4973399','longitude' => '-1.4918209'),
        array('province_id' => '44','town' => 'Mora de Rubielos','id' => '6670','slug' => 'mora-de-rubielos','latitude' => '40.2531937','longitude' => '-0.7525505'),
        array('province_id' => '44','town' => 'Moscardón','id' => '6671','slug' => 'moscardn','latitude' => '40.3326234','longitude' => '-1.5371963'),
        array('province_id' => '44','town' => 'Mosqueruela','id' => '6672','slug' => 'mosqueruela','latitude' => '40.3613565','longitude' => '-0.4491089'),
        array('province_id' => '44','town' => 'Muniesa','id' => '6673','slug' => 'muniesa','latitude' => '41.0338563','longitude' => '-0.8120759'),
        array('province_id' => '44','town' => 'Noguera de Albarracín','id' => '6674','slug' => 'noguera-de-albarracn','latitude' => '40.4605765','longitude' => '-1.5973064'),
        array('province_id' => '44','town' => 'Nogueras','id' => '6675','slug' => 'nogueras','latitude' => '41.1345085','longitude' => '-1.0668927'),
        array('province_id' => '44','town' => 'Nogueruelas','id' => '6676','slug' => 'nogueruelas','latitude' => '40.2369847','longitude' => '-0.637303'),
        array('province_id' => '44','town' => 'Obón','id' => '6677','slug' => 'obn','latitude' => '40.9047332','longitude' => '-0.7230815'),
        array('province_id' => '44','town' => 'Odón','id' => '6678','slug' => '6678-odn','latitude' => '40.8844348','longitude' => '-1.5678129'),
        array('province_id' => '44','town' => 'Ojos Negros','id' => '6679','slug' => 'ojos-negros','latitude' => '40.7379583','longitude' => '-1.5000314'),
        array('province_id' => '44','town' => 'Olba','id' => '6680','slug' => 'olba','latitude' => '40.132585','longitude' => '-0.6249871'),
        array('province_id' => '44','town' => 'Oliete','id' => '6681','slug' => 'oliete','latitude' => '40.998051','longitude' => '-0.6744237'),
        array('province_id' => '44','town' => 'Olmos, Los','id' => '6682','slug' => 'olmos-los','latitude' => '40.8775828','longitude' => '-0.4884439'),
        array('province_id' => '44','town' => 'Orihuela del Tremedal','id' => '6683','slug' => 'orihuela-del-tremedal','latitude' => '40.5505781','longitude' => '-1.6497164'),
        array('province_id' => '44','town' => 'Orrios','id' => '6684','slug' => 'orrios','latitude' => '40.5866335','longitude' => '-0.9876969'),
        array('province_id' => '44','town' => 'Palomar de Arroyos','id' => '6685','slug' => 'palomar-de-arroyos','latitude' => '40.779925','longitude' => '-0.7503164'),
        array('province_id' => '44','town' => 'Pancrudo','id' => '6686','slug' => 'pancrudo','latitude' => '40.761542','longitude' => '-1.0294726'),
        array('province_id' => '44','town' => 'Parras de Castellote, Las','id' => '6687','slug' => 'parras-de-castellote-las','latitude' => '40.7754662','longitude' => '-0.2433772'),
        array('province_id' => '44','town' => 'Peñarroya de Tastavins','id' => '6688','slug' => 'pearroya-de-tastavins','latitude' => '40.7553843','longitude' => '0.0393172'),
        array('province_id' => '44','town' => 'Peracense','id' => '6689','slug' => 'peracense','latitude' => '40.6417255','longitude' => '-1.4694992'),
        array('province_id' => '44','town' => 'Peralejos','id' => '6690','slug' => 'peralejos','latitude' => '40.4845574','longitude' => '-1.0331995'),
        array('province_id' => '44','town' => 'Perales del Alfambra','id' => '6691','slug' => 'perales-del-alfambra','latitude' => '40.6341446','longitude' => '-1.0033483'),
        array('province_id' => '44','town' => 'Pitarque','id' => '6692','slug' => 'pitarque','latitude' => '40.6485917','longitude' => '-0.5922781'),
        array('province_id' => '44','town' => 'Plou','id' => '6693','slug' => 'plou','latitude' => '40.9920228','longitude' => '-0.8543398'),
        array('province_id' => '44','town' => 'Pobo, El','id' => '6694','slug' => 'pobo-el','latitude' => '40.5088323','longitude' => '-0.8608847'),
        array('province_id' => '44','town' => 'Portellada, La','id' => '6695','slug' => 'portellada-la','latitude' => '40.8821068','longitude' => '0.0554401'),
        array('province_id' => '44','town' => 'Pozondón','id' => '6696','slug' => 'pozondn','latitude' => '40.5616088','longitude' => '-1.4700957'),
        array('province_id' => '44','town' => 'Pozuel del Campo','id' => '6697','slug' => 'pozuel-del-campo','latitude' => '40.7713106','longitude' => '-1.5068984'),
        array('province_id' => '44','town' => 'Puebla de Híjar, La','id' => '6698','slug' => 'puebla-de-hjar-la','latitude' => '41.2208991','longitude' => '-0.443926'),
        array('province_id' => '44','town' => 'Puebla de Valverde, La','id' => '6699','slug' => 'puebla-de-valverde-la','latitude' => '40.2247014','longitude' => '-0.9297862'),
        array('province_id' => '44','town' => 'Puertomingalvo','id' => '6700','slug' => 'puertomingalvo','latitude' => '40.2647893','longitude' => '-0.4600198'),
        array('province_id' => '44','town' => 'Ráfales','id' => '6701','slug' => 'rfales','latitude' => '40.837584','longitude' => '0.0208083'),
        array('province_id' => '44','town' => 'Rillo','id' => '6702','slug' => 'rillo','latitude' => '40.7225168','longitude' => '-0.9954608'),
        array('province_id' => '44','town' => 'Riodeva','id' => '6703','slug' => 'riodeva','latitude' => '40.1169315','longitude' => '-1.1481959'),
        array('province_id' => '44','town' => 'Ródenas','id' => '6704','slug' => 'rdenas','latitude' => '40.6413658','longitude' => '-1.5162988'),
        array('province_id' => '44','town' => 'Royuela','id' => '6705','slug' => 'royuela','latitude' => '40.376981','longitude' => '-1.5121878'),
        array('province_id' => '44','town' => 'Rubiales','id' => '6706','slug' => 'rubiales','latitude' => '40.276581','longitude' => '-1.2692138'),
        array('province_id' => '44','town' => 'Rubielos de la Cérida','id' => '6707','slug' => 'rubielos-de-la-crida','latitude' => '40.7709754','longitude' => '-1.212446'),
        array('province_id' => '44','town' => 'Rubielos de Mora','id' => '6708','slug' => 'rubielos-de-mora','latitude' => '40.1900574','longitude' => '-0.6514604'),
        array('province_id' => '44','town' => 'Salcedillo','id' => '6709','slug' => 'salcedillo','latitude' => '40.9621259','longitude' => '-1.0053719'),
        array('province_id' => '44','town' => 'Saldón','id' => '6710','slug' => 'saldn','latitude' => '40.3247811','longitude' => '-1.4284278'),
        array('province_id' => '44','town' => 'Samper de Calanda','id' => '6711','slug' => 'samper-de-calanda','latitude' => '41.1900547','longitude' => '-0.390319'),
        array('province_id' => '44','town' => 'San Agustín','id' => '6712','slug' => 'san-agustn','latitude' => '40.0597579','longitude' => '-0.6927521'),
        array('province_id' => '44','town' => 'San Martín del Río','id' => '6713','slug' => 'san-martn-del-ro','latitude' => '41.0654663','longitude' => '-1.3862547'),
        array('province_id' => '44','town' => 'Santa Cruz de Nogueras','id' => '6714','slug' => 'santa-cruz-de-nogueras','latitude' => '41.1145813','longitude' => '-1.0887577'),
        array('province_id' => '44','town' => 'Santa Eulalia','id' => '6715','slug' => 'santa-eulalia','latitude' => '40.5666655','longitude' => '-1.3117002'),
        array('province_id' => '44','town' => 'Sarrión','id' => '6716','slug' => 'sarrin','latitude' => '40.1418746','longitude' => '-0.815191'),
        array('province_id' => '44','town' => 'Segura de los Baños','id' => '6717','slug' => 'segura-de-los-baos','latitude' => '40.9402032','longitude' => '-0.9511759'),
        array('province_id' => '44','town' => 'Seno','id' => '6718','slug' => 'seno','latitude' => '40.8120711','longitude' => '-0.3388252'),
        array('province_id' => '44','town' => 'Singra','id' => '6719','slug' => 'singra','latitude' => '40.6559191','longitude' => '-1.3118114'),
        array('province_id' => '44','town' => 'Terriente','id' => '6720','slug' => 'terriente','latitude' => '40.2972521','longitude' => '-1.5044277'),
        array('province_id' => '44','town' => 'Teruel','id' => '6721','slug' => 'teruel','latitude' => '40.3441099','longitude' => '-1.1069096'),
        array('province_id' => '44','town' => 'Toril y Masegoso','id' => '6722','slug' => 'toril-y-masegoso','latitude' => '40.2484561','longitude' => '-1.4864537'),
        array('province_id' => '44','town' => 'Tormón','id' => '6723','slug' => 'tormn','latitude' => '40.2027493','longitude' => '-1.3537611'),
        array('province_id' => '44','town' => 'Tornos','id' => '6724','slug' => 'tornos','latitude' => '40.9622323','longitude' => '-1.4338289'),
        array('province_id' => '44','town' => 'Torralba de los Sisones','id' => '6725','slug' => 'torralba-de-los-sisones','latitude' => '40.8904258','longitude' => '-1.4592217'),
        array('province_id' => '44','town' => 'Torre de Arcas','id' => '6726','slug' => 'torre-de-arcas','latitude' => '40.7511581','longitude' => '-0.067632'),
        array('province_id' => '44','town' => 'Torre de las Arcas','id' => '6727','slug' => 'torre-de-las-arcas','latitude' => '40.8414726','longitude' => '-0.7188649'),
        array('province_id' => '44','town' => 'Torre del Compte','id' => '6728','slug' => 'torre-del-compte','latitude' => '40.9354559','longitude' => '0.109912'),
        array('province_id' => '44','town' => 'Torre los Negros','id' => '6729','slug' => 'torre-los-negros','latitude' => '40.8533009','longitude' => '-1.0970851'),
        array('province_id' => '44','town' => 'Torrecilla de Alcañiz','id' => '6730','slug' => 'torrecilla-de-alcaiz','latitude' => '40.9601555','longitude' => '-0.0919182'),
        array('province_id' => '44','town' => 'Torrecilla del Rebollar','id' => '6731','slug' => 'torrecilla-del-rebollar','latitude' => '40.9100628','longitude' => '-1.0716514'),
        array('province_id' => '44','town' => 'Torrelacárcel','id' => '6732','slug' => 'torrelacrcel','latitude' => '40.6139227','longitude' => '-1.3039305'),
        array('province_id' => '44','town' => 'Torremocha de Jiloca','id' => '6733','slug' => 'torremocha-de-jiloca','latitude' => '40.590111','longitude' => '-1.2971516'),
        array('province_id' => '44','town' => 'Torres de Albarracín','id' => '6734','slug' => 'torres-de-albarracn','latitude' => '40.427209','longitude' => '-1.5322422'),
        array('province_id' => '44','town' => 'Torrevelilla','id' => '6735','slug' => 'torrevelilla','latitude' => '40.9030254','longitude' => '-0.1098415'),
        array('province_id' => '44','town' => 'Torrijas','id' => '6736','slug' => 'torrijas','latitude' => '40.0226399','longitude' => '-0.9575675'),
        array('province_id' => '44','town' => 'Torrijo del Campo','id' => '6737','slug' => 'torrijo-del-campo','latitude' => '40.826894','longitude' => '-1.3363155'),
        array('province_id' => '44','town' => 'Tramacastiel','id' => '6738','slug' => 'tramacastiel','latitude' => '40.1886381','longitude' => '-1.240698'),
        array('province_id' => '44','town' => 'Tramacastilla','id' => '6739','slug' => 'tramacastilla','latitude' => '40.4309604','longitude' => '-1.5690504'),
        array('province_id' => '44','town' => 'Tronchón','id' => '6740','slug' => 'tronchn','latitude' => '40.6211451','longitude' => '-0.3990553'),
        array('province_id' => '44','town' => 'Urrea de Gaén','id' => '6741','slug' => 'urrea-de-gan','latitude' => '41.1600932','longitude' => '-0.4705417'),
        array('province_id' => '44','town' => 'Utrillas','id' => '6742','slug' => 'utrillas','latitude' => '40.8132669','longitude' => '-0.843052'),
        array('province_id' => '44','town' => 'Valacloche','id' => '6743','slug' => 'valacloche','latitude' => '40.19118','longitude' => '-1.0913223'),
        array('province_id' => '44','town' => 'Valbona','id' => '6744','slug' => 'valbona','latitude' => '40.2294157','longitude' => '-0.8106206'),
        array('province_id' => '44','town' => 'Valdealgorfa','id' => '6745','slug' => 'valdealgorfa','latitude' => '40.9908502','longitude' => '-0.0347835'),
        array('province_id' => '44','town' => 'Valdecuenca','id' => '6746','slug' => 'valdecuenca','latitude' => '40.2969929','longitude' => '-1.4067647'),
        array('province_id' => '44','town' => 'Valdelinares','id' => '6747','slug' => 'valdelinares','latitude' => '40.3916984','longitude' => '-0.6063926'),
        array('province_id' => '44','town' => 'Valdeltormo','id' => '6748','slug' => 'valdeltormo','latitude' => '40.9857757','longitude' => '0.084194'),
        array('province_id' => '44','town' => 'Valderrobres','id' => '6749','slug' => 'valderrobres','latitude' => '40.8754377','longitude' => '0.1556791'),
        array('province_id' => '44','town' => 'Valjunquera','id' => '6750','slug' => 'valjunquera','latitude' => '40.9530209','longitude' => '0.0259745'),
        array('province_id' => '44','town' => 'Vallecillo, El','id' => '6751','slug' => 'vallecillo-el','latitude' => '40.2345969','longitude' => '-1.5663613'),
        array('province_id' => '44','town' => 'Veguillas de la Sierra','id' => '6752','slug' => 'veguillas-de-la-sierra','latitude' => '40.1547726','longitude' => '-1.4061366'),
        array('province_id' => '44','town' => 'Villafranca del Campo','id' => '6753','slug' => 'villafranca-del-campo','latitude' => '40.6944703','longitude' => '-1.3474988'),
        array('province_id' => '44','town' => 'Villahermosa del Campo','id' => '6754','slug' => 'villahermosa-del-campo','latitude' => '41.1094205','longitude' => '-1.2462054'),
        array('province_id' => '44','town' => 'Villanueva del Rebollar de la Sierra','id' => '6755','slug' => 'villanueva-del-rebollar-de-la-sierra','latitude' => '40.8915029','longitude' => '-1.0091206'),
        array('province_id' => '44','town' => 'Villar del Cobo','id' => '6756','slug' => 'villar-del-cobo','latitude' => '40.3955443','longitude' => '-1.6739851'),
        array('province_id' => '44','town' => 'Villar del Salz','id' => '6757','slug' => 'villar-del-salz','latitude' => '40.6823257','longitude' => '-1.4991799'),
        array('province_id' => '44','town' => 'Villarluengo','id' => '6758','slug' => 'villarluengo','latitude' => '40.648307','longitude' => '-0.5297248'),
        array('province_id' => '44','town' => 'Villarquemado','id' => '6759','slug' => 'villarquemado','latitude' => '40.5194489','longitude' => '-1.267652'),
        array('province_id' => '44','town' => 'Villarroya de los Pinares','id' => '6760','slug' => 'villarroya-de-los-pinares','latitude' => '40.5304071','longitude' => '-0.6699603'),
        array('province_id' => '44','town' => 'Villastar','id' => '6761','slug' => 'villastar','latitude' => '40.2805322','longitude' => '-1.1528925'),
        array('province_id' => '44','town' => 'Villel','id' => '6762','slug' => 'villel','latitude' => '40.2346883','longitude' => '-1.1872744'),
        array('province_id' => '44','town' => 'Vinaceite','id' => '6763','slug' => 'vinaceite','latitude' => '41.2662421','longitude' => '-0.5779686'),
        array('province_id' => '44','town' => 'Visiedo','id' => '6764','slug' => 'visiedo','latitude' => '40.6858051','longitude' => '-1.0983167'),
        array('province_id' => '44','town' => 'Vivel del Río Martín','id' => '6765','slug' => 'vivel-del-ro-martn','latitude' => '40.8701712','longitude' => '-0.9402806'),
        array('province_id' => '44','town' => 'Zoma, La','id' => '6766','slug' => 'zoma-la','latitude' => '40.7839723','longitude' => '-0.618576'),
        array('province_id' => '45','town' => 'Ajofrín','id' => '6767','slug' => 'ajofrn','latitude' => '39.7125036','longitude' => '-3.9826137'),
        array('province_id' => '45','town' => 'Alameda de la Sagra','id' => '6768','slug' => 'alameda-de-la-sagra','latitude' => '40.0122632','longitude' => '-3.7965052'),
        array('province_id' => '45','town' => 'Albarreal de Tajo','id' => '6769','slug' => 'albarreal-de-tajo','latitude' => '39.8976894','longitude' => '-4.2279778'),
        array('province_id' => '45','town' => 'Alcabón','id' => '6770','slug' => 'alcabn','latitude' => '40.0024878','longitude' => '-4.3690761'),
        array('province_id' => '45','town' => 'Alcañizo','id' => '6771','slug' => 'alcaizo','latitude' => '39.9046663','longitude' => '-5.1057133'),
        array('province_id' => '45','town' => 'Alcaudete de la Jara','id' => '6772','slug' => 'alcaudete-de-la-jara','latitude' => '39.7932161','longitude' => '-4.8703313'),
        array('province_id' => '45','town' => 'Alcolea de Tajo','id' => '6773','slug' => 'alcolea-de-tajo','latitude' => '39.8083117','longitude' => '-5.1490766'),
        array('province_id' => '45','town' => 'Aldea en Cabo','id' => '6774','slug' => 'aldea-en-cabo','latitude' => '40.1836842','longitude' => '-4.4556044'),
        array('province_id' => '45','town' => 'Aldeanueva de Barbarroya','id' => '6775','slug' => 'aldeanueva-de-barbarroya','latitude' => '39.7622349','longitude' => '-5.0199213'),
        array('province_id' => '45','town' => 'Aldeanueva de San Bartolomé','id' => '6776','slug' => 'aldeanueva-de-san-bartolom','latitude' => '39.6366841','longitude' => '-5.1115733'),
        array('province_id' => '45','town' => 'Almendral de la Cañada','id' => '6777','slug' => 'almendral-de-la-caada','latitude' => '40.1854786','longitude' => '-4.7392915'),
        array('province_id' => '45','town' => 'Almonacid de Toledo','id' => '6778','slug' => 'almonacid-de-toledo','latitude' => '39.754686','longitude' => '-3.8520904'),
        array('province_id' => '45','town' => 'Almorox','id' => '6779','slug' => 'almorox','latitude' => '40.2330695','longitude' => '-4.3913637'),
        array('province_id' => '45','town' => 'Añover de Tajo','id' => '6780','slug' => 'aover-de-tajo','latitude' => '39.9894491','longitude' => '-3.7647712'),
        array('province_id' => '45','town' => 'Arcicóllar','id' => '6781','slug' => 'arcicllar','latitude' => '40.0550806','longitude' => '-4.1176773'),
        array('province_id' => '45','town' => 'Argés','id' => '6782','slug' => 'args','latitude' => '39.8059671','longitude' => '-4.0572863'),
        array('province_id' => '45','town' => 'Azután','id' => '6783','slug' => 'azutn','latitude' => '39.7857591','longitude' => '-5.1271706'),
        array('province_id' => '45','town' => 'Barcience','id' => '6784','slug' => 'barcience','latitude' => '39.9830898','longitude' => '-4.2337633'),
        array('province_id' => '45','town' => 'Bargas','id' => '6785','slug' => 'bargas','latitude' => '39.9416284','longitude' => '-4.0189701'),
        array('province_id' => '45','town' => 'Belvís de la Jara','id' => '6786','slug' => 'belvs-de-la-jara','latitude' => '39.7600824','longitude' => '-4.9492815'),
        array('province_id' => '45','town' => 'Borox','id' => '6787','slug' => 'borox','latitude' => '40.0697178','longitude' => '-3.7401914'),
        array('province_id' => '45','town' => 'Buenaventura','id' => '6788','slug' => 'buenaventura','latitude' => '40.17628','longitude' => '-4.8494276'),
        array('province_id' => '45','town' => 'Burguillos de Toledo','id' => '6789','slug' => 'burguillos-de-toledo','latitude' => '39.7965673','longitude' => '-3.9926244'),
        array('province_id' => '45','town' => 'Burujón','id' => '6790','slug' => 'burujn','latitude' => '39.9013206','longitude' => '-4.2983839'),
        array('province_id' => '45','town' => 'Cabañas de la Sagra','id' => '6791','slug' => 'cabaas-de-la-sagra','latitude' => '40.0081121','longitude' => '-3.9473543'),
        array('province_id' => '45','town' => 'Cabañas de Yepes','id' => '6792','slug' => 'cabaas-de-yepes','latitude' => '39.8897392','longitude' => '-3.5353599'),
        array('province_id' => '45','town' => 'Cabezamesada','id' => '6793','slug' => 'cabezamesada','latitude' => '39.8162073','longitude' => '-3.1021878'),
        array('province_id' => '45','town' => 'Calera y Chozas','id' => '6794','slug' => 'calera-y-chozas','latitude' => '39.8814354','longitude' => '-4.9786084'),
        array('province_id' => '45','town' => 'Caleruela','id' => '6795','slug' => 'caleruela','latitude' => '39.8747974','longitude' => '-5.2553823'),
        array('province_id' => '45','town' => 'Calzada de Oropesa','id' => '6796','slug' => 'calzada-de-oropesa','latitude' => '39.8980268','longitude' => '-5.2789592'),
        array('province_id' => '45','town' => 'Camarena','id' => '6797','slug' => 'camarena','latitude' => '40.0921733','longitude' => '-4.119881'),
        array('province_id' => '45','town' => 'Camarenilla','id' => '6798','slug' => 'camarenilla','latitude' => '40.0176929','longitude' => '-4.0747313'),
        array('province_id' => '45','town' => 'Campillo de la Jara, El','id' => '6799','slug' => 'campillo-de-la-jara-el','latitude' => '39.5895695','longitude' => '-5.0548737'),
        array('province_id' => '45','town' => 'Camuñas','id' => '6800','slug' => 'camuas','latitude' => '39.4289599','longitude' => '-3.4590211'),
        array('province_id' => '45','town' => 'Cardiel de los Montes','id' => '6801','slug' => 'cardiel-de-los-montes','latitude' => '40.0634528','longitude' => '-4.656812'),
        array('province_id' => '45','town' => 'Carmena','id' => '6802','slug' => 'carmena','latitude' => '39.9577742','longitude' => '-4.4013874'),
        array('province_id' => '45','town' => 'Carpio de Tajo, El','id' => '6803','slug' => 'carpio-de-tajo-el','latitude' => '39.8875151','longitude' => '-4.4546599'),
        array('province_id' => '45','town' => 'Carranque','id' => '6804','slug' => 'carranque','latitude' => '40.169702','longitude' => '-3.9010913'),
        array('province_id' => '45','town' => 'Carriches','id' => '6805','slug' => 'carriches','latitude' => '39.9640663','longitude' => '-4.4567776'),
        array('province_id' => '45','town' => 'Casar de Escalona, El','id' => '6806','slug' => 'casar-de-escalona-el','latitude' => '40.1498136','longitude' => '-4.4235342'),
        array('province_id' => '45','town' => 'Casarrubios del Monte','id' => '6807','slug' => 'casarrubios-del-monte','latitude' => '40.1857483','longitude' => '-4.0358006'),
        array('province_id' => '45','town' => 'Casasbuenas','id' => '6808','slug' => 'casasbuenas','latitude' => '39.7607491','longitude' => '-4.1265697'),
        array('province_id' => '45','town' => 'Castillo de Bayuela','id' => '6809','slug' => 'castillo-de-bayuela','latitude' => '40.1011392','longitude' => '-4.6851313'),
        array('province_id' => '45','town' => 'Cazalegas','id' => '6810','slug' => 'cazalegas','latitude' => '40.0108444','longitude' => '-4.6774601'),
        array('province_id' => '45','town' => 'Cebolla','id' => '6811','slug' => 'cebolla','latitude' => '39.9478974','longitude' => '-4.5693886'),
        array('province_id' => '45','town' => 'Cedillo del Condado','id' => '6812','slug' => 'cedillo-del-condado','latitude' => '40.1137006','longitude' => '-3.9223777'),
        array('province_id' => '45','town' => 'Cerralbos, Los','id' => '6813','slug' => 'cerralbos-los','latitude' => '39.9847975','longitude' => '-4.5688431'),
        array('province_id' => '45','town' => 'Cervera de los Montes','id' => '6814','slug' => 'cervera-de-los-montes','latitude' => '40.052469','longitude' => '-4.8107082'),
        array('province_id' => '45','town' => 'Chozas de Canales','id' => '6815','slug' => 'chozas-de-canales','latitude' => '40.099742','longitude' => '-4.0413644'),
        array('province_id' => '45','town' => 'Chueca','id' => '6816','slug' => 'chueca','latitude' => '39.7323987','longitude' => '-3.942378'),
        array('province_id' => '45','town' => 'Ciruelos','id' => '6817','slug' => 'ciruelos','latitude' => '39.9362852','longitude' => '-3.6170303'),
        array('province_id' => '45','town' => 'Cobeja','id' => '6818','slug' => 'cobeja','latitude' => '40.0247403','longitude' => '-3.8570003'),
        array('province_id' => '45','town' => 'Cobisa','id' => '6819','slug' => 'cobisa','latitude' => '39.8043432','longitude' => '-4.0245581'),
        array('province_id' => '45','town' => 'Consuegra','id' => '6820','slug' => 'consuegra','latitude' => '39.4604579','longitude' => '-3.6067205'),
        array('province_id' => '45','town' => 'Corral de Almaguer','id' => '6821','slug' => 'corral-de-almaguer','latitude' => '39.7601559','longitude' => '-3.166829'),
        array('province_id' => '45','town' => 'Cuerva','id' => '6822','slug' => 'cuerva','latitude' => '39.6640432','longitude' => '-4.2110582'),
        array('province_id' => '45','town' => 'Domingo Pérez','id' => '6823','slug' => 'domingo-prez','latitude' => '39.975946','longitude' => '-4.505118'),
        array('province_id' => '45','town' => 'Dosbarrios','id' => '6824','slug' => 'dosbarrios','latitude' => '39.8840785','longitude' => '-3.476729'),
        array('province_id' => '45','town' => 'Erustes','id' => '6825','slug' => 'erustes','latitude' => '39.9565777','longitude' => '-4.4971819'),
        array('province_id' => '45','town' => 'Escalona','id' => '6826','slug' => 'escalona','latitude' => '40.1685976','longitude' => '-4.4036736'),
        array('province_id' => '45','town' => 'Escalonilla','id' => '6827','slug' => 'escalonilla','latitude' => '39.9251948','longitude' => '-4.3488433'),
        array('province_id' => '45','town' => 'Espinoso del Rey','id' => '6828','slug' => 'espinoso-del-rey','latitude' => '39.6529322','longitude' => '-4.7837268'),
        array('province_id' => '45','town' => 'Esquivias','id' => '6829','slug' => 'esquivias','latitude' => '40.1041313','longitude' => '-3.7700803'),
        array('province_id' => '45','town' => 'Estrella, La','id' => '6830','slug' => 'estrella-la','latitude' => '39.8617415','longitude' => '-4.0252059'),
        array('province_id' => '45','town' => 'Fuensalida','id' => '6831','slug' => 'fuensalida','latitude' => '40.0529693','longitude' => '-4.209178'),
        array('province_id' => '45','town' => 'Gálvez','id' => '6832','slug' => 'glvez','latitude' => '39.703412','longitude' => '-4.2744985'),
        array('province_id' => '45','town' => 'Garciotum','id' => '6833','slug' => 'garciotum','latitude' => '40.0992867','longitude' => '-4.6457181'),
        array('province_id' => '45','town' => 'Gerindote','id' => '6834','slug' => 'gerindote','latitude' => '39.9666089','longitude' => '-4.3030911'),
        array('province_id' => '45','town' => 'Guadamur','id' => '6835','slug' => 'guadamur','latitude' => '39.8133625','longitude' => '-4.1474787'),
        array('province_id' => '45','town' => 'Guardia, La','id' => '6836','slug' => 'guardia-la','latitude' => '39.7855714','longitude' => '-3.4770729'),
        array('province_id' => '45','town' => 'Herencias, Las','id' => '6837','slug' => 'herencias-las','latitude' => '39.8694911','longitude' => '-4.9202375'),
        array('province_id' => '45','town' => 'Herreruela de Oropesa','id' => '6838','slug' => 'herreruela-de-oropesa','latitude' => '39.8897035','longitude' => '-5.2426332'),
        array('province_id' => '45','town' => 'Hinojosa de San Vicente','id' => '6839','slug' => 'hinojosa-de-san-vicente','latitude' => '40.1040244','longitude' => '-4.724235'),
        array('province_id' => '45','town' => 'Hontanar','id' => '6840','slug' => 'hontanar','latitude' => '39.6121992','longitude' => '-4.4983396'),
        array('province_id' => '45','town' => 'Hormigos','id' => '6841','slug' => 'hormigos','latitude' => '40.0983616','longitude' => '-4.4451416'),
        array('province_id' => '45','town' => 'Huecas','id' => '6842','slug' => 'huecas','latitude' => '40.0118377','longitude' => '-4.1958084'),
        array('province_id' => '45','town' => 'Huerta de Valdecarábanos','id' => '6843','slug' => 'huerta-de-valdecarbanos','latitude' => '39.8643299','longitude' => '-3.6119176'),
        array('province_id' => '45','town' => 'Iglesuela, La','id' => '6844','slug' => 'iglesuela-la','latitude' => '40.2334196','longitude' => '-4.7503364'),
        array('province_id' => '45','town' => 'Illán de Vacas','id' => '6845','slug' => 'illn-de-vacas','latitude' => '39.9704783','longitude' => '-4.5564592'),
        array('province_id' => '45','town' => 'Illescas','id' => '6846','slug' => 'illescas','latitude' => '40.1241632','longitude' => '-3.849206'),
        array('province_id' => '45','town' => 'Lagartera','id' => '6847','slug' => 'lagartera','latitude' => '39.9059805','longitude' => '-5.2011798'),
        array('province_id' => '45','town' => 'Layos','id' => '6848','slug' => 'layos','latitude' => '39.7767664','longitude' => '-4.0641729'),
        array('province_id' => '45','town' => 'Lillo','id' => '6849','slug' => 'lillo','latitude' => '39.7213055','longitude' => '-3.305534'),
        array('province_id' => '45','town' => 'Lominchar','id' => '6850','slug' => 'lominchar','latitude' => '40.0897562','longitude' => '-3.9673198'),
        array('province_id' => '45','town' => 'Lucillos','id' => '6851','slug' => 'lucillos','latitude' => '39.9865718','longitude' => '-4.6127915'),
        array('province_id' => '45','town' => 'Madridejos','id' => '6852','slug' => 'madridejos','latitude' => '39.466885','longitude' => '-3.5231346'),
        array('province_id' => '45','town' => 'Magán','id' => '6853','slug' => 'magn','latitude' => '39.9574867','longitude' => '-3.9305836'),
        array('province_id' => '45','town' => 'Malpica de Tajo','id' => '6854','slug' => 'malpica-de-tajo','latitude' => '39.894187','longitude' => '-4.5460629'),
        array('province_id' => '45','town' => 'Manzaneque','id' => '6855','slug' => 'manzaneque','latitude' => '39.6356583','longitude' => '-3.7917105'),
        array('province_id' => '45','town' => 'Maqueda','id' => '6856','slug' => 'maqueda','latitude' => '40.065936','longitude' => '-4.3693457'),
        array('province_id' => '45','town' => 'Marjaliza','id' => '6857','slug' => 'marjaliza','latitude' => '39.5630498','longitude' => '-3.9357322'),
        array('province_id' => '45','town' => 'Marrupe','id' => '6858','slug' => 'marrupe','latitude' => '40.090162','longitude' => '-4.7935771'),
        array('province_id' => '45','town' => 'Mascaraque','id' => '6859','slug' => 'mascaraque','latitude' => '39.7162577','longitude' => '-3.8116601'),
        array('province_id' => '45','town' => 'Mata, La','id' => '6860','slug' => 'mata-la','latitude' => '39.9426783','longitude' => '-4.4383496'),
        array('province_id' => '45','town' => 'Mazarambroz','id' => '6861','slug' => 'mazarambroz','latitude' => '39.6942069','longitude' => '-4.0212789'),
        array('province_id' => '45','town' => 'Mejorada','id' => '6862','slug' => 'mejorada','latitude' => '40.0100938','longitude' => '-4.8818938'),
        array('province_id' => '45','town' => 'Menasalbas','id' => '6863','slug' => 'menasalbas','latitude' => '39.6419941','longitude' => '-4.2847498'),
        array('province_id' => '45','town' => 'Méntrida','id' => '6864','slug' => 'mntrida','latitude' => '40.2375965','longitude' => '-4.1909629'),
        array('province_id' => '45','town' => 'Mesegar de Tajo','id' => '6865','slug' => 'mesegar-de-tajo','latitude' => '39.9254401','longitude' => '-4.5023774'),
        array('province_id' => '45','town' => 'Miguel Esteban','id' => '6866','slug' => 'miguel-esteban','latitude' => '39.5259496','longitude' => '-3.0757092'),
        array('province_id' => '45','town' => 'Mocejón','id' => '6867','slug' => 'mocejn','latitude' => '39.9391047','longitude' => '-3.9145891'),
        array('province_id' => '45','town' => 'Mohedas de la Jara','id' => '6868','slug' => 'mohedas-de-la-jara','latitude' => '39.6050398','longitude' => '-5.1432759'),
        array('province_id' => '45','town' => 'Montearagón','id' => '6869','slug' => 'montearagn','latitude' => '39.9644746','longitude' => '-4.6327345'),
        array('province_id' => '45','town' => 'Montesclaros','id' => '6870','slug' => 'montesclaros','latitude' => '40.1076144','longitude' => '-4.9384672'),
        array('province_id' => '45','town' => 'Mora','id' => '6871','slug' => 'mora','latitude' => '39.6842562','longitude' => '-3.7734872'),
        array('province_id' => '45','town' => 'Nambroca','id' => '6872','slug' => 'nambroca','latitude' => '39.7969075','longitude' => '-3.9437446'),
        array('province_id' => '45','town' => 'Nava de Ricomalillo, La','id' => '6873','slug' => 'nava-de-ricomalillo-la','latitude' => '39.6514282','longitude' => '-4.9902078'),
        array('province_id' => '45','town' => 'Navahermosa','id' => '6874','slug' => 'navahermosa','latitude' => '39.6356645','longitude' => '-4.4696137'),
        array('province_id' => '45','town' => 'Navalcán','id' => '6875','slug' => 'navalcn','latitude' => '40.0698322','longitude' => '-5.0922638'),
        array('province_id' => '45','town' => 'Navalmoralejo','id' => '6876','slug' => 'navalmoralejo','latitude' => '39.7390294','longitude' => '-5.1428106'),
        array('province_id' => '45','town' => 'Navalmorales, Los','id' => '6877','slug' => 'navalmorales-los','latitude' => '39.7262669','longitude' => '-4.6395928'),
        array('province_id' => '45','town' => 'Navalucillos, Los','id' => '6878','slug' => 'navalucillos-los','latitude' => '39.6659984','longitude' => '-4.6422115'),
        array('province_id' => '45','town' => 'Navamorcuende','id' => '6879','slug' => 'navamorcuende','latitude' => '40.1577111','longitude' => '-4.7852109'),
        array('province_id' => '45','town' => 'Noblejas','id' => '6880','slug' => 'noblejas','latitude' => '39.9803487','longitude' => '-3.4396311'),
        array('province_id' => '45','town' => 'Noez','id' => '6881','slug' => 'noez','latitude' => '39.7405192','longitude' => '-4.1840254'),
        array('province_id' => '45','town' => 'Nombela','id' => '6882','slug' => 'nombela','latitude' => '40.1564491','longitude' => '-4.5027648'),
        array('province_id' => '45','town' => 'Novés','id' => '6883','slug' => 'novs','latitude' => '40.0470733','longitude' => '-4.2721384'),
        array('province_id' => '45','town' => 'Numancia de la Sagra','id' => '6884','slug' => 'numancia-de-la-sagra','latitude' => '40.0749904','longitude' => '-3.8541275'),
        array('province_id' => '45','town' => 'Nuño Gómez','id' => '6885','slug' => 'nuo-gmez','latitude' => '40.1146576','longitude' => '-4.6204051'),
        array('province_id' => '45','town' => 'Ocaña','id' => '6886','slug' => 'ocaa','latitude' => '39.9603082','longitude' => '-3.4997335'),
        array('province_id' => '45','town' => 'Olías del Rey','id' => '6887','slug' => 'olas-del-rey','latitude' => '39.9430796','longitude' => '-3.9867185'),
        array('province_id' => '45','town' => 'Ontígola','id' => '6888','slug' => 'ontgola','latitude' => '40.0034632','longitude' => '-3.5722394'),
        array('province_id' => '45','town' => 'Orgaz','id' => '6889','slug' => 'orgaz','latitude' => '39.6475267','longitude' => '-3.8746464'),
        array('province_id' => '45','town' => 'Oropesa','id' => '6890','slug' => 'oropesa','latitude' => '39.919145','longitude' => '-5.1734149'),
        array('province_id' => '45','town' => 'Otero','id' => '6891','slug' => 'otero','latitude' => '40.0006414','longitude' => '-4.5151633'),
        array('province_id' => '45','town' => 'Palomeque','id' => '6892','slug' => 'palomeque','latitude' => '40.1191565','longitude' => '-3.9632985'),
        array('province_id' => '45','town' => 'Pantoja','id' => '6893','slug' => 'pantoja','latitude' => '40.0438959','longitude' => '-3.8365515'),
        array('province_id' => '45','town' => 'Paredes de Escalona','id' => '6894','slug' => 'paredes-de-escalona','latitude' => '40.2058068','longitude' => '-4.4288414'),
        array('province_id' => '45','town' => 'Parrillas','id' => '6895','slug' => 'parrillas','latitude' => '40.0610596','longitude' => '-5.0638581'),
        array('province_id' => '45','town' => 'Pelahustán','id' => '6896','slug' => 'pelahustn','latitude' => '40.1762657','longitude' => '-4.5969358'),
        array('province_id' => '45','town' => 'Pepino','id' => '6897','slug' => 'pepino','latitude' => '40.0320927','longitude' => '-4.8027871'),
        array('province_id' => '45','town' => 'Polán','id' => '6898','slug' => 'poln','latitude' => '39.789124','longitude' => '-4.1682006'),
        array('province_id' => '45','town' => 'Portillo de Toledo','id' => '6899','slug' => 'portillo-de-toledo','latitude' => '40.063898','longitude' => '-4.2291679'),
        array('province_id' => '45','town' => 'Puebla de Almoradiel, La','id' => '6900','slug' => 'puebla-de-almoradiel-la','latitude' => '39.5984594','longitude' => '-3.1186674'),
        array('province_id' => '45','town' => 'Puebla de Montalbán, La','id' => '6901','slug' => 'puebla-de-montalbn-la','latitude' => '39.8645027','longitude' => '-4.3589034'),
        array('province_id' => '45','town' => 'Pueblanueva, La','id' => '6902','slug' => 'pueblanueva-la','latitude' => '39.9125889','longitude' => '-4.6799056'),
        array('province_id' => '45','town' => 'Puente del Arzobispo, El','id' => '6903','slug' => 'puente-del-arzobispo-el','latitude' => '39.8031568','longitude' => '-5.172055'),
        array('province_id' => '45','town' => 'Puerto de San Vicente','id' => '6904','slug' => 'puerto-de-san-vicente','latitude' => '39.5244247','longitude' => '-5.114378'),
        array('province_id' => '45','town' => 'Pulgar','id' => '6905','slug' => 'pulgar','latitude' => '39.6944336','longitude' => '-4.1528587'),
        array('province_id' => '45','town' => 'Quero','id' => '6906','slug' => 'quero','latitude' => '39.5089346','longitude' => '-3.2459096'),
        array('province_id' => '45','town' => 'Quintanar de la Orden','id' => '6907','slug' => 'quintanar-de-la-orden','latitude' => '39.5907881','longitude' => '-3.0427362'),
        array('province_id' => '45','town' => 'Quismondo','id' => '6908','slug' => 'quismondo','latitude' => '40.1052648','longitude' => '-4.3241754'),
        array('province_id' => '45','town' => 'Real de San Vicente, El','id' => '6909','slug' => 'real-de-san-vicente-el','latitude' => '40.1369613','longitude' => '-4.6904189'),
        array('province_id' => '45','town' => 'Recas','id' => '6910','slug' => 'recas','latitude' => '40.0535329','longitude' => '-3.9924666'),
        array('province_id' => '45','town' => 'Retamoso de la Jara','id' => '6911','slug' => 'retamoso-de-la-jara','latitude' => '39.7433402','longitude' => '-4.7554818'),
        array('province_id' => '45','town' => 'Rielves','id' => '6912','slug' => 'rielves','latitude' => '39.9608074','longitude' => '-4.1929463'),
        array('province_id' => '45','town' => 'Robledo del Mazo','id' => '6913','slug' => 'robledo-del-mazo','latitude' => '39.6093097','longitude' => '-4.9052501'),
        array('province_id' => '45','town' => 'Romeral, El','id' => '6914','slug' => 'romeral-el','latitude' => '39.7067722','longitude' => '-3.4310069'),
        array('province_id' => '45','town' => 'San Bartolomé de las Abiertas','id' => '6915','slug' => 'san-bartolom-de-las-abiertas','latitude' => '39.8308647','longitude' => '-4.7179258'),
        array('province_id' => '45','town' => 'San Martín de Montalbán','id' => '6916','slug' => 'san-martn-de-montalbn','latitude' => '39.7022847','longitude' => '-4.3896976'),
        array('province_id' => '45','town' => 'San Martín de Pusa','id' => '6917','slug' => 'san-martn-de-pusa','latitude' => '39.7843005','longitude' => '-4.6329386'),
        array('province_id' => '45','town' => 'San Pablo de los Montes','id' => '6918','slug' => 'san-pablo-de-los-montes','latitude' => '39.5392656','longitude' => '-4.3316085'),
        array('province_id' => '45','town' => 'San Román de los Montes','id' => '6919','slug' => 'san-romn-de-los-montes','latitude' => '40.068898','longitude' => '-4.7317997'),
        array('province_id' => '45','town' => 'Santa Ana de Pusa','id' => '6920','slug' => 'santa-ana-de-pusa','latitude' => '39.7636691','longitude' => '-4.7154392'),
        array('province_id' => '45','town' => 'Santa Cruz de la Zarza','id' => '6921','slug' => 'santa-cruz-de-la-zarza','latitude' => '39.9832281','longitude' => '-3.185218'),
        array('province_id' => '45','town' => 'Santa Cruz del Retamar','id' => '6922','slug' => 'santa-cruz-del-retamar','latitude' => '40.118978','longitude' => '-4.2415451'),
        array('province_id' => '45','town' => 'Santa Olalla','id' => '6923','slug' => 'santa-olalla','latitude' => '40.0242601','longitude' => '-4.4282659'),
        array('province_id' => '45','town' => 'Santo Domingo-Caudilla','id' => '6924','slug' => 'santo-domingo-caudilla','latitude' => '40.012','longitude' => '-4.326'),
        array('province_id' => '45','town' => 'Sartajada','id' => '6925','slug' => 'sartajada','latitude' => '40.2115619','longitude' => '-4.7917216'),
        array('province_id' => '45','town' => 'Segurilla','id' => '6926','slug' => 'segurilla','latitude' => '40.0225964','longitude' => '-4.8648834'),
        array('province_id' => '45','town' => 'Seseña','id' => '6927','slug' => 'sesea','latitude' => '40.1044363','longitude' => '-3.6974183'),
        array('province_id' => '45','town' => 'Sevilleja de la Jara','id' => '6928','slug' => 'sevilleja-de-la-jara','latitude' => '39.5760721','longitude' => '-4.9624159'),
        array('province_id' => '45','town' => 'Sonseca','id' => '6929','slug' => 'sonseca','latitude' => '39.6762083','longitude' => '-3.9737437'),
        array('province_id' => '45','town' => 'Sotillo de las Palomas','id' => '6930','slug' => 'sotillo-de-las-palomas','latitude' => '40.1048582','longitude' => '-4.8273502'),
        array('province_id' => '45','town' => 'Talavera de la Reina','id' => '6931','slug' => 'talavera-de-la-reina','latitude' => '39.9598001','longitude' => '-4.834432'),
        array('province_id' => '45','town' => 'Tembleque','id' => '6932','slug' => 'tembleque','latitude' => '39.6983345','longitude' => '-3.5032889'),
        array('province_id' => '45','town' => 'Toboso, El','id' => '6933','slug' => 'toboso-el','latitude' => '39.512612','longitude' => '-2.9951396'),
        array('province_id' => '45','town' => 'Toledo','id' => '6934','slug' => 'toledo','latitude' => '39.8567775','longitude' => '-4.0244759'),
        array('province_id' => '45','town' => 'Torralba de Oropesa','id' => '6935','slug' => 'torralba-de-oropesa','latitude' => '39.9325007','longitude' => '-5.15255'),
        array('province_id' => '45','town' => 'Torre de Esteban Hambrán, La','id' => '6936','slug' => 'torre-de-esteban-hambrn-la','latitude' => '40.16903','longitude' => '-4.2175009'),
        array('province_id' => '45','town' => 'Torrecilla de la Jara','id' => '6937','slug' => 'torrecilla-de-la-jara','latitude' => '39.7037929','longitude' => '-4.7718359'),
        array('province_id' => '45','town' => 'Torrico','id' => '6938','slug' => 'torrico','latitude' => '39.8301791','longitude' => '-5.2270545'),
        array('province_id' => '45','town' => 'Torrijos','id' => '6939','slug' => 'torrijos','latitude' => '39.9812801','longitude' => '-4.2844188'),
        array('province_id' => '45','town' => 'Totanés','id' => '6940','slug' => 'totans','latitude' => '39.7100734','longitude' => '-4.2260969'),
        array('province_id' => '45','town' => 'Turleque','id' => '6941','slug' => 'turleque','latitude' => '39.6017112','longitude' => '-3.6137496'),
        array('province_id' => '45','town' => 'Ugena','id' => '6942','slug' => 'ugena','latitude' => '40.1558208','longitude' => '-3.8767357'),
        array('province_id' => '45','town' => 'Urda','id' => '6943','slug' => 'urda','latitude' => '39.4117768','longitude' => '-3.7160742'),
        array('province_id' => '45','town' => 'Valdeverdeja','id' => '6944','slug' => 'valdeverdeja','latitude' => '39.7989901','longitude' => '-5.2466424'),
        array('province_id' => '45','town' => 'Valmojado','id' => '6945','slug' => 'valmojado','latitude' => '40.2045422','longitude' => '-4.0909005'),
        array('province_id' => '45','town' => 'Velada','id' => '6946','slug' => 'velada','latitude' => '39.9807105','longitude' => '-4.9791145'),
        array('province_id' => '45','town' => 'Ventas con Peña Aguilera, Las','id' => '6947','slug' => 'ventas-con-pea-aguilera-las','latitude' => '39.6110265','longitude' => '-4.2304244'),
        array('province_id' => '45','town' => 'Ventas de Retamosa, Las','id' => '6948','slug' => 'ventas-de-retamosa-las','latitude' => '40.1553255','longitude' => '-4.1139429'),
        array('province_id' => '45','town' => 'Ventas de San Julián, Las','id' => '6949','slug' => 'ventas-de-san-julin-las','latitude' => '40.008764','longitude' => '-5.2942037'),
        array('province_id' => '45','town' => 'Villa de Don Fadrique, La','id' => '6950','slug' => 'villa-de-don-fadrique-la','latitude' => '39.6180784','longitude' => '-3.2179002'),
        array('province_id' => '45','town' => 'Villacañas','id' => '6951','slug' => 'villacaas','latitude' => '39.6255506','longitude' => '-3.3317005'),
        array('province_id' => '45','town' => 'Villafranca de los Caballeros','id' => '6952','slug' => 'villafranca-de-los-caballeros','latitude' => '39.4259696','longitude' => '-3.3594633'),
        array('province_id' => '45','town' => 'Villaluenga de la Sagra','id' => '6953','slug' => 'villaluenga-de-la-sagra','latitude' => '40.027279','longitude' => '-3.9117208'),
        array('province_id' => '45','town' => 'Villamiel de Toledo','id' => '6954','slug' => 'villamiel-de-toledo','latitude' => '39.9821576','longitude' => '-4.1269721'),
        array('province_id' => '45','town' => 'Villaminaya','id' => '6955','slug' => 'villaminaya','latitude' => '39.7117552','longitude' => '-3.8710974'),
        array('province_id' => '45','town' => 'Villamuelas','id' => '6956','slug' => 'villamuelas','latitude' => '39.8175361','longitude' => '-3.7325767'),
        array('province_id' => '45','town' => 'Villanueva de Alcardete','id' => '6957','slug' => 'villanueva-de-alcardete','latitude' => '39.6734023','longitude' => '-3.012378'),
        array('province_id' => '45','town' => 'Villanueva de Bogas','id' => '6958','slug' => 'villanueva-de-bogas','latitude' => '39.7242017','longitude' => '-3.6576121'),
        array('province_id' => '45','town' => 'Villarejo de Montalbán','id' => '6959','slug' => 'villarejo-de-montalbn','latitude' => '39.76913','longitude' => '-4.5729498'),
        array('province_id' => '45','town' => 'Villarrubia de Santiago','id' => '6960','slug' => 'villarrubia-de-santiago','latitude' => '39.9870182','longitude' => '-3.3689081'),
        array('province_id' => '45','town' => 'Villaseca de la Sagra','id' => '6961','slug' => 'villaseca-de-la-sagra','latitude' => '39.9609284','longitude' => '-3.8820714'),
        array('province_id' => '45','town' => 'Villasequilla','id' => '6962','slug' => 'villasequilla','latitude' => '39.8781431','longitude' => '-3.7302903'),
        array('province_id' => '45','town' => 'Villatobas','id' => '6963','slug' => 'villatobas','latitude' => '39.9017241','longitude' => '-3.32405'),
        array('province_id' => '45','town' => 'Viso de San Juan, El','id' => '6964','slug' => 'viso-de-san-juan-el','latitude' => '40.14274','longitude' => '-3.9207156'),
        array('province_id' => '45','town' => 'Yébenes, Los','id' => '6965','slug' => 'ybenes-los','latitude' => '39.5814255','longitude' => '-3.870618'),
        array('province_id' => '45','town' => 'Yeles','id' => '6966','slug' => 'yeles','latitude' => '40.1223697','longitude' => '-3.8053576'),
        array('province_id' => '45','town' => 'Yepes','id' => '6967','slug' => 'yepes','latitude' => '39.9026186','longitude' => '-3.6221625'),
        array('province_id' => '45','town' => 'Yuncler','id' => '6968','slug' => 'yuncler','latitude' => '40.0406152','longitude' => '-3.903411'),
        array('province_id' => '45','town' => 'Yunclillos','id' => '6969','slug' => 'yunclillos','latitude' => '40.0217626','longitude' => '-3.9905539'),
        array('province_id' => '45','town' => 'Yuncos','id' => '6970','slug' => 'yuncos','latitude' => '40.0841991','longitude' => '-3.8757357'),
        array('province_id' => '46','town' => 'Ademuz','id' => '6971','slug' => 'ademuz','latitude' => '40.0617367','longitude' => '-1.2865257'),
        array('province_id' => '46','town' => 'Ador','id' => '6972','slug' => 'ador','latitude' => '38.9194075','longitude' => '-0.2242898'),
        array('province_id' => '46','town' => 'Agullent','id' => '6973','slug' => 'agullent','latitude' => '38.8213153','longitude' => '-0.5489346'),
        array('province_id' => '46','town' => 'Aielo de Malferit','id' => '6974','slug' => 'aielo-de-malferit','latitude' => '38.8766144','longitude' => '-0.5921101'),
        array('province_id' => '46','town' => 'Aielo de Rugat','id' => '6975','slug' => 'aielo-de-rugat','latitude' => '38.8816613','longitude' => '-0.3430091'),
        array('province_id' => '46','town' => 'Alaquàs','id' => '6976','slug' => 'alaqus','latitude' => '39.4570792','longitude' => '-0.4610681'),
        array('province_id' => '46','town' => 'Albaida','id' => '6977','slug' => 'albaida','latitude' => '38.8370089','longitude' => '-0.5156197'),
        array('province_id' => '46','town' => 'Albal','id' => '6978','slug' => '6978-albal','latitude' => '39.3970929','longitude' => '-0.4121969'),
        array('province_id' => '46','town' => 'Albalat de la Ribera','id' => '6979','slug' => 'albalat-de-la-ribera','latitude' => '39.2010974','longitude' => '-0.3863965'),
        array('province_id' => '46','town' => 'Albalat dels Sorells','id' => '6980','slug' => 'albalat-dels-sorells','latitude' => '39.542188','longitude' => '-0.3473705'),
        array('province_id' => '46','town' => 'Albalat dels Tarongers','id' => '6981','slug' => 'albalat-dels-tarongers','latitude' => '39.7029923','longitude' => '-0.3364196'),
        array('province_id' => '46','town' => 'Alberic','id' => '6982','slug' => 'alberic','latitude' => '39.1165201','longitude' => '-0.5177308'),
        array('province_id' => '46','town' => 'Alborache','id' => '6983','slug' => 'alborache','latitude' => '39.3925193','longitude' => '-0.7718443'),
        array('province_id' => '46','town' => 'Alboraya','id' => '6984','slug' => 'alboraya','latitude' => '39.4993481','longitude' => '-0.3497834'),
        array('province_id' => '46','town' => 'Albuixech','id' => '6985','slug' => 'albuixech','latitude' => '39.5443728','longitude' => '-0.3226356'),
        array('province_id' => '46','town' => 'Alcàntera de Xúquer','id' => '6986','slug' => 'alcntera-de-xquer','latitude' => '39.0679268','longitude' => '-0.5611053'),
        array('province_id' => '46','town' => 'Alcàsser','id' => '6987','slug' => 'alcsser','latitude' => '39.3693089','longitude' => '-0.4428184'),
        array('province_id' => '46','town' => 'Alcublas','id' => '6988','slug' => 'alcublas','latitude' => '39.7971568','longitude' => '-0.7021778'),
        array('province_id' => '46','town' => 'Alcúdia, l\'','id' => '6989','slug' => 'alcdia-l','latitude' => '39.1983195','longitude' => '-0.507092'),
        array('province_id' => '46','town' => 'Alcúdia de Crespins, l\'','id' => '6990','slug' => 'alcdia-de-crespins-l','latitude' => '38.9709614','longitude' => '-0.5911145'),
        array('province_id' => '46','town' => 'Aldaia','id' => '6991','slug' => 'aldaia','latitude' => '39.4650522','longitude' => '-0.4613582'),
        array('province_id' => '46','town' => 'Alfafar','id' => '6992','slug' => 'alfafar','latitude' => '39.4232324','longitude' => '-0.3898719'),
        array('province_id' => '46','town' => 'Alfara de la Baronia','id' => '6993','slug' => 'alfara-de-la-baronia','latitude' => '39.7625461','longitude' => '-0.3550662'),
        array('province_id' => '46','town' => 'Alfara del Patriarca','id' => '6994','slug' => 'alfara-del-patriarca','latitude' => '39.5452354','longitude' => '-0.3865961'),
        array('province_id' => '46','town' => 'Alfarp','id' => '6995','slug' => 'alfarp','latitude' => '39.276921','longitude' => '-0.5608942'),
        array('province_id' => '46','town' => 'Alfarrasí','id' => '6996','slug' => 'alfarras','latitude' => '38.9052832','longitude' => '-0.4964219'),
        array('province_id' => '46','town' => 'Alfauir','id' => '6997','slug' => 'alfauir','latitude' => '38.928251','longitude' => '-0.2517238'),
        array('province_id' => '46','town' => 'Algar de Palancia','id' => '6998','slug' => 'algar-de-palancia','latitude' => '39.7816214','longitude' => '-0.3680117'),
        array('province_id' => '46','town' => 'Algemesí','id' => '6999','slug' => 'algemes','latitude' => '39.1938679','longitude' => '-0.4347581'),
        array('province_id' => '46','town' => 'Algimia de Alfara','id' => '7000','slug' => 'algimia-de-alfara','latitude' => '39.7529535','longitude' => '-0.3615205'),
        array('province_id' => '46','town' => 'Alginet','id' => '7001','slug' => 'alginet','latitude' => '39.2648174','longitude' => '-0.4673142'),
        array('province_id' => '46','town' => 'Almàssera','id' => '7002','slug' => 'almssera','latitude' => '39.5129763','longitude' => '-0.3551791'),
        array('province_id' => '46','town' => 'Almiserà','id' => '7003','slug' => 'almiser','latitude' => '38.9152156','longitude' => '-0.2857652'),
        array('province_id' => '46','town' => 'Almoines','id' => '7004','slug' => 'almoines','latitude' => '38.9431646','longitude' => '-0.1798222'),
        array('province_id' => '46','town' => 'Almussafes','id' => '7005','slug' => 'almussafes','latitude' => '39.2933288','longitude' => '-0.4107316'),
        array('province_id' => '46','town' => 'Alpuente','id' => '7006','slug' => 'alpuente','latitude' => '39.8755331','longitude' => '-1.0136984'),
        array('province_id' => '46','town' => 'Alqueria de la Comtessa, l\'','id' => '7007','slug' => 'alqueria-de-la-comtessa-l','latitude' => '38.9359456','longitude' => '-0.1537111'),
        array('province_id' => '46','town' => 'Alzira','id' => '7008','slug' => 'alzira','latitude' => '39.1515899','longitude' => '-0.4404637'),
        array('province_id' => '46','town' => 'Andilla','id' => '7009','slug' => 'andilla','latitude' => '39.8356667','longitude' => '-0.813692'),
        array('province_id' => '46','town' => 'Anna','id' => '7010','slug' => 'anna','latitude' => '39.0202096','longitude' => '-0.6453875'),
        array('province_id' => '46','town' => 'Antella','id' => '7011','slug' => 'antella','latitude' => '39.0791486','longitude' => '-0.5926116'),
        array('province_id' => '46','town' => 'Aras de los Olmos','id' => '7012','slug' => 'aras-de-los-olmos','latitude' => '39.9241494','longitude' => '-1.1333471'),
        array('province_id' => '46','town' => 'Atzeneta d\'Albaida','id' => '7013','slug' => 'atzeneta-dalbaida','latitude' => '38.8366585','longitude' => '-0.4960669'),
        array('province_id' => '46','town' => 'Ayora','id' => '7014','slug' => 'ayora','latitude' => '39.0581746','longitude' => '-1.0578972'),
        array('province_id' => '46','town' => 'Barx','id' => '7015','slug' => 'barx','latitude' => '39.0126236','longitude' => '-0.3010528'),
        array('province_id' => '46','town' => 'Barxeta','id' => '7016','slug' => 'barxeta','latitude' => '39.0213202','longitude' => '-0.4157147'),
        array('province_id' => '46','town' => 'Bèlgida','id' => '7017','slug' => 'blgida','latitude' => '38.8602373','longitude' => '-0.4751594'),
        array('province_id' => '46','town' => 'Bellreguard','id' => '7018','slug' => 'bellreguard','latitude' => '38.9456475','longitude' => '-0.1641707'),
        array('province_id' => '46','town' => 'Bellús','id' => '7019','slug' => 'bells','latitude' => '38.945289','longitude' => '-0.4873113'),
        array('province_id' => '46','town' => 'Benagéber','id' => '7020','slug' => 'benagber','latitude' => '39.7069088','longitude' => '-1.1007584'),
        array('province_id' => '46','town' => 'Benaguasil','id' => '7021','slug' => 'benaguasil','latitude' => '39.591467','longitude' => '-0.5890565'),
        array('province_id' => '46','town' => 'Benavites','id' => '7022','slug' => 'benavites','latitude' => '39.7405388','longitude' => '-0.2573594'),
        array('province_id' => '46','town' => 'Beneixida','id' => '7023','slug' => 'beneixida','latitude' => '39.0572183','longitude' => '-0.5489059'),
        array('province_id' => '46','town' => 'Benetússer','id' => '7024','slug' => 'benetsser','latitude' => '39.4246532','longitude' => '-0.3974029'),
        array('province_id' => '46','town' => 'Beniarjó','id' => '7025','slug' => 'beniarj','latitude' => '38.9322929','longitude' => '-0.1874941'),
        array('province_id' => '46','town' => 'Beniatjar','id' => '7026','slug' => 'beniatjar','latitude' => '38.8479782','longitude' => '-0.41688'),
        array('province_id' => '46','town' => 'Benicolet','id' => '7027','slug' => 'benicolet','latitude' => '38.9190992','longitude' => '-0.3469744'),
        array('province_id' => '46','town' => 'Benicull de Xúquer','id' => '7028','slug' => 'benicull-de-xquer','latitude' => '39.1863924','longitude' => '-0.3858408'),
        array('province_id' => '46','town' => 'Benifaió','id' => '7029','slug' => 'benifai','latitude' => '39.2852448','longitude' => '-0.4270781'),
        array('province_id' => '46','town' => 'Benifairó de la Valldigna','id' => '7030','slug' => 'benifair-de-la-valldigna','latitude' => '39.0537961','longitude' => '-0.3022293'),
        array('province_id' => '46','town' => 'Benifairó de les Valls','id' => '7031','slug' => 'benifair-de-les-valls','latitude' => '39.7267038','longitude' => '-0.2698895'),
        array('province_id' => '46','town' => 'Beniflá','id' => '7032','slug' => 'benifl','latitude' => '38.9279704','longitude' => '-0.1886494'),
        array('province_id' => '46','town' => 'Benigánim','id' => '7033','slug' => 'benignim','latitude' => '38.9438084','longitude' => '-0.4439618'),
        array('province_id' => '46','town' => 'Benimodo','id' => '7034','slug' => 'benimodo','latitude' => '39.2134558','longitude' => '-0.52738'),
        array('province_id' => '46','town' => 'Benimuslem','id' => '7035','slug' => 'benimuslem','latitude' => '39.1314741','longitude' => '-0.4928766'),
        array('province_id' => '46','town' => 'Beniparrell','id' => '7036','slug' => 'beniparrell','latitude' => '39.3811287','longitude' => '-0.4126262'),
        array('province_id' => '46','town' => 'Benirredrà','id' => '7037','slug' => 'benirredr','latitude' => '38.9610964','longitude' => '-0.1935661'),
        array('province_id' => '46','town' => 'Benisanó','id' => '7038','slug' => 'benisan','latitude' => '39.61292','longitude' => '-0.5767823'),
        array('province_id' => '46','town' => 'Benissoda','id' => '7039','slug' => 'benissoda','latitude' => '38.8327035','longitude' => '-0.5308933'),
        array('province_id' => '46','town' => 'Benisuera','id' => '7040','slug' => 'benisuera','latitude' => '38.9131142','longitude' => '-0.4780543'),
        array('province_id' => '46','town' => 'Bétera','id' => '7041','slug' => 'btera','latitude' => '39.5884838','longitude' => '-0.4588638'),
        array('province_id' => '46','town' => 'Bicorp','id' => '7042','slug' => 'bicorp','latitude' => '39.1319073','longitude' => '-0.78779'),
        array('province_id' => '46','town' => 'Bocairent','id' => '7043','slug' => 'bocairent','latitude' => '38.7678125','longitude' => '-0.6086135'),
        array('province_id' => '46','town' => 'Bolbaite','id' => '7044','slug' => 'bolbaite','latitude' => '39.0626662','longitude' => '-0.6746119'),
        array('province_id' => '46','town' => 'Bonrepòs i Mirambell','id' => '7045','slug' => 'bonreps-i-mirambell','latitude' => '39.5184653','longitude' => '-0.3648613'),
        array('province_id' => '46','town' => 'Bufali','id' => '7046','slug' => 'bufali','latitude' => '38.8678049','longitude' => '-0.5142651'),
        array('province_id' => '46','town' => 'Bugarra','id' => '7047','slug' => 'bugarra','latitude' => '39.6092306','longitude' => '-0.7733291'),
        array('province_id' => '46','town' => 'Buñol','id' => '7048','slug' => 'buol','latitude' => '39.4182498','longitude' => '-0.7907688'),
        array('province_id' => '46','town' => 'Burjassot','id' => '7049','slug' => 'burjassot','latitude' => '39.5105098','longitude' => '-0.4149856'),
        array('province_id' => '46','town' => 'Calles','id' => '7050','slug' => 'calles','latitude' => '39.7253044','longitude' => '-0.9739533'),
        array('province_id' => '46','town' => 'Camporrobles','id' => '7051','slug' => 'camporrobles','latitude' => '39.6471827','longitude' => '-1.3965823'),
        array('province_id' => '46','town' => 'Canals','id' => '7052','slug' => 'canals','latitude' => '38.9607512','longitude' => '-0.5842204'),
        array('province_id' => '46','town' => 'Canet d\'En Berenguer','id' => '7053','slug' => 'canet-den-berenguer','latitude' => '39.6797957','longitude' => '-0.2209121'),
        array('province_id' => '46','town' => 'Carcaixent','id' => '7054','slug' => 'carcaixent','latitude' => '39.1212219','longitude' => '-0.4496824'),
        array('province_id' => '46','town' => 'Càrcer','id' => '7055','slug' => 'crcer','latitude' => '39.0689004','longitude' => '-0.5652466'),
        array('province_id' => '46','town' => 'Carlet','id' => '7056','slug' => 'carlet','latitude' => '39.2277125','longitude' => '-0.5231268'),
        array('province_id' => '46','town' => 'Carrícola','id' => '7057','slug' => 'carrcola','latitude' => '38.8405933','longitude' => '-0.4716639'),
        array('province_id' => '46','town' => 'Casas Altas','id' => '7058','slug' => 'casas-altas','latitude' => '40.0396232','longitude' => '-1.2637247'),
        array('province_id' => '46','town' => 'Casas Bajas','id' => '7059','slug' => 'casas-bajas','latitude' => '40.0237671','longitude' => '-1.2597833'),
        array('province_id' => '46','town' => 'Casinos','id' => '7060','slug' => 'casinos','latitude' => '39.6936615','longitude' => '-0.7046785'),
        array('province_id' => '46','town' => 'Castelló de Rugat','id' => '7061','slug' => 'castell-de-rugat','latitude' => '38.8758886','longitude' => '-0.3830694'),
        array('province_id' => '46','town' => 'Castellonet de la Conquesta','id' => '7062','slug' => 'castellonet-de-la-conquesta','latitude' => '38.9152052','longitude' => '-0.2634233'),
        array('province_id' => '46','town' => 'Castielfabib','id' => '7063','slug' => 'castielfabib','latitude' => '40.1309953','longitude' => '-1.3039533'),
        array('province_id' => '46','town' => 'Catadau','id' => '7064','slug' => 'catadau','latitude' => '39.275263','longitude' => '-0.5696288'),
        array('province_id' => '46','town' => 'Catarroja','id' => '7065','slug' => 'catarroja','latitude' => '39.4027381','longitude' => '-0.4035184'),
        array('province_id' => '46','town' => 'Caudete de las Fuentes','id' => '7066','slug' => 'caudete-de-las-fuentes','latitude' => '39.5599995','longitude' => '-1.2779895'),
        array('province_id' => '46','town' => 'Cerdà','id' => '7067','slug' => 'cerd','latitude' => '38.9856868','longitude' => '-0.5741573'),
        array('province_id' => '46','town' => 'Chella','id' => '7068','slug' => 'chella','latitude' => '39.044581','longitude' => '-0.6614693'),
        array('province_id' => '46','town' => 'Chelva','id' => '7069','slug' => 'chelva','latitude' => '39.7475037','longitude' => '-0.997679'),
        array('province_id' => '46','town' => 'Chera','id' => '7070','slug' => 'chera','latitude' => '39.5933459','longitude' => '-0.9727963'),
        array('province_id' => '46','town' => 'Cheste','id' => '7071','slug' => 'cheste','latitude' => '39.4951082','longitude' => '-0.6845004'),
        array('province_id' => '46','town' => 'Chiva','id' => '7072','slug' => 'chiva','latitude' => '39.4727211','longitude' => '-0.717811'),
        array('province_id' => '46','town' => 'Chulilla','id' => '7073','slug' => 'chulilla','latitude' => '39.6563135','longitude' => '-0.8918685'),
        array('province_id' => '46','town' => 'Cofrentes','id' => '7074','slug' => 'cofrentes','latitude' => '39.2293679','longitude' => '-1.0618852'),
        array('province_id' => '46','town' => 'Corbera','id' => '7075','slug' => 'corbera','latitude' => '39.1579634','longitude' => '-0.3554173'),
        array('province_id' => '46','town' => 'Cortes de Pallás','id' => '7076','slug' => 'cortes-de-palls','latitude' => '39.2430944','longitude' => '-0.9407222'),
        array('province_id' => '46','town' => 'Cotes','id' => '7077','slug' => 'cotes','latitude' => '39.0708607','longitude' => '-0.5760061'),
        array('province_id' => '46','town' => 'Cullera','id' => '7078','slug' => 'cullera','latitude' => '39.1651407','longitude' => '-0.2559119'),
        array('province_id' => '46','town' => 'Daimús','id' => '7079','slug' => 'daims','latitude' => '38.9699972','longitude' => '-0.1538377'),
        array('province_id' => '46','town' => 'Domeño','id' => '7080','slug' => 'domeo','latitude' => '39.6620176','longitude' => '-0.6709148'),
        array('province_id' => '46','town' => 'Dos Aguas','id' => '7081','slug' => 'dos-aguas','latitude' => '39.2893234','longitude' => '-0.7998479'),
        array('province_id' => '46','town' => 'Eliana, l\'','id' => '7082','slug' => 'eliana-l','latitude' => '39.5663223','longitude' => '-0.5302467'),
        array('province_id' => '46','town' => 'Emperador','id' => '7083','slug' => 'emperador','latitude' => '39.5543202','longitude' => '-0.3396982'),
        array('province_id' => '46','town' => 'Enguera','id' => '7084','slug' => 'enguera','latitude' => '38.9800298','longitude' => '-0.6884746'),
        array('province_id' => '46','town' => 'Ènova, l\'','id' => '7085','slug' => 'nova-l','latitude' => '39.0439066','longitude' => '-0.4802662'),
        array('province_id' => '46','town' => 'Estivella','id' => '7086','slug' => 'estivella','latitude' => '39.7122923','longitude' => '-0.347827'),
        array('province_id' => '46','town' => 'Estubeny','id' => '7087','slug' => 'estubeny','latitude' => '39.0179381','longitude' => '-0.623651'),
        array('province_id' => '46','town' => 'Faura','id' => '7088','slug' => 'faura','latitude' => '39.7259613','longitude' => '-0.2636878'),
        array('province_id' => '46','town' => 'Favara','id' => '7089','slug' => 'favara','latitude' => '39.1274302','longitude' => '-0.2910376'),
        array('province_id' => '46','town' => 'Foios','id' => '7090','slug' => 'foios','latitude' => '39.5376259','longitude' => '-0.3565129'),
        array('province_id' => '46','town' => 'Font de la Figuera, la','id' => '7091','slug' => 'font-de-la-figuera-la','latitude' => '38.8074612','longitude' => '-0.8817337'),
        array('province_id' => '46','town' => 'Font d\'En Carròs, la','id' => '7092','slug' => 'font-den-carrs-la','latitude' => '39.4813389','longitude' => '-0.3268051'),
        array('province_id' => '46','town' => 'Fontanars dels Alforins','id' => '7093','slug' => 'fontanars-dels-alforins','latitude' => '38.7844217','longitude' => '-0.785836'),
        array('province_id' => '46','town' => 'Fortaleny','id' => '7094','slug' => 'fortaleny','latitude' => '39.1837603','longitude' => '-0.3135945'),
        array('province_id' => '46','town' => 'Fuenterrobles','id' => '7095','slug' => 'fuenterrobles','latitude' => '39.5860628','longitude' => '-1.3632731'),
        array('province_id' => '46','town' => 'Gandia','id' => '7096','slug' => 'gandia','latitude' => '38.9690215','longitude' => '-0.1851868'),
        array('province_id' => '46','town' => 'Gátova','id' => '7097','slug' => 'gtova','latitude' => '39.77004','longitude' => '-0.5198705'),
        array('province_id' => '46','town' => 'Gavarda','id' => '7098','slug' => 'gavarda','latitude' => '39.0914973','longitude' => '-0.5596363'),
        array('province_id' => '46','town' => 'Genovés','id' => '7099','slug' => 'genovs','latitude' => '38.9890272','longitude' => '-0.4675873'),
        array('province_id' => '46','town' => 'Gestalgar','id' => '7100','slug' => 'gestalgar','latitude' => '39.6040261','longitude' => '-0.8332318'),
        array('province_id' => '46','town' => 'Gilet','id' => '7101','slug' => 'gilet','latitude' => '39.6761117','longitude' => '-0.3244466'),
        array('province_id' => '46','town' => 'Godella','id' => '7102','slug' => 'godella','latitude' => '39.5223033','longitude' => '-0.4171347'),
        array('province_id' => '46','town' => 'Godelleta','id' => '7103','slug' => 'godelleta','latitude' => '39.4250565','longitude' => '-0.6861337'),
        array('province_id' => '46','town' => 'Granja de la Costera, la','id' => '7104','slug' => 'granja-de-la-costera-la','latitude' => '38.9959884','longitude' => '-0.5571381'),
        array('province_id' => '46','town' => 'Guadasequies','id' => '7105','slug' => 'guadasequies','latitude' => '38.9240712','longitude' => '-0.4862645'),
        array('province_id' => '46','town' => 'Guadassuar','id' => '7106','slug' => 'guadassuar','latitude' => '39.1882336','longitude' => '-0.4792251'),
        array('province_id' => '46','town' => 'Guardamar de la Safor','id' => '7107','slug' => 'guardamar-de-la-safor','latitude' => '38.9613391','longitude' => '-0.1492884'),
        array('province_id' => '46','town' => 'Higueruelas','id' => '7108','slug' => 'higueruelas','latitude' => '39.7900681','longitude' => '-0.8614262'),
        array('province_id' => '46','town' => 'Jalance','id' => '7109','slug' => 'jalance','latitude' => '39.1917503','longitude' => '-1.0773859'),
        array('province_id' => '46','town' => 'Jarafuel','id' => '7110','slug' => 'jarafuel','latitude' => '39.1398752','longitude' => '-1.0731108'),
        array('province_id' => '46','town' => 'Llanera de Ranes','id' => '7111','slug' => 'llanera-de-ranes','latitude' => '38.9928602','longitude' => '-0.5719063'),
        array('province_id' => '46','town' => 'Llaurí','id' => '7112','slug' => 'llaur','latitude' => '39.1470788','longitude' => '-0.3302556'),
        array('province_id' => '46','town' => 'Llíria','id' => '7113','slug' => 'llria','latitude' => '39.6245825','longitude' => '-0.5947581'),
        array('province_id' => '46','town' => 'Llocnou de la Corona','id' => '7114','slug' => 'llocnou-de-la-corona','latitude' => '39.4202679','longitude' => '-0.3823406'),
        array('province_id' => '46','town' => 'Llocnou de Sant Jeroni','id' => '7115','slug' => 'llocnou-de-sant-jeroni','latitude' => '38.9124588','longitude' => '-0.2856349'),
        array('province_id' => '46','town' => 'Llocnou d\'En Fenollet','id' => '7116','slug' => 'llocnou-den-fenollet','latitude' => '39.013585','longitude' => '-0.467483'),
        array('province_id' => '46','town' => 'Llombai','id' => '7117','slug' => 'llombai','latitude' => '39.282428','longitude' => '-0.5724804'),
        array('province_id' => '46','town' => 'Llosa de Ranes, la','id' => '7118','slug' => 'llosa-de-ranes-la','latitude' => '39.0186497','longitude' => '-0.5336824'),
        array('province_id' => '46','town' => 'Llutxent','id' => '7119','slug' => 'llutxent','latitude' => '38.9426588','longitude' => '-0.3566575'),
        array('province_id' => '46','town' => 'Loriguilla','id' => '7120','slug' => 'loriguilla','latitude' => '39.4904066','longitude' => '-0.570056'),
        array('province_id' => '46','town' => 'Losa del Obispo','id' => '7121','slug' => 'losa-del-obispo','latitude' => '39.6954204','longitude' => '-0.8719551'),
        array('province_id' => '46','town' => 'Macastre','id' => '7122','slug' => 'macastre','latitude' => '39.3817558','longitude' => '-0.7852511'),
        array('province_id' => '46','town' => 'Manises','id' => '7123','slug' => 'manises','latitude' => '39.4928577','longitude' => '-0.4761686'),
        array('province_id' => '46','town' => 'Manuel','id' => '7124','slug' => 'manuel','latitude' => '39.0525949','longitude' => '-0.4940807'),
        array('province_id' => '46','town' => 'Marines','id' => '7125','slug' => 'marines','latitude' => '39.6739372','longitude' => '-0.5621002'),
        array('province_id' => '46','town' => 'Massalavés','id' => '7126','slug' => 'massalavs','latitude' => '39.1407633','longitude' => '-0.5211942'),
        array('province_id' => '46','town' => 'Massalfassar','id' => '7127','slug' => 'massalfassar','latitude' => '39.55756','longitude' => '-0.3263003'),
        array('province_id' => '46','town' => 'Massamagrell','id' => '7128','slug' => 'massamagrell','latitude' => '39.5692268','longitude' => '-0.3351273'),
        array('province_id' => '46','town' => 'Massanassa','id' => '7129','slug' => 'massanassa','latitude' => '39.4112999','longitude' => '-0.4002014'),
        array('province_id' => '46','town' => 'Meliana','id' => '7130','slug' => 'meliana','latitude' => '39.5290685','longitude' => '-0.348772'),
        array('province_id' => '46','town' => 'Millares','id' => '7131','slug' => 'millares','latitude' => '39.2373781','longitude' => '-0.7732546'),
        array('province_id' => '46','town' => 'Miramar','id' => '7132','slug' => 'miramar','latitude' => '38.951603','longitude' => '-0.1387654'),
        array('province_id' => '46','town' => 'Mislata','id' => '7133','slug' => 'mislata','latitude' => '39.4762376','longitude' => '-0.4193065'),
        array('province_id' => '46','town' => 'Mogente/Moixent','id' => '7134','slug' => 'mogentemoixent','latitude' => '38.8738945','longitude' => '-0.751962'),
        array('province_id' => '46','town' => 'Moncada','id' => '7135','slug' => 'moncada','latitude' => '39.5455418','longitude' => '-0.3934617'),
        array('province_id' => '46','town' => 'Montaverner','id' => '7136','slug' => 'montaverner','latitude' => '38.8885134','longitude' => '-0.4963465'),
        array('province_id' => '46','town' => 'Montesa','id' => '7137','slug' => 'montesa','latitude' => '38.9496756','longitude' => '-0.6511041'),
        array('province_id' => '46','town' => 'Montichelvo','id' => '7138','slug' => 'montichelvo','latitude' => '38.891224','longitude' => '-0.3389177'),
        array('province_id' => '46','town' => 'Montroy','id' => '7139','slug' => 'montroy','latitude' => '39.3403709','longitude' => '-0.6145464'),
        array('province_id' => '46','town' => 'Montserrat','id' => '7140','slug' => 'montserrat','latitude' => '39.3577982','longitude' => '-0.6031014'),
        array('province_id' => '46','town' => 'Museros','id' => '7141','slug' => 'museros','latitude' => '39.5634548','longitude' => '-0.3406455'),
        array('province_id' => '46','town' => 'Náquera','id' => '7142','slug' => 'nquera','latitude' => '39.6588373','longitude' => '-0.4257069'),
        array('province_id' => '46','town' => 'Navarrés','id' => '7143','slug' => 'navarrs','latitude' => '39.1012085','longitude' => '-0.6936884'),
        array('province_id' => '46','town' => 'Novelé/Novetlè','id' => '7144','slug' => 'novelnovetl','latitude' => '38.979801','longitude' => '-0.5479128'),
        array('province_id' => '46','town' => 'Oliva','id' => '7145','slug' => 'oliva','latitude' => '38.9193871','longitude' => '-0.1226779'),
        array('province_id' => '46','town' => 'Olleria, l\'','id' => '7146','slug' => 'olleria-l','latitude' => '38.9141912','longitude' => '-0.5494962'),
        array('province_id' => '46','town' => 'Olocau','id' => '7147','slug' => 'olocau','latitude' => '39.6998493','longitude' => '-0.5312006'),
        array('province_id' => '46','town' => 'Ontinyent','id' => '7148','slug' => 'ontinyent','latitude' => '38.8210172','longitude' => '-0.610547'),
        array('province_id' => '46','town' => 'Otos','id' => '7149','slug' => 'otos','latitude' => '38.8542528','longitude' => '-0.4450282'),
        array('province_id' => '46','town' => 'Paiporta','id' => '7150','slug' => 'paiporta','latitude' => '39.4284465','longitude' => '-0.4188691'),
        array('province_id' => '46','town' => 'Palma de Gandía','id' => '7151','slug' => 'palma-de-ganda','latitude' => '38.9245478','longitude' => '-0.2206952'),
        array('province_id' => '46','town' => 'Palmera','id' => '7152','slug' => 'palmera','latitude' => '38.9421547','longitude' => '-0.1523275'),
        array('province_id' => '46','town' => 'Palomar, el','id' => '7153','slug' => 'palomar-el','latitude' => '38.8537307','longitude' => '-0.5028418'),
        array('province_id' => '46','town' => 'Paterna','id' => '7154','slug' => 'paterna','latitude' => '39.5020648','longitude' => '-0.4405986'),
        array('province_id' => '46','town' => 'Pedralba','id' => '7155','slug' => 'pedralba','latitude' => '39.6048468','longitude' => '-0.7265272'),
        array('province_id' => '46','town' => 'Petrés','id' => '7156','slug' => 'petrs','latitude' => '39.6835427','longitude' => '-0.3094834'),
        array('province_id' => '46','town' => 'Picanya','id' => '7157','slug' => 'picanya','latitude' => '39.436252','longitude' => '-0.4346522'),
        array('province_id' => '46','town' => 'Picassent','id' => '7158','slug' => 'picassent','latitude' => '39.3599993','longitude' => '-0.4626281'),
        array('province_id' => '46','town' => 'Piles','id' => '7159','slug' => 'piles','latitude' => '38.940808','longitude' => '-0.1345093'),
        array('province_id' => '46','town' => 'Pinet','id' => '7160','slug' => 'pinet','latitude' => '38.9833387','longitude' => '-0.338099'),
        array('province_id' => '46','town' => 'Pobla de Farnals, la','id' => '7161','slug' => 'pobla-de-farnals-la','latitude' => '39.577795','longitude' => '-0.326051'),
        array('province_id' => '46','town' => 'Pobla de Vallbona, la','id' => '7162','slug' => 'pobla-de-vallbona-la','latitude' => '39.5904273','longitude' => '-0.5529038'),
        array('province_id' => '46','town' => 'Pobla del Duc, la','id' => '7163','slug' => 'pobla-del-duc-la','latitude' => '38.9034806','longitude' => '-0.4173577'),
        array('province_id' => '46','town' => 'Pobla Llarga, la','id' => '7164','slug' => 'pobla-llarga-la','latitude' => '39.4833094','longitude' => '-0.3600307'),
        array('province_id' => '46','town' => 'Polinyà de Xúquer','id' => '7165','slug' => 'poliny-de-xquer','latitude' => '39.1960667','longitude' => '-0.3696187'),
        array('province_id' => '46','town' => 'Potríes','id' => '7166','slug' => 'potres','latitude' => '38.9152767','longitude' => '-0.1954594'),
        array('province_id' => '46','town' => 'Puçol','id' => '7167','slug' => 'puol','latitude' => '39.6163891','longitude' => '-0.300809'),
        array('province_id' => '46','town' => 'Puebla de San Miguel','id' => '7168','slug' => 'puebla-de-san-miguel','latitude' => '40.0453535','longitude' => '-1.1450663'),
        array('province_id' => '46','town' => 'Puig','id' => '7169','slug' => 'puig','latitude' => '39.5901532','longitude' => '-0.3020956'),
        array('province_id' => '46','town' => 'Quart de les Valls','id' => '7170','slug' => 'quart-de-les-valls','latitude' => '39.739262','longitude' => '-0.2714849'),
        array('province_id' => '46','town' => 'Quart de Poblet','id' => '7171','slug' => 'quart-de-poblet','latitude' => '39.4928577','longitude' => '-0.4761686'),
        array('province_id' => '46','town' => 'Quartell','id' => '7172','slug' => 'quartell','latitude' => '39.7377533','longitude' => '-0.2632712'),
        array('province_id' => '46','town' => 'Quatretonda','id' => '7173','slug' => 'quatretonda','latitude' => '38.9483461','longitude' => '-0.4022922'),
        array('province_id' => '46','town' => 'Quesa','id' => '7174','slug' => 'quesa','latitude' => '39.1196004','longitude' => '-0.7405544'),
        array('province_id' => '46','town' => 'Rafelbuñol/Rafelbunyol','id' => '7175','slug' => 'rafelbuolrafelbunyol','latitude' => '39.5888629','longitude' => '-0.3344896'),
        array('province_id' => '46','town' => 'Rafelcofer','id' => '7176','slug' => 'rafelcofer','latitude' => '38.9334452','longitude' => '-0.1661192'),
        array('province_id' => '46','town' => 'Rafelguaraf','id' => '7177','slug' => 'rafelguaraf','latitude' => '39.0519707','longitude' => '-0.45462'),
        array('province_id' => '46','town' => 'Ráfol de Salem','id' => '7178','slug' => 'rfol-de-salem','latitude' => '38.8649128','longitude' => '-0.3966209'),
        array('province_id' => '46','town' => 'Real','id' => '7179','slug' => 'real','latitude' => '39.3358794','longitude' => '-0.609548'),
        array('province_id' => '46','town' => 'Real de Gandía','id' => '7180','slug' => 'real-de-ganda','latitude' => '38.9502192','longitude' => '-0.1937845'),
        array('province_id' => '46','town' => 'Requena','id' => '7181','slug' => 'requena','latitude' => '39.487878','longitude' => '-1.1003218'),
        array('province_id' => '46','town' => 'Riba-roja de Túria','id' => '7182','slug' => 'riba-roja-de-tria','latitude' => '39.5454762','longitude' => '-0.5667182'),
        array('province_id' => '46','town' => 'Riola','id' => '7183','slug' => 'riola','latitude' => '39.1976812','longitude' => '-0.3343216'),
        array('province_id' => '46','town' => 'Rocafort','id' => '7184','slug' => 'rocafort','latitude' => '39.5309626','longitude' => '-0.4104713'),
        array('province_id' => '46','town' => 'Rotglà i Corberà','id' => '7185','slug' => 'rotgl-i-corber','latitude' => '39.0040741','longitude' => '-0.565334'),
        array('province_id' => '46','town' => 'Rótova','id' => '7186','slug' => 'rtova','latitude' => '38.9326013','longitude' => '-0.2569871'),
        array('province_id' => '46','town' => 'Rugat','id' => '7187','slug' => 'rugat','latitude' => '38.878926','longitude' => '-0.3614008'),
        array('province_id' => '46','town' => 'Sagunto/Sagunt','id' => '7188','slug' => 'saguntosagunt','latitude' => '39.6743957','longitude' => '-0.2312566'),
        array('province_id' => '46','town' => 'Salem','id' => '7189','slug' => 'salem','latitude' => '38.8550315','longitude' => '-0.3811189'),
        array('province_id' => '46','town' => 'San Antonio de Benagéber','id' => '7190','slug' => 'san-antonio-de-benagber','latitude' => '39.5618841','longitude' => '-0.5004753'),
        array('province_id' => '46','town' => 'Sant Joanet','id' => '7191','slug' => 'sant-joanet','latitude' => '39.071545','longitude' => '-0.488145'),
        array('province_id' => '46','town' => 'Sedaví','id' => '7192','slug' => 'sedav','latitude' => '39.4250481','longitude' => '-0.3857862'),
        array('province_id' => '46','town' => 'Segart','id' => '7193','slug' => 'segart','latitude' => '39.6835873','longitude' => '-0.3736177'),
        array('province_id' => '46','town' => 'Sellent','id' => '7194','slug' => 'sellent','latitude' => '39.0310378','longitude' => '-0.5877986'),
        array('province_id' => '46','town' => 'Sempere','id' => '7195','slug' => 'sempere','latitude' => '38.9197018','longitude' => '-0.4808759'),
        array('province_id' => '46','town' => 'Senyera','id' => '7196','slug' => 'senyera','latitude' => '39.0637231','longitude' => '-0.5105379'),
        array('province_id' => '46','town' => 'Serra','id' => '7197','slug' => 'serra','latitude' => '39.6861638','longitude' => '-0.4296759'),
        array('province_id' => '46','town' => 'Siete Aguas','id' => '7198','slug' => 'siete-aguas','latitude' => '39.471975','longitude' => '-0.9170417'),
        array('province_id' => '46','town' => 'Silla','id' => '7199','slug' => 'silla','latitude' => '39.361346','longitude' => '-0.4126143'),
        array('province_id' => '46','town' => 'Simat de la Valldigna','id' => '7200','slug' => 'simat-de-la-valldigna','latitude' => '39.0435456','longitude' => '-0.3106008'),
        array('province_id' => '46','town' => 'Sinarcas','id' => '7201','slug' => 'sinarcas','latitude' => '39.7339481','longitude' => '-1.2315742'),
        array('province_id' => '46','town' => 'Sollana','id' => '7202','slug' => 'sollana','latitude' => '39.2779833','longitude' => '-0.3814589'),
        array('province_id' => '46','town' => 'Sot de Chera','id' => '7203','slug' => 'sot-de-chera','latitude' => '39.6211055','longitude' => '-0.9100129'),
        array('province_id' => '46','town' => 'Sueca','id' => '7204','slug' => 'sueca','latitude' => '39.2026363','longitude' => '-0.3106423'),
        array('province_id' => '46','town' => 'Sumacàrcer','id' => '7205','slug' => 'sumacrcer','latitude' => '39.0961749','longitude' => '-0.6296024'),
        array('province_id' => '46','town' => 'Tavernes Blanques','id' => '7206','slug' => 'tavernes-blanques','latitude' => '39.5069902','longitude' => '-0.3655908'),
        array('province_id' => '46','town' => 'Tavernes de la Valldigna','id' => '7207','slug' => 'tavernes-de-la-valldigna','latitude' => '39.0716675','longitude' => '-0.2677154'),
        array('province_id' => '46','town' => 'Teresa de Cofrentes','id' => '7208','slug' => 'teresa-de-cofrentes','latitude' => '39.106653','longitude' => '-1.0515324'),
        array('province_id' => '46','town' => 'Terrateig','id' => '7209','slug' => 'terrateig','latitude' => '38.8946348','longitude' => '-0.3206268'),
        array('province_id' => '46','town' => 'Titaguas','id' => '7210','slug' => 'titaguas','latitude' => '39.8660916','longitude' => '-1.0806633'),
        array('province_id' => '46','town' => 'Torrebaja','id' => '7211','slug' => 'torrebaja','latitude' => '40.0968468','longitude' => '-1.2575384'),
        array('province_id' => '46','town' => 'Torrella','id' => '7212','slug' => 'torrella','latitude' => '38.9888886','longitude' => '-0.5717116'),
        array('province_id' => '46','town' => 'Torrent','id' => '7213','slug' => '7213-torrent','latitude' => '39.436883','longitude' => '-0.4653109'),
        array('province_id' => '46','town' => 'Torres Torres','id' => '7214','slug' => 'torres-torres','latitude' => '39.7431225','longitude' => '-0.355686'),
        array('province_id' => '46','town' => 'Tous','id' => '7215','slug' => 'tous','latitude' => '39.1381031','longitude' => '-0.5867855'),
        array('province_id' => '46','town' => 'Tuéjar','id' => '7216','slug' => 'tujar','latitude' => '39.7634635','longitude' => '-1.0399507'),
        array('province_id' => '46','town' => 'Turís','id' => '7217','slug' => 'turs','latitude' => '39.3897795','longitude' => '-0.7114099'),
        array('province_id' => '46','town' => 'Utiel','id' => '7218','slug' => 'utiel','latitude' => '39.5676179','longitude' => '-1.2033853'),
        array('province_id' => '46','town' => 'Valencia','id' => '7219','slug' => 'valencia','latitude' => '39.4702393','longitude' => '-0.3768049'),
        array('province_id' => '46','town' => 'Vallada','id' => '7220','slug' => 'vallada','latitude' => '38.8955253','longitude' => '-0.6917616'),
        array('province_id' => '46','town' => 'Vallanca','id' => '7221','slug' => 'vallanca','latitude' => '40.0628881','longitude' => '-1.338187'),
        array('province_id' => '46','town' => 'Vallés','id' => '7222','slug' => '7222-valls','latitude' => '38.9859243','longitude' => '-0.5563067'),
        array('province_id' => '46','town' => 'Venta del Moro','id' => '7223','slug' => 'venta-del-moro','latitude' => '39.4838917','longitude' => '-1.3588791'),
        array('province_id' => '46','town' => 'Vilamarxant','id' => '7224','slug' => 'vilamarxant','latitude' => '39.5675082','longitude' => '-0.6222726'),
        array('province_id' => '46','town' => 'Villalonga','id' => '7225','slug' => 'villalonga','latitude' => '38.8848719','longitude' => '-0.209364'),
        array('province_id' => '46','town' => 'Villanueva de Castellón','id' => '7226','slug' => 'villanueva-de-castelln','latitude' => '39.0795415','longitude' => '-0.5141599'),
        array('province_id' => '46','town' => 'Villar del Arzobispo','id' => '7227','slug' => 'villar-del-arzobispo','latitude' => '39.7353715','longitude' => '-0.8277042'),
        array('province_id' => '46','town' => 'Villargordo del Cabriel','id' => '7228','slug' => 'villargordo-del-cabriel','latitude' => '39.5363452','longitude' => '-1.4406122'),
        array('province_id' => '46','town' => 'Vinalesa','id' => '7229','slug' => 'vinalesa','latitude' => '39.5400039','longitude' => '-0.3699957'),
        array('province_id' => '46','town' => 'Xàtiva','id' => '7230','slug' => 'xtiva','latitude' => '38.9888691','longitude' => '-0.5156137'),
        array('province_id' => '46','town' => 'Xeraco','id' => '7231','slug' => 'xeraco','latitude' => '39.032897','longitude' => '-0.2160497'),
        array('province_id' => '46','town' => 'Xeresa','id' => '7232','slug' => 'xeresa','latitude' => '39.0090972','longitude' => '-0.2179918'),
        array('province_id' => '46','town' => 'Xirivella','id' => '7233','slug' => 'xirivella','latitude' => '39.466685','longitude' => '-0.4277937'),
        array('province_id' => '46','town' => 'Yátova','id' => '7234','slug' => 'ytova','latitude' => '39.384999','longitude' => '-0.808174'),
        array('province_id' => '46','town' => 'Yesa, La','id' => '7235','slug' => 'yesa-la','latitude' => '39.4991663','longitude' => '-0.426125'),
        array('province_id' => '46','town' => 'Zarra','id' => '7236','slug' => 'zarra','latitude' => '39.091383','longitude' => '-1.075068'),
        array('province_id' => '47','town' => 'Adalia','id' => '7237','slug' => 'adalia','latitude' => '41.6488845','longitude' => '-5.121545'),
        array('province_id' => '47','town' => 'Aguasal','id' => '7238','slug' => 'aguasal','latitude' => '41.2750949','longitude' => '-4.6528154'),
        array('province_id' => '47','town' => 'Aguilar de Campos','id' => '7239','slug' => 'aguilar-de-campos','latitude' => '41.9842207','longitude' => '-5.1795176'),
        array('province_id' => '47','town' => 'Alaejos','id' => '7240','slug' => 'alaejos','latitude' => '41.3072296','longitude' => '-5.2172345'),
        array('province_id' => '47','town' => 'Alcazarén','id' => '7241','slug' => 'alcazarn','latitude' => '41.3696658','longitude' => '-4.6726148'),
        array('province_id' => '47','town' => 'Aldea de San Miguel','id' => '7242','slug' => 'aldea-de-san-miguel','latitude' => '41.4597609','longitude' => '-4.614833'),
        array('province_id' => '47','town' => 'Aldeamayor de San Martín','id' => '7243','slug' => 'aldeamayor-de-san-martn','latitude' => '41.5119092','longitude' => '-4.6407892'),
        array('province_id' => '47','town' => 'Almenara de Adaja','id' => '7244','slug' => 'almenara-de-adaja','latitude' => '41.213823','longitude' => '-4.6770901'),
        array('province_id' => '47','town' => 'Amusquillo','id' => '7245','slug' => 'amusquillo','latitude' => '41.7487512','longitude' => '-4.3013859'),
        array('province_id' => '47','town' => 'Arroyo de la Encomienda','id' => '7246','slug' => 'arroyo-de-la-encomienda','latitude' => '41.6095218','longitude' => '-4.7964581'),
        array('province_id' => '47','town' => 'Ataquines','id' => '7247','slug' => 'ataquines','latitude' => '41.182807','longitude' => '-4.8025785'),
        array('province_id' => '47','town' => 'Bahabón','id' => '7248','slug' => 'bahabn','latitude' => '41.4813314','longitude' => '-4.2815384'),
        array('province_id' => '47','town' => 'Barcial de la Loma','id' => '7249','slug' => 'barcial-de-la-loma','latitude' => '41.9502798','longitude' => '-5.2845978'),
        array('province_id' => '47','town' => 'Barruelo del Valle','id' => '7250','slug' => 'barruelo-del-valle','latitude' => '41.6742105','longitude' => '-5.0696441'),
        array('province_id' => '47','town' => 'Becilla de Valderaduey','id' => '7251','slug' => 'becilla-de-valderaduey','latitude' => '42.0989523','longitude' => '-5.2197411'),
        array('province_id' => '47','town' => 'Benafarces','id' => '7252','slug' => 'benafarces','latitude' => '41.6208179','longitude' => '-5.2926207'),
        array('province_id' => '47','town' => 'Bercero','id' => '7253','slug' => 'bercero','latitude' => '41.5643464','longitude' => '-5.0559437'),
        array('province_id' => '47','town' => 'Berceruelo','id' => '7254','slug' => 'berceruelo','latitude' => '41.5795819','longitude' => '-5.0334195'),
        array('province_id' => '47','town' => 'Berrueces','id' => '7255','slug' => 'berrueces','latitude' => '41.9455735','longitude' => '-5.0970331'),
        array('province_id' => '47','town' => 'Bobadilla del Campo','id' => '7256','slug' => 'bobadilla-del-campo','latitude' => '41.2044845','longitude' => '-5.0214038'),
        array('province_id' => '47','town' => 'Bocigas','id' => '7257','slug' => 'bocigas','latitude' => '41.2287447','longitude' => '-4.6812748'),
        array('province_id' => '47','town' => 'Bocos de Duero','id' => '7258','slug' => 'bocos-de-duero','latitude' => '41.6242883','longitude' => '-4.0676046'),
        array('province_id' => '47','town' => 'Boecillo','id' => '7259','slug' => 'boecillo','latitude' => '41.5408965','longitude' => '-4.6998631'),
        array('province_id' => '47','town' => 'Bolaños de Campos','id' => '7260','slug' => 'bolaos-de-campos','latitude' => '42.0065794','longitude' => '-5.2844524'),
        array('province_id' => '47','town' => 'Brahojos de Medina','id' => '7261','slug' => 'brahojos-de-medina','latitude' => '41.2312239','longitude' => '-5.0432069'),
        array('province_id' => '47','town' => 'Bustillo de Chaves','id' => '7262','slug' => 'bustillo-de-chaves','latitude' => '42.1310234','longitude' => '-5.091348'),
        array('province_id' => '47','town' => 'Cabezón de Pisuerga','id' => '7263','slug' => 'cabezn-de-pisuerga','latitude' => '41.7340145','longitude' => '-4.6456654'),
        array('province_id' => '47','town' => 'Cabezón de Valderaduey','id' => '7264','slug' => 'cabezn-de-valderaduey','latitude' => '42.1674802','longitude' => '-5.1587899'),
        array('province_id' => '47','town' => 'Cabreros del Monte','id' => '7265','slug' => 'cabreros-del-monte','latitude' => '41.8486436','longitude' => '-5.2698159'),
        array('province_id' => '47','town' => 'Campaspero','id' => '7266','slug' => 'campaspero','latitude' => '41.4929122','longitude' => '-4.1991877'),
        array('province_id' => '47','town' => 'Campillo, El','id' => '7267','slug' => '7267-campillo-el','latitude' => '41.2580359','longitude' => '-5.0142088'),
        array('province_id' => '47','town' => 'Camporredondo','id' => '7268','slug' => 'camporredondo','latitude' => '41.4738861','longitude' => '-4.504695'),
        array('province_id' => '47','town' => 'Canalejas de Peñafiel','id' => '7269','slug' => 'canalejas-de-peafiel','latitude' => '41.5246787','longitude' => '-4.1150956'),
        array('province_id' => '47','town' => 'Canillas de Esgueva','id' => '7270','slug' => 'canillas-de-esgueva','latitude' => '41.7550985','longitude' => '-4.1245521'),
        array('province_id' => '47','town' => 'Carpio','id' => '7271','slug' => 'carpio','latitude' => '41.2133959','longitude' => '-5.11081'),
        array('province_id' => '47','town' => 'Casasola de Arión','id' => '7272','slug' => 'casasola-de-arin','latitude' => '41.5777733','longitude' => '-5.240637'),
        array('province_id' => '47','town' => 'Castrejón de Trabancos','id' => '7273','slug' => 'castrejn-de-trabancos','latitude' => '41.2517556','longitude' => '-5.1703977'),
        array('province_id' => '47','town' => 'Castrillo de Duero','id' => '7274','slug' => 'castrillo-de-duero','latitude' => '41.575593','longitude' => '-4.0143125'),
        array('province_id' => '47','town' => 'Castrillo-Tejeriego','id' => '7275','slug' => 'castrillo-tejeriego','latitude' => '41.7031263','longitude' => '-4.3712195'),
        array('province_id' => '47','town' => 'Castrobol','id' => '7276','slug' => 'castrobol','latitude' => '42.1371283','longitude' => '-5.3148797'),
        array('province_id' => '47','town' => 'Castrodeza','id' => '7277','slug' => 'castrodeza','latitude' => '41.6481184','longitude' => '-4.9605942'),
        array('province_id' => '47','town' => 'Castromembibre','id' => '7278','slug' => 'castromembibre','latitude' => '41.6734807','longitude' => '-5.3053667'),
        array('province_id' => '47','town' => 'Castromonte','id' => '7279','slug' => 'castromonte','latitude' => '41.7736895','longitude' => '-5.040992'),
        array('province_id' => '47','town' => 'Castronuevo de Esgueva','id' => '7280','slug' => 'castronuevo-de-esgueva','latitude' => '41.6815898','longitude' => '-4.5883469'),
        array('province_id' => '47','town' => 'Castronuño','id' => '7281','slug' => 'castronuo','latitude' => '41.3888296','longitude' => '-5.260547'),
        array('province_id' => '47','town' => 'Castroponce','id' => '7282','slug' => 'castroponce','latitude' => '42.1265959','longitude' => '-5.1826047'),
        array('province_id' => '47','town' => 'Castroverde de Cerrato','id' => '7283','slug' => 'castroverde-de-cerrato','latitude' => '41.755789','longitude' => '-4.2211059'),
        array('province_id' => '47','town' => 'Ceinos de Campos','id' => '7284','slug' => 'ceinos-de-campos','latitude' => '42.0326429','longitude' => '-5.1492745'),
        array('province_id' => '47','town' => 'Cervillego de la Cruz','id' => '7285','slug' => 'cervillego-de-la-cruz','latitude' => '41.1868594','longitude' => '-4.9491734'),
        array('province_id' => '47','town' => 'Cigales','id' => '7286','slug' => 'cigales','latitude' => '41.7582055','longitude' => '-4.6995793'),
        array('province_id' => '47','town' => 'Ciguñuela','id' => '7287','slug' => 'ciguuela','latitude' => '41.6406585','longitude' => '-4.857165'),
        array('province_id' => '47','town' => 'Cistérniga','id' => '7288','slug' => 'cistrniga','latitude' => '41.6132176','longitude' => '-4.6891453'),
        array('province_id' => '47','town' => 'Cogeces de Íscar','id' => '7289','slug' => 'cogeces-de-scar','latitude' => '41.4058981','longitude' => '-4.5448796'),
        array('province_id' => '47','town' => 'Cogeces del Monte','id' => '7290','slug' => 'cogeces-del-monte','latitude' => '41.5111121','longitude' => '-4.3162314'),
        array('province_id' => '47','town' => 'Corcos','id' => '7291','slug' => 'corcos','latitude' => '41.8102943','longitude' => '-4.6930071'),
        array('province_id' => '47','town' => 'Corrales de Duero','id' => '7292','slug' => 'corrales-de-duero','latitude' => '41.672207','longitude' => '-4.0479092'),
        array('province_id' => '47','town' => 'Cubillas de Santa Marta','id' => '7293','slug' => 'cubillas-de-santa-marta','latitude' => '41.8318998','longitude' => '-4.6159897'),
        array('province_id' => '47','town' => 'Cuenca de Campos','id' => '7294','slug' => 'cuenca-de-campos','latitude' => '42.0584521','longitude' => '-5.055309'),
        array('province_id' => '47','town' => 'Curiel de Duero','id' => '7295','slug' => 'curiel-de-duero','latitude' => '41.6391248','longitude' => '-4.0999138'),
        array('province_id' => '47','town' => 'Encinas de Esgueva','id' => '7296','slug' => 'encinas-de-esgueva','latitude' => '41.7577596','longitude' => '-4.1022081'),
        array('province_id' => '47','town' => 'Esguevillas de Esgueva','id' => '7297','slug' => 'esguevillas-de-esgueva','latitude' => '41.7509922','longitude' => '-4.3793427'),
        array('province_id' => '47','town' => 'Fombellida','id' => '7298','slug' => 'fombellida','latitude' => '41.7668042','longitude' => '-4.1849868'),
        array('province_id' => '47','town' => 'Fompedraza','id' => '7299','slug' => 'fompedraza','latitude' => '41.5362098','longitude' => '-4.1457662'),
        array('province_id' => '47','town' => 'Fontihoyuelo','id' => '7300','slug' => 'fontihoyuelo','latitude' => '42.1620909','longitude' => '-5.0572799'),
        array('province_id' => '47','town' => 'Fresno el Viejo','id' => '7301','slug' => 'fresno-el-viejo','latitude' => '41.1956645','longitude' => '-5.145677'),
        array('province_id' => '47','town' => 'Fuensaldaña','id' => '7302','slug' => 'fuensaldaa','latitude' => '41.7066849','longitude' => '-4.7640071'),
        array('province_id' => '47','town' => 'Fuente el Sol','id' => '7303','slug' => 'fuente-el-sol','latitude' => '41.175679','longitude' => '-4.9353402'),
        array('province_id' => '47','town' => 'Fuente-Olmedo','id' => '7304','slug' => 'fuente-olmedo','latitude' => '41.2435677','longitude' => '-4.6473481'),
        array('province_id' => '47','town' => 'Gallegos de Hornija','id' => '7305','slug' => 'gallegos-de-hornija','latitude' => '41.6097674','longitude' => '-5.0985371'),
        array('province_id' => '47','town' => 'Gatón de Campos','id' => '7306','slug' => 'gatn-de-campos','latitude' => '42.0491766','longitude' => '-4.9806258'),
        array('province_id' => '47','town' => 'Geria','id' => '7307','slug' => 'geria','latitude' => '41.5786321','longitude' => '-4.8764096'),
        array('province_id' => '47','town' => 'Herrín de Campos','id' => '7308','slug' => 'herrn-de-campos','latitude' => '42.1239091','longitude' => '-4.9527136'),
        array('province_id' => '47','town' => 'Hornillos de Eresma','id' => '7309','slug' => 'hornillos-de-eresma','latitude' => '41.3674878','longitude' => '-4.7179059'),
        array('province_id' => '47','town' => 'Íscar','id' => '7310','slug' => 'scar','latitude' => '41.3617054','longitude' => '-4.535896'),
        array('province_id' => '47','town' => 'Laguna de Duero','id' => '7311','slug' => 'laguna-de-duero','latitude' => '41.5833137','longitude' => '-4.7217305'),
        array('province_id' => '47','town' => 'Langayo','id' => '7312','slug' => 'langayo','latitude' => '41.5694874','longitude' => '-4.1979153'),
        array('province_id' => '47','town' => 'Llano de Olmedo','id' => '7313','slug' => 'llano-de-olmedo','latitude' => '41.2670989','longitude' => '-4.61457'),
        array('province_id' => '47','town' => 'Lomoviejo','id' => '7314','slug' => 'lomoviejo','latitude' => '41.1488985','longitude' => '-4.9172269'),
        array('province_id' => '47','town' => 'Manzanillo','id' => '7315','slug' => 'manzanillo','latitude' => '41.5863097','longitude' => '-4.1883896'),
        array('province_id' => '47','town' => 'Marzales','id' => '7316','slug' => 'marzales','latitude' => '41.5869711','longitude' => '-5.1338752'),
        array('province_id' => '47','town' => 'Matapozuelos','id' => '7317','slug' => 'matapozuelos','latitude' => '41.4146538','longitude' => '-4.7914797'),
        array('province_id' => '47','town' => 'Matilla de los Caños','id' => '7318','slug' => 'matilla-de-los-caos','latitude' => '41.5463611','longitude' => '-4.969812'),
        array('province_id' => '47','town' => 'Mayorga','id' => '7319','slug' => 'mayorga','latitude' => '42.1655688','longitude' => '-5.2654778'),
        array('province_id' => '47','town' => 'Medina de Rioseco','id' => '7320','slug' => 'medina-de-rioseco','latitude' => '41.8831851','longitude' => '-5.0428105'),
        array('province_id' => '47','town' => 'Medina del Campo','id' => '7321','slug' => 'medina-del-campo','latitude' => '41.3081852','longitude' => '-4.9217064'),
        array('province_id' => '47','town' => 'Megeces','id' => '7322','slug' => 'megeces','latitude' => '41.4074337','longitude' => '-4.5667634'),
        array('province_id' => '47','town' => 'Melgar de Abajo','id' => '7323','slug' => 'melgar-de-abajo','latitude' => '42.2433064','longitude' => '-5.1420383'),
        array('province_id' => '47','town' => 'Melgar de Arriba','id' => '7324','slug' => 'melgar-de-arriba','latitude' => '42.2682876','longitude' => '-5.0976916'),
        array('province_id' => '47','town' => 'Mojados','id' => '7325','slug' => 'mojados','latitude' => '41.4319128','longitude' => '-4.66421'),
        array('province_id' => '47','town' => 'Monasterio de Vega','id' => '7326','slug' => 'monasterio-de-vega','latitude' => '42.2300579','longitude' => '-5.1808476'),
        array('province_id' => '47','town' => 'Montealegre de Campos','id' => '7327','slug' => 'montealegre-de-campos','latitude' => '41.9025391','longitude' => '-4.8995979'),
        array('province_id' => '47','town' => 'Montemayor de Pililla','id' => '7328','slug' => 'montemayor-de-pililla','latitude' => '41.5080981','longitude' => '-4.4534494'),
        array('province_id' => '47','town' => 'Moral de la Reina','id' => '7329','slug' => 'moral-de-la-reina','latitude' => '41.9857112','longitude' => '-5.0731481'),
        array('province_id' => '47','town' => 'Moraleja de las Panaderas','id' => '7330','slug' => 'moraleja-de-las-panaderas','latitude' => '41.2764917','longitude' => '-4.82498'),
        array('province_id' => '47','town' => 'Morales de Campos','id' => '7331','slug' => 'morales-de-campos','latitude' => '41.8598185','longitude' => '-5.172205'),
        array('province_id' => '47','town' => 'Mota del Marqués','id' => '7332','slug' => 'mota-del-marqus','latitude' => '41.6314324','longitude' => '-5.1757664'),
        array('province_id' => '47','town' => 'Mucientes','id' => '7333','slug' => 'mucientes','latitude' => '41.7435899','longitude' => '-4.7621535'),
        array('province_id' => '47','town' => 'Mudarra, La','id' => '7334','slug' => 'mudarra-la','latitude' => '41.6277257','longitude' => '-4.7424901'),
        array('province_id' => '47','town' => 'Muriel','id' => '7335','slug' => 'muriel','latitude' => '41.1224031','longitude' => '-4.8427736'),
        array('province_id' => '47','town' => 'Nava del Rey','id' => '7336','slug' => 'nava-del-rey','latitude' => '41.3325682','longitude' => '-5.0791109'),
        array('province_id' => '47','town' => 'Nueva Villa de las Torres','id' => '7337','slug' => 'nueva-villa-de-las-torres','latitude' => '41.2673683','longitude' => '-5.0558664'),
        array('province_id' => '47','town' => 'Olivares de Duero','id' => '7338','slug' => 'olivares-de-duero','latitude' => '41.6383217','longitude' => '-4.3643947'),
        array('province_id' => '47','town' => 'Olmedo','id' => '7339','slug' => 'olmedo','latitude' => '41.2889205','longitude' => '-4.6833818'),
        array('province_id' => '47','town' => 'Olmos de Esgueva','id' => '7340','slug' => 'olmos-de-esgueva','latitude' => '41.6882588','longitude' => '-4.5213733'),
        array('province_id' => '47','town' => 'Olmos de Peñafiel','id' => '7341','slug' => 'olmos-de-peafiel','latitude' => '41.5718613','longitude' => '-4.0423834'),
        array('province_id' => '47','town' => 'Palazuelo de Vedija','id' => '7342','slug' => 'palazuelo-de-vedija','latitude' => '41.9293041','longitude' => '-5.1453771'),
        array('province_id' => '47','town' => 'Parrilla, La','id' => '7343','slug' => 'parrilla-la','latitude' => '41.5361495','longitude' => '-4.5305411'),
        array('province_id' => '47','town' => 'Pedraja de Portillo, La','id' => '7344','slug' => 'pedraja-de-portillo-la','latitude' => '41.4747337','longitude' => '-4.6000026'),
        array('province_id' => '47','town' => 'Pedrajas de San Esteban','id' => '7345','slug' => 'pedrajas-de-san-esteban','latitude' => '41.3392821','longitude' => '-4.5800587'),
        array('province_id' => '47','town' => 'Pedrosa del Rey','id' => '7346','slug' => 'pedrosa-del-rey','latitude' => '41.556229','longitude' => '-5.2062528'),
        array('province_id' => '47','town' => 'Peñafiel','id' => '7347','slug' => 'peafiel','latitude' => '41.5946345','longitude' => '-4.1181072'),
        array('province_id' => '47','town' => 'Peñaflor de Hornija','id' => '7348','slug' => 'peaflor-de-hornija','latitude' => '41.7113261','longitude' => '-4.9824247'),
        array('province_id' => '47','town' => 'Pesquera de Duero','id' => '7349','slug' => 'pesquera-de-duero','latitude' => '41.642652','longitude' => '-4.1574037'),
        array('province_id' => '47','town' => 'Piña de Esgueva','id' => '7350','slug' => 'pia-de-esgueva','latitude' => '41.7289613','longitude' => '-4.4273243'),
        array('province_id' => '47','town' => 'Piñel de Abajo','id' => '7351','slug' => 'piel-de-abajo','latitude' => '41.6744186','longitude' => '-4.1473859'),
        array('province_id' => '47','town' => 'Piñel de Arriba','id' => '7352','slug' => 'piel-de-arriba','latitude' => '41.6994446','longitude' => '-4.1279229'),
        array('province_id' => '47','town' => 'Pollos','id' => '7353','slug' => 'pollos','latitude' => '41.4447206','longitude' => '-5.1277666'),
        array('province_id' => '47','town' => 'Portillo','id' => '7354','slug' => 'portillo','latitude' => '41.4790106','longitude' => '-4.5882265'),
        array('province_id' => '47','town' => 'Pozal de Gallinas','id' => '7355','slug' => 'pozal-de-gallinas','latitude' => '41.3184989','longitude' => '-4.8363213'),
        array('province_id' => '47','town' => 'Pozaldez','id' => '7356','slug' => 'pozaldez','latitude' => '41.3717759','longitude' => '-4.8420253'),
        array('province_id' => '47','town' => 'Pozuelo de la Orden','id' => '7357','slug' => 'pozuelo-de-la-orden','latitude' => '41.8215505','longitude' => '-5.2594901'),
        array('province_id' => '47','town' => 'Puras','id' => '7358','slug' => 'puras','latitude' => '41.1836102','longitude' => '-4.6493655'),
        array('province_id' => '47','town' => 'Quintanilla de Arriba','id' => '7359','slug' => 'quintanilla-de-arriba','latitude' => '41.6201865','longitude' => '-4.215496'),
        array('province_id' => '47','town' => 'Quintanilla de Onésimo','id' => '7360','slug' => 'quintanilla-de-onsimo','latitude' => '41.6239197','longitude' => '-4.3637464'),
        array('province_id' => '47','town' => 'Quintanilla de Trigueros','id' => '7361','slug' => 'quintanilla-de-trigueros','latitude' => '41.8549517','longitude' => '-4.6590837'),
        array('province_id' => '47','town' => 'Quintanilla del Molar','id' => '7362','slug' => 'quintanilla-del-molar','latitude' => '41.9891835','longitude' => '-5.4485565'),
        array('province_id' => '47','town' => 'Rábano','id' => '7363','slug' => 'rbano','latitude' => '41.5327345','longitude' => '-4.0607554'),
        array('province_id' => '47','town' => 'Ramiro','id' => '7364','slug' => 'ramiro','latitude' => '41.2286964','longitude' => '-4.7863293'),
        array('province_id' => '47','town' => 'Renedo de Esgueva','id' => '7365','slug' => 'renedo-de-esgueva','latitude' => '41.6542257','longitude' => '-4.6274904'),
        array('province_id' => '47','town' => 'Roales de Campos','id' => '7366','slug' => 'roales-de-campos','latitude' => '42.0304177','longitude' => '-5.4757205'),
        array('province_id' => '47','town' => 'Robladillo','id' => '7367','slug' => 'robladillo','latitude' => '41.6084577','longitude' => '-4.9098618'),
        array('province_id' => '47','town' => 'Roturas','id' => '7368','slug' => 'roturas','latitude' => '41.6678322','longitude' => '-4.1188796'),
        array('province_id' => '47','town' => 'Rubí de Bracamonte','id' => '7369','slug' => 'rub-de-bracamonte','latitude' => '41.214598','longitude' => '-4.9240957'),
        array('province_id' => '47','town' => 'Rueda','id' => '7370','slug' => 'rueda','latitude' => '41.4141296','longitude' => '-4.9571038'),
        array('province_id' => '47','town' => 'Saelices de Mayorga','id' => '7371','slug' => 'saelices-de-mayorga','latitude' => '42.2112988','longitude' => '-5.2067957'),
        array('province_id' => '47','town' => 'Salvador de Zapardiel','id' => '7372','slug' => 'salvador-de-zapardiel','latitude' => '41.1165753','longitude' => '-4.8745699'),
        array('province_id' => '47','town' => 'San Cebrián de Mazote','id' => '7373','slug' => 'san-cebrin-de-mazote','latitude' => '41.6800354','longitude' => '-5.150565'),
        array('province_id' => '47','town' => 'San Llorente','id' => '7374','slug' => 'san-llorente','latitude' => '41.6869276','longitude' => '-4.0648638'),
        array('province_id' => '47','town' => 'San Martín de Valvení','id' => '7375','slug' => 'san-martn-de-valven','latitude' => '41.7529806','longitude' => '-4.5666121'),
        array('province_id' => '47','town' => 'San Miguel del Arroyo','id' => '7376','slug' => 'san-miguel-del-arroyo','latitude' => '41.4424026','longitude' => '-4.4577543'),
        array('province_id' => '47','town' => 'San Miguel del Pino','id' => '7377','slug' => 'san-miguel-del-pino','latitude' => '41.5092776','longitude' => '-4.9112826'),
        array('province_id' => '47','town' => 'San Pablo de la Moraleja','id' => '7378','slug' => 'san-pablo-de-la-moraleja','latitude' => '41.1604955','longitude' => '-4.7776649'),
        array('province_id' => '47','town' => 'San Pedro de Latarce','id' => '7379','slug' => 'san-pedro-de-latarce','latitude' => '41.7358226','longitude' => '-5.3257586'),
        array('province_id' => '47','town' => 'San Pelayo','id' => '7380','slug' => 'san-pelayo','latitude' => '41.6799844','longitude' => '-5.0336508'),
        array('province_id' => '47','town' => 'San Román de Hornija','id' => '7381','slug' => 'san-romn-de-hornija','latitude' => '41.4817905','longitude' => '-5.2829813'),
        array('province_id' => '47','town' => 'San Salvador','id' => '7382','slug' => 'san-salvador','latitude' => '41.6198781','longitude' => '-5.0868208'),
        array('province_id' => '47','town' => 'San Vicente del Palacio','id' => '7383','slug' => 'san-vicente-del-palacio','latitude' => '41.2193357','longitude' => '-4.8514411'),
        array('province_id' => '47','town' => 'Santa Eufemia del Arroyo','id' => '7384','slug' => 'santa-eufemia-del-arroyo','latitude' => '41.8949517','longitude' => '-5.2669171'),
        array('province_id' => '47','town' => 'Santervás de Campos','id' => '7385','slug' => 'santervs-de-campos','latitude' => '42.2180713','longitude' => '-5.1010056'),
        array('province_id' => '47','town' => 'Santibáñez de Valcorba','id' => '7386','slug' => 'santibez-de-valcorba','latitude' => '41.5703824','longitude' => '-4.4475282'),
        array('province_id' => '47','town' => 'Santovenia de Pisuerga','id' => '7387','slug' => 'santovenia-de-pisuerga','latitude' => '41.6965762','longitude' => '-4.688344'),
        array('province_id' => '47','town' => 'Sardón de Duero','id' => '7388','slug' => 'sardn-de-duero','latitude' => '41.607735','longitude' => '-4.4302197'),
        array('province_id' => '47','town' => 'Seca, La','id' => '7389','slug' => 'seca-la','latitude' => '41.6609591','longitude' => '-4.7149847'),
        array('province_id' => '47','town' => 'Serrada','id' => '7390','slug' => 'serrada','latitude' => '41.4592968','longitude' => '-4.8611419'),
        array('province_id' => '47','town' => 'Siete Iglesias de Trabancos','id' => '7391','slug' => 'siete-iglesias-de-trabancos','latitude' => '41.3519275','longitude' => '-5.1847031'),
        array('province_id' => '47','town' => 'Simancas','id' => '7392','slug' => 'simancas','latitude' => '41.5902237','longitude' => '-4.8267131'),
        array('province_id' => '47','town' => 'Tamariz de Campos','id' => '7393','slug' => 'tamariz-de-campos','latitude' => '41.9771219','longitude' => '-5.0233923'),
        array('province_id' => '47','town' => 'Tiedra','id' => '7394','slug' => 'tiedra','latitude' => '41.6517414','longitude' => '-5.2670832'),
        array('province_id' => '47','town' => 'Tordehumos','id' => '7395','slug' => 'tordehumos','latitude' => '41.8149957','longitude' => '-5.1613311'),
        array('province_id' => '47','town' => 'Tordesillas','id' => '7396','slug' => 'tordesillas','latitude' => '41.5016522','longitude' => '-4.9991272'),
        array('province_id' => '47','town' => 'Torre de Esgueva','id' => '7397','slug' => 'torre-de-esgueva','latitude' => '41.7680546','longitude' => '-4.1999172'),
        array('province_id' => '47','town' => 'Torre de Peñafiel','id' => '7398','slug' => 'torre-de-peafiel','latitude' => '41.5363509','longitude' => '-4.0886189'),
        array('province_id' => '47','town' => 'Torrecilla de la Abadesa','id' => '7399','slug' => 'torrecilla-de-la-abadesa','latitude' => '41.4850295','longitude' => '-5.0893113'),
        array('province_id' => '47','town' => 'Torrecilla de la Orden','id' => '7400','slug' => 'torrecilla-de-la-orden','latitude' => '41.21923','longitude' => '-5.2246256'),
        array('province_id' => '47','town' => 'Torrecilla de la Torre','id' => '7401','slug' => 'torrecilla-de-la-torre','latitude' => '41.6660667','longitude' => '-5.04868'),
        array('province_id' => '47','town' => 'Torrelobatón','id' => '7402','slug' => 'torrelobatn','latitude' => '41.6479571','longitude' => '-5.0255412'),
        array('province_id' => '47','town' => 'Torrescárcela','id' => '7403','slug' => 'torrescrcela','latitude' => '41.4846079','longitude' => '-4.3180768'),
        array('province_id' => '47','town' => 'Traspinedo','id' => '7404','slug' => 'traspinedo','latitude' => '41.5759655','longitude' => '-4.4722527'),
        array('province_id' => '47','town' => 'Trigueros del Valle','id' => '7405','slug' => 'trigueros-del-valle','latitude' => '41.8300519','longitude' => '-4.6507438'),
        array('province_id' => '47','town' => 'Tudela de Duero','id' => '7406','slug' => 'tudela-de-duero','latitude' => '41.5863823','longitude' => '-4.5811062'),
        array('province_id' => '47','town' => 'Unión de Campos, La','id' => '7407','slug' => 'unin-de-campos-la','latitude' => '42.0769858','longitude' => '-5.3254246'),
        array('province_id' => '47','town' => 'Urones de Castroponce','id' => '7408','slug' => 'urones-de-castroponce','latitude' => '42.0986199','longitude' => '-5.28183'),
        array('province_id' => '47','town' => 'Urueña','id' => '7409','slug' => 'uruea','latitude' => '41.7271096','longitude' => '-5.2035321'),
        array('province_id' => '47','town' => 'Valbuena de Duero','id' => '7410','slug' => 'valbuena-de-duero','latitude' => '41.6425731','longitude' => '-4.2912215'),
        array('province_id' => '47','town' => 'Valdearcos de la Vega','id' => '7411','slug' => 'valdearcos-de-la-vega','latitude' => '41.6427971','longitude' => '-4.0474621'),
        array('province_id' => '47','town' => 'Valdenebro de los Valles','id' => '7412','slug' => 'valdenebro-de-los-valles','latitude' => '41.8556716','longitude' => '-4.9698224'),
        array('province_id' => '47','town' => 'Valdestillas','id' => '7413','slug' => 'valdestillas','latitude' => '41.4760413','longitude' => '-4.770289'),
        array('province_id' => '47','town' => 'Valdunquillo','id' => '7414','slug' => 'valdunquillo','latitude' => '42.0416803','longitude' => '-5.3151865'),
        array('province_id' => '47','town' => 'Valladolid','id' => '7415','slug' => 'valladolid','latitude' => '41.6529434','longitude' => '-4.7283811'),
        array('province_id' => '47','town' => 'Valoria la Buena','id' => '7416','slug' => 'valoria-la-buena','latitude' => '41.7993096','longitude' => '-4.5306897'),
        array('province_id' => '47','town' => 'Valverde de Campos','id' => '7417','slug' => 'valverde-de-campos','latitude' => '41.834906','longitude' => '-5.0374015'),
        array('province_id' => '47','town' => 'Vega de Ruiponce','id' => '7418','slug' => 'vega-de-ruiponce','latitude' => '42.1882661','longitude' => '-5.1145454'),
        array('province_id' => '47','town' => 'Vega de Valdetronco','id' => '7419','slug' => 'vega-de-valdetronco','latitude' => '41.5946554','longitude' => '-5.1134951'),
        array('province_id' => '47','town' => 'Velascálvaro','id' => '7420','slug' => 'velasclvaro','latitude' => '41.2301161','longitude' => '-4.9720272'),
        array('province_id' => '47','town' => 'Velilla','id' => '7421','slug' => 'velilla','latitude' => '41.5587085','longitude' => '-5.0047485'),
        array('province_id' => '47','town' => 'Velliza','id' => '7422','slug' => 'velliza','latitude' => '41.5789938','longitude' => '-4.9463194'),
        array('province_id' => '47','town' => 'Ventosa de la Cuesta','id' => '7423','slug' => 'ventosa-de-la-cuesta','latitude' => '41.411607','longitude' => '-4.8276927'),
        array('province_id' => '47','town' => 'Viana de Cega','id' => '7424','slug' => 'viana-de-cega','latitude' => '41.5287615','longitude' => '-4.7520312'),
        array('province_id' => '47','town' => 'Villabáñez','id' => '7425','slug' => 'villabez','latitude' => '41.6309353','longitude' => '-4.5209394'),
        array('province_id' => '47','town' => 'Villabaruz de Campos','id' => '7426','slug' => 'villabaruz-de-campos','latitude' => '42.0105211','longitude' => '-4.9961627'),
        array('province_id' => '47','town' => 'Villabrágima','id' => '7427','slug' => 'villabrgima','latitude' => '41.8235197','longitude' => '-5.1129498'),
        array('province_id' => '47','town' => 'Villacarralón','id' => '7428','slug' => 'villacarraln','latitude' => '42.1896591','longitude' => '-5.0441784'),
        array('province_id' => '47','town' => 'Villacid de Campos','id' => '7429','slug' => 'villacid-de-campos','latitude' => '42.082365','longitude' => '-5.1245106'),
        array('province_id' => '47','town' => 'Villaco','id' => '7430','slug' => 'villaco','latitude' => '41.7400432','longitude' => '-4.2690735'),
        array('province_id' => '47','town' => 'Villafrades de Campos','id' => '7431','slug' => 'villafrades-de-campos','latitude' => '42.077742','longitude' => '-4.9709696'),
        array('province_id' => '47','town' => 'Villafranca de Duero','id' => '7432','slug' => 'villafranca-de-duero','latitude' => '41.432469','longitude' => '-5.3021431'),
        array('province_id' => '47','town' => 'Villafrechós','id' => '7433','slug' => 'villafrechs','latitude' => '41.8921632','longitude' => '-5.2181819'),
        array('province_id' => '47','town' => 'Villafuerte','id' => '7434','slug' => 'villafuerte','latitude' => '41.7345319','longitude' => '-4.3234679'),
        array('province_id' => '47','town' => 'Villagarcía de Campos','id' => '7435','slug' => 'villagarca-de-campos','latitude' => '41.7813287','longitude' => '-5.1930337'),
        array('province_id' => '47','town' => 'Villagómez la Nueva','id' => '7436','slug' => 'villagmez-la-nueva','latitude' => '42.1558765','longitude' => '-5.1420628'),
        array('province_id' => '47','town' => 'Villalán de Campos','id' => '7437','slug' => 'villaln-de-campos','latitude' => '42.0141993','longitude' => '-5.236223'),
        array('province_id' => '47','town' => 'Villalar de los Comuneros','id' => '7438','slug' => 'villalar-de-los-comuneros','latitude' => '41.5501258','longitude' => '-5.1379877'),
        array('province_id' => '47','town' => 'Villalba de la Loma','id' => '7439','slug' => 'villalba-de-la-loma','latitude' => '42.1739187','longitude' => '-5.1906303'),
        array('province_id' => '47','town' => 'Villalba de los Alcores','id' => '7440','slug' => 'villalba-de-los-alcores','latitude' => '41.8634693','longitude' => '-4.8601054'),
        array('province_id' => '47','town' => 'Villalbarba','id' => '7441','slug' => 'villalbarba','latitude' => '41.6031525','longitude' => '-5.2139463'),
        array('province_id' => '47','town' => 'Villalón de Campos','id' => '7442','slug' => '7442-villaln-de-campos','latitude' => '42.099264','longitude' => '-5.0339873'),
        array('province_id' => '47','town' => 'Villamuriel de Campos','id' => '7443','slug' => 'villamuriel-de-campos','latitude' => '41.9461087','longitude' => '-5.2074338'),
        array('province_id' => '47','town' => 'Villán de Tordesillas','id' => '7444','slug' => 'villn-de-tordesillas','latitude' => '41.592671','longitude' => '-4.9226257'),
        array('province_id' => '47','town' => 'Villanubla','id' => '7445','slug' => 'villanubla','latitude' => '41.6987237','longitude' => '-4.8418933'),
        array('province_id' => '47','town' => 'Villanueva de Duero','id' => '7446','slug' => 'villanueva-de-duero','latitude' => '41.5176759','longitude' => '-4.868396'),
        array('province_id' => '47','town' => 'Villanueva de la Condesa','id' => '7447','slug' => 'villanueva-de-la-condesa','latitude' => '42.1482979','longitude' => '-5.0959838'),
        array('province_id' => '47','town' => 'Villanueva de los Caballeros','id' => '7448','slug' => 'villanueva-de-los-caballeros','latitude' => '41.7587991','longitude' => '-5.2467789'),
        array('province_id' => '47','town' => 'Villanueva de los Infantes','id' => '7449','slug' => '7449-villanueva-de-los-infantes','latitude' => '41.7033689','longitude' => '-4.4830845'),
        array('province_id' => '47','town' => 'Villanueva de San Mancio','id' => '7450','slug' => 'villanueva-de-san-mancio','latitude' => '41.9284586','longitude' => '-5.0125524'),
        array('province_id' => '47','town' => 'Villardefrades','id' => '7451','slug' => 'villardefrades','latitude' => '41.7225355','longitude' => '-5.2552958'),
        array('province_id' => '47','town' => 'Villarmentero de Esgueva','id' => '7452','slug' => 'villarmentero-de-esgueva','latitude' => '41.6848588','longitude' => '-4.546052'),
        array('province_id' => '47','town' => 'Villasexmir','id' => '7453','slug' => 'villasexmir','latitude' => '41.6392089','longitude' => '-5.0655231'),
        array('province_id' => '47','town' => 'Villavaquerín','id' => '7454','slug' => 'villavaquern','latitude' => '41.663532','longitude' => '-4.4618818'),
        array('province_id' => '47','town' => 'Villavellid','id' => '7455','slug' => 'villavellid','latitude' => '41.6916764','longitude' => '-5.2769339'),
        array('province_id' => '47','town' => 'Villaverde de Medina','id' => '7456','slug' => 'villaverde-de-medina','latitude' => '41.307846','longitude' => '-5.0250219'),
        array('province_id' => '47','town' => 'Villavicencio de los Caballeros','id' => '7457','slug' => 'villavicencio-de-los-caballeros','latitude' => '42.0578535','longitude' => '-5.2349196'),
        array('province_id' => '47','town' => 'Viloria','id' => '7458','slug' => 'viloria','latitude' => '41.4459055','longitude' => '-4.3853744'),
        array('province_id' => '47','town' => 'Wamba','id' => '7459','slug' => 'wamba','latitude' => '41.6756676','longitude' => '-4.9166541'),
        array('province_id' => '47','town' => 'Zaratán','id' => '7460','slug' => 'zaratn','latitude' => '41.6610009','longitude' => '-4.7840706'),
        array('province_id' => '47','town' => 'Zarza, La','id' => '7461','slug' => '7461-zarza-la','latitude' => '41.626353','longitude' => '-4.7272468'),
        array('province_id' => '48','town' => 'Abadiño','id' => '7462','slug' => 'abadio','latitude' => '43.15','longitude' => '-2.6102778'),
        array('province_id' => '48','town' => 'Abanto y Ciérvana-Abanto Zierbena','id' => '7463','slug' => 'abanto-y-cirvana-abanto-zierbena','latitude' => '43.3168794','longitude' => '-3.0876783'),
        array('province_id' => '48','town' => 'Ajangiz','id' => '7464','slug' => 'ajangiz','latitude' => '43.3127271','longitude' => '-2.6614285'),
        array('province_id' => '48','town' => 'Alonsotegi','id' => '7465','slug' => 'alonsotegi','latitude' => '43.2451862','longitude' => '-2.9887015'),
        array('province_id' => '48','town' => 'Amorebieta-Etxano','id' => '7466','slug' => 'amorebieta-etxano','latitude' => '43.2261038','longitude' => '-2.7126284'),
        array('province_id' => '48','town' => 'Amoroto','id' => '7467','slug' => 'amoroto','latitude' => '43.3285','longitude' => '-2.5125'),
        array('province_id' => '48','town' => 'Arakaldo','id' => '7468','slug' => 'arakaldo','latitude' => '43.1495502','longitude' => '-2.9250864'),
        array('province_id' => '48','town' => 'Arantzazu','id' => '7469','slug' => 'arantzazu','latitude' => '43.1529041','longitude' => '-2.7904302'),
        array('province_id' => '48','town' => 'Areatza','id' => '7470','slug' => 'areatza','latitude' => '43.1210794','longitude' => '-2.7677714'),
        array('province_id' => '48','town' => 'Arrankudiaga','id' => '7471','slug' => 'arrankudiaga','latitude' => '43.1727376','longitude' => '-2.9191622'),
        array('province_id' => '48','town' => 'Arratzu','id' => '7472','slug' => 'arratzu','latitude' => '43.3117','longitude' => '-2.63861'),
        array('province_id' => '48','town' => 'Arrieta','id' => '7473','slug' => 'arrieta','latitude' => '43.340362','longitude' => '-2.769799'),
        array('province_id' => '48','town' => 'Arrigorriaga','id' => '7474','slug' => 'arrigorriaga','latitude' => '43.2075202','longitude' => '-2.8878387'),
        array('province_id' => '48','town' => 'Artea','id' => '7475','slug' => 'artea','latitude' => '43.133718','longitude' => '-2.784141'),
        array('province_id' => '48','town' => 'Artzentales','id' => '7476','slug' => 'artzentales','latitude' => '43.2406','longitude' => '-3.24139'),
        array('province_id' => '48','town' => 'Atxondo','id' => '7477','slug' => 'atxondo','latitude' => '43.130342','longitude' => '-2.585079'),
        array('province_id' => '48','town' => 'Aulesti','id' => '7478','slug' => 'aulesti','latitude' => '43.296084','longitude' => '-2.5633553'),
        array('province_id' => '48','town' => 'Bakio','id' => '7479','slug' => 'bakio','latitude' => '43.428793','longitude' => '-2.8084588'),
        array('province_id' => '48','town' => 'Balmaseda','id' => '7480','slug' => 'balmaseda','latitude' => '43.1928663','longitude' => '-3.1969419'),
        array('province_id' => '48','town' => 'Barakaldo','id' => '7481','slug' => 'barakaldo','latitude' => '43.2972222','longitude' => '-2.9916667'),
        array('province_id' => '48','town' => 'Barrika','id' => '7482','slug' => 'barrika','latitude' => '43.406384','longitude' => '-2.962425'),
        array('province_id' => '48','town' => 'Basauri','id' => '7483','slug' => 'basauri','latitude' => '43.2221766','longitude' => '-2.8856681'),
        array('province_id' => '48','town' => 'Bedia','id' => '7484','slug' => 'bedia','latitude' => '43.209374','longitude' => '-2.804965'),
        array('province_id' => '48','town' => 'Berango','id' => '7485','slug' => 'berango','latitude' => '43.3658988','longitude' => '-2.9963564'),
        array('province_id' => '48','town' => 'Bermeo','id' => '7486','slug' => 'bermeo','latitude' => '43.4204219','longitude' => '-2.7221583'),
        array('province_id' => '48','town' => 'Berriatua','id' => '7487','slug' => 'berriatua','latitude' => '43.3166667','longitude' => '-2.4666667'),
        array('province_id' => '48','town' => 'Berriz','id' => '7488','slug' => 'berriz','latitude' => '43.1700169','longitude' => '-2.5751969'),
        array('province_id' => '48','town' => 'Bilbao','id' => '7489','slug' => 'bilbao','latitude' => '43.2569629','longitude' => '-2.9234409'),
        array('province_id' => '48','town' => 'Busturia','id' => '7490','slug' => 'busturia','latitude' => '43.383','longitude' => '-2.697'),
        array('province_id' => '48','town' => 'Derio','id' => '7491','slug' => 'derio','latitude' => '43.302','longitude' => '-2.8818333'),
        array('province_id' => '48','town' => 'Dima','id' => '7492','slug' => 'dima','latitude' => '43.143389','longitude' => '-2.751464'),
        array('province_id' => '48','town' => 'Durango','id' => '7493','slug' => 'durango','latitude' => '43.1690679','longitude' => '-2.6326552'),
        array('province_id' => '48','town' => 'Ea','id' => '7494','slug' => 'ea','latitude' => '43.3801347','longitude' => '-2.5855932'),
        array('province_id' => '48','town' => 'Elantxobe','id' => '7495','slug' => 'elantxobe','latitude' => '43.4034223','longitude' => '-2.6398003'),
        array('province_id' => '48','town' => 'Elorrio','id' => '7496','slug' => 'elorrio','latitude' => '43.1303865','longitude' => '-2.5421552'),
        array('province_id' => '48','town' => 'Erandio','id' => '7497','slug' => 'erandio','latitude' => '43.307458','longitude' => '-2.946418'),
        array('province_id' => '48','town' => 'Ereño','id' => '7498','slug' => 'ereo','latitude' => '43.360674','longitude' => '-2.625535'),
        array('province_id' => '48','town' => 'Ermua','id' => '7499','slug' => 'ermua','latitude' => '43.1866423','longitude' => '-2.5026072'),
        array('province_id' => '48','town' => 'Errigoiti','id' => '7500','slug' => 'errigoiti','latitude' => '43.3187087','longitude' => '-2.7253445'),
        array('province_id' => '48','town' => 'Etxebarri','id' => '7501','slug' => 'etxebarri','latitude' => '43.2471794','longitude' => '-2.8901388'),
        array('province_id' => '48','town' => 'Etxebarria','id' => '7502','slug' => 'etxebarria','latitude' => '43.2541456','longitude' => '-2.4773537'),
        array('province_id' => '48','town' => 'Forua','id' => '7503','slug' => 'forua','latitude' => '43.333712','longitude' => '-2.678589'),
        array('province_id' => '48','town' => 'Fruiz','id' => '7504','slug' => 'fruiz','latitude' => '43.3196107','longitude' => '-2.7929203'),
        array('province_id' => '48','town' => 'Galdakao','id' => '7505','slug' => 'galdakao','latitude' => '43.2305556','longitude' => '-2.8458333'),
        array('province_id' => '48','town' => 'Galdames','id' => '7506','slug' => 'galdames','latitude' => '43.255','longitude' => '-3.0963889'),
        array('province_id' => '48','town' => 'Gamiz-Fika','id' => '7507','slug' => 'gamiz-fika','latitude' => '43.311728','longitude' => '-2.810701'),
        array('province_id' => '48','town' => 'Garai','id' => '7508','slug' => 'garai','latitude' => '43.1947222','longitude' => '-2.6097222'),
        array('province_id' => '48','town' => 'Gatika','id' => '7509','slug' => 'gatika','latitude' => '43.362464','longitude' => '-2.871735'),
        array('province_id' => '48','town' => 'Gautegiz Arteaga','id' => '7510','slug' => 'gautegiz-arteaga','latitude' => '43.353104','longitude' => '-2.650985'),
        array('province_id' => '48','town' => 'Gernika-Lumo','id' => '7511','slug' => 'gernika-lumo','latitude' => '43.3170732','longitude' => '-2.6789751'),
        array('province_id' => '48','town' => 'Getxo','id' => '7512','slug' => 'getxo','latitude' => '43.3441667','longitude' => '-3.0063889'),
        array('province_id' => '48','town' => 'Gizaburuaga','id' => '7513','slug' => 'gizaburuaga','latitude' => '43.3308','longitude' => '-2.53806'),
        array('province_id' => '48','town' => 'Gordexola','id' => '7514','slug' => 'gordexola','latitude' => '43.1786111','longitude' => '-3.0727778'),
        array('province_id' => '48','town' => 'Gorliz','id' => '7515','slug' => 'gorliz','latitude' => '43.4166667','longitude' => '-2.9333333'),
        array('province_id' => '48','town' => 'Güeñes','id' => '7516','slug' => 'gees','latitude' => '43.2103205','longitude' => '-3.0953169'),
        array('province_id' => '48','town' => 'Ibarrangelu','id' => '7517','slug' => 'ibarrangelu','latitude' => '43.390215','longitude' => '-2.633802'),
        array('province_id' => '48','town' => 'Igorre','id' => '7518','slug' => 'igorre','latitude' => '43.1699083','longitude' => '-2.7879401'),
        array('province_id' => '48','town' => 'Ispaster','id' => '7519','slug' => 'ispaster','latitude' => '43.362954','longitude' => '-2.544635'),
        array('province_id' => '48','town' => 'Iurreta','id' => '7520','slug' => 'iurreta','latitude' => '43.1767046','longitude' => '-2.6337772'),
        array('province_id' => '48','town' => 'Izurtza','id' => '7521','slug' => 'izurtza','latitude' => '43.152273','longitude' => '-2.6419778'),
        array('province_id' => '48','town' => 'Karrantza Harana/Valle de Carranza','id' => '7522','slug' => 'karrantza-haranavalle-de-carranza','latitude' => '43.2306','longitude' => '-3.35722'),
        array('province_id' => '48','town' => 'Kortezubi','id' => '7523','slug' => 'kortezubi','latitude' => '43.335982','longitude' => '-2.654319'),
        array('province_id' => '48','town' => 'Lanestosa','id' => '7524','slug' => 'lanestosa','latitude' => '43.2211686','longitude' => '-3.4391483'),
        array('province_id' => '48','town' => 'Larrabetzu','id' => '7525','slug' => 'larrabetzu','latitude' => '43.2609734','longitude' => '-2.7961746'),
        array('province_id' => '48','town' => 'Laukiz','id' => '7526','slug' => 'laukiz','latitude' => '43.339592','longitude' => '-2.922039'),
        array('province_id' => '48','town' => 'Leioa','id' => '7527','slug' => 'leioa','latitude' => '43.3260969','longitude' => '-2.9877041'),
        array('province_id' => '48','town' => 'Lekeitio','id' => '7528','slug' => 'lekeitio','latitude' => '43.3655092','longitude' => '-2.5033436'),
        array('province_id' => '48','town' => 'Lemoa','id' => '7529','slug' => 'lemoa','latitude' => '43.2087592','longitude' => '-2.7741164'),
        array('province_id' => '48','town' => 'Lemoiz','id' => '7530','slug' => 'lemoiz','latitude' => '43.413244','longitude' => '-2.902253'),
        array('province_id' => '48','town' => 'Lezama','id' => '7531','slug' => 'lezama','latitude' => '43.2721667','longitude' => '-2.8321667'),
        array('province_id' => '48','town' => 'Loiu','id' => '7532','slug' => 'loiu','latitude' => '43.3161','longitude' => '-2.92444'),
        array('province_id' => '48','town' => 'Mallabia','id' => '7533','slug' => 'mallabia','latitude' => '43.1896506','longitude' => '-2.5299686'),
        array('province_id' => '48','town' => 'Mañaria','id' => '7534','slug' => 'maaria','latitude' => '43.1374845','longitude' => '-2.6611352'),
        array('province_id' => '48','town' => 'Markina-Xemein','id' => '7535','slug' => 'markina-xemein','latitude' => '43.270604','longitude' => '-2.4971553'),
        array('province_id' => '48','town' => 'Maruri-Jatabe','id' => '7536','slug' => 'maruri-jatabe','latitude' => '43.382772','longitude' => '-2.874989'),
        array('province_id' => '48','town' => 'Mendata','id' => '7537','slug' => 'mendata','latitude' => '43.2833333','longitude' => '-2.6333333'),
        array('province_id' => '48','town' => 'Mendexa','id' => '7538','slug' => 'mendexa','latitude' => '43.3463889','longitude' => '-2.4833333'),
        array('province_id' => '48','town' => 'Meñaka','id' => '7539','slug' => 'meaka','latitude' => '43.364464','longitude' => '-2.801795'),
        array('province_id' => '48','town' => 'Morga','id' => '7540','slug' => 'morga','latitude' => '43.297932','longitude' => '-2.752739'),
        array('province_id' => '48','town' => 'Mundaka','id' => '7541','slug' => 'mundaka','latitude' => '43.4073349','longitude' => '-2.6983217'),
        array('province_id' => '48','town' => 'Mungia','id' => '7542','slug' => 'mungia','latitude' => '43.3544099','longitude' => '-2.8467141'),
        array('province_id' => '48','town' => 'Munitibar-Arbatzegi Gerrikaitz','id' => '7543','slug' => 'munitibar-arbatzegi-gerrikaitz','latitude' => '43.2653323','longitude' => '-2.591845'),
        array('province_id' => '48','town' => 'Murueta','id' => '7544','slug' => 'murueta','latitude' => '43.354463','longitude' => '-2.684153'),
        array('province_id' => '48','town' => 'Muskiz','id' => '7545','slug' => 'muskiz','latitude' => '43.3233333','longitude' => '-3.1216667'),
        array('province_id' => '48','town' => 'Muxika','id' => '7546','slug' => 'muxika','latitude' => '43.289668','longitude' => '-2.692941'),
        array('province_id' => '48','town' => 'Nabarniz','id' => '7547','slug' => 'nabarniz','latitude' => '43.3215972','longitude' => '-2.5844'),
        array('province_id' => '48','town' => 'Ondarroa','id' => '7548','slug' => 'ondarroa','latitude' => '43.3206977','longitude' => '-2.4204748'),
        array('province_id' => '48','town' => 'Orozko','id' => '7549','slug' => 'orozko','latitude' => '43.1086111','longitude' => '-2.9111111'),
        array('province_id' => '48','town' => 'Ortuella','id' => '7550','slug' => 'ortuella','latitude' => '43.3113702','longitude' => '-3.0559517'),
        array('province_id' => '48','town' => 'Otxandio','id' => '7551','slug' => 'otxandio','latitude' => '43.0404471','longitude' => '-2.6545837'),
        array('province_id' => '48','town' => 'Plentzia','id' => '7552','slug' => 'plentzia','latitude' => '43.4044298','longitude' => '-2.9501018'),
        array('province_id' => '48','town' => 'Portugalete','id' => '7553','slug' => 'portugalete','latitude' => '43.3206637','longitude' => '-3.0202518'),
        array('province_id' => '48','town' => 'Santurtzi','id' => '7554','slug' => 'santurtzi','latitude' => '43.3282003','longitude' => '-3.0315088'),
        array('province_id' => '48','town' => 'Sestao','id' => '7555','slug' => 'sestao','latitude' => '43.3096349','longitude' => '-3.0069397'),
        array('province_id' => '48','town' => 'Sondika','id' => '7556','slug' => 'sondika','latitude' => '43.2994581','longitude' => '-2.9280751'),
        array('province_id' => '48','town' => 'Sopelana','id' => '7557','slug' => 'sopelana','latitude' => '43.3789178','longitude' => '-2.9830019'),
        array('province_id' => '48','town' => 'Sopuerta','id' => '7558','slug' => 'sopuerta','latitude' => '43.2627778','longitude' => '-3.1525'),
        array('province_id' => '48','town' => 'Sukarrieta','id' => '7559','slug' => 'sukarrieta','latitude' => '43.3953415','longitude' => '-2.696367'),
        array('province_id' => '48','town' => 'Trucios-Turtzioz','id' => '7560','slug' => 'trucios-turtzioz','latitude' => '43.2726783','longitude' => '-3.2885455'),
        array('province_id' => '48','town' => 'Ubide','id' => '7561','slug' => 'ubide','latitude' => '43.026832','longitude' => '-2.688209'),
        array('province_id' => '48','town' => 'Ugao-Miraballes','id' => '7562','slug' => 'ugao-miraballes','latitude' => '43.1799893','longitude' => '-2.9025077'),
        array('province_id' => '48','town' => 'Urduliz','id' => '7563','slug' => 'urduliz','latitude' => '43.3796667','longitude' => '-2.962'),
        array('province_id' => '48','town' => 'Urduña/Orduña','id' => '7564','slug' => 'urduaordua','latitude' => '42.9944489','longitude' => '-3.0096225'),
        array('province_id' => '48','town' => 'Valle de Trápaga-Trapagaran','id' => '7565','slug' => 'valle-de-trpaga-trapagaran','latitude' => '43.3031076','longitude' => '-3.0355479'),
        array('province_id' => '48','town' => 'Zaldibar','id' => '7566','slug' => 'zaldibar','latitude' => '43.17097','longitude' => '-2.5471299'),
        array('province_id' => '48','town' => 'Zalla','id' => '7567','slug' => 'zalla','latitude' => '43.2140087','longitude' => '-3.1352226'),
        array('province_id' => '48','town' => 'Zamudio','id' => '7568','slug' => 'zamudio','latitude' => '43.2833333','longitude' => '-2.8666667'),
        array('province_id' => '48','town' => 'Zaratamo','id' => '7569','slug' => 'zaratamo','latitude' => '43.211505','longitude' => '-2.8736256'),
        array('province_id' => '48','town' => 'Zeanuri','id' => '7570','slug' => 'zeanuri','latitude' => '43.0980204','longitude' => '-2.7495272'),
        array('province_id' => '48','town' => 'Zeberio','id' => '7571','slug' => 'zeberio','latitude' => '43.1527778','longitude' => '-2.8527778'),
        array('province_id' => '48','town' => 'Zierbena','id' => '7572','slug' => 'zierbena','latitude' => '43.347655','longitude' => '-3.086152'),
        array('province_id' => '48','town' => 'Ziortza-Bolibar','id' => '7573','slug' => 'ziortza-bolibar','latitude' => '43.2498204','longitude' => '-2.5501745'),
        array('province_id' => '49','town' => 'Abezames','id' => '7574','slug' => 'abezames','latitude' => '41.6255637','longitude' => '-5.4262706'),
        array('province_id' => '49','town' => 'Alcañices','id' => '7575','slug' => 'alcaices','latitude' => '41.6996795','longitude' => '-6.347962'),
        array('province_id' => '49','town' => 'Alcubilla de Nogales','id' => '7576','slug' => 'alcubilla-de-nogales','latitude' => '42.1269851','longitude' => '-5.9221812'),
        array('province_id' => '49','town' => 'Alfaraz de Sayago','id' => '7577','slug' => 'alfaraz-de-sayago','latitude' => '41.2283661','longitude' => '-5.9841774'),
        array('province_id' => '49','town' => 'Algodre','id' => '7578','slug' => 'algodre','latitude' => '41.5656638','longitude' => '-5.6045496'),
        array('province_id' => '49','town' => 'Almaraz de Duero','id' => '7579','slug' => 'almaraz-de-duero','latitude' => '41.4758455','longitude' => '-5.9165262'),
        array('province_id' => '49','town' => 'Almeida de Sayago','id' => '7580','slug' => 'almeida-de-sayago','latitude' => '41.2674946','longitude' => '-6.075056'),
        array('province_id' => '49','town' => 'Andavías','id' => '7581','slug' => 'andavas','latitude' => '41.5971402','longitude' => '-5.861349'),
        array('province_id' => '49','town' => 'Arcenillas','id' => '7582','slug' => 'arcenillas','latitude' => '41.456029','longitude' => '-5.6851444'),
        array('province_id' => '49','town' => 'Arcos de la Polvorosa','id' => '7583','slug' => 'arcos-de-la-polvorosa','latitude' => '41.9445228','longitude' => '-5.6974851'),
        array('province_id' => '49','town' => 'Argañín','id' => '7584','slug' => 'argan','latitude' => '41.439707','longitude' => '-6.2101513'),
        array('province_id' => '49','town' => 'Argujillo','id' => '7585','slug' => 'argujillo','latitude' => '41.3117531','longitude' => '-5.5878922'),
        array('province_id' => '49','town' => 'Arquillinos','id' => '7586','slug' => 'arquillinos','latitude' => '41.7089029','longitude' => '-5.6560404'),
        array('province_id' => '49','town' => 'Arrabalde','id' => '7587','slug' => 'arrabalde','latitude' => '42.107569','longitude' => '-5.8951299'),
        array('province_id' => '49','town' => 'Aspariegos','id' => '7588','slug' => 'aspariegos','latitude' => '41.6737361','longitude' => '-5.5984756'),
        array('province_id' => '49','town' => 'Asturianos','id' => '7589','slug' => 'asturianos','latitude' => '42.0512998','longitude' => '-6.4884289'),
        array('province_id' => '49','town' => 'Ayoó de Vidriales','id' => '7590','slug' => 'ayo-de-vidriales','latitude' => '42.1285668','longitude' => '-6.0667175'),
        array('province_id' => '49','town' => 'Barcial del Barco','id' => '7591','slug' => 'barcial-del-barco','latitude' => '41.9341977','longitude' => '-5.6641731'),
        array('province_id' => '49','town' => 'Belver de los Montes','id' => '7592','slug' => 'belver-de-los-montes','latitude' => '41.7226423','longitude' => '-5.4508511'),
        array('province_id' => '49','town' => 'Benavente','id' => '7593','slug' => 'benavente','latitude' => '42.0030231','longitude' => '-5.6740806'),
        array('province_id' => '49','town' => 'Benegiles','id' => '7594','slug' => 'benegiles','latitude' => '41.6267886','longitude' => '-5.6352299'),
        array('province_id' => '49','town' => 'Bermillo de Sayago','id' => '7595','slug' => 'bermillo-de-sayago','latitude' => '41.3669043','longitude' => '-6.1120853'),
        array('province_id' => '49','town' => 'Bóveda de Toro, La','id' => '7596','slug' => 'bveda-de-toro-la','latitude' => '41.3444536','longitude' => '-5.4107962'),
        array('province_id' => '49','town' => 'Bretó','id' => '7597','slug' => 'bret','latitude' => '41.8818687','longitude' => '-5.7383331'),
        array('province_id' => '49','town' => 'Bretocino','id' => '7598','slug' => 'bretocino','latitude' => '41.883373','longitude' => '-5.7550897'),
        array('province_id' => '49','town' => 'Brime de Sog','id' => '7599','slug' => 'brime-de-sog','latitude' => '42.0612633','longitude' => '-6.0474146'),
        array('province_id' => '49','town' => 'Brime de Urz','id' => '7600','slug' => 'brime-de-urz','latitude' => '42.0379096','longitude' => '-5.8732659'),
        array('province_id' => '49','town' => 'Burganes de Valverde','id' => '7601','slug' => 'burganes-de-valverde','latitude' => '41.9207795','longitude' => '-5.7810864'),
        array('province_id' => '49','town' => 'Bustillo del Oro','id' => '7602','slug' => 'bustillo-del-oro','latitude' => '41.6745589','longitude' => '-5.461473'),
        array('province_id' => '49','town' => 'Cabañas de Sayago','id' => '7603','slug' => 'cabaas-de-sayago','latitude' => '41.3330753','longitude' => '-5.7907063'),
        array('province_id' => '49','town' => 'Calzadilla de Tera','id' => '7604','slug' => 'calzadilla-de-tera','latitude' => '41.9800263','longitude' => '-6.0824639'),
        array('province_id' => '49','town' => 'Camarzana de Tera','id' => '7605','slug' => 'camarzana-de-tera','latitude' => '41.994368','longitude' => '-6.0295777'),
        array('province_id' => '49','town' => 'Cañizal','id' => '7606','slug' => 'caizal','latitude' => '41.1676602','longitude' => '-5.3687527'),
        array('province_id' => '49','town' => 'Cañizo','id' => '7607','slug' => 'caizo','latitude' => '41.7682042','longitude' => '-5.5033415'),
        array('province_id' => '49','town' => 'Carbajales de Alba','id' => '7608','slug' => 'carbajales-de-alba','latitude' => '41.6543028','longitude' => '-5.996867'),
        array('province_id' => '49','town' => 'Carbellino','id' => '7609','slug' => 'carbellino','latitude' => '41.2302409','longitude' => '-6.1476414'),
        array('province_id' => '49','town' => 'Casaseca de Campeán','id' => '7610','slug' => 'casaseca-de-campen','latitude' => '41.3739974','longitude' => '-5.7457153'),
        array('province_id' => '49','town' => 'Casaseca de las Chanas','id' => '7611','slug' => 'casaseca-de-las-chanas','latitude' => '41.4375256','longitude' => '-5.6756176'),
        array('province_id' => '49','town' => 'Castrillo de la Guareña','id' => '7612','slug' => 'castrillo-de-la-guarea','latitude' => '41.2299598','longitude' => '-5.3262524'),
        array('province_id' => '49','town' => 'Castrogonzalo','id' => '7613','slug' => 'castrogonzalo','latitude' => '41.9911904','longitude' => '-5.6037898'),
        array('province_id' => '49','town' => 'Castronuevo','id' => '7614','slug' => 'castronuevo','latitude' => '41.7216394','longitude' => '-5.5434029'),
        array('province_id' => '49','town' => 'Castroverde de Campos','id' => '7615','slug' => 'castroverde-de-campos','latitude' => '41.9699939','longitude' => '-5.315088'),
        array('province_id' => '49','town' => 'Cazurra','id' => '7616','slug' => 'cazurra','latitude' => '41.4153226','longitude' => '-5.7037397'),
        array('province_id' => '49','town' => 'Cerecinos de Campos','id' => '7617','slug' => 'cerecinos-de-campos','latitude' => '41.900454','longitude' => '-5.4867433'),
        array('province_id' => '49','town' => 'Cerecinos del Carrizal','id' => '7618','slug' => 'cerecinos-del-carrizal','latitude' => '41.6833378','longitude' => '-5.6530872'),
        array('province_id' => '49','town' => 'Cernadilla','id' => '7619','slug' => 'cernadilla','latitude' => '42.0217719','longitude' => '-6.4163759'),
        array('province_id' => '49','town' => 'Cobreros','id' => '7620','slug' => 'cobreros','latitude' => '42.0739093','longitude' => '-6.7016353'),
        array('province_id' => '49','town' => 'Coomonte','id' => '7621','slug' => 'coomonte','latitude' => '42.1152645','longitude' => '-5.8133459'),
        array('province_id' => '49','town' => 'Coreses','id' => '7622','slug' => 'coreses','latitude' => '41.5481783','longitude' => '-5.6222476'),
        array('province_id' => '49','town' => 'Corrales del Vino','id' => '7623','slug' => 'corrales-del-vino','latitude' => '41.3568843','longitude' => '-5.7282577'),
        array('province_id' => '49','town' => 'Cotanes del Monte','id' => '7624','slug' => 'cotanes-del-monte','latitude' => '41.8177838','longitude' => '-5.2901192'),
        array('province_id' => '49','town' => 'Cubillos','id' => '7625','slug' => 'cubillos','latitude' => '41.5748505','longitude' => '-5.739423'),
        array('province_id' => '49','town' => 'Cubo de Benavente','id' => '7626','slug' => 'cubo-de-benavente','latitude' => '42.1236626','longitude' => '-6.1631512'),
        array('province_id' => '49','town' => 'Cubo de Tierra del Vino, El','id' => '7627','slug' => 'cubo-de-tierra-del-vino-el','latitude' => '41.2549722','longitude' => '-5.7108636'),
        array('province_id' => '49','town' => 'Cuelgamures','id' => '7628','slug' => 'cuelgamures','latitude' => '41.3061134','longitude' => '-5.659101'),
        array('province_id' => '49','town' => 'Entrala','id' => '7629','slug' => 'entrala','latitude' => '41.4300252','longitude' => '-5.7548582'),
        array('province_id' => '49','town' => 'Espadañedo','id' => '7630','slug' => 'espadaedo','latitude' => '42.1166191','longitude' => '-6.3948668'),
        array('province_id' => '49','town' => 'Faramontanos de Tábara','id' => '7631','slug' => 'faramontanos-de-tbara','latitude' => '41.8364913','longitude' => '-5.888256'),
        array('province_id' => '49','town' => 'Fariza','id' => '7632','slug' => 'fariza','latitude' => '41.4166667','longitude' => '-6.2666667'),
        array('province_id' => '49','town' => 'Fermoselle','id' => '7633','slug' => 'fermoselle','latitude' => '41.318664','longitude' => '-6.3978795'),
        array('province_id' => '49','town' => 'Ferreras de Abajo','id' => '7634','slug' => 'ferreras-de-abajo','latitude' => '41.8967852','longitude' => '-6.0787868'),
        array('province_id' => '49','town' => 'Ferreras de Arriba','id' => '7635','slug' => 'ferreras-de-arriba','latitude' => '41.8988388','longitude' => '-6.1953142'),
        array('province_id' => '49','town' => 'Ferreruela','id' => '7636','slug' => 'ferreruela','latitude' => '41.767182','longitude' => '-6.071509'),
        array('province_id' => '49','town' => 'Figueruela de Arriba','id' => '7637','slug' => 'figueruela-de-arriba','latitude' => '41.8685869','longitude' => '-6.4430634'),
        array('province_id' => '49','town' => 'Fonfría','id' => '7638','slug' => '7638-fonfra','latitude' => '41.636235','longitude' => '-6.1372112'),
        array('province_id' => '49','town' => 'Fresno de la Polvorosa','id' => '7639','slug' => 'fresno-de-la-polvorosa','latitude' => '42.0834912','longitude' => '-5.7700792'),
        array('province_id' => '49','town' => 'Fresno de la Ribera','id' => '7640','slug' => 'fresno-de-la-ribera','latitude' => '41.5282387','longitude' => '-5.5695558'),
        array('province_id' => '49','town' => 'Fresno de Sayago','id' => '7641','slug' => 'fresno-de-sayago','latitude' => '41.3180217','longitude' => '-5.9707812'),
        array('province_id' => '49','town' => 'Friera de Valverde','id' => '7642','slug' => 'friera-de-valverde','latitude' => '41.9135902','longitude' => '-5.8396272'),
        array('province_id' => '49','town' => 'Fuente Encalada','id' => '7643','slug' => 'fuente-encalada','latitude' => '42.1106718','longitude' => '-5.9968638'),
        array('province_id' => '49','town' => 'Fuentelapeña','id' => '7644','slug' => 'fuentelapea','latitude' => '41.251399','longitude' => '-5.3850356'),
        array('province_id' => '49','town' => 'Fuentes de Ropel','id' => '7645','slug' => 'fuentes-de-ropel','latitude' => '42.0029494','longitude' => '-5.5452682'),
        array('province_id' => '49','town' => 'Fuentesaúco','id' => '7646','slug' => 'fuentesaco','latitude' => '41.229368','longitude' => '-5.4967127'),
        array('province_id' => '49','town' => 'Fuentesecas','id' => '7647','slug' => 'fuentesecas','latitude' => '41.6306351','longitude' => '-5.4724459'),
        array('province_id' => '49','town' => 'Fuentespreadas','id' => '7648','slug' => 'fuentespreadas','latitude' => '41.3253784','longitude' => '-5.6292336'),
        array('province_id' => '49','town' => 'Galende','id' => '7649','slug' => 'galende','latitude' => '42.10423','longitude' => '-6.6626402'),
        array('province_id' => '49','town' => 'Gallegos del Pan','id' => '7650','slug' => 'gallegos-del-pan','latitude' => '41.5997094','longitude' => '-5.5815416'),
        array('province_id' => '49','town' => 'Gallegos del Río','id' => '7651','slug' => 'gallegos-del-ro','latitude' => '41.7346092','longitude' => '-6.1744623'),
        array('province_id' => '49','town' => 'Gamones','id' => '7652','slug' => 'gamones','latitude' => '41.4679087','longitude' => '-6.1795033'),
        array('province_id' => '49','town' => 'Gema','id' => '7653','slug' => 'gema','latitude' => '41.4183933','longitude' => '-5.6495824'),
        array('province_id' => '49','town' => 'Granja de Moreruela','id' => '7654','slug' => 'granja-de-moreruela','latitude' => '41.8102609','longitude' => '-5.7389724'),
        array('province_id' => '49','town' => 'Granucillo','id' => '7655','slug' => 'granucillo','latitude' => '42.0519186','longitude' => '-5.9274134'),
        array('province_id' => '49','town' => 'Guarrate','id' => '7656','slug' => 'guarrate','latitude' => '41.2908305','longitude' => '-5.440093'),
        array('province_id' => '49','town' => 'Hermisende','id' => '7657','slug' => 'hermisende','latitude' => '41.9688177','longitude' => '-6.8965569'),
        array('province_id' => '49','town' => 'Hiniesta, La','id' => '7658','slug' => 'hiniesta-la','latitude' => '41.5115848','longitude' => '-5.7537105'),
        array('province_id' => '49','town' => 'Jambrina','id' => '7659','slug' => 'jambrina','latitude' => '41.3935874','longitude' => '-5.6654799'),
        array('province_id' => '49','town' => 'Justel','id' => '7660','slug' => 'justel','latitude' => '42.1490228','longitude' => '-6.2956159'),
        array('province_id' => '49','town' => 'Losacino','id' => '7661','slug' => 'losacino','latitude' => '41.6810327','longitude' => '-6.0795242'),
        array('province_id' => '49','town' => 'Losacio','id' => '7662','slug' => 'losacio','latitude' => '41.7116561','longitude' => '-6.041149'),
        array('province_id' => '49','town' => 'Lubián','id' => '7663','slug' => 'lubin','latitude' => '42.0347516','longitude' => '-6.9079684'),
        array('province_id' => '49','town' => 'Luelmo','id' => '7664','slug' => 'luelmo','latitude' => '41.439717','longitude' => '-6.1353492'),
        array('province_id' => '49','town' => 'Maderal, El','id' => '7665','slug' => 'maderal-el','latitude' => '41.2820497','longitude' => '-5.6229564'),
        array('province_id' => '49','town' => 'Madridanos','id' => '7666','slug' => 'madridanos','latitude' => '41.4791716','longitude' => '-5.6049205'),
        array('province_id' => '49','town' => 'Mahide','id' => '7667','slug' => 'mahide','latitude' => '41.868838','longitude' => '-6.3788883'),
        array('province_id' => '49','town' => 'Maire de Castroponce','id' => '7668','slug' => 'maire-de-castroponce','latitude' => '42.1114977','longitude' => '-5.784377'),
        array('province_id' => '49','town' => 'Malva','id' => '7669','slug' => 'malva','latitude' => '41.6538906','longitude' => '-5.4881966'),
        array('province_id' => '49','town' => 'Manganeses de la Lampreana','id' => '7670','slug' => 'manganeses-de-la-lampreana','latitude' => '41.7502929','longitude' => '-5.7087189'),
        array('province_id' => '49','town' => 'Manganeses de la Polvorosa','id' => '7671','slug' => 'manganeses-de-la-polvorosa','latitude' => '42.0347363','longitude' => '-5.7473417'),
        array('province_id' => '49','town' => 'Manzanal de Arriba','id' => '7672','slug' => 'manzanal-de-arriba','latitude' => '41.9926232','longitude' => '-6.4399648'),
        array('province_id' => '49','town' => 'Manzanal de los Infantes','id' => '7673','slug' => 'manzanal-de-los-infantes','latitude' => '42.0535219','longitude' => '-6.3814745'),
        array('province_id' => '49','town' => 'Manzanal del Barco','id' => '7674','slug' => 'manzanal-del-barco','latitude' => '41.635633','longitude' => '-5.9478878'),
        array('province_id' => '49','town' => 'Matilla de Arzón','id' => '7675','slug' => 'matilla-de-arzn','latitude' => '42.1047695','longitude' => '-5.6428834'),
        array('province_id' => '49','town' => 'Matilla la Seca','id' => '7676','slug' => 'matilla-la-seca','latitude' => '41.5795675','longitude' => '-5.500398'),
        array('province_id' => '49','town' => 'Mayalde','id' => '7677','slug' => 'mayalde','latitude' => '41.2505841','longitude' => '-5.7990614'),
        array('province_id' => '49','town' => 'Melgar de Tera','id' => '7678','slug' => 'melgar-de-tera','latitude' => '41.9662735','longitude' => '-6.0145762'),
        array('province_id' => '49','town' => 'Micereces de Tera','id' => '7679','slug' => 'micereces-de-tera','latitude' => '41.9888285','longitude' => '-5.8710434'),
        array('province_id' => '49','town' => 'Milles de la Polvorosa','id' => '7680','slug' => 'milles-de-la-polvorosa','latitude' => '41.9237542','longitude' => '-5.7334898'),
        array('province_id' => '49','town' => 'Molacillos','id' => '7681','slug' => 'molacillos','latitude' => '41.5827182','longitude' => '-5.6592216'),
        array('province_id' => '49','town' => 'Molezuelas de la Carballeda','id' => '7682','slug' => 'molezuelas-de-la-carballeda','latitude' => '42.0819299','longitude' => '-6.18819'),
        array('province_id' => '49','town' => 'Mombuey','id' => '7683','slug' => 'mombuey','latitude' => '42.0235806','longitude' => '-6.3311738'),
        array('province_id' => '49','town' => 'Monfarracinos','id' => '7684','slug' => 'monfarracinos','latitude' => '41.5540938','longitude' => '-5.7076135'),
        array('province_id' => '49','town' => 'Montamarta','id' => '7685','slug' => 'montamarta','latitude' => '41.6471738','longitude' => '-5.8030221'),
        array('province_id' => '49','town' => 'Moral de Sayago','id' => '7686','slug' => 'moral-de-sayago','latitude' => '41.4721341','longitude' => '-6.1010157'),
        array('province_id' => '49','town' => 'Moraleja de Sayago','id' => '7687','slug' => 'moraleja-de-sayago','latitude' => '41.1696019','longitude' => '-6.0034651'),
        array('province_id' => '49','town' => 'Moraleja del Vino','id' => '7688','slug' => 'moraleja-del-vino','latitude' => '41.4637597','longitude' => '-5.6563684'),
        array('province_id' => '49','town' => 'Morales de Rey','id' => '7689','slug' => 'morales-de-rey','latitude' => '42.0670943','longitude' => '-5.7876391'),
        array('province_id' => '49','town' => 'Morales de Toro','id' => '7690','slug' => 'morales-de-toro','latitude' => '41.5368437','longitude' => '-5.3087395'),
        array('province_id' => '49','town' => 'Morales de Valverde','id' => '7691','slug' => 'morales-de-valverde','latitude' => '41.940069','longitude' => '-5.8898782'),
        array('province_id' => '49','town' => 'Morales del Vino','id' => '7692','slug' => 'morales-del-vino','latitude' => '41.4462688','longitude' => '-5.7306851'),
        array('province_id' => '49','town' => 'Moralina','id' => '7693','slug' => 'moralina','latitude' => '41.4894582','longitude' => '-6.1383818'),
        array('province_id' => '49','town' => 'Moreruela de los Infanzones','id' => '7694','slug' => 'moreruela-de-los-infanzones','latitude' => '41.6313078','longitude' => '-5.7070952'),
        array('province_id' => '49','town' => 'Moreruela de Tábara','id' => '7695','slug' => 'moreruela-de-tbara','latitude' => '41.7989579','longitude' => '-5.8710666'),
        array('province_id' => '49','town' => 'Muelas de los Caballeros','id' => '7696','slug' => 'muelas-de-los-caballeros','latitude' => '42.1281585','longitude' => '-6.3374138'),
        array('province_id' => '49','town' => 'Muelas del Pan','id' => '7697','slug' => 'muelas-del-pan','latitude' => '41.5223514','longitude' => '-5.9709355'),
        array('province_id' => '49','town' => 'Muga de Sayago','id' => '7698','slug' => 'muga-de-sayago','latitude' => '41.3898539','longitude' => '-6.2002229'),
        array('province_id' => '49','town' => 'Navianos de Valverde','id' => '7699','slug' => 'navianos-de-valverde','latitude' => '41.9536741','longitude' => '-5.8167791'),
        array('province_id' => '49','town' => 'Olmillos de Castro','id' => '7700','slug' => 'olmillos-de-castro','latitude' => '41.7316553','longitude' => '-5.9689327'),
        array('province_id' => '49','town' => 'Otero de Bodas','id' => '7701','slug' => 'otero-de-bodas','latitude' => '41.9390835','longitude' => '-6.1509157'),
        array('province_id' => '49','town' => 'Pajares de la Lampreana','id' => '7702','slug' => 'pajares-de-la-lampreana','latitude' => '41.7152695','longitude' => '-5.6932983'),
        array('province_id' => '49','town' => 'Palacios de Sanabria','id' => '7703','slug' => 'palacios-de-sanabria','latitude' => '42.0549159','longitude' => '-6.5270108'),
        array('province_id' => '49','town' => 'Palacios del Pan','id' => '7704','slug' => 'palacios-del-pan','latitude' => '41.6020106','longitude' => '-5.8780041'),
        array('province_id' => '49','town' => 'Pedralba de la Pradería','id' => '7705','slug' => 'pedralba-de-la-pradera','latitude' => '42.0269893','longitude' => '-6.6961183'),
        array('province_id' => '49','town' => 'Pego, El','id' => '7706','slug' => 'pego-el','latitude' => '41.3331264','longitude' => '-5.4691548'),
        array('province_id' => '49','town' => 'Peleagonzalo','id' => '7707','slug' => 'peleagonzalo','latitude' => '41.4820893','longitude' => '-5.4818185'),
        array('province_id' => '49','town' => 'Peleas de Abajo','id' => '7708','slug' => 'peleas-de-abajo','latitude' => '41.3931443','longitude' => '-5.6902283'),
        array('province_id' => '49','town' => 'Peñausende','id' => '7709','slug' => 'peausende','latitude' => '41.2865147','longitude' => '-5.8674892'),
        array('province_id' => '49','town' => 'Peque','id' => '7710','slug' => 'peque','latitude' => '42.0736762','longitude' => '-6.2755442'),
        array('province_id' => '49','town' => 'Perdigón, El','id' => '7711','slug' => 'perdign-el','latitude' => '41.4698873','longitude' => '-5.7401434'),
        array('province_id' => '49','town' => 'Pereruela','id' => '7712','slug' => 'pereruela','latitude' => '41.4168547','longitude' => '-5.8786938'),
        array('province_id' => '49','town' => 'Perilla de Castro','id' => '7713','slug' => 'perilla-de-castro','latitude' => '41.7262974','longitude' => '-5.8764511'),
        array('province_id' => '49','town' => 'Pías','id' => '7714','slug' => 'pas','latitude' => '42.0860402','longitude' => '-6.9995221'),
        array('province_id' => '49','town' => 'Piedrahita de Castro','id' => '7715','slug' => 'piedrahita-de-castro','latitude' => '41.6807735','longitude' => '-5.7287073'),
        array('province_id' => '49','town' => 'Pinilla de Toro','id' => '7716','slug' => 'pinilla-de-toro','latitude' => '41.6275959','longitude' => '-5.365041'),
        array('province_id' => '49','town' => 'Pino del Oro','id' => '7717','slug' => 'pino-del-oro','latitude' => '41.5757189','longitude' => '-6.1210588'),
        array('province_id' => '49','town' => 'Piñero, El','id' => '7718','slug' => 'piero-el','latitude' => '41.353047','longitude' => '-5.5886577'),
        array('province_id' => '49','town' => 'Pobladura de Valderaduey','id' => '7719','slug' => 'pobladura-de-valderaduey','latitude' => '41.7004639','longitude' => '-5.5416727'),
        array('province_id' => '49','town' => 'Pobladura del Valle','id' => '7720','slug' => 'pobladura-del-valle','latitude' => '42.1025824','longitude' => '-5.7342338'),
        array('province_id' => '49','town' => 'Porto','id' => '7721','slug' => 'porto','latitude' => '42.1672708','longitude' => '-6.8994444'),
        array('province_id' => '49','town' => 'Pozoantiguo','id' => '7722','slug' => 'pozoantiguo','latitude' => '41.5972727','longitude' => '-5.4371458'),
        array('province_id' => '49','town' => 'Pozuelo de Tábara','id' => '7723','slug' => 'pozuelo-de-tbara','latitude' => '41.7844501','longitude' => '-5.8961121'),
        array('province_id' => '49','town' => 'Prado','id' => '7724','slug' => 'prado','latitude' => '41.9207997','longitude' => '-5.4194935'),
        array('province_id' => '49','town' => 'Puebla de Sanabria','id' => '7725','slug' => 'puebla-de-sanabria','latitude' => '42.0546898','longitude' => '-6.6339736'),
        array('province_id' => '49','town' => 'Pueblica de Valverde','id' => '7726','slug' => 'pueblica-de-valverde','latitude' => '41.9192896','longitude' => '-5.8984635'),
        array('province_id' => '49','town' => 'Quintanilla de Urz','id' => '7727','slug' => 'quintanilla-de-urz','latitude' => '42.0327038','longitude' => '-5.8494133'),
        array('province_id' => '49','town' => 'Quintanilla del Monte','id' => '7728','slug' => 'quintanilla-del-monte','latitude' => '41.8665799','longitude' => '-5.3508489'),
        array('province_id' => '49','town' => 'Quintanilla del Olmo','id' => '7729','slug' => 'quintanilla-del-olmo','latitude' => '41.9058199','longitude' => '-5.4078198'),
        array('province_id' => '49','town' => 'Quiruelas de Vidriales','id' => '7730','slug' => 'quiruelas-de-vidriales','latitude' => '42.0183304','longitude' => '-5.8294083'),
        array('province_id' => '49','town' => 'Rabanales','id' => '7731','slug' => 'rabanales','latitude' => '41.7418108','longitude' => '-6.2781478'),
        array('province_id' => '49','town' => 'Rábano de Aliste','id' => '7732','slug' => 'rbano-de-aliste','latitude' => '41.7450113','longitude' => '-6.433179'),
        array('province_id' => '49','town' => 'Requejo','id' => '7733','slug' => 'requejo','latitude' => '42.0306845','longitude' => '-6.7426453'),
        array('province_id' => '49','town' => 'Revellinos','id' => '7734','slug' => 'revellinos','latitude' => '41.8907409','longitude' => '-5.5688748'),
        array('province_id' => '49','town' => 'Riofrío de Aliste','id' => '7735','slug' => 'riofro-de-aliste','latitude' => '41.8152876','longitude' => '-6.1772199'),
        array('province_id' => '49','town' => 'Rionegro del Puente','id' => '7736','slug' => 'rionegro-del-puente','latitude' => '42.0065996','longitude' => '-6.2274464'),
        array('province_id' => '49','town' => 'Roales','id' => '7737','slug' => 'roales','latitude' => '41.551655','longitude' => '-5.7728676'),
        array('province_id' => '49','town' => 'Robleda-Cervantes','id' => '7738','slug' => 'robleda-cervantes','latitude' => '42.0951158','longitude' => '-6.5900358'),
        array('province_id' => '49','town' => 'Roelos de Sayago','id' => '7739','slug' => 'roelos-de-sayago','latitude' => '41.2526133','longitude' => '-6.1724087'),
        array('province_id' => '49','town' => 'Rosinos de la Requejada','id' => '7740','slug' => 'rosinos-de-la-requejada','latitude' => '42.084275','longitude' => '-6.5337096'),
        array('province_id' => '49','town' => 'Salce','id' => '7741','slug' => 'salce','latitude' => '41.2700519','longitude' => '-6.2196613'),
        array('province_id' => '49','town' => 'Samir de los Caños','id' => '7742','slug' => 'samir-de-los-caos','latitude' => '41.6718743','longitude' => '-6.1655458'),
        array('province_id' => '49','town' => 'San Agustín del Pozo','id' => '7743','slug' => 'san-agustn-del-pozo','latitude' => '41.8854888','longitude' => '-5.5943484'),
        array('province_id' => '49','town' => 'San Cebrián de Castro','id' => '7744','slug' => 'san-cebrin-de-castro','latitude' => '41.7051826','longitude' => '-5.7565253'),
        array('province_id' => '49','town' => 'San Cristóbal de Entreviñas','id' => '7745','slug' => 'san-cristbal-de-entrevias','latitude' => '42.0462286','longitude' => '-5.6346102'),
        array('province_id' => '49','town' => 'San Esteban del Molar','id' => '7746','slug' => 'san-esteban-del-molar','latitude' => '41.9372786','longitude' => '-5.5519203'),
        array('province_id' => '49','town' => 'San Justo','id' => '7747','slug' => 'san-justo','latitude' => '42.1350405','longitude' => '-6.6246573'),
        array('province_id' => '49','town' => 'San Martín de Valderaduey','id' => '7748','slug' => 'san-martn-de-valderaduey','latitude' => '41.8134392','longitude' => '-5.4732092'),
        array('province_id' => '49','town' => 'San Miguel de la Ribera','id' => '7749','slug' => 'san-miguel-de-la-ribera','latitude' => '41.3316527','longitude' => '-5.5776901'),
        array('province_id' => '49','town' => 'San Miguel del Valle','id' => '7750','slug' => 'san-miguel-del-valle','latitude' => '42.0294947','longitude' => '-5.497005'),
        array('province_id' => '49','town' => 'San Pedro de Ceque','id' => '7751','slug' => 'san-pedro-de-ceque','latitude' => '42.0429992','longitude' => '-6.0736935'),
        array('province_id' => '49','town' => 'San Pedro de la Nave-Almendra','id' => '7752','slug' => 'san-pedro-de-la-nave-almendra','latitude' => '41.5907438','longitude' => '-5.9213229'),
        array('province_id' => '49','town' => 'San Vicente de la Cabeza','id' => '7753','slug' => 'san-vicente-de-la-cabeza','latitude' => '41.805499','longitude' => '-6.2523091'),
        array('province_id' => '49','town' => 'San Vitero','id' => '7754','slug' => 'san-vitero','latitude' => '41.778467','longitude' => '-6.3490899'),
        array('province_id' => '49','town' => 'Santa Clara de Avedillo','id' => '7755','slug' => 'santa-clara-de-avedillo','latitude' => '41.3396386','longitude' => '-5.6765138'),
        array('province_id' => '49','town' => 'Santa Colomba de las Monjas','id' => '7756','slug' => 'santa-colomba-de-las-monjas','latitude' => '41.9591722','longitude' => '-5.6860677'),
        array('province_id' => '49','town' => 'Santa Cristina de la Polvorosa','id' => '7757','slug' => 'santa-cristina-de-la-polvorosa','latitude' => '42.0002095','longitude' => '-5.7117875'),
        array('province_id' => '49','town' => 'Santa Croya de Tera','id' => '7758','slug' => 'santa-croya-de-tera','latitude' => '41.9860582','longitude' => '-5.9754245'),
        array('province_id' => '49','town' => 'Santa Eufemia del Barco','id' => '7759','slug' => 'santa-eufemia-del-barco','latitude' => '41.6779283','longitude' => '-5.8993834'),
        array('province_id' => '49','town' => 'Santa María de la Vega','id' => '7760','slug' => 'santa-mara-de-la-vega','latitude' => '42.0853485','longitude' => '-5.8096136'),
        array('province_id' => '49','town' => 'Santa María de Valverde','id' => '7761','slug' => 'santa-mara-de-valverde','latitude' => '41.9352198','longitude' => '-5.934296'),
        array('province_id' => '49','town' => 'Santibáñez de Tera','id' => '7762','slug' => 'santibez-de-tera','latitude' => '41.9873544','longitude' => '-5.9220401'),
        array('province_id' => '49','town' => 'Santibáñez de Vidriales','id' => '7763','slug' => 'santibez-de-vidriales','latitude' => '42.073481','longitude' => '-6.0151934'),
        array('province_id' => '49','town' => 'Santovenia','id' => '7764','slug' => 'santovenia','latitude' => '41.8784288','longitude' => '-5.7091442'),
        array('province_id' => '49','town' => 'Sanzoles','id' => '7765','slug' => 'sanzoles','latitude' => '41.4334524','longitude' => '-5.5660778'),
        array('province_id' => '49','town' => 'Tábara','id' => '7766','slug' => 'tbara','latitude' => '41.8250765','longitude' => '-5.9600817'),
        array('province_id' => '49','town' => 'Tapioles','id' => '7767','slug' => 'tapioles','latitude' => '41.8574334','longitude' => '-5.4965117'),
        array('province_id' => '49','town' => 'Toro','id' => '7768','slug' => 'toro','latitude' => '41.526355','longitude' => '-5.3948571'),
        array('province_id' => '49','town' => 'Torre del Valle, La','id' => '7769','slug' => 'torre-del-valle-la','latitude' => '42.0902686','longitude' => '-5.7226708'),
        array('province_id' => '49','town' => 'Torregamones','id' => '7770','slug' => 'torregamones','latitude' => '41.4846887','longitude' => '-6.1783158'),
        array('province_id' => '49','town' => 'Torres del Carrizal','id' => '7771','slug' => 'torres-del-carrizal','latitude' => '41.616168','longitude' => '-5.670278'),
        array('province_id' => '49','town' => 'Trabazos','id' => '7772','slug' => 'trabazos','latitude' => '41.7471766','longitude' => '-6.4929513'),
        array('province_id' => '49','town' => 'Trefacio','id' => '7773','slug' => 'trefacio','latitude' => '42.1221909','longitude' => '-6.6524089'),
        array('province_id' => '49','town' => 'Uña de Quintana','id' => '7774','slug' => 'ua-de-quintana','latitude' => '42.0863356','longitude' => '-6.1445216'),
        array('province_id' => '49','town' => 'Vadillo de la Guareña','id' => '7775','slug' => 'vadillo-de-la-guarea','latitude' => '41.2833225','longitude' => '-5.3541888'),
        array('province_id' => '49','town' => 'Valcabado','id' => '7776','slug' => 'valcabado','latitude' => '41.5481233','longitude' => '-5.7493004'),
        array('province_id' => '49','town' => 'Valdefinjas','id' => '7777','slug' => 'valdefinjas','latitude' => '41.451281','longitude' => '-5.4529717'),
        array('province_id' => '49','town' => 'Valdescorriel','id' => '7778','slug' => 'valdescorriel','latitude' => '42.0224734','longitude' => '-5.510472'),
        array('province_id' => '49','town' => 'Vallesa de la Guareña','id' => '7779','slug' => 'vallesa-de-la-guarea','latitude' => '41.1353514','longitude' => '-5.3263273'),
        array('province_id' => '49','town' => 'Vega de Tera','id' => '7780','slug' => 'vega-de-tera','latitude' => '41.9988863','longitude' => '-6.1243682'),
        array('province_id' => '49','town' => 'Vega de Villalobos','id' => '7781','slug' => 'vega-de-villalobos','latitude' => '41.9701384','longitude' => '-5.4631617'),
        array('province_id' => '49','town' => 'Vegalatrave','id' => '7782','slug' => 'vegalatrave','latitude' => '41.7001963','longitude' => '-6.1067533'),
        array('province_id' => '49','town' => 'Venialbo','id' => '7783','slug' => 'venialbo','latitude' => '41.3891772','longitude' => '-5.5365709'),
        array('province_id' => '49','town' => 'Vezdemarbán','id' => '7784','slug' => 'vezdemarbn','latitude' => '41.6542243','longitude' => '-5.3669711'),
        array('province_id' => '49','town' => 'Vidayanes','id' => '7785','slug' => 'vidayanes','latitude' => '41.9084263','longitude' => '-5.5750145'),
        array('province_id' => '49','town' => 'Videmala','id' => '7786','slug' => 'videmala','latitude' => '41.6130434','longitude' => '-6.041883'),
        array('province_id' => '49','town' => 'Villabrázaro','id' => '7787','slug' => 'villabrzaro','latitude' => '42.0536605','longitude' => '-5.7279275'),
        array('province_id' => '49','town' => 'Villabuena del Puente','id' => '7788','slug' => 'villabuena-del-puente','latitude' => '41.3809752','longitude' => '-5.4066649'),
        array('province_id' => '49','town' => 'Villadepera','id' => '7789','slug' => 'villadepera','latitude' => '41.5487702','longitude' => '-6.1333417'),
        array('province_id' => '49','town' => 'Villaescusa','id' => '7790','slug' => '7790-villaescusa','latitude' => '41.206335','longitude' => '-5.4648196'),
        array('province_id' => '49','town' => 'Villafáfila','id' => '7791','slug' => 'villaffila','latitude' => '41.8485906','longitude' => '-5.6148621'),
        array('province_id' => '49','town' => 'Villaferrueña','id' => '7792','slug' => 'villaferruea','latitude' => '42.097572','longitude' => '-5.8581507'),
        array('province_id' => '49','town' => 'Villageriz','id' => '7793','slug' => 'villageriz','latitude' => '42.1183839','longitude' => '-5.9555429'),
        array('province_id' => '49','town' => 'Villalazán','id' => '7794','slug' => 'villalazn','latitude' => '41.4941859','longitude' => '-5.5892166'),
        array('province_id' => '49','town' => 'Villalba de la Lampreana','id' => '7795','slug' => 'villalba-de-la-lampreana','latitude' => '41.7432642','longitude' => '-5.6415096'),
        array('province_id' => '49','town' => 'Villalcampo','id' => '7796','slug' => 'villalcampo','latitude' => '41.523133','longitude' => '-6.0472862'),
        array('province_id' => '49','town' => 'Villalobos','id' => '7797','slug' => 'villalobos','latitude' => '41.9458515','longitude' => '-5.4748381'),
        array('province_id' => '49','town' => 'Villalonso','id' => '7798','slug' => 'villalonso','latitude' => '41.5970841','longitude' => '-5.297766'),
        array('province_id' => '49','town' => 'Villalpando','id' => '7799','slug' => 'villalpando','latitude' => '41.8646131','longitude' => '-5.4111087'),
        array('province_id' => '49','town' => 'Villalube','id' => '7800','slug' => 'villalube','latitude' => '41.6106435','longitude' => '-5.5456375'),
        array('province_id' => '49','town' => 'Villamayor de Campos','id' => '7801','slug' => 'villamayor-de-campos','latitude' => '41.8989048','longitude' => '-5.3592409'),
        array('province_id' => '49','town' => 'Villamor de los Escuderos','id' => '7802','slug' => 'villamor-de-los-escuderos','latitude' => '41.2525937','longitude' => '-5.5749216'),
        array('province_id' => '49','town' => 'Villanázar','id' => '7803','slug' => 'villanzar','latitude' => '41.9750024','longitude' => '-5.7800996'),
        array('province_id' => '49','town' => 'Villanueva de Azoague','id' => '7804','slug' => 'villanueva-de-azoague','latitude' => '41.9746075','longitude' => '-5.6643594'),
        array('province_id' => '49','town' => 'Villanueva de Campeán','id' => '7805','slug' => 'villanueva-de-campen','latitude' => '41.3538468','longitude' => '-5.7696259'),
        array('province_id' => '49','town' => 'Villanueva de las Peras','id' => '7806','slug' => 'villanueva-de-las-peras','latitude' => '41.9358762','longitude' => '-5.9787143'),
        array('province_id' => '49','town' => 'Villanueva del Campo','id' => '7807','slug' => 'villanueva-del-campo','latitude' => '41.9865779','longitude' => '-5.4049836'),
        array('province_id' => '49','town' => 'Villar de Fallaves','id' => '7808','slug' => 'villar-de-fallaves','latitude' => '41.9246233','longitude' => '-5.3400437'),
        array('province_id' => '49','town' => 'Villar del Buey','id' => '7809','slug' => 'villar-del-buey','latitude' => '41.33125','longitude' => '-6.1929685'),
        array('province_id' => '49','town' => 'Villaralbo','id' => '7810','slug' => 'villaralbo','latitude' => '41.493096','longitude' => '-5.6825788'),
        array('province_id' => '49','town' => 'Villardeciervos','id' => '7811','slug' => 'villardeciervos','latitude' => '41.9409799','longitude' => '-6.2846968'),
        array('province_id' => '49','town' => 'Villardiegua de la Ribera','id' => '7812','slug' => 'villardiegua-de-la-ribera','latitude' => '41.5377133','longitude' => '-6.1784522'),
        array('province_id' => '49','town' => 'Villárdiga','id' => '7813','slug' => 'villrdiga','latitude' => '41.819046','longitude' => '-5.4638353'),
        array('province_id' => '49','town' => 'Villardondiego','id' => '7814','slug' => 'villardondiego','latitude' => '41.5844014','longitude' => '-5.3766416'),
        array('province_id' => '49','town' => 'Villarrín de Campos','id' => '7815','slug' => 'villarrn-de-campos','latitude' => '41.7960576','longitude' => '-5.6399143'),
        array('province_id' => '49','town' => 'Villaseco del Pan','id' => '7816','slug' => 'villaseco-del-pan','latitude' => '41.4696116','longitude' => '-5.9627211'),
        array('province_id' => '49','town' => 'Villavendimio','id' => '7817','slug' => 'villavendimio','latitude' => '41.5783091','longitude' => '-5.3435493'),
        array('province_id' => '49','town' => 'Villaveza de Valverde','id' => '7818','slug' => 'villaveza-de-valverde','latitude' => '41.9447068','longitude' => '-5.8498779'),
        array('province_id' => '49','town' => 'Villaveza del Agua','id' => '7819','slug' => 'villaveza-del-agua','latitude' => '41.9190463','longitude' => '-5.6798509'),
        array('province_id' => '49','town' => 'Viñas','id' => '7820','slug' => 'vias','latitude' => '41.7731786','longitude' => '-6.4712845'),
        array('province_id' => '49','town' => 'Zamora','id' => '7821','slug' => 'zamora','latitude' => '41.5036834','longitude' => '-5.7437781'),
        array('province_id' => '50','town' => 'Abanto','id' => '7822','slug' => 'abanto','latitude' => '41.13687','longitude' => '-1.6986673'),
        array('province_id' => '50','town' => 'Acered','id' => '7823','slug' => 'acered','latitude' => '41.1702267','longitude' => '-1.6042819'),
        array('province_id' => '50','town' => 'Agón','id' => '7824','slug' => 'agn','latitude' => '41.8569193','longitude' => '-1.452092'),
        array('province_id' => '50','town' => 'Aguarón','id' => '7825','slug' => 'aguarn','latitude' => '41.3379812','longitude' => '-1.2680897'),
        array('province_id' => '50','town' => 'Aguilón','id' => '7826','slug' => 'aguiln','latitude' => '41.2950339','longitude' => '-1.0467776'),
        array('province_id' => '50','town' => 'Ainzón','id' => '7827','slug' => 'ainzn','latitude' => '41.8170349','longitude' => '-1.5202049'),
        array('province_id' => '50','town' => 'Aladrén','id' => '7828','slug' => 'aladrn','latitude' => '41.2491255','longitude' => '-1.1559672'),
        array('province_id' => '50','town' => 'Alagón','id' => '7829','slug' => 'alagn','latitude' => '41.7703636','longitude' => '-1.1219525'),
        array('province_id' => '50','town' => 'Alarba','id' => '7830','slug' => 'alarba','latitude' => '41.2045836','longitude' => '-1.613624'),
        array('province_id' => '50','town' => 'Alberite de San Juan','id' => '7831','slug' => 'alberite-de-san-juan','latitude' => '41.8196225','longitude' => '-1.4702803'),
        array('province_id' => '50','town' => 'Albeta','id' => '7832','slug' => 'albeta','latitude' => '41.8272679','longitude' => '-1.4996711'),
        array('province_id' => '50','town' => 'Alborge','id' => '7833','slug' => 'alborge','latitude' => '41.3347963','longitude' => '-0.3576005'),
        array('province_id' => '50','town' => 'Alcalá de Ebro','id' => '7834','slug' => 'alcal-de-ebro','latitude' => '41.813625','longitude' => '-1.1965869'),
        array('province_id' => '50','town' => 'Alcalá de Moncayo','id' => '7835','slug' => 'alcal-de-moncayo','latitude' => '41.7863051','longitude' => '-1.6960819'),
        array('province_id' => '50','town' => 'Alconchel de Ariza','id' => '7836','slug' => 'alconchel-de-ariza','latitude' => '41.2047399','longitude' => '-2.1189072'),
        array('province_id' => '50','town' => 'Aldehuela de Liestos','id' => '7837','slug' => 'aldehuela-de-liestos','latitude' => '41.0645147','longitude' => '-1.7010494'),
        array('province_id' => '50','town' => 'Alfajarín','id' => '7838','slug' => 'alfajarn','latitude' => '41.6154754','longitude' => '-0.7004536'),
        array('province_id' => '50','town' => 'Alfamén','id' => '7839','slug' => 'alfamn','latitude' => '41.4391499','longitude' => '-1.2466991'),
        array('province_id' => '50','town' => 'Alforque','id' => '7840','slug' => 'alforque','latitude' => '41.3314265','longitude' => '-0.3856694'),
        array('province_id' => '50','town' => 'Alhama de Aragón','id' => '7841','slug' => 'alhama-de-aragn','latitude' => '41.2963448','longitude' => '-1.894044'),
        array('province_id' => '50','town' => 'Almochuel','id' => '7842','slug' => 'almochuel','latitude' => '41.2800802','longitude' => '-0.5502118'),
        array('province_id' => '50','town' => 'Almolda, La','id' => '7843','slug' => 'almolda-la','latitude' => '41.5524809','longitude' => '-0.2092891'),
        array('province_id' => '50','town' => 'Almonacid de la Cuba','id' => '7844','slug' => 'almonacid-de-la-cuba','latitude' => '41.2791285','longitude' => '-0.7920387'),
        array('province_id' => '50','town' => 'Almonacid de la Sierra','id' => '7845','slug' => 'almonacid-de-la-sierra','latitude' => '41.3965562','longitude' => '-1.3226873'),
        array('province_id' => '50','town' => 'Almunia de Doña Godina, La','id' => '7846','slug' => 'almunia-de-doa-godina-la','latitude' => '41.4774033','longitude' => '-1.3760499'),
        array('province_id' => '50','town' => 'Alpartir','id' => '7847','slug' => 'alpartir','latitude' => '41.4206766','longitude' => '-1.3823812'),
        array('province_id' => '50','town' => 'Ambel','id' => '7848','slug' => 'ambel','latitude' => '41.795735','longitude' => '-1.6171893'),
        array('province_id' => '50','town' => 'Anento','id' => '7849','slug' => 'anento','latitude' => '41.0704505','longitude' => '-1.3339294'),
        array('province_id' => '50','town' => 'Aniñón','id' => '7850','slug' => 'anin','latitude' => '41.4452569','longitude' => '-1.7049203'),
        array('province_id' => '50','town' => 'Añón de Moncayo','id' => '7851','slug' => 'an-de-moncayo','latitude' => '41.7788184','longitude' => '-1.7212065'),
        array('province_id' => '50','town' => 'Aranda de Moncayo','id' => '7852','slug' => 'aranda-de-moncayo','latitude' => '41.5775677','longitude' => '-1.7916963'),
        array('province_id' => '50','town' => 'Arándiga','id' => '7853','slug' => 'arndiga','latitude' => '41.5111124','longitude' => '-1.5024722'),
        array('province_id' => '50','town' => 'Ardisa','id' => '7854','slug' => 'ardisa','latitude' => '42.2010305','longitude' => '-0.7574904'),
        array('province_id' => '50','town' => 'Ariza','id' => '7855','slug' => 'ariza','latitude' => '41.3108825','longitude' => '-2.0535531'),
        array('province_id' => '50','town' => 'Artieda','id' => '7856','slug' => 'artieda','latitude' => '42.5854341','longitude' => '-0.9840556'),
        array('province_id' => '50','town' => 'Asín','id' => '7857','slug' => 'asn','latitude' => '42.2829653','longitude' => '-1.0467177'),
        array('province_id' => '50','town' => 'Atea','id' => '7858','slug' => 'atea','latitude' => '41.1592826','longitude' => '-1.5540764'),
        array('province_id' => '50','town' => 'Ateca','id' => '7859','slug' => 'ateca','latitude' => '41.3310125','longitude' => '-1.7935373'),
        array('province_id' => '50','town' => 'Azuara','id' => '7860','slug' => 'azuara','latitude' => '41.2587677','longitude' => '-0.8684728'),
        array('province_id' => '50','town' => 'Badules','id' => '7861','slug' => 'badules','latitude' => '41.1386283','longitude' => '-1.2541269'),
        array('province_id' => '50','town' => 'Bagüés','id' => '7862','slug' => 'bags','latitude' => '42.5494634','longitude' => '-0.9455563'),
        array('province_id' => '50','town' => 'Balconchán','id' => '7863','slug' => 'balconchn','latitude' => '41.0868852','longitude' => '-1.4607227'),
        array('province_id' => '50','town' => 'Bárboles','id' => '7864','slug' => 'brboles','latitude' => '41.7119051','longitude' => '-1.1884041'),
        array('province_id' => '50','town' => 'Bardallur','id' => '7865','slug' => 'bardallur','latitude' => '41.6832499','longitude' => '-1.2123104'),
        array('province_id' => '50','town' => 'Belchite','id' => '7866','slug' => 'belchite','latitude' => '41.3060963','longitude' => '-0.7543449'),
        array('province_id' => '50','town' => 'Belmonte de Gracián','id' => '7867','slug' => 'belmonte-de-gracin','latitude' => '41.3159074','longitude' => '-1.5458995'),
        array('province_id' => '50','town' => 'Berdejo','id' => '7868','slug' => 'berdejo','latitude' => '41.5609872','longitude' => '-1.9444593'),
        array('province_id' => '50','town' => 'Berrueco','id' => '7869','slug' => 'berrueco','latitude' => '40.9907881','longitude' => '-1.4669135'),
        array('province_id' => '50','town' => 'Biel','id' => '7870','slug' => 'biel','latitude' => '42.3874927','longitude' => '-0.9365878'),
        array('province_id' => '50','town' => 'Bijuesca','id' => '7871','slug' => 'bijuesca','latitude' => '41.5404442','longitude' => '-1.9209543'),
        array('province_id' => '50','town' => 'Biota','id' => '7872','slug' => 'biota','latitude' => '42.2621592','longitude' => '-1.1869895'),
        array('province_id' => '50','town' => 'Bisimbre','id' => '7873','slug' => 'bisimbre','latitude' => '41.8563461','longitude' => '-1.4430991'),
        array('province_id' => '50','town' => 'Boquiñeni','id' => '7874','slug' => 'boquieni','latitude' => '41.8487392','longitude' => '-1.2497337'),
        array('province_id' => '50','town' => 'Bordalba','id' => '7875','slug' => 'bordalba','latitude' => '41.4172392','longitude' => '-2.07819'),
        array('province_id' => '50','town' => 'Borja','id' => '7876','slug' => 'borja','latitude' => '41.8351666','longitude' => '-1.5318777'),
        array('province_id' => '50','town' => 'Botorrita','id' => '7877','slug' => 'botorrita','latitude' => '41.5091467','longitude' => '-1.0305386'),
        array('province_id' => '50','town' => 'Brea de Aragón','id' => '7878','slug' => 'brea-de-aragn','latitude' => '41.5252752','longitude' => '-1.5985446'),
        array('province_id' => '50','town' => 'Bubierca','id' => '7879','slug' => 'bubierca','latitude' => '41.3142534','longitude' => '-1.8559936'),
        array('province_id' => '50','town' => 'Bujaraloz','id' => '7880','slug' => 'bujaraloz','latitude' => '41.4978581','longitude' => '-0.1492837'),
        array('province_id' => '50','town' => 'Bulbuente','id' => '7881','slug' => 'bulbuente','latitude' => '41.8177417','longitude' => '-1.6025623'),
        array('province_id' => '50','town' => 'Bureta','id' => '7882','slug' => 'bureta','latitude' => '41.8172216','longitude' => '-1.4882513'),
        array('province_id' => '50','town' => 'Burgo de Ebro, El','id' => '7883','slug' => 'burgo-de-ebro-el','latitude' => '41.6695833','longitude' => '-0.8733238'),
        array('province_id' => '50','town' => 'Buste, El','id' => '7884','slug' => 'buste-el','latitude' => '41.6539999','longitude' => '-0.9024734'),
        array('province_id' => '50','town' => 'Cabañas de Ebro','id' => '7885','slug' => 'cabaas-de-ebro','latitude' => '41.7957101','longitude' => '-1.1638327'),
        array('province_id' => '50','town' => 'Cabolafuente','id' => '7886','slug' => 'cabolafuente','latitude' => '41.2117211','longitude' => '-2.0387389'),
        array('province_id' => '50','town' => 'Cadrete','id' => '7887','slug' => 'cadrete','latitude' => '41.5556433','longitude' => '-0.9601754'),
        array('province_id' => '50','town' => 'Calatayud','id' => '7888','slug' => 'calatayud','latitude' => '41.3543224','longitude' => '-1.6470086'),
        array('province_id' => '50','town' => 'Calatorao','id' => '7889','slug' => 'calatorao','latitude' => '41.525058','longitude' => '-1.3446123'),
        array('province_id' => '50','town' => 'Calcena','id' => '7890','slug' => 'calcena','latitude' => '41.6562005','longitude' => '-1.7178154'),
        array('province_id' => '50','town' => 'Calmarza','id' => '7891','slug' => 'calmarza','latitude' => '41.1578101','longitude' => '-1.9121742'),
        array('province_id' => '50','town' => 'Campillo de Aragón','id' => '7892','slug' => 'campillo-de-aragn','latitude' => '41.1273371','longitude' => '-1.8445326'),
        array('province_id' => '50','town' => 'Carenas','id' => '7893','slug' => 'carenas','latitude' => '41.2781394','longitude' => '-1.7977055'),
        array('province_id' => '50','town' => 'Cariñena','id' => '7894','slug' => 'cariena','latitude' => '41.3369398','longitude' => '-1.2241183'),
        array('province_id' => '50','town' => 'Caspe','id' => '7895','slug' => 'caspe','latitude' => '41.2339967','longitude' => '-0.0440777'),
        array('province_id' => '50','town' => 'Castejón de Alarba','id' => '7896','slug' => 'castejn-de-alarba','latitude' => '41.1837663','longitude' => '-1.6366133'),
        array('province_id' => '50','town' => 'Castejón de las Armas','id' => '7897','slug' => 'castejn-de-las-armas','latitude' => '41.3101863','longitude' => '-1.8120185'),
        array('province_id' => '50','town' => 'Castejón de Valdejasa','id' => '7898','slug' => 'castejn-de-valdejasa','latitude' => '41.9823343','longitude' => '-0.9950376'),
        array('province_id' => '50','town' => 'Castiliscar','id' => '7899','slug' => 'castiliscar','latitude' => '42.3766872','longitude' => '-1.274022'),
        array('province_id' => '50','town' => 'Cervera de la Cañada','id' => '7900','slug' => 'cervera-de-la-caada','latitude' => '41.4330795','longitude' => '-1.7369342'),
        array('province_id' => '50','town' => 'Cerveruela','id' => '7901','slug' => 'cerveruela','latitude' => '41.2165261','longitude' => '-1.2155139'),
        array('province_id' => '50','town' => 'Cetina','id' => '7902','slug' => 'cetina','latitude' => '41.2892879','longitude' => '-1.9667481'),
        array('province_id' => '50','town' => 'Chiprana','id' => '7903','slug' => 'chiprana','latitude' => '41.2630565','longitude' => '-0.1253972'),
        array('province_id' => '50','town' => 'Chodes','id' => '7904','slug' => 'chodes','latitude' => '41.4869427','longitude' => '-1.4806436'),
        array('province_id' => '50','town' => 'Cimballa','id' => '7905','slug' => 'cimballa','latitude' => '41.1008626','longitude' => '-1.7747559'),
        array('province_id' => '50','town' => 'Cinco Olivas','id' => '7906','slug' => 'cinco-olivas','latitude' => '41.3376715','longitude' => '-0.3712549'),
        array('province_id' => '50','town' => 'Clarés de Ribota','id' => '7907','slug' => 'clars-de-ribota','latitude' => '41.5294699','longitude' => '-1.8387896'),
        array('province_id' => '50','town' => 'Codo','id' => '7908','slug' => 'codo','latitude' => '41.3332423','longitude' => '-0.6999325'),
        array('province_id' => '50','town' => 'Codos','id' => '7909','slug' => 'codos','latitude' => '41.2932919','longitude' => '-1.3744755'),
        array('province_id' => '50','town' => 'Contamina','id' => '7910','slug' => 'contamina','latitude' => '41.305356','longitude' => '-1.9174999'),
        array('province_id' => '50','town' => 'Cosuenda','id' => '7911','slug' => 'cosuenda','latitude' => '41.3649341','longitude' => '-1.2974053'),
        array('province_id' => '50','town' => 'Cuarte de Huerva','id' => '7912','slug' => 'cuarte-de-huerva','latitude' => '41.5927079','longitude' => '-0.9310773'),
        array('province_id' => '50','town' => 'Cubel','id' => '7913','slug' => 'cubel','latitude' => '41.0965823','longitude' => '-1.637927'),
        array('province_id' => '50','town' => 'Cuerlas, Las','id' => '7914','slug' => 'cuerlas-las','latitude' => '40.9591832','longitude' => '-1.548931'),
        array('province_id' => '50','town' => 'Daroca','id' => '7915','slug' => 'daroca','latitude' => '41.1153272','longitude' => '-1.4139342'),
        array('province_id' => '50','town' => 'Ejea de los Caballeros','id' => '7916','slug' => 'ejea-de-los-caballeros','latitude' => '42.1292078','longitude' => '-1.1374342'),
        array('province_id' => '50','town' => 'Embid de Ariza','id' => '7917','slug' => 'embid-de-ariza','latitude' => '41.3805862','longitude' => '-1.9710568'),
        array('province_id' => '50','town' => 'Encinacorba','id' => '7918','slug' => 'encinacorba','latitude' => '41.2846193','longitude' => '-1.2763961'),
        array('province_id' => '50','town' => 'Épila','id' => '7919','slug' => 'pila','latitude' => '41.6012808','longitude' => '-1.2846003'),
        array('province_id' => '50','town' => 'Erla','id' => '7920','slug' => 'erla','latitude' => '42.116833','longitude' => '-0.948871'),
        array('province_id' => '50','town' => 'Escatrón','id' => '7921','slug' => 'escatrn','latitude' => '41.2925167','longitude' => '-0.3247748'),
        array('province_id' => '50','town' => 'Fabara','id' => '7922','slug' => 'fabara','latitude' => '41.1786727','longitude' => '0.1670119'),
        array('province_id' => '50','town' => 'Farlete','id' => '7923','slug' => 'farlete','latitude' => '41.6809237','longitude' => '-0.5062719'),
        array('province_id' => '50','town' => 'Fayón','id' => '7924','slug' => 'fayn','latitude' => '41.2401642','longitude' => '0.3339737'),
        array('province_id' => '50','town' => 'Fayos, Los','id' => '7925','slug' => 'fayos-los','latitude' => '41.6567883','longitude' => '-0.9148616'),
        array('province_id' => '50','town' => 'Figueruelas','id' => '7926','slug' => 'figueruelas','latitude' => '41.7665885','longitude' => '-1.1754011'),
        array('province_id' => '50','town' => 'Fombuena','id' => '7927','slug' => 'fombuena','latitude' => '41.143942','longitude' => '-1.1920031'),
        array('province_id' => '50','town' => 'Frago, El','id' => '7928','slug' => 'frago-el','latitude' => '41.6593555','longitude' => '-0.9001855'),
        array('province_id' => '50','town' => 'Frasno, El','id' => '7929','slug' => 'frasno-el','latitude' => '41.4151415','longitude' => '-1.4945625'),
        array('province_id' => '50','town' => 'Fréscano','id' => '7930','slug' => 'frscano','latitude' => '41.8750117','longitude' => '-1.4502275'),
        array('province_id' => '50','town' => 'Fuendejalón','id' => '7931','slug' => 'fuendejaln','latitude' => '41.7607299','longitude' => '-1.4721784'),
        array('province_id' => '50','town' => 'Fuendetodos','id' => '7932','slug' => 'fuendetodos','latitude' => '41.3429064','longitude' => '-0.9598393'),
        array('province_id' => '50','town' => 'Fuentes de Ebro','id' => '7933','slug' => 'fuentes-de-ebro','latitude' => '41.51084','longitude' => '-0.6375385'),
        array('province_id' => '50','town' => 'Fuentes de Jiloca','id' => '7934','slug' => 'fuentes-de-jiloca','latitude' => '41.2285872','longitude' => '-1.5367519'),
        array('province_id' => '50','town' => 'Gallocanta','id' => '7935','slug' => 'gallocanta','latitude' => '40.9969488','longitude' => '-1.5079607'),
        array('province_id' => '50','town' => 'Gallur','id' => '7936','slug' => 'gallur','latitude' => '41.8698176','longitude' => '-1.3178597'),
        array('province_id' => '50','town' => 'Gelsa','id' => '7937','slug' => 'gelsa','latitude' => '41.4066277','longitude' => '-0.4618234'),
        array('province_id' => '50','town' => 'Godojos','id' => '7938','slug' => 'godojos','latitude' => '41.2686217','longitude' => '-1.8634216'),
        array('province_id' => '50','town' => 'Gotor','id' => '7939','slug' => 'gotor','latitude' => '41.5453503','longitude' => '-1.6500695'),
        array('province_id' => '50','town' => 'Grisel','id' => '7940','slug' => 'grisel','latitude' => '41.871761','longitude' => '-1.728725'),
        array('province_id' => '50','town' => 'Grisén','id' => '7941','slug' => 'grisn','latitude' => '41.7439296','longitude' => '-1.1629776'),
        array('province_id' => '50','town' => 'Herrera de los Navarros','id' => '7942','slug' => 'herrera-de-los-navarros','latitude' => '41.2105639','longitude' => '-1.0823805'),
        array('province_id' => '50','town' => 'Ibdes','id' => '7943','slug' => 'ibdes','latitude' => '41.2187647','longitude' => '-1.8342353'),
        array('province_id' => '50','town' => 'Illueca','id' => '7944','slug' => 'illueca','latitude' => '41.5363208','longitude' => '-1.6234421'),
        array('province_id' => '50','town' => 'Isuerre','id' => '7945','slug' => 'isuerre','latitude' => '42.4881632','longitude' => '-1.0551577'),
        array('province_id' => '50','town' => 'Jaraba','id' => '7946','slug' => 'jaraba','latitude' => '41.1901333','longitude' => '-1.8830597'),
        array('province_id' => '50','town' => 'Jarque','id' => '7947','slug' => 'jarque','latitude' => '41.5559178','longitude' => '-1.6784783'),
        array('province_id' => '50','town' => 'Jaulín','id' => '7948','slug' => 'jauln','latitude' => '41.4533233','longitude' => '-0.9948922'),
        array('province_id' => '50','town' => 'Joyosa, La','id' => '7949','slug' => 'joyosa-la','latitude' => '41.74525','longitude' => '-1.0728968'),
        array('province_id' => '50','town' => 'Lagata','id' => '7950','slug' => 'lagata','latitude' => '41.2399942','longitude' => '-0.8047833'),
        array('province_id' => '50','town' => 'Langa del Castillo','id' => '7951','slug' => 'langa-del-castillo','latitude' => '41.2127476','longitude' => '-1.3982261'),
        array('province_id' => '50','town' => 'Layana','id' => '7952','slug' => 'layana','latitude' => '42.2967999','longitude' => '-1.2442847'),
        array('province_id' => '50','town' => 'Lécera','id' => '7953','slug' => 'lcera','latitude' => '41.2060393','longitude' => '-0.7099051'),
        array('province_id' => '50','town' => 'Lechón','id' => '7954','slug' => 'lechn','latitude' => '41.086128','longitude' => '-1.2841222'),
        array('province_id' => '50','town' => 'Leciñena','id' => '7955','slug' => 'leciena','latitude' => '41.7989191','longitude' => '-0.6105711'),
        array('province_id' => '50','town' => 'Letux','id' => '7956','slug' => 'letux','latitude' => '41.2551784','longitude' => '-0.8041978'),
        array('province_id' => '50','town' => 'Litago','id' => '7957','slug' => 'litago','latitude' => '41.8144633','longitude' => '-1.7511453'),
        array('province_id' => '50','town' => 'Lituénigo','id' => '7958','slug' => 'litunigo','latitude' => '41.8352802','longitude' => '-1.7613387'),
        array('province_id' => '50','town' => 'Lobera de Onsella','id' => '7959','slug' => 'lobera-de-onsella','latitude' => '42.4778022','longitude' => '-1.0227114'),
        array('province_id' => '50','town' => 'Longares','id' => '7960','slug' => 'longares','latitude' => '41.403596','longitude' => '-1.1686378'),
        array('province_id' => '50','town' => 'Longás','id' => '7961','slug' => 'longs','latitude' => '42.4808304','longitude' => '-0.9358405'),
        array('province_id' => '50','town' => 'Lucena de Jalón','id' => '7962','slug' => 'lucena-de-jaln','latitude' => '41.5524088','longitude' => '-1.3105867'),
        array('province_id' => '50','town' => 'Luceni','id' => '7963','slug' => 'luceni','latitude' => '41.8283709','longitude' => '-1.2389423'),
        array('province_id' => '50','town' => 'Luesia','id' => '7964','slug' => 'luesia','latitude' => '42.3698647','longitude' => '-1.0216611'),
        array('province_id' => '50','town' => 'Luesma','id' => '7965','slug' => 'luesma','latitude' => '41.1665536','longitude' => '-1.146436'),
        array('province_id' => '50','town' => 'Lumpiaque','id' => '7966','slug' => 'lumpiaque','latitude' => '41.630244','longitude' => '-1.3000831'),
        array('province_id' => '50','town' => 'Luna','id' => '7967','slug' => 'luna','latitude' => '42.1664984','longitude' => '-0.9318546'),
        array('province_id' => '50','town' => 'Maella','id' => '7968','slug' => 'maella','latitude' => '41.1249676','longitude' => '0.1398754'),
        array('province_id' => '50','town' => 'Magallón','id' => '7969','slug' => 'magalln','latitude' => '41.8331059','longitude' => '-1.4611932'),
        array('province_id' => '50','town' => 'Mainar','id' => '7970','slug' => 'mainar','latitude' => '41.1921244','longitude' => '-1.302226'),
        array('province_id' => '50','town' => 'Malanquilla','id' => '7971','slug' => 'malanquilla','latitude' => '41.5701622','longitude' => '-1.8752597'),
        array('province_id' => '50','town' => 'Maleján','id' => '7972','slug' => 'malejn','latitude' => '41.8279413','longitude' => '-1.5484868'),
        array('province_id' => '50','town' => 'Mallén','id' => '7973','slug' => 'malln','latitude' => '41.9005079','longitude' => '-1.4184956'),
        array('province_id' => '50','town' => 'Malón','id' => '7974','slug' => 'maln','latitude' => '41.9534094','longitude' => '-1.6709857'),
        array('province_id' => '50','town' => 'Maluenda','id' => '7975','slug' => 'maluenda','latitude' => '41.2871858','longitude' => '-1.614295'),
        array('province_id' => '50','town' => 'Manchones','id' => '7976','slug' => 'manchones','latitude' => '41.149984','longitude' => '-1.4650336'),
        array('province_id' => '50','town' => 'Mara','id' => '7977','slug' => '7977-mara','latitude' => '41.2891328','longitude' => '-1.5176764'),
        array('province_id' => '50','town' => 'María de Huerva','id' => '7978','slug' => 'mara-de-huerva','latitude' => '41.5390541','longitude' => '-0.9935882'),
        array('province_id' => '50','town' => 'Marracos','id' => '7979','slug' => 'marracos','latitude' => '42.0905932','longitude' => '-0.7760469'),
        array('province_id' => '50','town' => 'Mediana de Aragón','id' => '7980','slug' => 'mediana-de-aragn','latitude' => '41.4674436','longitude' => '-0.7053687'),
        array('province_id' => '50','town' => 'Mequinenza','id' => '7981','slug' => 'mequinenza','latitude' => '41.3776523','longitude' => '0.3028557'),
        array('province_id' => '50','town' => 'Mesones de Isuela','id' => '7982','slug' => 'mesones-de-isuela','latitude' => '41.551162','longitude' => '-1.537185'),
        array('province_id' => '50','town' => 'Mezalocha','id' => '7983','slug' => 'mezalocha','latitude' => '41.4249705','longitude' => '-1.0849334'),
        array('province_id' => '50','town' => 'Mianos','id' => '7984','slug' => 'mianos','latitude' => '42.5843728','longitude' => '-0.9553697'),
        array('province_id' => '50','town' => 'Miedes de Aragón','id' => '7985','slug' => 'miedes-de-aragn','latitude' => '41.2581104','longitude' => '-1.4912235'),
        array('province_id' => '50','town' => 'Monegrillo','id' => '7986','slug' => 'monegrillo','latitude' => '41.6410807','longitude' => '-0.4159632'),
        array('province_id' => '50','town' => 'Moneva','id' => '7987','slug' => 'moneva','latitude' => '41.1288227','longitude' => '-0.8345636'),
        array('province_id' => '50','town' => 'Monreal de Ariza','id' => '7988','slug' => 'monreal-de-ariza','latitude' => '41.2902497','longitude' => '-2.1104411'),
        array('province_id' => '50','town' => 'Monterde','id' => '7989','slug' => 'monterde','latitude' => '41.174336','longitude' => '-1.734744'),
        array('province_id' => '50','town' => 'Montón','id' => '7990','slug' => '7990-montn','latitude' => '41.2068029','longitude' => '-1.5136595'),
        array('province_id' => '50','town' => 'Morata de Jalón','id' => '7991','slug' => 'morata-de-jaln','latitude' => '41.4730861','longitude' => '-1.4734445'),
        array('province_id' => '50','town' => 'Morata de Jiloca','id' => '7992','slug' => 'morata-de-jiloca','latitude' => '41.2479093','longitude' => '-1.5871834'),
        array('province_id' => '50','town' => 'Morés','id' => '7993','slug' => 'mors','latitude' => '41.473754','longitude' => '-1.564014'),
        array('province_id' => '50','town' => 'Moros','id' => '7994','slug' => 'moros','latitude' => '41.3971947','longitude' => '-1.8303782'),
        array('province_id' => '50','town' => 'Moyuela','id' => '7995','slug' => 'moyuela','latitude' => '41.1284962','longitude' => '-0.9221865'),
        array('province_id' => '50','town' => 'Mozota','id' => '7996','slug' => 'mozota','latitude' => '41.4831004','longitude' => '-1.0696312'),
        array('province_id' => '50','town' => 'Muel','id' => '7997','slug' => 'muel','latitude' => '41.4635139','longitude' => '-1.0864375'),
        array('province_id' => '50','town' => 'Muela, La','id' => '7998','slug' => 'muela-la','latitude' => '41.693739','longitude' => '-1.1013541'),
        array('province_id' => '50','town' => 'Munébrega','id' => '7999','slug' => 'munbrega','latitude' => '41.2516002','longitude' => '-1.7052986'),
        array('province_id' => '50','town' => 'Murero','id' => '8000','slug' => 'murero','latitude' => '41.1587837','longitude' => '-1.4817737'),
        array('province_id' => '50','town' => 'Murillo de Gállego','id' => '8001','slug' => 'murillo-de-gllego','latitude' => '42.3365064','longitude' => '-0.7540914'),
        array('province_id' => '50','town' => 'Navardún','id' => '8002','slug' => 'navardn','latitude' => '42.5126987','longitude' => '-1.1469181'),
        array('province_id' => '50','town' => 'Nigüella','id' => '8003','slug' => 'nigella','latitude' => '41.5377554','longitude' => '-1.5249317'),
        array('province_id' => '50','town' => 'Nombrevilla','id' => '8004','slug' => 'nombrevilla','latitude' => '41.1069441','longitude' => '-1.3597563'),
        array('province_id' => '50','town' => 'Nonaspe','id' => '8005','slug' => 'nonaspe','latitude' => '41.2077671','longitude' => '0.2464202'),
        array('province_id' => '50','town' => 'Novallas','id' => '8006','slug' => 'novallas','latitude' => '41.9464576','longitude' => '-1.6939851'),
        array('province_id' => '50','town' => 'Novillas','id' => '8007','slug' => 'novillas','latitude' => '41.9342382','longitude' => '-1.3929178'),
        array('province_id' => '50','town' => 'Nuévalos','id' => '8008','slug' => 'nuvalos','latitude' => '41.2120389','longitude' => '-1.789818'),
        array('province_id' => '50','town' => 'Nuez de Ebro','id' => '8009','slug' => 'nuez-de-ebro','latitude' => '41.5933991','longitude' => '-0.681392'),
        array('province_id' => '50','town' => 'Olvés','id' => '8010','slug' => 'olvs','latitude' => '41.2392092','longitude' => '-1.6458763'),
        array('province_id' => '50','town' => 'Orcajo','id' => '8011','slug' => 'orcajo','latitude' => '41.1092803','longitude' => '-1.489444'),
        array('province_id' => '50','town' => 'Orera','id' => '8012','slug' => 'orera','latitude' => '41.2987674','longitude' => '-1.4805176'),
        array('province_id' => '50','town' => 'Orés','id' => '8013','slug' => '8013-ors','latitude' => '42.2786294','longitude' => '-1.001383'),
        array('province_id' => '50','town' => 'Oseja','id' => '8014','slug' => 'oseja','latitude' => '41.5961876','longitude' => '-1.7003892'),
        array('province_id' => '50','town' => 'Osera de Ebro','id' => '8015','slug' => 'osera-de-ebro','latitude' => '41.5349407','longitude' => '-0.5797311'),
        array('province_id' => '50','town' => 'Paniza','id' => '8016','slug' => 'paniza','latitude' => '41.2846742','longitude' => '-1.2123596'),
        array('province_id' => '50','town' => 'Paracuellos de Jiloca','id' => '8017','slug' => 'paracuellos-de-jiloca','latitude' => '41.3134484','longitude' => '-1.639322'),
        array('province_id' => '50','town' => 'Paracuellos de la Ribera','id' => '8018','slug' => 'paracuellos-de-la-ribera','latitude' => '41.4246885','longitude' => '-1.5629962'),
        array('province_id' => '50','town' => 'Pastriz','id' => '8019','slug' => 'pastriz','latitude' => '41.6182415','longitude' => '-0.7817926'),
        array('province_id' => '50','town' => 'Pedrola','id' => '8020','slug' => 'pedrola','latitude' => '41.7916246','longitude' => '-1.2140055'),
        array('province_id' => '50','town' => 'Pedrosas, Las','id' => '8021','slug' => 'pedrosas-las','latitude' => '42.0382235','longitude' => '-0.876332'),
        array('province_id' => '50','town' => 'Perdiguera','id' => '8022','slug' => 'perdiguera','latitude' => '41.7536734','longitude' => '-0.6316877'),
        array('province_id' => '50','town' => 'Piedratajada','id' => '8023','slug' => 'piedratajada','latitude' => '42.1194983','longitude' => '-0.8055548'),
        array('province_id' => '50','town' => 'Pina de Ebro','id' => '8024','slug' => 'pina-de-ebro','latitude' => '41.4872749','longitude' => '-0.5319692'),
        array('province_id' => '50','town' => 'Pinseque','id' => '8025','slug' => 'pinseque','latitude' => '41.7370229','longitude' => '-1.1031195'),
        array('province_id' => '50','town' => 'Pintanos, Los','id' => '8026','slug' => 'pintanos-los','latitude' => '42.5291379','longitude' => '-1.022003'),
        array('province_id' => '50','town' => 'Plasencia de Jalón','id' => '8027','slug' => 'plasencia-de-jaln','latitude' => '41.6813311','longitude' => '-1.2295073'),
        array('province_id' => '50','town' => 'Pleitas','id' => '8028','slug' => 'pleitas','latitude' => '41.7119929','longitude' => '-1.2017949'),
        array('province_id' => '50','town' => 'Plenas','id' => '8029','slug' => 'plenas','latitude' => '41.111137','longitude' => '-0.9645611'),
        array('province_id' => '50','town' => 'Pomer','id' => '8030','slug' => 'pomer','latitude' => '41.6381537','longitude' => '-1.8423078'),
        array('province_id' => '50','town' => 'Pozuel de Ariza','id' => '8031','slug' => 'pozuel-de-ariza','latitude' => '41.3516128','longitude' => '-2.1538773'),
        array('province_id' => '50','town' => 'Pozuelo de Aragón','id' => '8032','slug' => 'pozuelo-de-aragn','latitude' => '41.7648093','longitude' => '-1.4238384'),
        array('province_id' => '50','town' => 'Pradilla de Ebro','id' => '8033','slug' => 'pradilla-de-ebro','latitude' => '41.8599124','longitude' => '-1.264242'),
        array('province_id' => '50','town' => 'Puebla de Albortón','id' => '8034','slug' => 'puebla-de-albortn','latitude' => '41.3838822','longitude' => '-0.8539658'),
        array('province_id' => '50','town' => 'Puebla de Alfindén, La','id' => '8035','slug' => 'puebla-de-alfindn-la','latitude' => '41.6294984','longitude' => '-0.7525974'),
        array('province_id' => '50','town' => 'Puendeluna','id' => '8036','slug' => 'puendeluna','latitude' => '42.1530551','longitude' => '-0.7571076'),
        array('province_id' => '50','town' => 'Purujosa','id' => '8037','slug' => 'purujosa','latitude' => '41.6822703','longitude' => '-1.7645196'),
        array('province_id' => '50','town' => 'Quinto','id' => '8038','slug' => 'quinto','latitude' => '41.423918','longitude' => '-0.4982721'),
        array('province_id' => '50','town' => 'Remolinos','id' => '8039','slug' => 'remolinos','latitude' => '41.838441','longitude' => '-1.1765243'),
        array('province_id' => '50','town' => 'Retascón','id' => '8040','slug' => 'retascn','latitude' => '41.1445442','longitude' => '-1.3809997'),
        array('province_id' => '50','town' => 'Ricla','id' => '8041','slug' => 'ricla','latitude' => '41.5077467','longitude' => '-1.4025319'),
        array('province_id' => '50','town' => 'Romanos','id' => '8042','slug' => 'romanos','latitude' => '41.1263595','longitude' => '-1.2754046'),
        array('province_id' => '50','town' => 'Rueda de Jalón','id' => '8043','slug' => 'rueda-de-jaln','latitude' => '41.6342021','longitude' => '-1.2729897'),
        array('province_id' => '50','town' => 'Ruesca','id' => '8044','slug' => 'ruesca','latitude' => '41.2824547','longitude' => '-1.4824221'),
        array('province_id' => '50','town' => 'Sabiñán','id' => '8045','slug' => 'sabin','latitude' => '41.4431362','longitude' => '-1.5674012'),
        array('province_id' => '50','town' => 'Sádaba','id' => '8046','slug' => 'sdaba','latitude' => '42.2813839','longitude' => '-1.272321'),
        array('province_id' => '50','town' => 'Salillas de Jalón','id' => '8047','slug' => 'salillas-de-jaln','latitude' => '41.5665948','longitude' => '-1.3244822'),
        array('province_id' => '50','town' => 'Salvatierra de Esca','id' => '8048','slug' => 'salvatierra-de-esca','latitude' => '42.6688183','longitude' => '-1.004887'),
        array('province_id' => '50','town' => 'Samper del Salz','id' => '8049','slug' => 'samper-del-salz','latitude' => '41.234598','longitude' => '-0.8231196'),
        array('province_id' => '50','town' => 'San Martín de la Virgen de Moncayo','id' => '8050','slug' => 'san-martn-de-la-virgen-de-moncayo','latitude' => '41.83749','longitude' => '-1.7920838'),
        array('province_id' => '50','town' => 'San Mateo de Gállego','id' => '8051','slug' => 'san-mateo-de-gllego','latitude' => '41.8305995','longitude' => '-0.7690734'),
        array('province_id' => '50','town' => 'Santa Cruz de Grío','id' => '8052','slug' => 'santa-cruz-de-gro','latitude' => '41.3708766','longitude' => '-1.4299427'),
        array('province_id' => '50','town' => 'Santa Cruz de Moncayo','id' => '8053','slug' => 'santa-cruz-de-moncayo','latitude' => '41.8818098','longitude' => '-1.7576921'),
        array('province_id' => '50','town' => 'Santa Eulalia de Gállego','id' => '8054','slug' => 'santa-eulalia-de-gllego','latitude' => '42.2867935','longitude' => '-0.7603972'),
        array('province_id' => '50','town' => 'Santed','id' => '8055','slug' => 'santed','latitude' => '41.032283','longitude' => '-1.507787'),
        array('province_id' => '50','town' => 'Sástago','id' => '8056','slug' => 'sstago','latitude' => '41.3213016','longitude' => '-0.3509796'),
        array('province_id' => '50','town' => 'Sediles','id' => '8057','slug' => 'sediles','latitude' => '41.3463091','longitude' => '-1.5295682'),
        array('province_id' => '50','town' => 'Sestrica','id' => '8058','slug' => 'sestrica','latitude' => '41.4867013','longitude' => '-1.5960225'),
        array('province_id' => '50','town' => 'Sierra de Luna','id' => '8059','slug' => 'sierra-de-luna','latitude' => '42.0477396','longitude' => '-0.9101965'),
        array('province_id' => '50','town' => 'Sigüés','id' => '8060','slug' => 'sigs','latitude' => '42.6304748','longitude' => '-1.0127359'),
        array('province_id' => '50','town' => 'Sisamón','id' => '8061','slug' => 'sisamn','latitude' => '41.1704564','longitude' => '-2.0061447'),
        array('province_id' => '50','town' => 'Sobradiel','id' => '8062','slug' => 'sobradiel','latitude' => '41.7404702','longitude' => '-1.0354963'),
        array('province_id' => '50','town' => 'Sos del Rey Católico','id' => '8063','slug' => 'sos-del-rey-catlico','latitude' => '42.4971936','longitude' => '-1.2152091'),
        array('province_id' => '50','town' => 'Tabuenca','id' => '8064','slug' => 'tabuenca','latitude' => '41.6951117','longitude' => '-1.5434564'),
        array('province_id' => '50','town' => 'Talamantes','id' => '8065','slug' => 'talamantes','latitude' => '41.7301142','longitude' => '-1.6782903'),
        array('province_id' => '50','town' => 'Tarazona','id' => '8066','slug' => 'tarazona','latitude' => '41.9027715','longitude' => '-1.7254'),
        array('province_id' => '50','town' => 'Tauste','id' => '8067','slug' => 'tauste','latitude' => '41.921164','longitude' => '-1.2554001'),
        array('province_id' => '50','town' => 'Terrer','id' => '8068','slug' => 'terrer','latitude' => '41.3275105','longitude' => '-1.7136598'),
        array('province_id' => '50','town' => 'Tierga','id' => '8069','slug' => 'tierga','latitude' => '41.6073238','longitude' => '-1.606438'),
        array('province_id' => '50','town' => 'Tobed','id' => '8070','slug' => 'tobed','latitude' => '41.3381308','longitude' => '-1.4009177'),
        array('province_id' => '50','town' => 'Torralba de los Frailes','id' => '8071','slug' => 'torralba-de-los-frailes','latitude' => '41.0368193','longitude' => '-1.6617803'),
        array('province_id' => '50','town' => 'Torralba de Ribota','id' => '8072','slug' => 'torralba-de-ribota','latitude' => '41.4176546','longitude' => '-1.6842099'),
        array('province_id' => '50','town' => 'Torralbilla','id' => '8073','slug' => 'torralbilla','latitude' => '41.2104315','longitude' => '-1.3386775'),
        array('province_id' => '50','town' => 'Torrehermosa','id' => '8074','slug' => 'torrehermosa','latitude' => '41.2386831','longitude' => '-2.1291653'),
        array('province_id' => '50','town' => 'Torrelapaja','id' => '8075','slug' => 'torrelapaja','latitude' => '41.5816489','longitude' => '-1.9512424'),
        array('province_id' => '50','town' => 'Torrellas','id' => '8076','slug' => 'torrellas','latitude' => '41.895707','longitude' => '-1.769812'),
        array('province_id' => '50','town' => 'Torres de Berrellén','id' => '8077','slug' => 'torres-de-berrelln','latitude' => '41.757772','longitude' => '-1.0662999'),
        array('province_id' => '50','town' => 'Torrijo de la Cañada','id' => '8078','slug' => 'torrijo-de-la-caada','latitude' => '41.4741024','longitude' => '-1.8771716'),
        array('province_id' => '50','town' => 'Tosos','id' => '8079','slug' => 'tosos','latitude' => '41.3156046','longitude' => '-1.0719255'),
        array('province_id' => '50','town' => 'Trasmoz','id' => '8080','slug' => 'trasmoz','latitude' => '41.8261056','longitude' => '-1.7228618'),
        array('province_id' => '50','town' => 'Trasobares','id' => '8081','slug' => 'trasobares','latitude' => '41.6432671','longitude' => '-1.6414014'),
        array('province_id' => '50','town' => 'Uncastillo','id' => '8082','slug' => 'uncastillo','latitude' => '42.3615037','longitude' => '-1.130387'),
        array('province_id' => '50','town' => 'Undués de Lerda','id' => '8083','slug' => 'undus-de-lerda','latitude' => '42.5658331','longitude' => '-1.1697096'),
        array('province_id' => '50','town' => 'Urrea de Jalón','id' => '8084','slug' => 'urrea-de-jaln','latitude' => '41.6676014','longitude' => '-1.234124'),
        array('province_id' => '50','town' => 'Urriés','id' => '8085','slug' => 'urris','latitude' => '42.5189096','longitude' => '-1.129118'),
        array('province_id' => '50','town' => 'Used','id' => '8086','slug' => 'used','latitude' => '41.0545086','longitude' => '-1.5583848'),
        array('province_id' => '50','town' => 'Utebo','id' => '8087','slug' => 'utebo','latitude' => '41.7150315','longitude' => '-0.9947444'),
        array('province_id' => '50','town' => 'Val de San Martín','id' => '8088','slug' => 'val-de-san-martn','latitude' => '41.0571223','longitude' => '-1.4461052'),
        array('province_id' => '50','town' => 'Valdehorna','id' => '8089','slug' => 'valdehorna','latitude' => '41.0725222','longitude' => '-1.4230998'),
        array('province_id' => '50','town' => 'Valmadrid','id' => '8090','slug' => 'valmadrid','latitude' => '41.4433668','longitude' => '-0.8846827'),
        array('province_id' => '50','town' => 'Valpalmas','id' => '8091','slug' => 'valpalmas','latitude' => '42.1582225','longitude' => '-0.854761'),
        array('province_id' => '50','town' => 'Valtorres','id' => '8092','slug' => 'valtorres','latitude' => '41.2987959','longitude' => '-1.7406843'),
        array('province_id' => '50','town' => 'Velilla de Ebro','id' => '8093','slug' => 'velilla-de-ebro','latitude' => '41.3749956','longitude' => '-0.4378378'),
        array('province_id' => '50','town' => 'Velilla de Jiloca','id' => '8094','slug' => 'velilla-de-jiloca','latitude' => '41.2743886','longitude' => '-1.6043385'),
        array('province_id' => '50','town' => 'Vera de Moncayo','id' => '8095','slug' => 'vera-de-moncayo','latitude' => '41.8239622','longitude' => '-1.6880105'),
        array('province_id' => '50','town' => 'Vierlas','id' => '8096','slug' => 'vierlas','latitude' => '41.9280756','longitude' => '-1.6811153'),
        array('province_id' => '50','town' => 'Villadoz','id' => '8097','slug' => 'villadoz','latitude' => '41.1625412','longitude' => '-1.2873417'),
        array('province_id' => '50','town' => 'Villafeliche','id' => '8098','slug' => 'villafeliche','latitude' => '41.1963254','longitude' => '-1.5106093'),
        array('province_id' => '50','town' => 'Villafranca de Ebro','id' => '8099','slug' => 'villafranca-de-ebro','latitude' => '41.5736765','longitude' => '-0.6503196'),
        array('province_id' => '50','town' => 'Villalba de Perejil','id' => '8100','slug' => 'villalba-de-perejil','latitude' => '41.3272955','longitude' => '-1.548673'),
        array('province_id' => '50','town' => 'Villalengua','id' => '8101','slug' => 'villalengua','latitude' => '41.4347157','longitude' => '-1.8395394'),
        array('province_id' => '50','town' => 'Villamayor de Gállego','id' => '8102','slug' => 'villamayor-de-gllego','latitude' => '41.685175','longitude' => '-0.7733151'),
        array('province_id' => '50','town' => 'Villanueva de Gállego','id' => '8103','slug' => 'villanueva-de-gllego','latitude' => '41.7679591','longitude' => '-0.8275479'),
        array('province_id' => '50','town' => 'Villanueva de Huerva','id' => '8104','slug' => 'villanueva-de-huerva','latitude' => '41.3520621','longitude' => '-1.0369833'),
        array('province_id' => '50','town' => 'Villanueva de Jiloca','id' => '8105','slug' => 'villanueva-de-jiloca','latitude' => '41.0754214','longitude' => '-1.3923709'),
        array('province_id' => '50','town' => 'Villar de los Navarros','id' => '8106','slug' => 'villar-de-los-navarros','latitude' => '41.158372','longitude' => '-1.0427933'),
        array('province_id' => '50','town' => 'Villarreal de Huerva','id' => '8107','slug' => 'villarreal-de-huerva','latitude' => '41.1909294','longitude' => '-1.2872816'),
        array('province_id' => '50','town' => 'Villarroya de la Sierra','id' => '8108','slug' => 'villarroya-de-la-sierra','latitude' => '41.4638794','longitude' => '-1.7857972'),
        array('province_id' => '50','town' => 'Villarroya del Campo','id' => '8109','slug' => 'villarroya-del-campo','latitude' => '41.1432353','longitude' => '-1.3243643'),
        array('province_id' => '50','town' => 'Vilueña, La','id' => '8110','slug' => 'viluea-la','latitude' => '41.272302','longitude' => '-1.7252298'),
        array('province_id' => '50','town' => 'Vistabella','id' => '8111','slug' => 'vistabella','latitude' => '41.2191301','longitude' => '-1.1534458'),
        array('province_id' => '50','town' => 'Zaida, La','id' => '8112','slug' => 'zaida-la','latitude' => '41.3263602','longitude' => '-0.4269484'),
        array('province_id' => '50','town' => 'Zaragoza','id' => '8113','slug' => 'zaragoza','latitude' => '41.6562873','longitude' => '-0.8765379'),
        array('province_id' => '50','town' => 'Zuera','id' => '8114','slug' => 'zuera','latitude' => '41.8691833','longitude' => '-0.7881644'),
        array('province_id' => '51','town' => 'Ceuta','id' => '8115','slug' => 'ceuta','latitude' => '35.8882871','longitude' => '-5.3161949'),
        array('province_id' => '52','town' => 'Melilla','id' => '8116','slug' => 'melilla','latitude' => '35.2923388','longitude' => '-2.9387938')
    );
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('cities')->delete();
        foreach( $this->cities as $city ) {
            $data = new City;
            $data->id = $city['id'];
            $data->provinces_id = $city['province_id'];
            $data->city = $city['town'];
            $data->slug = $city['slug'];
            $data->longitude = $city['longitude'];
            $data->latitude = $city['latitude'];
            $data->save();
        }
    }
}
